<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i6="http://iuclid6.echa.europa.eu/namespaces/platform-fields/v1" xmlns:i6c="http://iuclid6.echa.europa.eu/namespaces/platform-container/v2" xmlns:xt="http://iuclid6.echa.europa.eu/namespaces/FLEXIBLE_SUMMARY-ProductSummaryComposition/8.0" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <link href="iuclid6_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <table>
                    <tr/>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="//i6c:PlatformMetadata | //i6c:Attachments | //i6c:ModificationHistory"/>
    <xsl:template match="//xt:FLEXIBLE_SUMMARY">
        <tr class="headerDocument">
            <td>Product summary composition</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:RepresentsMetaSPC | //xt:SubstanceOfConcern | //xt:Gci | //xt:Icg | //xt:Sfc | //xt:SubstanceGeneratedInSitu">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'SubstanceOfConcern'">Substance of concern (note: use for substances not categorised as active substances)</xsl:when>
                    <xsl:when test="name(.) = 'Sfc'">Standard formula (SF) component</xsl:when>
                    <xsl:when test="name(.) = 'RepresentsMetaSPC'">Represents Meta SPC composition</xsl:when>
                    <xsl:when test="name(.) = 'SubstanceGeneratedInSitu'">Substance generated in situ</xsl:when>
                    <xsl:when test="name(.) = 'Gci'">Generic component identifier (GCI)</xsl:when>
                    <xsl:when test="name(.) = 'Icg'">Interchangeable component group (ICG)</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:DataProtection">
        <tr>
            <td class="label"/>
            <td class="value">
                <xsl:apply-templates/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Name | //xt:ClassificationAndLabelling | //xt:InstructionsForUseAndMeasuresToProtect | //xt:SummaryAndEvaluation">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'InstructionsForUseAndMeasuresToProtect'">Measures to protect humans, animals and the environment</xsl:when>
                    <xsl:when test="name(.) = 'SummaryAndEvaluation'">Summary and evaluation</xsl:when>
                    <xsl:when test="name(.) = 'Name'">Name</xsl:when>
                    <xsl:when test="name(.) = 'ClassificationAndLabelling'">Classification and labelling</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Concentration">
        <tr>
            <td class="label">Concentration</td>
            <td class="value">
                <xsl:value-of select="./i6:lowerQualifier "/>
                <xsl:value-of select="./i6:lowerValue "/>
                <xsl:value-of select="./i6:upperQualifier "/>
                <xsl:value-of select="./i6:upperValue "/>
                <xsl:choose>
                    <xsl:when test="./i6:unitCode = '2505'"> % (w/w)</xsl:when>
                    <xsl:when test="./i6:unitCode = '2506'"> % (v/v)</xsl:when>
                    <xsl:when test="./i6:unitCode = '4523'"> % (w/v)</xsl:when>
                    <xsl:when test="./i6:unitCode = '2098'"> mg/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '3437'"> mg/kg</xsl:when>
                    <xsl:when test="./i6:unitCode = '2283'"> ppm</xsl:when>
                    <xsl:when test="./i6:unitCode = '3440'"> mg/m³</xsl:when>
                    <xsl:when test="./i6:unitCode = '1935'"> g/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '8603'"> g/kg</xsl:when>
                    <xsl:when test="./i6:unitCode = '131534'"> microbial active substances</xsl:when>
                    <xsl:when test="./i6:unitCode = '58422'"> CFU/g</xsl:when>
                    <xsl:when test="./i6:unitCode = '65207'"> CFU/kg</xsl:when>
                    <xsl:when test="./i6:unitCode = '65208'"> CFU/mL</xsl:when>
                    <xsl:when test="./i6:unitCode = '58423'"> CFU/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '65209'"> ITU/mg</xsl:when>
                    <xsl:when test="./i6:unitCode = '65210'"> ITU/mL</xsl:when>
                    <xsl:when test="./i6:unitCode = '129319'"> IU/mg</xsl:when>
                    <xsl:when test="./i6:unitCode = '65211'"> cells/mL</xsl:when>
                    <xsl:when test="./i6:unitCode = '65212'"> cells/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '65213'"> spores/g</xsl:when>
                    <xsl:when test="./i6:unitCode = '65214'"> spores/mL</xsl:when>
                    <xsl:when test="./i6:unitCode = '132015'"> nanoforms</xsl:when>
                    <xsl:when test="./i6:unitCode = '132026'"> particles/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '132904'"> particles/kg</xsl:when>
                    <xsl:when test="./i6:unitCode = '132027'"> surface area/L</xsl:when>
                    <xsl:when test="./i6:unitCode = '132905'"> surface area/kg</xsl:when>
                    <xsl:when test="./i6:unitCode = '1342'"> other:</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:unitOther "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:FormulationType">
        <tr>
            <td class="label">Formulation type(s)</td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '58439'">AE Aerosol dispenser</xsl:when>
                    <xsl:when test="./i6:value = '58440'">AL Any other liquid</xsl:when>
                    <xsl:when test="./i6:value = '58441'">AP Any other powder</xsl:when>
                    <xsl:when test="./i6:value = '58442'">BR Briquette</xsl:when>
                    <xsl:when test="./i6:value = '58443'">CB Bait concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58444'">CL Contact liquid or gel</xsl:when>
                    <xsl:when test="./i6:value = '58445'">CP Contact powder</xsl:when>
                    <xsl:when test="./i6:value = '58446'">CS Capsule suspension</xsl:when>
                    <xsl:when test="./i6:value = '58447'">DC Dispersible concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58448'">DP Dustable powder</xsl:when>
                    <xsl:when test="./i6:value = '62551'">DS Powder for dry seed treatment</xsl:when>
                    <xsl:when test="./i6:value = '58449'">DT Tablet for direct application</xsl:when>
                    <xsl:when test="./i6:value = '58450'">EC Emulsifiable concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58451'">EG Emulsifiable granule</xsl:when>
                    <xsl:when test="./i6:value = '58452'">EO Emulsion, water in oil</xsl:when>
                    <xsl:when test="./i6:value = '58453'">EP Emulsifiable powder</xsl:when>
                    <xsl:when test="./i6:value = '62552'">ES Emulsion for seed treatment</xsl:when>
                    <xsl:when test="./i6:value = '58454'">EW Emulsion, oil in water</xsl:when>
                    <xsl:when test="./i6:value = '107849'">FO Foam</xsl:when>
                    <xsl:when test="./i6:value = '62555'">FS Flowable concentrate for seed treatment</xsl:when>
                    <xsl:when test="./i6:value = '58455'">FU Smoke generator</xsl:when>
                    <xsl:when test="./i6:value = '58456'">GA Gas</xsl:when>
                    <xsl:when test="./i6:value = '107850'">GD Gel for direct application</xsl:when>
                    <xsl:when test="./i6:value = '58457'">GE Gas generating product</xsl:when>
                    <xsl:when test="./i6:value = '58458'">GL Emulsifiable gel</xsl:when>
                    <xsl:when test="./i6:value = '58459'">GR Granule</xsl:when>
                    <xsl:when test="./i6:value = '58460'">GS Grease</xsl:when>
                    <xsl:when test="./i6:value = '58461'">GW Water soluble gel</xsl:when>
                    <xsl:when test="./i6:value = '58462'">HN Hot fogging concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58463'">KK Combi-pack solid/liquid</xsl:when>
                    <xsl:when test="./i6:value = '58464'">KL Combi-pack liquid/liquid</xsl:when>
                    <xsl:when test="./i6:value = '58465'">KN Cold fogging concentrate</xsl:when>
                    <xsl:when test="./i6:value = '107851'">LB Long-lasting storage bag</xsl:when>
                    <xsl:when test="./i6:value = '58466'">LN Long-lasting insecticidal net</xsl:when>
                    <xsl:when test="./i6:value = '62575'">LS Solution for seed treatment</xsl:when>
                    <xsl:when test="./i6:value = '58467'">LV Liquid vaporizer</xsl:when>
                    <xsl:when test="./i6:value = '58468'">MC Mosquito coil</xsl:when>
                    <xsl:when test="./i6:value = '58469'">ME Micro-emulsion</xsl:when>
                    <xsl:when test="./i6:value = '107852'">MR Matrix release</xsl:when>
                    <xsl:when test="./i6:value = '58470'">MV Vaporizing mats</xsl:when>
                    <xsl:when test="./i6:value = '58471'">OD Oil dispersion</xsl:when>
                    <xsl:when test="./i6:value = '58472'">OF Oil miscible flowable concentrate (oil miscible suspension)</xsl:when>
                    <xsl:when test="./i6:value = '58473'">OL Oil miscible liquid</xsl:when>
                    <xsl:when test="./i6:value = '58474'">OP Oil dispersible powder</xsl:when>
                    <xsl:when test="./i6:value = '58475'">PA Paste</xsl:when>
                    <xsl:when test="./i6:value = '58476'">PC Gel or paste concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58477'">PO Pour-on</xsl:when>
                    <xsl:when test="./i6:value = '107853'">PR Plant rodlet</xsl:when>
                    <xsl:when test="./i6:value = '58478'">RB Bait (ready for use)</xsl:when>
                    <xsl:when test="./i6:value = '58479'">SA Spot-on</xsl:when>
                    <xsl:when test="./i6:value = '58480'">SC Suspension concentrate (= flowable concentrate)</xsl:when>
                    <xsl:when test="./i6:value = '58481'">SD Suspension concentrate for direct application</xsl:when>
                    <xsl:when test="./i6:value = '58482'">SE Suspo-emulsion</xsl:when>
                    <xsl:when test="./i6:value = '58483'">SG Water soluble granule</xsl:when>
                    <xsl:when test="./i6:value = '58484'">SL Soluble concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58485'">SO Spreading oil</xsl:when>
                    <xsl:when test="./i6:value = '58486'">SP Water soluble powder</xsl:when>
                    <xsl:when test="./i6:value = '58487'">ST Water soluble tablet</xsl:when>
                    <xsl:when test="./i6:value = '58488'">SU Ultra-low volume (ULV) suspension</xsl:when>
                    <xsl:when test="./i6:value = '58489'">TB Tablet</xsl:when>
                    <xsl:when test="./i6:value = '58490'">TC Technical material</xsl:when>
                    <xsl:when test="./i6:value = '58491'">TK Technical concentrate</xsl:when>
                    <xsl:when test="./i6:value = '58492'">UL Ultra-low volume (ULV) liquid</xsl:when>
                    <xsl:when test="./i6:value = '58493'">VP Vapour releasing product</xsl:when>
                    <xsl:when test="./i6:value = '58494'">WG Water dispersible granules</xsl:when>
                    <xsl:when test="./i6:value = '107854'">WI Wipes</xsl:when>
                    <xsl:when test="./i6:value = '58495'">WP Wettable powder</xsl:when>
                    <xsl:when test="./i6:value = '107855'">WS Water dispersible powder for slurry seed treatment</xsl:when>
                    <xsl:when test="./i6:value = '58496'">WT Water dispersible tablet</xsl:when>
                    <xsl:when test="./i6:value = '58497'">ZC A mixed formulation of CS and SC</xsl:when>
                    <xsl:when test="./i6:value = '58498'">ZE A mixed formulation of CS and SE</xsl:when>
                    <xsl:when test="./i6:value = '58499'">ZW A mixed formulation of CS and EW</xsl:when>
                    <xsl:when test="./i6:value = '58500'">XX Others:</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Function">
        <tr>
            <td class="label">Function</td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '2675'">absorbent</xsl:when>
                    <xsl:when test="./i6:value = '1699'">active substance</xsl:when>
                    <xsl:when test="./i6:value = '129325'">active substance (other, not to be assessed)</xsl:when>
                    <xsl:when test="./i6:value = '108024'">adhesive</xsl:when>
                    <xsl:when test="./i6:value = '2680'">adsorbent</xsl:when>
                    <xsl:when test="./i6:value = '2693'">anticaking agent</xsl:when>
                    <xsl:when test="./i6:value = '2694'">anticoagulant</xsl:when>
                    <xsl:when test="./i6:value = '108025'">antifoaming agent</xsl:when>
                    <xsl:when test="./i6:value = '8238'">antifreeze agent</xsl:when>
                    <xsl:when test="./i6:value = '62266'">antioxidant</xsl:when>
                    <xsl:when test="./i6:value = '62268'">antiscaling agent</xsl:when>
                    <xsl:when test="./i6:value = '132875'">antiskinning agent</xsl:when>
                    <xsl:when test="./i6:value = '8240'">antistatic agent</xsl:when>
                    <xsl:when test="./i6:value = '132876'">bait base</xsl:when>
                    <xsl:when test="./i6:value = '62272'">binder</xsl:when>
                    <xsl:when test="./i6:value = '2721'">booster</xsl:when>
                    <xsl:when test="./i6:value = '2728'">buffer</xsl:when>
                    <xsl:when test="./i6:value = '132877'">burning agent</xsl:when>
                    <xsl:when test="./i6:value = '108026'">carrier</xsl:when>
                    <xsl:when test="./i6:value = '2752'">coagulant, flocculant</xsl:when>
                    <xsl:when test="./i6:value = '62278'">coalescing agent</xsl:when>
                    <xsl:when test="./i6:value = '2753'">coating agent</xsl:when>
                    <xsl:when test="./i6:value = '2756'">colouring agent</xsl:when>
                    <xsl:when test="./i6:value = '2761'">complexing agent</xsl:when>
                    <xsl:when test="./i6:value = '2763'">conditioner</xsl:when>
                    <xsl:when test="./i6:value = '2768'">controlled release agent</xsl:when>
                    <xsl:when test="./i6:value = '62280'">corrosion inhibitor</xsl:when>
                    <xsl:when test="./i6:value = '2772'">crystal growth regulator</xsl:when>
                    <xsl:when test="./i6:value = '2781'">dehydrating agent</xsl:when>
                    <xsl:when test="./i6:value = '2783'">denaturant</xsl:when>
                    <xsl:when test="./i6:value = '108027'">deodorant</xsl:when>
                    <xsl:when test="./i6:value = '132887'">deterrent</xsl:when>
                    <xsl:when test="./i6:value = '65151'">diluting agent</xsl:when>
                    <xsl:when test="./i6:value = '62288'">dispersing agent</xsl:when>
                    <xsl:when test="./i6:value = '2794'">drying agent</xsl:when>
                    <xsl:when test="./i6:value = '2795'">dye</xsl:when>
                    <xsl:when test="./i6:value = '108028'">emetic agent</xsl:when>
                    <xsl:when test="./i6:value = '132891'">emolient</xsl:when>
                    <xsl:when test="./i6:value = '2802'">emulsifier</xsl:when>
                    <xsl:when test="./i6:value = '132888'">encapsulating agent</xsl:when>
                    <xsl:when test="./i6:value = '108029'">fertiliser</xsl:when>
                    <xsl:when test="./i6:value = '2819'">filler</xsl:when>
                    <xsl:when test="./i6:value = '62296'">film former</xsl:when>
                    <xsl:when test="./i6:value = '8254'">flame retardant</xsl:when>
                    <xsl:when test="./i6:value = '2823'">flow aid agent</xsl:when>
                    <xsl:when test="./i6:value = '8257'">foaming agent</xsl:when>
                    <xsl:when test="./i6:value = '2824'">fragrance</xsl:when>
                    <xsl:when test="./i6:value = '132890'">gassing agent</xsl:when>
                    <xsl:when test="./i6:value = '2847'">hardener</xsl:when>
                    <xsl:when test="./i6:value = '62308'">humectant</xsl:when>
                    <xsl:when test="./i6:value = '61433'">inhibitor</xsl:when>
                    <xsl:when test="./i6:value = '2895'">lubricant</xsl:when>
                    <xsl:when test="./i6:value = '2918'">moisturiser</xsl:when>
                    <xsl:when test="./i6:value = '2937'">neutraliser</xsl:when>
                    <xsl:when test="./i6:value = '108030'">odorant</xsl:when>
                    <xsl:when test="./i6:value = '2976'">odour masking agent</xsl:when>
                    <xsl:when test="./i6:value = '62318'">opacifier</xsl:when>
                    <xsl:when test="./i6:value = '8269'">pH regulating agent</xsl:when>
                    <xsl:when test="./i6:value = '132892'">packaging gases</xsl:when>
                    <xsl:when test="./i6:value = '132893'">penetrating agent</xsl:when>
                    <xsl:when test="./i6:value = '64942'">perfume</xsl:when>
                    <xsl:when test="./i6:value = '132894'">phlegmatising agent</xsl:when>
                    <xsl:when test="./i6:value = '2999'">pigment</xsl:when>
                    <xsl:when test="./i6:value = '65387'">plasticizer</xsl:when>
                    <xsl:when test="./i6:value = '132895'">precipitation inhibitor</xsl:when>
                    <xsl:when test="./i6:value = '65621'">precursor</xsl:when>
                    <xsl:when test="./i6:value = '65389'">preservative</xsl:when>
                    <xsl:when test="./i6:value = '3026'">propellant</xsl:when>
                    <xsl:when test="./i6:value = '132896'">protein remover</xsl:when>
                    <xsl:when test="./i6:value = '132897'">re-fatting agent</xsl:when>
                    <xsl:when test="./i6:value = '132898'">releaser</xsl:when>
                    <xsl:when test="./i6:value = '2314'">repellent</xsl:when>
                    <xsl:when test="./i6:value = '132889'">rheological additive</xsl:when>
                    <xsl:when test="./i6:value = '108031'">safener</xsl:when>
                    <xsl:when test="./i6:value = '62328'">solubility enhancer</xsl:when>
                    <xsl:when test="./i6:value = '3342'">solvent</xsl:when>
                    <xsl:when test="./i6:value = '3348'">stabiliser</xsl:when>
                    <xsl:when test="./i6:value = '3350'">stiffener</xsl:when>
                    <xsl:when test="./i6:value = '62331'">surfactant</xsl:when>
                    <xsl:when test="./i6:value = '132901'">suspending agent</xsl:when>
                    <xsl:when test="./i6:value = '6090'">synergist</xsl:when>
                    <xsl:when test="./i6:value = '62335'">thickener / thickening agent</xsl:when>
                    <xsl:when test="./i6:value = '3424'">viscosity modifier</xsl:when>
                    <xsl:when test="./i6:value = '3400'">UV absorber</xsl:when>
                    <xsl:when test="./i6:value = '3426'">water repellent</xsl:when>
                    <xsl:when test="./i6:value = '3429'">wetting agent</xsl:when>
                    <xsl:when test="./i6:value = '2193'">not applicable</xsl:when>
                    <xsl:when test="./i6:value = '1342'">other:</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Composition">
        <tr class="headerBlock">
            <td>Composition</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:AdministrativeDataSummary | //xt:ProductSummaryComposition | //xt:ProductCompositions | //xt:MetaSPC">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'ProductSummaryComposition'">Product summary composition</xsl:when>
                    <xsl:when test="name(.) = 'ProductCompositions'">Related products</xsl:when>
                    <xsl:when test="name(.) = 'MetaSPC'">Meta SPC</xsl:when>
                    <xsl:when test="name(.) = 'AdministrativeDataSummary'">Administrative data</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:ProductFamilyGroupName">
        <tr>
            <td class="label">Product family or group name</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Remarks">
        <tr>
            <td class="label">Remarks</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//i6:country/i6:value">
        <xsl:choose>
            <xsl:when test=". = '2683'">Afghanistan </xsl:when>
            <xsl:when test=". = '2684'">Albania </xsl:when>
            <xsl:when test=". = '2685'">Algeria </xsl:when>
            <xsl:when test=". = '2686'">American Samoa </xsl:when>
            <xsl:when test=". = '2688'">Andorra </xsl:when>
            <xsl:when test=". = '2689'">Angola </xsl:when>
            <xsl:when test=". = '2690'">Anguilla </xsl:when>
            <xsl:when test=". = '2692'">Antarctica </xsl:when>
            <xsl:when test=". = '2695'">Antigua and Barbuda </xsl:when>
            <xsl:when test=". = '2696'">Argentina </xsl:when>
            <xsl:when test=". = '2697'">Armenia </xsl:when>
            <xsl:when test=". = '2698'">Aruba </xsl:when>
            <xsl:when test=". = '107'">Australia </xsl:when>
            <xsl:when test=". = '108'">Austria </xsl:when>
            <xsl:when test=". = '2701'">Azerbaijan </xsl:when>
            <xsl:when test=". = '2702'">Bahamas (the) </xsl:when>
            <xsl:when test=". = '2703'">Bahrain </xsl:when>
            <xsl:when test=". = '2704'">Bangladesh </xsl:when>
            <xsl:when test=". = '2705'">Barbados </xsl:when>
            <xsl:when test=". = '2707'">Belarus </xsl:when>
            <xsl:when test=". = '147'">Belgium </xsl:when>
            <xsl:when test=". = '2708'">Belize </xsl:when>
            <xsl:when test=". = '2709'">Benin </xsl:when>
            <xsl:when test=". = '2710'">Bermuda </xsl:when>
            <xsl:when test=". = '2711'">Bhutan </xsl:when>
            <xsl:when test=". = '2720'">Bolivia (Plurinational State of) </xsl:when>
            <xsl:when test=". = '65600'">Bonaire, Sint Eustatius and Saba </xsl:when>
            <xsl:when test=". = '2722'">Bosnia and Herzegovina </xsl:when>
            <xsl:when test=". = '2723'">Botswana </xsl:when>
            <xsl:when test=". = '2724'">Bouvet Island </xsl:when>
            <xsl:when test=". = '2725'">Brazil </xsl:when>
            <xsl:when test=". = '2726'">British Indian Ocean Territory (the) </xsl:when>
            <xsl:when test=". = '2727'">Brunei Darussalam </xsl:when>
            <xsl:when test=". = '184'">Bulgaria </xsl:when>
            <xsl:when test=". = '2729'">Burkina Faso </xsl:when>
            <xsl:when test=". = '2730'">Burundi </xsl:when>
            <xsl:when test=". = '2736'">Cabo Verde </xsl:when>
            <xsl:when test=". = '2734'">Cambodia </xsl:when>
            <xsl:when test=". = '2735'">Cameroon </xsl:when>
            <xsl:when test=". = '206'">Canada </xsl:when>
            <xsl:when test=". = '2746'">Cayman Islands (the) </xsl:when>
            <xsl:when test=". = '2747'">Central African Republic (the) </xsl:when>
            <xsl:when test=". = '2748'">Chad </xsl:when>
            <xsl:when test=". = '2749'">Chile </xsl:when>
            <xsl:when test=". = '2750'">China </xsl:when>
            <xsl:when test=". = '2751'">Christmas Island </xsl:when>
            <xsl:when test=". = '2754'">Cocos (Keeling) Islands (the) </xsl:when>
            <xsl:when test=". = '2755'">Colombia </xsl:when>
            <xsl:when test=". = '2759'">Comoros (the) </xsl:when>
            <xsl:when test=". = '2765'">Congo (the Democratic Republic of the) </xsl:when>
            <xsl:when test=". = '2764'">Congo (the) </xsl:when>
            <xsl:when test=". = '2769'">Cook Islands (the) </xsl:when>
            <xsl:when test=". = '2771'">Costa Rica </xsl:when>
            <xsl:when test=". = '286'">Croatia </xsl:when>
            <xsl:when test=". = '2773'">Cuba </xsl:when>
            <xsl:when test=". = '65601'">Curaçao </xsl:when>
            <xsl:when test=". = '304'">Cyprus </xsl:when>
            <xsl:when test=". = '307'">Czechia </xsl:when>
            <xsl:when test=". = '2774'">Côte d'Ivoire </xsl:when>
            <xsl:when test=". = '333'">Denmark </xsl:when>
            <xsl:when test=". = '2790'">Djibouti </xsl:when>
            <xsl:when test=". = '2791'">Dominica </xsl:when>
            <xsl:when test=". = '2792'">Dominican Republic (the) </xsl:when>
            <xsl:when test=". = '2799'">Ecuador </xsl:when>
            <xsl:when test=". = '2800'">Egypt </xsl:when>
            <xsl:when test=". = '2801'">El Salvador </xsl:when>
            <xsl:when test=". = '2803'">Equatorial Guinea </xsl:when>
            <xsl:when test=". = '2804'">Eritrea </xsl:when>
            <xsl:when test=". = '754'">Estonia </xsl:when>
            <xsl:when test=". = '3358'">Eswatini </xsl:when>
            <xsl:when test=". = '2805'">Ethiopia </xsl:when>
            <xsl:when test=". = '131982'">European Union </xsl:when>
            <xsl:when test=". = '2813'">Falkland Islands (the) [Malvinas] </xsl:when>
            <xsl:when test=". = '2815'">Faroe Islands (the) </xsl:when>
            <xsl:when test=". = '2817'">Fiji </xsl:when>
            <xsl:when test=". = '766'">Finland </xsl:when>
            <xsl:when test=". = '779'">France </xsl:when>
            <xsl:when test=". = '2825'">French Guiana </xsl:when>
            <xsl:when test=". = '2826'">French Polynesia </xsl:when>
            <xsl:when test=". = '2827'">French Southern Territories (the) </xsl:when>
            <xsl:when test=". = '2828'">Gabon </xsl:when>
            <xsl:when test=". = '2829'">Gambia (the) </xsl:when>
            <xsl:when test=". = '2834'">Georgia </xsl:when>
            <xsl:when test=". = '807'">Germany </xsl:when>
            <xsl:when test=". = '2835'">Ghana </xsl:when>
            <xsl:when test=". = '2836'">Gibraltar </xsl:when>
            <xsl:when test=". = '810'">Greece </xsl:when>
            <xsl:when test=". = '2838'">Greenland </xsl:when>
            <xsl:when test=". = '2839'">Grenada </xsl:when>
            <xsl:when test=". = '2840'">Guadeloupe </xsl:when>
            <xsl:when test=". = '2841'">Guam </xsl:when>
            <xsl:when test=". = '2842'">Guatemala </xsl:when>
            <xsl:when test=". = '7818'">Guernsey </xsl:when>
            <xsl:when test=". = '2843'">Guinea </xsl:when>
            <xsl:when test=". = '2844'">Guinea-Bissau </xsl:when>
            <xsl:when test=". = '2845'">Guyana </xsl:when>
            <xsl:when test=". = '2846'">Haiti </xsl:when>
            <xsl:when test=". = '2851'">Heard Island and McDonald Islands </xsl:when>
            <xsl:when test=". = '2854'">Holy See (the) </xsl:when>
            <xsl:when test=". = '2855'">Honduras </xsl:when>
            <xsl:when test=". = '2856'">Hong Kong </xsl:when>
            <xsl:when test=". = '845'">Hungary </xsl:when>
            <xsl:when test=". = '882'">Iceland </xsl:when>
            <xsl:when test=". = '2865'">India </xsl:when>
            <xsl:when test=". = '2866'">Indonesia </xsl:when>
            <xsl:when test=". = '2870'">Iran (Islamic Republic of) </xsl:when>
            <xsl:when test=". = '2871'">Iraq </xsl:when>
            <xsl:when test=". = '911'">Ireland </xsl:when>
            <xsl:when test=". = '7819'">Isle of Man </xsl:when>
            <xsl:when test=". = '2876'">Israel </xsl:when>
            <xsl:when test=". = '916'">Italy </xsl:when>
            <xsl:when test=". = '2877'">Jamaica </xsl:when>
            <xsl:when test=". = '918'">Japan </xsl:when>
            <xsl:when test=". = '7820'">Jersey </xsl:when>
            <xsl:when test=". = '2878'">Jordan </xsl:when>
            <xsl:when test=". = '2879'">Kazakhstan </xsl:when>
            <xsl:when test=". = '2880'">Kenya </xsl:when>
            <xsl:when test=". = '2881'">Kiribati </xsl:when>
            <xsl:when test=". = '2882'">Korea (the Democratic People's Republic of) </xsl:when>
            <xsl:when test=". = '2883'">Korea (the Republic of) </xsl:when>
            <xsl:when test=". = '2884'">Kuwait </xsl:when>
            <xsl:when test=". = '2885'">Kyrgyzstan </xsl:when>
            <xsl:when test=". = '2886'">Lao People's Democratic Republic (the) </xsl:when>
            <xsl:when test=". = '985'">Latvia </xsl:when>
            <xsl:when test=". = '2887'">Lebanon </xsl:when>
            <xsl:when test=". = '2888'">Lesotho </xsl:when>
            <xsl:when test=". = '2889'">Liberia </xsl:when>
            <xsl:when test=". = '2890'">Libya </xsl:when>
            <xsl:when test=". = '2891'">Liechtenstein </xsl:when>
            <xsl:when test=". = '1024'">Lithuania </xsl:when>
            <xsl:when test=". = '1041'">Luxembourg </xsl:when>
            <xsl:when test=". = '2896'">Macao </xsl:when>
            <xsl:when test=". = '2898'">Madagascar </xsl:when>
            <xsl:when test=". = '2899'">Malawi </xsl:when>
            <xsl:when test=". = '2900'">Malaysia </xsl:when>
            <xsl:when test=". = '2901'">Maldives </xsl:when>
            <xsl:when test=". = '2902'">Mali </xsl:when>
            <xsl:when test=". = '1048'">Malta </xsl:when>
            <xsl:when test=". = '2904'">Marshall Islands (the) </xsl:when>
            <xsl:when test=". = '2905'">Martinique </xsl:when>
            <xsl:when test=". = '2908'">Mauritania </xsl:when>
            <xsl:when test=". = '2909'">Mauritius </xsl:when>
            <xsl:when test=". = '2910'">Mayotte </xsl:when>
            <xsl:when test=". = '1067'">Mexico </xsl:when>
            <xsl:when test=". = '3877'">Micronesia (Federated States of) </xsl:when>
            <xsl:when test=". = '2919'">Moldova (the Republic of) </xsl:when>
            <xsl:when test=". = '2921'">Monaco </xsl:when>
            <xsl:when test=". = '2922'">Mongolia </xsl:when>
            <xsl:when test=". = '7821'">Montenegro </xsl:when>
            <xsl:when test=". = '2924'">Montserrat </xsl:when>
            <xsl:when test=". = '2925'">Morocco </xsl:when>
            <xsl:when test=". = '2926'">Mozambique </xsl:when>
            <xsl:when test=". = '2930'">Myanmar </xsl:when>
            <xsl:when test=". = '2932'">Namibia </xsl:when>
            <xsl:when test=". = '2933'">Nauru </xsl:when>
            <xsl:when test=". = '2934'">Nepal </xsl:when>
            <xsl:when test=". = '1158'">Netherlands (the) </xsl:when>
            <xsl:when test=". = '2935'">Netherlands Antilles </xsl:when>
            <xsl:when test=". = '2938'">New Caledonia </xsl:when>
            <xsl:when test=". = '1161'">New Zealand </xsl:when>
            <xsl:when test=". = '2939'">Nicaragua </xsl:when>
            <xsl:when test=". = '2940'">Niger (the) </xsl:when>
            <xsl:when test=". = '2941'">Nigeria </xsl:when>
            <xsl:when test=". = '2942'">Niue </xsl:when>
            <xsl:when test=". = '2945'">Norfolk Island </xsl:when>
            <xsl:when test=". = '2897'">North Macedonia </xsl:when>
            <xsl:when test=". = '2946'">Northern Mariana Islands (the) </xsl:when>
            <xsl:when test=". = '1175'">Norway </xsl:when>
            <xsl:when test=". = '2977'">Oman </xsl:when>
            <xsl:when test=". = '2984'">Pakistan </xsl:when>
            <xsl:when test=". = '2985'">Palau </xsl:when>
            <xsl:when test=". = '2986'">Palestine, State of </xsl:when>
            <xsl:when test=". = '2987'">Panama </xsl:when>
            <xsl:when test=". = '2988'">Papua New Guinea </xsl:when>
            <xsl:when test=". = '2989'">Paraguay </xsl:when>
            <xsl:when test=". = '2994'">Peru </xsl:when>
            <xsl:when test=". = '2995'">Philippines (the) </xsl:when>
            <xsl:when test=". = '3000'">Pitcairn </xsl:when>
            <xsl:when test=". = '1394'">Poland </xsl:when>
            <xsl:when test=". = '1401'">Portugal </xsl:when>
            <xsl:when test=". = '3027'">Puerto Rico </xsl:when>
            <xsl:when test=". = '3028'">Qatar </xsl:when>
            <xsl:when test=". = '1496'">Romania </xsl:when>
            <xsl:when test=". = '3175'">Russian Federation (the) </xsl:when>
            <xsl:when test=". = '3176'">Rwanda </xsl:when>
            <xsl:when test=". = '3177'">Réunion </xsl:when>
            <xsl:when test=". = '7823'">Saint Barthélemy </xsl:when>
            <xsl:when test=". = '3318'">Saint Helena, Ascension and Tristan da Cunha </xsl:when>
            <xsl:when test=". = '3319'">Saint Kitts and Nevis </xsl:when>
            <xsl:when test=". = '3320'">Saint Lucia </xsl:when>
            <xsl:when test=". = '7824'">Saint Martin (French part) </xsl:when>
            <xsl:when test=". = '3321'">Saint Pierre and Miquelon </xsl:when>
            <xsl:when test=". = '3322'">Saint Vincent and the Grenadines </xsl:when>
            <xsl:when test=". = '3323'">Samoa </xsl:when>
            <xsl:when test=". = '3324'">San Marino </xsl:when>
            <xsl:when test=". = '3325'">Sao Tome and Principe </xsl:when>
            <xsl:when test=". = '3326'">Saudi Arabia </xsl:when>
            <xsl:when test=". = '3328'">Senegal </xsl:when>
            <xsl:when test=". = '3332'">Serbia </xsl:when>
            <xsl:when test=". = '3333'">Seychelles </xsl:when>
            <xsl:when test=". = '3336'">Sierra Leone </xsl:when>
            <xsl:when test=". = '3337'">Singapore </xsl:when>
            <xsl:when test=". = '65602'">Sint Maarten (Dutch part) </xsl:when>
            <xsl:when test=". = '3339'">Slovakia </xsl:when>
            <xsl:when test=". = '1562'">Slovenia </xsl:when>
            <xsl:when test=". = '3340'">Solomon Islands </xsl:when>
            <xsl:when test=". = '3343'">Somalia </xsl:when>
            <xsl:when test=". = '3344'">South Africa </xsl:when>
            <xsl:when test=". = '3345'">South Georgia and the South Sandwich Islands </xsl:when>
            <xsl:when test=". = '65603'">South Sudan </xsl:when>
            <xsl:when test=". = '1567'">Spain </xsl:when>
            <xsl:when test=". = '3346'">Sri Lanka </xsl:when>
            <xsl:when test=". = '3352'">Sudan (the) </xsl:when>
            <xsl:when test=". = '3355'">Suriname </xsl:when>
            <xsl:when test=". = '3357'">Svalbard and Jan Mayen </xsl:when>
            <xsl:when test=". = '1591'">Sweden </xsl:when>
            <xsl:when test=". = '1595'">Switzerland </xsl:when>
            <xsl:when test=". = '3359'">Syrian Arab Republic (the) </xsl:when>
            <xsl:when test=". = '3362'">Taiwan </xsl:when>
            <xsl:when test=". = '3363'">Tajikistan </xsl:when>
            <xsl:when test=". = '3364'">Tanzania, the United Republic of </xsl:when>
            <xsl:when test=". = '3366'">Thailand </xsl:when>
            <xsl:when test=". = '3370'">Timor-Leste </xsl:when>
            <xsl:when test=". = '3371'">Togo </xsl:when>
            <xsl:when test=". = '3372'">Tokelau </xsl:when>
            <xsl:when test=". = '3373'">Tonga </xsl:when>
            <xsl:when test=". = '3393'">Trinidad and Tobago </xsl:when>
            <xsl:when test=". = '3394'">Tunisia </xsl:when>
            <xsl:when test=". = '3395'">Turkmenistan </xsl:when>
            <xsl:when test=". = '3396'">Turks and Caicos Islands (the) </xsl:when>
            <xsl:when test=". = '3397'">Tuvalu </xsl:when>
            <xsl:when test=". = '1641'">Türkiye </xsl:when>
            <xsl:when test=". = '3402'">Uganda </xsl:when>
            <xsl:when test=". = '3403'">Ukraine </xsl:when>
            <xsl:when test=". = '3406'">United Arab Emirates (the) </xsl:when>
            <xsl:when test=". = '1651'">United Kingdom of Great Britain and Northern Ireland (the) </xsl:when>
            <xsl:when test=". = '63145'">United Kingdom: Northern Ireland </xsl:when>
            <xsl:when test=". = '1652'">United States (the) </xsl:when>
            <xsl:when test=". = '3407'">United States Minor Outlying Islands (the) </xsl:when>
            <xsl:when test=". = '3410'">Uruguay </xsl:when>
            <xsl:when test=". = '3412'">Uzbekistan </xsl:when>
            <xsl:when test=". = '3414'">Vanuatu </xsl:when>
            <xsl:when test=". = '3416'">Venezuela (Bolivarian Republic of) </xsl:when>
            <xsl:when test=". = '3420'">Viet Nam </xsl:when>
            <xsl:when test=". = '3421'">Virgin Islands (British) </xsl:when>
            <xsl:when test=". = '3422'">Virgin Islands (U.S.) </xsl:when>
            <xsl:when test=". = '3425'">Wallis And Futuna </xsl:when>
            <xsl:when test=". = '3428'">Western Sahara </xsl:when>
            <xsl:when test=". = '3433'">Yemen </xsl:when>
            <xsl:when test=". = '3434'">Zambia </xsl:when>
            <xsl:when test=". = '3435'">Zimbabwe </xsl:when>
            <xsl:when test=". = '1173'">no data </xsl:when>
            <xsl:when test=". = '2207'">not specified </xsl:when>
            <xsl:when test=". = '3446'">Åland Islands </xsl:when>
            <xsl:when test=". = '1342'">other: </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="//xt:DataProtection/i6:confidentiality">
        <xsl:choose>
            <xsl:when test=". = '2732'">CBI </xsl:when>
            <xsl:when test=". = '2859'">IP </xsl:when>
            <xsl:when test=". = '3441'">no PA </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
