<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i6="http://iuclid6.echa.europa.eu/namespaces/platform-fields/v1" xmlns:i6c="http://iuclid6.echa.europa.eu/namespaces/platform-container/v2" xmlns:xt="http://iuclid6.echa.europa.eu/namespaces/ENDPOINT_STUDY_RECORD-EffectivenessAgainstTargetOrganisms/8.0" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <link href="iuclid6_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <table>
                    <tr/>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="//i6c:PlatformMetadata | //i6c:Attachments | //i6c:ModificationHistory"/>
    <xsl:template match="//xt:ENDPOINT_STUDY_RECORD">
        <tr class="headerDocument">
            <td>Effectiveness against target organisms and intended uses - general information</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:RobustStudy | //xt:UsedForClassification | //xt:UsedForMSDS">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'RobustStudy'">Robust study summary</xsl:when>
                    <xsl:when test="name(.) = 'UsedForMSDS'">Used for SDS</xsl:when>
                    <xsl:when test="name(.) = 'UsedForClassification'">Used for classification</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:DataProtection">
        <tr>
            <td class="label"/>
            <td class="value">
                <xsl:apply-templates/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:StudyPeriodStartDate | //xt:StudyPeriodEndDate">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'StudyPeriodStartDate'">Study period: start date</xsl:when>
                    <xsl:when test="name(.) = 'StudyPeriodEndDate'">End date</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:RelatedInformation">
        <tr>
            <td class="label">Related information</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:DataWaivingJustification | //xt:DevelopmentalStageOfTargetPlant | //xt:FunctionAddressed | //xt:MethodOfApplication">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'DevelopmentalStageOfTargetPlant'">Developmental stage of target plant</xsl:when>
                    <xsl:when test="name(.) = 'DataWaivingJustification'">Justification for data waiving</xsl:when>
                    <xsl:when test="name(.) = 'MethodOfApplication'">Method of application</xsl:when>
                    <xsl:when test="name(.) = 'FunctionAddressed'">Function addressed</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '1342'">other:</xsl:when>
                    <xsl:when test="./i6:value = '113316'">0 - Germination, sprouting, bud development</xsl:when>
                    <xsl:when test="./i6:value = '113317'">00 - Dry seed (seed dressing takes place at stage 00); Winter dormancy or resting period</xsl:when>
                    <xsl:when test="./i6:value = '113318'">01 - Beginning of seed imbibition; Beginning of bud swelling</xsl:when>
                    <xsl:when test="./i6:value = '113319'">03 - Seed imbibition complete; End of bud swelling</xsl:when>
                    <xsl:when test="./i6:value = '113320'">05 - Radicle (root) emerged from seed; Perennating organs forming roots</xsl:when>
                    <xsl:when test="./i6:value = '113321'">06 - Elongation of radicle, formation of root hairs and/or lateral roots</xsl:when>
                    <xsl:when test="./i6:value = '113322'">07 - Coleoptile emerged from caryopsis; Hypocotyl with cotyledons or shoot breaking through seed coat; Beginning of sprouting or bud breaking</xsl:when>
                    <xsl:when test="./i6:value = '113323'">08 - Hypocotyl with cotyledons or shoot growing towards soil surface; Shoot growing towards soil surface</xsl:when>
                    <xsl:when test="./i6:value = '113324'">09 - Emergence: Coleoptile breaks through soil surface; Emergence: Cotyledons break through soil surface (except hypogeal germination); Emergence: Shoot/leaf breaks through soil surface; Buds show green tips</xsl:when>
                    <xsl:when test="./i6:value = '113325'">1 - Leaf development (main shoot)</xsl:when>
                    <xsl:when test="./i6:value = '113326'">10 - First true leaf emerged from coleoptile; Cotyledons completely unfolded; First leaves separated</xsl:when>
                    <xsl:when test="./i6:value = '113327'">11 - First true leaf, leaf pair or whorl unfolded; First leaves unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113328'">12 - 2 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113329'">13 - 3 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113330'">14 - 4 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113331'">15 - 5 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113332'">16 - 6 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113333'">17 - 7 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113334'">18 - 8 true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113335'">19 - 9 or more true leaves, leaf pairs or whorls unfolded</xsl:when>
                    <xsl:when test="./i6:value = '113336'">2 - Formation of side shoots/tillering</xsl:when>
                    <xsl:when test="./i6:value = '113337'">21 - First side shoot visible; First tiller visible</xsl:when>
                    <xsl:when test="./i6:value = '113338'">22 - 2 side shoots visible; 2 tillers visible</xsl:when>
                    <xsl:when test="./i6:value = '113339'">23 - 3 side shoots visible; 3 tillers visible</xsl:when>
                    <xsl:when test="./i6:value = '113340'">25 - 5 side shoots visible; 5 tillers visible</xsl:when>
                    <xsl:when test="./i6:value = '113341'">27 - 7 side shoots visible; 7 tillers visible</xsl:when>
                    <xsl:when test="./i6:value = '113342'">29 - 9 or more side shoots visible; 9 or more tillers visible</xsl:when>
                    <xsl:when test="./i6:value = '113343'">3 - Stem elongation or rosette growth, shoot development (main shoot)</xsl:when>
                    <xsl:when test="./i6:value = '113344'">31 - Stem (rosette) 10% of final length (diameter); 1 node detectable</xsl:when>
                    <xsl:when test="./i6:value = '113345'">32 - Stem (rosette) 20% of final length (diameter); 2 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113346'">33 - Stem (rosette) 30% of final length (diameter); 3 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113347'">34 - Stem (rosette) 40% of final length (diameter); 4 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113348'">35 - Stem (rosette) 50% of final length (diameter); 5 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113349'">36 - Stem (rosette) 60% of final length (diameter); 6 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113350'">37 - Stem (rosette) 70% of final length (diameter); 7 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113351'">38 - Stem (rosette) 80% of final length (diameter); 8 nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113352'">39 - Maximum stem length or rosette diameter reached; 9 or more nodes detectable</xsl:when>
                    <xsl:when test="./i6:value = '113353'">4 - Development of harvestable vegetative plant parts or vegetatively propagated organs/booting (main shoot)</xsl:when>
                    <xsl:when test="./i6:value = '113354'">40 - Harvestable vegetative plant parts or vegetatively propagated organs begin to develop</xsl:when>
                    <xsl:when test="./i6:value = '113355'">41 - Flag leaf sheath extending</xsl:when>
                    <xsl:when test="./i6:value = '113356'">43 - Harvestable vegetative plant parts or vegetatively propagated organs have reached 30% of final size; Flag leaf sheath just visibly swollen (mid-boot)</xsl:when>
                    <xsl:when test="./i6:value = '113357'">45 - Harvestable vegetative plant parts or vegetatively propagated organs have reached 50% of final size; Flag leaf sheath swollen (late-boot)</xsl:when>
                    <xsl:when test="./i6:value = '113358'">47 - Harvestable vegetative plant parts or vegetatively propagated organs have reached 70% of final size; Flag leaf sheath opening</xsl:when>
                    <xsl:when test="./i6:value = '113359'">49 - Harvestable vegetative plant parts or vegetatively propagated organs have reached final size; First awns visible</xsl:when>
                    <xsl:when test="./i6:value = '113360'">5 - Inflorescence emergence (main shoot)/heading</xsl:when>
                    <xsl:when test="./i6:value = '113361'">51 - Inflorescence or flower buds visible; Beginning of heading</xsl:when>
                    <xsl:when test="./i6:value = '113362'">55 - First individual flowers visible (still closed); Half of inflorescence emerged (middle of heading)</xsl:when>
                    <xsl:when test="./i6:value = '113363'">59 - First flower petals visible (in petalled forms); Inflorescence fully emerged (end of heading)</xsl:when>
                    <xsl:when test="./i6:value = '113364'">6 - Flowering (main shoot)</xsl:when>
                    <xsl:when test="./i6:value = '113365'">60 - First flowers open (sporadically)</xsl:when>
                    <xsl:when test="./i6:value = '113366'">61 - Beginning of flowering: 10 % of flowers open</xsl:when>
                    <xsl:when test="./i6:value = '113367'">62 - 20 % of flowers open</xsl:when>
                    <xsl:when test="./i6:value = '113368'">63 - 30 % of flowers open</xsl:when>
                    <xsl:when test="./i6:value = '113369'">64 - 40 % of flowers open</xsl:when>
                    <xsl:when test="./i6:value = '113370'">65 - Full flowering: 50 % of flowers open, first petals may be fallen</xsl:when>
                    <xsl:when test="./i6:value = '113371'">67 - Flowering finishing: majority of petals fallen or dry</xsl:when>
                    <xsl:when test="./i6:value = '113372'">69 - End of flowering: fruit set visible</xsl:when>
                    <xsl:when test="./i6:value = '113373'">7 - Development of fruit</xsl:when>
                    <xsl:when test="./i6:value = '113374'">71 - 10% of fruits have reached final size or fruit has reached 10% of final size; Caryopsis watery ripe</xsl:when>
                    <xsl:when test="./i6:value = '113375'">72 - 20% of fruits have reached final size or fruit has reached 20% of final size</xsl:when>
                    <xsl:when test="./i6:value = '113376'">73 - 30% of fruits have reached final size or fruit has reached 30% of final size; Early milk</xsl:when>
                    <xsl:when test="./i6:value = '113377'">74 - 40% of fruits have reached final size or fruit has reached 40% of final size</xsl:when>
                    <xsl:when test="./i6:value = '113378'">75 - 50% of fruits have reached final size or fruit has reached 50% of final size; Milky ripe, medium milk</xsl:when>
                    <xsl:when test="./i6:value = '113379'">76 - 60% of fruits have reached final size or fruit has reached 60% of final size</xsl:when>
                    <xsl:when test="./i6:value = '113380'">77 - 70% of fruits have reached final size or fruit has reached 70% of final size; Late milk</xsl:when>
                    <xsl:when test="./i6:value = '113381'">78 - 80% of fruits have reached final size or fruit has reached 80% of final size</xsl:when>
                    <xsl:when test="./i6:value = '113382'">79 - Nearly all fruits have reached final size</xsl:when>
                    <xsl:when test="./i6:value = '113383'">8 - Ripening or maturity of fruit and seed</xsl:when>
                    <xsl:when test="./i6:value = '113384'">81 - Beginning of ripening or fruit coloration</xsl:when>
                    <xsl:when test="./i6:value = '113385'">85 - Advanced ripening or fruit colouration; Dough stage</xsl:when>
                    <xsl:when test="./i6:value = '113386'">87 - Fruit begins to soften (species with fleshy fruit)</xsl:when>
                    <xsl:when test="./i6:value = '113387'">89 - Fully ripe: fruit shows fully-ripe colour, beginning of fruit abscission</xsl:when>
                    <xsl:when test="./i6:value = '113388'">9 - Senescence, beginning of dormancy</xsl:when>
                    <xsl:when test="./i6:value = '113389'">91 - Shoot development completed, foliage still green</xsl:when>
                    <xsl:when test="./i6:value = '113390'">93 - Beginning of leaf-fall</xsl:when>
                    <xsl:when test="./i6:value = '113391'">95 - 50% of leaves fallen</xsl:when>
                    <xsl:when test="./i6:value = '113392'">97 - End of leaf fall, plants or above ground parts dead or dormant; Plant resting or dormant</xsl:when>
                    <xsl:when test="./i6:value = '113393'">99 - Harvested product (post-harvest or storage treatment is applied at stage 99)</xsl:when>
                    <xsl:when test="./i6:value = '2193'">not applicable</xsl:when>
                    <xsl:when test="./i6:value = '1677'">acaricide</xsl:when>
                    <xsl:when test="./i6:value = '1716'">algicide</xsl:when>
                    <xsl:when test="./i6:value = '1742'">attractant</xsl:when>
                    <xsl:when test="./i6:value = '1744'">avicide</xsl:when>
                    <xsl:when test="./i6:value = '1749'">bactericide</xsl:when>
                    <xsl:when test="./i6:value = '1924'">fungicide</xsl:when>
                    <xsl:when test="./i6:value = '4524'">herbicide</xsl:when>
                    <xsl:when test="./i6:value = '4525'">insect attractant</xsl:when>
                    <xsl:when test="./i6:value = '4526'">insect repellent</xsl:when>
                    <xsl:when test="./i6:value = '2004'">insecticide</xsl:when>
                    <xsl:when test="./i6:value = '2129'">molluscicide</xsl:when>
                    <xsl:when test="./i6:value = '113231'">moss control</xsl:when>
                    <xsl:when test="./i6:value = '113232'">nematicide</xsl:when>
                    <xsl:when test="./i6:value = '2265'">pheromone</xsl:when>
                    <xsl:when test="./i6:value = '2271'">piscicide</xsl:when>
                    <xsl:when test="./i6:value = '113233'">plant activator</xsl:when>
                    <xsl:when test="./i6:value = '113234'">plant growth regulator</xsl:when>
                    <xsl:when test="./i6:value = '2314'">repellent</xsl:when>
                    <xsl:when test="./i6:value = '2324'">rodenticide</xsl:when>
                    <xsl:when test="./i6:value = '113235'">semio-chemical</xsl:when>
                    <xsl:when test="./i6:value = '113236'">talpicide</xsl:when>
                    <xsl:when test="./i6:value = '4527'">termiticide</xsl:when>
                    <xsl:when test="./i6:value = '113237'">viricide</xsl:when>
                    <xsl:when test="./i6:value = '6043'">bait application</xsl:when>
                    <xsl:when test="./i6:value = '6044'">closed system</xsl:when>
                    <xsl:when test="./i6:value = '6045'">closed system: pressure process</xsl:when>
                    <xsl:when test="./i6:value = '6046'">closed system: vacuum impregnation</xsl:when>
                    <xsl:when test="./i6:value = '6047'">foam application</xsl:when>
                    <xsl:when test="./i6:value = '6048'">fogging</xsl:when>
                    <xsl:when test="./i6:value = '6049'">fumigation</xsl:when>
                    <xsl:when test="./i6:value = '6051'">health protection</xsl:when>
                    <xsl:when test="./i6:value = '6052'">in bait boxes</xsl:when>
                    <xsl:when test="./i6:value = '58414'">manual application</xsl:when>
                    <xsl:when test="./i6:value = '6053'">material protection</xsl:when>
                    <xsl:when test="./i6:value = '6054'">mixing with glue and mortar</xsl:when>
                    <xsl:when test="./i6:value = '6055'">open</xsl:when>
                    <xsl:when test="./i6:value = '6056'">open system</xsl:when>
                    <xsl:when test="./i6:value = '6057'">open system: brush treatment</xsl:when>
                    <xsl:when test="./i6:value = '6058'">open system: deluging</xsl:when>
                    <xsl:when test="./i6:value = '6059'">open system: diffusion</xsl:when>
                    <xsl:when test="./i6:value = '6060'">open system: dip treatment</xsl:when>
                    <xsl:when test="./i6:value = '6061'">open system: foam application</xsl:when>
                    <xsl:when test="./i6:value = '6062'">open system: immersion</xsl:when>
                    <xsl:when test="./i6:value = '6063'">open system: injection</xsl:when>
                    <xsl:when test="./i6:value = '6064'">open system: spray treatment</xsl:when>
                    <xsl:when test="./i6:value = '6065'">open system: wrapping</xsl:when>
                    <xsl:when test="./i6:value = '6066'">painting</xsl:when>
                    <xsl:when test="./i6:value = '6067'">pouring</xsl:when>
                    <xsl:when test="./i6:value = '6068'">spraying</xsl:when>
                    <xsl:when test="./i6:value = '58415'">spreading</xsl:when>
                    <xsl:when test="./i6:value = '6069'">stored product protection / food protection</xsl:when>
                    <xsl:when test="./i6:value = '2207'">not specified</xsl:when>
                    <xsl:when test="./i6:value = '1173'">no data</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Endpoint | //xt:StudyResultType | //xt:PurposeFlag | //xt:Reliability | //xt:RationalReliability | //xt:DataWaiving | //xt:ReasonPurpose | //xt:ReasonPurpose | //xt:DataAccess | //xt:DataProtectionClaimed | //xt:ScientificName | //xt:CommonName | //xt:DevelopmentalStage | //xt:ProductType | //xt:ModeAction | //xt:Type">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'ProductType'">Product type</xsl:when>
                    <xsl:when test="name(.) = 'DataWaiving'">Data waiving</xsl:when>
                    <xsl:when test="name(.) = 'ScientificName'">Scientific name</xsl:when>
                    <xsl:when test="name(.) = 'PurposeFlag'">Adequacy of study</xsl:when>
                    <xsl:when test="name(.) = 'ReasonPurpose'">Reason / purpose for cross-reference</xsl:when>
                    <xsl:when test="name(.) = 'DataAccess'">Data access</xsl:when>
                    <xsl:when test="name(.) = 'Type'">Type</xsl:when>
                    <xsl:when test="name(.) = 'Endpoint'">Endpoint</xsl:when>
                    <xsl:when test="name(.) = 'RationalReliability'">Rationale for reliability incl. deficiencies</xsl:when>
                    <xsl:when test="name(.) = 'DataProtectionClaimed'">Data protection claimed</xsl:when>
                    <xsl:when test="name(.) = 'ModeAction'">Mode of action</xsl:when>
                    <xsl:when test="name(.) = 'Reliability'">Reliability</xsl:when>
                    <xsl:when test="name(.) = 'DevelopmentalStage'">Developmental stage of target pest</xsl:when>
                    <xsl:when test="name(.) = 'StudyResultType'">Type of information</xsl:when>
                    <xsl:when test="name(.) = 'CommonName'">Common name</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '61590'">effectiveness against target organisms and intended uses - general information</xsl:when>
                    <xsl:when test="./i6:value = '113227'">effects on harmful organisms</xsl:when>
                    <xsl:when test="./i6:value = '113230'">function</xsl:when>
                    <xsl:when test="./i6:value = '113229'">information on the (possible) occurrence of resistance development and appropriate management strategies</xsl:when>
                    <xsl:when test="./i6:value = '113228'">mode of action</xsl:when>
                    <xsl:when test="./i6:value = '1895'">experimental study</xsl:when>
                    <xsl:when test="./i6:value = '1896'">experimental study planned</xsl:when>
                    <xsl:when test="./i6:value = '60002'">experimental study planned (based on read-across)</xsl:when>
                    <xsl:when test="./i6:value = '14'">(Q)SAR</xsl:when>
                    <xsl:when test="./i6:value = '1885'">calculation (if not (Q)SAR)</xsl:when>
                    <xsl:when test="./i6:value = '2303'">read-across based on grouping of substances (category approach)</xsl:when>
                    <xsl:when test="./i6:value = '62036'">migrated information: read-across based on grouping of substances (category approach)</xsl:when>
                    <xsl:when test="./i6:value = '2304'">read-across from supporting substance (structural analogue or surrogate)</xsl:when>
                    <xsl:when test="./i6:value = '62035'">migrated information: read-across from supporting substance (structural analogue or surrogate)</xsl:when>
                    <xsl:when test="./i6:value = '107832'">read-across from similar mixture/product</xsl:when>
                    <xsl:when test="./i6:value = '107831'">mixture rules calculation</xsl:when>
                    <xsl:when test="./i6:value = '131762'">weight of evidence justification/conclusion</xsl:when>
                    <xsl:when test="./i6:value = '2207'">not specified</xsl:when>
                    <xsl:when test="./i6:value = '1342'">other:</xsl:when>
                    <xsl:when test="./i6:value = '1173'">no data</xsl:when>
                    <xsl:when test="./i6:value = '921'">key study</xsl:when>
                    <xsl:when test="./i6:value = '1590'">supporting study</xsl:when>
                    <xsl:when test="./i6:value = '1661'">weight of evidence</xsl:when>
                    <xsl:when test="./i6:value = '8108'">disregarded due to major methodological deficiencies</xsl:when>
                    <xsl:when test="./i6:value = '60020'">other information</xsl:when>
                    <xsl:when test="./i6:value = '16'">1 (reliable without restriction)</xsl:when>
                    <xsl:when test="./i6:value = '18'">2 (reliable with restrictions)</xsl:when>
                    <xsl:when test="./i6:value = '22'">3 (not reliable)</xsl:when>
                    <xsl:when test="./i6:value = '24'">4 (not assignable)</xsl:when>
                    <xsl:when test="./i6:value = '60170'">guideline study</xsl:when>
                    <xsl:when test="./i6:value = '60171'">comparable to guideline study</xsl:when>
                    <xsl:when test="./i6:value = '60172'">test procedure in accordance with national standard methods</xsl:when>
                    <xsl:when test="./i6:value = '60173'">test procedure in accordance with generally accepted scientific standards and described in sufficient detail</xsl:when>
                    <xsl:when test="./i6:value = '60174'">guideline study without detailed documentation</xsl:when>
                    <xsl:when test="./i6:value = '60175'">guideline study with acceptable restrictions</xsl:when>
                    <xsl:when test="./i6:value = '60176'">comparable to guideline study with acceptable restrictions</xsl:when>
                    <xsl:when test="./i6:value = '60177'">test procedure in accordance with national standard methods with acceptable restrictions</xsl:when>
                    <xsl:when test="./i6:value = '60178'">study well documented, meets generally accepted scientific principles, acceptable for assessment</xsl:when>
                    <xsl:when test="./i6:value = '60179'">accepted calculation method</xsl:when>
                    <xsl:when test="./i6:value = '60180'">data from handbook or collection of data</xsl:when>
                    <xsl:when test="./i6:value = '60181'">significant methodological deficiencies</xsl:when>
                    <xsl:when test="./i6:value = '60182'">unsuitable test system</xsl:when>
                    <xsl:when test="./i6:value = '60183'">abstract</xsl:when>
                    <xsl:when test="./i6:value = '60184'">secondary literature</xsl:when>
                    <xsl:when test="./i6:value = '60185'">documentation insufficient for assessment</xsl:when>
                    <xsl:when test="./i6:value = '60186'">results derived from a valid (Q)SAR model and falling into its applicability domain, with adequate and reliable documentation / justification</xsl:when>
                    <xsl:when test="./i6:value = '60187'">results derived from a valid (Q)SAR model and falling into its applicability domain, with limited documentation / justification</xsl:when>
                    <xsl:when test="./i6:value = '60188'">results derived from a valid (Q)SAR model, but  not (completely) falling into its applicability domain, with adequate and reliable documentation / justification</xsl:when>
                    <xsl:when test="./i6:value = '60189'">results derived from a (Q)SAR model, with limited documentation / justification, but validity of model and reliability of prediction considered adequate based on a generally acknowledged source</xsl:when>
                    <xsl:when test="./i6:value = '60190'">results derived from a valid (Q)SAR model, but not (completely) falling into its applicability domain, and documentation / justification is limited</xsl:when>
                    <xsl:when test="./i6:value = '60191'">results derived from a (Q)SAR model, with limited documentation / justification</xsl:when>
                    <xsl:when test="./i6:value = '1588'">study technically not feasible</xsl:when>
                    <xsl:when test="./i6:value = '1587'">study scientifically not necessary / other information available</xsl:when>
                    <xsl:when test="./i6:value = '982'">exposure considerations</xsl:when>
                    <xsl:when test="./i6:value = '60022'">study waived due to provisions of other regulation</xsl:when>
                    <xsl:when test="./i6:value = '2533'">other justification</xsl:when>
                    <xsl:when test="./i6:value = '60006'">data waiving: supporting information</xsl:when>
                    <xsl:when test="./i6:value = '60007'">exposure-related information</xsl:when>
                    <xsl:when test="./i6:value = '60008'">read-across: supporting information</xsl:when>
                    <xsl:when test="./i6:value = '60009'">(Q)SAR model reporting (QMRF)</xsl:when>
                    <xsl:when test="./i6:value = '60010'">(Q)SAR prediction reporting (QPRF)</xsl:when>
                    <xsl:when test="./i6:value = '60011'">(Q)SAR model and prediction reporting (QMRF/QPRF)</xsl:when>
                    <xsl:when test="./i6:value = '60012'">(Q)SAR: supporting information</xsl:when>
                    <xsl:when test="./i6:value = '131764'">weight of evidence: supporting information</xsl:when>
                    <xsl:when test="./i6:value = '60013'">justification, other:</xsl:when>
                    <xsl:when test="./i6:value = '119299'">adverse outcome pathway (AOP)</xsl:when>
                    <xsl:when test="./i6:value = '60014'">assessment report</xsl:when>
                    <xsl:when test="./i6:value = '119300'">defined approach</xsl:when>
                    <xsl:when test="./i6:value = '132086'">method used in study</xsl:when>
                    <xsl:when test="./i6:value = '60015'">read-across source</xsl:when>
                    <xsl:when test="./i6:value = '60016'">reference to other assay used for intermediate effect derivation</xsl:when>
                    <xsl:when test="./i6:value = '60018'">reference to other study</xsl:when>
                    <xsl:when test="./i6:value = '60017'">reference to same study</xsl:when>
                    <xsl:when test="./i6:value = '131763'">weight of evidence source</xsl:when>
                    <xsl:when test="./i6:value = '1838'">data submitter is data owner</xsl:when>
                    <xsl:when test="./i6:value = '1837'">data submitter has Letter of Access</xsl:when>
                    <xsl:when test="./i6:value = '1835'">data no longer protected</xsl:when>
                    <xsl:when test="./i6:value = '1836'">data published</xsl:when>
                    <xsl:when test="./i6:value = '60023'">data submitter has permission to refer</xsl:when>
                    <xsl:when test="./i6:value = '2193'">not applicable</xsl:when>
                    <xsl:when test="./i6:value = '2480'">yes</xsl:when>
                    <xsl:when test="./i6:value = '4161'">yes, but willing to share</xsl:when>
                    <xsl:when test="./i6:value = '4162'">yes, but not willing to share</xsl:when>
                    <xsl:when test="./i6:value = '4844'">Acaridae:</xsl:when>
                    <xsl:when test="./i6:value = '4845'">Actinobacter spp.</xsl:when>
                    <xsl:when test="./i6:value = '4846'">Aerobacter spp.</xsl:when>
                    <xsl:when test="./i6:value = '4847'">Alternaria spp.</xsl:when>
                    <xsl:when test="./i6:value = '4848'">Amphora spp.</xsl:when>
                    <xsl:when test="./i6:value = '4849'">Anobiidae:</xsl:when>
                    <xsl:when test="./i6:value = '4850'">Anobium punctatum De Geer</xsl:when>
                    <xsl:when test="./i6:value = '65697'">Anthrenocerus spp.</xsl:when>
                    <xsl:when test="./i6:value = '65698'">Anthrenus spp.</xsl:when>
                    <xsl:when test="./i6:value = '4851'">Arachnida: Acari:</xsl:when>
                    <xsl:when test="./i6:value = '4852'">Argasidae:</xsl:when>
                    <xsl:when test="./i6:value = '4853'">Arthropoda:</xsl:when>
                    <xsl:when test="./i6:value = '4854'">Aspergillus versicolor</xsl:when>
                    <xsl:when test="./i6:value = '4855'">Astigmata:</xsl:when>
                    <xsl:when test="./i6:value = '4856'">Aureobasidium pullulans spp.</xsl:when>
                    <xsl:when test="./i6:value = '4857'">Bacillus spp.</xsl:when>
                    <xsl:when test="./i6:value = '4858'">Barbula cylindrica</xsl:when>
                    <xsl:when test="./i6:value = '4859'">Basidiomycetes:</xsl:when>
                    <xsl:when test="./i6:value = '65699'">Blatta orientalis</xsl:when>
                    <xsl:when test="./i6:value = '65700'">Blattella germanica</xsl:when>
                    <xsl:when test="./i6:value = '4860'">Blattellidae:</xsl:when>
                    <xsl:when test="./i6:value = '4861'">Blattidae:</xsl:when>
                    <xsl:when test="./i6:value = '4862'">Blattodea:</xsl:when>
                    <xsl:when test="./i6:value = '4863'">Bostrichidae:</xsl:when>
                    <xsl:when test="./i6:value = '4864'">Branta bernicla</xsl:when>
                    <xsl:when test="./i6:value = '4865'">Branta canadensis</xsl:when>
                    <xsl:when test="./i6:value = '4866'">Buellia canescens</xsl:when>
                    <xsl:when test="./i6:value = '4867'">Calliphoridae:</xsl:when>
                    <xsl:when test="./i6:value = '4868'">Caloplaca spp.</xsl:when>
                    <xsl:when test="./i6:value = '4869'">Camptothecium sericenum</xsl:when>
                    <xsl:when test="./i6:value = '4870'">Candelariella spp.</xsl:when>
                    <xsl:when test="./i6:value = '4871'">Ceratocystis spp.</xsl:when>
                    <xsl:when test="./i6:value = '4872'">Ceratophyllidae:</xsl:when>
                    <xsl:when test="./i6:value = '4873'">Ceratopogonidae:</xsl:when>
                    <xsl:when test="./i6:value = '4874'">Cheyletiellidae:</xsl:when>
                    <xsl:when test="./i6:value = '65701'">Cimex hemipterus</xsl:when>
                    <xsl:when test="./i6:value = '65702'">Cimex lectularius</xsl:when>
                    <xsl:when test="./i6:value = '4875'">Cimicidae:</xsl:when>
                    <xsl:when test="./i6:value = '4876'">Cladosporium caldosporioides</xsl:when>
                    <xsl:when test="./i6:value = '4877'">Coleoptera:</xsl:when>
                    <xsl:when test="./i6:value = '4878'">Columba livia</xsl:when>
                    <xsl:when test="./i6:value = '4879'">Columba palumbus</xsl:when>
                    <xsl:when test="./i6:value = '4880'">Corvus corone</xsl:when>
                    <xsl:when test="./i6:value = '4881'">Corvus frugilegus</xsl:when>
                    <xsl:when test="./i6:value = '4882'">Corvus monedula</xsl:when>
                    <xsl:when test="./i6:value = '4883'">Crustacea:</xsl:when>
                    <xsl:when test="./i6:value = '65703'">Ctenocephalides canis</xsl:when>
                    <xsl:when test="./i6:value = '65704'">Ctenocephalides felis</xsl:when>
                    <xsl:when test="./i6:value = '4884'">Culicidae:</xsl:when>
                    <xsl:when test="./i6:value = '4885'">Curculionidae:</xsl:when>
                    <xsl:when test="./i6:value = '4886'">Dermanyssidae:</xsl:when>
                    <xsl:when test="./i6:value = '4887'">Dermaptera:</xsl:when>
                    <xsl:when test="./i6:value = '4888'">Dermestidae:</xsl:when>
                    <xsl:when test="./i6:value = '4889'">Diptera:</xsl:when>
                    <xsl:when test="./i6:value = '4890'">Dolichoderinae:</xsl:when>
                    <xsl:when test="./i6:value = '65705'">Dolichovespula spp.</xsl:when>
                    <xsl:when test="./i6:value = '4891'">Drosophilidae:</xsl:when>
                    <xsl:when test="./i6:value = '4892'">Enteromorpha spp.</xsl:when>
                    <xsl:when test="./i6:value = '4893'">Forficulidae:</xsl:when>
                    <xsl:when test="./i6:value = '4894'">Formicinae:</xsl:when>
                    <xsl:when test="./i6:value = '4895'">Fungi:</xsl:when>
                    <xsl:when test="./i6:value = '4896'">Garrulus glandarius</xsl:when>
                    <xsl:when test="./i6:value = '4897'">Gelechiidae:</xsl:when>
                    <xsl:when test="./i6:value = '4898'">Gloeocapsa alpicola</xsl:when>
                    <xsl:when test="./i6:value = '4899'">Glycyphagidae:</xsl:when>
                    <xsl:when test="./i6:value = '4900'">Grimmia pulvinata</xsl:when>
                    <xsl:when test="./i6:value = '4901'">Gryllidae:</xsl:when>
                    <xsl:when test="./i6:value = '4902'">Haematopinidae:</xsl:when>
                    <xsl:when test="./i6:value = '4903'">Hemiptera: Heteroptera:</xsl:when>
                    <xsl:when test="./i6:value = '4904'">Hesperophanes spp.</xsl:when>
                    <xsl:when test="./i6:value = '4905'">Hippoboscidae:</xsl:when>
                    <xsl:when test="./i6:value = '4906'">Hylotrupes bajulus L.</xsl:when>
                    <xsl:when test="./i6:value = '4907'">Hymenoptera: Formicidae:</xsl:when>
                    <xsl:when test="./i6:value = '4908'">Hymenoptera: Vespinae:</xsl:when>
                    <xsl:when test="./i6:value = '4909'">Insecta:</xsl:when>
                    <xsl:when test="./i6:value = '4910'">Isopoda:</xsl:when>
                    <xsl:when test="./i6:value = '4911'">Isoptera:</xsl:when>
                    <xsl:when test="./i6:value = '65706'">Ixodes ricinus</xsl:when>
                    <xsl:when test="./i6:value = '4912'">Ixodidae:</xsl:when>
                    <xsl:when test="./i6:value = '4913'">Kalotermitidae</xsl:when>
                    <xsl:when test="./i6:value = '4914'">Larus argentatus</xsl:when>
                    <xsl:when test="./i6:value = '4915'">Larus carnus</xsl:when>
                    <xsl:when test="./i6:value = '4916'">Larus fuscus</xsl:when>
                    <xsl:when test="./i6:value = '4917'">Larus marinus</xsl:when>
                    <xsl:when test="./i6:value = '4918'">Larus ridibundus</xsl:when>
                    <xsl:when test="./i6:value = '65707'">Lasius niger</xsl:when>
                    <xsl:when test="./i6:value = '4919'">Latridiidae:</xsl:when>
                    <xsl:when test="./i6:value = '4920'">Lecanora dispersa</xsl:when>
                    <xsl:when test="./i6:value = '4921'">Lepidoptera:</xsl:when>
                    <xsl:when test="./i6:value = '4922'">Lepismatidae:</xsl:when>
                    <xsl:when test="./i6:value = '4923'">Limnoria lignorum</xsl:when>
                    <xsl:when test="./i6:value = '4924'">Limnoria spp.</xsl:when>
                    <xsl:when test="./i6:value = '65708'">Linepithema humile</xsl:when>
                    <xsl:when test="./i6:value = '4925'">Linognathidae:</xsl:when>
                    <xsl:when test="./i6:value = '4926'">Liposcelidae:</xsl:when>
                    <xsl:when test="./i6:value = '4927'">Lunularia cruciata</xsl:when>
                    <xsl:when test="./i6:value = '4928'">Lyctus brunneus</xsl:when>
                    <xsl:when test="./i6:value = '4929'">Macronyssidae:</xsl:when>
                    <xsl:when test="./i6:value = '4930'">Mallophaga:</xsl:when>
                    <xsl:when test="./i6:value = '4931'">Marchantia polymorpha</xsl:when>
                    <xsl:when test="./i6:value = '4932'">Mesostigmata (Gamasida):</xsl:when>
                    <xsl:when test="./i6:value = '4933'">Metastigmata (Ixodida):</xsl:when>
                    <xsl:when test="./i6:value = '4934'">Microtidae:</xsl:when>
                    <xsl:when test="./i6:value = '65710'">Microtus arvalis</xsl:when>
                    <xsl:when test="./i6:value = '65711'">Monomorium pharaonis</xsl:when>
                    <xsl:when test="./i6:value = '4935'">Muridae:</xsl:when>
                    <xsl:when test="./i6:value = '4936'">Mus macedonius</xsl:when>
                    <xsl:when test="./i6:value = '4937'">Mus musculus</xsl:when>
                    <xsl:when test="./i6:value = '4938'">Mus musculus domesticus</xsl:when>
                    <xsl:when test="./i6:value = '4939'">Mus musculus musculus</xsl:when>
                    <xsl:when test="./i6:value = '4940'">Mus spretus</xsl:when>
                    <xsl:when test="./i6:value = '65712'">Musca domestica</xsl:when>
                    <xsl:when test="./i6:value = '4941'">Muscidae:</xsl:when>
                    <xsl:when test="./i6:value = '65716'">Mycobacteriaceae:</xsl:when>
                    <xsl:when test="./i6:value = '65717'">Mycobacterium tuberculosis</xsl:when>
                    <xsl:when test="./i6:value = '65718'">Myodes glareolus</xsl:when>
                    <xsl:when test="./i6:value = '4942'">Myrmicinae:</xsl:when>
                    <xsl:when test="./i6:value = '4943'">Nostoc commune</xsl:when>
                    <xsl:when test="./i6:value = '4944'">Oniscidae:</xsl:when>
                    <xsl:when test="./i6:value = '4945'">Ostomidae:</xsl:when>
                    <xsl:when test="./i6:value = '4946'">Passer domesticus</xsl:when>
                    <xsl:when test="./i6:value = '4947'">Pediculidae:</xsl:when>
                    <xsl:when test="./i6:value = '4948'">Penicillium purpurogenum</xsl:when>
                    <xsl:when test="./i6:value = '65709'">Periplaneta americana</xsl:when>
                    <xsl:when test="./i6:value = '4949'">Phialophora spp.</xsl:when>
                    <xsl:when test="./i6:value = '4950'">Phoma violacea</xsl:when>
                    <xsl:when test="./i6:value = '4951'">Phthiraptera:</xsl:when>
                    <xsl:when test="./i6:value = '4952'">Phthiridae:</xsl:when>
                    <xsl:when test="./i6:value = '4953'">Pica pica</xsl:when>
                    <xsl:when test="./i6:value = '4954'">Pleurococcus spp.</xsl:when>
                    <xsl:when test="./i6:value = '4955'">Porcellionidae:</xsl:when>
                    <xsl:when test="./i6:value = '4956'">Prostigmata:</xsl:when>
                    <xsl:when test="./i6:value = '4957'">Pseudomonas aeruginosa</xsl:when>
                    <xsl:when test="./i6:value = '4958'">Pseudomonas spp.</xsl:when>
                    <xsl:when test="./i6:value = '4959'">Psocoptera:</xsl:when>
                    <xsl:when test="./i6:value = '4960'">Psoroptidae:</xsl:when>
                    <xsl:when test="./i6:value = '4961'">Psychodidae:</xsl:when>
                    <xsl:when test="./i6:value = '4962'">Psyllipsocidae:</xsl:when>
                    <xsl:when test="./i6:value = '4963'">Ptinidae:</xsl:when>
                    <xsl:when test="./i6:value = '4964'">Pulicidae:</xsl:when>
                    <xsl:when test="./i6:value = '4965'">Pyemotidae:</xsl:when>
                    <xsl:when test="./i6:value = '4966'">Pyraloidea:</xsl:when>
                    <xsl:when test="./i6:value = '4967'">Pyroglyphidae:</xsl:when>
                    <xsl:when test="./i6:value = '4968'">Rattus norvegicus</xsl:when>
                    <xsl:when test="./i6:value = '4969'">Rattus rattus</xsl:when>
                    <xsl:when test="./i6:value = '4970'">Reticulitermes sp.</xsl:when>
                    <xsl:when test="./i6:value = '4971'">Rhodotorula rubra</xsl:when>
                    <xsl:when test="./i6:value = '4972'">Rhynchostegiella tenella</xsl:when>
                    <xsl:when test="./i6:value = '4973'">Rodentia:</xsl:when>
                    <xsl:when test="./i6:value = '4974'">Saltatoria:</xsl:when>
                    <xsl:when test="./i6:value = '4975'">Sarcophagidae:</xsl:when>
                    <xsl:when test="./i6:value = '4976'">Sarcoptidae:</xsl:when>
                    <xsl:when test="./i6:value = '4977'">Sciurus carolinensis</xsl:when>
                    <xsl:when test="./i6:value = '4978'">Serpula lacrymans</xsl:when>
                    <xsl:when test="./i6:value = '4979'">Silvanidae:</xsl:when>
                    <xsl:when test="./i6:value = '4980'">Simuliidae:</xsl:when>
                    <xsl:when test="./i6:value = '4981'">Siphonaptera:</xsl:when>
                    <xsl:when test="./i6:value = '4982'">Sporbolomyces roseus</xsl:when>
                    <xsl:when test="./i6:value = '4983'">Stachybotrys atra</xsl:when>
                    <xsl:when test="./i6:value = '4984'">Stichococcus bacillaris</xsl:when>
                    <xsl:when test="./i6:value = '65719'">Stomoxys calcitrans</xsl:when>
                    <xsl:when test="./i6:value = '4985'">Streptopelia decaocto</xsl:when>
                    <xsl:when test="./i6:value = '4986'">Sturnus vulgaris</xsl:when>
                    <xsl:when test="./i6:value = '4987'">Tabanidae:</xsl:when>
                    <xsl:when test="./i6:value = '4988'">Tenebrionidae:</xsl:when>
                    <xsl:when test="./i6:value = '4989'">Teredo navalis</xsl:when>
                    <xsl:when test="./i6:value = '4990'">Teredo spp.</xsl:when>
                    <xsl:when test="./i6:value = '65720'">Tinea pellionella</xsl:when>
                    <xsl:when test="./i6:value = '4991'">Tineidae:</xsl:when>
                    <xsl:when test="./i6:value = '65721'">Tineola bisselliella</xsl:when>
                    <xsl:when test="./i6:value = '4992'">Tortula muralis</xsl:when>
                    <xsl:when test="./i6:value = '4993'">Trogiidae:</xsl:when>
                    <xsl:when test="./i6:value = '4994'">Trombiculidae:</xsl:when>
                    <xsl:when test="./i6:value = '4995'">Ulocladium atrum</xsl:when>
                    <xsl:when test="./i6:value = '65722'">Vespula spp.</xsl:when>
                    <xsl:when test="./i6:value = '4996'">Xestobium rufovillosum</xsl:when>
                    <xsl:when test="./i6:value = '4997'">Zygentoma:</xsl:when>
                    <xsl:when test="./i6:value = '119439'">Abacarus hystrix (ABACHY)</xsl:when>
                    <xsl:when test="./i6:value = '119440'">Abax parallelepipidus (ABAXPE)</xsl:when>
                    <xsl:when test="./i6:value = '119441'">Abortiporus biennis (ABRPBI)</xsl:when>
                    <xsl:when test="./i6:value = '119442'">Abramis ballerus (ABRABA)</xsl:when>
                    <xsl:when test="./i6:value = '119443'">Abraxas grossulariata (ABRXGR)</xsl:when>
                    <xsl:when test="./i6:value = '119444'">Abraxas sylvata (ABRXSY)</xsl:when>
                    <xsl:when test="./i6:value = '119445'">Absidia corymbifera (ABSICO)</xsl:when>
                    <xsl:when test="./i6:value = '119446'">Absidia ramosa (ABSIRA)</xsl:when>
                    <xsl:when test="./i6:value = '119447'">Acalitus essigi (ACEIES)</xsl:when>
                    <xsl:when test="./i6:value = '119448'">Acalitus vaccinii (ERPHVA)</xsl:when>
                    <xsl:when test="./i6:value = '119449'">Acalolepta rusticator (MONCFI)</xsl:when>
                    <xsl:when test="./i6:value = '119450'">Acalymma trivittatum (ACAYTR)</xsl:when>
                    <xsl:when test="./i6:value = '119451'">Acalymma vittatum (ACAYVT)</xsl:when>
                    <xsl:when test="./i6:value = '119452'">Acanalonia conica (ACNLCO)</xsl:when>
                    <xsl:when test="./i6:value = '119453'">Acanthepeira stellata (ATHPST)</xsl:when>
                    <xsl:when test="./i6:value = '119454'">Acanthinula aculeata (AKNLAC)</xsl:when>
                    <xsl:when test="./i6:value = '119455'">Acanthiophilus helianthi (ACAIHE)</xsl:when>
                    <xsl:when test="./i6:value = '119456'">Acanthobrahmaea europaea (ABRHEU)</xsl:when>
                    <xsl:when test="./i6:value = '119457'">Acanthocephala femorata (ACAOFE)</xsl:when>
                    <xsl:when test="./i6:value = '119458'">Acanthocinus aedilis (ACAHAE)</xsl:when>
                    <xsl:when test="./i6:value = '119459'">Acanthococcus azaleae (ERIOAZ)</xsl:when>
                    <xsl:when test="./i6:value = '119460'">Acanthococcus coccineus (ERIOCC)</xsl:when>
                    <xsl:when test="./i6:value = '119461'">Acanthococcus devoniensis (ERIODE)</xsl:when>
                    <xsl:when test="./i6:value = '119462'">Acanthodactylus erythrurus (AKNDER)</xsl:when>
                    <xsl:when test="./i6:value = '119463'">Acanthoscelides argillaceus (ACANOR)</xsl:when>
                    <xsl:when test="./i6:value = '119464'">Acanthoscelides obtectus (ACANOB)</xsl:when>
                    <xsl:when test="./i6:value = '119465'">Acanthosoma haemorrhoidale (ACHMHA)</xsl:when>
                    <xsl:when test="./i6:value = '119466'">Acaphylla theae (ERPHTE)</xsl:when>
                    <xsl:when test="./i6:value = '119467'">Acaphylla theavagrans (ACAATV)</xsl:when>
                    <xsl:when test="./i6:value = '119468'">Acarapis externus (ACASEX)</xsl:when>
                    <xsl:when test="./i6:value = '119469'">Acarapis woodi (ACASWO)</xsl:when>
                    <xsl:when test="./i6:value = '119470'">Acarus farris (ACARFA)</xsl:when>
                    <xsl:when test="./i6:value = '119471'">Acarus siro (ACARSI)</xsl:when>
                    <xsl:when test="./i6:value = '119472'">Acaudaleyrodes rachipora (ALTRCI)</xsl:when>
                    <xsl:when test="./i6:value = '119473'">Accipiter gularis (ACCIGU)</xsl:when>
                    <xsl:when test="./i6:value = '119474'">Accipiter nisus (ACCINI)</xsl:when>
                    <xsl:when test="./i6:value = '119475'">Accipiter striatus (ACCIST)</xsl:when>
                    <xsl:when test="./i6:value = '119476'">Acentria ephemerella (ACENEP)</xsl:when>
                    <xsl:when test="./i6:value = '119477'">Aceratagallia sanguinolenta (ACEASA)</xsl:when>
                    <xsl:when test="./i6:value = '119478'">Aceria cajani (ACEICJ)</xsl:when>
                    <xsl:when test="./i6:value = '119479'">Aceria chondrillae (ACEICH)</xsl:when>
                    <xsl:when test="./i6:value = '119480'">Aceria ficus (ACEIFI)</xsl:when>
                    <xsl:when test="./i6:value = '119481'">Aceria fraxinivora (ERPHFR)</xsl:when>
                    <xsl:when test="./i6:value = '119482'">Aceria granati (ACEIGA)</xsl:when>
                    <xsl:when test="./i6:value = '119483'">Aceria guerreronis (ACEIGU)</xsl:when>
                    <xsl:when test="./i6:value = '119484'">Aceria hibisci (ACEIHI)</xsl:when>
                    <xsl:when test="./i6:value = '119485'">Aceria kuko (ACEIKU)</xsl:when>
                    <xsl:when test="./i6:value = '119486'">Aceria litchii (ERPHLI)</xsl:when>
                    <xsl:when test="./i6:value = '119487'">Aceria macrorhynchus (ACEIMA)</xsl:when>
                    <xsl:when test="./i6:value = '119488'">Aceria mangiferae (ERPHMG)</xsl:when>
                    <xsl:when test="./i6:value = '119489'">Aceria medicaginis (ACEIME)</xsl:when>
                    <xsl:when test="./i6:value = '119490'">Aceria populi (ACEIPO)</xsl:when>
                    <xsl:when test="./i6:value = '119491'">Aceria sacchari (ACEISR)</xsl:when>
                    <xsl:when test="./i6:value = '119492'">Aceria sheldoni (ACEISH)</xsl:when>
                    <xsl:when test="./i6:value = '119493'">Achaea lienardi (ACAELI)</xsl:when>
                    <xsl:when test="./i6:value = '119494'">Acharia fusca (SIBIFU)</xsl:when>
                    <xsl:when test="./i6:value = '119495'">Acharia stimulea (SIBIST)</xsl:when>
                    <xsl:when test="./i6:value = '119496'">Achatina fulica (ACHAFU)</xsl:when>
                    <xsl:when test="./i6:value = '119497'">Acherontia lachesis (ACHELA)</xsl:when>
                    <xsl:when test="./i6:value = '119498'">Acherontia styx (ACHEST)</xsl:when>
                    <xsl:when test="./i6:value = '119499'">Acherontia styx crathis (ACHESO)</xsl:when>
                    <xsl:when test="./i6:value = '119500'">Acheta domesticus (ACHTDO)</xsl:when>
                    <xsl:when test="./i6:value = '119501'">Achlya ambisexualis (ACHLAS)</xsl:when>
                    <xsl:when test="./i6:value = '119502'">Achlya flavicornis (ACHYFL)</xsl:when>
                    <xsl:when test="./i6:value = '119503'">Achlyodes mithridates (ACHDMI)</xsl:when>
                    <xsl:when test="./i6:value = '119504'">Achlyodes mithridates thraso (EANTTH)</xsl:when>
                    <xsl:when test="./i6:value = '119505'">Achroia grisella (ACHIGR)</xsl:when>
                    <xsl:when test="./i6:value = '119506'">Achyra rantalis (LOXORA)</xsl:when>
                    <xsl:when test="./i6:value = '119507'">Acidovorax avenae (PSDMAV)</xsl:when>
                    <xsl:when test="./i6:value = '119508'">Acidovorax konjaci (XANTCO)</xsl:when>
                    <xsl:when test="./i6:value = '119509'">Acidovorax valerianellae (ACVRVA)</xsl:when>
                    <xsl:when test="./i6:value = '119510'">Acinetobacter calcoaceticus (ACINCA)</xsl:when>
                    <xsl:when test="./i6:value = '119511'">Acinia picturata (ACIIPI)</xsl:when>
                    <xsl:when test="./i6:value = '119512'">Acinonyx jubatus (AKNOJU)</xsl:when>
                    <xsl:when test="./i6:value = '119513'">Acinopterus angulatus (ACIPAN)</xsl:when>
                    <xsl:when test="./i6:value = '119514'">Acipenser sturio (ACPNST)</xsl:when>
                    <xsl:when test="./i6:value = '119515'">Acizzia acaciaebaileyana (PSYLAB)</xsl:when>
                    <xsl:when test="./i6:value = '119516'">Acizzia jamatonica (ACIZJA)</xsl:when>
                    <xsl:when test="./i6:value = '119517'">Acizzia solanicola (ACIZSO)</xsl:when>
                    <xsl:when test="./i6:value = '119518'">Acizzia uncatoides (PSYLUN)</xsl:when>
                    <xsl:when test="./i6:value = '119519'">Aclerda tokionis (ACLDTO)</xsl:when>
                    <xsl:when test="./i6:value = '119520'">Acleris comariana (ACALCM)</xsl:when>
                    <xsl:when test="./i6:value = '119521'">Acleris ferrugana (ACALFE)</xsl:when>
                    <xsl:when test="./i6:value = '119522'">Acleris gloverana (ACLRGL)</xsl:when>
                    <xsl:when test="./i6:value = '119523'">Acleris laterana (ACLRLA)</xsl:when>
                    <xsl:when test="./i6:value = '119524'">Acleris lorquiniana (ACLRLO)</xsl:when>
                    <xsl:when test="./i6:value = '119525'">Acleris minuta (ACLRMI)</xsl:when>
                    <xsl:when test="./i6:value = '119526'">Acleris rhombana (ACALCN)</xsl:when>
                    <xsl:when test="./i6:value = '119527'">Acleris variana (ACLRVA)</xsl:when>
                    <xsl:when test="./i6:value = '119528'">Acremonium furcatum (ACREFU)</xsl:when>
                    <xsl:when test="./i6:value = '119529'">Acremonium kiliense (ACREKI)</xsl:when>
                    <xsl:when test="./i6:value = '119530'">Acremonium strictum (ACREST)</xsl:when>
                    <xsl:when test="./i6:value = '119531'">Acremonium zonatum (ACREZO)</xsl:when>
                    <xsl:when test="./i6:value = '119532'">Acrida bicolor (ACRIBI)</xsl:when>
                    <xsl:when test="./i6:value = '119533'">Acrida cinerea (ACRICI)</xsl:when>
                    <xsl:when test="./i6:value = '119534'">Acrida conica (ACRICO)</xsl:when>
                    <xsl:when test="./i6:value = '119535'">Acrida exaltata (ACRIEX)</xsl:when>
                    <xsl:when test="./i6:value = '119536'">Acrida turrita (ACRITU)</xsl:when>
                    <xsl:when test="./i6:value = '119537'">Acrida ungarica (ACRIHU)</xsl:when>
                    <xsl:when test="./i6:value = '119538'">Acridotheres tristis (ACRHTR)</xsl:when>
                    <xsl:when test="./i6:value = '119539'">Acris crepitans (AKRICR)</xsl:when>
                    <xsl:when test="./i6:value = '119540'">Acrobasis caryae (ACBACA)</xsl:when>
                    <xsl:when test="./i6:value = '119541'">Acrobasis indigenella (ACBAIN)</xsl:when>
                    <xsl:when test="./i6:value = '119542'">Acrobasis nuxvorella (ACBANU)</xsl:when>
                    <xsl:when test="./i6:value = '119543'">Acrobasis tricolorella (MINESC)</xsl:when>
                    <xsl:when test="./i6:value = '119544'">Acrocalymma medicaginis (ACCMMC)</xsl:when>
                    <xsl:when test="./i6:value = '119545'">Acrocassis roseomarginata (ACRARO)</xsl:when>
                    <xsl:when test="./i6:value = '119546'">Acrocephalus arundinaceus (ACRKAR)</xsl:when>
                    <xsl:when test="./i6:value = '119547'">Acroceratitis striata (CERTST)</xsl:when>
                    <xsl:when test="./i6:value = '119548'">Acrocercops plebeia (AROCPL)</xsl:when>
                    <xsl:when test="./i6:value = '119549'">Acrocercops syngramma (AROCSY)</xsl:when>
                    <xsl:when test="./i6:value = '119550'">Acrolepiopsis assectella (ACROAS)</xsl:when>
                    <xsl:when test="./i6:value = '119551'">Acrometopa macropoda (AKMTMA)</xsl:when>
                    <xsl:when test="./i6:value = '119552'">Acronicta oblinita (ACRNOB)</xsl:when>
                    <xsl:when test="./i6:value = '119553'">Acronicta populi (ACRNPO)</xsl:when>
                    <xsl:when test="./i6:value = '119554'">Acronicta psi (ACRNPS)</xsl:when>
                    <xsl:when test="./i6:value = '119555'">Acronicta rumicis (ACRNRU)</xsl:when>
                    <xsl:when test="./i6:value = '119556'">Acronicta tridens (ACRNTR)</xsl:when>
                    <xsl:when test="./i6:value = '119557'">Acrothinium gaschkevitchi (ACRTGA)</xsl:when>
                    <xsl:when test="./i6:value = '119558'">Acrotomopus atropunctellus (AKRTAT)</xsl:when>
                    <xsl:when test="./i6:value = '119559'">Acrotylus insubricus (ACOTIN)</xsl:when>
                    <xsl:when test="./i6:value = '119560'">Acrotylus patruelis (ACOTPT)</xsl:when>
                    <xsl:when test="./i6:value = '119561'">Actias isabellae (ACTIIS)</xsl:when>
                    <xsl:when test="./i6:value = '119562'">Actias luna (ACTILU)</xsl:when>
                    <xsl:when test="./i6:value = '119563'">Aculops fuchsiae (ACUPFU)</xsl:when>
                    <xsl:when test="./i6:value = '119564'">Aculops pelekassi (ACULPE)</xsl:when>
                    <xsl:when test="./i6:value = '119565'">Aculus schlechtendali (VASASD)</xsl:when>
                    <xsl:when test="./i6:value = '119566'">Acutaspis agavis (CHRYAG)</xsl:when>
                    <xsl:when test="./i6:value = '119567'">Acutaspis perseae (CHRYPE)</xsl:when>
                    <xsl:when test="./i6:value = '119568'">Acyrthosiphon caraganae (ACYRCA)</xsl:when>
                    <xsl:when test="./i6:value = '119569'">Acyrthosiphon kondoi (ACYRKO)</xsl:when>
                    <xsl:when test="./i6:value = '119570'">Acyrthosiphon primulae (ACYRPR)</xsl:when>
                    <xsl:when test="./i6:value = '119571'">Adalia bipunctata (ADALBI)</xsl:when>
                    <xsl:when test="./i6:value = '119572'">Adalia decempunctata (COCIDE)</xsl:when>
                    <xsl:when test="./i6:value = '119573'">Adelges japonicus (ADLGJA)</xsl:when>
                    <xsl:when test="./i6:value = '119574'">Adelges tsugae (ADLGTS)</xsl:when>
                    <xsl:when test="./i6:value = '119575'">Adelium abbreviatum (ADLMAB)</xsl:when>
                    <xsl:when test="./i6:value = '119576'">Adelium brevicorne (ADLMBR)</xsl:when>
                    <xsl:when test="./i6:value = '119577'">Adelphocoris lineolatus (ADPHLI)</xsl:when>
                    <xsl:when test="./i6:value = '119578'">Adelphocoris rapidus (ADPHRA)</xsl:when>
                    <xsl:when test="./i6:value = '119579'">Adelphocoris superbus (ADPHSU)</xsl:when>
                    <xsl:when test="./i6:value = '119580'">Adoretus cribrosus (ADORCR)</xsl:when>
                    <xsl:when test="./i6:value = '119581'">Adoretus lasiopygus (ADORLA)</xsl:when>
                    <xsl:when test="./i6:value = '119582'">Adoretus sinicus (ADORSI)</xsl:when>
                    <xsl:when test="./i6:value = '119583'">Adoretus tenuimaculatus (ADORTN)</xsl:when>
                    <xsl:when test="./i6:value = '119584'">Adoretus tessulatus (ADORTS)</xsl:when>
                    <xsl:when test="./i6:value = '119585'">Adoretus versutus (ADORVE)</xsl:when>
                    <xsl:when test="./i6:value = '119586'">Adoryphorus couloni (ADOYCL)</xsl:when>
                    <xsl:when test="./i6:value = '119587'">Adoxophyes honmai (ADXPHO)</xsl:when>
                    <xsl:when test="./i6:value = '119588'">Adoxus obscurus (ADOXOB)</xsl:when>
                    <xsl:when test="./i6:value = '119589'">Adrama determinata (ADRADE)</xsl:when>
                    <xsl:when test="./i6:value = '119590'">Adris tyrannus amurensis (ADRITA)</xsl:when>
                    <xsl:when test="./i6:value = '119591'">Aecidium cantensis (AECICT)</xsl:when>
                    <xsl:when test="./i6:value = '119592'">Aecidium hydrangeae-paniculatae (AECIHP)</xsl:when>
                    <xsl:when test="./i6:value = '119593'">Aecidium mori (AECIMO)</xsl:when>
                    <xsl:when test="./i6:value = '119594'">Aedes aboriginis (AEDSAB)</xsl:when>
                    <xsl:when test="./i6:value = '119595'">Aedes aegypti (AEDSAE)</xsl:when>
                    <xsl:when test="./i6:value = '119596'">Aedes albopictus (AEDSAO)</xsl:when>
                    <xsl:when test="./i6:value = '119597'">Aedes aldrichi (AEDSAL)</xsl:when>
                    <xsl:when test="./i6:value = '119598'">Aedes alternans (AEDSAT)</xsl:when>
                    <xsl:when test="./i6:value = '119599'">Aedes australis (AEDSAU)</xsl:when>
                    <xsl:when test="./i6:value = '119600'">Aedes canadensis (AEDSCA)</xsl:when>
                    <xsl:when test="./i6:value = '119601'">Aedes cantator (AEDSCN)</xsl:when>
                    <xsl:when test="./i6:value = '119602'">Aedes communis (AEDSCO)</xsl:when>
                    <xsl:when test="./i6:value = '119603'">Aedes detritus (AEDSDE)</xsl:when>
                    <xsl:when test="./i6:value = '119604'">Aedes dorsalis (AEDSDO)</xsl:when>
                    <xsl:when test="./i6:value = '119605'">Aedes hirsuteron (AEDSHI)</xsl:when>
                    <xsl:when test="./i6:value = '119606'">Aedes japonicus (AEDSJA)</xsl:when>
                    <xsl:when test="./i6:value = '119607'">Aedes sierrensis (AEDSSI)</xsl:when>
                    <xsl:when test="./i6:value = '119608'">Aedes sollicitans (AEDSSO)</xsl:when>
                    <xsl:when test="./i6:value = '119609'">Aedes squamiger (AEDSSQ)</xsl:when>
                    <xsl:when test="./i6:value = '119610'">Aedes sticticus (AEDSST)</xsl:when>
                    <xsl:when test="./i6:value = '119611'">Aedes taeniorhynchus (AEDSTR)</xsl:when>
                    <xsl:when test="./i6:value = '119612'">Aedes trivittatus (AEDSTV)</xsl:when>
                    <xsl:when test="./i6:value = '119613'">Aedes varipalpus (AEDSVA)</xsl:when>
                    <xsl:when test="./i6:value = '119614'">Aedes vexans (AEDSVX)</xsl:when>
                    <xsl:when test="./i6:value = '119615'">Aedes vigilax (AEDSVG)</xsl:when>
                    <xsl:when test="./i6:value = '119616'">Aedes vittiger (AEDSVT)</xsl:when>
                    <xsl:when test="./i6:value = '119617'">Aedia leucomelas (AEDILE)</xsl:when>
                    <xsl:when test="./i6:value = '119618'">Aegeria ommatiaeformis (AEGEOM)</xsl:when>
                    <xsl:when test="./i6:value = '119619'">Aegeria pyri (TAMNPY)</xsl:when>
                    <xsl:when test="./i6:value = '119620'">Aegithalos caudatus (AEGICA)</xsl:when>
                    <xsl:when test="./i6:value = '119621'">Aegorhinus superciliosus (AEGOSU)</xsl:when>
                    <xsl:when test="./i6:value = '119622'">Aelia acuminata (AELIAC)</xsl:when>
                    <xsl:when test="./i6:value = '119623'">Aeneolamia varia saccharina (TOMAVS)</xsl:when>
                    <xsl:when test="./i6:value = '119624'">Aeneolamia varia varia (TOMAVA)</xsl:when>
                    <xsl:when test="./i6:value = '119625'">Aeolesthes sarta (AELSSA)</xsl:when>
                    <xsl:when test="./i6:value = '119626'">Aepyceros melampus (AEPYME)</xsl:when>
                    <xsl:when test="./i6:value = '119627'">Aeroglyphus robustus (AERGRO)</xsl:when>
                    <xsl:when test="./i6:value = '119628'">Aeshna cyanea (AESCCY)</xsl:when>
                    <xsl:when test="./i6:value = '119629'">Aeshna grandis (AESCGR)</xsl:when>
                    <xsl:when test="./i6:value = '119630'">Aeshna juncea (AESCJU)</xsl:when>
                    <xsl:when test="./i6:value = '119631'">Aeshna mixta (AESCMI)</xsl:when>
                    <xsl:when test="./i6:value = '119632'">Aethina tumida (AETNTU)</xsl:when>
                    <xsl:when test="./i6:value = '119633'">Aethus nigritus (AETUNI)</xsl:when>
                    <xsl:when test="./i6:value = '119634'">Agallia quadripunctata (AGLLQU)</xsl:when>
                    <xsl:when test="./i6:value = '119635'">Agama agama (AGAMAG)</xsl:when>
                    <xsl:when test="./i6:value = '119636'">Agaricus abruptibulbus (AGARAB)</xsl:when>
                    <xsl:when test="./i6:value = '119637'">Agaricus arvensis (AGARAR)</xsl:when>
                    <xsl:when test="./i6:value = '119638'">Agaricus augustus (AGARAU)</xsl:when>
                    <xsl:when test="./i6:value = '119639'">Agaricus bernardii (AGARBE)</xsl:when>
                    <xsl:when test="./i6:value = '119640'">Agaricus bisporus (AGARBI)</xsl:when>
                    <xsl:when test="./i6:value = '119641'">Agaricus bitorquis (AGARBT)</xsl:when>
                    <xsl:when test="./i6:value = '119642'">Agaricus blazei (AGARBZ)</xsl:when>
                    <xsl:when test="./i6:value = '119643'">Agaricus campestris (AGARCA)</xsl:when>
                    <xsl:when test="./i6:value = '119644'">Agaricus comtuliformis (AGARCF)</xsl:when>
                    <xsl:when test="./i6:value = '119645'">Agaricus crocodilinus (AGARCD)</xsl:when>
                    <xsl:when test="./i6:value = '119646'">Agaricus crocopeplus (AGARCR)</xsl:when>
                    <xsl:when test="./i6:value = '119647'">Agaricus dulcidulus (AGARDU)</xsl:when>
                    <xsl:when test="./i6:value = '119648'">Agaricus dulcidulus (Microorganism) (AGARSE)</xsl:when>
                    <xsl:when test="./i6:value = '119649'">Agaricus koelerionensis (AGARIM)</xsl:when>
                    <xsl:when test="./i6:value = '119650'">Agaricus langei (AGARLA)</xsl:when>
                    <xsl:when test="./i6:value = '119651'">Agaricus moelleri (AGARME)</xsl:when>
                    <xsl:when test="./i6:value = '119652'">Agaricus porphyrizon (AGARPO)</xsl:when>
                    <xsl:when test="./i6:value = '119653'">Agaricus rodmani (AGARRD)</xsl:when>
                    <xsl:when test="./i6:value = '119654'">Agaricus subperonatus (AGARSU)</xsl:when>
                    <xsl:when test="./i6:value = '119655'">Agaricus subrufescens (AGARSR)</xsl:when>
                    <xsl:when test="./i6:value = '119656'">Agaricus subrutilescens (AGARSB)</xsl:when>
                    <xsl:when test="./i6:value = '119657'">Agaricus sylvaticus (AGARHA)</xsl:when>
                    <xsl:when test="./i6:value = '119658'">Agaricus sylvicola (AGARSI)</xsl:when>
                    <xsl:when test="./i6:value = '119659'">Agaricus urinascens (AGARUR)</xsl:when>
                    <xsl:when test="./i6:value = '119660'">Agaricus xanthoderma (AGARXA)</xsl:when>
                    <xsl:when test="./i6:value = '119661'">Agasicles hygrophila (AGAIHY)</xsl:when>
                    <xsl:when test="./i6:value = '119662'">Agasphaerops nigra (AGASNI)</xsl:when>
                    <xsl:when test="./i6:value = '119663'">Agelaius phoeniceus (AGELPH)</xsl:when>
                    <xsl:when test="./i6:value = '119664'">Agelastica alni (AGLAAL)</xsl:when>
                    <xsl:when test="./i6:value = '119665'">Agelastica alni orientalis (AGLAOR)</xsl:when>
                    <xsl:when test="./i6:value = '119666'">Ageneotettix deorum (AGETDE)</xsl:when>
                    <xsl:when test="./i6:value = '119667'">Agkistrodon contortrix (AGKICO)</xsl:when>
                    <xsl:when test="./i6:value = '119668'">Agkistrodon halys (AGKIHA)</xsl:when>
                    <xsl:when test="./i6:value = '119669'">Aglais urticae (VANSUR)</xsl:when>
                    <xsl:when test="./i6:value = '119670'">Aglia tau (AGLITA)</xsl:when>
                    <xsl:when test="./i6:value = '119671'">Aglossa pinguinalis (AGLOPI)</xsl:when>
                    <xsl:when test="./i6:value = '119672'">Agonoderus pallipes (AGNOLE)</xsl:when>
                    <xsl:when test="./i6:value = '119673'">Agonopterix applana (DEPRAP)</xsl:when>
                    <xsl:when test="./i6:value = '119674'">Agonopterix conterminella (AGOXCO)</xsl:when>
                    <xsl:when test="./i6:value = '119675'">Agonopterix heracliana (AGOXHE)</xsl:when>
                    <xsl:when test="./i6:value = '119676'">Agonopterix nervosa (AGOXNE)</xsl:when>
                    <xsl:when test="./i6:value = '119677'">Agonoscelis rutila (AGOSRU)</xsl:when>
                    <xsl:when test="./i6:value = '119678'">Agonoscelis versicolor (AGOSPB)</xsl:when>
                    <xsl:when test="./i6:value = '119679'">Agonoscena pistaciae (AGONPI)</xsl:when>
                    <xsl:when test="./i6:value = '119680'">Agonoxena argaula (AGOOAR)</xsl:when>
                    <xsl:when test="./i6:value = '119681'">Agonus cataphractus (AONUCA)</xsl:when>
                    <xsl:when test="./i6:value = '119682'">Agraulis vanillae (AGRAVA)</xsl:when>
                    <xsl:when test="./i6:value = '119683'">Agraylea multipunctata (ARAYMU)</xsl:when>
                    <xsl:when test="./i6:value = '119684'">Agrilus angelicus (AGRLAG)</xsl:when>
                    <xsl:when test="./i6:value = '119685'">Agrilus angustulus (AGRLAN)</xsl:when>
                    <xsl:when test="./i6:value = '119686'">Agrilus anxius (AGRLAX)</xsl:when>
                    <xsl:when test="./i6:value = '119687'">Agrilus arcuatus (AGRLAR)</xsl:when>
                    <xsl:when test="./i6:value = '119688'">Agrilus auriventris (AGRLAV)</xsl:when>
                    <xsl:when test="./i6:value = '119689'">Agrilus auroguttatus (AGRLGT)</xsl:when>
                    <xsl:when test="./i6:value = '119690'">Agrilus biguttatus (AGRLBG)</xsl:when>
                    <xsl:when test="./i6:value = '119691'">Agrilus bilineatus (AGRLBL)</xsl:when>
                    <xsl:when test="./i6:value = '119692'">Agrilus cephalicus (AGRLCE)</xsl:when>
                    <xsl:when test="./i6:value = '119693'">Agrilus coxalis (AGRLCO)</xsl:when>
                    <xsl:when test="./i6:value = '119694'">Agrilus hyperici (AGRLHY)</xsl:when>
                    <xsl:when test="./i6:value = '119695'">Agrilus liragus (AGRLLI)</xsl:when>
                    <xsl:when test="./i6:value = '119696'">Agrilus mali (AGRLMA)</xsl:when>
                    <xsl:when test="./i6:value = '119697'">Agrilus occipitalis (AGRLOC)</xsl:when>
                    <xsl:when test="./i6:value = '119698'">Agrilus planipennis (AGRLPL)</xsl:when>
                    <xsl:when test="./i6:value = '119699'">Agrilus prionurus (AGRLPR)</xsl:when>
                    <xsl:when test="./i6:value = '119700'">Agrilus ruficollis (AGRLRF)</xsl:when>
                    <xsl:when test="./i6:value = '119701'">Agrilus setipes (AGRLAC)</xsl:when>
                    <xsl:when test="./i6:value = '119702'">Agrilus viridis (AGRLVI)</xsl:when>
                    <xsl:when test="./i6:value = '119703'">Agriotes fuscicollis (AGRIFU)</xsl:when>
                    <xsl:when test="./i6:value = '119704'">Agriotes limosus (AGRILM)</xsl:when>
                    <xsl:when test="./i6:value = '119705'">Agriotes mancus (AGRIMA)</xsl:when>
                    <xsl:when test="./i6:value = '119706'">Agriotes obscurus (AGRIOB)</xsl:when>
                    <xsl:when test="./i6:value = '119707'">Agriotes sordidus (AGRISO)</xsl:when>
                    <xsl:when test="./i6:value = '119708'">Agriotes sparsus (AGRISA)</xsl:when>
                    <xsl:when test="./i6:value = '119709'">Agriotes sputator (AGRISU)</xsl:when>
                    <xsl:when test="./i6:value = '119710'">Agriphila vulgivagella (CRAMVU)</xsl:when>
                    <xsl:when test="./i6:value = '119711'">Agrius convolvuli (HERSCO)</xsl:when>
                    <xsl:when test="./i6:value = '119712'">Agrobacterium tumefaciens (AGRBTU)</xsl:when>
                    <xsl:when test="./i6:value = '119713'">Agrocybe acericola (AGCYAC)</xsl:when>
                    <xsl:when test="./i6:value = '119714'">Agrocybe cylindracea (AGCYCY)</xsl:when>
                    <xsl:when test="./i6:value = '119715'">Agrocybe dura (AGCYDU)</xsl:when>
                    <xsl:when test="./i6:value = '119716'">Agrocybe erebia (AGCYER)</xsl:when>
                    <xsl:when test="./i6:value = '119717'">Agrocybe molesta (AGCYMO)</xsl:when>
                    <xsl:when test="./i6:value = '119718'">Agrocybe pediades (AGCYPE)</xsl:when>
                    <xsl:when test="./i6:value = '119719'">Agrocybe praecox (AGCYPR)</xsl:when>
                    <xsl:when test="./i6:value = '119720'">Agrocybe putaminum (AGCYPU)</xsl:when>
                    <xsl:when test="./i6:value = '119721'">Agrocybe rivulosa (AGCYRI)</xsl:when>
                    <xsl:when test="./i6:value = '119722'">Agromyza albipennis (AGMYAL)</xsl:when>
                    <xsl:when test="./i6:value = '119723'">Agromyza apii (MEAGAP)</xsl:when>
                    <xsl:when test="./i6:value = '119724'">Agromyza aristata (AGMYAR)</xsl:when>
                    <xsl:when test="./i6:value = '119725'">Agromyza flaviceps (AGMYFL)</xsl:when>
                    <xsl:when test="./i6:value = '119726'">Agromyza frontella (AGMYFR)</xsl:when>
                    <xsl:when test="./i6:value = '119727'">Agromyza oryzae (AGMYOR)</xsl:when>
                    <xsl:when test="./i6:value = '119728'">Agromyza parvicornis (AGMYPA)</xsl:when>
                    <xsl:when test="./i6:value = '119729'">Agromyza yanonis (AGMYYA)</xsl:when>
                    <xsl:when test="./i6:value = '119730'">Agrotis bigramma (AGROBG)</xsl:when>
                    <xsl:when test="./i6:value = '119731'">Agrotis fucosa (AGROFU)</xsl:when>
                    <xsl:when test="./i6:value = '119732'">Agrotis ipsilon (AGROYP)</xsl:when>
                    <xsl:when test="./i6:value = '119733'">Agrotis segetum (AGROSE)</xsl:when>
                    <xsl:when test="./i6:value = '119734'">Agrotis vestigialis (AGROVE)</xsl:when>
                    <xsl:when test="./i6:value = '119735'">Agrypnus variabilis (AGRYVA)</xsl:when>
                    <xsl:when test="./i6:value = '119736'">Ahasverus advena (AHASAD)</xsl:when>
                    <xsl:when test="./i6:value = '119737'">Aiolopus simulatrix (AIOLSI)</xsl:when>
                    <xsl:when test="./i6:value = '119738'">Aiolopus thalassinus (AIOLTH)</xsl:when>
                    <xsl:when test="./i6:value = '119739'">Aiolopus thalassinus tamulus (AIOLTA)</xsl:when>
                    <xsl:when test="./i6:value = '119740'">Aix galericulata (AIXXGA)</xsl:when>
                    <xsl:when test="./i6:value = '119741'">Ajellomyces capsulatus (AJELCP)</xsl:when>
                    <xsl:when test="./i6:value = '119742'">Alabama argillacea (ALABAR)</xsl:when>
                    <xsl:when test="./i6:value = '119743'">Alauda arvensis (ALADAR)</xsl:when>
                    <xsl:when test="./i6:value = '119744'">Alauda japonica (ALADAJ)</xsl:when>
                    <xsl:when test="./i6:value = '119745'">Alaus oculatus (ALAUOC)</xsl:when>
                    <xsl:when test="./i6:value = '119746'">Alaus prosectus (ALAUPR)</xsl:when>
                    <xsl:when test="./i6:value = '119747'">Albatrellus ovinus (ALBAOV)</xsl:when>
                    <xsl:when test="./i6:value = '119748'">Albatrellus peckianus (ALBAPE)</xsl:when>
                    <xsl:when test="./i6:value = '119749'">Albonectria rigidiuscula (CALORI)</xsl:when>
                    <xsl:when test="./i6:value = '119750'">Albugo ipomoeae-panduratae (ALBUIP)</xsl:when>
                    <xsl:when test="./i6:value = '119751'">Albugo occidentalis (ALBUOC)</xsl:when>
                    <xsl:when test="./i6:value = '119752'">Albugo trianthemae (ALBUTA)</xsl:when>
                    <xsl:when test="./i6:value = '119753'">Albulina orbitulus (ALBLOR)</xsl:when>
                    <xsl:when test="./i6:value = '119754'">Alburnoides bipunctatus (ALBSBI)</xsl:when>
                    <xsl:when test="./i6:value = '119755'">Alburnus alburnus (ALBRAL)</xsl:when>
                    <xsl:when test="./i6:value = '119756'">Alcedo atthis (ALCEAT)</xsl:when>
                    <xsl:when test="./i6:value = '119757'">Alces alces (ALCSAL)</xsl:when>
                    <xsl:when test="./i6:value = '119758'">Alcidodes dentipes (ALCIDE)</xsl:when>
                    <xsl:when test="./i6:value = '119759'">Alcidodes erroneus (ALCIER)</xsl:when>
                    <xsl:when test="./i6:value = '119760'">Alcidodes gossypii (ALCIGO)</xsl:when>
                    <xsl:when test="./i6:value = '119761'">Alcis repandata (ALKSRE)</xsl:when>
                    <xsl:when test="./i6:value = '119762'">Alectoris chukar (ALCTCH)</xsl:when>
                    <xsl:when test="./i6:value = '119763'">Alectoris rufa (ALCTRU)</xsl:when>
                    <xsl:when test="./i6:value = '119764'">Alectura lathami (ALEKLA)</xsl:when>
                    <xsl:when test="./i6:value = '119765'">Aleuria aurantia (ALRAAU)</xsl:when>
                    <xsl:when test="./i6:value = '119766'">Aleuria rhenana (ALRARH)</xsl:when>
                    <xsl:when test="./i6:value = '119767'">Aleurocanthus camelliae (ALECCA)</xsl:when>
                    <xsl:when test="./i6:value = '119768'">Aleurocanthus spiniferus (ALECSN)</xsl:when>
                    <xsl:when test="./i6:value = '119769'">Aleurocanthus spinosus (ALECSO)</xsl:when>
                    <xsl:when test="./i6:value = '119770'">Aleurocanthus woglumi (ALECWO)</xsl:when>
                    <xsl:when test="./i6:value = '119771'">Aleuroclava aucubae (TETLAU)</xsl:when>
                    <xsl:when test="./i6:value = '119772'">Aleuroclava jasmini (ALTRJA)</xsl:when>
                    <xsl:when test="./i6:value = '119773'">Aleurocybotus occiduus (ALEYOC)</xsl:when>
                    <xsl:when test="./i6:value = '119774'">Aleurodicus cocois (ALEDCO)</xsl:when>
                    <xsl:when test="./i6:value = '119775'">Aleurodicus destructor (ALEDDE)</xsl:when>
                    <xsl:when test="./i6:value = '119776'">Aleurodicus dispersus (ALEDDI)</xsl:when>
                    <xsl:when test="./i6:value = '119777'">Aleurodicus dugesii (ALEDDU)</xsl:when>
                    <xsl:when test="./i6:value = '119778'">Aleurodicus floccissimus (LECOFL)</xsl:when>
                    <xsl:when test="./i6:value = '119779'">Aleurodicus pulvinatus (ALEDPU)</xsl:when>
                    <xsl:when test="./i6:value = '119780'">Aleurodicus rugioperculatus (ALEDRU)</xsl:when>
                    <xsl:when test="./i6:value = '119781'">Aleurodiscus amorphus (ALDSAM)</xsl:when>
                    <xsl:when test="./i6:value = '119782'">Aleurodiscus phragmitis (ALDSPH)</xsl:when>
                    <xsl:when test="./i6:value = '119783'">Aleurodiscus wakefieldiae (ALDSWA)</xsl:when>
                    <xsl:when test="./i6:value = '119784'">Aleuroglyphus ovatus (ALEGOV)</xsl:when>
                    <xsl:when test="./i6:value = '119785'">Aleurolobus barodensis (ALERBA)</xsl:when>
                    <xsl:when test="./i6:value = '119786'">Aleurolobus marlatti (ALERMA)</xsl:when>
                    <xsl:when test="./i6:value = '119787'">Aleurolobus taonabae (ALERTA)</xsl:when>
                    <xsl:when test="./i6:value = '119788'">Aleurothrixus floccosus (ALTHFL)</xsl:when>
                    <xsl:when test="./i6:value = '119789'">Aleurothrixus howardi (ALTHHO)</xsl:when>
                    <xsl:when test="./i6:value = '119790'">Aleurothrixus porteri (ALTHPO)</xsl:when>
                    <xsl:when test="./i6:value = '119791'">Aleurothrixus trachoides (ALTRTR)</xsl:when>
                    <xsl:when test="./i6:value = '119792'">Aleurotrachelus atratus (ALTRAT)</xsl:when>
                    <xsl:when test="./i6:value = '119793'">Aleurotulus anthuricola (ALELAN)</xsl:when>
                    <xsl:when test="./i6:value = '119794'">Aleyrodes lonicerae (ALEUFA)</xsl:when>
                    <xsl:when test="./i6:value = '119795'">Aleyrodes proletella (ALEUPR)</xsl:when>
                    <xsl:when test="./i6:value = '119796'">Aleyrodes pruinosus (ALEUPU)</xsl:when>
                    <xsl:when test="./i6:value = '119797'">Aleyrodes shizuokensis (ALEUSH)</xsl:when>
                    <xsl:when test="./i6:value = '119798'">algae (unwanted) (3ALGAT)</xsl:when>
                    <xsl:when test="./i6:value = '119799'">Algarobius bottimeri (ALGABO)</xsl:when>
                    <xsl:when test="./i6:value = '119800'">Alissonotum impressicolle (ALISIM)</xsl:when>
                    <xsl:when test="./i6:value = '119801'">Alissonotum pauper (ALISPA)</xsl:when>
                    <xsl:when test="./i6:value = '119802'">Allantus cinctus (ALLACI)</xsl:when>
                    <xsl:when test="./i6:value = '119803'">Allantus meridionalis (ALLAME)</xsl:when>
                    <xsl:when test="./i6:value = '119804'">Alligator mississippiensis (ALGTMI)</xsl:when>
                    <xsl:when test="./i6:value = '119805'">Allocarsidara malayensis (ALLKMA)</xsl:when>
                    <xsl:when test="./i6:value = '119806'">Allophyes oxyacanthae (MEGNOX)</xsl:when>
                    <xsl:when test="./i6:value = '119807'">Allothrombium fuliginosum (ALLTFU)</xsl:when>
                    <xsl:when test="./i6:value = '119808'">Alnetoidia alneti (ERYTAL)</xsl:when>
                    <xsl:when test="./i6:value = '119809'">Alniphagus aspericollis (ALNIAS)</xsl:when>
                    <xsl:when test="./i6:value = '119810'">Alopex lagopus (ALOXLA)</xsl:when>
                    <xsl:when test="./i6:value = '119811'">Alopias vulpinus (ALPIVU)</xsl:when>
                    <xsl:when test="./i6:value = '119812'">Alosa pseudoharengus (ALOSPS)</xsl:when>
                    <xsl:when test="./i6:value = '119813'">Alouatta caraya (ALOUCA)</xsl:when>
                    <xsl:when test="./i6:value = '119814'">Alphitobius diaperinus (ALPHDI)</xsl:when>
                    <xsl:when test="./i6:value = '119815'">Alphitobius laevigatus (ALPHLA)</xsl:when>
                    <xsl:when test="./i6:value = '119816'">Alphitophagus bifasciatus (ALPPBI)</xsl:when>
                    <xsl:when test="./i6:value = '119817'">Alsophila pometaria (ALSOPO)</xsl:when>
                    <xsl:when test="./i6:value = '119818'">Altenia scriptella (ALTNSC)</xsl:when>
                    <xsl:when test="./i6:value = '119819'">Altermetoponia rubriceps (ATMPRU)</xsl:when>
                    <xsl:when test="./i6:value = '119820'">Alternaria alternata (ALTEAL)</xsl:when>
                    <xsl:when test="./i6:value = '119821'">Alternaria alternata f. sp. citri (ALTEAC)</xsl:when>
                    <xsl:when test="./i6:value = '119822'">Alternaria arachidis (ALTEAD)</xsl:when>
                    <xsl:when test="./i6:value = '119823'">Alternaria arborescens (ALTELY)</xsl:when>
                    <xsl:when test="./i6:value = '119824'">Alternaria brassicae (ALTEBA)</xsl:when>
                    <xsl:when test="./i6:value = '119825'">Alternaria brassicicola (ALTEBI)</xsl:when>
                    <xsl:when test="./i6:value = '119826'">Alternaria caespitosa (YBOTCA)</xsl:when>
                    <xsl:when test="./i6:value = '119827'">Alternaria carthami (ALTECA)</xsl:when>
                    <xsl:when test="./i6:value = '119828'">Alternaria cassiae (ALTECS)</xsl:when>
                    <xsl:when test="./i6:value = '119829'">Alternaria cichorii (ALTECC)</xsl:when>
                    <xsl:when test="./i6:value = '119830'">Alternaria cinerariae (ALTECN)</xsl:when>
                    <xsl:when test="./i6:value = '119831'">Alternaria citri (ALTECI)</xsl:when>
                    <xsl:when test="./i6:value = '119832'">Alternaria crassa (ALTECR)</xsl:when>
                    <xsl:when test="./i6:value = '119833'">Alternaria cucumerina (ALTECU)</xsl:when>
                    <xsl:when test="./i6:value = '119834'">Alternaria dauci (ALTEDA)</xsl:when>
                    <xsl:when test="./i6:value = '119835'">Alternaria dianthi (ALTEDI)</xsl:when>
                    <xsl:when test="./i6:value = '119836'">Alternaria eichhorniae (ALTEEH)</xsl:when>
                    <xsl:when test="./i6:value = '119837'">Alternaria embellisia (HELMAL)</xsl:when>
                    <xsl:when test="./i6:value = '119838'">Alternaria gaisen (ALTEKI)</xsl:when>
                    <xsl:when test="./i6:value = '119839'">Alternaria grandis (ALTEGR)</xsl:when>
                    <xsl:when test="./i6:value = '119840'">Alternaria helianthi (ALTEHE)</xsl:when>
                    <xsl:when test="./i6:value = '119841'">Alternaria helianthicola (ALTEHL)</xsl:when>
                    <xsl:when test="./i6:value = '119842'">Alternaria infectoria (LEWIIN)</xsl:when>
                    <xsl:when test="./i6:value = '119843'">Alternaria japonica (ALTERP)</xsl:when>
                    <xsl:when test="./i6:value = '119844'">Alternaria leucanthemi (ALTECH)</xsl:when>
                    <xsl:when test="./i6:value = '119845'">Alternaria limicola (ALTELC)</xsl:when>
                    <xsl:when test="./i6:value = '119846'">Alternaria linicola (ALTELI)</xsl:when>
                    <xsl:when test="./i6:value = '119847'">Alternaria longipes (ALTELO)</xsl:when>
                    <xsl:when test="./i6:value = '119848'">Alternaria macrospora (ALTEMC)</xsl:when>
                    <xsl:when test="./i6:value = '119849'">Alternaria mali (ALTEMA)</xsl:when>
                    <xsl:when test="./i6:value = '119850'">Alternaria padwickii (ALTEPD)</xsl:when>
                    <xsl:when test="./i6:value = '119851'">Alternaria panax (ALTEPN)</xsl:when>
                    <xsl:when test="./i6:value = '119852'">Alternaria passiflorae (ALTEPA)</xsl:when>
                    <xsl:when test="./i6:value = '119853'">Alternaria porri (ALTEPO)</xsl:when>
                    <xsl:when test="./i6:value = '119854'">Alternaria radicina (ALTERA)</xsl:when>
                    <xsl:when test="./i6:value = '119855'">Alternaria ricini (ALTERI)</xsl:when>
                    <xsl:when test="./i6:value = '119856'">Alternaria sesami (ALTESE)</xsl:when>
                    <xsl:when test="./i6:value = '119857'">Alternaria sesamicola (ALTESA)</xsl:when>
                    <xsl:when test="./i6:value = '119858'">Alternaria sonchi (ALTESN)</xsl:when>
                    <xsl:when test="./i6:value = '119859'">Alternaria tagetica (ALTETA)</xsl:when>
                    <xsl:when test="./i6:value = '119860'">Alternaria tomato (ALTETO)</xsl:when>
                    <xsl:when test="./i6:value = '119861'">Alternaria tomatophila (ALTETP)</xsl:when>
                    <xsl:when test="./i6:value = '119862'">Alternaria triticina (ALTETR)</xsl:when>
                    <xsl:when test="./i6:value = '119863'">Alternaria vitis (ALTEVI)</xsl:when>
                    <xsl:when test="./i6:value = '119864'">Alternaria zinniae (ALTEZI)</xsl:when>
                    <xsl:when test="./i6:value = '119865'">Altica ampelophaga (HALTAM)</xsl:when>
                    <xsl:when test="./i6:value = '119866'">Altica bimarginata (HALTBI)</xsl:when>
                    <xsl:when test="./i6:value = '119867'">Altica canadensis (HALTCN)</xsl:when>
                    <xsl:when test="./i6:value = '119868'">Altica carinata (HALTCR)</xsl:when>
                    <xsl:when test="./i6:value = '119869'">Altica chalybea (HALTCH)</xsl:when>
                    <xsl:when test="./i6:value = '119870'">Altica foliacea (HALTFO)</xsl:when>
                    <xsl:when test="./i6:value = '119871'">Altica fragariae (HALTFR)</xsl:when>
                    <xsl:when test="./i6:value = '119872'">Altica ignita (HALTIG)</xsl:when>
                    <xsl:when test="./i6:value = '119873'">Altica litigata (HALTLI)</xsl:when>
                    <xsl:when test="./i6:value = '119874'">Altica lythri (HALTLY)</xsl:when>
                    <xsl:when test="./i6:value = '119875'">Altica probata (HALTPR)</xsl:when>
                    <xsl:when test="./i6:value = '119876'">Altica rosae (HALTRO)</xsl:when>
                    <xsl:when test="./i6:value = '119877'">Altica sylvia (HALTSY)</xsl:when>
                    <xsl:when test="./i6:value = '119878'">Altica woodsi (HALTWO)</xsl:when>
                    <xsl:when test="./i6:value = '119879'">Alucita hexadactyla (ORNEHE)</xsl:when>
                    <xsl:when test="./i6:value = '119880'">Alytes obstetricans (ALYTOB)</xsl:when>
                    <xsl:when test="./i6:value = '119881'">Amanita australis (AMANAT)</xsl:when>
                    <xsl:when test="./i6:value = '119882'">Amanita brunnescens (AMANBR)</xsl:when>
                    <xsl:when test="./i6:value = '119883'">Amanita caesarea (AMANCS)</xsl:when>
                    <xsl:when test="./i6:value = '119884'">Amanita calyptroderma (AMANCD)</xsl:when>
                    <xsl:when test="./i6:value = '119885'">Amanita ceciliae (AMANCE)</xsl:when>
                    <xsl:when test="./i6:value = '119886'">Amanita citrina (AMANCI)</xsl:when>
                    <xsl:when test="./i6:value = '119887'">Amanita citrina var. alba (AMANCA)</xsl:when>
                    <xsl:when test="./i6:value = '119888'">Amanita crocea (AMANCR)</xsl:when>
                    <xsl:when test="./i6:value = '119889'">Amanita daucipes (AMANDA)</xsl:when>
                    <xsl:when test="./i6:value = '119890'">Amanita echinocephala (AMANEC)</xsl:when>
                    <xsl:when test="./i6:value = '119891'">Amanita excelsa var. spissa (AMANES)</xsl:when>
                    <xsl:when test="./i6:value = '119892'">Amanita flavoconia (AMANFL)</xsl:when>
                    <xsl:when test="./i6:value = '119893'">Amanita franchetii (AMANFR)</xsl:when>
                    <xsl:when test="./i6:value = '119894'">Amanita gemmata (AMANGE)</xsl:when>
                    <xsl:when test="./i6:value = '119895'">Amanita jacksonii (AMANJA)</xsl:when>
                    <xsl:when test="./i6:value = '119896'">Amanita muscaria (AMANMU)</xsl:when>
                    <xsl:when test="./i6:value = '119897'">Amanita nivalis (AMANNI)</xsl:when>
                    <xsl:when test="./i6:value = '119898'">Amanita onusta (AMANON)</xsl:when>
                    <xsl:when test="./i6:value = '119899'">Amanita ovoidea (AMANOV)</xsl:when>
                    <xsl:when test="./i6:value = '119900'">Amanita pantherina (AMANPA)</xsl:when>
                    <xsl:when test="./i6:value = '119901'">Amanita phalloides (AMANPH)</xsl:when>
                    <xsl:when test="./i6:value = '119902'">Amanita porphyria (AMANPO)</xsl:when>
                    <xsl:when test="./i6:value = '119903'">Amanita rubescens (AMANRU)</xsl:when>
                    <xsl:when test="./i6:value = '119904'">Amanita strobiliformis (AMANST)</xsl:when>
                    <xsl:when test="./i6:value = '119905'">Amanita vaginata (AMANVA)</xsl:when>
                    <xsl:when test="./i6:value = '119906'">Amanita verna (AMANVE)</xsl:when>
                    <xsl:when test="./i6:value = '119907'">Amanita virosa (AMANVI)</xsl:when>
                    <xsl:when test="./i6:value = '119908'">Amanita vittadinii (AMANVT)</xsl:when>
                    <xsl:when test="./i6:value = '119909'">Amauroderma rude (AMADRU)</xsl:when>
                    <xsl:when test="./i6:value = '119910'">Amaurodon cyaneus (AMDOCY)</xsl:when>
                    <xsl:when test="./i6:value = '119911'">Amauronematus azaleae (AMNTAZ)</xsl:when>
                    <xsl:when test="./i6:value = '119912'">Amblyomma americanum (AMBYAM)</xsl:when>
                    <xsl:when test="./i6:value = '119913'">Amblyomma cajennense (AMBYCA)</xsl:when>
                    <xsl:when test="./i6:value = '119914'">Amblyomma maculatum (AMBYMA)</xsl:when>
                    <xsl:when test="./i6:value = '119915'">Amblyomma triguttatum (AMBYTR)</xsl:when>
                    <xsl:when test="./i6:value = '119916'">Amblyosporium botrytis (AMBLBO)</xsl:when>
                    <xsl:when test="./i6:value = '119917'">Amblypelta cocophaga (AMBPCO)</xsl:when>
                    <xsl:when test="./i6:value = '119918'">Amblypelta lutescens (AMBPLU)</xsl:when>
                    <xsl:when test="./i6:value = '119919'">Amblypelta nitida (AMBPNI)</xsl:when>
                    <xsl:when test="./i6:value = '119920'">Amblyptilia pica (PLALPI)</xsl:when>
                    <xsl:when test="./i6:value = '119921'">Ambystoma tigrinum (ABYSTI)</xsl:when>
                    <xsl:when test="./i6:value = '119922'">Ameiurus melas (ICTAME)</xsl:when>
                    <xsl:when test="./i6:value = '119923'">Ameles decolor (AMLEDE)</xsl:when>
                    <xsl:when test="./i6:value = '119924'">Ameles spallanzania (AMLESA)</xsl:when>
                    <xsl:when test="./i6:value = '119925'">Ameletus inopinatus (AMELIN)</xsl:when>
                    <xsl:when test="./i6:value = '119926'">Ametastegia pallipes (AMETPA)</xsl:when>
                    <xsl:when test="./i6:value = '119927'">Amitermes floridensis (AMITFL)</xsl:when>
                    <xsl:when test="./i6:value = '119928'">Amitermes wheeleri (AMITWH)</xsl:when>
                    <xsl:when test="./i6:value = '119929'">Ammophila sabulosa (AMMPSA)</xsl:when>
                    <xsl:when test="./i6:value = '119930'">Amorbia emigratella (AMOBEM)</xsl:when>
                    <xsl:when test="./i6:value = '119931'">Amorbia essigana (AMOBES)</xsl:when>
                    <xsl:when test="./i6:value = '119932'">Amorphoidea lata (AMOPLA)</xsl:when>
                    <xsl:when test="./i6:value = '119933'">Amparoina spinosissima (APNASP)</xsl:when>
                    <xsl:when test="./i6:value = '119934'">Ampeloglypter sesostris (AMPGSE)</xsl:when>
                    <xsl:when test="./i6:value = '119935'">Ampelomyces quisqualis (AMPEQU)</xsl:when>
                    <xsl:when test="./i6:value = '119936'">Amphicerus bicaudatus (AMPIBI)</xsl:when>
                    <xsl:when test="./i6:value = '119937'">Amphicerus cornutus (AMPICO)</xsl:when>
                    <xsl:when test="./i6:value = '119938'">Amphimallon majalis (AMHIMJ)</xsl:when>
                    <xsl:when test="./i6:value = '119939'">Amphimallon solstitialis (AMHISO)</xsl:when>
                    <xsl:when test="./i6:value = '119940'">Amphipoea fucosa (AMPOFU)</xsl:when>
                    <xsl:when test="./i6:value = '119941'">Amphipyra pyramidea (AMPYPY)</xsl:when>
                    <xsl:when test="./i6:value = '119942'">Amphipyra tragopogonis (AMPYTR)</xsl:when>
                    <xsl:when test="./i6:value = '119943'">Amplicephalus sonorus (GRAMSO)</xsl:when>
                    <xsl:when test="./i6:value = '119944'">Ampulex compressa (AMPXCO)</xsl:when>
                    <xsl:when test="./i6:value = '119945'">Ampulloclitocybe avellaneoalba (ACLTAV)</xsl:when>
                    <xsl:when test="./i6:value = '119946'">Ampulloclitocybe clavipes (ACLTCL)</xsl:when>
                    <xsl:when test="./i6:value = '119947'">Amrasca biguttula (EMPOBI)</xsl:when>
                    <xsl:when test="./i6:value = '119948'">Amyelois transitella (PARMTR)</xsl:when>
                    <xsl:when test="./i6:value = '119949'">Amyloflagellula pulchra (AMYLPU)</xsl:when>
                    <xsl:when test="./i6:value = '119950'">Anabrus simplex (ANABSI)</xsl:when>
                    <xsl:when test="./i6:value = '119951'">Anacampsis innocuella (ANKSIN)</xsl:when>
                    <xsl:when test="./i6:value = '119952'">Anacampsis niveopulvella (ANKSNI)</xsl:when>
                    <xsl:when test="./i6:value = '119953'">Anacamptodes fragilaria (ANCMFR)</xsl:when>
                    <xsl:when test="./i6:value = '119954'">Anacanthocoris concoloratus (ANAACO)</xsl:when>
                    <xsl:when test="./i6:value = '119955'">Anacanthotermes ahngerianus (ANKTAH)</xsl:when>
                    <xsl:when test="./i6:value = '119956'">Anacanthotermes turkestanicus (ANKTTU)</xsl:when>
                    <xsl:when test="./i6:value = '119957'">Anacridium melanorhodon arabafrum (ANCRMA)</xsl:when>
                    <xsl:when test="./i6:value = '119958'">Anacridium moestum (ANCRMO)</xsl:when>
                    <xsl:when test="./i6:value = '119959'">Anadenobolus monilicornis (ANDBMO)</xsl:when>
                    <xsl:when test="./i6:value = '119960'">Anaglyptus mysticus (ANALMS)</xsl:when>
                    <xsl:when test="./i6:value = '119961'">Ananca bicolor (ANANBI)</xsl:when>
                    <xsl:when test="./i6:value = '119962'">Anaphothrips obscurus (ANAPOB)</xsl:when>
                    <xsl:when test="./i6:value = '119963'">Anaphothrips orchidaceus (ANAPOR)</xsl:when>
                    <xsl:when test="./i6:value = '119964'">Anaphothrips swezeyi (ANAPSW)</xsl:when>
                    <xsl:when test="./i6:value = '119965'">Anapulvinaria pistaciae (PULVPI)</xsl:when>
                    <xsl:when test="./i6:value = '119966'">Anarsia ephippias (ANAREP)</xsl:when>
                    <xsl:when test="./i6:value = '119967'">Anarsia lineatella (ANARLI)</xsl:when>
                    <xsl:when test="./i6:value = '119968'">Anarsia spartiella (ANARSL)</xsl:when>
                    <xsl:when test="./i6:value = '119969'">Anarta myrtilli (ANRTMY)</xsl:when>
                    <xsl:when test="./i6:value = '119970'">Anas acuta (ANAXAC)</xsl:when>
                    <xsl:when test="./i6:value = '119971'">Anas americana (ANAXAM)</xsl:when>
                    <xsl:when test="./i6:value = '119972'">Anas carolinensis (ANAXCA)</xsl:when>
                    <xsl:when test="./i6:value = '119973'">Anas clypeata (ANAXCL)</xsl:when>
                    <xsl:when test="./i6:value = '119974'">Anas crecca (ANAXCR)</xsl:when>
                    <xsl:when test="./i6:value = '119975'">Anas diazi (ANAXNO)</xsl:when>
                    <xsl:when test="./i6:value = '119976'">Anas discors (ANAXDI)</xsl:when>
                    <xsl:when test="./i6:value = '119977'">Anas fulvigula (ANAXFU)</xsl:when>
                    <xsl:when test="./i6:value = '119978'">Anas penelope (ANAXPE)</xsl:when>
                    <xsl:when test="./i6:value = '119979'">Anas querquedula (ANAXQU)</xsl:when>
                    <xsl:when test="./i6:value = '119980'">Anas rubripes (ANAXRU)</xsl:when>
                    <xsl:when test="./i6:value = '119981'">Anas strepera (ANAXST)</xsl:when>
                    <xsl:when test="./i6:value = '119982'">Anas undulata (ANAXUN)</xsl:when>
                    <xsl:when test="./i6:value = '119983'">Anasa armigera (ANASAR)</xsl:when>
                    <xsl:when test="./i6:value = '119984'">Anasa tristis (ANASTR)</xsl:when>
                    <xsl:when test="./i6:value = '119985'">Anastrepha grandis (ANSTGR)</xsl:when>
                    <xsl:when test="./i6:value = '119986'">Anastrepha ludens (ANSTLU)</xsl:when>
                    <xsl:when test="./i6:value = '119987'">Anastrepha obliqua (ANSTOB)</xsl:when>
                    <xsl:when test="./i6:value = '119988'">Anastrepha serpentina (ANSTSE)</xsl:when>
                    <xsl:when test="./i6:value = '119989'">Anastrepha striata (ANSTST)</xsl:when>
                    <xsl:when test="./i6:value = '119990'">Anastrepha suspensa (ANSTSU)</xsl:when>
                    <xsl:when test="./i6:value = '119991'">Anatis ocellata (ANATOC)</xsl:when>
                    <xsl:when test="./i6:value = '119992'">Anatis quinquedecimpunctata (ANATFC)</xsl:when>
                    <xsl:when test="./i6:value = '119993'">Anatrachyntis falcatella (PYROFA)</xsl:when>
                    <xsl:when test="./i6:value = '119994'">Anatrachyntis paroditis (PYROPA)</xsl:when>
                    <xsl:when test="./i6:value = '119995'">Anatrachyntis rileyi (PYRORL)</xsl:when>
                    <xsl:when test="./i6:value = '119996'">Anatrachyntis simplex (PYROSI)</xsl:when>
                    <xsl:when test="./i6:value = '119997'">Anatrichus erinaceus (ANTUER)</xsl:when>
                    <xsl:when test="./i6:value = '119998'">Anax guttatus (ANXXGU)</xsl:when>
                    <xsl:when test="./i6:value = '119999'">Anax imperator (ANXXIM)</xsl:when>
                    <xsl:when test="./i6:value = '120000'">Anax junius (ANXXJU)</xsl:when>
                    <xsl:when test="./i6:value = '120001'">Anax strenuus (ANXXST)</xsl:when>
                    <xsl:when test="./i6:value = '120002'">Ancylis comptana (ANCYCO)</xsl:when>
                    <xsl:when test="./i6:value = '120003'">Ancylostoma duodenale (ANCTDU)</xsl:when>
                    <xsl:when test="./i6:value = '120004'">Ancyloxypha numitor (ANCXNU)</xsl:when>
                    <xsl:when test="./i6:value = '120005'">Andaspis hawaiiensis (ANDAHA)</xsl:when>
                    <xsl:when test="./i6:value = '120006'">Andrena carantonica (ANDECA)</xsl:when>
                    <xsl:when test="./i6:value = '120007'">Andricus californicus (ANDICA)</xsl:when>
                    <xsl:when test="./i6:value = '120008'">Andricus fecundator (ANDIFO)</xsl:when>
                    <xsl:when test="./i6:value = '120009'">Andricus quercuscalicis (ANDIQU)</xsl:when>
                    <xsl:when test="./i6:value = '120010'">Andricus testaceipes (ANDITE)</xsl:when>
                    <xsl:when test="./i6:value = '120011'">Androlaelaps glasgowi (ANDLFA)</xsl:when>
                    <xsl:when test="./i6:value = '120012'">Anemonia sulcata (ANEMSU)</xsl:when>
                    <xsl:when test="./i6:value = '120013'">Anergates atratulus (ANEGAT)</xsl:when>
                    <xsl:when test="./i6:value = '120014'">Angiostrongylus cantonensis (ANSGCA)</xsl:when>
                    <xsl:when test="./i6:value = '120015'">Anguilla anguilla (ANGLAN)</xsl:when>
                    <xsl:when test="./i6:value = '120016'">Anguilla japonica (ANGLJA)</xsl:when>
                    <xsl:when test="./i6:value = '120017'">Anguilla rostrata (ANGLRO)</xsl:when>
                    <xsl:when test="./i6:value = '120018'">Anguillicola crassus (ANGCCR)</xsl:when>
                    <xsl:when test="./i6:value = '120019'">Anguina agrostis (ANGUAG)</xsl:when>
                    <xsl:when test="./i6:value = '120020'">Anguina funesta (ANGUFU)</xsl:when>
                    <xsl:when test="./i6:value = '120021'">Anguina tritici (ANGUTR)</xsl:when>
                    <xsl:when test="./i6:value = '120022'">Anguis fragilis (ANGSFR)</xsl:when>
                    <xsl:when test="./i6:value = '120023'">Anhinga anhinga (ANHIAN)</xsl:when>
                    <xsl:when test="./i6:value = '120024'">Anisandrus dispar (XYLBDI)</xsl:when>
                    <xsl:when test="./i6:value = '120025'">Anisogramma anomala (CRSPAN)</xsl:when>
                    <xsl:when test="./i6:value = '120026'">Anisogramma virgultorum (ANIGVI)</xsl:when>
                    <xsl:when test="./i6:value = '120027'">Anisolabis maritima (ANILMA)</xsl:when>
                    <xsl:when test="./i6:value = '120028'">Anisoplia austriaca (ANISAU)</xsl:when>
                    <xsl:when test="./i6:value = '120029'">Anisoplia segetum (ANISSE)</xsl:when>
                    <xsl:when test="./i6:value = '120030'">Anisosticta novemdecimpunctata (ANSONO)</xsl:when>
                    <xsl:when test="./i6:value = '120031'">annual dicotyledonous weeds (3ANDIT)</xsl:when>
                    <xsl:when test="./i6:value = '120032'">annual grass weeds (3ANGWT)</xsl:when>
                    <xsl:when test="./i6:value = '120033'">annual monocotyledonous weeds (3ANMNT)</xsl:when>
                    <xsl:when test="./i6:value = '120034'">Annulohypoxylon multiforme (AHYPMU)</xsl:when>
                    <xsl:when test="./i6:value = '120035'">Anobium punctatum (ANOBPU)</xsl:when>
                    <xsl:when test="./i6:value = '120036'">Anocentor nitens (ANOCNI)</xsl:when>
                    <xsl:when test="./i6:value = '120037'">Anoecia corni (ANOECO)</xsl:when>
                    <xsl:when test="./i6:value = '120038'">Anoecia fulviabdominalis (SCHZFU)</xsl:when>
                    <xsl:when test="./i6:value = '120039'">Anoecia vagans (ANOEVA)</xsl:when>
                    <xsl:when test="./i6:value = '120040'">Anomala costata (ANMLCO)</xsl:when>
                    <xsl:when test="./i6:value = '120041'">Anomala cuprea (ANMLCU)</xsl:when>
                    <xsl:when test="./i6:value = '120042'">Anomala geniculata (ANMLGE)</xsl:when>
                    <xsl:when test="./i6:value = '120043'">Anomala marginata (ANMLMA)</xsl:when>
                    <xsl:when test="./i6:value = '120044'">Anomala oblivia (ANMLOL)</xsl:when>
                    <xsl:when test="./i6:value = '120045'">Anomala rufocuprea (ANMLRU)</xsl:when>
                    <xsl:when test="./i6:value = '120046'">Anomala testaceipes (ANMLTE)</xsl:when>
                    <xsl:when test="./i6:value = '120047'">Anomala undulata (ANMLUN)</xsl:when>
                    <xsl:when test="./i6:value = '120048'">Anomala varians (ANMLVA)</xsl:when>
                    <xsl:when test="./i6:value = '120049'">Anomis flava (COSPFL)</xsl:when>
                    <xsl:when test="./i6:value = '120050'">Anomis illita (ANOMIL)</xsl:when>
                    <xsl:when test="./i6:value = '120051'">Anomis sabulifera (COSPSA)</xsl:when>
                    <xsl:when test="./i6:value = '120052'">Anomis texana (ANOMTE)</xsl:when>
                    <xsl:when test="./i6:value = '120053'">Anomoea laticlavia (ANMELA)</xsl:when>
                    <xsl:when test="./i6:value = '120054'">Anomoneura mori (ANMOMO)</xsl:when>
                    <xsl:when test="./i6:value = '120055'">Anopheles annulipes (ANPHAN)</xsl:when>
                    <xsl:when test="./i6:value = '120056'">Anopheles bankroftii (ANPHBA)</xsl:when>
                    <xsl:when test="./i6:value = '120057'">Anopheles farauti (ANPHFA)</xsl:when>
                    <xsl:when test="./i6:value = '120058'">Anopheles maculipennis (ANPHMC)</xsl:when>
                    <xsl:when test="./i6:value = '120059'">Anopheles punctipennis (ANPHPU)</xsl:when>
                    <xsl:when test="./i6:value = '120060'">Anopheles quadrimaculatus (ANPHQM)</xsl:when>
                    <xsl:when test="./i6:value = '120061'">Anopheles sinensis (ANPHHS)</xsl:when>
                    <xsl:when test="./i6:value = '120062'">Anoplius viaticus (BNPLVI)</xsl:when>
                    <xsl:when test="./i6:value = '120063'">Anoplocnemis phasiana (ANONPH)</xsl:when>
                    <xsl:when test="./i6:value = '120064'">Anoplolepis gracilipes (ANOPLO)</xsl:when>
                    <xsl:when test="./i6:value = '120065'">Anoplophora chinensis (ANOLCN)</xsl:when>
                    <xsl:when test="./i6:value = '120066'">Anoplophora glabripennis (ANOLGL)</xsl:when>
                    <xsl:when test="./i6:value = '120067'">Anser albifrons (ANSEAL)</xsl:when>
                    <xsl:when test="./i6:value = '120068'">Anser anser (ANSEAN)</xsl:when>
                    <xsl:when test="./i6:value = '120069'">Anser brachyrhynchus (ANSEBR)</xsl:when>
                    <xsl:when test="./i6:value = '120070'">Anser caerulescens (ANSECA)</xsl:when>
                    <xsl:when test="./i6:value = '120071'">Anser fabalis (ANSEFA)</xsl:when>
                    <xsl:when test="./i6:value = '120072'">Anser indicus (ANSEIN)</xsl:when>
                    <xsl:when test="./i6:value = '120073'">Antaeotricha leucillana (ANAELE)</xsl:when>
                    <xsl:when test="./i6:value = '120074'">Antaeotricha schlaegeri (ANAESC)</xsl:when>
                    <xsl:when test="./i6:value = '120075'">Antaxius pedestris (ANXIPE)</xsl:when>
                    <xsl:when test="./i6:value = '120076'">Antestia faceta (ANTEFC)</xsl:when>
                    <xsl:when test="./i6:value = '120077'">Antestia partita (ANTEPL)</xsl:when>
                    <xsl:when test="./i6:value = '120078'">Antestiopsis clymeneis galtiei (ANTECG)</xsl:when>
                    <xsl:when test="./i6:value = '120079'">Antestiopsis cruciata (ANTECR)</xsl:when>
                    <xsl:when test="./i6:value = '120080'">Antestiopsis facetoides (ANTEFD)</xsl:when>
                    <xsl:when test="./i6:value = '120081'">Antestiopsis intricata (ANTEIN)</xsl:when>
                    <xsl:when test="./i6:value = '120082'">Antestiopsis orbitalis (ANTEOR)</xsl:when>
                    <xsl:when test="./i6:value = '120083'">Antestiopsis orbitalis bechuana (ANTEOB)</xsl:when>
                    <xsl:when test="./i6:value = '120084'">Antestiopsis orbitalis ghesquierei (ANTEOG)</xsl:when>
                    <xsl:when test="./i6:value = '120085'">Antestiopsis semiviridis (ANTESE)</xsl:when>
                    <xsl:when test="./i6:value = '120086'">Antheraea assamensis (ANTAAS)</xsl:when>
                    <xsl:when test="./i6:value = '120087'">Antheraea paphia (ANTAPA)</xsl:when>
                    <xsl:when test="./i6:value = '120088'">Antheraea pernyi (ANTAPE)</xsl:when>
                    <xsl:when test="./i6:value = '120089'">Antheraea polyphemus (ANTAPO)</xsl:when>
                    <xsl:when test="./i6:value = '120090'">Antheraea yamamai (ANTAYA)</xsl:when>
                    <xsl:when test="./i6:value = '120091'">Anthicus cervinus (ANTCCE)</xsl:when>
                    <xsl:when test="./i6:value = '120092'">Anthicus floralis (ANTCFL)</xsl:when>
                    <xsl:when test="./i6:value = '120093'">Anthocharis cardamines (ANTQCA)</xsl:when>
                    <xsl:when test="./i6:value = '120094'">Anthocoptes ribis (ANTPRI)</xsl:when>
                    <xsl:when test="./i6:value = '120095'">Anthocoris gallarumulmi (ANTOGA)</xsl:when>
                    <xsl:when test="./i6:value = '120096'">Anthocoris nemorum (ANTONE)</xsl:when>
                    <xsl:when test="./i6:value = '120097'">Anthonomus amygdali (ANTHAM)</xsl:when>
                    <xsl:when test="./i6:value = '120098'">Anthonomus bisignifer (ANTHBI)</xsl:when>
                    <xsl:when test="./i6:value = '120099'">Anthonomus bituberculatus (ANTHTU)</xsl:when>
                    <xsl:when test="./i6:value = '120100'">Anthonomus eugenii (ANTHEU)</xsl:when>
                    <xsl:when test="./i6:value = '120101'">Anthonomus grandis grandis (ANTHGR)</xsl:when>
                    <xsl:when test="./i6:value = '120102'">Anthonomus grandis thurberiae (ANTHGT)</xsl:when>
                    <xsl:when test="./i6:value = '120103'">Anthonomus musculus (ANTHMU)</xsl:when>
                    <xsl:when test="./i6:value = '120104'">Anthonomus nebulosus (ANTHNE)</xsl:when>
                    <xsl:when test="./i6:value = '120105'">Anthonomus nigrinus (ANTHNI)</xsl:when>
                    <xsl:when test="./i6:value = '120106'">Anthonomus pomorum (ANTHPO)</xsl:when>
                    <xsl:when test="./i6:value = '120107'">Anthonomus pulicarius (ANTHPU)</xsl:when>
                    <xsl:when test="./i6:value = '120108'">Anthonomus pyri (ANTHPY)</xsl:when>
                    <xsl:when test="./i6:value = '120109'">Anthonomus quadrigibbus (TACYQU)</xsl:when>
                    <xsl:when test="./i6:value = '120110'">Anthonomus signatus (ANTHSI)</xsl:when>
                    <xsl:when test="./i6:value = '120111'">Anthonomus tomentosus (ANTHTO)</xsl:when>
                    <xsl:when test="./i6:value = '120112'">Anthonomus vestitus (ANTHVE)</xsl:when>
                    <xsl:when test="./i6:value = '120113'">Anthophila fabriciana (AHPHFA)</xsl:when>
                    <xsl:when test="./i6:value = '120114'">Anthostomella formosa (ATSMFO)</xsl:when>
                    <xsl:when test="./i6:value = '120115'">Anthracoidea capillaris (ATHDCP)</xsl:when>
                    <xsl:when test="./i6:value = '120116'">Anthracophyllum melanophyllum (AWPHME)</xsl:when>
                    <xsl:when test="./i6:value = '120117'">Anthrenus caucasicus (ANTRCA)</xsl:when>
                    <xsl:when test="./i6:value = '120118'">Anthrenus flavipes flavipes (ANTRFL)</xsl:when>
                    <xsl:when test="./i6:value = '120119'">Anthrenus museorum (ANTRMU)</xsl:when>
                    <xsl:when test="./i6:value = '120120'">Anthrenus scrophulariae (ANTRSC)</xsl:when>
                    <xsl:when test="./i6:value = '120121'">Anthrenus verbasci verbasci (ANTRVB)</xsl:when>
                    <xsl:when test="./i6:value = '120122'">Anthus pratensis (ATHUPR)</xsl:when>
                    <xsl:when test="./i6:value = '120123'">Antianthe expansa (ANIHEX)</xsl:when>
                    <xsl:when test="./i6:value = '120124'">Anticarsia gemmatalis (THEMGE)</xsl:when>
                    <xsl:when test="./i6:value = '120125'">Antidorcas marsupialis (ATDCMA)</xsl:when>
                    <xsl:when test="./i6:value = '120126'">Antigastra catalaunalis (ANTICA)</xsl:when>
                    <xsl:when test="./i6:value = '120127'">Antilocapra americana (ANLCAM)</xsl:when>
                    <xsl:when test="./i6:value = '120128'">Antispila oinophylla (ANTSOI)</xsl:when>
                    <xsl:when test="./i6:value = '120129'">Antitrogus consanguineus (ANTTCO)</xsl:when>
                    <xsl:when test="./i6:value = '120130'">Antitrogus morbillosus (ANTTMO)</xsl:when>
                    <xsl:when test="./i6:value = '120131'">Antitrogus mussoni (ANTTMU)</xsl:when>
                    <xsl:when test="./i6:value = '120132'">Antitrogus parvulus (ANTTPA)</xsl:when>
                    <xsl:when test="./i6:value = '120133'">Antonina crawii (ANTNCR)</xsl:when>
                    <xsl:when test="./i6:value = '120134'">Antonina graminis (ANTNGR)</xsl:when>
                    <xsl:when test="./i6:value = '120135'">Antrodia ramentacea (ANRORA)</xsl:when>
                    <xsl:when test="./i6:value = '120136'">Antrodia sinuosa (ANROSI)</xsl:when>
                    <xsl:when test="./i6:value = '120137'">Anuraphis subterranea (ANURSU)</xsl:when>
                    <xsl:when test="./i6:value = '120138'">Anystis baccarum (ANYSBA)</xsl:when>
                    <xsl:when test="./i6:value = '120139'">Anzora unicolor (ANZOUN)</xsl:when>
                    <xsl:when test="./i6:value = '120140'">Aonidia lauri (AONILA)</xsl:when>
                    <xsl:when test="./i6:value = '120141'">Aonidiella aurantii (AONDAU)</xsl:when>
                    <xsl:when test="./i6:value = '120142'">Aonidiella citrina (AONDCI)</xsl:when>
                    <xsl:when test="./i6:value = '120143'">Aonidiella taxus (AONDTA)</xsl:when>
                    <xsl:when test="./i6:value = '120144'">Aonidomytilus albus (AONMAL)</xsl:when>
                    <xsl:when test="./i6:value = '120145'">Apamea devastator (APAMDE)</xsl:when>
                    <xsl:when test="./i6:value = '120146'">Apamea finitima (TRAEFI)</xsl:when>
                    <xsl:when test="./i6:value = '120147'">Apamea monoglypha (PARIMO)</xsl:when>
                    <xsl:when test="./i6:value = '120148'">Apamea sordens (PARIBA)</xsl:when>
                    <xsl:when test="./i6:value = '120149'">Apate monachus (APATMO)</xsl:when>
                    <xsl:when test="./i6:value = '120150'">Apatele americana (ACRNAM)</xsl:when>
                    <xsl:when test="./i6:value = '120151'">Apatura ilia (APTUIL)</xsl:when>
                    <xsl:when test="./i6:value = '120152'">Apatura iris (APTUIR)</xsl:when>
                    <xsl:when test="./i6:value = '120153'">Apeira syringaria (PHLNSY)</xsl:when>
                    <xsl:when test="./i6:value = '120154'">Aphalara itadori (APLRIT)</xsl:when>
                    <xsl:when test="./i6:value = '120155'">Aphanius fasciatus (APHZFA)</xsl:when>
                    <xsl:when test="./i6:value = '120156'">Aphanius iberus (APHZIB)</xsl:when>
                    <xsl:when test="./i6:value = '120157'">Aphanocladium album (APCLAL)</xsl:when>
                    <xsl:when test="./i6:value = '120158'">Aphanomyces astaci (APHAAS)</xsl:when>
                    <xsl:when test="./i6:value = '120159'">Aphanomyces cochlioides (APHACO)</xsl:when>
                    <xsl:when test="./i6:value = '120160'">Aphanomyces euteiches (APHAEU)</xsl:when>
                    <xsl:when test="./i6:value = '120161'">Aphanomyces raphani (APHARA)</xsl:when>
                    <xsl:when test="./i6:value = '120162'">Aphantopus hyperantus (APHPHY)</xsl:when>
                    <xsl:when test="./i6:value = '120163'">Aphelenchoides besseyi (APLOBE)</xsl:when>
                    <xsl:when test="./i6:value = '120164'">Aphelenchoides subtenuis (APLOST)</xsl:when>
                    <xsl:when test="./i6:value = '120165'">Aphelia viburnana (APELVI)</xsl:when>
                    <xsl:when test="./i6:value = '120166'">Aphelinus mali (APHEMA)</xsl:when>
                    <xsl:when test="./i6:value = '120167'">Aphidecta obliterata (APHCOB)</xsl:when>
                    <xsl:when test="./i6:value = '120168'">Aphidula grossulariae (APHDGR)</xsl:when>
                    <xsl:when test="./i6:value = '120169'">Aphis cornifoliae (APHICF)</xsl:when>
                    <xsl:when test="./i6:value = '120170'">Aphis craccivora (APHICR)</xsl:when>
                    <xsl:when test="./i6:value = '120171'">Aphis fabae (APHIFA)</xsl:when>
                    <xsl:when test="./i6:value = '120172'">Aphis glycines (APHIGY)</xsl:when>
                    <xsl:when test="./i6:value = '120173'">Aphis hederae (APHIHE)</xsl:when>
                    <xsl:when test="./i6:value = '120174'">Aphis helianthi (COMPHE)</xsl:when>
                    <xsl:when test="./i6:value = '120175'">Aphis illinoisensis (APHIIL)</xsl:when>
                    <xsl:when test="./i6:value = '120176'">Aphis lambersi (APHILA)</xsl:when>
                    <xsl:when test="./i6:value = '120177'">Aphis middletonii (APHIMI)</xsl:when>
                    <xsl:when test="./i6:value = '120178'">Aphis nasturtii (APHINA)</xsl:when>
                    <xsl:when test="./i6:value = '120179'">Aphis nerii (APHINE)</xsl:when>
                    <xsl:when test="./i6:value = '120180'">Aphis ruborum (APHIRB)</xsl:when>
                    <xsl:when test="./i6:value = '120181'">Aphis rumicis (APHIRU)</xsl:when>
                    <xsl:when test="./i6:value = '120182'">Aphis viburniphila (APHIVP)</xsl:when>
                    <xsl:when test="./i6:value = '120183'">Aphodius granarius (APHOGR)</xsl:when>
                    <xsl:when test="./i6:value = '120184'">Aphodius hewitti (APHOHE)</xsl:when>
                    <xsl:when test="./i6:value = '120185'">Aphodius pseudotasmaniae (APHOPS)</xsl:when>
                    <xsl:when test="./i6:value = '120186'">Aphodius tasmaniae (APHOTA)</xsl:when>
                    <xsl:when test="./i6:value = '120187'">Aphodius varians (APHOAM)</xsl:when>
                    <xsl:when test="./i6:value = '120188'">Aphomia sociella (APHMSO)</xsl:when>
                    <xsl:when test="./i6:value = '120189'">Aphrodes albifrons (APROAL)</xsl:when>
                    <xsl:when test="./i6:value = '120190'">Aphrodes bicinctus (APROBI)</xsl:when>
                    <xsl:when test="./i6:value = '120191'">Aphrophora alni (APHRAL)</xsl:when>
                    <xsl:when test="./i6:value = '120192'">Aphthona euphorbiae (APHTEU)</xsl:when>
                    <xsl:when test="./i6:value = '120193'">Apina callisto (APINCA)</xsl:when>
                    <xsl:when test="./i6:value = '120194'">Apiognomonia errabunda (GNOMEB)</xsl:when>
                    <xsl:when test="./i6:value = '120195'">Apiognomonia veneta (APIGVE)</xsl:when>
                    <xsl:when test="./i6:value = '120196'">Apion assimile (APIOAS)</xsl:when>
                    <xsl:when test="./i6:value = '120197'">Apion basicorne (APIOBA)</xsl:when>
                    <xsl:when test="./i6:value = '120198'">Apion candyae (APIOCD)</xsl:when>
                    <xsl:when test="./i6:value = '120199'">Apion carduorum (APIOCA)</xsl:when>
                    <xsl:when test="./i6:value = '120200'">Apion collare (APIOCL)</xsl:when>
                    <xsl:when test="./i6:value = '120201'">Apion corchori (APIOCR)</xsl:when>
                    <xsl:when test="./i6:value = '120202'">Apion frumentarium (APIOFR)</xsl:when>
                    <xsl:when test="./i6:value = '120203'">Apion fuscirostre (APIOFU)</xsl:when>
                    <xsl:when test="./i6:value = '120204'">Apion intermedium (APIOIN)</xsl:when>
                    <xsl:when test="./i6:value = '120205'">Apion longirostre (APIOLO)</xsl:when>
                    <xsl:when test="./i6:value = '120206'">Apion occidentale (APIOOC)</xsl:when>
                    <xsl:when test="./i6:value = '120207'">Apion radiolus (APIORA)</xsl:when>
                    <xsl:when test="./i6:value = '120208'">Apion soleatum (APIOSL)</xsl:when>
                    <xsl:when test="./i6:value = '120209'">Apion tenue (APIOTE)</xsl:when>
                    <xsl:when test="./i6:value = '120210'">Apion ulicis (APIOUL)</xsl:when>
                    <xsl:when test="./i6:value = '120211'">Apion vorax (APIOVO)</xsl:when>
                    <xsl:when test="./i6:value = '120212'">Apiosporina morbosa (DIBOMO)</xsl:when>
                    <xsl:when test="./i6:value = '120213'">Apis cerana (APISCE)</xsl:when>
                    <xsl:when test="./i6:value = '120214'">Apis cerana indica (APISIN)</xsl:when>
                    <xsl:when test="./i6:value = '120215'">Apis cerana japonica (APISCJ)</xsl:when>
                    <xsl:when test="./i6:value = '120216'">Apis dorsata (APISDO)</xsl:when>
                    <xsl:when test="./i6:value = '120217'">Apis florea (APISFL)</xsl:when>
                    <xsl:when test="./i6:value = '120218'">Apis mellifera adansoni (APISMA)</xsl:when>
                    <xsl:when test="./i6:value = '120219'">Apis mellifera capensis (APISMN)</xsl:when>
                    <xsl:when test="./i6:value = '120220'">Apis mellifera caucasica (APISMK)</xsl:when>
                    <xsl:when test="./i6:value = '120221'">Apis mellifera cecropia (APISMO)</xsl:when>
                    <xsl:when test="./i6:value = '120222'">Apis mellifera cypria (APISMP)</xsl:when>
                    <xsl:when test="./i6:value = '120223'">Apis mellifera iberica (APISMB)</xsl:when>
                    <xsl:when test="./i6:value = '120224'">Apis mellifera intermissa (APISIT)</xsl:when>
                    <xsl:when test="./i6:value = '120225'">Apis mellifera lamarckii (APISMF)</xsl:when>
                    <xsl:when test="./i6:value = '120226'">Apis mellifera lehzeni (APISMH)</xsl:when>
                    <xsl:when test="./i6:value = '120227'">Apis mellifera macedonica (APISMM)</xsl:when>
                    <xsl:when test="./i6:value = '120228'">Apis mellifera major (APISMJ)</xsl:when>
                    <xsl:when test="./i6:value = '120229'">Apis mellifera scutellata (APISMZ)</xsl:when>
                    <xsl:when test="./i6:value = '120230'">Apis mellifera sicula (APISSI)</xsl:when>
                    <xsl:when test="./i6:value = '120231'">Apis mellifera syriaca (APISMS)</xsl:when>
                    <xsl:when test="./i6:value = '120232'">Apoda limacodes (COCDLI)</xsl:when>
                    <xsl:when test="./i6:value = '120233'">Apodemus mystacinus (APODMY)</xsl:when>
                    <xsl:when test="./i6:value = '120234'">Apodemus speciosus (APODSC)</xsl:when>
                    <xsl:when test="./i6:value = '120235'">Apodemus sylvaticus (APODSY)</xsl:when>
                    <xsl:when test="./i6:value = '120236'">Apoderus erythropterus erythrogaster (APOEER)</xsl:when>
                    <xsl:when test="./i6:value = '120237'">Apodia bifractella (APDIBI)</xsl:when>
                    <xsl:when test="./i6:value = '120238'">Apogonia destructrix (APOGDE)</xsl:when>
                    <xsl:when test="./i6:value = '120239'">Apogonia ritzemae (APOGRI)</xsl:when>
                    <xsl:when test="./i6:value = '120240'">Apomecyna binubila (APOMBI)</xsl:when>
                    <xsl:when test="./i6:value = '120241'">Apomecyna histrio (APOMHI)</xsl:when>
                    <xsl:when test="./i6:value = '120242'">Apomecyna saltator (APOMSA)</xsl:when>
                    <xsl:when test="./i6:value = '120243'">Apomyelois ceratoniae (MYELCE)</xsl:when>
                    <xsl:when test="./i6:value = '120244'">Aponychus corpuzae (APONCO)</xsl:when>
                    <xsl:when test="./i6:value = '120245'">Aporia crataegi (APORCR)</xsl:when>
                    <xsl:when test="./i6:value = '120246'">Appendicispora fennica (APPSFE)</xsl:when>
                    <xsl:when test="./i6:value = '120247'">Apriona cinerea (APRICI)</xsl:when>
                    <xsl:when test="./i6:value = '120248'">Apriona germari (APRIGE)</xsl:when>
                    <xsl:when test="./i6:value = '120249'">Apriona rugicollis (APRIJA)</xsl:when>
                    <xsl:when test="./i6:value = '120250'">Aproaerema anthyllidella (AROAAN)</xsl:when>
                    <xsl:when test="./i6:value = '120251'">Aproaerema modicella (STOPSU)</xsl:when>
                    <xsl:when test="./i6:value = '120252'">Aproaerema simplexella (GELESI)</xsl:when>
                    <xsl:when test="./i6:value = '120253'">Aproceros leucopoda (APRCLE)</xsl:when>
                    <xsl:when test="./i6:value = '120254'">Aproceros umbricola (APRCUM)</xsl:when>
                    <xsl:when test="./i6:value = '120255'">Apsylla cistellata (PSYLCI)</xsl:when>
                    <xsl:when test="./i6:value = '120256'">Aptenodytes forsteri (APTNFO)</xsl:when>
                    <xsl:when test="./i6:value = '120257'">Apterygidia media (APTEAL)</xsl:when>
                    <xsl:when test="./i6:value = '120258'">Apteryx australis (APTXAU)</xsl:when>
                    <xsl:when test="./i6:value = '120259'">Aptinothrips rufus (APTIRU)</xsl:when>
                    <xsl:when test="./i6:value = '120260'">Aptinothrips stylifer (APTIST)</xsl:when>
                    <xsl:when test="./i6:value = '120261'">Apus apus (APUSAP)</xsl:when>
                    <xsl:when test="./i6:value = '120262'">aquatic weeds (3AQUWT)</xsl:when>
                    <xsl:when test="./i6:value = '120263'">Aquila adalberti (AQUIAD)</xsl:when>
                    <xsl:when test="./i6:value = '120264'">Aquila heliaca (AQUIHE)</xsl:when>
                    <xsl:when test="./i6:value = '120265'">Ara macao (ARAXMA)</xsl:when>
                    <xsl:when test="./i6:value = '120266'">Aradus cinnamomeus (ARADCI)</xsl:when>
                    <xsl:when test="./i6:value = '120267'">Araecerus crassicornis (ARAECR)</xsl:when>
                    <xsl:when test="./i6:value = '120268'">Araecerus fasciculatus (ARAEFA)</xsl:when>
                    <xsl:when test="./i6:value = '120269'">Araecerus levipennis (ARAELE)</xsl:when>
                    <xsl:when test="./i6:value = '120270'">Araeocorynus cumingi (ARACCU)</xsl:when>
                    <xsl:when test="./i6:value = '120271'">Araneus diadematus (ARAUDI)</xsl:when>
                    <xsl:when test="./i6:value = '120272'">Araschnia levana (ARSHLE)</xsl:when>
                    <xsl:when test="./i6:value = '120273'">Archaeospora trappei (ARKHTR)</xsl:when>
                    <xsl:when test="./i6:value = '120274'">Archanara geminipuncta (ARKAGE)</xsl:when>
                    <xsl:when test="./i6:value = '120275'">Archiboreoiulus pallidus (ARCIPA)</xsl:when>
                    <xsl:when test="./i6:value = '120276'">Archiearis parthenias (ARCRPA)</xsl:when>
                    <xsl:when test="./i6:value = '120277'">Archilochus colubris (ARHLCO)</xsl:when>
                    <xsl:when test="./i6:value = '120278'">Archips cerasivoranus (ARCHCE)</xsl:when>
                    <xsl:when test="./i6:value = '120279'">Archips crataegana (ARCHCR)</xsl:when>
                    <xsl:when test="./i6:value = '120280'">Archips fuscocupreanus (ARCHFU)</xsl:when>
                    <xsl:when test="./i6:value = '120281'">Archips micaceana (ARCHMI)</xsl:when>
                    <xsl:when test="./i6:value = '120282'">Archips oporana (ARCHOP)</xsl:when>
                    <xsl:when test="./i6:value = '120283'">Archips podana (CACOPO)</xsl:when>
                    <xsl:when test="./i6:value = '120284'">Archips rosanus (CACORO)</xsl:when>
                    <xsl:when test="./i6:value = '120285'">Archips xylosteanus (CACOXY)</xsl:when>
                    <xsl:when test="./i6:value = '120286'">Archlagocheirus funestus (LAGOFU)</xsl:when>
                    <xsl:when test="./i6:value = '120287'">Arctia caja (ARCTCJ)</xsl:when>
                    <xsl:when test="./i6:value = '120288'">Arctia caja phaeosoma (ARCTCP)</xsl:when>
                    <xsl:when test="./i6:value = '120289'">Arctictis binturong (ARTIBI)</xsl:when>
                    <xsl:when test="./i6:value = '120290'">Arctorthezia occidentalis (ORTHOC)</xsl:when>
                    <xsl:when test="./i6:value = '120291'">Ardea alba (ARDEAL)</xsl:when>
                    <xsl:when test="./i6:value = '120292'">Ardea cinerea (ARDECI)</xsl:when>
                    <xsl:when test="./i6:value = '120293'">Ardea herodias (ARDEHE)</xsl:when>
                    <xsl:when test="./i6:value = '120294'">Ardices glatignyi (SPIMGL)</xsl:when>
                    <xsl:when test="./i6:value = '120295'">Arenicola marina (ARNCMA)</xsl:when>
                    <xsl:when test="./i6:value = '120296'">Arenostola phragmitidis (AREOPH)</xsl:when>
                    <xsl:when test="./i6:value = '120297'">Arethusana arethusa (ARETAR)</xsl:when>
                    <xsl:when test="./i6:value = '120298'">Argas persicus (ARGSPE)</xsl:when>
                    <xsl:when test="./i6:value = '120299'">Arge azaleae (ARGEAZ)</xsl:when>
                    <xsl:when test="./i6:value = '120300'">Arge berberidis (ARGEBE)</xsl:when>
                    <xsl:when test="./i6:value = '120301'">Arge pagana (ARGEPL)</xsl:when>
                    <xsl:when test="./i6:value = '120302'">Arge pullata (ARGEPU)</xsl:when>
                    <xsl:when test="./i6:value = '120303'">Arge similis (ARGESI)</xsl:when>
                    <xsl:when test="./i6:value = '120304'">Argiope appensa (ARGOAP)</xsl:when>
                    <xsl:when test="./i6:value = '120305'">Argiope keyserlingi (ARGOKE)</xsl:when>
                    <xsl:when test="./i6:value = '120306'">Argiope lobata (ARGOLO)</xsl:when>
                    <xsl:when test="./i6:value = '120307'">Argiope trifasciata (ARGOTR)</xsl:when>
                    <xsl:when test="./i6:value = '120308'">Argolamprotes micella (ARISMI)</xsl:when>
                    <xsl:when test="./i6:value = '120309'">Argulus foliaceus (ARGUFO)</xsl:when>
                    <xsl:when test="./i6:value = '120310'">Argynnis paphia (ARGNPA)</xsl:when>
                    <xsl:when test="./i6:value = '120311'">Argyresthia albistria (ARGYAL)</xsl:when>
                    <xsl:when test="./i6:value = '120312'">Argyresthia conjugella (ARGYCO)</xsl:when>
                    <xsl:when test="./i6:value = '120313'">Argyresthia cornella (ARGYCR)</xsl:when>
                    <xsl:when test="./i6:value = '120314'">Argyresthia curvella (ARGYCV)</xsl:when>
                    <xsl:when test="./i6:value = '120315'">Argyresthia goedartella (ARGYGO)</xsl:when>
                    <xsl:when test="./i6:value = '120316'">Argyresthia illuminatella (ARGYIL)</xsl:when>
                    <xsl:when test="./i6:value = '120317'">Argyresthia laevigatella (ARGYLA)</xsl:when>
                    <xsl:when test="./i6:value = '120318'">Argyresthia praecocella (ARGYPR)</xsl:when>
                    <xsl:when test="./i6:value = '120319'">Argyresthia pruniella (ARGYEP)</xsl:when>
                    <xsl:when test="./i6:value = '120320'">Argyresthia pygmaeella (ARGYPY)</xsl:when>
                    <xsl:when test="./i6:value = '120321'">Argyresthia sorbiella (ARGYSO)</xsl:when>
                    <xsl:when test="./i6:value = '120322'">Argyresthia thuiella (ARGYTH)</xsl:when>
                    <xsl:when test="./i6:value = '120323'">Argyrotaenia ljungiana (ARGTPU)</xsl:when>
                    <xsl:when test="./i6:value = '120324'">Arhopalus ferus (ARHOFE)</xsl:when>
                    <xsl:when test="./i6:value = '120325'">Arhopalus productus (ARHOPR)</xsl:when>
                    <xsl:when test="./i6:value = '120326'">Arianta arbustorum (ARIAAR)</xsl:when>
                    <xsl:when test="./i6:value = '120327'">Arichanna melanaria (ARICME)</xsl:when>
                    <xsl:when test="./i6:value = '120328'">Aricia agrestis (ARCZAG)</xsl:when>
                    <xsl:when test="./i6:value = '120329'">Aricia artaxerxes (ARCZAR)</xsl:when>
                    <xsl:when test="./i6:value = '120330'">Arilus cristatus (ARILCR)</xsl:when>
                    <xsl:when test="./i6:value = '120331'">Ariolimax columbianus (ARIXCO)</xsl:when>
                    <xsl:when test="./i6:value = '120332'">Arion ater rufus (ARIORU)</xsl:when>
                    <xsl:when test="./i6:value = '120333'">Arion circumscriptus (ARIOCI)</xsl:when>
                    <xsl:when test="./i6:value = '120334'">Arion hortensis (ARIOHO)</xsl:when>
                    <xsl:when test="./i6:value = '120335'">Arion intermedius (ARIOIN)</xsl:when>
                    <xsl:when test="./i6:value = '120336'">Arion lusitanicus (ARIOLU)</xsl:when>
                    <xsl:when test="./i6:value = '120337'">Arion vulgaris (ARIOVU)</xsl:when>
                    <xsl:when test="./i6:value = '120338'">Aristastoma camarographioides (ARITCM)</xsl:when>
                    <xsl:when test="./i6:value = '120339'">Aristeomorpha foliacea (ARSMFO)</xsl:when>
                    <xsl:when test="./i6:value = '120340'">Aristeus antennatus (ARSTAN)</xsl:when>
                    <xsl:when test="./i6:value = '120341'">Aristotelia ivae (ARISIV)</xsl:when>
                    <xsl:when test="./i6:value = '120342'">Armadillidium vulgare (ARMAVU)</xsl:when>
                    <xsl:when test="./i6:value = '120343'">Armillaria ectypa (ARMLEC)</xsl:when>
                    <xsl:when test="./i6:value = '120344'">Armillaria gallica (ARMLBU)</xsl:when>
                    <xsl:when test="./i6:value = '120345'">Armillaria heimii (ARMLHE)</xsl:when>
                    <xsl:when test="./i6:value = '120346'">Armillaria novae-zelandiae (ARMLNZ)</xsl:when>
                    <xsl:when test="./i6:value = '120347'">Armillaria ostoyae (ARMLOB)</xsl:when>
                    <xsl:when test="./i6:value = '120348'">Arnoglossus imperialis (ARNOIM)</xsl:when>
                    <xsl:when test="./i6:value = '120349'">Arnoglossus laterna (ARNOLA)</xsl:when>
                    <xsl:when test="./i6:value = '120350'">Arnoglossus thori (ARNOTH)</xsl:when>
                    <xsl:when test="./i6:value = '120351'">Arnoldiola quercus (ARNLQU)</xsl:when>
                    <xsl:when test="./i6:value = '120352'">Arocatus melanocephalus (AROKME)</xsl:when>
                    <xsl:when test="./i6:value = '120353'">Aroga trialbamaculella (AROGTR)</xsl:when>
                    <xsl:when test="./i6:value = '120354'">Aroga velocella (AROGVE)</xsl:when>
                    <xsl:when test="./i6:value = '120355'">Aroga websteri (AROGWE)</xsl:when>
                    <xsl:when test="./i6:value = '120356'">Aromia bungii (AROMBU)</xsl:when>
                    <xsl:when test="./i6:value = '120357'">Arrhenia acerosa (ARRNAC)</xsl:when>
                    <xsl:when test="./i6:value = '120358'">Arrhenia chlorocyanea (ARRNCH)</xsl:when>
                    <xsl:when test="./i6:value = '120359'">Arrhenia retiruga (ARRNRE)</xsl:when>
                    <xsl:when test="./i6:value = '120360'">Arrhenia umbratilis (ARRNUM)</xsl:when>
                    <xsl:when test="./i6:value = '120361'">Arrhenodes minutus (ARRHMI)</xsl:when>
                    <xsl:when test="./i6:value = '120362'">Artemia salina (ARTESA)</xsl:when>
                    <xsl:when test="./i6:value = '120363'">Arthrobacter ilicis (CORBIL)</xsl:when>
                    <xsl:when test="./i6:value = '120364'">Arthrobotrys irregularis (ARTBIR)</xsl:when>
                    <xsl:when test="./i6:value = '120365'">Arthroderma simii (ARTDSM)</xsl:when>
                    <xsl:when test="./i6:value = '120366'">Arthurdendyus triangulatus (ARDDTR)</xsl:when>
                    <xsl:when test="./i6:value = '120367'">Artipus floridanus (ARTPFL)</xsl:when>
                    <xsl:when test="./i6:value = '120368'">Artogeia napi (PIERNA)</xsl:when>
                    <xsl:when test="./i6:value = '120369'">Artogeia rapae (PIERRA)</xsl:when>
                    <xsl:when test="./i6:value = '120370'">Artona catoxantha (ARTOCA)</xsl:when>
                    <xsl:when test="./i6:value = '120371'">Arvelius albopunctatus (ARVEAL)</xsl:when>
                    <xsl:when test="./i6:value = '120372'">Arvicanthis niloticus (ARVINI)</xsl:when>
                    <xsl:when test="./i6:value = '120373'">Arvicola terrestris (ARVCTE)</xsl:when>
                    <xsl:when test="./i6:value = '120374'">Asarcopus palmarum (ASARPA)</xsl:when>
                    <xsl:when test="./i6:value = '120375'">Ascaris lumbricoides (ASCRLU)</xsl:when>
                    <xsl:when test="./i6:value = '120376'">Aschistonyx eppoi (ASCXEP)</xsl:when>
                    <xsl:when test="./i6:value = '120377'">Ascia monuste (PIERMO)</xsl:when>
                    <xsl:when test="./i6:value = '120378'">Ascochyta avenae (ASCOAV)</xsl:when>
                    <xsl:when test="./i6:value = '120379'">Ascochyta desmazieri (ASCODE)</xsl:when>
                    <xsl:when test="./i6:value = '120380'">Ascochyta gossypii (ASCOGO)</xsl:when>
                    <xsl:when test="./i6:value = '120381'">Ascochyta graminicola (ASCOGR)</xsl:when>
                    <xsl:when test="./i6:value = '120382'">Ascochyta hordei (ASCOHD)</xsl:when>
                    <xsl:when test="./i6:value = '120383'">Ascochyta hortorum (ASCOHO)</xsl:when>
                    <xsl:when test="./i6:value = '120384'">Ascochyta tenerrima (ASCOTE)</xsl:when>
                    <xsl:when test="./i6:value = '120385'">Ascochyta tritici (ASCOTR)</xsl:when>
                    <xsl:when test="./i6:value = '120386'">Ascochyta violae (ASCOVI)</xsl:when>
                    <xsl:when test="./i6:value = '120387'">Ascocoryne sarcoides (ASCCSA)</xsl:when>
                    <xsl:when test="./i6:value = '120388'">Ascodichaena rugosa (ASDCRU)</xsl:when>
                    <xsl:when test="./i6:value = '120389'">Ascotis cretacea (ASCTSC)</xsl:when>
                    <xsl:when test="./i6:value = '120390'">Ascotis selenaria (ASCTSE)</xsl:when>
                    <xsl:when test="./i6:value = '120391'">Ascotis selenaria reciprocaria (ASCTSR)</xsl:when>
                    <xsl:when test="./i6:value = '120392'">Asellus  aquaticus (ASELAQ)</xsl:when>
                    <xsl:when test="./i6:value = '120393'">Asemum striatum (ASEMST)</xsl:when>
                    <xsl:when test="./i6:value = '120394'">Aseroe rubra (ASERRU)</xsl:when>
                    <xsl:when test="./i6:value = '120395'">Ashfordia granulata (ASHFGR)</xsl:when>
                    <xsl:when test="./i6:value = '120396'">Asilus crabroniformis (ASILCR)</xsl:when>
                    <xsl:when test="./i6:value = '120397'">Asio flammeus (ASIOFL)</xsl:when>
                    <xsl:when test="./i6:value = '120398'">Asio otus (ASIOOT)</xsl:when>
                    <xsl:when test="./i6:value = '120399'">Aspergillus carbonarius (ASPECA)</xsl:when>
                    <xsl:when test="./i6:value = '120400'">Aspergillus flavus (ASPEFL)</xsl:when>
                    <xsl:when test="./i6:value = '120401'">Aspergillus niger (ASPENI)</xsl:when>
                    <xsl:when test="./i6:value = '120402'">Aspergillus ochraceus (ASPEOC)</xsl:when>
                    <xsl:when test="./i6:value = '120403'">Asperisporium caricae (ASPRCA)</xsl:when>
                    <xsl:when test="./i6:value = '120404'">Asperisporium sequoiae (CERCSQ)</xsl:when>
                    <xsl:when test="./i6:value = '120405'">Asphondylia ervi (ASPHER)</xsl:when>
                    <xsl:when test="./i6:value = '120406'">Asphondylia miki (ASPHMI)</xsl:when>
                    <xsl:when test="./i6:value = '120407'">Asphondylia ricini (ASPHRI)</xsl:when>
                    <xsl:when test="./i6:value = '120408'">Asphondylia sesami (ASPHSE)</xsl:when>
                    <xsl:when test="./i6:value = '120409'">Asphondylia websteri (ASPHWE)</xsl:when>
                    <xsl:when test="./i6:value = '120410'">Aspidiella hartii (ASPIHA)</xsl:when>
                    <xsl:when test="./i6:value = '120411'">Aspidiella sacchari (ASPISA)</xsl:when>
                    <xsl:when test="./i6:value = '120412'">Aspidiotus cryptomeriae (ASPDCR)</xsl:when>
                    <xsl:when test="./i6:value = '120413'">Aspidiotus destructor (ASPDDE)</xsl:when>
                    <xsl:when test="./i6:value = '120414'">Aspidiotus nerii (ASPDNE)</xsl:when>
                    <xsl:when test="./i6:value = '120415'">Aspidomorpha miliaris (ASPMMI)</xsl:when>
                    <xsl:when test="./i6:value = '120416'">Aspius aspius (ASPSAS)</xsl:when>
                    <xsl:when test="./i6:value = '120417'">Astegopteryx bambusifoliae (ASPXBA)</xsl:when>
                    <xsl:when test="./i6:value = '120418'">Asterina aulica (ASTRAU)</xsl:when>
                    <xsl:when test="./i6:value = '120419'">Asterina baphiae (ASTRBA)</xsl:when>
                    <xsl:when test="./i6:value = '120420'">Asterina centropogonis (ASTRCE)</xsl:when>
                    <xsl:when test="./i6:value = '120421'">Asterodiaspis minus (ASTLMS)</xsl:when>
                    <xsl:when test="./i6:value = '120422'">Asterodiaspis variolosa (ASTLVA)</xsl:when>
                    <xsl:when test="./i6:value = '120423'">Asterolecanium coffeae (ASTLCF)</xsl:when>
                    <xsl:when test="./i6:value = '120424'">Asterolecanium epidendri (ASTLEP)</xsl:when>
                    <xsl:when test="./i6:value = '120425'">Asterolecanium notatum (ASTLNO)</xsl:when>
                    <xsl:when test="./i6:value = '120426'">Asterolecanium striatum (ASTLST)</xsl:when>
                    <xsl:when test="./i6:value = '120427'">Asterophora lycoperdoides (ASTOLY)</xsl:when>
                    <xsl:when test="./i6:value = '120428'">Asterophora parasitica (ASTOPA)</xsl:when>
                    <xsl:when test="./i6:value = '120429'">Astraeus hygrometricus (ATRSHY)</xsl:when>
                    <xsl:when test="./i6:value = '120430'">Astylus atromaculatus (ASTYAT)</xsl:when>
                    <xsl:when test="./i6:value = '120431'">Asynapta mangiferae (ASYAMA)</xsl:when>
                    <xsl:when test="./i6:value = '120432'">Ataenius imparalis (ATAEIM)</xsl:when>
                    <xsl:when test="./i6:value = '120433'">Ataenius picinus (ATAEPI)</xsl:when>
                    <xsl:when test="./i6:value = '120434'">Ataenius strigatus (ATAESR)</xsl:when>
                    <xsl:when test="./i6:value = '120435'">Athalia lugens (ATALLU)</xsl:when>
                    <xsl:when test="./i6:value = '120436'">Athalia proxima (ATALPR)</xsl:when>
                    <xsl:when test="./i6:value = '120437'">Athalia rosae (ATALCO)</xsl:when>
                    <xsl:when test="./i6:value = '120438'">Athelia bombacina (ATHLBO)</xsl:when>
                    <xsl:when test="./i6:value = '120439'">Athelia rolfsii (SCLORO)</xsl:when>
                    <xsl:when test="./i6:value = '120440'">Athene brama (ATENBR)</xsl:when>
                    <xsl:when test="./i6:value = '120441'">Athene cunicularia (ATENCU)</xsl:when>
                    <xsl:when test="./i6:value = '120442'">Athene noctua (ATENNO)</xsl:when>
                    <xsl:when test="./i6:value = '120443'">Atherigona biseta (ATHEBI)</xsl:when>
                    <xsl:when test="./i6:value = '120444'">Atherigona exigua (ATHEEG)</xsl:when>
                    <xsl:when test="./i6:value = '120445'">Atherigona humeralis (ATHEHU)</xsl:when>
                    <xsl:when test="./i6:value = '120446'">Atherigona oryzae (ATHEOZ)</xsl:when>
                    <xsl:when test="./i6:value = '120447'">Atherigona soccata (ATHESO)</xsl:when>
                    <xsl:when test="./i6:value = '120448'">Atherigona varia (ATHEVA)</xsl:when>
                    <xsl:when test="./i6:value = '120449'">Atherina boyeri (ATHNBO)</xsl:when>
                    <xsl:when test="./i6:value = '120450'">Atherina hepsetus (ATHNHE)</xsl:when>
                    <xsl:when test="./i6:value = '120451'">Atherina presbyter (ATHNPR)</xsl:when>
                    <xsl:when test="./i6:value = '120452'">Athesapeuta cyperi (ATHSCY)</xsl:when>
                    <xsl:when test="./i6:value = '120453'">Athous haemorrhoidalis (ATHOHA)</xsl:when>
                    <xsl:when test="./i6:value = '120454'">Athrips mouffetella (EPIHMO)</xsl:when>
                    <xsl:when test="./i6:value = '120455'">Athrips rancidella (AHRSRA)</xsl:when>
                    <xsl:when test="./i6:value = '120456'">Atolmis rubricollis (ATLMRU)</xsl:when>
                    <xsl:when test="./i6:value = '120457'">Atomaria linearis (ATOMLI)</xsl:when>
                    <xsl:when test="./i6:value = '120458'">Atrachya menetriesi (LUPDMA)</xsl:when>
                    <xsl:when test="./i6:value = '120459'">Atractomorpha lata (ATRCLA)</xsl:when>
                    <xsl:when test="./i6:value = '120460'">Atractomorpha sinensis (ATRCAM)</xsl:when>
                    <xsl:when test="./i6:value = '120461'">Atractotomus mali (ATRAMA)</xsl:when>
                    <xsl:when test="./i6:value = '120462'">Atropellis pinicola (ATRPPC)</xsl:when>
                    <xsl:when test="./i6:value = '120463'">Atropellis piniphila (ATRPPP)</xsl:when>
                    <xsl:when test="./i6:value = '120464'">Atropellis tingens (ATRPTI)</xsl:when>
                    <xsl:when test="./i6:value = '120465'">Atta texana (ATTATE)</xsl:when>
                    <xsl:when test="./i6:value = '120466'">Attacus atlas (ATTCAT)</xsl:when>
                    <xsl:when test="./i6:value = '120467'">Attagenus fasciatus (ATTGFA)</xsl:when>
                    <xsl:when test="./i6:value = '120468'">Attagenus pellio (ATTGPE)</xsl:when>
                    <xsl:when test="./i6:value = '120469'">Attagenus unicolor (ATTGPI)</xsl:when>
                    <xsl:when test="./i6:value = '120470'">Attaphila fungicola (ATTPFU)</xsl:when>
                    <xsl:when test="./i6:value = '120471'">Atteva punctella (ATTEPU)</xsl:when>
                    <xsl:when test="./i6:value = '120472'">Augasma aeratella (AUGAAE)</xsl:when>
                    <xsl:when test="./i6:value = '120473'">Aulacaspis madiunensis (AULSMA)</xsl:when>
                    <xsl:when test="./i6:value = '120474'">Aulacaspis mali (AULSML)</xsl:when>
                    <xsl:when test="./i6:value = '120475'">Aulacaspis rosarum (AULSRR)</xsl:when>
                    <xsl:when test="./i6:value = '120476'">Aulacaspis tegalensis (CHIOTE)</xsl:when>
                    <xsl:when test="./i6:value = '120477'">Aulacaspis tubercularis (AULSTU)</xsl:when>
                    <xsl:when test="./i6:value = '120478'">Aulacaspis yasumatsui (AULSYA)</xsl:when>
                    <xsl:when test="./i6:value = '120479'">Aulacophora abdominalis (AUACAB)</xsl:when>
                    <xsl:when test="./i6:value = '120480'">Aulacophora atripennis (AUACAT)</xsl:when>
                    <xsl:when test="./i6:value = '120481'">Aulacophora excavata (AUACEX)</xsl:when>
                    <xsl:when test="./i6:value = '120482'">Aulacophora femoralis (AUACFE)</xsl:when>
                    <xsl:when test="./i6:value = '120483'">Aulacophora foveicollis (AUACFO)</xsl:when>
                    <xsl:when test="./i6:value = '120484'">Aulacophora hilaris (AUACHI)</xsl:when>
                    <xsl:when test="./i6:value = '120485'">Aulacophora indica (AUACSI)</xsl:when>
                    <xsl:when test="./i6:value = '120486'">Aulacophora olivieri (AUACOL)</xsl:when>
                    <xsl:when test="./i6:value = '120487'">Aulacorthum circumflexum (MYZUCI)</xsl:when>
                    <xsl:when test="./i6:value = '120488'">Auletobius cassandrae (AULTCA)</xsl:when>
                    <xsl:when test="./i6:value = '120489'">Aulocara elliotti (AULCEL)</xsl:when>
                    <xsl:when test="./i6:value = '120490'">Aurantiporus fissilis (AURPFI)</xsl:when>
                    <xsl:when test="./i6:value = '120491'">Aurantiporus pulcherrimus (AURPPU)</xsl:when>
                    <xsl:when test="./i6:value = '120492'">Aurelia aurita (AURLAU)</xsl:when>
                    <xsl:when test="./i6:value = '120493'">Aureoboletus gentilis (AURBGE)</xsl:when>
                    <xsl:when test="./i6:value = '120494'">Aureoboletus reticuloceps (AURBRE)</xsl:when>
                    <xsl:when test="./i6:value = '120495'">Auricularia auricula-judae (AURIAU)</xsl:when>
                    <xsl:when test="./i6:value = '120496'">Auricularia cornea (AURICO)</xsl:when>
                    <xsl:when test="./i6:value = '120497'">Auricularia mesenterica (AURIME)</xsl:when>
                    <xsl:when test="./i6:value = '120498'">Auricularia polytricha (AURIPO)</xsl:when>
                    <xsl:when test="./i6:value = '120499'">Auriscalpium vulgare (AURSVU)</xsl:when>
                    <xsl:when test="./i6:value = '120500'">Austracris guttulosa (AUSTGU)</xsl:when>
                    <xsl:when test="./i6:value = '120501'">Australoplana sanguinea (AUSPSA)</xsl:when>
                    <xsl:when test="./i6:value = '120502'">Austroasca alfalfae (AUSSAL)</xsl:when>
                    <xsl:when test="./i6:value = '120503'">Austroasca terraereginae (AUSSTR)</xsl:when>
                    <xsl:when test="./i6:value = '120504'">Austroasca viridigrisea (AUSSVI)</xsl:when>
                    <xsl:when test="./i6:value = '120505'">Austrolecanium cappari (LECACP)</xsl:when>
                    <xsl:when test="./i6:value = '120506'">Austropaxillus macnabbii (APAXMA)</xsl:when>
                    <xsl:when test="./i6:value = '120507'">Austropuccinia psidii (PUCCPS)</xsl:when>
                    <xsl:when test="./i6:value = '120508'">Autographa californica (AUTGCA)</xsl:when>
                    <xsl:when test="./i6:value = '120509'">Autographa gamma (PYTOGA)</xsl:when>
                    <xsl:when test="./i6:value = '120510'">Autoserica castanea (AUTSCA)</xsl:when>
                    <xsl:when test="./i6:value = '120511'">Aylax papaveris (TIMAPA)</xsl:when>
                    <xsl:when test="./i6:value = '120512'">Aythya ferina (AYTHFE)</xsl:when>
                    <xsl:when test="./i6:value = '120513'">Aythya fuligula (AYTHFU)</xsl:when>
                    <xsl:when test="./i6:value = '120514'">Aythya marila (AYTHMA)</xsl:when>
                    <xsl:when test="./i6:value = '120515'">Aythya valisineria (AYTHVA)</xsl:when>
                    <xsl:when test="./i6:value = '120516'">Azochis gripusalis (AZOIGR)</xsl:when>
                    <xsl:when test="./i6:value = '120517'">Azotobacter chroococcum (AZOBCH)</xsl:when>
                    <xsl:when test="./i6:value = '120518'">Bacchisa fortunei (CHREFO)</xsl:when>
                    <xsl:when test="./i6:value = '120519'">Bacillus lentimorbus (BACILE)</xsl:when>
                    <xsl:when test="./i6:value = '120520'">Bacillus megaterium (BACIME)</xsl:when>
                    <xsl:when test="./i6:value = '120521'">Bacillus popilliae (BACIPO)</xsl:when>
                    <xsl:when test="./i6:value = '120522'">Bacillus pumilus (BACIMS)</xsl:when>
                    <xsl:when test="./i6:value = '120523'">Bacillus thuringiensis (BACITH)</xsl:when>
                    <xsl:when test="./i6:value = '120524'">Bactericera cockerelli (PARZCO)</xsl:when>
                    <xsl:when test="./i6:value = '120525'">Bactericera tremblayi (TRIZTE)</xsl:when>
                    <xsl:when test="./i6:value = '120526'">Bactra venosana (BACTVE)</xsl:when>
                    <xsl:when test="./i6:value = '120527'">Bactrocera albistrigata (BCTRAL)</xsl:when>
                    <xsl:when test="./i6:value = '120528'">Bactrocera cacuminata (DACUCA)</xsl:when>
                    <xsl:when test="./i6:value = '120529'">Bactrocera carambolae (BCTRCB)</xsl:when>
                    <xsl:when test="./i6:value = '120530'">Bactrocera correcta (BCTRCO)</xsl:when>
                    <xsl:when test="./i6:value = '120531'">Bactrocera curvipennis (DACUCR)</xsl:when>
                    <xsl:when test="./i6:value = '120532'">Bactrocera jarvisi (BCTRJA)</xsl:when>
                    <xsl:when test="./i6:value = '120533'">Bactrocera latifrons (DACULA)</xsl:when>
                    <xsl:when test="./i6:value = '120534'">Bactrocera minax (DACUCT)</xsl:when>
                    <xsl:when test="./i6:value = '120535'">Bactrocera musae (DACUMU)</xsl:when>
                    <xsl:when test="./i6:value = '120536'">Bactrocera neohumeralis (BCTRNE)</xsl:when>
                    <xsl:when test="./i6:value = '120537'">Bactrocera passiflorae (BCTRPA)</xsl:when>
                    <xsl:when test="./i6:value = '120538'">Bactrocera psidii (DACUPS)</xsl:when>
                    <xsl:when test="./i6:value = '120539'">Bactrocera tryoni (DACUTR)</xsl:when>
                    <xsl:when test="./i6:value = '120540'">Bactrocera tsuneonis (DACUTS)</xsl:when>
                    <xsl:when test="./i6:value = '120541'">Bactrocera zonata (DACUZO)</xsl:when>
                    <xsl:when test="./i6:value = '120542'">Badumna insignis (BADUIN)</xsl:when>
                    <xsl:when test="./i6:value = '120543'">Baeospora myosura (BAESMY)</xsl:when>
                    <xsl:when test="./i6:value = '120544'">Baetis rhodani (BAETRH)</xsl:when>
                    <xsl:when test="./i6:value = '120545'">Baetisca laurentina (BAEXLA)</xsl:when>
                    <xsl:when test="./i6:value = '120546'">Bagrada hilaris (BAGRHI)</xsl:when>
                    <xsl:when test="./i6:value = '120547'">Balaena mysticetus (BALEMY)</xsl:when>
                    <xsl:when test="./i6:value = '120548'">Balaeniceps rex (BLNCRE)</xsl:when>
                    <xsl:when test="./i6:value = '120549'">Balaenoptera acutorostrata (BLNPAC)</xsl:when>
                    <xsl:when test="./i6:value = '120550'">Balaenoptera musculus (BLNPMU)</xsl:when>
                    <xsl:when test="./i6:value = '120551'">Balaenoptera physalus (BLNPPH)</xsl:when>
                    <xsl:when test="./i6:value = '120552'">Balanococcus kwoni (BNCCKW)</xsl:when>
                    <xsl:when test="./i6:value = '120553'">Balansia oryzae-sativae (BALAOS)</xsl:when>
                    <xsl:when test="./i6:value = '120554'">Balanus balanus (BALSBL)</xsl:when>
                    <xsl:when test="./i6:value = '120555'">Balanus improvisus (BALSIM)</xsl:when>
                    <xsl:when test="./i6:value = '120556'">Balcanocerus provancheri (IDIOPR)</xsl:when>
                    <xsl:when test="./i6:value = '120557'">Balclutha beardsleyi (BALCBE)</xsl:when>
                    <xsl:when test="./i6:value = '120558'">Balclutha hospes (BALCHO)</xsl:when>
                    <xsl:when test="./i6:value = '120559'">Balea perversa (BLEAPE)</xsl:when>
                    <xsl:when test="./i6:value = '120560'">Baliosus ruber (BALIRU)</xsl:when>
                    <xsl:when test="./i6:value = '120561'">Baliothrips dispar (TAETBR)</xsl:when>
                    <xsl:when test="./i6:value = '120562'">Baliothrips minutus (BALOMI)</xsl:when>
                    <xsl:when test="./i6:value = '120563'">Balistes carolinensis (BLSTCA)</xsl:when>
                    <xsl:when test="./i6:value = '120564'">Balsamia platyspora (BLSMPL)</xsl:when>
                    <xsl:when test="./i6:value = '120565'">Balsamia vulgaris (BLSMVU)</xsl:when>
                    <xsl:when test="./i6:value = '120566'">Bambusaspis bambusae (ASTLBA)</xsl:when>
                    <xsl:when test="./i6:value = '120567'">Bambusicola thoracica (BAMCTH)</xsl:when>
                    <xsl:when test="./i6:value = '120568'">Banasa dimidiata (BANADI)</xsl:when>
                    <xsl:when test="./i6:value = '120569'">Bandicota bengalensis (BANDBE)</xsl:when>
                    <xsl:when test="./i6:value = '120570'">Bandicota indica (BANDIN)</xsl:when>
                    <xsl:when test="./i6:value = '120571'">Bankera fuligineoalba (BANKFU)</xsl:when>
                    <xsl:when test="./i6:value = '120572'">Bankera violascens (BANKVI)</xsl:when>
                    <xsl:when test="./i6:value = '120573'">Barbara herrichiana (BARBHE)</xsl:when>
                    <xsl:when test="./i6:value = '120574'">Barbara osmana (BARBOS)</xsl:when>
                    <xsl:when test="./i6:value = '120575'">Barbastella barbastellus (BBSTBA)</xsl:when>
                    <xsl:when test="./i6:value = '120576'">Barbitistes constrictus (BARTCO)</xsl:when>
                    <xsl:when test="./i6:value = '120577'">Barbitistes fischeri (BARTBE)</xsl:when>
                    <xsl:when test="./i6:value = '120578'">Barbitistes serricauda (BARTSE)</xsl:when>
                    <xsl:when test="./i6:value = '120579'">Barbus ticto (BARUTI)</xsl:when>
                    <xsl:when test="./i6:value = '120580'">Baris deplanata (BARIDE)</xsl:when>
                    <xsl:when test="./i6:value = '120581'">Baris granulipennis (BARIGR)</xsl:when>
                    <xsl:when test="./i6:value = '120582'">Baris menthae (BARIME)</xsl:when>
                    <xsl:when test="./i6:value = '120583'">Baris strenua (BARIST)</xsl:when>
                    <xsl:when test="./i6:value = '120584'">Baris traegardhi (BARITR)</xsl:when>
                    <xsl:when test="./i6:value = '120585'">Barynotus obscurus (BARYOB)</xsl:when>
                    <xsl:when test="./i6:value = '120586'">Baryopadus corrugatus (BAROCO)</xsl:when>
                    <xsl:when test="./i6:value = '120587'">Barypeithes araneiformis (BARPAR)</xsl:when>
                    <xsl:when test="./i6:value = '120588'">Basidiophora entospora (BASIEN)</xsl:when>
                    <xsl:when test="./i6:value = '120589'">Basidioradulum radula (BSRDRA)</xsl:when>
                    <xsl:when test="./i6:value = '120590'">Basilepta pallidulum (BASLPA)</xsl:when>
                    <xsl:when test="./i6:value = '120591'">Bathycoelia thalassina (BATHTA)</xsl:when>
                    <xsl:when test="./i6:value = '120592'">Bathyplectes curculionis (BATYCU)</xsl:when>
                    <xsl:when test="./i6:value = '120593'">Batocera boisduvali (BATCBO)</xsl:when>
                    <xsl:when test="./i6:value = '120594'">Batocera lineolata lineolata (BATCLI)</xsl:when>
                    <xsl:when test="./i6:value = '120595'">Batocera numitor titana (BATCTI)</xsl:when>
                    <xsl:when test="./i6:value = '120596'">Batocera rubus (BATCRB)</xsl:when>
                    <xsl:when test="./i6:value = '120597'">Batocera rufomaculata (BATCRF)</xsl:when>
                    <xsl:when test="./i6:value = '120598'">Batophila aerata (BATOAE)</xsl:when>
                    <xsl:when test="./i6:value = '120599'">Batophila rubi (BATORU)</xsl:when>
                    <xsl:when test="./i6:value = '120600'">Batrachedra amydraula (BATRAM)</xsl:when>
                    <xsl:when test="./i6:value = '120601'">Batrachedra enormis (BATREN)</xsl:when>
                    <xsl:when test="./i6:value = '120602'">Batrachedra pinicolella (EUSTPI)</xsl:when>
                    <xsl:when test="./i6:value = '120603'">Battarraea phalloides (BTTAPH)</xsl:when>
                    <xsl:when test="./i6:value = '120604'">Battus philenor (BATTPH)</xsl:when>
                    <xsl:when test="./i6:value = '120605'">Bauhinus marginalis (BAUHMA)</xsl:when>
                    <xsl:when test="./i6:value = '120606'">Bauhinus pustulatus (BAUHPU)</xsl:when>
                    <xsl:when test="./i6:value = '120607'">Bdellodes lapidaria (BDLLLA)</xsl:when>
                    <xsl:when test="./i6:value = '120608'">Bdellovibrio bacteriovorus (BDELBA)</xsl:when>
                    <xsl:when test="./i6:value = '120609'">Bedellia somnulentella (BEDESO)</xsl:when>
                    <xsl:when test="./i6:value = '120610'">Belone belone (BELGBE)</xsl:when>
                    <xsl:when test="./i6:value = '120611'">Belonochilus numenius (BELCNU)</xsl:when>
                    <xsl:when test="./i6:value = '120612'">Belonolaimus gracilis (BELOGR)</xsl:when>
                    <xsl:when test="./i6:value = '120613'">Belostoma flumineum (BELSFL)</xsl:when>
                    <xsl:when test="./i6:value = '120614'">Bembecia scopigera (DIPSSC)</xsl:when>
                    <xsl:when test="./i6:value = '120615'">Bemisia argentifolii (BEMIAR)</xsl:when>
                    <xsl:when test="./i6:value = '120616'">Bemisia giffardi (BEMIGI)</xsl:when>
                    <xsl:when test="./i6:value = '120617'">Bemisia shinanoensis (BEMISH)</xsl:when>
                    <xsl:when test="./i6:value = '120618'">Bephratelloides cubensis (BEPHCU)</xsl:when>
                    <xsl:when test="./i6:value = '120619'">Bephratelloides pomorum (BEPHPO)</xsl:when>
                    <xsl:when test="./i6:value = '120620'">Beroe cucumis (BEROCU)</xsl:when>
                    <xsl:when test="./i6:value = '120621'">Bertia moriformis (BEREMO)</xsl:when>
                    <xsl:when test="./i6:value = '120622'">Berytinus minor (BERYMI)</xsl:when>
                    <xsl:when test="./i6:value = '120623'">Bibio imitator (BIBIIM)</xsl:when>
                    <xsl:when test="./i6:value = '120624'">Bibio marci (BIBIMA)</xsl:when>
                    <xsl:when test="./i6:value = '120625'">Bibio rufiventris (BIBIRU)</xsl:when>
                    <xsl:when test="./i6:value = '120626'">Bifusella ahmadii (BIFUSU)</xsl:when>
                    <xsl:when test="./i6:value = '120627'">Biomphalaria alexandrina alexandrina (BIOMAA)</xsl:when>
                    <xsl:when test="./i6:value = '120628'">Biomphalaria glabrata (BIOMGL)</xsl:when>
                    <xsl:when test="./i6:value = '120629'">Biomphalaria pfeifferi pfeifferi (BIOMPP)</xsl:when>
                    <xsl:when test="./i6:value = '120630'">Bipolaris cactivora (DRECCA)</xsl:when>
                    <xsl:when test="./i6:value = '120631'">Bipolaris heveae (DRECHE)</xsl:when>
                    <xsl:when test="./i6:value = '120632'">Bipolaris incurvata (DRECIN)</xsl:when>
                    <xsl:when test="./i6:value = '120633'">Bipolaris iridis (DRECIR)</xsl:when>
                    <xsl:when test="./i6:value = '120634'">Bipolaris sacchari (DRECSA)</xsl:when>
                    <xsl:when test="./i6:value = '120635'">Bipolaris sorghicola (DRECSO)</xsl:when>
                    <xsl:when test="./i6:value = '120636'">Biprorulus bibax (BIPRBI)</xsl:when>
                    <xsl:when test="./i6:value = '120637'">Biscogniauxia mediterranea (HYPOME)</xsl:when>
                    <xsl:when test="./i6:value = '120638'">Biscogniauxia nummularia (HYPONU)</xsl:when>
                    <xsl:when test="./i6:value = '120639'">Biscogniauxia rosacearum (BISCRO)</xsl:when>
                    <xsl:when test="./i6:value = '120640'">Biselachista cinereopunctella (BISKCI)</xsl:when>
                    <xsl:when test="./i6:value = '120641'">Bison bison (BISOBI)</xsl:when>
                    <xsl:when test="./i6:value = '120642'">Bison bonasus (BISOBO)</xsl:when>
                    <xsl:when test="./i6:value = '120643'">Bisporella citrina (BISPCI)</xsl:when>
                    <xsl:when test="./i6:value = '120644'">Bisporella sulfurina (BISPSL)</xsl:when>
                    <xsl:when test="./i6:value = '120645'">Bissetia steniella (BISEST)</xsl:when>
                    <xsl:when test="./i6:value = '120646'">Biston betularia (BISTBE)</xsl:when>
                    <xsl:when test="./i6:value = '120647'">Biston stratarius (BISTST)</xsl:when>
                    <xsl:when test="./i6:value = '120648'">Biston suppressarius (BISTSU)</xsl:when>
                    <xsl:when test="./i6:value = '120649'">Bithynia tentaculata (BITHTE)</xsl:when>
                    <xsl:when test="./i6:value = '120650'">Bitis gabonica (BITIGA)</xsl:when>
                    <xsl:when test="./i6:value = '120651'">Bixadus sierricola (BIXASI)</xsl:when>
                    <xsl:when test="./i6:value = '120652'">Bjerkandera fumosa (BJERFU)</xsl:when>
                    <xsl:when test="./i6:value = '120653'">Blaberus fuscus (BLABFU)</xsl:when>
                    <xsl:when test="./i6:value = '120654'">Blaberus giganteus (BLABGI)</xsl:when>
                    <xsl:when test="./i6:value = '120655'">Blaesoxipha kellyi (BLAEKE)</xsl:when>
                    <xsl:when test="./i6:value = '120656'">Blanus cinereus (BLNUCI)</xsl:when>
                    <xsl:when test="./i6:value = '120657'">Blaps mucronata (BAPSMU)</xsl:when>
                    <xsl:when test="./i6:value = '120658'">Blapstinus rufipes (BLAPRU)</xsl:when>
                    <xsl:when test="./i6:value = '120659'">Blaptica dubia (BLPTDU)</xsl:when>
                    <xsl:when test="./i6:value = '120660'">Blarina brevicauda (BLARBR)</xsl:when>
                    <xsl:when test="./i6:value = '120661'">Blasiphalia pseudogrisella (BLPHPS)</xsl:when>
                    <xsl:when test="./i6:value = '120662'">Blastesthia turionella (EVETTU)</xsl:when>
                    <xsl:when test="./i6:value = '120663'">Blasticotoma filiceti (BLACFI)</xsl:when>
                    <xsl:when test="./i6:value = '120664'">Blastobasis glandulella (BLAAGL)</xsl:when>
                    <xsl:when test="./i6:value = '120665'">Blastobasis graminea (BLAAGR)</xsl:when>
                    <xsl:when test="./i6:value = '120666'">Blastodacna atra (BLAOPU)</xsl:when>
                    <xsl:when test="./i6:value = '120667'">Blastodacna hellerella (BLAOHE)</xsl:when>
                    <xsl:when test="./i6:value = '120668'">Blastophaga psenes (BLAGPS)</xsl:when>
                    <xsl:when test="./i6:value = '120669'">Blastopsylla occidentalis (BLSPOC)</xsl:when>
                    <xsl:when test="./i6:value = '120670'">Blatta lateralis (BLATLA)</xsl:when>
                    <xsl:when test="./i6:value = '120671'">Blattella asahinai (BLTTAS)</xsl:when>
                    <xsl:when test="./i6:value = '120672'">Blattella lituricollis (BLTTLI)</xsl:when>
                    <xsl:when test="./i6:value = '120673'">Blattella vaga (BLTTVA)</xsl:when>
                    <xsl:when test="./i6:value = '120674'">Blepharidopterus angulatus (AETOAN)</xsl:when>
                    <xsl:when test="./i6:value = '120675'">Blicca bjoerkna (BLICBJ)</xsl:when>
                    <xsl:when test="./i6:value = '120676'">Blissus diplopterus (BLISDI)</xsl:when>
                    <xsl:when test="./i6:value = '120677'">Blissus gibbus (BLISGI)</xsl:when>
                    <xsl:when test="./i6:value = '120678'">Blissus hirtus (BLISHI)</xsl:when>
                    <xsl:when test="./i6:value = '120679'">Blissus insularis (BLISIN)</xsl:when>
                    <xsl:when test="./i6:value = '120680'">Blissus leucopterus (BLISLE)</xsl:when>
                    <xsl:when test="./i6:value = '120681'">Blissus occiduus (BLISOC)</xsl:when>
                    <xsl:when test="./i6:value = '120682'">Blitopertha orientalis (ANMLOR)</xsl:when>
                    <xsl:when test="./i6:value = '120683'">Blitophaga opaca (BLITOP)</xsl:when>
                    <xsl:when test="./i6:value = '120684'">Blosyrus ipomoeae (BLOSIP)</xsl:when>
                    <xsl:when test="./i6:value = '120685'">Blumeria graminis f. sp. avenae (ERYSGA)</xsl:when>
                    <xsl:when test="./i6:value = '120686'">Blumeria graminis f. sp. hordei (ERYSGH)</xsl:when>
                    <xsl:when test="./i6:value = '120687'">Blumeria graminis f. sp. secalis (ERYSGS)</xsl:when>
                    <xsl:when test="./i6:value = '120688'">Blumeriella jaapii (BLUMJA)</xsl:when>
                    <xsl:when test="./i6:value = '120689'">Boa constrictor (BOAXCO)</xsl:when>
                    <xsl:when test="./i6:value = '120690'">Boeremia exigua var. exigua (PHOMEX)</xsl:when>
                    <xsl:when test="./i6:value = '120691'">Boeremia exigua var. linicola (PHOMEL)</xsl:when>
                    <xsl:when test="./i6:value = '120692'">Boeremia exigua var. viburni (PHOMEV)</xsl:when>
                    <xsl:when test="./i6:value = '120693'">Boeremia foveata (PHOMEF)</xsl:when>
                    <xsl:when test="./i6:value = '120694'">Boeremia hedericola (PHYSHD)</xsl:when>
                    <xsl:when test="./i6:value = '120695'">Boettgerilla pallens (BOEGVE)</xsl:when>
                    <xsl:when test="./i6:value = '120696'">Boisea rubrolineata (LEPCRU)</xsl:when>
                    <xsl:when test="./i6:value = '120697'">Bolbitius reticulatus (BOLBRE)</xsl:when>
                    <xsl:when test="./i6:value = '120698'">Bolbitius titubans (BOLBVI)</xsl:when>
                    <xsl:when test="./i6:value = '120699'">Boletellus obscurococcineus (BLTLOB)</xsl:when>
                    <xsl:when test="./i6:value = '120700'">Boletellus russellii (BLTLRU)</xsl:when>
                    <xsl:when test="./i6:value = '120701'">Boletopsis grisea (BOLPGR)</xsl:when>
                    <xsl:when test="./i6:value = '120702'">Boletopsis leucomelaena (BOLPLE)</xsl:when>
                    <xsl:when test="./i6:value = '120703'">Boletopsis perplexa (BOLPPE)</xsl:when>
                    <xsl:when test="./i6:value = '120704'">Boletus aereus (BOLTAE)</xsl:when>
                    <xsl:when test="./i6:value = '120705'">Boletus appendiculatus (BOLTAP)</xsl:when>
                    <xsl:when test="./i6:value = '120706'">Boletus calopus (BOLTCA)</xsl:when>
                    <xsl:when test="./i6:value = '120707'">Boletus edulis (BOLTED)</xsl:when>
                    <xsl:when test="./i6:value = '120708'">Boletus erythropus (BOLTER)</xsl:when>
                    <xsl:when test="./i6:value = '120709'">Boletus fechtneri (BOLTFC)</xsl:when>
                    <xsl:when test="./i6:value = '120710'">Boletus flammans (BOLTFL)</xsl:when>
                    <xsl:when test="./i6:value = '120711'">Boletus fragrans (BOLTFR)</xsl:when>
                    <xsl:when test="./i6:value = '120712'">Boletus immutatus (BOLTIM)</xsl:when>
                    <xsl:when test="./i6:value = '120713'">Boletus junquilleus (BOLTJU)</xsl:when>
                    <xsl:when test="./i6:value = '120714'">Boletus luridiformis (BOLTLD)</xsl:when>
                    <xsl:when test="./i6:value = '120715'">Boletus luridiformis var. discolor (BOLTLF)</xsl:when>
                    <xsl:when test="./i6:value = '120716'">Boletus luridus (BOLTLU)</xsl:when>
                    <xsl:when test="./i6:value = '120717'">Boletus pinophilus (BOLTPI)</xsl:when>
                    <xsl:when test="./i6:value = '120718'">Boletus pseudoregius (BOLTPS)</xsl:when>
                    <xsl:when test="./i6:value = '120719'">Boletus pseudosulphureus (BOLTSU)</xsl:when>
                    <xsl:when test="./i6:value = '120720'">Boletus pulverulentus (BOLTPV)</xsl:when>
                    <xsl:when test="./i6:value = '120721'">Boletus queletii (BOLTQU)</xsl:when>
                    <xsl:when test="./i6:value = '120722'">Boletus radicans (BOLTRA)</xsl:when>
                    <xsl:when test="./i6:value = '120723'">Boletus regius (BOLTRG)</xsl:when>
                    <xsl:when test="./i6:value = '120724'">Boletus reticulatus (BOLTRE)</xsl:when>
                    <xsl:when test="./i6:value = '120725'">Boletus rhodopurpureus (BOLTRH)</xsl:when>
                    <xsl:when test="./i6:value = '120726'">Boletus rhodoxanthus (BOLTRX)</xsl:when>
                    <xsl:when test="./i6:value = '120727'">Boletus satanas (BOLTSA)</xsl:when>
                    <xsl:when test="./i6:value = '120728'">Boletus torosus (BOLTTO)</xsl:when>
                    <xsl:when test="./i6:value = '120729'">Bolitobius castaneus (BLTBCA)</xsl:when>
                    <xsl:when test="./i6:value = '120730'">Bolitobius cingulatus (BLTBCI)</xsl:when>
                    <xsl:when test="./i6:value = '120731'">Bolma rugosa (BOLMRU)</xsl:when>
                    <xsl:when test="./i6:value = '120732'">Boloria aquilonaris (BOLOAQ)</xsl:when>
                    <xsl:when test="./i6:value = '120733'">Bombina bombina (BMBABO)</xsl:when>
                    <xsl:when test="./i6:value = '120734'">Bombina variegata (BMBAVA)</xsl:when>
                    <xsl:when test="./i6:value = '120735'">Bombus hortorum (BOMUHO)</xsl:when>
                    <xsl:when test="./i6:value = '120736'">Bombus terrestris (BOMUTE)</xsl:when>
                    <xsl:when test="./i6:value = '120737'">Bombycilla cedrorum (BMBYCE)</xsl:when>
                    <xsl:when test="./i6:value = '120738'">Bombycilla garrulus (BMBYGA)</xsl:when>
                    <xsl:when test="./i6:value = '120739'">Bombylius major (BOMIMA)</xsl:when>
                    <xsl:when test="./i6:value = '120740'">Bombylius minor (BOMIMI)</xsl:when>
                    <xsl:when test="./i6:value = '120741'">Bombyx mandarina (THEPMA)</xsl:when>
                    <xsl:when test="./i6:value = '120742'">Bombyx mori (BOMBMO)</xsl:when>
                    <xsl:when test="./i6:value = '120743'">Bonagota salubricola (BONACR)</xsl:when>
                    <xsl:when test="./i6:value = '120744'">Bonasa umbellus (BONSUM)</xsl:when>
                    <xsl:when test="./i6:value = '120745'">Bondarzewia montana (BONDMO)</xsl:when>
                    <xsl:when test="./i6:value = '120746'">Borbo borbonica (BORBBO)</xsl:when>
                    <xsl:when test="./i6:value = '120747'">Borbo cinnara (BORBCI)</xsl:when>
                    <xsl:when test="./i6:value = '120748'">Boreioglycaspis melaleucae (BORGME)</xsl:when>
                    <xsl:when test="./i6:value = '120749'">Boreoiulus tenuis (BLANTE)</xsl:when>
                    <xsl:when test="./i6:value = '120750'">Boreus hyemalis (BOREHY)</xsl:when>
                    <xsl:when test="./i6:value = '120751'">Bos gaurus (BOVSGA)</xsl:when>
                    <xsl:when test="./i6:value = '120752'">Bos grunniens (BOVSGR)</xsl:when>
                    <xsl:when test="./i6:value = '120753'">Bos taurus (BOVSTA)</xsl:when>
                    <xsl:when test="./i6:value = '120754'">Boselaphus tragocamelus (BOSETR)</xsl:when>
                    <xsl:when test="./i6:value = '120755'">Botaurus lentiginosus (BOTULE)</xsl:when>
                    <xsl:when test="./i6:value = '120756'">Botaurus stellaris (BOTUST)</xsl:when>
                    <xsl:when test="./i6:value = '120757'">Bothrops atrox (BTHPAT)</xsl:when>
                    <xsl:when test="./i6:value = '120758'">Bothus podas (BTHSPO)</xsl:when>
                    <xsl:when test="./i6:value = '120759'">Bothynoderes punctiventris (CLEOPU)</xsl:when>
                    <xsl:when test="./i6:value = '120760'">Botrylloides violaceus (BTLLVI)</xsl:when>
                    <xsl:when test="./i6:value = '120761'">Botryodiplodia hypodermia (BOTDHY)</xsl:when>
                    <xsl:when test="./i6:value = '120762'">Botryosphaeria berengeriana f. sp. pyricola (PHYOPI)</xsl:when>
                    <xsl:when test="./i6:value = '120763'">Botryosphaeria corticis (BOTSCO)</xsl:when>
                    <xsl:when test="./i6:value = '120764'">Botryosphaeria dothidea (BOTSDO)</xsl:when>
                    <xsl:when test="./i6:value = '120765'">Botryosphaeria laricina (GUIGLA)</xsl:when>
                    <xsl:when test="./i6:value = '120766'">Botryosphaeria obtusa (BOTSOB)</xsl:when>
                    <xsl:when test="./i6:value = '120767'">Botryosphaeria parva (BOTSPA)</xsl:when>
                    <xsl:when test="./i6:value = '120768'">Botryosphaeria pseudotsugae (BOTSPS)</xsl:when>
                    <xsl:when test="./i6:value = '120769'">Botryosphaeria quercuum (BOTSQU)</xsl:when>
                    <xsl:when test="./i6:value = '120770'">Botryosphaeria rhodina (PHYORH)</xsl:when>
                    <xsl:when test="./i6:value = '120771'">Botryosphaeria ribis (BOTSRI)</xsl:when>
                    <xsl:when test="./i6:value = '120772'">Botryosphaeria stevensii (BOTSST)</xsl:when>
                    <xsl:when test="./i6:value = '120773'">Botryosphaeria vaccinii (BOTSVA)</xsl:when>
                    <xsl:when test="./i6:value = '120774'">Botryotinia allii (BOTRBY)</xsl:when>
                    <xsl:when test="./i6:value = '120775'">Botryotinia convoluta (BOTTCO)</xsl:when>
                    <xsl:when test="./i6:value = '120776'">Botryotinia fuckeliana (BOTRCI)</xsl:when>
                    <xsl:when test="./i6:value = '120777'">Botryotinia porri (BOTTPO)</xsl:when>
                    <xsl:when test="./i6:value = '120778'">Botryotinia ricini (BOTTRI)</xsl:when>
                    <xsl:when test="./i6:value = '120779'">Botryotinia squamosa (SCLESQ)</xsl:when>
                    <xsl:when test="./i6:value = '120780'">Botrytis aclada (BOTRAL)</xsl:when>
                    <xsl:when test="./i6:value = '120781'">Botrytis croci (BOTRCR)</xsl:when>
                    <xsl:when test="./i6:value = '120782'">Botrytis elliptica (BOTREL)</xsl:when>
                    <xsl:when test="./i6:value = '120783'">Botrytis fabae (BOTRFA)</xsl:when>
                    <xsl:when test="./i6:value = '120784'">Botrytis galanthina (BOTRGA)</xsl:when>
                    <xsl:when test="./i6:value = '120785'">Botrytis tulipae (BOTRTU)</xsl:when>
                    <xsl:when test="./i6:value = '120786'">Bourletiella hortensis (BOURHO)</xsl:when>
                    <xsl:when test="./i6:value = '120787'">Bovicola bovis (DAMLBO)</xsl:when>
                    <xsl:when test="./i6:value = '120788'">Bovicola caprae (DAMLCA)</xsl:when>
                    <xsl:when test="./i6:value = '120789'">Bovicola crassipes (DAMLCR)</xsl:when>
                    <xsl:when test="./i6:value = '120790'">Bovicola limbata (BOVCLI)</xsl:when>
                    <xsl:when test="./i6:value = '120791'">Bovista aestivalis (BOVIAE)</xsl:when>
                    <xsl:when test="./i6:value = '120792'">Bovista dermoxantha (BOVIPU)</xsl:when>
                    <xsl:when test="./i6:value = '120793'">Bovista limosa (BOVILI)</xsl:when>
                    <xsl:when test="./i6:value = '120794'">Bovista nigrescens (BOVINI)</xsl:when>
                    <xsl:when test="./i6:value = '120795'">Bovista paludosa (BOVIPA)</xsl:when>
                    <xsl:when test="./i6:value = '120796'">Bovista plumbea (BOVIPL)</xsl:when>
                    <xsl:when test="./i6:value = '120797'">Bovistella radicata (BOVLRA)</xsl:when>
                    <xsl:when test="./i6:value = '120798'">Bracharoa dregei (BRCODR)</xsl:when>
                    <xsl:when test="./i6:value = '120799'">Brachidontes pharaonis (BRDTPH)</xsl:when>
                    <xsl:when test="./i6:value = '120800'">Brachinus crepitans (BRHNCR)</xsl:when>
                    <xsl:when test="./i6:value = '120801'">Brachmia macroscopa (BRAMMA)</xsl:when>
                    <xsl:when test="./i6:value = '120802'">Brachycaudus schwartzi (APPESW)</xsl:when>
                    <xsl:when test="./i6:value = '120803'">Brachycerus albidentatus (BRCCAB)</xsl:when>
                    <xsl:when test="./i6:value = '120804'">Brachycerus algirus (BRCCAL)</xsl:when>
                    <xsl:when test="./i6:value = '120805'">Brachycerus labrusca (BRCCLA)</xsl:when>
                    <xsl:when test="./i6:value = '120806'">Brachycerus obesus (BRCCOB)</xsl:when>
                    <xsl:when test="./i6:value = '120807'">Brachycerus undatus (BRCCUN)</xsl:when>
                    <xsl:when test="./i6:value = '120808'">Brachycolus tritici (BRAYTR)</xsl:when>
                    <xsl:when test="./i6:value = '120809'">Brachyplatys pacificus (BRAPPA)</xsl:when>
                    <xsl:when test="./i6:value = '120810'">Brachyptera putata (BRPAPU)</xsl:when>
                    <xsl:when test="./i6:value = '120811'">Brachypterolus pulicarius (HETMPU)</xsl:when>
                    <xsl:when test="./i6:value = '120812'">Brachypterolus vestitus (HETMVE)</xsl:when>
                    <xsl:when test="./i6:value = '120813'">Brachypterus rotundicollis (BRAKRO)</xsl:when>
                    <xsl:when test="./i6:value = '120814'">Brachystola magna (BRASMA)</xsl:when>
                    <xsl:when test="./i6:value = '120815'">Brachytarsus nebulosus (BRATNE)</xsl:when>
                    <xsl:when test="./i6:value = '120816'">Brachytron pratense (BRHTPR)</xsl:when>
                    <xsl:when test="./i6:value = '120817'">Brachytrupes membranaceus (BRCTMB)</xsl:when>
                    <xsl:when test="./i6:value = '120818'">Brachytrupes portentosus (BRCTPO)</xsl:when>
                    <xsl:when test="./i6:value = '120819'">Bradybaena despecta (ACUSDE)</xsl:when>
                    <xsl:when test="./i6:value = '120820'">Bradybaena similaris (BRABSI)</xsl:when>
                    <xsl:when test="./i6:value = '120821'">Bradypus variegatus (BRDPVA)</xsl:when>
                    <xsl:when test="./i6:value = '120822'">Bradyrhizobium elkanii (BRDREL)</xsl:when>
                    <xsl:when test="./i6:value = '120823'">Bradyrhizobium japonicum (RIZBJA)</xsl:when>
                    <xsl:when test="./i6:value = '120824'">Bradysia coprophila (SCIACO)</xsl:when>
                    <xsl:when test="./i6:value = '120825'">Bradysia impatiens (BRAIIM)</xsl:when>
                    <xsl:when test="./i6:value = '120826'">Bradysia paupera (BRAIPA)</xsl:when>
                    <xsl:when test="./i6:value = '120827'">Bradysia tritici (SCIAPE)</xsl:when>
                    <xsl:when test="./i6:value = '120828'">Branchiostoma lanceolatum (BRNSLA)</xsl:when>
                    <xsl:when test="./i6:value = '120829'">Brasiliomyces malachrae (SALNMA)</xsl:when>
                    <xsl:when test="./i6:value = '120830'">Brassicogethes aeneus (MELIAE)</xsl:when>
                    <xsl:when test="./i6:value = '120831'">Brassolis isthmia (BRSSIS)</xsl:when>
                    <xsl:when test="./i6:value = '120832'">Brassolis sophorae (BRSSSO)</xsl:when>
                    <xsl:when test="./i6:value = '120833'">Braula coeca (BRAUCO)</xsl:when>
                    <xsl:when test="./i6:value = '120834'">Bremia lactucae (BREMLA)</xsl:when>
                    <xsl:when test="./i6:value = '120835'">Bremiola onobrychidis (BRELON)</xsl:when>
                    <xsl:when test="./i6:value = '120836'">Brenneria nigrifluens (ERWINI)</xsl:when>
                    <xsl:when test="./i6:value = '120837'">Brenneria rubrifaciens (ERWIRU)</xsl:when>
                    <xsl:when test="./i6:value = '120838'">Brenneria salicis (ERWISA)</xsl:when>
                    <xsl:when test="./i6:value = '120839'">Brenthis ino (BRENIN)</xsl:when>
                    <xsl:when test="./i6:value = '120840'">Brevennia rehi (BREVRE)</xsl:when>
                    <xsl:when test="./i6:value = '120841'">Brevipalpus californicus (BRVPAU)</xsl:when>
                    <xsl:when test="./i6:value = '120842'">Brevipalpus lewisi (BRVPLE)</xsl:when>
                    <xsl:when test="./i6:value = '120843'">Brevipalpus phoenicis sensu lato (BRVPPH)</xsl:when>
                    <xsl:when test="./i6:value = '120844'">Brintesia circe (BRTSCI)</xsl:when>
                    <xsl:when test="./i6:value = '120845'">Brithys crini (BRIYCR)</xsl:when>
                    <xsl:when test="./i6:value = '120846'">Brochymena annulata (BROCAN)</xsl:when>
                    <xsl:when test="./i6:value = '120847'">Brochymena quadripustulata (BROCQU)</xsl:when>
                    <xsl:when test="./i6:value = '120848'">Brontispa longissima (BRONLO)</xsl:when>
                    <xsl:when test="./i6:value = '120849'">Brontispa mariana (BRONMA)</xsl:when>
                    <xsl:when test="./i6:value = '120850'">Brooksetta althaeae (ORTTAL)</xsl:when>
                    <xsl:when test="./i6:value = '120851'">Brosme brosme (BROSBR)</xsl:when>
                    <xsl:when test="./i6:value = '120852'">Bruchophagus fellis (EURTFE)</xsl:when>
                    <xsl:when test="./i6:value = '120853'">Bruchophagus gibbus (BRPHGI)</xsl:when>
                    <xsl:when test="./i6:value = '120854'">Bruchophagus roddi (BRPHRO)</xsl:when>
                    <xsl:when test="./i6:value = '120855'">Bruchus brachialis (BRCHBR)</xsl:when>
                    <xsl:when test="./i6:value = '120856'">Bruchus lentis (BRCHLE)</xsl:when>
                    <xsl:when test="./i6:value = '120857'">Bruchus rufimanus (BRCHRU)</xsl:when>
                    <xsl:when test="./i6:value = '120858'">Brumoides suturalis (BRUMSU)</xsl:when>
                    <xsl:when test="./i6:value = '120859'">Bryobia cristata (BRYOCR)</xsl:when>
                    <xsl:when test="./i6:value = '120860'">Bryobia kissophila (BRYOKI)</xsl:when>
                    <xsl:when test="./i6:value = '120861'">Bryobia praetiosa (BRYOPR)</xsl:when>
                    <xsl:when test="./i6:value = '120862'">Bryobia ribis (BRYORI)</xsl:when>
                    <xsl:when test="./i6:value = '120863'">Bryobia rubrioculus (BRYORU)</xsl:when>
                    <xsl:when test="./i6:value = '120864'">Bryotropha desertella (BRYTDE)</xsl:when>
                    <xsl:when test="./i6:value = '120865'">Bryotropha terrella (BRYTTE)</xsl:when>
                    <xsl:when test="./i6:value = '120866'">Bubo bubo (BUBOBU)</xsl:when>
                    <xsl:when test="./i6:value = '120867'">Bubo virginianus (BUBOVI)</xsl:when>
                    <xsl:when test="./i6:value = '120868'">Bubulcus ibis (BUBUIB)</xsl:when>
                    <xsl:when test="./i6:value = '120869'">Bucculatrix ainsliella (BUCCAI)</xsl:when>
                    <xsl:when test="./i6:value = '120870'">Bucculatrix ivella (BUCCIV)</xsl:when>
                    <xsl:when test="./i6:value = '120871'">Bucculatrix thurberiella (BUCCTH)</xsl:when>
                    <xsl:when test="./i6:value = '120872'">Bucephala clangula (BUCPCL)</xsl:when>
                    <xsl:when test="./i6:value = '120873'">Buceros bicornis (BCERBI)</xsl:when>
                    <xsl:when test="./i6:value = '120874'">Buchwaldoboletus hemichrysus (BUCBHE)</xsl:when>
                    <xsl:when test="./i6:value = '120875'">Buchwaldoboletus lignicola (BUCBLI)</xsl:when>
                    <xsl:when test="./i6:value = '120876'">Bufo americanus (BUFOAM)</xsl:when>
                    <xsl:when test="./i6:value = '120877'">Bufo bufo (BUFOBU)</xsl:when>
                    <xsl:when test="./i6:value = '120878'">Bufo calamita (BUFOCA)</xsl:when>
                    <xsl:when test="./i6:value = '120879'">Bufo viridis (BUFOVI)</xsl:when>
                    <xsl:when test="./i6:value = '120880'">Buglossidium luteum (SOLALU)</xsl:when>
                    <xsl:when test="./i6:value = '120881'">Bulgaria inquinans (BULGIN)</xsl:when>
                    <xsl:when test="./i6:value = '120882'">Bupalus piniaria (BUPAPI)</xsl:when>
                    <xsl:when test="./i6:value = '120883'">Buphagus africanus (BPHGAF)</xsl:when>
                    <xsl:when test="./i6:value = '120884'">Buphonella murina (BUPHMU)</xsl:when>
                    <xsl:when test="./i6:value = '120885'">Buprestis apricans (BUPRAP)</xsl:when>
                    <xsl:when test="./i6:value = '120886'">Buprestis aurulenta (BUPRAU)</xsl:when>
                    <xsl:when test="./i6:value = '120887'">Burkholderia andropogonis (PSDMAD)</xsl:when>
                    <xsl:when test="./i6:value = '120888'">Burkholderia caryophylli (PSDMCA)</xsl:when>
                    <xsl:when test="./i6:value = '120889'">Burkholderia cepacia (PSDMCE)</xsl:when>
                    <xsl:when test="./i6:value = '120890'">Burkholderia gladioli pv. alliicola (PSDMGA)</xsl:when>
                    <xsl:when test="./i6:value = '120891'">Burkholderia gladioli pv. gladioli (PSDMGD)</xsl:when>
                    <xsl:when test="./i6:value = '120892'">Burkholderia glumae (PSDMGM)</xsl:when>
                    <xsl:when test="./i6:value = '120893'">Bursaphelenchus cocophilus (RHAACO)</xsl:when>
                    <xsl:when test="./i6:value = '120894'">Busseola fusca (BUSSFU)</xsl:when>
                    <xsl:when test="./i6:value = '120895'">Buteo buteo (BUTEBU)</xsl:when>
                    <xsl:when test="./i6:value = '120896'">Buteo jamaicensis (BUTEJA)</xsl:when>
                    <xsl:when test="./i6:value = '120897'">Butorides striatus (BUTOST)</xsl:when>
                    <xsl:when test="./i6:value = '120898'">Butyriboletus frostii (BBOLFR)</xsl:when>
                    <xsl:when test="./i6:value = '120899'">Byctiscus betulae (BYCTBE)</xsl:when>
                    <xsl:when test="./i6:value = '120900'">Byctiscus populi (BYCTPO)</xsl:when>
                    <xsl:when test="./i6:value = '120901'">Byrsocrypta africana (BYRSAF)</xsl:when>
                    <xsl:when test="./i6:value = '120902'">Byrsotria fumigata (BYROFU)</xsl:when>
                    <xsl:when test="./i6:value = '120903'">Byssomerulius corium (MRLSCO)</xsl:when>
                    <xsl:when test="./i6:value = '120904'">Byturus bakeri (BYTUBA)</xsl:when>
                    <xsl:when test="./i6:value = '120905'">Byturus ochraceus (BYTUFU)</xsl:when>
                    <xsl:when test="./i6:value = '120906'">Byturus rubi (BYTURU)</xsl:when>
                    <xsl:when test="./i6:value = '120907'">Byturus unicolor (BYTUUN)</xsl:when>
                    <xsl:when test="./i6:value = '120908'">Cabera pusaria (CABERU)</xsl:when>
                    <xsl:when test="./i6:value = '120909'">Cacatua galerita (CCTUGA)</xsl:when>
                    <xsl:when test="./i6:value = '120910'">Cacoecimorpha pronubana (TORTPR)</xsl:when>
                    <xsl:when test="./i6:value = '120911'">Cacopsylla bidens (CCPSBI)</xsl:when>
                    <xsl:when test="./i6:value = '120912'">Cacopsylla citrisuga (PSYLCS)</xsl:when>
                    <xsl:when test="./i6:value = '120913'">Cacopsylla fulguralis (CCPSFU)</xsl:when>
                    <xsl:when test="./i6:value = '120914'">Cacopsylla pruni (PSYLPR)</xsl:when>
                    <xsl:when test="./i6:value = '120915'">Cacopsylla pyrisuga (PSYLPY)</xsl:when>
                    <xsl:when test="./i6:value = '120916'">Cactoblastis cactorum (CACTCA)</xsl:when>
                    <xsl:when test="./i6:value = '120917'">Cactodera cacti (HETDCC)</xsl:when>
                    <xsl:when test="./i6:value = '120918'">Cacyreus marshalli (CACYMA)</xsl:when>
                    <xsl:when test="./i6:value = '120919'">Cadophora gregata (PHIAGR)</xsl:when>
                    <xsl:when test="./i6:value = '120920'">Cadophora malorum (SPOTMA)</xsl:when>
                    <xsl:when test="./i6:value = '120921'">Cadra calidella (EPHECL)</xsl:when>
                    <xsl:when test="./i6:value = '120922'">Cadra cautella (EPHECA)</xsl:when>
                    <xsl:when test="./i6:value = '120923'">Cadra figulilella (EPHEFI)</xsl:when>
                    <xsl:when test="./i6:value = '120924'">Caedicia simplex (CAEDSI)</xsl:when>
                    <xsl:when test="./i6:value = '120925'">Caedicia strenua (CAEDST)</xsl:when>
                    <xsl:when test="./i6:value = '120926'">Caenis horaria (CENSHO)</xsl:when>
                    <xsl:when test="./i6:value = '120927'">Caenurgina crassiuscula (CAENCR)</xsl:when>
                    <xsl:when test="./i6:value = '120928'">Cainiella johansonii (CAILJO)</xsl:when>
                    <xsl:when test="./i6:value = '120929'">Calacarus citrifolii (CACACI)</xsl:when>
                    <xsl:when test="./i6:value = '120930'">Calaphis betulaecolens (CAPHBF)</xsl:when>
                    <xsl:when test="./i6:value = '120931'">Calcarius lapponicus (CALKLA)</xsl:when>
                    <xsl:when test="./i6:value = '120932'">Calepitrimerus baileyi (CALEBA)</xsl:when>
                    <xsl:when test="./i6:value = '120933'">Calepitrimerus thujae (CALETH)</xsl:when>
                    <xsl:when test="./i6:value = '120934'">Caliciopsis pinea (CLCPPI)</xsl:when>
                    <xsl:when test="./i6:value = '120935'">Calidris alba (CLDRAB)</xsl:when>
                    <xsl:when test="./i6:value = '120936'">Calidris alpina (CLDRAL)</xsl:when>
                    <xsl:when test="./i6:value = '120937'">Caligo prometheus (CALIPR)</xsl:when>
                    <xsl:when test="./i6:value = '120938'">Caligo teucer (CALITE)</xsl:when>
                    <xsl:when test="./i6:value = '120939'">Caliothrips fasciatus (HEROFA)</xsl:when>
                    <xsl:when test="./i6:value = '120940'">Caliothrips indicus (CALHIN)</xsl:when>
                    <xsl:when test="./i6:value = '120941'">Caliroa annulipes (ERICAN)</xsl:when>
                    <xsl:when test="./i6:value = '120942'">Caliroa cerasi (ERICLI)</xsl:when>
                    <xsl:when test="./i6:value = '120943'">Callaphis juglandis (CLLAJU)</xsl:when>
                    <xsl:when test="./i6:value = '120944'">Callianassa affinis (CLLNAF)</xsl:when>
                    <xsl:when test="./i6:value = '120945'">Callidiellum rufipenne (CLLLRU)</xsl:when>
                    <xsl:when test="./i6:value = '120946'">Callidiellum villosulum (CLLLVI)</xsl:when>
                    <xsl:when test="./i6:value = '120947'">Callidium antennatum antennatum (CALDAN)</xsl:when>
                    <xsl:when test="./i6:value = '120948'">Callidium antennatum hesperum (CALDAH)</xsl:when>
                    <xsl:when test="./i6:value = '120949'">Calligrapha californica coreopsivora (CALRCC)</xsl:when>
                    <xsl:when test="./i6:value = '120950'">Calligrapha multiguttata (CALRSC)</xsl:when>
                    <xsl:when test="./i6:value = '120951'">Calligrapha multipunctata bigsbyana (CALRMB)</xsl:when>
                    <xsl:when test="./i6:value = '120952'">Calligypona pellucida (CALGPE)</xsl:when>
                    <xsl:when test="./i6:value = '120953'">Callimormus corades (CLMMCO)</xsl:when>
                    <xsl:when test="./i6:value = '120954'">Calliostoma zizyphinum (KLSTZI)</xsl:when>
                    <xsl:when test="./i6:value = '120955'">Calliphora albifrontalis (CALLAL)</xsl:when>
                    <xsl:when test="./i6:value = '120956'">Calliphora augur (CALLAU)</xsl:when>
                    <xsl:when test="./i6:value = '120957'">Calliphora laemica (CALLLA)</xsl:when>
                    <xsl:when test="./i6:value = '120958'">Calliphora nociva (CALLNO)</xsl:when>
                    <xsl:when test="./i6:value = '120959'">Calliphora quadrimaculata (CALLQU)</xsl:when>
                    <xsl:when test="./i6:value = '120960'">Calliphora stygia (CALLST)</xsl:when>
                    <xsl:when test="./i6:value = '120961'">Calliphora vicina (CALLER)</xsl:when>
                    <xsl:when test="./i6:value = '120962'">Calliphora vomitoria (CALLVO)</xsl:when>
                    <xsl:when test="./i6:value = '120963'">Callirhytis quercuspomiformis (KLRHQP)</xsl:when>
                    <xsl:when test="./i6:value = '120964'">Callisto coffeella (ORNXGU)</xsl:when>
                    <xsl:when test="./i6:value = '120965'">Calliteara pudibunda (DASCPU)</xsl:when>
                    <xsl:when test="./i6:value = '120966'">Callithrix jacchus (KLLTJA)</xsl:when>
                    <xsl:when test="./i6:value = '120967'">Callophrys rubi (CAOHRU)</xsl:when>
                    <xsl:when test="./i6:value = '120968'">Callopistria floridensis (CAOPFL)</xsl:when>
                    <xsl:when test="./i6:value = '120969'">Calloria neglecta (CLLRNE)</xsl:when>
                    <xsl:when test="./i6:value = '120970'">Callosamia angulifera (CAOSAN)</xsl:when>
                    <xsl:when test="./i6:value = '120971'">Callosamia calleta (CAOSCA)</xsl:when>
                    <xsl:when test="./i6:value = '120972'">Callosamia promethea (CAOSPR)</xsl:when>
                    <xsl:when test="./i6:value = '120973'">Callosciurus erythraeus (CLLCER)</xsl:when>
                    <xsl:when test="./i6:value = '120974'">Callosobruchus analis (CALSAN)</xsl:when>
                    <xsl:when test="./i6:value = '120975'">Callosobruchus chinensis (CALSCH)</xsl:when>
                    <xsl:when test="./i6:value = '120976'">Callosobruchus maculatus (CALSMA)</xsl:when>
                    <xsl:when test="./i6:value = '120977'">Caloboletus firmus (CLBLFI)</xsl:when>
                    <xsl:when test="./i6:value = '120978'">Calocalpe undulata (CLOCUN)</xsl:when>
                    <xsl:when test="./i6:value = '120979'">Calocera cornea (CALCCO)</xsl:when>
                    <xsl:when test="./i6:value = '120980'">Calocera pallidospathulata (CALCPA)</xsl:when>
                    <xsl:when test="./i6:value = '120981'">Calocera viscosa (CALCVI)</xsl:when>
                    <xsl:when test="./i6:value = '120982'">Calocoris angustatus (CLCRAN)</xsl:when>
                    <xsl:when test="./i6:value = '120983'">Calocoris fulvomaculatus (CLCRFU)</xsl:when>
                    <xsl:when test="./i6:value = '120984'">Calocoris norvegicus (CLCRNO)</xsl:when>
                    <xsl:when test="./i6:value = '120985'">Calocybe chrysenteron (CLCBCH)</xsl:when>
                    <xsl:when test="./i6:value = '120986'">Calocybe gambosa (CLCBGA)</xsl:when>
                    <xsl:when test="./i6:value = '120987'">Calocybe ionides (CLCBIO)</xsl:when>
                    <xsl:when test="./i6:value = '120988'">Calocybe onychina (CLCBON)</xsl:when>
                    <xsl:when test="./i6:value = '120989'">Calomys callosus (CLOMCA)</xsl:when>
                    <xsl:when test="./i6:value = '120990'">Calonectria crotalariae (CALOCR)</xsl:when>
                    <xsl:when test="./i6:value = '120991'">Calonectria hederae (CALOHE)</xsl:when>
                    <xsl:when test="./i6:value = '120992'">Calonectria ilicicola (CALOIL)</xsl:when>
                    <xsl:when test="./i6:value = '120993'">Calonectria kyotensis (CALOKY)</xsl:when>
                    <xsl:when test="./i6:value = '120994'">Calonectria quinqueseptata (CALOQU)</xsl:when>
                    <xsl:when test="./i6:value = '120995'">Calonectria theae (CALOTH)</xsl:when>
                    <xsl:when test="./i6:value = '120996'">Calophya schini (CAOYSC)</xsl:when>
                    <xsl:when test="./i6:value = '120997'">Calopteryx splendens (AGRNSL)</xsl:when>
                    <xsl:when test="./i6:value = '120998'">Calopteryx virgo (CLPXVI)</xsl:when>
                    <xsl:when test="./i6:value = '120999'">Caloptilia azaleella (GRACAZ)</xsl:when>
                    <xsl:when test="./i6:value = '121000'">Caloptilia cuculipennella (GRACCU)</xsl:when>
                    <xsl:when test="./i6:value = '121001'">Caloptilia syringella (GRACSY)</xsl:when>
                    <xsl:when test="./i6:value = '121002'">Caloptilia theivora (GRACTH)</xsl:when>
                    <xsl:when test="./i6:value = '121003'">Caloscypha fulgens (CLSCFU)</xsl:when>
                    <xsl:when test="./i6:value = '121004'">Calosoma calidum (CAOOCL)</xsl:when>
                    <xsl:when test="./i6:value = '121005'">Calosoma inquisitor (CAOOIN)</xsl:when>
                    <xsl:when test="./i6:value = '121006'">Calosoma sycophanta (CAOOSY)</xsl:when>
                    <xsl:when test="./i6:value = '121007'">Calostilbe striispora (CLSBST)</xsl:when>
                    <xsl:when test="./i6:value = '121008'">Calostoma cinnabarinum (KALZCI)</xsl:when>
                    <xsl:when test="./i6:value = '121009'">Calpodes ethlius (CLPOET)</xsl:when>
                    <xsl:when test="./i6:value = '121010'">Calvatia cyathiformis (CALVCY)</xsl:when>
                    <xsl:when test="./i6:value = '121011'">Calvatia excipuliformis (CALVEX)</xsl:when>
                    <xsl:when test="./i6:value = '121012'">Calvatia gigantea (CALVGI)</xsl:when>
                    <xsl:when test="./i6:value = '121013'">Calvia decemguttata (CLVADE)</xsl:when>
                    <xsl:when test="./i6:value = '121014'">Calvia quatuordecimguttata (CLVAQU)</xsl:when>
                    <xsl:when test="./i6:value = '121015'">Calycomyza ambrosiae (CALZAM)</xsl:when>
                    <xsl:when test="./i6:value = '121016'">Calycomyza humeralis (CALZHU)</xsl:when>
                    <xsl:when test="./i6:value = '121017'">Calyptraea chinensis (KALYCH)</xsl:when>
                    <xsl:when test="./i6:value = '121018'">Camarophyllopsis atropuncta (CMRPAT)</xsl:when>
                    <xsl:when test="./i6:value = '121019'">Camarophyllopsis foetens (CMRPFO)</xsl:when>
                    <xsl:when test="./i6:value = '121020'">Camarophyllopsis hymenocephala (CMRPHY)</xsl:when>
                    <xsl:when test="./i6:value = '121021'">Camarophyllopsis micacea (CMRPMI)</xsl:when>
                    <xsl:when test="./i6:value = '121022'">Camarophyllopsis schulzeri (CMRPSC)</xsl:when>
                    <xsl:when test="./i6:value = '121023'">Camarops polysperma (KAMAPO)</xsl:when>
                    <xsl:when test="./i6:value = '121024'">Camelus bactrianus (CMELBA)</xsl:when>
                    <xsl:when test="./i6:value = '121025'">Cameraria ohridella (LITHOD)</xsl:when>
                    <xsl:when test="./i6:value = '121026'">Camnula pellucida (CAMNPE)</xsl:when>
                    <xsl:when test="./i6:value = '121027'">Campaea margaritata (CMPAMA)</xsl:when>
                    <xsl:when test="./i6:value = '121028'">Campanella caesia (KMPLCA)</xsl:when>
                    <xsl:when test="./i6:value = '121029'">Campanulotes bidentatus (CAMABC)</xsl:when>
                    <xsl:when test="./i6:value = '121030'">Camponotus abdominalis floridanus (CAMOAF)</xsl:when>
                    <xsl:when test="./i6:value = '121031'">Camponotus consobrinus (CAMOCO)</xsl:when>
                    <xsl:when test="./i6:value = '121032'">Camponotus ferrugineus (CAMOFE)</xsl:when>
                    <xsl:when test="./i6:value = '121033'">Camponotus herculeanus (CAMOHE)</xsl:when>
                    <xsl:when test="./i6:value = '121034'">Camponotus laevigatus (CAMOLE)</xsl:when>
                    <xsl:when test="./i6:value = '121035'">Camponotus ligniperdus (CAMOLI)</xsl:when>
                    <xsl:when test="./i6:value = '121036'">Camponotus modoc (CAMOMO)</xsl:when>
                    <xsl:when test="./i6:value = '121037'">Camponotus pennsylvanicus (CAMOPE)</xsl:when>
                    <xsl:when test="./i6:value = '121038'">Camponotus variegatus (CAMOVA)</xsl:when>
                    <xsl:when test="./i6:value = '121039'">Camponotus vicinus (CAMOVI)</xsl:when>
                    <xsl:when test="./i6:value = '121040'">Campylomma livida (CAMYLI)</xsl:when>
                    <xsl:when test="./i6:value = '121041'">Campylomma verbasci (CAMYVE)</xsl:when>
                    <xsl:when test="./i6:value = '121042'">Campylorhynchus brunneicapillus (KMPRBR)</xsl:when>
                    <xsl:when test="./i6:value = '121043'">Cancer pagurus (CANCPA)</xsl:when>
                    <xsl:when test="./i6:value = '121044'">Candida albicans (CANDAL)</xsl:when>
                    <xsl:when test="./i6:value = '121045'">Candida guillermondii (CANDGU)</xsl:when>
                    <xsl:when test="./i6:value = '121046'">Candida kefyr (CANDKY)</xsl:when>
                    <xsl:when test="./i6:value = '121047'">Candida mycoderma (CANDMY)</xsl:when>
                    <xsl:when test="./i6:value = '121048'">Candida tropicalis (CANDTP)</xsl:when>
                    <xsl:when test="./i6:value = '121049'">Candida vini (CANDVI)</xsl:when>
                    <xsl:when test="./i6:value = '121050'">Candida zeylanoides (CANDZY)</xsl:when>
                    <xsl:when test="./i6:value = '121051'">Candidula intersecta (CANLCA)</xsl:when>
                    <xsl:when test="./i6:value = '121052'">Canis aureus (CANIAU)</xsl:when>
                    <xsl:when test="./i6:value = '121053'">Canis latrans (CANILA)</xsl:when>
                    <xsl:when test="./i6:value = '121054'">Canis lupus (CANILU)</xsl:when>
                    <xsl:when test="./i6:value = '121055'">Canis lupus dingo (CANIDI)</xsl:when>
                    <xsl:when test="./i6:value = '121056'">Canis lupus familiaris (CANIFA)</xsl:when>
                    <xsl:when test="./i6:value = '121057'">Canis mesomelas (CANIME)</xsl:when>
                    <xsl:when test="./i6:value = '121058'">Canonura princeps (CANOPR)</xsl:when>
                    <xsl:when test="./i6:value = '121059'">Cantharellula umbonata (CNTLUM)</xsl:when>
                    <xsl:when test="./i6:value = '121060'">Cantharellus amethysteus (CANSAM)</xsl:when>
                    <xsl:when test="./i6:value = '121061'">Cantharellus cibarius (CANSCI)</xsl:when>
                    <xsl:when test="./i6:value = '121062'">Cantharellus cinereus (CANSCN)</xsl:when>
                    <xsl:when test="./i6:value = '121063'">Cantharellus friesii (CANSFR)</xsl:when>
                    <xsl:when test="./i6:value = '121064'">Cantharellus melanoxeros (CANSME)</xsl:when>
                    <xsl:when test="./i6:value = '121065'">Cantharellus pallens (CANSFE)</xsl:when>
                    <xsl:when test="./i6:value = '121066'">Cantharellus tubaeformis (CANSTU)</xsl:when>
                    <xsl:when test="./i6:value = '121067'">Capitophorus elaeagni (CAPIEL)</xsl:when>
                    <xsl:when test="./i6:value = '121068'">Capitophorus minor (CAPIMI)</xsl:when>
                    <xsl:when test="./i6:value = '121069'">Capnodis carbonaria (CAPNCA)</xsl:when>
                    <xsl:when test="./i6:value = '121070'">Capnodis tenebrionis (CAPNTE)</xsl:when>
                    <xsl:when test="./i6:value = '121071'">Capnodium citri (CAPDCI)</xsl:when>
                    <xsl:when test="./i6:value = '121072'">Capnodium elaeophilum (CAPDEL)</xsl:when>
                    <xsl:when test="./i6:value = '121073'">Capnodium salicinum (CAPDSA)</xsl:when>
                    <xsl:when test="./i6:value = '121074'">Capparimyia savastani (CPMMSA)</xsl:when>
                    <xsl:when test="./i6:value = '121075'">Capra aegagrus (CAPAAE)</xsl:when>
                    <xsl:when test="./i6:value = '121076'">Capra aegagrus hircus (CAPAAH)</xsl:when>
                    <xsl:when test="./i6:value = '121077'">Capra ibex (CAPAIB)</xsl:when>
                    <xsl:when test="./i6:value = '121078'">Caprella linearis (CPRLLI)</xsl:when>
                    <xsl:when test="./i6:value = '121079'">Caprimulgus europaeus (CPMGEU)</xsl:when>
                    <xsl:when test="./i6:value = '121080'">Capros aper (CPROAP)</xsl:when>
                    <xsl:when test="./i6:value = '121081'">Carabus granulatus (CARAGR)</xsl:when>
                    <xsl:when test="./i6:value = '121082'">Carabus nemoralis (CARANE)</xsl:when>
                    <xsl:when test="./i6:value = '121083'">Carabus violaceus (CARAVI)</xsl:when>
                    <xsl:when test="./i6:value = '121084'">Caracal caracal (KARACA)</xsl:when>
                    <xsl:when test="./i6:value = '121085'">Carassius carassius (CRSSCA)</xsl:when>
                    <xsl:when test="./i6:value = '121086'">Carassius gibelio (CRSSAG)</xsl:when>
                    <xsl:when test="./i6:value = '121087'">Carausius morosus (CAAUMO)</xsl:when>
                    <xsl:when test="./i6:value = '121088'">Carcharhinus leucas (KARCLE)</xsl:when>
                    <xsl:when test="./i6:value = '121089'">Carcharhinus obscurus (KARCOB)</xsl:when>
                    <xsl:when test="./i6:value = '121090'">Carcharias taurus (KRCHTA)</xsl:when>
                    <xsl:when test="./i6:value = '121091'">Carcharodon carcharias (KCHRCA)</xsl:when>
                    <xsl:when test="./i6:value = '121092'">Carcharodus alceae (CRCHAL)</xsl:when>
                    <xsl:when test="./i6:value = '121093'">Carcharodus boeticus (CRCHAB)</xsl:when>
                    <xsl:when test="./i6:value = '121094'">Carcharodus flocciferus (CRCHFL)</xsl:when>
                    <xsl:when test="./i6:value = '121095'">Carcharodus lavaterae (CRCHLA)</xsl:when>
                    <xsl:when test="./i6:value = '121096'">Carcinus maenas (CRCNMA)</xsl:when>
                    <xsl:when test="./i6:value = '121097'">Cardinalis cardinalis (CRDNCA)</xsl:when>
                    <xsl:when test="./i6:value = '121098'">Carduelis cannabina (CRDLCA)</xsl:when>
                    <xsl:when test="./i6:value = '121099'">Carduelis carduelis (CRDLCR)</xsl:when>
                    <xsl:when test="./i6:value = '121100'">Carduelis chloris (CHLICH)</xsl:when>
                    <xsl:when test="./i6:value = '121101'">Carduelis citrinella (SERNCI)</xsl:when>
                    <xsl:when test="./i6:value = '121102'">Carduelis flammea (CRDLFL)</xsl:when>
                    <xsl:when test="./i6:value = '121103'">Carduelis pinus (CRDLPI)</xsl:when>
                    <xsl:when test="./i6:value = '121104'">Carduelis sinica (CRDLSN)</xsl:when>
                    <xsl:when test="./i6:value = '121105'">Carduelis spinus (CRDLSI)</xsl:when>
                    <xsl:when test="./i6:value = '121106'">Carduelis tristis (CRDLTR)</xsl:when>
                    <xsl:when test="./i6:value = '121107'">Caretta caretta (KARTCA)</xsl:when>
                    <xsl:when test="./i6:value = '121108'">Carpatolechia alburnella (KARPAL)</xsl:when>
                    <xsl:when test="./i6:value = '121109'">Carpatolechia decorella (KARPDE)</xsl:when>
                    <xsl:when test="./i6:value = '121110'">Carpatolechia proximella (KARPPR)</xsl:when>
                    <xsl:when test="./i6:value = '121111'">Carpodacus erythrinus (CARDER)</xsl:when>
                    <xsl:when test="./i6:value = '121112'">Carpodacus mexicanus (CARDME)</xsl:when>
                    <xsl:when test="./i6:value = '121113'">Carpodacus mexicanus frontalis (CARDMF)</xsl:when>
                    <xsl:when test="./i6:value = '121114'">Carpodacus purpureus (CARDPU)</xsl:when>
                    <xsl:when test="./i6:value = '121115'">Carpoglyphus lactis (CARGLA)</xsl:when>
                    <xsl:when test="./i6:value = '121116'">Carpolechia fugitivella (KARPFU)</xsl:when>
                    <xsl:when test="./i6:value = '121117'">Carpolonchaea aristella (CAROAR)</xsl:when>
                    <xsl:when test="./i6:value = '121118'">Carpomya incompleta (CARYIN)</xsl:when>
                    <xsl:when test="./i6:value = '121119'">Carpophilus antiquus (CARHAN)</xsl:when>
                    <xsl:when test="./i6:value = '121120'">Carpophilus aterrimus (CARHAT)</xsl:when>
                    <xsl:when test="./i6:value = '121121'">Carpophilus dimidiatus (CARHDI)</xsl:when>
                    <xsl:when test="./i6:value = '121122'">Carpophilus hemipterus (CARHHE)</xsl:when>
                    <xsl:when test="./i6:value = '121123'">Carpophilus humeralis (CARHHU)</xsl:when>
                    <xsl:when test="./i6:value = '121124'">Carpophilus lugubris (CARHLU)</xsl:when>
                    <xsl:when test="./i6:value = '121125'">Carpophilus pallipennis (CARHPA)</xsl:when>
                    <xsl:when test="./i6:value = '121126'">Carposina niponensis (CARSNI)</xsl:when>
                    <xsl:when test="./i6:value = '121127'">Carposina sasakii (CARSSA)</xsl:when>
                    <xsl:when test="./i6:value = '121128'">Carterocephalus palaemon (CCEPPA)</xsl:when>
                    <xsl:when test="./i6:value = '121129'">Cartodere filum (CARTFU)</xsl:when>
                    <xsl:when test="./i6:value = '121130'">Carulaspis juniperi (CARUJU)</xsl:when>
                    <xsl:when test="./i6:value = '121131'">Carulaspis minima (CARUMI)</xsl:when>
                    <xsl:when test="./i6:value = '121132'">Carulaspis visci (CARUVI)</xsl:when>
                    <xsl:when test="./i6:value = '121133'">Carybdea marsupialis (CYBDMA)</xsl:when>
                    <xsl:when test="./i6:value = '121134'">Carychium tridentatum (KARYTR)</xsl:when>
                    <xsl:when test="./i6:value = '121135'">Caryedon serratus (CARESE)</xsl:when>
                    <xsl:when test="./i6:value = '121136'">Caryocolum vicinella (KAKLVI)</xsl:when>
                    <xsl:when test="./i6:value = '121137'">Cassida bivittata (CASSBI)</xsl:when>
                    <xsl:when test="./i6:value = '121138'">Cassida canaliculata (CASSCA)</xsl:when>
                    <xsl:when test="./i6:value = '121139'">Cassida circumdata (METRCI)</xsl:when>
                    <xsl:when test="./i6:value = '121140'">Cassida deflorata (CASSDE)</xsl:when>
                    <xsl:when test="./i6:value = '121141'">Cassida denticollis (CASSDN)</xsl:when>
                    <xsl:when test="./i6:value = '121142'">Cassida nebulosa (CASSNE)</xsl:when>
                    <xsl:when test="./i6:value = '121143'">Cassida nobilis (CASSNO)</xsl:when>
                    <xsl:when test="./i6:value = '121144'">Cassida viridis (CASSVR)</xsl:when>
                    <xsl:when test="./i6:value = '121145'">Cassida vittata (CASSVT)</xsl:when>
                    <xsl:when test="./i6:value = '121146'">Castor canadensis (KASTCA)</xsl:when>
                    <xsl:when test="./i6:value = '121147'">Castor fiber (KASTFI)</xsl:when>
                    <xsl:when test="./i6:value = '121148'">Cataclysta lemnata (KTKLLE)</xsl:when>
                    <xsl:when test="./i6:value = '121149'">Cataenococcus olivaceus (CATCOL)</xsl:when>
                    <xsl:when test="./i6:value = '121150'">Catastega aceriella (EPINAC)</xsl:when>
                    <xsl:when test="./i6:value = '121151'">Catathelasma imperiale (CTTHIM)</xsl:when>
                    <xsl:when test="./i6:value = '121152'">Catenaria auxiliaris (CATNAU)</xsl:when>
                    <xsl:when test="./i6:value = '121153'">Cathartes aura (KTHSAU)</xsl:when>
                    <xsl:when test="./i6:value = '121154'">Cathartus quadricollis (CATHQU)</xsl:when>
                    <xsl:when test="./i6:value = '121155'">Catharus guttatus (KTHUGU)</xsl:when>
                    <xsl:when test="./i6:value = '121156'">Catinella olivacea (CTNLOL)</xsl:when>
                    <xsl:when test="./i6:value = '121157'">Catocala fraxini (CATLFR)</xsl:when>
                    <xsl:when test="./i6:value = '121158'">Catocala nupta (CATLNU)</xsl:when>
                    <xsl:when test="./i6:value = '121159'">Catopsilia agarithe (CATPAG)</xsl:when>
                    <xsl:when test="./i6:value = '121160'">Catopsilia florella (CATPFL)</xsl:when>
                    <xsl:when test="./i6:value = '121161'">Catopsilia pomona (CATPPO)</xsl:when>
                    <xsl:when test="./i6:value = '121162'">Catopsilia pyranthe (CATPPY)</xsl:when>
                    <xsl:when test="./i6:value = '121163'">Catorama herbarium (CATMHE)</xsl:when>
                    <xsl:when test="./i6:value = '121164'">Catorama tabaci (CATMTA)</xsl:when>
                    <xsl:when test="./i6:value = '121165'">Catostomus commersoni (CATSCO)</xsl:when>
                    <xsl:when test="./i6:value = '121166'">Caulocampus acericaulis (CAUCAC)</xsl:when>
                    <xsl:when test="./i6:value = '121167'">Caulophilus latinasus (CASSOR)</xsl:when>
                    <xsl:when test="./i6:value = '121168'">Cavariella aegopodii (CAVAAE)</xsl:when>
                    <xsl:when test="./i6:value = '121169'">Cavariella capreae (CAVACA)</xsl:when>
                    <xsl:when test="./i6:value = '121170'">Cavariella konoi (CAVAKO)</xsl:when>
                    <xsl:when test="./i6:value = '121171'">Cavariella theobaldi (CAVATH)</xsl:when>
                    <xsl:when test="./i6:value = '121172'">Cavelerius saccharivorus (CAVESA)</xsl:when>
                    <xsl:when test="./i6:value = '121173'">Cavia porcellus (CAVIPO)</xsl:when>
                    <xsl:when test="./i6:value = '121174'">Cavia tschudii (CAVICU)</xsl:when>
                    <xsl:when test="./i6:value = '121175'">Cebus capucinus (CEBUCA)</xsl:when>
                    <xsl:when test="./i6:value = '121176'">Cecidomyia acaciae-longifolia (CECIAL)</xsl:when>
                    <xsl:when test="./i6:value = '121177'">Cecidomyia citrina (CECICI)</xsl:when>
                    <xsl:when test="./i6:value = '121178'">Cecidomyia citrulli (CECICT)</xsl:when>
                    <xsl:when test="./i6:value = '121179'">Cecidomyia negundinis (CECINE)</xsl:when>
                    <xsl:when test="./i6:value = '121180'">Cecidomyia ocellaris (CECIOC)</xsl:when>
                    <xsl:when test="./i6:value = '121181'">Cecidomyia pinirigidae (CECIPN)</xsl:when>
                    <xsl:when test="./i6:value = '121182'">Cecidomyia pumila (CECIPU)</xsl:when>
                    <xsl:when test="./i6:value = '121183'">Cecidomyia resinicoloides (CECIRE)</xsl:when>
                    <xsl:when test="./i6:value = '121184'">Cecidomyia viticola (CECIVI)</xsl:when>
                    <xsl:when test="./i6:value = '121185'">Cecidophyopsis psilaspis (ERPHPS)</xsl:when>
                    <xsl:when test="./i6:value = '121186'">Cecidophyopsis ribis (ERPHRI)</xsl:when>
                    <xsl:when test="./i6:value = '121187'">Cecidophyopsis selachodon (CECPSE)</xsl:when>
                    <xsl:when test="./i6:value = '121188'">Cecilioides acicula (CECLAC)</xsl:when>
                    <xsl:when test="./i6:value = '121189'">Celastrina argiolus (CELSAR)</xsl:when>
                    <xsl:when test="./i6:value = '121190'">Cenangium ferruginosum (CENAFE)</xsl:when>
                    <xsl:when test="./i6:value = '121191'">Cenococcum geophilum (CENCGE)</xsl:when>
                    <xsl:when test="./i6:value = '121192'">Cenococcum graniforme (CENCGR)</xsl:when>
                    <xsl:when test="./i6:value = '121193'">Cenopalpus pulcher (BRVPOU)</xsl:when>
                    <xsl:when test="./i6:value = '121194'">Centroptilum luteolum (KPTLLU)</xsl:when>
                    <xsl:when test="./i6:value = '121195'">Centroptilum pennulatum (KPTLPE)</xsl:when>
                    <xsl:when test="./i6:value = '121196'">Centropus sinensis (KNTPSI)</xsl:when>
                    <xsl:when test="./i6:value = '121197'">Centrotus cornutus (KNTRCO)</xsl:when>
                    <xsl:when test="./i6:value = '121198'">Cepaea hortensis (CEPAHO)</xsl:when>
                    <xsl:when test="./i6:value = '121199'">Cepaea nemoralis (CEPANE)</xsl:when>
                    <xsl:when test="./i6:value = '121200'">Cephalcia isshikii (CEPCIS)</xsl:when>
                    <xsl:when test="./i6:value = '121201'">Cephalcia lariciphila (CEPCAL)</xsl:when>
                    <xsl:when test="./i6:value = '121202'">Cephenemyia auribarbis (CEPMAU)</xsl:when>
                    <xsl:when test="./i6:value = '121203'">Cephenemyia trompe (CEPMTR)</xsl:when>
                    <xsl:when test="./i6:value = '121204'">Cephonodes hylas (CEPOHY)</xsl:when>
                    <xsl:when test="./i6:value = '121205'">Cephrenes trichopepla (CEPRTR)</xsl:when>
                    <xsl:when test="./i6:value = '121206'">Cephus cinctus (CEPHCI)</xsl:when>
                    <xsl:when test="./i6:value = '121207'">Cerapteryx graminis (CERXGR)</xsl:when>
                    <xsl:when test="./i6:value = '121208'">Cerastes cerastes (KERSCE)</xsl:when>
                    <xsl:when test="./i6:value = '121209'">Cerataphis brasiliensis (CEATVA)</xsl:when>
                    <xsl:when test="./i6:value = '121210'">Cerataphis orchidearum (CEATOR)</xsl:when>
                    <xsl:when test="./i6:value = '121211'">Ceratitis anonae (CERTAN)</xsl:when>
                    <xsl:when test="./i6:value = '121212'">Ceratitis cosyra (CERTCO)</xsl:when>
                    <xsl:when test="./i6:value = '121213'">Ceratitis pedestris (CERTPE)</xsl:when>
                    <xsl:when test="./i6:value = '121214'">Ceratitis punctata (CERTPU)</xsl:when>
                    <xsl:when test="./i6:value = '121215'">Ceratitis quinaria (CERTQU)</xsl:when>
                    <xsl:when test="./i6:value = '121216'">Ceratitis rosa (CERTRO)</xsl:when>
                    <xsl:when test="./i6:value = '121217'">Ceratobasidium gramineum (CRTBGR)</xsl:when>
                    <xsl:when test="./i6:value = '121218'">Ceratocystis adiposa (CERAAD)</xsl:when>
                    <xsl:when test="./i6:value = '121219'">Ceratocystis albifundus (CERAAL)</xsl:when>
                    <xsl:when test="./i6:value = '121220'">Ceratocystis cacaofunesta (CERACA)</xsl:when>
                    <xsl:when test="./i6:value = '121221'">Ceratocystis fagacearum (CERAFA)</xsl:when>
                    <xsl:when test="./i6:value = '121222'">Ceratocystis fimbriata (CERAFI)</xsl:when>
                    <xsl:when test="./i6:value = '121223'">Ceratocystis manginecans (CERAMA)</xsl:when>
                    <xsl:when test="./i6:value = '121224'">Ceratocystis paradoxa (CERAPA)</xsl:when>
                    <xsl:when test="./i6:value = '121225'">Ceratocystis pilifera (CERAPI)</xsl:when>
                    <xsl:when test="./i6:value = '121226'">Ceratocystis platani (CERAFP)</xsl:when>
                    <xsl:when test="./i6:value = '121227'">Ceratocystis smalleyi (CERASM)</xsl:when>
                    <xsl:when test="./i6:value = '121228'">Ceratocystis virescens (CERAVI)</xsl:when>
                    <xsl:when test="./i6:value = '121229'">Ceratomia catalpae (CERICA)</xsl:when>
                    <xsl:when test="./i6:value = '121230'">Ceratophaga vastella (TINEVA)</xsl:when>
                    <xsl:when test="./i6:value = '121231'">Ceratophyllus columbae (CERHCO)</xsl:when>
                    <xsl:when test="./i6:value = '121232'">Ceratophyllus farreni (CERHFA)</xsl:when>
                    <xsl:when test="./i6:value = '121233'">Ceratophyllus hirundinis (CERHHI)</xsl:when>
                    <xsl:when test="./i6:value = '121234'">Ceratophyllus niger (CERHNI)</xsl:when>
                    <xsl:when test="./i6:value = '121235'">Ceratophyllus styx (CERHST)</xsl:when>
                    <xsl:when test="./i6:value = '121236'">Ceratotherium simum (KRTTSI)</xsl:when>
                    <xsl:when test="./i6:value = '121237'">Ceratothripoides brunneus (CRTZBR)</xsl:when>
                    <xsl:when test="./i6:value = '121238'">Ceratothripoides claratris (CRTZCL)</xsl:when>
                    <xsl:when test="./i6:value = '121239'">Ceratovacuna nekoashi (ASPXNE)</xsl:when>
                    <xsl:when test="./i6:value = '121240'">Cerceris halone (CRCRHA)</xsl:when>
                    <xsl:when test="./i6:value = '121241'">Cercopagis pengoi (CCPGPE)</xsl:when>
                    <xsl:when test="./i6:value = '121242'">Cercopis vulnerata (CRCOSA)</xsl:when>
                    <xsl:when test="./i6:value = '121243'">Cercoseptoria sesami (CERSSE)</xsl:when>
                    <xsl:when test="./i6:value = '121244'">Cercoseptoria zingiberis (CERSZI)</xsl:when>
                    <xsl:when test="./i6:value = '121245'">Cercospora apii (CERCAP)</xsl:when>
                    <xsl:when test="./i6:value = '121246'">Cercospora asparagi (CERCAS)</xsl:when>
                    <xsl:when test="./i6:value = '121247'">Cercospora beticola (CERCBE)</xsl:when>
                    <xsl:when test="./i6:value = '121248'">Cercospora canescens (CERCCN)</xsl:when>
                    <xsl:when test="./i6:value = '121249'">Cercospora capsici (CERCCP)</xsl:when>
                    <xsl:when test="./i6:value = '121250'">Cercospora carotae (CERCCA)</xsl:when>
                    <xsl:when test="./i6:value = '121251'">Cercospora cichorii (CERCCC)</xsl:when>
                    <xsl:when test="./i6:value = '121252'">Cercospora duddiae (CERCDU)</xsl:when>
                    <xsl:when test="./i6:value = '121253'">Cercospora elaeidis (CERCEL)</xsl:when>
                    <xsl:when test="./i6:value = '121254'">Cercospora eucalypti (CERCEU)</xsl:when>
                    <xsl:when test="./i6:value = '121255'">Cercospora fusca (CERCFS)</xsl:when>
                    <xsl:when test="./i6:value = '121256'">Cercospora gerberae (CERCGE)</xsl:when>
                    <xsl:when test="./i6:value = '121257'">Cercospora gigantea (CERCGI)</xsl:when>
                    <xsl:when test="./i6:value = '121258'">Cercospora handelii (CERCHN)</xsl:when>
                    <xsl:when test="./i6:value = '121259'">Cercospora hayi (CERCHA)</xsl:when>
                    <xsl:when test="./i6:value = '121260'">Cercospora humuli (CERCHU)</xsl:when>
                    <xsl:when test="./i6:value = '121261'">Cercospora insulana (CERCIN)</xsl:when>
                    <xsl:when test="./i6:value = '121262'">Cercospora ipomoeae (CERCIP)</xsl:when>
                    <xsl:when test="./i6:value = '121263'">Cercospora jasminicola (CERCJA)</xsl:when>
                    <xsl:when test="./i6:value = '121264'">Cercospora kikuchii (CERCKI)</xsl:when>
                    <xsl:when test="./i6:value = '121265'">Cercospora longipes (CERCLO)</xsl:when>
                    <xsl:when test="./i6:value = '121266'">Cercospora nicotianae (CERCNI)</xsl:when>
                    <xsl:when test="./i6:value = '121267'">Cercospora nigellae (CERCNG)</xsl:when>
                    <xsl:when test="./i6:value = '121268'">Cercospora parthenii (CERCPA)</xsl:when>
                    <xsl:when test="./i6:value = '121269'">Cercospora partheniiphila (CERCPH)</xsl:when>
                    <xsl:when test="./i6:value = '121270'">Cercospora ricinella (CERCRI)</xsl:when>
                    <xsl:when test="./i6:value = '121271'">Cercospora rodmanii (CERCRO)</xsl:when>
                    <xsl:when test="./i6:value = '121272'">Cercospora sesami (CERCSE)</xsl:when>
                    <xsl:when test="./i6:value = '121273'">Cercospora sojina (CERCSO)</xsl:when>
                    <xsl:when test="./i6:value = '121274'">Cercospora sorghi (CERCSG)</xsl:when>
                    <xsl:when test="./i6:value = '121275'">Cercospora zeae-maydis (CERCZM)</xsl:when>
                    <xsl:when test="./i6:value = '121276'">Cercospora zebrina (CERCZE)</xsl:when>
                    <xsl:when test="./i6:value = '121277'">Cercospora zeina (CERCZN)</xsl:when>
                    <xsl:when test="./i6:value = '121278'">Cercosporella carthami (CERLCA)</xsl:when>
                    <xsl:when test="./i6:value = '121279'">Cerdocyon thous (CANIBR)</xsl:when>
                    <xsl:when test="./i6:value = '121280'">Cerebella andropogonis (KEREAN)</xsl:when>
                    <xsl:when test="./i6:value = '121281'">Ceresa basalis (CEREBA)</xsl:when>
                    <xsl:when test="./i6:value = '121282'">Ceresa bubalus (CEREBU)</xsl:when>
                    <xsl:when test="./i6:value = '121283'">Ceriporiopsis gilvescens (CRRSGI)</xsl:when>
                    <xsl:when test="./i6:value = '121284'">Ceriporiopsis pannocincta (CRRSPA)</xsl:when>
                    <xsl:when test="./i6:value = '121285'">Cernuella neglecta (CERNNE)</xsl:when>
                    <xsl:when test="./i6:value = '121286'">Cerococcus deklei (CERODE)</xsl:when>
                    <xsl:when test="./i6:value = '121287'">Cerococcus ehrhorni (CEROEH)</xsl:when>
                    <xsl:when test="./i6:value = '121288'">Cerococcus hibisci (CEROHI)</xsl:when>
                    <xsl:when test="./i6:value = '121289'">Cerococcus ornatus (CEROOR)</xsl:when>
                    <xsl:when test="./i6:value = '121290'">Cerodontha denticornis (CERDDE)</xsl:when>
                    <xsl:when test="./i6:value = '121291'">Cerodontha occidentalis (CERDOC)</xsl:when>
                    <xsl:when test="./i6:value = '121292'">Ceropales maculata (KERPMA)</xsl:when>
                    <xsl:when test="./i6:value = '121293'">Ceroplastes ceriferus (CERPCE)</xsl:when>
                    <xsl:when test="./i6:value = '121294'">Ceroplastes cirripediformis (CERPCI)</xsl:when>
                    <xsl:when test="./i6:value = '121295'">Ceroplastes destructor (CERPDE)</xsl:when>
                    <xsl:when test="./i6:value = '121296'">Ceroplastes floridensis (CERPFL)</xsl:when>
                    <xsl:when test="./i6:value = '121297'">Ceroplastes japonicus (CERPJA)</xsl:when>
                    <xsl:when test="./i6:value = '121298'">Ceroplastes pseudoceriferus (CERPPS)</xsl:when>
                    <xsl:when test="./i6:value = '121299'">Ceroplastes rubens (CERPRB)</xsl:when>
                    <xsl:when test="./i6:value = '121300'">Ceroplastes rusci (CERPRU)</xsl:when>
                    <xsl:when test="./i6:value = '121301'">Ceroplastes sinensis (CERPSI)</xsl:when>
                    <xsl:when test="./i6:value = '121302'">Cerotoma trifurcata (CERMTR)</xsl:when>
                    <xsl:when test="./i6:value = '121303'">Certhia brachydactyla (CRTIBR)</xsl:when>
                    <xsl:when test="./i6:value = '121304'">Certhia familiaris (CRTIFA)</xsl:when>
                    <xsl:when test="./i6:value = '121305'">Cerura lanigera (CERULA)</xsl:when>
                    <xsl:when test="./i6:value = '121306'">Cerura vinula (CERUVI)</xsl:when>
                    <xsl:when test="./i6:value = '121307'">Ceruraphis viburnicola (NEOCVI)</xsl:when>
                    <xsl:when test="./i6:value = '121308'">Cervus canadensis (CERVCA)</xsl:when>
                    <xsl:when test="./i6:value = '121309'">Cervus nippon (CERVNI)</xsl:when>
                    <xsl:when test="./i6:value = '121310'">Cestum veneris (CESTVE)</xsl:when>
                    <xsl:when test="./i6:value = '121311'">Cetonia aurata (CETOAU)</xsl:when>
                    <xsl:when test="./i6:value = '121312'">Cetonia roelofsi (CETORO)</xsl:when>
                    <xsl:when test="./i6:value = '121313'">Cetraria islandica (CETRIS)</xsl:when>
                    <xsl:when test="./i6:value = '121314'">Cettia diphone (CETTDI)</xsl:when>
                    <xsl:when test="./i6:value = '121315'">Ceuthophilus longipes (CTHPLO)</xsl:when>
                    <xsl:when test="./i6:value = '121316'">Ceutorhynchus americanus (CEUTAM)</xsl:when>
                    <xsl:when test="./i6:value = '121317'">Ceutorhynchus assimilis (CEUTPL)</xsl:when>
                    <xsl:when test="./i6:value = '121318'">Ceutorhynchus napi (CEUTNA)</xsl:when>
                    <xsl:when test="./i6:value = '121319'">Ceutorhynchus obstrictus (CEUTAS)</xsl:when>
                    <xsl:when test="./i6:value = '121320'">Ceutorhynchus picitarsis (CEUTPI)</xsl:when>
                    <xsl:when test="./i6:value = '121321'">Ceutorhynchus quadridens (CEUTQU)</xsl:when>
                    <xsl:when test="./i6:value = '121322'">Ceutorhynchus rapae (CEUTRA)</xsl:when>
                    <xsl:when test="./i6:value = '121323'">Ceutorhynchus rubripes (CEUTRU)</xsl:when>
                    <xsl:when test="./i6:value = '121324'">Ceutorhynchus sulcicollis (CEUTSL)</xsl:when>
                    <xsl:when test="./i6:value = '121325'">Ceutorhynchus suturalis (CEUTSU)</xsl:when>
                    <xsl:when test="./i6:value = '121326'">Chaetanaphothrips leeuweni (CHANLE)</xsl:when>
                    <xsl:when test="./i6:value = '121327'">Chaetanaphothrips signipennis (SCITSI)</xsl:when>
                    <xsl:when test="./i6:value = '121328'">Chaetocnema aridula (CHAEAR)</xsl:when>
                    <xsl:when test="./i6:value = '121329'">Chaetocnema australica (CHAEAU)</xsl:when>
                    <xsl:when test="./i6:value = '121330'">Chaetocnema concinna (CHAECO)</xsl:when>
                    <xsl:when test="./i6:value = '121331'">Chaetocnema confinis (CHAECF)</xsl:when>
                    <xsl:when test="./i6:value = '121332'">Chaetocnema cylindrica (CHAECY)</xsl:when>
                    <xsl:when test="./i6:value = '121333'">Chaetocnema denticulata (CHAEDE)</xsl:when>
                    <xsl:when test="./i6:value = '121334'">Chaetocnema ectypa (CHAEEC)</xsl:when>
                    <xsl:when test="./i6:value = '121335'">Chaetocnema granulosa (CHAEGR)</xsl:when>
                    <xsl:when test="./i6:value = '121336'">Chaetocnema pulicaria (CHAEPU)</xsl:when>
                    <xsl:when test="./i6:value = '121337'">Chaetocnema repens (CHAERE)</xsl:when>
                    <xsl:when test="./i6:value = '121338'">Chaetococcus bambusae (CHCCBA)</xsl:when>
                    <xsl:when test="./i6:value = '121339'">Chaetoderma luma (CHDMLU)</xsl:when>
                    <xsl:when test="./i6:value = '121340'">Chaetomium globosum (CHATGL)</xsl:when>
                    <xsl:when test="./i6:value = '121341'">Chaetopsis debilis (CHTIDE)</xsl:when>
                    <xsl:when test="./i6:value = '121342'">Chaetoptelius vestitus (CHTTVE)</xsl:when>
                    <xsl:when test="./i6:value = '121343'">Chaetorellia succinea (CHLLSU)</xsl:when>
                    <xsl:when test="./i6:value = '121344'">Chaetoseptoria wellmanii (CSEPWE)</xsl:when>
                    <xsl:when test="./i6:value = '121345'">Chalaropsis thielavioides (CHALTH)</xsl:when>
                    <xsl:when test="./i6:value = '121346'">Chalcides chalcides (KHLDCH)</xsl:when>
                    <xsl:when test="./i6:value = '121347'">Chalciporus piperatus (CCPRPI)</xsl:when>
                    <xsl:when test="./i6:value = '121348'">Chalcoides aurata (CHADAA)</xsl:when>
                    <xsl:when test="./i6:value = '121349'">Chalcoides fulvicornis fulvicornis (CHADFU)</xsl:when>
                    <xsl:when test="./i6:value = '121350'">Chalcophora angulicollis (CHACAN)</xsl:when>
                    <xsl:when test="./i6:value = '121351'">Chalcophorella campestris (CHCLCA)</xsl:when>
                    <xsl:when test="./i6:value = '121352'">Chalepus dorsalis (ODOODO)</xsl:when>
                    <xsl:when test="./i6:value = '121353'">Chalicodoma muraria (CHCDMU)</xsl:when>
                    <xsl:when test="./i6:value = '121354'">Chamaeleo chamaeleon (CHMLCH)</xsl:when>
                    <xsl:when test="./i6:value = '121355'">Chamaemyces fracidus (CHMMFR)</xsl:when>
                    <xsl:when test="./i6:value = '121356'">Chamaepsila nigricornis (PSILNI)</xsl:when>
                    <xsl:when test="./i6:value = '121357'">Chamaepsila rosae (PSILRO)</xsl:when>
                    <xsl:when test="./i6:value = '121358'">Channa punctata (CHNNPU)</xsl:when>
                    <xsl:when test="./i6:value = '121359'">Chaoborus crystallinus (CHABCR)</xsl:when>
                    <xsl:when test="./i6:value = '121360'">Characoma stictigrapta (CHCMST)</xsl:when>
                    <xsl:when test="./i6:value = '121361'">Charadrius dubius (CHDRDU)</xsl:when>
                    <xsl:when test="./i6:value = '121362'">Charadrius placidus (CHDRPL)</xsl:when>
                    <xsl:when test="./i6:value = '121363'">Charaxes jasius (CHAXJA)</xsl:when>
                    <xsl:when test="./i6:value = '121364'">Charidotella bicolor (METRBI)</xsl:when>
                    <xsl:when test="./i6:value = '121365'">Chauliodes pectinicornis (CHULPE)</xsl:when>
                    <xsl:when test="./i6:value = '121366'">Chazara briseis (CHAZBR)</xsl:when>
                    <xsl:when test="./i6:value = '121367'">Cheilosia alaskensis (CHELAL)</xsl:when>
                    <xsl:when test="./i6:value = '121368'">Cheilosia hoodiana (CHELHO)</xsl:when>
                    <xsl:when test="./i6:value = '121369'">Cheimatobia bruceata (CHEIBC)</xsl:when>
                    <xsl:when test="./i6:value = '121370'">Cheimatobia fagata (CHEIFA)</xsl:when>
                    <xsl:when test="./i6:value = '121371'">Cheiracanthium mordax (CHIADI)</xsl:when>
                    <xsl:when test="./i6:value = '121372'">Chelifer cancroides (CHEFCA)</xsl:when>
                    <xsl:when test="./i6:value = '121373'">Chelinidea tabulata (CHEETA)</xsl:when>
                    <xsl:when test="./i6:value = '121374'">Chelisoches morio (CHCHMO)</xsl:when>
                    <xsl:when test="./i6:value = '121375'">Chelon labrosus (MUGILA)</xsl:when>
                    <xsl:when test="./i6:value = '121376'">Chelonia mydas (KHLNMY)</xsl:when>
                    <xsl:when test="./i6:value = '121377'">Chelydra serpentina (KHELSE)</xsl:when>
                    <xsl:when test="./i6:value = '121378'">Chelymorpha cassidea (CHEMCA)</xsl:when>
                    <xsl:when test="./i6:value = '121379'">Chiasmia clathrata (CHSMCL)</xsl:when>
                    <xsl:when test="./i6:value = '121380'">Chilo agamemnon (CHILAG)</xsl:when>
                    <xsl:when test="./i6:value = '121381'">Chilo auricilius (DIATAU)</xsl:when>
                    <xsl:when test="./i6:value = '121382'">Chilo infuscatellus (DIATIN)</xsl:when>
                    <xsl:when test="./i6:value = '121383'">Chilo loftini (CHILLO)</xsl:when>
                    <xsl:when test="./i6:value = '121384'">Chilo partellus (CHILZO)</xsl:when>
                    <xsl:when test="./i6:value = '121385'">Chilo plejadellus (CHILPL)</xsl:when>
                    <xsl:when test="./i6:value = '121386'">Chilo polychrysus (PROSPO)</xsl:when>
                    <xsl:when test="./i6:value = '121387'">Chilo sacchariphagus (PROSSA)</xsl:when>
                    <xsl:when test="./i6:value = '121388'">Chilo sacchariphagus indicus (PROSIN)</xsl:when>
                    <xsl:when test="./i6:value = '121389'">Chilo suppressalis (CHILSU)</xsl:when>
                    <xsl:when test="./i6:value = '121390'">Chilocorus similis (CHICSI)</xsl:when>
                    <xsl:when test="./i6:value = '121391'">Chilocorus stigma (CHICST)</xsl:when>
                    <xsl:when test="./i6:value = '121392'">Chinavia hilaris (NEZAHI)</xsl:when>
                    <xsl:when test="./i6:value = '121393'">Chionaspis americana (CHIOAM)</xsl:when>
                    <xsl:when test="./i6:value = '121394'">Chionaspis caryae (CHIOCA)</xsl:when>
                    <xsl:when test="./i6:value = '121395'">Chionaspis corni (CHIOCO)</xsl:when>
                    <xsl:when test="./i6:value = '121396'">Chionaspis furfura (CHIOFU)</xsl:when>
                    <xsl:when test="./i6:value = '121397'">Chionaspis nyssae (CHIONY)</xsl:when>
                    <xsl:when test="./i6:value = '121398'">Chionaspis salicis (CHIOSA)</xsl:when>
                    <xsl:when test="./i6:value = '121399'">Chionaspis striata (CHIOST)</xsl:when>
                    <xsl:when test="./i6:value = '121400'">Chionodes retiniella (GELELA)</xsl:when>
                    <xsl:when test="./i6:value = '121401'">Chironomus cavazzae (CHIRCA)</xsl:when>
                    <xsl:when test="./i6:value = '121402'">Chironomus tepperi (CHIRTE)</xsl:when>
                    <xsl:when test="./i6:value = '121403'">Chirothrips mexicanus (CHITME)</xsl:when>
                    <xsl:when test="./i6:value = '121404'">Chlamydatus associatus (CHLAAS)</xsl:when>
                    <xsl:when test="./i6:value = '121405'">Chlorencoelia versiformis (CHLIVE)</xsl:when>
                    <xsl:when test="./i6:value = '121406'">Chlorocebus pygerythrus (CLCSPY)</xsl:when>
                    <xsl:when test="./i6:value = '121407'">Chlorochroa sayi (CHLOSA)</xsl:when>
                    <xsl:when test="./i6:value = '121408'">Chlorochroa uhleri (CHLOUH)</xsl:when>
                    <xsl:when test="./i6:value = '121409'">Chlorociboria aeruginascens (CHCBAS)</xsl:when>
                    <xsl:when test="./i6:value = '121410'">Chlorociboria aeruginosa (CHSPAE)</xsl:when>
                    <xsl:when test="./i6:value = '121411'">Chlorophorus annularis (CHLHAN)</xsl:when>
                    <xsl:when test="./i6:value = '121412'">Chlorophorus carinatus (CHLHCA)</xsl:when>
                    <xsl:when test="./i6:value = '121413'">Chlorophyllum agaricoides (CLPYAG)</xsl:when>
                    <xsl:when test="./i6:value = '121414'">Chlorophyllum molybdites (CLPYMO)</xsl:when>
                    <xsl:when test="./i6:value = '121415'">Chlorophyllum rhacodes (MLEPRH)</xsl:when>
                    <xsl:when test="./i6:value = '121416'">Chlorops oryzae (CHLPOR)</xsl:when>
                    <xsl:when test="./i6:value = '121417'">Chlorops pumilionis (CHLPPU)</xsl:when>
                    <xsl:when test="./i6:value = '121418'">Chloropulvinaria aurantii (PULVAU)</xsl:when>
                    <xsl:when test="./i6:value = '121419'">Chloropulvinaria floccifera (PULVFO)</xsl:when>
                    <xsl:when test="./i6:value = '121420'">Chloropulvinaria polygonata (PULVPO)</xsl:when>
                    <xsl:when test="./i6:value = '121421'">Chlorostrymon simaethis (CHSTSI)</xsl:when>
                    <xsl:when test="./i6:value = '121422'">Chlosyne lacinia (CHLYLA)</xsl:when>
                    <xsl:when test="./i6:value = '121423'">Chlosyne lacinia saundersii (CHLYLS)</xsl:when>
                    <xsl:when test="./i6:value = '121424'">Chlumetia euthysticha (CHLUEU)</xsl:when>
                    <xsl:when test="./i6:value = '121425'">Choanephora cucurbitarum (CHOACU)</xsl:when>
                    <xsl:when test="./i6:value = '121426'">Choiromyces meandriformis (CHOMVE)</xsl:when>
                    <xsl:when test="./i6:value = '121427'">Choloepus didactylus (CHOSDI)</xsl:when>
                    <xsl:when test="./i6:value = '121428'">Chondrostereum purpureum (STERPU)</xsl:when>
                    <xsl:when test="./i6:value = '121429'">Chondrostoma nasus (CSTMNA)</xsl:when>
                    <xsl:when test="./i6:value = '121430'">Chondrostoma toxostoma (CSTMTO)</xsl:when>
                    <xsl:when test="./i6:value = '121431'">Choreutis nemorana (SIMANE)</xsl:when>
                    <xsl:when test="./i6:value = '121432'">Choreutis pariana (SIMAPA)</xsl:when>
                    <xsl:when test="./i6:value = '121433'">Chorioptes bovis (CHOIBO)</xsl:when>
                    <xsl:when test="./i6:value = '121434'">Choristoneura conflictana (ARCHCO)</xsl:when>
                    <xsl:when test="./i6:value = '121435'">Choristoneura freemani (ARCHOC)</xsl:when>
                    <xsl:when test="./i6:value = '121436'">Choristoneura hebenstreitella (CHONSO)</xsl:when>
                    <xsl:when test="./i6:value = '121437'">Choristoneura lambertiana (TORTLA)</xsl:when>
                    <xsl:when test="./i6:value = '121438'">Choristoneura occidentalis (CHONOC)</xsl:when>
                    <xsl:when test="./i6:value = '121439'">Choristoneura parallela (CHONPA)</xsl:when>
                    <xsl:when test="./i6:value = '121440'">Choristoneura rosaceana (CHONRO)</xsl:when>
                    <xsl:when test="./i6:value = '121441'">Chorizagrotis agrestis (CHOZAG)</xsl:when>
                    <xsl:when test="./i6:value = '121442'">Chorthippus albomarginatus (CHOHAL)</xsl:when>
                    <xsl:when test="./i6:value = '121443'">Chorthippus biguttulus biguttulus (CHOHBI)</xsl:when>
                    <xsl:when test="./i6:value = '121444'">Chorthippus brunneus (CHOHBR)</xsl:when>
                    <xsl:when test="./i6:value = '121445'">Chorthippus curtipennis (CHOHCU)</xsl:when>
                    <xsl:when test="./i6:value = '121446'">Chorthippus dorsatus dorsatus (CHOHDO)</xsl:when>
                    <xsl:when test="./i6:value = '121447'">Chorthippus mollis mollis (CHOHML)</xsl:when>
                    <xsl:when test="./i6:value = '121448'">Chorthippus montanus (CHOHMN)</xsl:when>
                    <xsl:when test="./i6:value = '121449'">Chorthippus scalaris (CHOHSC)</xsl:when>
                    <xsl:when test="./i6:value = '121450'">Chorthippus vagans (CHOHVA)</xsl:when>
                    <xsl:when test="./i6:value = '121451'">Chortoicetes pusilla (CHORPU)</xsl:when>
                    <xsl:when test="./i6:value = '121452'">Chortoicetes terminifera (CHORTE)</xsl:when>
                    <xsl:when test="./i6:value = '121453'">Chortophaga viridifasciata (CHOTVI)</xsl:when>
                    <xsl:when test="./i6:value = '121454'">Chromaphis juglandicola (CHRAJU)</xsl:when>
                    <xsl:when test="./i6:value = '121455'">Chromatomyia horticola (PHYYHO)</xsl:when>
                    <xsl:when test="./i6:value = '121456'">Chromatomyia lonicerae (CHMTLO)</xsl:when>
                    <xsl:when test="./i6:value = '121457'">Chromatomyia nigra (PHYYNI)</xsl:when>
                    <xsl:when test="./i6:value = '121458'">Chromatomyia syngenesiae (CHMTSY)</xsl:when>
                    <xsl:when test="./i6:value = '121459'">Chroogomphus rutilus (CHGMRU)</xsl:when>
                    <xsl:when test="./i6:value = '121460'">Chrysaora hysoscella (CHYSHY)</xsl:when>
                    <xsl:when test="./i6:value = '121461'">Chrysaora quinquecirrha (CHYSQU)</xsl:when>
                    <xsl:when test="./i6:value = '121462'">Chrysemys picta (KHRMPI)</xsl:when>
                    <xsl:when test="./i6:value = '121463'">Chrysobothris chrysoela (CHRBCH)</xsl:when>
                    <xsl:when test="./i6:value = '121464'">Chrysobothris femorata (CHRBFE)</xsl:when>
                    <xsl:when test="./i6:value = '121465'">Chrysobothris mali (CHRBMA)</xsl:when>
                    <xsl:when test="./i6:value = '121466'">Chrysobothris nixa (CHRBNI)</xsl:when>
                    <xsl:when test="./i6:value = '121467'">Chrysobothris tranquebarica (CHRBTR)</xsl:when>
                    <xsl:when test="./i6:value = '121468'">Chrysochloris asiatica (CRKHAS)</xsl:when>
                    <xsl:when test="./i6:value = '121469'">Chrysoclista lathamella (KRYCLA)</xsl:when>
                    <xsl:when test="./i6:value = '121470'">Chrysoclista linneella (KRYCLI)</xsl:when>
                    <xsl:when test="./i6:value = '121471'">Chrysodeixis chalcites (PLUSCH)</xsl:when>
                    <xsl:when test="./i6:value = '121472'">Chrysodeixis eriosoma (CHRXER)</xsl:when>
                    <xsl:when test="./i6:value = '121473'">Chrysoesthia sexguttella (KRYSSE)</xsl:when>
                    <xsl:when test="./i6:value = '121474'">Chrysolina americana (CRYSAM)</xsl:when>
                    <xsl:when test="./i6:value = '121475'">Chrysolina aurichalcea (CHRSAU)</xsl:when>
                    <xsl:when test="./i6:value = '121476'">Chrysolina cerealis (CRYSCE)</xsl:when>
                    <xsl:when test="./i6:value = '121477'">Chrysolina cuprina (CRYSCU)</xsl:when>
                    <xsl:when test="./i6:value = '121478'">Chrysolina exanthematica (CHRSEX)</xsl:when>
                    <xsl:when test="./i6:value = '121479'">Chrysolina graminis (CRYSGR)</xsl:when>
                    <xsl:when test="./i6:value = '121480'">Chrysolina hyperici (CRYSHY)</xsl:when>
                    <xsl:when test="./i6:value = '121481'">Chrysomela aenea (CHRSAE)</xsl:when>
                    <xsl:when test="./i6:value = '121482'">Chrysomela crotchi (CRYSCR)</xsl:when>
                    <xsl:when test="./i6:value = '121483'">Chrysomela knabi knabi (CRYSKK)</xsl:when>
                    <xsl:when test="./i6:value = '121484'">Chrysomela lapponica (CHRSLA)</xsl:when>
                    <xsl:when test="./i6:value = '121485'">Chrysomela lineatopunctata (CHRSLI)</xsl:when>
                    <xsl:when test="./i6:value = '121486'">Chrysomela populi (CHRSPO)</xsl:when>
                    <xsl:when test="./i6:value = '121487'">Chrysomela tremula (CHRSTR)</xsl:when>
                    <xsl:when test="./i6:value = '121488'">Chrysomphalina chrysophylla (CMPHCH)</xsl:when>
                    <xsl:when test="./i6:value = '121489'">Chrysomphalus aonidum (CHRYFI)</xsl:when>
                    <xsl:when test="./i6:value = '121490'">Chrysomphalus bifasciculatus (CHRYBI)</xsl:when>
                    <xsl:when test="./i6:value = '121491'">Chrysomya bezziana (CHRMBE)</xsl:when>
                    <xsl:when test="./i6:value = '121492'">Chrysomya mallochi (CHRMMA)</xsl:when>
                    <xsl:when test="./i6:value = '121493'">Chrysomya megacephala (CHRMMC)</xsl:when>
                    <xsl:when test="./i6:value = '121494'">Chrysomya rufifacies (CHRMRU)</xsl:when>
                    <xsl:when test="./i6:value = '121495'">Chrysomyxa abietis (CHMYAB)</xsl:when>
                    <xsl:when test="./i6:value = '121496'">Chrysomyxa arctostaphyli (CHMYAR)</xsl:when>
                    <xsl:when test="./i6:value = '121497'">Chrysomyxa empetri (CHMYEM)</xsl:when>
                    <xsl:when test="./i6:value = '121498'">Chrysomyxa himalensis (CHMYHI)</xsl:when>
                    <xsl:when test="./i6:value = '121499'">Chrysomyxa ledi var. rhododendri (CHMYRH)</xsl:when>
                    <xsl:when test="./i6:value = '121500'">Chrysomyxa pirolata (CHMYPI)</xsl:when>
                    <xsl:when test="./i6:value = '121501'">Chrysomyxa weirii (CHMYWE)</xsl:when>
                    <xsl:when test="./i6:value = '121502'">Chrysoperla carnea (CHROCR)</xsl:when>
                    <xsl:when test="./i6:value = '121503'">Chrysophana placida (CHRPPC)</xsl:when>
                    <xsl:when test="./i6:value = '121504'">Chrysops atlanticus (CHSOAT)</xsl:when>
                    <xsl:when test="./i6:value = '121505'">Chrysops caecutiens (CHSOCA)</xsl:when>
                    <xsl:when test="./i6:value = '121506'">Chrysops vittatus (CHSOVI)</xsl:when>
                    <xsl:when test="./i6:value = '121507'">Chrysoteuchia culmella (CHTECU)</xsl:when>
                    <xsl:when test="./i6:value = '121508'">Chthalamus stellatus (CHTHST)</xsl:when>
                    <xsl:when test="./i6:value = '121509'">Chunrocerus niveosparsus (IDIONI)</xsl:when>
                    <xsl:when test="./i6:value = '121510'">Chyrsochraon dispar (KHKHDI)</xsl:when>
                    <xsl:when test="./i6:value = '121511'">Ciampa arietaria (CIAMAR)</xsl:when>
                    <xsl:when test="./i6:value = '121512'">Ciboria caucus (CIBRCS)</xsl:when>
                    <xsl:when test="./i6:value = '121513'">Ciborinia camelliae (SCLECA)</xsl:when>
                    <xsl:when test="./i6:value = '121514'">Cicadella triangularis (CICLTR)</xsl:when>
                    <xsl:when test="./i6:value = '121515'">Cicadella viridis (TETTVI)</xsl:when>
                    <xsl:when test="./i6:value = '121516'">Cicadetta montana (CCDTMO)</xsl:when>
                    <xsl:when test="./i6:value = '121517'">Cicadula smithi (CICASM)</xsl:when>
                    <xsl:when test="./i6:value = '121518'">Cicadulina bipunctata (CICDBP)</xsl:when>
                    <xsl:when test="./i6:value = '121519'">Cicadulina mbila (CICDMB)</xsl:when>
                    <xsl:when test="./i6:value = '121520'">Cicindela campestris (CICNCA)</xsl:when>
                    <xsl:when test="./i6:value = '121521'">Cicindela hybrida (CICNHY)</xsl:when>
                    <xsl:when test="./i6:value = '121522'">Cicindela maritima (CICNMA)</xsl:when>
                    <xsl:when test="./i6:value = '121523'">Cicindela sylvatica (CICNSI)</xsl:when>
                    <xsl:when test="./i6:value = '121524'">Cidaria fulvata (CIDAFU)</xsl:when>
                    <xsl:when test="./i6:value = '121525'">Cifuna locuples (CIFULO)</xsl:when>
                    <xsl:when test="./i6:value = '121526'">Ciliata mustela (CILIMU)</xsl:when>
                    <xsl:when test="./i6:value = '121527'">Cilix glaucata (CILXGL)</xsl:when>
                    <xsl:when test="./i6:value = '121528'">Cimbex femorata (CIMBFE)</xsl:when>
                    <xsl:when test="./i6:value = '121529'">Cimbex pacifica (CIMBPA)</xsl:when>
                    <xsl:when test="./i6:value = '121530'">Cimex columbarius (CIMXCO)</xsl:when>
                    <xsl:when test="./i6:value = '121531'">Cimex pilosellus (CIMXPL)</xsl:when>
                    <xsl:when test="./i6:value = '121532'">Cimex pipistrelli (CIMXPP)</xsl:when>
                    <xsl:when test="./i6:value = '121533'">Cinara atlantica (CINAAT)</xsl:when>
                    <xsl:when test="./i6:value = '121534'">Cinara cedri (CINOCE)</xsl:when>
                    <xsl:when test="./i6:value = '121535'">Cinara cronartii (CINACR)</xsl:when>
                    <xsl:when test="./i6:value = '121536'">Cinara cuneomaculata (CINACU)</xsl:when>
                    <xsl:when test="./i6:value = '121537'">Cinara curvipes (TODOCU)</xsl:when>
                    <xsl:when test="./i6:value = '121538'">Cinara fresai (CINAFR)</xsl:when>
                    <xsl:when test="./i6:value = '121539'">Cinara juniperi (CUPRJN)</xsl:when>
                    <xsl:when test="./i6:value = '121540'">Cinara kochiana (CINAKO)</xsl:when>
                    <xsl:when test="./i6:value = '121541'">Cinara laricicola (CINALC)</xsl:when>
                    <xsl:when test="./i6:value = '121542'">Cinara laricis (CINILI)</xsl:when>
                    <xsl:when test="./i6:value = '121543'">Cinara maritimae (CINAMA)</xsl:when>
                    <xsl:when test="./i6:value = '121544'">Cinara neubergi (CINANE)</xsl:when>
                    <xsl:when test="./i6:value = '121545'">Cinara pilicornis (CINOPL)</xsl:when>
                    <xsl:when test="./i6:value = '121546'">Cinara pinea (CINAPU)</xsl:when>
                    <xsl:when test="./i6:value = '121547'">Cinara pini (CINAPI)</xsl:when>
                    <xsl:when test="./i6:value = '121548'">Cinara piniformosana (CINAPN)</xsl:when>
                    <xsl:when test="./i6:value = '121549'">Cinara ponderosae (CINAPO)</xsl:when>
                    <xsl:when test="./i6:value = '121550'">Cinara pulverulens (CUPRPU)</xsl:when>
                    <xsl:when test="./i6:value = '121551'">Cinara sabinae (CUPRSA)</xsl:when>
                    <xsl:when test="./i6:value = '121552'">Cinara strobi (CINAST)</xsl:when>
                    <xsl:when test="./i6:value = '121553'">Cinara thujafilina (CUPRTH)</xsl:when>
                    <xsl:when test="./i6:value = '121554'">Cinara viridescens (CINOVI)</xsl:when>
                    <xsl:when test="./i6:value = '121555'">Cinnyris cupreus (CINNCU)</xsl:when>
                    <xsl:when test="./i6:value = '121556'">Cinnyris jugularis (CINNJU)</xsl:when>
                    <xsl:when test="./i6:value = '121557'">Cintractia limitata (CINTLI)</xsl:when>
                    <xsl:when test="./i6:value = '121558'">Ciona intestinalis (CIONIN)</xsl:when>
                    <xsl:when test="./i6:value = '121559'">Circulifer tenellus (CIRCTE)</xsl:when>
                    <xsl:when test="./i6:value = '121560'">Circus aeruginosus (CIRKAE)</xsl:when>
                    <xsl:when test="./i6:value = '121561'">Circus cyaneus (CIRKCY)</xsl:when>
                    <xsl:when test="./i6:value = '121562'">Circus pygargus (CIRKPY)</xsl:when>
                    <xsl:when test="./i6:value = '121563'">Cisticola juncidis (CSTCJU)</xsl:when>
                    <xsl:when test="./i6:value = '121564'">Citellus citellus (CITECI)</xsl:when>
                    <xsl:when test="./i6:value = '121565'">Citellus suslicus (CITESU)</xsl:when>
                    <xsl:when test="./i6:value = '121566'">Citharus linguatula (CTHRLI)</xsl:when>
                    <xsl:when test="./i6:value = '121567'">Citripestis eutraphera (CITPEU)</xsl:when>
                    <xsl:when test="./i6:value = '121568'">Citripestis sagittiferella (CITPSA)</xsl:when>
                    <xsl:when test="./i6:value = '121569'">Civettictis civetta (VIVECI)</xsl:when>
                    <xsl:when test="./i6:value = '121570'">Cixius wagneri (CIXIWA)</xsl:when>
                    <xsl:when test="./i6:value = '121571'">Cladardis elongatula (BLENEL)</xsl:when>
                    <xsl:when test="./i6:value = '121572'">Cladius difformis (CLAIDI)</xsl:when>
                    <xsl:when test="./i6:value = '121573'">Cladius pectinicornis (CLAIPE)</xsl:when>
                    <xsl:when test="./i6:value = '121574'">Cladobotryum amazonense (CLDBAM)</xsl:when>
                    <xsl:when test="./i6:value = '121575'">Cladonia rangiferina (CLDNRA)</xsl:when>
                    <xsl:when test="./i6:value = '121576'">Cladosporium allii-porri (CLADAP)</xsl:when>
                    <xsl:when test="./i6:value = '121577'">Cladosporium chlorocephalum (CLADPA)</xsl:when>
                    <xsl:when test="./i6:value = '121578'">Cladosporium cucumerinum (CLADCU)</xsl:when>
                    <xsl:when test="./i6:value = '121579'">Cladosporium macrocarpum (CLADMA)</xsl:when>
                    <xsl:when test="./i6:value = '121580'">Cladosporium magnusianum (CLADMG)</xsl:when>
                    <xsl:when test="./i6:value = '121581'">Cladosporium oxysporum (CLADOX)</xsl:when>
                    <xsl:when test="./i6:value = '121582'">Cladosporium phlei (CLADPH)</xsl:when>
                    <xsl:when test="./i6:value = '121583'">Cladosporium sphaerospermum (CLADSR)</xsl:when>
                    <xsl:when test="./i6:value = '121584'">Cladosporium variabile (CLADVA)</xsl:when>
                    <xsl:when test="./i6:value = '121585'">Clamator glandarius (CLAMGL)</xsl:when>
                    <xsl:when test="./i6:value = '121586'">Clania gigantea (CLANGI)</xsl:when>
                    <xsl:when test="./i6:value = '121587'">Clastoptera achatina (CLASAC)</xsl:when>
                    <xsl:when test="./i6:value = '121588'">Clastoptera obtusa (CLASOB)</xsl:when>
                    <xsl:when test="./i6:value = '121589'">Clastoptera proteus (CLASPR)</xsl:when>
                    <xsl:when test="./i6:value = '121590'">Clastoptera saintcyri (CLASSA)</xsl:when>
                    <xsl:when test="./i6:value = '121591'">Clastoptera xanthocephala (CLASXA)</xsl:when>
                    <xsl:when test="./i6:value = '121592'">Clathrus archeri (CLHRAR)</xsl:when>
                    <xsl:when test="./i6:value = '121593'">Clathrus ruber (CLHRRU)</xsl:when>
                    <xsl:when test="./i6:value = '121594'">Clausilia bidentata (CLULBI)</xsl:when>
                    <xsl:when test="./i6:value = '121595'">Clavaria acuta (CLVRAC)</xsl:when>
                    <xsl:when test="./i6:value = '121596'">Clavaria fragilis (CLVRFR)</xsl:when>
                    <xsl:when test="./i6:value = '121597'">Clavaria fumosa (CLVRFU)</xsl:when>
                    <xsl:when test="./i6:value = '121598'">Clavaria greletii (CLVRGR)</xsl:when>
                    <xsl:when test="./i6:value = '121599'">Clavaria incarnata (CLVRIN)</xsl:when>
                    <xsl:when test="./i6:value = '121600'">Clavaria rosea (CLVRRO)</xsl:when>
                    <xsl:when test="./i6:value = '121601'">Clavaria straminea (CLVRST)</xsl:when>
                    <xsl:when test="./i6:value = '121602'">Clavaria zollingeri (CLVRZO)</xsl:when>
                    <xsl:when test="./i6:value = '121603'">Clavariadelphus ligula (CVDLLI)</xsl:when>
                    <xsl:when test="./i6:value = '121604'">Clavariadelphus pistillaris (CVDLPI)</xsl:when>
                    <xsl:when test="./i6:value = '121605'">Clavariadelphus truncatus (CVDLTR)</xsl:when>
                    <xsl:when test="./i6:value = '121606'">Clavibacter michiganensis subsp. insidiosus (CORBIN)</xsl:when>
                    <xsl:when test="./i6:value = '121607'">Clavibacter michiganensis subsp. michiganensis (CORBMI)</xsl:when>
                    <xsl:when test="./i6:value = '121608'">Clavibacter michiganensis subsp. nebraskensis (CORBNE)</xsl:when>
                    <xsl:when test="./i6:value = '121609'">Clavibacter michiganensis subsp. sepedonicus (CORBSE)</xsl:when>
                    <xsl:when test="./i6:value = '121610'">Claviceps africana (CLAVAF)</xsl:when>
                    <xsl:when test="./i6:value = '121611'">Claviceps fusiformis (CLAVFU)</xsl:when>
                    <xsl:when test="./i6:value = '121612'">Claviceps gigantea (CLAVGI)</xsl:when>
                    <xsl:when test="./i6:value = '121613'">Claviceps microcephala (CLAVMI)</xsl:when>
                    <xsl:when test="./i6:value = '121614'">Claviceps purpurea (CLAVPU)</xsl:when>
                    <xsl:when test="./i6:value = '121615'">Claviceps sorghi (SPHLSO)</xsl:when>
                    <xsl:when test="./i6:value = '121616'">Clavicorona pyxidata (CLCNPY)</xsl:when>
                    <xsl:when test="./i6:value = '121617'">Clavicorona taxophila (CLCNTA)</xsl:when>
                    <xsl:when test="./i6:value = '121618'">Clavigralla horrida (ACAMHO)</xsl:when>
                    <xsl:when test="./i6:value = '121619'">Clavigralla tomentosicollis (ACAMTO)</xsl:when>
                    <xsl:when test="./i6:value = '121620'">Clavulina cinerea (CLVUCI)</xsl:when>
                    <xsl:when test="./i6:value = '121621'">Clavulina coralloides (CLVUCO)</xsl:when>
                    <xsl:when test="./i6:value = '121622'">Clavulina rugosa (CLVURU)</xsl:when>
                    <xsl:when test="./i6:value = '121623'">Clavulinopsis corniculata (CLVPCO)</xsl:when>
                    <xsl:when test="./i6:value = '121624'">Clavulinopsis fusiformis (CLVPFU)</xsl:when>
                    <xsl:when test="./i6:value = '121625'">Clavulinopsis helvola (CLVPHE)</xsl:when>
                    <xsl:when test="./i6:value = '121626'">Clavulinopsis laeticolor (CLVPLA)</xsl:when>
                    <xsl:when test="./i6:value = '121627'">Clavulinopsis luteoalba (CLVPLU)</xsl:when>
                    <xsl:when test="./i6:value = '121628'">Clavulinopsis umbrinella (CVLPUM)</xsl:when>
                    <xsl:when test="./i6:value = '121629'">Cleoceris viminalis (CLECVI)</xsl:when>
                    <xsl:when test="./i6:value = '121630'">Cleonis japonicus (CLEOJA)</xsl:when>
                    <xsl:when test="./i6:value = '121631'">Clepsis peritana (CLPSPE)</xsl:when>
                    <xsl:when test="./i6:value = '121632'">Clepsis spectrana (CACOCO)</xsl:when>
                    <xsl:when test="./i6:value = '121633'">Clethrionomys frater (CLETFR)</xsl:when>
                    <xsl:when test="./i6:value = '121634'">Clethrionomys gapperi (CLETGA)</xsl:when>
                    <xsl:when test="./i6:value = '121635'">Clethrionomys glareolus (CLETGL)</xsl:when>
                    <xsl:when test="./i6:value = '121636'">Clethrionomys rufocanus (CLETRF)</xsl:when>
                    <xsl:when test="./i6:value = '121637'">Clethrionomys rutilus (CLETRT)</xsl:when>
                    <xsl:when test="./i6:value = '121638'">Cletus trigonus (CLESTR)</xsl:when>
                    <xsl:when test="./i6:value = '121639'">Climaciella brunnea (CMCLBR)</xsl:when>
                    <xsl:when test="./i6:value = '121640'">Clinodiplosis cattleyae (PLLDCA)</xsl:when>
                    <xsl:when test="./i6:value = '121641'">Cliona celata (CLIOCE)</xsl:when>
                    <xsl:when test="./i6:value = '121642'">Clitocybe alexandri (CLITAL)</xsl:when>
                    <xsl:when test="./i6:value = '121643'">Clitocybe dealbata (CLITDE)</xsl:when>
                    <xsl:when test="./i6:value = '121644'">Clitocybe decembris (CLITME)</xsl:when>
                    <xsl:when test="./i6:value = '121645'">Clitocybe ditopa (CLITDP)</xsl:when>
                    <xsl:when test="./i6:value = '121646'">Clitocybe fragrans (CLITFR)</xsl:when>
                    <xsl:when test="./i6:value = '121647'">Clitocybe geotropa (CLITGE)</xsl:when>
                    <xsl:when test="./i6:value = '121648'">Clitocybe gibba (CLITGI)</xsl:when>
                    <xsl:when test="./i6:value = '121649'">Clitocybe nebularis (CLITNE)</xsl:when>
                    <xsl:when test="./i6:value = '121650'">Clitocybe odora (CLITOD)</xsl:when>
                    <xsl:when test="./i6:value = '121651'">Clitocybe phaeophthalma (CLITPH)</xsl:when>
                    <xsl:when test="./i6:value = '121652'">Clitocybe rivulosa (CLITRI)</xsl:when>
                    <xsl:when test="./i6:value = '121653'">Clitocybe truncicola (CLITTC)</xsl:when>
                    <xsl:when test="./i6:value = '121654'">Clitopilus hobsonii (CLIPHO)</xsl:when>
                    <xsl:when test="./i6:value = '121655'">Clitopilus prunulus (CLIPPR)</xsl:when>
                    <xsl:when test="./i6:value = '121656'">Clivina impressifrons (CLIVIM)</xsl:when>
                    <xsl:when test="./i6:value = '121657'">Clivina tasmaniensis (CLIVTA)</xsl:when>
                    <xsl:when test="./i6:value = '121658'">Cloeon dipterum (CLOEDI)</xsl:when>
                    <xsl:when test="./i6:value = '121659'">Clonostachys rosea (GLIORO)</xsl:when>
                    <xsl:when test="./i6:value = '121660'">Clossiana euphrosyne (CLSSEU)</xsl:when>
                    <xsl:when test="./i6:value = '121661'">Clossiana selene (CLSSSE)</xsl:when>
                    <xsl:when test="./i6:value = '121662'">Clostera anastomosis (CLOSAS)</xsl:when>
                    <xsl:when test="./i6:value = '121663'">Clupea harengus (CLUPHA)</xsl:when>
                    <xsl:when test="./i6:value = '121664'">Clytoleptus albofasciatus (CLYTAL)</xsl:when>
                    <xsl:when test="./i6:value = '121665'">Clytus arietis (CLYUAR)</xsl:when>
                    <xsl:when test="./i6:value = '121666'">Cnaphalocrocis exigua (SUSUEX)</xsl:when>
                    <xsl:when test="./i6:value = '121667'">Cnaphalocrocis medinalis (CNAPME)</xsl:when>
                    <xsl:when test="./i6:value = '121668'">Cnephasia asseclana (CNEPVI)</xsl:when>
                    <xsl:when test="./i6:value = '121669'">Cnephasia pasiuana (CNEPPS)</xsl:when>
                    <xsl:when test="./i6:value = '121670'">Cnephasia stephensiana (CNEPST)</xsl:when>
                    <xsl:when test="./i6:value = '121671'">Cnephia pecuarum (CNEHPE)</xsl:when>
                    <xsl:when test="./i6:value = '121672'">Cnestus mutilatus (XYLSMU)</xsl:when>
                    <xsl:when test="./i6:value = '121673'">Coccidioides immitis (CCDIIM)</xsl:when>
                    <xsl:when test="./i6:value = '121674'">Coccidohystrix insolita (PHENIN)</xsl:when>
                    <xsl:when test="./i6:value = '121675'">Coccinella californica (COCICA)</xsl:when>
                    <xsl:when test="./i6:value = '121676'">Coccinella novemnotata (COCINO)</xsl:when>
                    <xsl:when test="./i6:value = '121677'">Coccinella quinquepunctata (COCIQU)</xsl:when>
                    <xsl:when test="./i6:value = '121678'">Coccinella repanda (COCIRE)</xsl:when>
                    <xsl:when test="./i6:value = '121679'">Coccinella septempunctata (COCISE)</xsl:when>
                    <xsl:when test="./i6:value = '121680'">Coccinella transversoguttata (COCITR)</xsl:when>
                    <xsl:when test="./i6:value = '121681'">Coccinella undecimpunctata (COCIUN)</xsl:when>
                    <xsl:when test="./i6:value = '121682'">Coccomyces clusiae (COCMCL)</xsl:when>
                    <xsl:when test="./i6:value = '121683'">Coccomyces pampeanus (COCMPM)</xsl:when>
                    <xsl:when test="./i6:value = '121684'">Coccomyces papillatus (COCMPA)</xsl:when>
                    <xsl:when test="./i6:value = '121685'">Coccothraustes coccothraustes (COKKCO)</xsl:when>
                    <xsl:when test="./i6:value = '121686'">Coccotorsus hirsutus (COCTHI)</xsl:when>
                    <xsl:when test="./i6:value = '121687'">Coccotorus scutellaris (ANTHSC)</xsl:when>
                    <xsl:when test="./i6:value = '121688'">Coccotrypes cyperi (COCOCY)</xsl:when>
                    <xsl:when test="./i6:value = '121689'">Coccotrypes dactyliperda (COCODA)</xsl:when>
                    <xsl:when test="./i6:value = '121690'">Coccus africanus (COCCAF)</xsl:when>
                    <xsl:when test="./i6:value = '121691'">Coccus hesperidum (COCCHE)</xsl:when>
                    <xsl:when test="./i6:value = '121692'">Coccus longulus (COCCEL)</xsl:when>
                    <xsl:when test="./i6:value = '121693'">Coccus perlatus (COCCPE)</xsl:when>
                    <xsl:when test="./i6:value = '121694'">Coccus pseudomagnoliarum (COCCPS)</xsl:when>
                    <xsl:when test="./i6:value = '121695'">Coccus viridis (COCCVI)</xsl:when>
                    <xsl:when test="./i6:value = '121696'">Coccyzus americanus (COCZAM)</xsl:when>
                    <xsl:when test="./i6:value = '121697'">Cochlicella acuta (COCEAC)</xsl:when>
                    <xsl:when test="./i6:value = '121698'">Cochlicella barbara (COCEVE)</xsl:when>
                    <xsl:when test="./i6:value = '121699'">Cochliobolus australiensis (DRECAU)</xsl:when>
                    <xsl:when test="./i6:value = '121700'">Cochliobolus carbonum (COCHCA)</xsl:when>
                    <xsl:when test="./i6:value = '121701'">Cochliobolus cymbopogonis (COCHCM)</xsl:when>
                    <xsl:when test="./i6:value = '121702'">Cochliobolus cynodontis (COCHCY)</xsl:when>
                    <xsl:when test="./i6:value = '121703'">Cochliobolus geniculatus (COCHGE)</xsl:when>
                    <xsl:when test="./i6:value = '121704'">Cochliobolus hawaiiensis (COCHHA)</xsl:when>
                    <xsl:when test="./i6:value = '121705'">Cochliobolus heterostrophus (COCHHE)</xsl:when>
                    <xsl:when test="./i6:value = '121706'">Cochliobolus lunatus (COCHLU)</xsl:when>
                    <xsl:when test="./i6:value = '121707'">Cochliobolus miyabeanus (COCHMI)</xsl:when>
                    <xsl:when test="./i6:value = '121708'">Cochliobolus nodulosus (COCHNO)</xsl:when>
                    <xsl:when test="./i6:value = '121709'">Cochliobolus sativus (COCHSA)</xsl:when>
                    <xsl:when test="./i6:value = '121710'">Cochliobolus setariae (COCHSE)</xsl:when>
                    <xsl:when test="./i6:value = '121711'">Cochliobolus spicifer (COCHSI)</xsl:when>
                    <xsl:when test="./i6:value = '121712'">Cochliobolus stenospilus (DRECST)</xsl:when>
                    <xsl:when test="./i6:value = '121713'">Cochliobolus tuberculatus (CURVTU)</xsl:when>
                    <xsl:when test="./i6:value = '121714'">Cochliobolus victoriae (COCHVI)</xsl:when>
                    <xsl:when test="./i6:value = '121715'">Cochliomyia hominivorax (COCLHO)</xsl:when>
                    <xsl:when test="./i6:value = '121716'">Cochliomyia macellaria (COCLMA)</xsl:when>
                    <xsl:when test="./i6:value = '121717'">Cochliotis melolonthoides (CCHLME)</xsl:when>
                    <xsl:when test="./i6:value = '121718'">Cochlochila bullita (COKLBU)</xsl:when>
                    <xsl:when test="./i6:value = '121719'">Cochlodina laminata (KOHDLA)</xsl:when>
                    <xsl:when test="./i6:value = '121720'">Cochylis epilinana (PHAOEP)</xsl:when>
                    <xsl:when test="./i6:value = '121721'">Coelaenomenodera minuta (COELEL)</xsl:when>
                    <xsl:when test="./i6:value = '121722'">Coelopa frigida (CELPFR)</xsl:when>
                    <xsl:when test="./i6:value = '121723'">Coelophora inaequalis (COEPIN)</xsl:when>
                    <xsl:when test="./i6:value = '121724'">Coelophora pupillata (COEPPU)</xsl:when>
                    <xsl:when test="./i6:value = '121725'">Coenagrion armatum (CONAAR)</xsl:when>
                    <xsl:when test="./i6:value = '121726'">Coenagrion mercuriale (CONAME)</xsl:when>
                    <xsl:when test="./i6:value = '121727'">Coenagrion puella (CONAPU)</xsl:when>
                    <xsl:when test="./i6:value = '121728'">Coenagrion pulchellum (CONAPL)</xsl:when>
                    <xsl:when test="./i6:value = '121729'">Coenagrion scitulum (CONASC)</xsl:when>
                    <xsl:when test="./i6:value = '121730'">Coenonympha arcania (CENYAR)</xsl:when>
                    <xsl:when test="./i6:value = '121731'">Coenonympha glycerion (CENYGL)</xsl:when>
                    <xsl:when test="./i6:value = '121732'">Coenonympha hero (CENYHE)</xsl:when>
                    <xsl:when test="./i6:value = '121733'">Coenonympha pamphilus (CENYPA)</xsl:when>
                    <xsl:when test="./i6:value = '121734'">Coenonympha tullia (CENYTU)</xsl:when>
                    <xsl:when test="./i6:value = '121735'">Coenorhinus interpunctatus (COENIN)</xsl:when>
                    <xsl:when test="./i6:value = '121736'">Cofana spectra (COFASE)</xsl:when>
                    <xsl:when test="./i6:value = '121737'">Colaphellus bowringi (COLHBO)</xsl:when>
                    <xsl:when test="./i6:value = '121738'">Colaspidema atrum (COAPAT)</xsl:when>
                    <xsl:when test="./i6:value = '121739'">Colaspis brunnea (COLABR)</xsl:when>
                    <xsl:when test="./i6:value = '121740'">Colaspis fastidiosa (COLAFS)</xsl:when>
                    <xsl:when test="./i6:value = '121741'">Colaspis flavida (COLAFL)</xsl:when>
                    <xsl:when test="./i6:value = '121742'">Colaspis hypochlora (COLAHY)</xsl:when>
                    <xsl:when test="./i6:value = '121743'">Colaspis pini (COLAPI)</xsl:when>
                    <xsl:when test="./i6:value = '121744'">Coleomegilla maculata lengi (COLGFU)</xsl:when>
                    <xsl:when test="./i6:value = '121745'">Coleophora anatipennella (COLEAN)</xsl:when>
                    <xsl:when test="./i6:value = '121746'">Coleophora cerasivorella (COLEFL)</xsl:when>
                    <xsl:when test="./i6:value = '121747'">Coleophora coracipennella (COLENI)</xsl:when>
                    <xsl:when test="./i6:value = '121748'">Coleophora dahurica (COLEDA)</xsl:when>
                    <xsl:when test="./i6:value = '121749'">Coleophora frischella (COLEAL)</xsl:when>
                    <xsl:when test="./i6:value = '121750'">Coleophora gryphipennella (COLEGR)</xsl:when>
                    <xsl:when test="./i6:value = '121751'">Coleophora hemerobiella (COLEHE)</xsl:when>
                    <xsl:when test="./i6:value = '121752'">Coleophora kuehnella (COLEKU)</xsl:when>
                    <xsl:when test="./i6:value = '121753'">Coleophora laricella (COLELA)</xsl:when>
                    <xsl:when test="./i6:value = '121754'">Coleophora laticornella (COLECA)</xsl:when>
                    <xsl:when test="./i6:value = '121755'">Coleophora limosipennella (COLELI)</xsl:when>
                    <xsl:when test="./i6:value = '121756'">Coleophora lutipennella (COLELU)</xsl:when>
                    <xsl:when test="./i6:value = '121757'">Coleophora multipulvella (COLEMA)</xsl:when>
                    <xsl:when test="./i6:value = '121758'">Coleophora pennella (COLEPE)</xsl:when>
                    <xsl:when test="./i6:value = '121759'">Coleophora pruniella (COLEPR)</xsl:when>
                    <xsl:when test="./i6:value = '121760'">Coleophora serratella (COLESE)</xsl:when>
                    <xsl:when test="./i6:value = '121761'">Coleophora spissicornis (COLESI)</xsl:when>
                    <xsl:when test="./i6:value = '121762'">Coleophora ulmifoliella (COLEUL)</xsl:when>
                    <xsl:when test="./i6:value = '121763'">Coleosporium asterum (COLSAS)</xsl:when>
                    <xsl:when test="./i6:value = '121764'">Coleosporium crowellii (COLSCW)</xsl:when>
                    <xsl:when test="./i6:value = '121765'">Coleosporium ipomoeae (COLSIP)</xsl:when>
                    <xsl:when test="./i6:value = '121766'">Coleosporium phellodendri (COLSPH)</xsl:when>
                    <xsl:when test="./i6:value = '121767'">Coleosporium plumeriae (COLSPL)</xsl:when>
                    <xsl:when test="./i6:value = '121768'">Coleotechnites milleri (RECUMI)</xsl:when>
                    <xsl:when test="./i6:value = '121769'">Coleotechnites piceaella (RECUPC)</xsl:when>
                    <xsl:when test="./i6:value = '121770'">Coleotichus blackburniae (COLTBL)</xsl:when>
                    <xsl:when test="./i6:value = '121771'">Colgaroides acuminata (CLGRAC)</xsl:when>
                    <xsl:when test="./i6:value = '121772'">Colias australis (COIAAU)</xsl:when>
                    <xsl:when test="./i6:value = '121773'">Colias croceus (COIACR)</xsl:when>
                    <xsl:when test="./i6:value = '121774'">Colias electo (COIAEL)</xsl:when>
                    <xsl:when test="./i6:value = '121775'">Colias erate polygraphus (COIAEP)</xsl:when>
                    <xsl:when test="./i6:value = '121776'">Colias eurytheme (COIAEU)</xsl:when>
                    <xsl:when test="./i6:value = '121777'">Colias hyale (COIAHY)</xsl:when>
                    <xsl:when test="./i6:value = '121778'">Colias palaeno (COIAPA)</xsl:when>
                    <xsl:when test="./i6:value = '121779'">Colias philodice (COIAPH)</xsl:when>
                    <xsl:when test="./i6:value = '121780'">Colinus virginianus (COLIVI)</xsl:when>
                    <xsl:when test="./i6:value = '121781'">Colius striatus (KOLIST)</xsl:when>
                    <xsl:when test="./i6:value = '121782'">Colladonus clitellarius (CLDSCL)</xsl:when>
                    <xsl:when test="./i6:value = '121783'">Colladonus montanus (CLDSMO)</xsl:when>
                    <xsl:when test="./i6:value = '121784'">Colletes hederae (CLLTHE)</xsl:when>
                    <xsl:when test="./i6:value = '121785'">Colletotrichum acutatum (COLLAC)</xsl:when>
                    <xsl:when test="./i6:value = '121786'">Colletotrichum acutatum f. sp. pinea (COLLAP)</xsl:when>
                    <xsl:when test="./i6:value = '121787'">Colletotrichum circinans (COLLCI)</xsl:when>
                    <xsl:when test="./i6:value = '121788'">Colletotrichum coccodes (COLLCC)</xsl:when>
                    <xsl:when test="./i6:value = '121789'">Colletotrichum coffeanum (COLLCO)</xsl:when>
                    <xsl:when test="./i6:value = '121790'">Colletotrichum corchorum (COLLCR)</xsl:when>
                    <xsl:when test="./i6:value = '121791'">Colletotrichum curcumae (COLLCU)</xsl:when>
                    <xsl:when test="./i6:value = '121792'">Colletotrichum dematium (COLLDE)</xsl:when>
                    <xsl:when test="./i6:value = '121793'">Colletotrichum destructivum (COLLDT)</xsl:when>
                    <xsl:when test="./i6:value = '121794'">Colletotrichum fragariae (COLLFR)</xsl:when>
                    <xsl:when test="./i6:value = '121795'">Colletotrichum fuscum (COLLFU)</xsl:when>
                    <xsl:when test="./i6:value = '121796'">Colletotrichum higginsianum (COLLHG)</xsl:when>
                    <xsl:when test="./i6:value = '121797'">Colletotrichum kahawae (COLLKA)</xsl:when>
                    <xsl:when test="./i6:value = '121798'">Colletotrichum lilii (COLLLL)</xsl:when>
                    <xsl:when test="./i6:value = '121799'">Colletotrichum lindemuthianum (COLLLD)</xsl:when>
                    <xsl:when test="./i6:value = '121800'">Colletotrichum lini (COLLLI)</xsl:when>
                    <xsl:when test="./i6:value = '121801'">Colletotrichum musae (COLLMU)</xsl:when>
                    <xsl:when test="./i6:value = '121802'">Colletotrichum spinaciae (COLLDS)</xsl:when>
                    <xsl:when test="./i6:value = '121803'">Colletotrichum tabacum (COLLTA)</xsl:when>
                    <xsl:when test="./i6:value = '121804'">Colletotrichum trichellum (COLLTR)</xsl:when>
                    <xsl:when test="./i6:value = '121805'">Colletotrichum trifolii (COLLTF)</xsl:when>
                    <xsl:when test="./i6:value = '121806'">Colletotrichum truncatum (COLLDU)</xsl:when>
                    <xsl:when test="./i6:value = '121807'">Collops vittatus (CLLPVI)</xsl:when>
                    <xsl:when test="./i6:value = '121808'">Collybia cirrhata (COLYCI)</xsl:when>
                    <xsl:when test="./i6:value = '121809'">Collybia cookei (COLYCO)</xsl:when>
                    <xsl:when test="./i6:value = '121810'">Collybia dryophila (COLYDP)</xsl:when>
                    <xsl:when test="./i6:value = '121811'">Collybia tuberosa (COLYTU)</xsl:when>
                    <xsl:when test="./i6:value = '121812'">Coloborhombus fasciatipennis (COLBFA)</xsl:when>
                    <xsl:when test="./i6:value = '121813'">Colobus guereza (CLBUGU)</xsl:when>
                    <xsl:when test="./i6:value = '121814'">Colopha compressa (CLPHCO)</xsl:when>
                    <xsl:when test="./i6:value = '121815'">Colopha ulmicola (CLPHUL)</xsl:when>
                    <xsl:when test="./i6:value = '121816'">Coloradoa rufomaculata (COLDRU)</xsl:when>
                    <xsl:when test="./i6:value = '121817'">Colotois pennaria (COOTPE)</xsl:when>
                    <xsl:when test="./i6:value = '121818'">Coltricia perennis (CLTCPE)</xsl:when>
                    <xsl:when test="./i6:value = '121819'">Coluber viridiflavus (CLBRVI)</xsl:when>
                    <xsl:when test="./i6:value = '121820'">Columbicola columbae (COLMCO)</xsl:when>
                    <xsl:when test="./i6:value = '121821'">Colus hirudinosus (KOLUHI)</xsl:when>
                    <xsl:when test="./i6:value = '121822'">Completoria complens (KMPTCO)</xsl:when>
                    <xsl:when test="./i6:value = '121823'">Compsus viridilineatus (CMSSVI)</xsl:when>
                    <xsl:when test="./i6:value = '121824'">Comstockiella sabalis (COMTSA)</xsl:when>
                    <xsl:when test="./i6:value = '121825'">Conchaspis angraeci (CONQAN)</xsl:when>
                    <xsl:when test="./i6:value = '121826'">Condylorrhiza vestigialis (CONRVE)</xsl:when>
                    <xsl:when test="./i6:value = '121827'">Condylura cristata (CNDYCR)</xsl:when>
                    <xsl:when test="./i6:value = '121828'">Conger conger (CNGRCO)</xsl:when>
                    <xsl:when test="./i6:value = '121829'">Conidiobolus obscurus (CONBOB)</xsl:when>
                    <xsl:when test="./i6:value = '121830'">Conidiobolus thromboides (ENTMVI)</xsl:when>
                    <xsl:when test="./i6:value = '121831'">Conidiosporomyces ayresii (TILLAY)</xsl:when>
                    <xsl:when test="./i6:value = '121832'">Coniella australiensis (CONLAU)</xsl:when>
                    <xsl:when test="./i6:value = '121833'">Coniella diplodiella (CONLDI)</xsl:when>
                    <xsl:when test="./i6:value = '121834'">Coniferiporia sulphurascens (PHELSU)</xsl:when>
                    <xsl:when test="./i6:value = '121835'">Coniferiporia weirii (INONWE)</xsl:when>
                    <xsl:when test="./i6:value = '121836'">Coniophora puteana (CNPHPU)</xsl:when>
                    <xsl:when test="./i6:value = '121837'">Coniothyrium glycines (DACHGY)</xsl:when>
                    <xsl:when test="./i6:value = '121838'">Coniothyrium phyllachorae (CONIPH)</xsl:when>
                    <xsl:when test="./i6:value = '121839'">Coniothyrium wernsdorffiae (CONIWE)</xsl:when>
                    <xsl:when test="./i6:value = '121840'">Conistra vaccinii (CONSVA)</xsl:when>
                    <xsl:when test="./i6:value = '121841'">Connochaetes taurinus (CONNTA)</xsl:when>
                    <xsl:when test="./i6:value = '121842'">Conocephalus discolor (CONCDI)</xsl:when>
                    <xsl:when test="./i6:value = '121843'">Conocephalus dorsalis (CONCDO)</xsl:when>
                    <xsl:when test="./i6:value = '121844'">Conocephalus fasciatus (CONCFA)</xsl:when>
                    <xsl:when test="./i6:value = '121845'">Conocephalus japonicus (CONCJA)</xsl:when>
                    <xsl:when test="./i6:value = '121846'">Conocybe aeruginosa (CONYAE)</xsl:when>
                    <xsl:when test="./i6:value = '121847'">Conocybe apala (CONYAA)</xsl:when>
                    <xsl:when test="./i6:value = '121848'">Conocybe arrhenii (CONYAR)</xsl:when>
                    <xsl:when test="./i6:value = '121849'">Conocybe tenera (CONYTE)</xsl:when>
                    <xsl:when test="./i6:value = '121850'">Conoderus amplicollis (CONOAM)</xsl:when>
                    <xsl:when test="./i6:value = '121851'">Conoderus auritus (CONOAU)</xsl:when>
                    <xsl:when test="./i6:value = '121852'">Conoderus exsul (CONOEX)</xsl:when>
                    <xsl:when test="./i6:value = '121853'">Conoderus falli (CONOFA)</xsl:when>
                    <xsl:when test="./i6:value = '121854'">Conoderus vespertinus (CONOVE)</xsl:when>
                    <xsl:when test="./i6:value = '121855'">Conophthorus banksianae (CONPBA)</xsl:when>
                    <xsl:when test="./i6:value = '121856'">Conophthorus coniperda (CONPCO)</xsl:when>
                    <xsl:when test="./i6:value = '121857'">Conophthorus contortae (CONPCT)</xsl:when>
                    <xsl:when test="./i6:value = '121858'">Conophthorus edulis (CONPED)</xsl:when>
                    <xsl:when test="./i6:value = '121859'">Conophthorus lambertianae (CONPLA)</xsl:when>
                    <xsl:when test="./i6:value = '121860'">Conophthorus ponderosae (CONPPO)</xsl:when>
                    <xsl:when test="./i6:value = '121861'">Conophthorus radiatae (CONPRA)</xsl:when>
                    <xsl:when test="./i6:value = '121862'">Conophthorus resinosae (CONPRE)</xsl:when>
                    <xsl:when test="./i6:value = '121863'">Conopomorpha cramerella (AROCCR)</xsl:when>
                    <xsl:when test="./i6:value = '121864'">Conorhynchus mendicus (CLEOMN)</xsl:when>
                    <xsl:when test="./i6:value = '121865'">Conotrachelus affinis (CONHAF)</xsl:when>
                    <xsl:when test="./i6:value = '121866'">Conotrachelus aguacatae (CONHAG)</xsl:when>
                    <xsl:when test="./i6:value = '121867'">Conotrachelus albocinereus (CONHAL)</xsl:when>
                    <xsl:when test="./i6:value = '121868'">Conotrachelus anaglypticus (CONHAN)</xsl:when>
                    <xsl:when test="./i6:value = '121869'">Conotrachelus crataegi (CONHCR)</xsl:when>
                    <xsl:when test="./i6:value = '121870'">Conotrachelus elegans (CONHEL)</xsl:when>
                    <xsl:when test="./i6:value = '121871'">Conotrachelus fissunguis (CONHFI)</xsl:when>
                    <xsl:when test="./i6:value = '121872'">Conotrachelus juglandis (CONHJU)</xsl:when>
                    <xsl:when test="./i6:value = '121873'">Conotrachelus naso (CONHNA)</xsl:when>
                    <xsl:when test="./i6:value = '121874'">Conotrachelus nenuphar (CONHNE)</xsl:when>
                    <xsl:when test="./i6:value = '121875'">Conotrachelus perseae (CONHPE)</xsl:when>
                    <xsl:when test="./i6:value = '121876'">Conotrachelus posticatus (CONHPO)</xsl:when>
                    <xsl:when test="./i6:value = '121877'">Conotrachelus retentus (CONHRE)</xsl:when>
                    <xsl:when test="./i6:value = '121878'">Conotrachelus seniculus (CONHSE)</xsl:when>
                    <xsl:when test="./i6:value = '121879'">Contarinia baeri (CONTBA)</xsl:when>
                    <xsl:when test="./i6:value = '121880'">Contarinia bromicola (CONTBR)</xsl:when>
                    <xsl:when test="./i6:value = '121881'">Contarinia chrysanthemi (CONTCH)</xsl:when>
                    <xsl:when test="./i6:value = '121882'">Contarinia citri (CONTCI)</xsl:when>
                    <xsl:when test="./i6:value = '121883'">Contarinia coloradensis (CONTCL)</xsl:when>
                    <xsl:when test="./i6:value = '121884'">Contarinia constricta (CONTCN)</xsl:when>
                    <xsl:when test="./i6:value = '121885'">Contarinia cuniculator (CONTCU)</xsl:when>
                    <xsl:when test="./i6:value = '121886'">Contarinia dactylidis (CONTDA)</xsl:when>
                    <xsl:when test="./i6:value = '121887'">Contarinia gossypii (CONTGO)</xsl:when>
                    <xsl:when test="./i6:value = '121888'">Contarinia humuli (CONTHU)</xsl:when>
                    <xsl:when test="./i6:value = '121889'">Contarinia inouyei (CONTIN)</xsl:when>
                    <xsl:when test="./i6:value = '121890'">Contarinia johnsoni (CONTJO)</xsl:when>
                    <xsl:when test="./i6:value = '121891'">Contarinia juniperina (CONTJU)</xsl:when>
                    <xsl:when test="./i6:value = '121892'">Contarinia lentis (CONTLE)</xsl:when>
                    <xsl:when test="./i6:value = '121893'">Contarinia loti (CONTLT)</xsl:when>
                    <xsl:when test="./i6:value = '121894'">Contarinia lycopersici (CONTLY)</xsl:when>
                    <xsl:when test="./i6:value = '121895'">Contarinia mali (CONTML)</xsl:when>
                    <xsl:when test="./i6:value = '121896'">Contarinia matusintome (CONTMA)</xsl:when>
                    <xsl:when test="./i6:value = '121897'">Contarinia medicaginis (CONTME)</xsl:when>
                    <xsl:when test="./i6:value = '121898'">Contarinia merceri (CONTMC)</xsl:when>
                    <xsl:when test="./i6:value = '121899'">Contarinia nasturtii (CONTNA)</xsl:when>
                    <xsl:when test="./i6:value = '121900'">Contarinia onobrychidis (CONTON)</xsl:when>
                    <xsl:when test="./i6:value = '121901'">Contarinia oregonensis (CONTOR)</xsl:when>
                    <xsl:when test="./i6:value = '121902'">Contarinia pseudotsugae (CONTPS)</xsl:when>
                    <xsl:when test="./i6:value = '121903'">Contarinia ribis (CONTRI)</xsl:when>
                    <xsl:when test="./i6:value = '121904'">Contarinia rubicola (CONTRU)</xsl:when>
                    <xsl:when test="./i6:value = '121905'">Contarinia schulzi (CONTSZ)</xsl:when>
                    <xsl:when test="./i6:value = '121906'">Contarinia vaccinii (CONTVA)</xsl:when>
                    <xsl:when test="./i6:value = '121907'">Contarinia violicola (CONTVI)</xsl:when>
                    <xsl:when test="./i6:value = '121908'">Contarinia virginianiae (CONTVR)</xsl:when>
                    <xsl:when test="./i6:value = '121909'">Contarinia viticola (CONTVT)</xsl:when>
                    <xsl:when test="./i6:value = '121910'">Conus achatinus (CONUAC)</xsl:when>
                    <xsl:when test="./i6:value = '121911'">Conus arenatus (CONUAR)</xsl:when>
                    <xsl:when test="./i6:value = '121912'">Conus aulicus (CONUAU)</xsl:when>
                    <xsl:when test="./i6:value = '121913'">Conus brunneus (CONUBR)</xsl:when>
                    <xsl:when test="./i6:value = '121914'">Conus ermineus (CONUER)</xsl:when>
                    <xsl:when test="./i6:value = '121915'">Conus geographus (CONUGE)</xsl:when>
                    <xsl:when test="./i6:value = '121916'">Conus victoriae (CONUVI)</xsl:when>
                    <xsl:when test="./i6:value = '121917'">Coprinellus disseminatus (CPNLDI)</xsl:when>
                    <xsl:when test="./i6:value = '121918'">Coprinellus domesticus (CPNLDO)</xsl:when>
                    <xsl:when test="./i6:value = '121919'">Coprinellus micaceus (CPNLMI)</xsl:when>
                    <xsl:when test="./i6:value = '121920'">Coprinopsis acuminata (CPNSAC)</xsl:when>
                    <xsl:when test="./i6:value = '121921'">Coprinopsis ammophilae (CPNSAM)</xsl:when>
                    <xsl:when test="./i6:value = '121922'">Coprinopsis atramentaria (CPNSAT)</xsl:when>
                    <xsl:when test="./i6:value = '121923'">Coprinopsis episcopalis (CPNSEP)</xsl:when>
                    <xsl:when test="./i6:value = '121924'">Coprinopsis jonesii (CPNSJO)</xsl:when>
                    <xsl:when test="./i6:value = '121925'">Coprinopsis lagopus (CPNSLA)</xsl:when>
                    <xsl:when test="./i6:value = '121926'">Coprinopsis nivea (CPNSNI)</xsl:when>
                    <xsl:when test="./i6:value = '121927'">Coprinopsis picacea (CPNSPI)</xsl:when>
                    <xsl:when test="./i6:value = '121928'">Coprinopsis scobicola (CPNSSC)</xsl:when>
                    <xsl:when test="./i6:value = '121929'">Coprinopsis stangliana (CPNSST)</xsl:when>
                    <xsl:when test="./i6:value = '121930'">Coprinopsis variegata (CPNSVA)</xsl:when>
                    <xsl:when test="./i6:value = '121931'">Coprinus alopecia (COPNAL)</xsl:when>
                    <xsl:when test="./i6:value = '121932'">Coprinus comatus (COPNCO)</xsl:when>
                    <xsl:when test="./i6:value = '121933'">Copris incertus prociduus (COPRIP)</xsl:when>
                    <xsl:when test="./i6:value = '121934'">Coproica ferruginata (COPAFE)</xsl:when>
                    <xsl:when test="./i6:value = '121935'">Coproica vagans (COPAVA)</xsl:when>
                    <xsl:when test="./i6:value = '121936'">Coptoborus ochromactonus (COPBOC)</xsl:when>
                    <xsl:when test="./i6:value = '121937'">Coptoborus pseudotenuis (COPBPT)</xsl:when>
                    <xsl:when test="./i6:value = '121938'">Coptosoma punctatissimum (COPSPU)</xsl:when>
                    <xsl:when test="./i6:value = '121939'">Coptosoma xanthogramma (COPSXA)</xsl:when>
                    <xsl:when test="./i6:value = '121940'">Coptotermes formosanus (COPTFO)</xsl:when>
                    <xsl:when test="./i6:value = '121941'">Coptotermes vastator (COPTVA)</xsl:when>
                    <xsl:when test="./i6:value = '121942'">Coquillettidia perturbans (MANSPE)</xsl:when>
                    <xsl:when test="./i6:value = '121943'">Coracias garrulus (CRCIGA)</xsl:when>
                    <xsl:when test="./i6:value = '121944'">Coraebus elatus (CORUEL)</xsl:when>
                    <xsl:when test="./i6:value = '121945'">Coraebus rubi (CORURU)</xsl:when>
                    <xsl:when test="./i6:value = '121946'">Coranus subapterus (KORNSU)</xsl:when>
                    <xsl:when test="./i6:value = '121947'">Corbicula fluminea (COICFL)</xsl:when>
                    <xsl:when test="./i6:value = '121948'">Corcyra cephalonica (CORRCE)</xsl:when>
                    <xsl:when test="./i6:value = '121949'">Cordana musae (CORDMU)</xsl:when>
                    <xsl:when test="./i6:value = '121950'">Cordulegaster boltonii (CORGBO)</xsl:when>
                    <xsl:when test="./i6:value = '121951'">Cordulia aenea (CRDUAE)</xsl:when>
                    <xsl:when test="./i6:value = '121952'">Cordyceps bassiana (BEAUBA)</xsl:when>
                    <xsl:when test="./i6:value = '121953'">Cordyceps brongniartii (BEAUBR)</xsl:when>
                    <xsl:when test="./i6:value = '121954'">Cordyceps capitata (CODYCA)</xsl:when>
                    <xsl:when test="./i6:value = '121955'">Cordyceps confragosa (VERTLE)</xsl:when>
                    <xsl:when test="./i6:value = '121956'">Cordyceps militaris (CODYMI)</xsl:when>
                    <xsl:when test="./i6:value = '121957'">Cordyceps tuberculata (CODYTU)</xsl:when>
                    <xsl:when test="./i6:value = '121958'">Cordylobia anthropophaga (CRLBAN)</xsl:when>
                    <xsl:when test="./i6:value = '121959'">Cordylophora caspia (CRDYCA)</xsl:when>
                    <xsl:when test="./i6:value = '121960'">Coregonus lavaretus (COEGLA)</xsl:when>
                    <xsl:when test="./i6:value = '121961'">Coregonus nasus (COEGNA)</xsl:when>
                    <xsl:when test="./i6:value = '121962'">Coreus marginatus (CREUMA)</xsl:when>
                    <xsl:when test="./i6:value = '121963'">Corimelaena pulicaria (CORIPU)</xsl:when>
                    <xsl:when test="./i6:value = '121964'">Coriolopsis gallica (CRLPGA)</xsl:when>
                    <xsl:when test="./i6:value = '121965'">Coriolus zonatus (CORLZO)</xsl:when>
                    <xsl:when test="./i6:value = '121966'">Corixa punctata (CORXPU)</xsl:when>
                    <xsl:when test="./i6:value = '121967'">Cornutiplusia circumflexa (CRNICI)</xsl:when>
                    <xsl:when test="./i6:value = '121968'">Corthylus columbianus (CORHCL)</xsl:when>
                    <xsl:when test="./i6:value = '121969'">Corthylus punctatissimus (CORHPU)</xsl:when>
                    <xsl:when test="./i6:value = '121970'">Corticium invisum (CORTIN)</xsl:when>
                    <xsl:when test="./i6:value = '121971'">Corticium koleroga (CORTKO)</xsl:when>
                    <xsl:when test="./i6:value = '121972'">Corticium sasakii (CORTSS)</xsl:when>
                    <xsl:when test="./i6:value = '121973'">Corticium theae (CORTTH)</xsl:when>
                    <xsl:when test="./i6:value = '121974'">Cortinarius alboviolaceus (CORAAV)</xsl:when>
                    <xsl:when test="./i6:value = '121975'">Cortinarius aleuriosmus (CORAAL)</xsl:when>
                    <xsl:when test="./i6:value = '121976'">Cortinarius amoenolens (CORAAM)</xsl:when>
                    <xsl:when test="./i6:value = '121977'">Cortinarius anomalus (CORAAN)</xsl:when>
                    <xsl:when test="./i6:value = '121978'">Cortinarius armillatus (CORAAR)</xsl:when>
                    <xsl:when test="./i6:value = '121979'">Cortinarius atrovirens (CORAAS)</xsl:when>
                    <xsl:when test="./i6:value = '121980'">Cortinarius bolaris (CORABO)</xsl:when>
                    <xsl:when test="./i6:value = '121981'">Cortinarius bulliardii (CORABU)</xsl:when>
                    <xsl:when test="./i6:value = '121982'">Cortinarius caerulescens (CORACU)</xsl:when>
                    <xsl:when test="./i6:value = '121983'">Cortinarius callisteus (CORAKS)</xsl:when>
                    <xsl:when test="./i6:value = '121984'">Cortinarius camphoratus (CORACA)</xsl:when>
                    <xsl:when test="./i6:value = '121985'">Cortinarius cinnamomeus (CORACI)</xsl:when>
                    <xsl:when test="./i6:value = '121986'">Cortinarius praestans (CORAPR)</xsl:when>
                    <xsl:when test="./i6:value = '121987'">Cortinarius talus (CORATA)</xsl:when>
                    <xsl:when test="./i6:value = '121988'">Cortinarius torvus (CORATO)</xsl:when>
                    <xsl:when test="./i6:value = '121989'">Cortinarius traganus (CORATG)</xsl:when>
                    <xsl:when test="./i6:value = '121990'">Cortinarius triumphans (CORATR)</xsl:when>
                    <xsl:when test="./i6:value = '121991'">Cortinarius trivialis (CORATV)</xsl:when>
                    <xsl:when test="./i6:value = '121992'">Cortinarius varius (CORAVZ)</xsl:when>
                    <xsl:when test="./i6:value = '121993'">Cortinarius violaceus (CORAVI)</xsl:when>
                    <xsl:when test="./i6:value = '121994'">Corvus brachyrhynchos (CORVBR)</xsl:when>
                    <xsl:when test="./i6:value = '121995'">Corvus caurinus (CORVCA)</xsl:when>
                    <xsl:when test="./i6:value = '121996'">Corvus corax (CORVCR)</xsl:when>
                    <xsl:when test="./i6:value = '121997'">Corvus levaillantii (CORVLE)</xsl:when>
                    <xsl:when test="./i6:value = '121998'">Corvus macrorhynchos (CORVMA)</xsl:when>
                    <xsl:when test="./i6:value = '121999'">Corydalus cornutus (CDLSCO)</xsl:when>
                    <xsl:when test="./i6:value = '122000'">Corylobium avellanae (CRLOAV)</xsl:when>
                    <xsl:when test="./i6:value = '122001'">Corymbia succedanea (CRMASU)</xsl:when>
                    <xsl:when test="./i6:value = '122002'">Corymbites inflatus (CORMIN)</xsl:when>
                    <xsl:when test="./i6:value = '122003'">Corynelia brasiliensis (CRNLBR)</xsl:when>
                    <xsl:when test="./i6:value = '122004'">Corynelia jamaicensis (CRNLJA)</xsl:when>
                    <xsl:when test="./i6:value = '122005'">Corynelia nipponensis (CRNLNI)</xsl:when>
                    <xsl:when test="./i6:value = '122006'">Corynelia oreophila (CRNLOR)</xsl:when>
                    <xsl:when test="./i6:value = '122007'">Corynelia portoricensis (CRNLPO)</xsl:when>
                    <xsl:when test="./i6:value = '122008'">Corynelia tropica (CRNLTR)</xsl:when>
                    <xsl:when test="./i6:value = '122009'">Corynelia uberata (CRNLUB)</xsl:when>
                    <xsl:when test="./i6:value = '122010'">Corynespora cassiicola (CORYCA)</xsl:when>
                    <xsl:when test="./i6:value = '122011'">Corynespora corchorum (CORYCO)</xsl:when>
                    <xsl:when test="./i6:value = '122012'">Corynespora melongenae (CORYME)</xsl:when>
                    <xsl:when test="./i6:value = '122013'">Corystes cassivelaunus (KORSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122014'">Corythaica cyathicollis (CORCCY)</xsl:when>
                    <xsl:when test="./i6:value = '122015'">Corythauma ayyari (COTMAY)</xsl:when>
                    <xsl:when test="./i6:value = '122016'">Corythucha arcuata (CRTHAR)</xsl:when>
                    <xsl:when test="./i6:value = '122017'">Corythucha bellula (CRTHBE)</xsl:when>
                    <xsl:when test="./i6:value = '122018'">Corythucha celtidis (CRTHCE)</xsl:when>
                    <xsl:when test="./i6:value = '122019'">Corythucha ciliata (CRTHCI)</xsl:when>
                    <xsl:when test="./i6:value = '122020'">Corythucha cydoniae (CRTHCY)</xsl:when>
                    <xsl:when test="./i6:value = '122021'">Corythucha gossypii (CRTHGO)</xsl:when>
                    <xsl:when test="./i6:value = '122022'">Corythucha incurvata (CRTHIN)</xsl:when>
                    <xsl:when test="./i6:value = '122023'">Corythucha juglandis (CRTHJU)</xsl:when>
                    <xsl:when test="./i6:value = '122024'">Corythucha marmorata (CRTHMA)</xsl:when>
                    <xsl:when test="./i6:value = '122025'">Corythucha morrilli (CRTHMO)</xsl:when>
                    <xsl:when test="./i6:value = '122026'">Corythucha pallipes (CRTHPA)</xsl:when>
                    <xsl:when test="./i6:value = '122027'">Corythucha pergandei (CRTHPE)</xsl:when>
                    <xsl:when test="./i6:value = '122028'">Corythucha pura (CRTHPU)</xsl:when>
                    <xsl:when test="./i6:value = '122029'">Corythucha salicata (CRTHSA)</xsl:when>
                    <xsl:when test="./i6:value = '122030'">Corythucha ulmi (CRTHUL)</xsl:when>
                    <xsl:when test="./i6:value = '122031'">Coscinoptycha improbana (KOSCIM)</xsl:when>
                    <xsl:when test="./i6:value = '122032'">Cosmia lutea (COSILU)</xsl:when>
                    <xsl:when test="./i6:value = '122033'">Cosmia trapezina (CALYTR)</xsl:when>
                    <xsl:when test="./i6:value = '122034'">Cosmophila erosa (COSPER)</xsl:when>
                    <xsl:when test="./i6:value = '122035'">Cosmopolites sordidus (COSMSO)</xsl:when>
                    <xsl:when test="./i6:value = '122036'">Cosmopterix dulcivora (COSXDU)</xsl:when>
                    <xsl:when test="./i6:value = '122037'">Cosmopterix zieglerella (COSXEX)</xsl:when>
                    <xsl:when test="./i6:value = '122038'">Cossula magnifica (COSUMA)</xsl:when>
                    <xsl:when test="./i6:value = '122039'">Cossus cossus (COSSCO)</xsl:when>
                    <xsl:when test="./i6:value = '122040'">Cossypha heuglini (CSSYHE)</xsl:when>
                    <xsl:when test="./i6:value = '122041'">Costelytra zealandica (COSTZE)</xsl:when>
                    <xsl:when test="./i6:value = '122042'">Cosymbia annulata (COSYAN)</xsl:when>
                    <xsl:when test="./i6:value = '122043'">Cotesia glomerata (APANGL)</xsl:when>
                    <xsl:when test="./i6:value = '122044'">Cotinis mutabilis (COTIMU)</xsl:when>
                    <xsl:when test="./i6:value = '122045'">Cotinis nitida (COTINI)</xsl:when>
                    <xsl:when test="./i6:value = '122046'">Cotinis texana (COTITE)</xsl:when>
                    <xsl:when test="./i6:value = '122047'">Coturnix coturnix (COTXCO)</xsl:when>
                    <xsl:when test="./i6:value = '122048'">Coturnix japonica (COTXJA)</xsl:when>
                    <xsl:when test="./i6:value = '122049'">Cotylidia pannosa (COTYPA)</xsl:when>
                    <xsl:when test="./i6:value = '122050'">Cotylidia undulata (COTYUN)</xsl:when>
                    <xsl:when test="./i6:value = '122051'">Crambus teterrellus (CRAMTE)</xsl:when>
                    <xsl:when test="./i6:value = '122052'">Crangon crangon (CRANCR)</xsl:when>
                    <xsl:when test="./i6:value = '122053'">Craponius inaequalis (CRAPIN)</xsl:when>
                    <xsl:when test="./i6:value = '122054'">Crassostrea gigas (CRAOGI)</xsl:when>
                    <xsl:when test="./i6:value = '122055'">Craterellus cornucopioides (CRTLCO)</xsl:when>
                    <xsl:when test="./i6:value = '122056'">Crax rubra (CRAXRU)</xsl:when>
                    <xsl:when test="./i6:value = '122057'">Crematogaster brevispinosa (CREMBR)</xsl:when>
                    <xsl:when test="./i6:value = '122058'">Crenidorsum aroidephagus (CRENAR)</xsl:when>
                    <xsl:when test="./i6:value = '122059'">Creoleon lugdunensis (CRELLU)</xsl:when>
                    <xsl:when test="./i6:value = '122060'">Creontiades debilis (CREODE)</xsl:when>
                    <xsl:when test="./i6:value = '122061'">Creontiades dilutus (CREODI)</xsl:when>
                    <xsl:when test="./i6:value = '122062'">Creontiades pallidifer (CREOPL)</xsl:when>
                    <xsl:when test="./i6:value = '122063'">Creontiades pallidus (CREOPA)</xsl:when>
                    <xsl:when test="./i6:value = '122064'">Creophilus erythrocephalus (CRPLER)</xsl:when>
                    <xsl:when test="./i6:value = '122065'">Creophilus maxillosus (CRPLMA)</xsl:when>
                    <xsl:when test="./i6:value = '122066'">Crepidodera atriventris (CREPAT)</xsl:when>
                    <xsl:when test="./i6:value = '122067'">Crepidodera aurata (CREPAU)</xsl:when>
                    <xsl:when test="./i6:value = '122068'">Crepidotus applanatus (CRPDAP)</xsl:when>
                    <xsl:when test="./i6:value = '122069'">Crepidotus autochthonus (CRPDAU)</xsl:when>
                    <xsl:when test="./i6:value = '122070'">Crepidotus cesatii (CRPDCE)</xsl:when>
                    <xsl:when test="./i6:value = '122071'">Crepidotus cinnabarinus (CRPDCI)</xsl:when>
                    <xsl:when test="./i6:value = '122072'">Crepidotus crocophyllus (CRPDCR)</xsl:when>
                    <xsl:when test="./i6:value = '122073'">Crepidotus luteolus (CRPDLU)</xsl:when>
                    <xsl:when test="./i6:value = '122074'">Crepidotus mollis (CRPDMO)</xsl:when>
                    <xsl:when test="./i6:value = '122075'">Crepidotus subverrucisporus (CRPDSV)</xsl:when>
                    <xsl:when test="./i6:value = '122076'">Crepidotus variabilis (CRPDVA)</xsl:when>
                    <xsl:when test="./i6:value = '122077'">Crepidula fornicata (KREPFO)</xsl:when>
                    <xsl:when test="./i6:value = '122078'">Cribrolecanium andersoni (CRIBAN)</xsl:when>
                    <xsl:when test="./i6:value = '122079'">Cricetulus griseus (CRIUGR)</xsl:when>
                    <xsl:when test="./i6:value = '122080'">Cricetus cricetus (CRICCR)</xsl:when>
                    <xsl:when test="./i6:value = '122081'">Cricotopus trifasciatus (CRCTTR)</xsl:when>
                    <xsl:when test="./i6:value = '122082'">Cricula trifenestrata (CRILTR)</xsl:when>
                    <xsl:when test="./i6:value = '122083'">Crinifer zonurus (CRIFZO)</xsl:when>
                    <xsl:when test="./i6:value = '122084'">Crinipellis actinophorus (CRNPAC)</xsl:when>
                    <xsl:when test="./i6:value = '122085'">Crinipellis scabella (CRNPSC)</xsl:when>
                    <xsl:when test="./i6:value = '122086'">Crioceris asparagi (CRIEAS)</xsl:when>
                    <xsl:when test="./i6:value = '122087'">Crioceris duodecimpunctata (CRIEDU)</xsl:when>
                    <xsl:when test="./i6:value = '122088'">Crocidolomia binotalis (CROCBI)</xsl:when>
                    <xsl:when test="./i6:value = '122089'">Crocidosema plebejana (CRODPL)</xsl:when>
                    <xsl:when test="./i6:value = '122090'">Crocidura leucodon (KROKLE)</xsl:when>
                    <xsl:when test="./i6:value = '122091'">Crocidura russula (KROKRU)</xsl:when>
                    <xsl:when test="./i6:value = '122092'">Crocidura suaveolens (KROKSU)</xsl:when>
                    <xsl:when test="./i6:value = '122093'">Crocodylus niloticus (CROKNI)</xsl:when>
                    <xsl:when test="./i6:value = '122094'">Croesia holmiana (ACALHO)</xsl:when>
                    <xsl:when test="./i6:value = '122095'">Croesus septentrionalis (CROESE)</xsl:when>
                    <xsl:when test="./i6:value = '122096'">Cronartium asclepiadeum (CRONAS)</xsl:when>
                    <xsl:when test="./i6:value = '122097'">Cronartium coleosporioides (CRONCL)</xsl:when>
                    <xsl:when test="./i6:value = '122098'">Cronartium comandrae (CRONCO)</xsl:when>
                    <xsl:when test="./i6:value = '122099'">Cronartium comptoniae (CRONCP)</xsl:when>
                    <xsl:when test="./i6:value = '122100'">Cronartium filamentosum (CRONFI)</xsl:when>
                    <xsl:when test="./i6:value = '122101'">Cronartium flaccidum (CRONFL)</xsl:when>
                    <xsl:when test="./i6:value = '122102'">Cronartium fusiforme (CRONFU)</xsl:when>
                    <xsl:when test="./i6:value = '122103'">Cronartium himalayense (CRONHI)</xsl:when>
                    <xsl:when test="./i6:value = '122104'">Cronartium kamtschaticum (CRONKA)</xsl:when>
                    <xsl:when test="./i6:value = '122105'">Cronartium quercuum (CRONQU)</xsl:when>
                    <xsl:when test="./i6:value = '122106'">Cronartium ribicola (CRONRI)</xsl:when>
                    <xsl:when test="./i6:value = '122107'">Crossotarsus armipennis (CROSAR)</xsl:when>
                    <xsl:when test="./i6:value = '122108'">Crossotarsus coniferae (CROSCN)</xsl:when>
                    <xsl:when test="./i6:value = '122109'">Crossotarsus grevillae (CROSGR)</xsl:when>
                    <xsl:when test="./i6:value = '122110'">Crossotarsus omnivorus (CROSOM)</xsl:when>
                    <xsl:when test="./i6:value = '122111'">Crotalus horridus (KROTHO)</xsl:when>
                    <xsl:when test="./i6:value = '122112'">Crucibulum laeve (CRUCLE)</xsl:when>
                    <xsl:when test="./i6:value = '122113'">Cryphalus fulvus (CRYHFU)</xsl:when>
                    <xsl:when test="./i6:value = '122114'">Cryphalus longifolia (CRYHLO)</xsl:when>
                    <xsl:when test="./i6:value = '122115'">Cryphonectria parasitica (ENDOPA)</xsl:when>
                    <xsl:when test="./i6:value = '122116'">Cryptoblabes gnidiella (CRYBGN)</xsl:when>
                    <xsl:when test="./i6:value = '122117'">Cryptoblabes hemigypsa (CRYBHE)</xsl:when>
                    <xsl:when test="./i6:value = '122118'">Cryptoblabes lariciana (CRYBLA)</xsl:when>
                    <xsl:when test="./i6:value = '122119'">Cryptocephalus approximatus (CRYOAP)</xsl:when>
                    <xsl:when test="./i6:value = '122120'">Cryptocephalus decemmaculatus (CRYODC)</xsl:when>
                    <xsl:when test="./i6:value = '122121'">Cryptocephalus quadripustulatus (CRYOQU)</xsl:when>
                    <xsl:when test="./i6:value = '122122'">Cryptococcus fagisuga (CRYCFA)</xsl:when>
                    <xsl:when test="./i6:value = '122123'">Cryptodiaporthe populea (CRYDPO)</xsl:when>
                    <xsl:when test="./i6:value = '122124'">Cryptolaemus montrouzieri (CRYEMO)</xsl:when>
                    <xsl:when test="./i6:value = '122125'">Cryptolestes ferrugineus (CRYLFE)</xsl:when>
                    <xsl:when test="./i6:value = '122126'">Cryptolestes turcicus (CRYLTU)</xsl:when>
                    <xsl:when test="./i6:value = '122127'">Cryptomphalus aspersus (HELXAS)</xsl:when>
                    <xsl:when test="./i6:value = '122128'">Cryptomyces maximus (KRMYMA)</xsl:when>
                    <xsl:when test="./i6:value = '122129'">Cryptomyzus galeopsidis (MYZLGA)</xsl:when>
                    <xsl:when test="./i6:value = '122130'">Cryptomyzus houghtonensis (CRYMHO)</xsl:when>
                    <xsl:when test="./i6:value = '122131'">Cryptomyzus korschelti (CRYMKO)</xsl:when>
                    <xsl:when test="./i6:value = '122132'">Cryptoneossa triangula (CNSSTR)</xsl:when>
                    <xsl:when test="./i6:value = '122133'">Cryptophagus acutangulus (CRYGAC)</xsl:when>
                    <xsl:when test="./i6:value = '122134'">Cryptophagus varus (CRYGVA)</xsl:when>
                    <xsl:when test="./i6:value = '122135'">Cryptophlebia peltastica (ARGPPE)</xsl:when>
                    <xsl:when test="./i6:value = '122136'">Cryptoptila immersana (CRTOIM)</xsl:when>
                    <xsl:when test="./i6:value = '122137'">Cryptorhynchus goniocnemis (CRYPGO)</xsl:when>
                    <xsl:when test="./i6:value = '122138'">Cryptosporella umbrina (CRSPUM)</xsl:when>
                    <xsl:when test="./i6:value = '122139'">Cryptosporella viticola (PHOPVI)</xsl:when>
                    <xsl:when test="./i6:value = '122140'">Cryptosporiopsis citricarpa (CYPTCP)</xsl:when>
                    <xsl:when test="./i6:value = '122141'">Cryptostroma corticale (CRPSCO)</xsl:when>
                    <xsl:when test="./i6:value = '122142'">Cryptotermes brevis (CRYRBR)</xsl:when>
                    <xsl:when test="./i6:value = '122143'">Cryptotermes primus (CRYRPR)</xsl:when>
                    <xsl:when test="./i6:value = '122144'">Cryptotermes secundus (CRYRSE)</xsl:when>
                    <xsl:when test="./i6:value = '122145'">Cryptothelea crameri (CRYTCR)</xsl:when>
                    <xsl:when test="./i6:value = '122146'">Cryptothelea variegata (CRYTVA)</xsl:when>
                    <xsl:when test="./i6:value = '122147'">Ctenarytaina bipartita (CTNRBI)</xsl:when>
                    <xsl:when test="./i6:value = '122148'">Ctenarytaina eucalypti (CTNREU)</xsl:when>
                    <xsl:when test="./i6:value = '122149'">Ctenarytaina spatulata (CTNRST)</xsl:when>
                    <xsl:when test="./i6:value = '122150'">Ctenicera aeripennis (CORMAE)</xsl:when>
                    <xsl:when test="./i6:value = '122151'">Ctenicera aeripennis destructor (CORMAD)</xsl:when>
                    <xsl:when test="./i6:value = '122152'">Ctenicera cylindriformis (CTENCY)</xsl:when>
                    <xsl:when test="./i6:value = '122153'">Ctenicera glauca (CTENGL)</xsl:when>
                    <xsl:when test="./i6:value = '122154'">Ctenicera lobata (CTENLO)</xsl:when>
                    <xsl:when test="./i6:value = '122155'">Ctenicera noxia (CORMNO)</xsl:when>
                    <xsl:when test="./i6:value = '122156'">Ctenicera pruinina (CTENPR)</xsl:when>
                    <xsl:when test="./i6:value = '122157'">Ctenoplusia vittata (CTNUVI)</xsl:when>
                    <xsl:when test="./i6:value = '122158'">Ctenopseustis herana (CTEOHE)</xsl:when>
                    <xsl:when test="./i6:value = '122159'">Ctenopseustis obliquana (CTEOOB)</xsl:when>
                    <xsl:when test="./i6:value = '122160'">Ctenopsyllus segnis (CTNPSE)</xsl:when>
                    <xsl:when test="./i6:value = '122161'">Cuclotogaster heterographus (CUCLHE)</xsl:when>
                    <xsl:when test="./i6:value = '122162'">Cucullia absinthii (CCULAB)</xsl:when>
                    <xsl:when test="./i6:value = '122163'">Cucullia artemisiae (CCULAR)</xsl:when>
                    <xsl:when test="./i6:value = '122164'">Cucullia lactucae (CCULLA)</xsl:when>
                    <xsl:when test="./i6:value = '122165'">Cucullia verbasci (CCULVE)</xsl:when>
                    <xsl:when test="./i6:value = '122166'">Cuculus canorus (CCLSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122167'">Cuculus poliocephalus (CCLSPO)</xsl:when>
                    <xsl:when test="./i6:value = '122168'">Cucurbitaria laburni (CUCBLA)</xsl:when>
                    <xsl:when test="./i6:value = '122169'">Cucurbitaria piceae (CUCBPI)</xsl:when>
                    <xsl:when test="./i6:value = '122170'">Cudonia circinans (CUDOCI)</xsl:when>
                    <xsl:when test="./i6:value = '122171'">Cudonia confusa (CUDOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122172'">Cudoniella acicularis (CUDLAC)</xsl:when>
                    <xsl:when test="./i6:value = '122173'">Cudoniella aquatica (CUDLAQ)</xsl:when>
                    <xsl:when test="./i6:value = '122174'">Culex annulirostris (CULXAN)</xsl:when>
                    <xsl:when test="./i6:value = '122175'">Culex pipiens pipiens (CULXPI)</xsl:when>
                    <xsl:when test="./i6:value = '122176'">Culex quinquefasciatus (CULXFA)</xsl:when>
                    <xsl:when test="./i6:value = '122177'">Culex sitiens (CULXSI)</xsl:when>
                    <xsl:when test="./i6:value = '122178'">Culex tarsalis (CULXTA)</xsl:when>
                    <xsl:when test="./i6:value = '122179'">Culicoides hollensis (CULICA)</xsl:when>
                    <xsl:when test="./i6:value = '122180'">Culicoides obsoletus (CULIOB)</xsl:when>
                    <xsl:when test="./i6:value = '122181'">Culicoides pulicaris (CULIPL)</xsl:when>
                    <xsl:when test="./i6:value = '122182'">Culiseta annulata (THEDAN)</xsl:when>
                    <xsl:when test="./i6:value = '122183'">Culiseta impatiens (THEDIM)</xsl:when>
                    <xsl:when test="./i6:value = '122184'">Culiseta incidens (THEDIN)</xsl:when>
                    <xsl:when test="./i6:value = '122185'">Culiseta melanura (CULSME)</xsl:when>
                    <xsl:when test="./i6:value = '122186'">Cumminsiella mirabilissima (CUMMMI)</xsl:when>
                    <xsl:when test="./i6:value = '122187'">Cupido minimus (CUPIMI)</xsl:when>
                    <xsl:when test="./i6:value = '122188'">Curculio auriger (CURCAU)</xsl:when>
                    <xsl:when test="./i6:value = '122189'">Curculio caryae (CURCCA)</xsl:when>
                    <xsl:when test="./i6:value = '122190'">Curculio dentipes (CURCDE)</xsl:when>
                    <xsl:when test="./i6:value = '122191'">Curculio elephas (CURCEL)</xsl:when>
                    <xsl:when test="./i6:value = '122192'">Curculio glandium (CURCGL)</xsl:when>
                    <xsl:when test="./i6:value = '122193'">Curculio neocorylus (CURCNE)</xsl:when>
                    <xsl:when test="./i6:value = '122194'">Curculio proboscidens (CURCPR)</xsl:when>
                    <xsl:when test="./i6:value = '122195'">Curculio rectus (CURCRE)</xsl:when>
                    <xsl:when test="./i6:value = '122196'">Curculio uniformis (CURCUN)</xsl:when>
                    <xsl:when test="./i6:value = '122197'">Curculio venosus (CURCVE)</xsl:when>
                    <xsl:when test="./i6:value = '122198'">Curtobacterium flaccumfaciens pv. betae (CORBBE)</xsl:when>
                    <xsl:when test="./i6:value = '122199'">Curtobacterium flaccumfaciens pv. flaccumfaciens (CORBFL)</xsl:when>
                    <xsl:when test="./i6:value = '122200'">Curtobacterium flaccumfaciens pv. oortii (CORBOR)</xsl:when>
                    <xsl:when test="./i6:value = '122201'">Curtobacterium flaccumfaciens pv. poinsettiae (CORBPO)</xsl:when>
                    <xsl:when test="./i6:value = '122202'">Curtonotus aulicus (AMARAU)</xsl:when>
                    <xsl:when test="./i6:value = '122203'">Curvularia clavata (CURVCL)</xsl:when>
                    <xsl:when test="./i6:value = '122204'">Curvularia trifolii (CURVTR)</xsl:when>
                    <xsl:when test="./i6:value = '122205'">Curvularia trifolii f. sp. gladioli (CURVTG)</xsl:when>
                    <xsl:when test="./i6:value = '122206'">Cuspicona simplex (CUSPSI)</xsl:when>
                    <xsl:when test="./i6:value = '122207'">Cuterebra cuniculi (CUTECU)</xsl:when>
                    <xsl:when test="./i6:value = '122208'">Cuterebra grisea (CUTEGR)</xsl:when>
                    <xsl:when test="./i6:value = '122209'">Cuterebra tenebrosa (CUTETE)</xsl:when>
                    <xsl:when test="./i6:value = '122210'">Cutilia soror (CUTISO)</xsl:when>
                    <xsl:when test="./i6:value = '122211'">Cyanea capillata (CYNECA)</xsl:when>
                    <xsl:when test="./i6:value = '122212'">Cyaniris semiargus (CYRSSE)</xsl:when>
                    <xsl:when test="./i6:value = '122213'">Cyanocitta cristata (CYNCCR)</xsl:when>
                    <xsl:when test="./i6:value = '122214'">Cyanopica cyanus (CYANCY)</xsl:when>
                    <xsl:when test="./i6:value = '122215'">Cyathus olla (CYATOL)</xsl:when>
                    <xsl:when test="./i6:value = '122216'">Cyathus stercoreus (CYATSR)</xsl:when>
                    <xsl:when test="./i6:value = '122217'">Cyathus striatus (CYATST)</xsl:when>
                    <xsl:when test="./i6:value = '122218'">Cybosia mesomella (CYBSME)</xsl:when>
                    <xsl:when test="./i6:value = '122219'">Cychrus caraboides (CYCHCA)</xsl:when>
                    <xsl:when test="./i6:value = '122220'">Cyclocephala borealis (CYCCBO)</xsl:when>
                    <xsl:when test="./i6:value = '122221'">Cyclocephala hirta (CYCCHI)</xsl:when>
                    <xsl:when test="./i6:value = '122222'">Cyclocephala immaculata (CYCCIM)</xsl:when>
                    <xsl:when test="./i6:value = '122223'">Cyclocephala lurida (CYCCLU)</xsl:when>
                    <xsl:when test="./i6:value = '122224'">Cyclocephala pasadenae (CYCCPA)</xsl:when>
                    <xsl:when test="./i6:value = '122225'">Cydalima perspectalis (DPHNPE)</xsl:when>
                    <xsl:when test="./i6:value = '122226'">Cydia anaranjada (LASPAN)</xsl:when>
                    <xsl:when test="./i6:value = '122227'">Cydia bracteatana (LASPBR)</xsl:when>
                    <xsl:when test="./i6:value = '122228'">Cydia caryana (LASPCA)</xsl:when>
                    <xsl:when test="./i6:value = '122229'">Cydia cosmophorana (LASPCS)</xsl:when>
                    <xsl:when test="./i6:value = '122230'">Cydia delineana (CYDIDE)</xsl:when>
                    <xsl:when test="./i6:value = '122231'">Cydia fabivora (LASPFA)</xsl:when>
                    <xsl:when test="./i6:value = '122232'">Cydia fagiglandana (LASPGR)</xsl:when>
                    <xsl:when test="./i6:value = '122233'">Cydia ingens (LASPIN)</xsl:when>
                    <xsl:when test="./i6:value = '122234'">Cydia inopinata (CYDIIN)</xsl:when>
                    <xsl:when test="./i6:value = '122235'">Cydia latiferreana (MELSLA)</xsl:when>
                    <xsl:when test="./i6:value = '122236'">Cydia leucostoma (CYDILE)</xsl:when>
                    <xsl:when test="./i6:value = '122237'">Cydia packardi (LASPPA)</xsl:when>
                    <xsl:when test="./i6:value = '122238'">Cydia piperana (LASPPI)</xsl:when>
                    <xsl:when test="./i6:value = '122239'">Cydia prunivora (LASPPR)</xsl:when>
                    <xsl:when test="./i6:value = '122240'">Cydia sinana (CYDISI)</xsl:when>
                    <xsl:when test="./i6:value = '122241'">Cydia splendana (LASPSL)</xsl:when>
                    <xsl:when test="./i6:value = '122242'">Cydia toreuta (LASPTO)</xsl:when>
                    <xsl:when test="./i6:value = '122243'">Cydia zebeana (LASPZE)</xsl:when>
                    <xsl:when test="./i6:value = '122244'">Cygnus olor (CYGNOL)</xsl:when>
                    <xsl:when test="./i6:value = '122245'">Cylas brunneus (CYLABR)</xsl:when>
                    <xsl:when test="./i6:value = '122246'">Cylas femoralis (CYLAFM)</xsl:when>
                    <xsl:when test="./i6:value = '122247'">Cylas formicarius elegantulus (CYLAFE)</xsl:when>
                    <xsl:when test="./i6:value = '122248'">Cylas puncticollis (CYLAPU)</xsl:when>
                    <xsl:when test="./i6:value = '122249'">Cylindrocarpon vaginae (CYLCVG)</xsl:when>
                    <xsl:when test="./i6:value = '122250'">Cylindrocladium buxicola (CYLDBU)</xsl:when>
                    <xsl:when test="./i6:value = '122251'">Cylindrocladium camelliae (CYLDCA)</xsl:when>
                    <xsl:when test="./i6:value = '122252'">Cylindrocladium clavatum (CYLDCL)</xsl:when>
                    <xsl:when test="./i6:value = '122253'">Cylindrocladium pteridis (CYLDPT)</xsl:when>
                    <xsl:when test="./i6:value = '122254'">Cylindrocladium scoparium var braziliensis (CYLDSB)</xsl:when>
                    <xsl:when test="./i6:value = '122255'">Cylindrocladium spathiphylli (CYLDSQ)</xsl:when>
                    <xsl:when test="./i6:value = '122256'">Cylindrocopturus adspersus (CYLPAD)</xsl:when>
                    <xsl:when test="./i6:value = '122257'">Cylindrocopturus furnissi (CYLPFU)</xsl:when>
                    <xsl:when test="./i6:value = '122258'">Cylindroiulus britannicus (CYLIBR)</xsl:when>
                    <xsl:when test="./i6:value = '122259'">Cylindroiulus londinensis (CYLILO)</xsl:when>
                    <xsl:when test="./i6:value = '122260'">Cylindrosporium castaneae (CYLSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122261'">Cylindrosporium orni (CYLSOR)</xsl:when>
                    <xsl:when test="./i6:value = '122262'">Cymadothea trifolii (CYMATR)</xsl:when>
                    <xsl:when test="./i6:value = '122263'">Cymatophorima diluta (POLCDI)</xsl:when>
                    <xsl:when test="./i6:value = '122264'">Cynaeus angustus (CYNAAN)</xsl:when>
                    <xsl:when test="./i6:value = '122265'">Cynips divisa (DIPLDI)</xsl:when>
                    <xsl:when test="./i6:value = '122266'">Cynips quercusfolii (CYNIQU)</xsl:when>
                    <xsl:when test="./i6:value = '122267'">Cynocephalus volans (CYNPVO)</xsl:when>
                    <xsl:when test="./i6:value = '122268'">Cynoglossus browni (CYNOBR)</xsl:when>
                    <xsl:when test="./i6:value = '122269'">Cynoglossus senegalensis (CYNOSE)</xsl:when>
                    <xsl:when test="./i6:value = '122270'">Cynomys ludovicianus (KYMSLU)</xsl:when>
                    <xsl:when test="./i6:value = '122271'">Cynthia cardui (VANSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122272'">Cyphoderris monstrosa (CYDRMO)</xsl:when>
                    <xsl:when test="./i6:value = '122273'">Cypridopsis vidua (CYPRVI)</xsl:when>
                    <xsl:when test="./i6:value = '122274'">Cyprinodon variegatus (CYPIVA)</xsl:when>
                    <xsl:when test="./i6:value = '122275'">Cyprinus carpio (CYPNCA)</xsl:when>
                    <xsl:when test="./i6:value = '122276'">Cyprinus rex-cyprinorum (CYPNRC)</xsl:when>
                    <xsl:when test="./i6:value = '122277'">Cyprinus specularis (CYPNSE)</xsl:when>
                    <xsl:when test="./i6:value = '122278'">Cyrtacanthacris tatarica (CYRHTA)</xsl:when>
                    <xsl:when test="./i6:value = '122279'">Cyrtepistomus castaneus (CYRPCA)</xsl:when>
                    <xsl:when test="./i6:value = '122280'">Cyrtobagous salviniae (CYRBSA)</xsl:when>
                    <xsl:when test="./i6:value = '122281'">Cyrtomenus bergi (CYRTBE)</xsl:when>
                    <xsl:when test="./i6:value = '122282'">Cyrtopeltis modesta (CYROMO)</xsl:when>
                    <xsl:when test="./i6:value = '122283'">Cyrtopeltis notatus (ENGYNO)</xsl:when>
                    <xsl:when test="./i6:value = '122284'">Cyrtotrachelus longimanus (CYRRLO)</xsl:when>
                    <xsl:when test="./i6:value = '122285'">Cystoderma carcharias (CSTDCA)</xsl:when>
                    <xsl:when test="./i6:value = '122286'">Cystolepiota bucknallii (CYSLBU)</xsl:when>
                    <xsl:when test="./i6:value = '122287'">Cytidia salicina (CYTISA)</xsl:when>
                    <xsl:when test="./i6:value = '122288'">Cytodites nudus (CYTDNU)</xsl:when>
                    <xsl:when test="./i6:value = '122289'">Cytosphaera mangiferae (CYSHMN)</xsl:when>
                    <xsl:when test="./i6:value = '122290'">Cytospora corylicola (CYTOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122291'">Cytospora eucalypticola (CYTOEU)</xsl:when>
                    <xsl:when test="./i6:value = '122292'">Cytospora sacchari (CYTOSA)</xsl:when>
                    <xsl:when test="./i6:value = '122293'">Cyttaria gunnii (CYTTGU)</xsl:when>
                    <xsl:when test="./i6:value = '122294'">Dacrymyces stillatus (DCRYST)</xsl:when>
                    <xsl:when test="./i6:value = '122295'">Dactylopius ceylonicus (DACLIN)</xsl:when>
                    <xsl:when test="./i6:value = '122296'">Dactylopius coccus (DACLCC)</xsl:when>
                    <xsl:when test="./i6:value = '122297'">Dactylopius opuntiae (DACLOP)</xsl:when>
                    <xsl:when test="./i6:value = '122298'">Dactylopius pini (DACLPI)</xsl:when>
                    <xsl:when test="./i6:value = '122299'">Dactylopius tomentosus (DACLTO)</xsl:when>
                    <xsl:when test="./i6:value = '122300'">Dacus bivittatus (DACUBI)</xsl:when>
                    <xsl:when test="./i6:value = '122301'">Dacus ciliatus (DACUCI)</xsl:when>
                    <xsl:when test="./i6:value = '122302'">Dacus frontalis (DACUFR)</xsl:when>
                    <xsl:when test="./i6:value = '122303'">Dacus halfordiae (DACUHA)</xsl:when>
                    <xsl:when test="./i6:value = '122304'">Dacus humeralis (DACUHU)</xsl:when>
                    <xsl:when test="./i6:value = '122305'">Dacus newmani (DACUNE)</xsl:when>
                    <xsl:when test="./i6:value = '122306'">Daedalea quercina (DAEDQU)</xsl:when>
                    <xsl:when test="./i6:value = '122307'">Dalbulus maidis (DALBMA)</xsl:when>
                    <xsl:when test="./i6:value = '122308'">Daldinia concentrica (DALDCO)</xsl:when>
                    <xsl:when test="./i6:value = '122309'">Daldinia eschscholzii (DALDES)</xsl:when>
                    <xsl:when test="./i6:value = '122310'">Dalopius lateralis (DOLOLA)</xsl:when>
                    <xsl:when test="./i6:value = '122311'">Damalinia equi (DAMLEQ)</xsl:when>
                    <xsl:when test="./i6:value = '122312'">Damalinia ovis (DAMLOV)</xsl:when>
                    <xsl:when test="./i6:value = '122313'">Danaus chrysippus (DANACP)</xsl:when>
                    <xsl:when test="./i6:value = '122314'">Danaus eresimus (DANAER)</xsl:when>
                    <xsl:when test="./i6:value = '122315'">Danaus gilippus (DANAGI)</xsl:when>
                    <xsl:when test="./i6:value = '122316'">Danaus plexippus (DANAPL)</xsl:when>
                    <xsl:when test="./i6:value = '122317'">Danio albolineatus (DANIAL)</xsl:when>
                    <xsl:when test="./i6:value = '122318'">Daphnis nerii (DEILNE)</xsl:when>
                    <xsl:when test="./i6:value = '122319'">Darapsa choerilus (AMPACH)</xsl:when>
                    <xsl:when test="./i6:value = '122320'">Darapsa myron (AMPLMY)</xsl:when>
                    <xsl:when test="./i6:value = '122321'">Darapsa versicolor (DARAVE)</xsl:when>
                    <xsl:when test="./i6:value = '122322'">Dasineura alopecuri (DASYAO)</xsl:when>
                    <xsl:when test="./i6:value = '122323'">Dasineura alpestris (DASYAP)</xsl:when>
                    <xsl:when test="./i6:value = '122324'">Dasineura balsamicola (DASYBA)</xsl:when>
                    <xsl:when test="./i6:value = '122325'">Dasineura brassicae (DASYBR)</xsl:when>
                    <xsl:when test="./i6:value = '122326'">Dasineura citri (DASYCI)</xsl:when>
                    <xsl:when test="./i6:value = '122327'">Dasineura crataegi (DASYCR)</xsl:when>
                    <xsl:when test="./i6:value = '122328'">Dasineura dactylidis (DASYDA)</xsl:when>
                    <xsl:when test="./i6:value = '122329'">Dasineura gentneri (DASYGE)</xsl:when>
                    <xsl:when test="./i6:value = '122330'">Dasineura gleditchiae (DASYGL)</xsl:when>
                    <xsl:when test="./i6:value = '122331'">Dasineura laricis (DASYLA)</xsl:when>
                    <xsl:when test="./i6:value = '122332'">Dasineura leguminicola (DASYLE)</xsl:when>
                    <xsl:when test="./i6:value = '122333'">Dasineura lini (DASYLI)</xsl:when>
                    <xsl:when test="./i6:value = '122334'">Dasineura mali (DASYMA)</xsl:when>
                    <xsl:when test="./i6:value = '122335'">Dasineura medicaginis (DASYME)</xsl:when>
                    <xsl:when test="./i6:value = '122336'">Dasineura nipponica (DASYNI)</xsl:when>
                    <xsl:when test="./i6:value = '122337'">Dasineura oleae (DASYOL)</xsl:when>
                    <xsl:when test="./i6:value = '122338'">Dasineura oxycoccana (DASYVA)</xsl:when>
                    <xsl:when test="./i6:value = '122339'">Dasineura plicatrix (DASYPL)</xsl:when>
                    <xsl:when test="./i6:value = '122340'">Dasineura raphanistri (DASYRP)</xsl:when>
                    <xsl:when test="./i6:value = '122341'">Dasineura rhodophaga (DASYRH)</xsl:when>
                    <xsl:when test="./i6:value = '122342'">Dasineura ribis (DASYRS)</xsl:when>
                    <xsl:when test="./i6:value = '122343'">Dasineura semenivora (DASYSE)</xsl:when>
                    <xsl:when test="./i6:value = '122344'">Dasineura strobiloides (RHABST)</xsl:when>
                    <xsl:when test="./i6:value = '122345'">Dasineura swainei (RHABSW)</xsl:when>
                    <xsl:when test="./i6:value = '122346'">Dasineura terminalis (RHABTE)</xsl:when>
                    <xsl:when test="./i6:value = '122347'">Dasineura tetensi (DASYTE)</xsl:when>
                    <xsl:when test="./i6:value = '122348'">Dasineura trifolii (DASYTR)</xsl:when>
                    <xsl:when test="./i6:value = '122349'">Dasineura viciae (DASYVC)</xsl:when>
                    <xsl:when test="./i6:value = '122350'">Dasyatis pastinaca (DSYAPA)</xsl:when>
                    <xsl:when test="./i6:value = '122351'">Dasychira albodentata (DASCAL)</xsl:when>
                    <xsl:when test="./i6:value = '122352'">Dasychira selenitica (DASCSE)</xsl:when>
                    <xsl:when test="./i6:value = '122353'">Dasynus fuscescens (DASNFU)</xsl:when>
                    <xsl:when test="./i6:value = '122354'">Dasynus piperis (DASNPI)</xsl:when>
                    <xsl:when test="./i6:value = '122355'">Dasypus novemcinctus (DSPSNO)</xsl:when>
                    <xsl:when test="./i6:value = '122356'">Datronia mollis (DATRMO)</xsl:when>
                    <xsl:when test="./i6:value = '122357'">Davidiella allii-cepae (CLADAC)</xsl:when>
                    <xsl:when test="./i6:value = '122358'">Davidiella dianthi (DIDMDI)</xsl:when>
                    <xsl:when test="./i6:value = '122359'">Davidiella macrospora (MYCOMA)</xsl:when>
                    <xsl:when test="./i6:value = '122360'">Davidiella tassiana (MYCOTA)</xsl:when>
                    <xsl:when test="./i6:value = '122361'">Deanolis sublimbalis (NOORAL)</xsl:when>
                    <xsl:when test="./i6:value = '122362'">Debus emarginatus (DEBUEM)</xsl:when>
                    <xsl:when test="./i6:value = '122363'">Dectes texanus (DECSTE)</xsl:when>
                    <xsl:when test="./i6:value = '122364'">Deightoniella torulosa (DEIGTO)</xsl:when>
                    <xsl:when test="./i6:value = '122365'">Deilephila elpenor (DEILEL)</xsl:when>
                    <xsl:when test="./i6:value = '122366'">Deinocerites cancer (DEINCA)</xsl:when>
                    <xsl:when test="./i6:value = '122367'">Delia arambourgi (HYLEAR)</xsl:when>
                    <xsl:when test="./i6:value = '122368'">Delia brunnescens (HYLEBN)</xsl:when>
                    <xsl:when test="./i6:value = '122369'">Delia echinata (HYLEEC)</xsl:when>
                    <xsl:when test="./i6:value = '122370'">Delia flavibasis (DELIFB)</xsl:when>
                    <xsl:when test="./i6:value = '122371'">Delia florilega (HYLEFG)</xsl:when>
                    <xsl:when test="./i6:value = '122372'">Delia hirticrura (DELIHI)</xsl:when>
                    <xsl:when test="./i6:value = '122373'">Delia planipalpis (HYLEPN)</xsl:when>
                    <xsl:when test="./i6:value = '122374'">Delia platura (HYLEPL)</xsl:when>
                    <xsl:when test="./i6:value = '122375'">Delia radicum (HYLERA)</xsl:when>
                    <xsl:when test="./i6:value = '122376'">Delia urbana (HYLEUR)</xsl:when>
                    <xsl:when test="./i6:value = '122377'">Delichon urbicum (DLCHUR)</xsl:when>
                    <xsl:when test="./i6:value = '122378'">Deloyala guttata (DELOGU)</xsl:when>
                    <xsl:when test="./i6:value = '122379'">Delphinapterus leucas (DLPTLE)</xsl:when>
                    <xsl:when test="./i6:value = '122380'">Delphiniobium junackianum (DELPJU)</xsl:when>
                    <xsl:when test="./i6:value = '122381'">Delphinus delphis (DLPNDE)</xsl:when>
                    <xsl:when test="./i6:value = '122382'">Deltocephalus oryzae (DELTOR)</xsl:when>
                    <xsl:when test="./i6:value = '122383'">Demodex bovis (DEMOBO)</xsl:when>
                    <xsl:when test="./i6:value = '122384'">Demodex canis (DEMOCN)</xsl:when>
                    <xsl:when test="./i6:value = '122385'">Demodex caprae (DEMOCP)</xsl:when>
                    <xsl:when test="./i6:value = '122386'">Demodex cati (DEMOCT)</xsl:when>
                    <xsl:when test="./i6:value = '122387'">Demodex folliculorum (DEMOFO)</xsl:when>
                    <xsl:when test="./i6:value = '122388'">Demodex ovis (DEMOOV)</xsl:when>
                    <xsl:when test="./i6:value = '122389'">Dendroaspis polylepis (DNDAPO)</xsl:when>
                    <xsl:when test="./i6:value = '122390'">Dendroaspis viridis (DNDAVI)</xsl:when>
                    <xsl:when test="./i6:value = '122391'">Dendrocopos auriceps (DENPAC)</xsl:when>
                    <xsl:when test="./i6:value = '122392'">Dendrocopos canicapillus (DENPAT)</xsl:when>
                    <xsl:when test="./i6:value = '122393'">Dendrocopos himalayensis (DENPHI)</xsl:when>
                    <xsl:when test="./i6:value = '122394'">Dendrocopos kizuki (DENPKI)</xsl:when>
                    <xsl:when test="./i6:value = '122395'">Dendrocopos major (DENPMA)</xsl:when>
                    <xsl:when test="./i6:value = '122396'">Dendrocopos medius (DENPME)</xsl:when>
                    <xsl:when test="./i6:value = '122397'">Dendrocopos minor (DENPMI)</xsl:when>
                    <xsl:when test="./i6:value = '122398'">Dendroctonus adjunctus (DENCAD)</xsl:when>
                    <xsl:when test="./i6:value = '122399'">Dendroctonus approximatus (DENCAP)</xsl:when>
                    <xsl:when test="./i6:value = '122400'">Dendroctonus brevicomis (DENCBR)</xsl:when>
                    <xsl:when test="./i6:value = '122401'">Dendroctonus frontalis (DENCFR)</xsl:when>
                    <xsl:when test="./i6:value = '122402'">Dendroctonus jeffreyi (DENCJE)</xsl:when>
                    <xsl:when test="./i6:value = '122403'">Dendroctonus mesoamericanus (DENCMS)</xsl:when>
                    <xsl:when test="./i6:value = '122404'">Dendroctonus mexicanus (DENCME)</xsl:when>
                    <xsl:when test="./i6:value = '122405'">Dendroctonus micans (DENCMI)</xsl:when>
                    <xsl:when test="./i6:value = '122406'">Dendroctonus murrayanae (DENCMU)</xsl:when>
                    <xsl:when test="./i6:value = '122407'">Dendroctonus parallelocollis (DENCPA)</xsl:when>
                    <xsl:when test="./i6:value = '122408'">Dendroctonus ponderosae (DENCPO)</xsl:when>
                    <xsl:when test="./i6:value = '122409'">Dendroctonus pseudotsugae (DENCPS)</xsl:when>
                    <xsl:when test="./i6:value = '122410'">Dendroctonus punctatus (DENCPU)</xsl:when>
                    <xsl:when test="./i6:value = '122411'">Dendroctonus rufipennis (DENCRU)</xsl:when>
                    <xsl:when test="./i6:value = '122412'">Dendroctonus simplex (DENCSI)</xsl:when>
                    <xsl:when test="./i6:value = '122413'">Dendroctonus terebrans (DENCTE)</xsl:when>
                    <xsl:when test="./i6:value = '122414'">Dendroctonus valens (DENCVA)</xsl:when>
                    <xsl:when test="./i6:value = '122415'">Dendroica coronata (DNDCCO)</xsl:when>
                    <xsl:when test="./i6:value = '122416'">Dendrolimus houi (DENDHO)</xsl:when>
                    <xsl:when test="./i6:value = '122417'">Dendrolimus kikuchii (DENDKK)</xsl:when>
                    <xsl:when test="./i6:value = '122418'">Dendrolimus punctatus (DENDPU)</xsl:when>
                    <xsl:when test="./i6:value = '122419'">Dendrolimus sibiricus (DENDSI)</xsl:when>
                    <xsl:when test="./i6:value = '122420'">Dendrolimus spectabilis (DENDSC)</xsl:when>
                    <xsl:when test="./i6:value = '122421'">Dendrolimus superans (DENDSU)</xsl:when>
                    <xsl:when test="./i6:value = '122422'">Dendrothrips ornatus (DENOOR)</xsl:when>
                    <xsl:when test="./i6:value = '122423'">Dentalium entalis (DENTEN)</xsl:when>
                    <xsl:when test="./i6:value = '122424'">Denticularia mangiferae (DNTIMA)</xsl:when>
                    <xsl:when test="./i6:value = '122425'">Deois flavopicta (TOMAFL)</xsl:when>
                    <xsl:when test="./i6:value = '122426'">Deporaus marginatus (DEPOMA)</xsl:when>
                    <xsl:when test="./i6:value = '122427'">Depressaria daucella (DEPRDA)</xsl:when>
                    <xsl:when test="./i6:value = '122428'">Depressaria depressana (DEPRDE)</xsl:when>
                    <xsl:when test="./i6:value = '122429'">Depressaria erinaceella (DEPRER)</xsl:when>
                    <xsl:when test="./i6:value = '122430'">Depressaria pastinacella (DEPRHE)</xsl:when>
                    <xsl:when test="./i6:value = '122431'">Deraeocoris signatus (DERASI)</xsl:when>
                    <xsl:when test="./i6:value = '122432'">Derelomus piriformis (DEREPI)</xsl:when>
                    <xsl:when test="./i6:value = '122433'">Dermacentor albipictus (DERCAL)</xsl:when>
                    <xsl:when test="./i6:value = '122434'">Dermacentor andersoni (DERCAN)</xsl:when>
                    <xsl:when test="./i6:value = '122435'">Dermacentor occidentalis (DERCOC)</xsl:when>
                    <xsl:when test="./i6:value = '122436'">Dermacentor pictus (DERCRE)</xsl:when>
                    <xsl:when test="./i6:value = '122437'">Dermacentor variabilis (DERCVA)</xsl:when>
                    <xsl:when test="./i6:value = '122438'">Dermanyssus gallinae (DERYGA)</xsl:when>
                    <xsl:when test="./i6:value = '122439'">Dermatobia hominis (DEMTHO)</xsl:when>
                    <xsl:when test="./i6:value = '122440'">Dermatophagoides farinae (DERPFA)</xsl:when>
                    <xsl:when test="./i6:value = '122441'">Dermatophagoides pteronyssinus (DERPPT)</xsl:when>
                    <xsl:when test="./i6:value = '122442'">Dermatosorus eleocharidis (DRMSEL)</xsl:when>
                    <xsl:when test="./i6:value = '122443'">Dermestes ater (DERMAT)</xsl:when>
                    <xsl:when test="./i6:value = '122444'">Dermestes frischi (DERMFR)</xsl:when>
                    <xsl:when test="./i6:value = '122445'">Dermestes lardarius (DERMLA)</xsl:when>
                    <xsl:when test="./i6:value = '122446'">Dermestes maculatus (DERMMA)</xsl:when>
                    <xsl:when test="./i6:value = '122447'">Dermochelys coriacea (DRMOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122448'">Dermolepida albohirtum (DERLAL)</xsl:when>
                    <xsl:when test="./i6:value = '122449'">Deroceras laeve (DEROLA)</xsl:when>
                    <xsl:when test="./i6:value = '122450'">Deroceras panormitanum (DEROPA)</xsl:when>
                    <xsl:when test="./i6:value = '122451'">Derocrepis erythropus (DERRER)</xsl:when>
                    <xsl:when test="./i6:value = '122452'">Desiantha caudata (DESICA)</xsl:when>
                    <xsl:when test="./i6:value = '122453'">Desiantha diversipes (DESIDI)</xsl:when>
                    <xsl:when test="./i6:value = '122454'">Desmoris fulvus (SMICFU)</xsl:when>
                    <xsl:when test="./i6:value = '122455'">Desmoris sordidus (SMICSO)</xsl:when>
                    <xsl:when test="./i6:value = '122456'">Desulfovibrio desulfuricans (DESUDE)</xsl:when>
                    <xsl:when test="./i6:value = '122457'">Deudorix dariaves (VIRADA)</xsl:when>
                    <xsl:when test="./i6:value = '122458'">Deudorix dinochares (DEUDDI)</xsl:when>
                    <xsl:when test="./i6:value = '122459'">Deudorix isocrates (VIRAIS)</xsl:when>
                    <xsl:when test="./i6:value = '122460'">Deudorix livia (VIRALI)</xsl:when>
                    <xsl:when test="./i6:value = '122461'">Deudorix lorisona (VIRABI)</xsl:when>
                    <xsl:when test="./i6:value = '122462'">Diabrotica balteata (DIABBA)</xsl:when>
                    <xsl:when test="./i6:value = '122463'">Diabrotica barberi (DIABLO)</xsl:when>
                    <xsl:when test="./i6:value = '122464'">Diabrotica graminea (DIABGR)</xsl:when>
                    <xsl:when test="./i6:value = '122465'">Diabrotica sinuata (DIABME)</xsl:when>
                    <xsl:when test="./i6:value = '122466'">Diabrotica undecimpunctata howardi (DIABUH)</xsl:when>
                    <xsl:when test="./i6:value = '122467'">Diabrotica undecimpunctata undecimpunctata (DIABUN)</xsl:when>
                    <xsl:when test="./i6:value = '122468'">Diabrotica virgifera virgifera (DIABVI)</xsl:when>
                    <xsl:when test="./i6:value = '122469'">Diabrotica virgifera zeae (DIABVZ)</xsl:when>
                    <xsl:when test="./i6:value = '122470'">Diachasmimorpha longicaudata (OPIULO)</xsl:when>
                    <xsl:when test="./i6:value = '122471'">Diachora erebia (DIACER)</xsl:when>
                    <xsl:when test="./i6:value = '122472'">Diachora onobrychidis (DIACOB)</xsl:when>
                    <xsl:when test="./i6:value = '122473'">Diachus auratus (DIAUAU)</xsl:when>
                    <xsl:when test="./i6:value = '122474'">Diacrisia pteridis (DIAIPT)</xsl:when>
                    <xsl:when test="./i6:value = '122475'">Diactor bilineatus (DACOBI)</xsl:when>
                    <xsl:when test="./i6:value = '122476'">Dialeurodes citri (DIALCI)</xsl:when>
                    <xsl:when test="./i6:value = '122477'">Dialeuropora decempuncta (DALPDE)</xsl:when>
                    <xsl:when test="./i6:value = '122478'">Diamphidia simplex (CLAOSI)</xsl:when>
                    <xsl:when test="./i6:value = '122479'">Diaphania hyalinata (DPHNHY)</xsl:when>
                    <xsl:when test="./i6:value = '122480'">Diaphania indica (DPHNIN)</xsl:when>
                    <xsl:when test="./i6:value = '122481'">Diaphania nitidalis (DPHNNI)</xsl:when>
                    <xsl:when test="./i6:value = '122482'">Diaphania pyloalis (DPHNPY)</xsl:when>
                    <xsl:when test="./i6:value = '122483'">Diaphnocoris chlorionis (DPHCCH)</xsl:when>
                    <xsl:when test="./i6:value = '122484'">Diaphnocoris provancheri (ORTTTR)</xsl:when>
                    <xsl:when test="./i6:value = '122485'">Diaphorina citri (DIAACI)</xsl:when>
                    <xsl:when test="./i6:value = '122486'">Diaporthe ambigua (DIAPAM)</xsl:when>
                    <xsl:when test="./i6:value = '122487'">Diaporthe aspalathi (DIAPAS)</xsl:when>
                    <xsl:when test="./i6:value = '122488'">Diaporthe batatas (DIAPPB)</xsl:when>
                    <xsl:when test="./i6:value = '122489'">Diaporthe caulivora (DIAPPC)</xsl:when>
                    <xsl:when test="./i6:value = '122490'">Diaporthe cinerescens (PHOPCI)</xsl:when>
                    <xsl:when test="./i6:value = '122491'">Diaporthe citri (DIAPCI)</xsl:when>
                    <xsl:when test="./i6:value = '122492'">Diaporthe eres (DIAPER)</xsl:when>
                    <xsl:when test="./i6:value = '122493'">Diaporthe helianthi (DIAPHE)</xsl:when>
                    <xsl:when test="./i6:value = '122494'">Diaporthe melonis (DIAPML)</xsl:when>
                    <xsl:when test="./i6:value = '122495'">Diaporthe nomurai (DIAPNO)</xsl:when>
                    <xsl:when test="./i6:value = '122496'">Diaporthe phaseolorum (DIAPPH)</xsl:when>
                    <xsl:when test="./i6:value = '122497'">Diaporthe phaseolorum var. sojae (DIAPPS)</xsl:when>
                    <xsl:when test="./i6:value = '122498'">Diaporthe sclerotioides (PHOPSC)</xsl:when>
                    <xsl:when test="./i6:value = '122499'">Diaporthe vaccinii (DIAPVA)</xsl:when>
                    <xsl:when test="./i6:value = '122500'">Diaporthe woodii (DIAPWO)</xsl:when>
                    <xsl:when test="./i6:value = '122501'">Diaprepes abbreviatus (DPREAB)</xsl:when>
                    <xsl:when test="./i6:value = '122502'">Diarsia mendica (DIRSME)</xsl:when>
                    <xsl:when test="./i6:value = '122503'">Diarthrothrips coffeae (DTHOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122504'">Diaspidiotus ancylus (DIAOAN)</xsl:when>
                    <xsl:when test="./i6:value = '122505'">Diaspidiotus degeneratus (ABGRDE)</xsl:when>
                    <xsl:when test="./i6:value = '122506'">Diaspis boisduvalii (DIASBO)</xsl:when>
                    <xsl:when test="./i6:value = '122507'">Diaspis echinocacti (DIASEC)</xsl:when>
                    <xsl:when test="./i6:value = '122508'">Diastrophus rubi (DISRRU)</xsl:when>
                    <xsl:when test="./i6:value = '122509'">Diatraea centrella (DIATCE)</xsl:when>
                    <xsl:when test="./i6:value = '122510'">Diatraea grandiosella (DIATGR)</xsl:when>
                    <xsl:when test="./i6:value = '122511'">Diatraea lineolata (DIATLI)</xsl:when>
                    <xsl:when test="./i6:value = '122512'">Diatraea saccharalis (DIATSA)</xsl:when>
                    <xsl:when test="./i6:value = '122513'">Dicerca divaricata (DICCDI)</xsl:when>
                    <xsl:when test="./i6:value = '122514'">Dicerca tenebrosa (DICCTE)</xsl:when>
                    <xsl:when test="./i6:value = '122515'">Diceros bicornis (DKRSBI)</xsl:when>
                    <xsl:when test="./i6:value = '122516'">Dichelonycha backi (DICEBA)</xsl:when>
                    <xsl:when test="./i6:value = '122517'">Dichelops furcatus (DICLFU)</xsl:when>
                    <xsl:when test="./i6:value = '122518'">Dichocrocis crocodora (DICHCR)</xsl:when>
                    <xsl:when test="./i6:value = '122519'">Dichocrocis punctiferalis (DICHPU)</xsl:when>
                    <xsl:when test="./i6:value = '122520'">Dichomeris alacella (DICMAL)</xsl:when>
                    <xsl:when test="./i6:value = '122521'">Dichomeris eridantis (DICMER)</xsl:when>
                    <xsl:when test="./i6:value = '122522'">Dichomeris ianthes (DICMIA)</xsl:when>
                    <xsl:when test="./i6:value = '122523'">Dichomeris ligulella (DICMLI)</xsl:when>
                    <xsl:when test="./i6:value = '122524'">Dichomeris marginella (DICMMA)</xsl:when>
                    <xsl:when test="./i6:value = '122525'">Dichomeris ustalella (DICMUS)</xsl:when>
                    <xsl:when test="./i6:value = '122526'">Dichonia aprilina (DCHNAP)</xsl:when>
                    <xsl:when test="./i6:value = '122527'">Dichromothrips corbetti (ANAPCO)</xsl:when>
                    <xsl:when test="./i6:value = '122528'">Dichrorampha petiverella (LASPDO)</xsl:when>
                    <xsl:when test="./i6:value = '122529'">Dickeya chrysanthemi (ERWICH)</xsl:when>
                    <xsl:when test="./i6:value = '122530'">Dickeya chrysanthemi pv. chrysanthemi (DICKCC)</xsl:when>
                    <xsl:when test="./i6:value = '122531'">Dickeya chrysanthemi pv. parthenii (DICKCP)</xsl:when>
                    <xsl:when test="./i6:value = '122532'">Dickeya dadantii subsp. dadantii (DICKDA)</xsl:when>
                    <xsl:when test="./i6:value = '122533'">Dickeya dadantii subsp. dieffenbachiae (ERWICF)</xsl:when>
                    <xsl:when test="./i6:value = '122534'">Dickeya dianthicola (ERWICD)</xsl:when>
                    <xsl:when test="./i6:value = '122535'">Dickeya paradisiaca (DICKPA)</xsl:when>
                    <xsl:when test="./i6:value = '122536'">Dickeya zeae (ERWIZE)</xsl:when>
                    <xsl:when test="./i6:value = '122537'">Dicladispa armigera (HISPAR)</xsl:when>
                    <xsl:when test="./i6:value = '122538'">Dicologlossa cuneata (DCLGCU)</xsl:when>
                    <xsl:when test="./i6:value = '122539'">Diconocoris hewetti (DICOHE)</xsl:when>
                    <xsl:when test="./i6:value = '122540'">dicotyledonous weeds (3DICOT)</xsl:when>
                    <xsl:when test="./i6:value = '122541'">Dicranocephalus marginatus (DCRCMA)</xsl:when>
                    <xsl:when test="./i6:value = '122542'">Dicranolaius bellulus (DICABE)</xsl:when>
                    <xsl:when test="./i6:value = '122543'">Dicrurus adsimilis (DCRRAD)</xsl:when>
                    <xsl:when test="./i6:value = '122544'">Dictyophora duplicata (DTYPDU)</xsl:when>
                    <xsl:when test="./i6:value = '122545'">Dictyoploca japonica (DICYJA)</xsl:when>
                    <xsl:when test="./i6:value = '122546'">Didacus vertebratus (DIDAVE)</xsl:when>
                    <xsl:when test="./i6:value = '122547'">Didelphis virginiana (DIDEVI)</xsl:when>
                    <xsl:when test="./i6:value = '122548'">Didymascella thujina (DIDSTH)</xsl:when>
                    <xsl:when test="./i6:value = '122549'">Didymella adianticola (PHOMAD)</xsl:when>
                    <xsl:when test="./i6:value = '122550'">Didymella applanata (DIDYAP)</xsl:when>
                    <xsl:when test="./i6:value = '122551'">Didymella arcuata (SEPTCA)</xsl:when>
                    <xsl:when test="./i6:value = '122552'">Didymella exitialis (SPHECE)</xsl:when>
                    <xsl:when test="./i6:value = '122553'">Didymella festucae (DIDYFE)</xsl:when>
                    <xsl:when test="./i6:value = '122554'">Didymella lycopersici (DIDYLY)</xsl:when>
                    <xsl:when test="./i6:value = '122555'">Didymella pisi (ASCOPI)</xsl:when>
                    <xsl:when test="./i6:value = '122556'">Didymella rabiei (MYCORA)</xsl:when>
                    <xsl:when test="./i6:value = '122557'">Diehliomyces microsporus (DIEHMI)</xsl:when>
                    <xsl:when test="./i6:value = '122558'">Diestrammena marmorata (DIESMA)</xsl:when>
                    <xsl:when test="./i6:value = '122559'">Dikerogammarus villosus (DIKGVI)</xsl:when>
                    <xsl:when test="./i6:value = '122560'">Diloba caeruleocephala (DILBCA)</xsl:when>
                    <xsl:when test="./i6:value = '122561'">Dilophospora alopecuri (DILOAL)</xsl:when>
                    <xsl:when test="./i6:value = '122562'">Dilophus febrilis (DILPFB)</xsl:when>
                    <xsl:when test="./i6:value = '122563'">Dimeriella sacchari (DIMRSA)</xsl:when>
                    <xsl:when test="./i6:value = '122564'">Dimorphopterus pilosus (DIMOPI)</xsl:when>
                    <xsl:when test="./i6:value = '122565'">Dinapate wrightii (DINAWR)</xsl:when>
                    <xsl:when test="./i6:value = '122566'">Dindymus versicolor (DINYVE)</xsl:when>
                    <xsl:when test="./i6:value = '122567'">Dinoderus minutus (DINDMI)</xsl:when>
                    <xsl:when test="./i6:value = '122568'">Dinoderus ocellaris (DINDOC)</xsl:when>
                    <xsl:when test="./i6:value = '122569'">Diocalandra frumenti (DIOCFR)</xsl:when>
                    <xsl:when test="./i6:value = '122570'">Diocalandra taitense (DIOCTA)</xsl:when>
                    <xsl:when test="./i6:value = '122571'">Diodora apertura (DIODAP)</xsl:when>
                    <xsl:when test="./i6:value = '122572'">Diomus notescens (DIOMNO)</xsl:when>
                    <xsl:when test="./i6:value = '122573'">Dione juno (DIONJJ)</xsl:when>
                    <xsl:when test="./i6:value = '122574'">Diopsis thoracica (DIOPTH)</xsl:when>
                    <xsl:when test="./i6:value = '122575'">Dioryctria abietella (DIORAB)</xsl:when>
                    <xsl:when test="./i6:value = '122576'">Dioryctria splendidella (DIORSL)</xsl:when>
                    <xsl:when test="./i6:value = '122577'">Diparopsis castanea (DIPACA)</xsl:when>
                    <xsl:when test="./i6:value = '122578'">Diparopsis watersi (DIPAWA)</xsl:when>
                    <xsl:when test="./i6:value = '122579'">Diplocarpon earlianum (DIPCEA)</xsl:when>
                    <xsl:when test="./i6:value = '122580'">Diplocarpon maculatum (DIPCMA)</xsl:when>
                    <xsl:when test="./i6:value = '122581'">Diplocarpon mali (DIPCML)</xsl:when>
                    <xsl:when test="./i6:value = '122582'">Diplocarpon rosae (DIPCRO)</xsl:when>
                    <xsl:when test="./i6:value = '122583'">Diplodia aurantii (DIPDAU)</xsl:when>
                    <xsl:when test="./i6:value = '122584'">Diplodia cajani (DIPDCJ)</xsl:when>
                    <xsl:when test="./i6:value = '122585'">Diplodia corchori (DIPDCO)</xsl:when>
                    <xsl:when test="./i6:value = '122586'">Diplodia tumefaciens (DIPDTU)</xsl:when>
                    <xsl:when test="./i6:value = '122587'">Diplolepis rosae (DIPLRO)</xsl:when>
                    <xsl:when test="./i6:value = '122588'">Diploptera dytiscoides (DIPPDY)</xsl:when>
                    <xsl:when test="./i6:value = '122589'">Diploptera punctata (DIPPPU)</xsl:when>
                    <xsl:when test="./i6:value = '122590'">Diplosis catalpae (CECICA)</xsl:when>
                    <xsl:when test="./i6:value = '122591'">Diplosis frenelae (DIPOFR)</xsl:when>
                    <xsl:when test="./i6:value = '122592'">Diplosis mori (DIPOMO)</xsl:when>
                    <xsl:when test="./i6:value = '122593'">Dipodomys ordii (DPDMOR)</xsl:when>
                    <xsl:when test="./i6:value = '122594'">Diprion similis (DIPRSI)</xsl:when>
                    <xsl:when test="./i6:value = '122595'">Diptacus gigantorhynchus (DIPTGI)</xsl:when>
                    <xsl:when test="./i6:value = '122596'">Dipturus laevis (DPTULA)</xsl:when>
                    <xsl:when test="./i6:value = '122597'">Dirphya nigricornis (DIRPNI)</xsl:when>
                    <xsl:when test="./i6:value = '122598'">Discestra trifolii (SCOOTR)</xsl:when>
                    <xsl:when test="./i6:value = '122599'">Discohainesia oenotherae (DISHOE)</xsl:when>
                    <xsl:when test="./i6:value = '122600'">Discosoma neglecta (DSMANE)</xsl:when>
                    <xsl:when test="./i6:value = '122601'">Discosphaerina fulvida (AUREPL)</xsl:when>
                    <xsl:when test="./i6:value = '122602'">Discula destructiva (DISCDE)</xsl:when>
                    <xsl:when test="./i6:value = '122603'">Discus rotundatus (GONIRO)</xsl:when>
                    <xsl:when test="./i6:value = '122604'">Disonycha crenicollis (DISOCR)</xsl:when>
                    <xsl:when test="./i6:value = '122605'">Disonycha glabrata (DISOGL)</xsl:when>
                    <xsl:when test="./i6:value = '122606'">Disonycha mellicollis (DISOME)</xsl:when>
                    <xsl:when test="./i6:value = '122607'">Disonycha pluriligata (DISOQU)</xsl:when>
                    <xsl:when test="./i6:value = '122608'">Disonycha triangularis (DISOTR)</xsl:when>
                    <xsl:when test="./i6:value = '122609'">Disonycha xanthomelaena (DISOXA)</xsl:when>
                    <xsl:when test="./i6:value = '122610'">Dissosteira carolina (DISSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122611'">Dissosteira longipennis (DISSLO)</xsl:when>
                    <xsl:when test="./i6:value = '122612'">Dissosteira spurcata (DISSSU)</xsl:when>
                    <xsl:when test="./i6:value = '122613'">Distantiella theobroma (DISTTH)</xsl:when>
                    <xsl:when test="./i6:value = '122614'">Ditula angustiorana (CAPUAN)</xsl:when>
                    <xsl:when test="./i6:value = '122615'">Ditylenchus angustus (DITYAN)</xsl:when>
                    <xsl:when test="./i6:value = '122616'">Ditylenchus gigas (DITYGI)</xsl:when>
                    <xsl:when test="./i6:value = '122617'">Ditylenchus myceliophagus (DITYMY)</xsl:when>
                    <xsl:when test="./i6:value = '122618'">Diuraphis noxia (BRAYNO)</xsl:when>
                    <xsl:when test="./i6:value = '122619'">Diurnea  lipsiella (CHIBPH)</xsl:when>
                    <xsl:when test="./i6:value = '122620'">Diurnea fagella (CHIBFA)</xsl:when>
                    <xsl:when test="./i6:value = '122621'">Diversibipalium multilineatum (DIVBMU)</xsl:when>
                    <xsl:when test="./i6:value = '122622'">Diversispora spurca (DIVSSR)</xsl:when>
                    <xsl:when test="./i6:value = '122623'">Doassansia limosella (DOASLI)</xsl:when>
                    <xsl:when test="./i6:value = '122624'">Doassansia sagittariae (DOASSA)</xsl:when>
                    <xsl:when test="./i6:value = '122625'">Dociostaurus maroccanus (DICIMA)</xsl:when>
                    <xsl:when test="./i6:value = '122626'">Dokhtouroffia baeckmanni (DOKHBA)</xsl:when>
                    <xsl:when test="./i6:value = '122627'">Dolerus hordei (DOLEHO)</xsl:when>
                    <xsl:when test="./i6:value = '122628'">Dolichonyx oryzivorus (DLNXOR)</xsl:when>
                    <xsl:when test="./i6:value = '122629'">Dolichopoda azami (DLCPAZ)</xsl:when>
                    <xsl:when test="./i6:value = '122630'">Dolichopus popularis (DLPSPO)</xsl:when>
                    <xsl:when test="./i6:value = '122631'">Dolichotetranychus floridanus (DOLCFL)</xsl:when>
                    <xsl:when test="./i6:value = '122632'">Dolichovespula sylvestris (VESPSI)</xsl:when>
                    <xsl:when test="./i6:value = '122633'">Dolichurus stantoni (DOLHST)</xsl:when>
                    <xsl:when test="./i6:value = '122634'">Doloessa viridis (DLOEVI)</xsl:when>
                    <xsl:when test="./i6:value = '122635'">Dolycoris baccarum (DOLYBA)</xsl:when>
                    <xsl:when test="./i6:value = '122636'">Donacia crassipes (DONACR)</xsl:when>
                    <xsl:when test="./i6:value = '122637'">Donacia provosti (DONAPR)</xsl:when>
                    <xsl:when test="./i6:value = '122638'">Dorcus parallelopipedus (DORUPA)</xsl:when>
                    <xsl:when test="./i6:value = '122639'">Dorysthenes granulosus (DORSGR)</xsl:when>
                    <xsl:when test="./i6:value = '122640'">Dorysthenes huegelii (DORSHU)</xsl:when>
                    <xsl:when test="./i6:value = '122641'">Dosima fasciculare (DOSIFA)</xsl:when>
                    <xsl:when test="./i6:value = '122642'">Dothiora ribesia (PLOWRI)</xsl:when>
                    <xsl:when test="./i6:value = '122643'">Dothiora taxicola (SPHNTA)</xsl:when>
                    <xsl:when test="./i6:value = '122644'">Dothiorella dominicana (DOTRDO)</xsl:when>
                    <xsl:when test="./i6:value = '122645'">Dothiorella ulmi (DOTRUL)</xsl:when>
                    <xsl:when test="./i6:value = '122646'">Dothistroma pini (DOTSPI)</xsl:when>
                    <xsl:when test="./i6:value = '122647'">Dothistroma septosporum (SCIRPI)</xsl:when>
                    <xsl:when test="./i6:value = '122648'">Dracunculus medinensis (DRACME)</xsl:when>
                    <xsl:when test="./i6:value = '122649'">Draeculacephala minerva (DRAEMI)</xsl:when>
                    <xsl:when test="./i6:value = '122650'">Draeculacephala mollipes (DRAEMO)</xsl:when>
                    <xsl:when test="./i6:value = '122651'">Draeculacephala portola (DRAEPO)</xsl:when>
                    <xsl:when test="./i6:value = '122652'">Drasterius dorsalis (AEOLME)</xsl:when>
                    <xsl:when test="./i6:value = '122653'">Drechmeria coniospora (DRCMCO)</xsl:when>
                    <xsl:when test="./i6:value = '122654'">Drechslera catenaria (DRECCT)</xsl:when>
                    <xsl:when test="./i6:value = '122655'">Drechslera fugax (DRECFU)</xsl:when>
                    <xsl:when test="./i6:value = '122656'">Drechslera gigantea (DRECGI)</xsl:when>
                    <xsl:when test="./i6:value = '122657'">Drechslera phlei (DRECPH)</xsl:when>
                    <xsl:when test="./i6:value = '122658'">Drechslera poae (DRECPO)</xsl:when>
                    <xsl:when test="./i6:value = '122659'">Drepana curvatula (DRPNCU)</xsl:when>
                    <xsl:when test="./i6:value = '122660'">Drepana falcataria (DRPNFA)</xsl:when>
                    <xsl:when test="./i6:value = '122661'">Drepanaphis acerifoliae (DRENAC)</xsl:when>
                    <xsl:when test="./i6:value = '122662'">Drepanepteryx phalaenoides (DREEPH)</xsl:when>
                    <xsl:when test="./i6:value = '122663'">Drepanopeziza punctiformis (DREPPU)</xsl:when>
                    <xsl:when test="./i6:value = '122664'">Drepanopeziza ribis (DREPRI)</xsl:when>
                    <xsl:when test="./i6:value = '122665'">Drepanopeziza ribis  f. sp. nigri (DREPRN)</xsl:when>
                    <xsl:when test="./i6:value = '122666'">Drepanopeziza ribis  f. sp. rubri (DREPRR)</xsl:when>
                    <xsl:when test="./i6:value = '122667'">Drepanopeziza ribis f. sp. grossulariae (DREPRG)</xsl:when>
                    <xsl:when test="./i6:value = '122668'">Drepanopeziza sphaeroides (DREPSH)</xsl:when>
                    <xsl:when test="./i6:value = '122669'">Drepanothrips reuteri (DRETRE)</xsl:when>
                    <xsl:when test="./i6:value = '122670'">Dreyfusia merkeri (DREYME)</xsl:when>
                    <xsl:when test="./i6:value = '122671'">Dreyfusia piceae (ADLGPI)</xsl:when>
                    <xsl:when test="./i6:value = '122672'">Dreyfusia prelli (DREYPR)</xsl:when>
                    <xsl:when test="./i6:value = '122673'">Dromaius novaehollandiae (DRUSNO)</xsl:when>
                    <xsl:when test="./i6:value = '122674'">Dromia vulgaris (DROMVU)</xsl:when>
                    <xsl:when test="./i6:value = '122675'">Drosicha corpulenta (DROCCP)</xsl:when>
                    <xsl:when test="./i6:value = '122676'">Drosicha stebbingi (DROCST)</xsl:when>
                    <xsl:when test="./i6:value = '122677'">Drosophila funebris (DROSFU)</xsl:when>
                    <xsl:when test="./i6:value = '122678'">Drosophila melanogaster (DROSME)</xsl:when>
                    <xsl:when test="./i6:value = '122679'">Drosophila suzukii (DROSSU)</xsl:when>
                    <xsl:when test="./i6:value = '122680'">Dryadaula pactolia (DRYAPA)</xsl:when>
                    <xsl:when test="./i6:value = '122681'">Drymaeus dormani (DRYSDO)</xsl:when>
                    <xsl:when test="./i6:value = '122682'">Drymonia ruficornis (DRYMRU)</xsl:when>
                    <xsl:when test="./i6:value = '122683'">Dryocoetes betulae (DRYOBE)</xsl:when>
                    <xsl:when test="./i6:value = '122684'">Dryocoetes confusus (DRYOCN)</xsl:when>
                    <xsl:when test="./i6:value = '122685'">Dryocopus martius (DRYKMA)</xsl:when>
                    <xsl:when test="./i6:value = '122686'">Dryocopus pileatus (DRYKPI)</xsl:when>
                    <xsl:when test="./i6:value = '122687'">Dryocosmus kuriphilus (DRYCKU)</xsl:when>
                    <xsl:when test="./i6:value = '122688'">Dryomys nitedula (DRYYNI)</xsl:when>
                    <xsl:when test="./i6:value = '122689'">Dugong dugon (DUGODU)</xsl:when>
                    <xsl:when test="./i6:value = '122690'">Dumetella carolinensis (DUMECA)</xsl:when>
                    <xsl:when test="./i6:value = '122691'">Dynaspidiotus britannicus (DYNABR)</xsl:when>
                    <xsl:when test="./i6:value = '122692'">Dynastes gideon australicus (XYLRGA)</xsl:when>
                    <xsl:when test="./i6:value = '122693'">Dynastes granti (DYNSGR)</xsl:when>
                    <xsl:when test="./i6:value = '122694'">Dynastes tityus (DYNSTI)</xsl:when>
                    <xsl:when test="./i6:value = '122695'">Dynatosoma fuscicorne (DYNTFU)</xsl:when>
                    <xsl:when test="./i6:value = '122696'">Dysaphis apiifolia (YEZAIN)</xsl:when>
                    <xsl:when test="./i6:value = '122697'">Dysaphis crataegi (DYSACR)</xsl:when>
                    <xsl:when test="./i6:value = '122698'">Dysaphis devecta (DYSADE)</xsl:when>
                    <xsl:when test="./i6:value = '122699'">Dysaphis plantaginea (DYSAPL)</xsl:when>
                    <xsl:when test="./i6:value = '122700'">Dysaphis pyri (DYSAPY)</xsl:when>
                    <xsl:when test="./i6:value = '122701'">Dysaphis sorbi (SAPPSO)</xsl:when>
                    <xsl:when test="./i6:value = '122702'">Dysdercus andreae (DYSDAN)</xsl:when>
                    <xsl:when test="./i6:value = '122703'">Dysdercus cingulatus (DYSDCI)</xsl:when>
                    <xsl:when test="./i6:value = '122704'">Dysdercus fasciatus (DYSDFA)</xsl:when>
                    <xsl:when test="./i6:value = '122705'">Dysdercus mimulus (DYSDMI)</xsl:when>
                    <xsl:when test="./i6:value = '122706'">Dysdercus peruvianus (DYSDPE)</xsl:when>
                    <xsl:when test="./i6:value = '122707'">Dysdercus sanguinarius (DYSDSA)</xsl:when>
                    <xsl:when test="./i6:value = '122708'">Dysdercus sidae (DYSDSI)</xsl:when>
                    <xsl:when test="./i6:value = '122709'">Dysdercus suturellus (DYSDSU)</xsl:when>
                    <xsl:when test="./i6:value = '122710'">Dysmicoccus boninsis (DYSMBO)</xsl:when>
                    <xsl:when test="./i6:value = '122711'">Dysmicoccus cocotis (DYSMCO)</xsl:when>
                    <xsl:when test="./i6:value = '122712'">Dysmicoccus cryptus (DYSMCR)</xsl:when>
                    <xsl:when test="./i6:value = '122713'">Dysmicoccus neobrevipes (DYSMNE)</xsl:when>
                    <xsl:when test="./i6:value = '122714'">Dyspessa ulula (DYSPUL)</xsl:when>
                    <xsl:when test="./i6:value = '122715'">Dystebenna stephensi (DYSTST)</xsl:when>
                    <xsl:when test="./i6:value = '122716'">Earias biplaga (EARIBI)</xsl:when>
                    <xsl:when test="./i6:value = '122717'">Earias clorana (EARICH)</xsl:when>
                    <xsl:when test="./i6:value = '122718'">Earias cupreoviridis (EARICU)</xsl:when>
                    <xsl:when test="./i6:value = '122719'">Earias insulana (EARIIN)</xsl:when>
                    <xsl:when test="./i6:value = '122720'">Earias roseifera (EARIRO)</xsl:when>
                    <xsl:when test="./i6:value = '122721'">Earias vittella (EARIVI)</xsl:when>
                    <xsl:when test="./i6:value = '122722'">Eballistra oryzae (ENTYOR)</xsl:when>
                    <xsl:when test="./i6:value = '122723'">Eburia quadrigeminata (EBURQU)</xsl:when>
                    <xsl:when test="./i6:value = '122724'">Eccritotarsus catarinensis (ECCRCA)</xsl:when>
                    <xsl:when test="./i6:value = '122725'">Echidnodella natalensis (ECHLNA)</xsl:when>
                    <xsl:when test="./i6:value = '122726'">Echidnodes hypolepidis (ECHEHY)</xsl:when>
                    <xsl:when test="./i6:value = '122727'">Echidnodes rhoina (ECHERH)</xsl:when>
                    <xsl:when test="./i6:value = '122728'">Echidnophaga gallinacea (ECHDGA)</xsl:when>
                    <xsl:when test="./i6:value = '122729'">Echidnophaga myrmecobii (ECHDMY)</xsl:when>
                    <xsl:when test="./i6:value = '122730'">Echidnophaga perilis (ECHDPE)</xsl:when>
                    <xsl:when test="./i6:value = '122731'">Echinocnemus squameus (ECHISQ)</xsl:when>
                    <xsl:when test="./i6:value = '122732'">Echinodontium tinctorium (ECNDTI)</xsl:when>
                    <xsl:when test="./i6:value = '122733'">Ecrobia ventrosa (ECROVE)</xsl:when>
                    <xsl:when test="./i6:value = '122734'">Ectobius lapponicus (ECTBLA)</xsl:when>
                    <xsl:when test="./i6:value = '122735'">Ectobius pallidus (ECTBPA)</xsl:when>
                    <xsl:when test="./i6:value = '122736'">Ectobius panzeri (ECTBPN)</xsl:when>
                    <xsl:when test="./i6:value = '122737'">Ectobius sylvestris (ECTBSI)</xsl:when>
                    <xsl:when test="./i6:value = '122738'">Ectoedemia liebwerdella (ECTDLI)</xsl:when>
                    <xsl:when test="./i6:value = '122739'">Ectoedemia sericopeza (NEPTSE)</xsl:when>
                    <xsl:when test="./i6:value = '122740'">Ectropis crepuscularia (BOARBI)</xsl:when>
                    <xsl:when test="./i6:value = '122741'">Ectropis obliqua (ECTROB)</xsl:when>
                    <xsl:when test="./i6:value = '122742'">Edwardsiana crataegi (TYCYFR)</xsl:when>
                    <xsl:when test="./i6:value = '122743'">Egira curialis (PRODCU)</xsl:when>
                    <xsl:when test="./i6:value = '122744'">Egretta garzetta (EGREGA)</xsl:when>
                    <xsl:when test="./i6:value = '122745'">Eidoleon wilsoni (EIDOWI)</xsl:when>
                    <xsl:when test="./i6:value = '122746'">Eidolon helvum (EIDLHE)</xsl:when>
                    <xsl:when test="./i6:value = '122747'">Eilema caniola (LITSCA)</xsl:when>
                    <xsl:when test="./i6:value = '122748'">Eilema lurideola (EILELU)</xsl:when>
                    <xsl:when test="./i6:value = '122749'">Elaeidobius kamerunicus (ELADKA)</xsl:when>
                    <xsl:when test="./i6:value = '122750'">Elaphe longissima (ELPELO)</xsl:when>
                    <xsl:when test="./i6:value = '122751'">Elaphe obsoleta (ELPEOB)</xsl:when>
                    <xsl:when test="./i6:value = '122752'">Elaphidion parallelum (ELAHPA)</xsl:when>
                    <xsl:when test="./i6:value = '122753'">Elaphidion pulverulentum (ELAHPU)</xsl:when>
                    <xsl:when test="./i6:value = '122754'">Elaphidionoides villosus (ELAHVI)</xsl:when>
                    <xsl:when test="./i6:value = '122755'">Elaphocordyceps ophioglossoides (CODYOP)</xsl:when>
                    <xsl:when test="./i6:value = '122756'">Elaphomyces anthracinus (ELAPAN)</xsl:when>
                    <xsl:when test="./i6:value = '122757'">Elaphomyces citrinus (ELAPCI)</xsl:when>
                    <xsl:when test="./i6:value = '122758'">Elaphomyces granulatus (ELAPGR)</xsl:when>
                    <xsl:when test="./i6:value = '122759'">Elaphomyces muricatus (ELAPMU)</xsl:when>
                    <xsl:when test="./i6:value = '122760'">Elasmolomus sordidus (APASSO)</xsl:when>
                    <xsl:when test="./i6:value = '122761'">Elasmostethus interstinctus (ELMSIN)</xsl:when>
                    <xsl:when test="./i6:value = '122762'">Elasmostethus tristriatus (ELMSTR)</xsl:when>
                    <xsl:when test="./i6:value = '122763'">Elasmucha grisea (ELAMGR)</xsl:when>
                    <xsl:when test="./i6:value = '122764'">Elatobium abietinum (LIOAAB)</xsl:when>
                    <xsl:when test="./i6:value = '122765'">Elcysma westwoodii (ELCYWE)</xsl:when>
                    <xsl:when test="./i6:value = '122766'">Eldana saccharina (ELDASA)</xsl:when>
                    <xsl:when test="./i6:value = '122767'">Eleodes hispilabris (ELEOHI)</xsl:when>
                    <xsl:when test="./i6:value = '122768'">Eleodes opaca (ELEOOP)</xsl:when>
                    <xsl:when test="./i6:value = '122769'">Eleodes suturalis (ELEOSU)</xsl:when>
                    <xsl:when test="./i6:value = '122770'">Elephas maximus (ELEPMA)</xsl:when>
                    <xsl:when test="./i6:value = '122771'">Eliomys quercinus (ELIOQU)</xsl:when>
                    <xsl:when test="./i6:value = '122772'">Ellimenistes laesicollis (ELIMLC)</xsl:when>
                    <xsl:when test="./i6:value = '122773'">Elliptorhina chopardi (1ELLPG)</xsl:when>
                    <xsl:when test="./i6:value = '122774'">Elophila nymphaeata (NYMHNY)</xsl:when>
                    <xsl:when test="./i6:value = '122775'">Elsinoe ampelina (ELSIAM)</xsl:when>
                    <xsl:when test="./i6:value = '122776'">Elsinoe arachidis (SPHAAR)</xsl:when>
                    <xsl:when test="./i6:value = '122777'">Elsinoe australis (ELSIAU)</xsl:when>
                    <xsl:when test="./i6:value = '122778'">Elsinoe batatas (ELSIBA)</xsl:when>
                    <xsl:when test="./i6:value = '122779'">Elsinoe brasiliensis (SPHAMA)</xsl:when>
                    <xsl:when test="./i6:value = '122780'">Elsinoe corni (ELSICO)</xsl:when>
                    <xsl:when test="./i6:value = '122781'">Elsinoe fawcettii (ELSIFA)</xsl:when>
                    <xsl:when test="./i6:value = '122782'">Elsinoe heveae (ELSIHE)</xsl:when>
                    <xsl:when test="./i6:value = '122783'">Elsinoe mangiferae (ELSIMA)</xsl:when>
                    <xsl:when test="./i6:value = '122784'">Elsinoe necator (ELSIVE)</xsl:when>
                    <xsl:when test="./i6:value = '122785'">Elsinoe perseae (SPHAPE)</xsl:when>
                    <xsl:when test="./i6:value = '122786'">Elsinoe phaseoli (ELSIPH)</xsl:when>
                    <xsl:when test="./i6:value = '122787'">Elsinoe piri (ELSIPI)</xsl:when>
                    <xsl:when test="./i6:value = '122788'">Elsinoe rosarum (SPHARO)</xsl:when>
                    <xsl:when test="./i6:value = '122789'">Elsinoe sacchari (ELSISA)</xsl:when>
                    <xsl:when test="./i6:value = '122790'">Elsinoe theae (ELSITH)</xsl:when>
                    <xsl:when test="./i6:value = '122791'">Elytroderma deformans (ELYDDE)</xsl:when>
                    <xsl:when test="./i6:value = '122792'">Elytroteinus subtruncatus (ELYTSU)</xsl:when>
                    <xsl:when test="./i6:value = '122793'">Emarginula elongata (EMAREL)</xsl:when>
                    <xsl:when test="./i6:value = '122794'">Ematurga atomaria (HEMUAT)</xsl:when>
                    <xsl:when test="./i6:value = '122795'">Emberiza calandra (EMBRCA)</xsl:when>
                    <xsl:when test="./i6:value = '122796'">Emberiza cioides (EMBRCD)</xsl:when>
                    <xsl:when test="./i6:value = '122797'">Emberiza citrinella (EMBRCT)</xsl:when>
                    <xsl:when test="./i6:value = '122798'">Emberiza hortulana (EMBRHO)</xsl:when>
                    <xsl:when test="./i6:value = '122799'">Emberiza rustica (EMBRRU)</xsl:when>
                    <xsl:when test="./i6:value = '122800'">Emberiza schoeniclus (EMBRSH)</xsl:when>
                    <xsl:when test="./i6:value = '122801'">Emberiza spodocephala (EMBRSC)</xsl:when>
                    <xsl:when test="./i6:value = '122802'">Empicoris rubromaculatus (EMPIRU)</xsl:when>
                    <xsl:when test="./i6:value = '122803'">Empis livida (EMPSLI)</xsl:when>
                    <xsl:when test="./i6:value = '122804'">Empoasca abrupta (EMPOAB)</xsl:when>
                    <xsl:when test="./i6:value = '122805'">Empoasca coccinea (EMPOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122806'">Empoasca decipiens (EMPODE)</xsl:when>
                    <xsl:when test="./i6:value = '122807'">Empoasca fabae (EMPOFA)</xsl:when>
                    <xsl:when test="./i6:value = '122808'">Empoasca maligna (EMPOMA)</xsl:when>
                    <xsl:when test="./i6:value = '122809'">Empoasca mexara (EMPOMX)</xsl:when>
                    <xsl:when test="./i6:value = '122810'">Empoasca onukii (CHLRON)</xsl:when>
                    <xsl:when test="./i6:value = '122811'">Empoasca papayae (EMPOPA)</xsl:when>
                    <xsl:when test="./i6:value = '122812'">Empoasca solana (EMPOSO)</xsl:when>
                    <xsl:when test="./i6:value = '122813'">Empoasca stevensi (EMPOST)</xsl:when>
                    <xsl:when test="./i6:value = '122814'">Empoasca tabaci (EMPOTA)</xsl:when>
                    <xsl:when test="./i6:value = '122815'">Empoasca vitis (EMPOFL)</xsl:when>
                    <xsl:when test="./i6:value = '122816'">Empusa pennata (EMPUPE)</xsl:when>
                    <xsl:when test="./i6:value = '122817'">Ena montana (ENAXMO)</xsl:when>
                    <xsl:when test="./i6:value = '122818'">Enallagma cyathigerum (ENALCY)</xsl:when>
                    <xsl:when test="./i6:value = '122819'">Enaphalodes rufulus (ENAPRU)</xsl:when>
                    <xsl:when test="./i6:value = '122820'">Enargia ypsilon (ENAGIP)</xsl:when>
                    <xsl:when test="./i6:value = '122821'">Enarmonia cupressana (LASPCU)</xsl:when>
                    <xsl:when test="./i6:value = '122822'">Enarmonia formosana (ENARFO)</xsl:when>
                    <xsl:when test="./i6:value = '122823'">Enarmonia interstinctana (EUCOIN)</xsl:when>
                    <xsl:when test="./i6:value = '122824'">Encarsia formosa (ENCAFO)</xsl:when>
                    <xsl:when test="./i6:value = '122825'">Enchenopa binotata (ENCHBI)</xsl:when>
                    <xsl:when test="./i6:value = '122826'">Encoelia furfuracea (ENCOFU)</xsl:when>
                    <xsl:when test="./i6:value = '122827'">Encoelia glauca (ENCOGL)</xsl:when>
                    <xsl:when test="./i6:value = '122828'">Endelomyia aethiops (ERICAE)</xsl:when>
                    <xsl:when test="./i6:value = '122829'">Endocronartium harknessii (ENDCHA)</xsl:when>
                    <xsl:when test="./i6:value = '122830'">Endocronartium pini (ENDCPI)</xsl:when>
                    <xsl:when test="./i6:value = '122831'">Endogone calospora (ENDGCA)</xsl:when>
                    <xsl:when test="./i6:value = '122832'">Endothenia hebesana (ENDTHE)</xsl:when>
                    <xsl:when test="./i6:value = '122833'">Endothia eugeniae (ENDOEU)</xsl:when>
                    <xsl:when test="./i6:value = '122834'">Endothia gyrosa (ENDOGY)</xsl:when>
                    <xsl:when test="./i6:value = '122835'">Endothia havanensis (ENDOHA)</xsl:when>
                    <xsl:when test="./i6:value = '122836'">Endria inimica (ENDIIN)</xsl:when>
                    <xsl:when test="./i6:value = '122837'">Endromis versicolora (ENDMVE)</xsl:when>
                    <xsl:when test="./i6:value = '122838'">Engytatus nicotianae (CYRONI)</xsl:when>
                    <xsl:when test="./i6:value = '122839'">Enicmus minutus (LATIMI)</xsl:when>
                    <xsl:when test="./i6:value = '122840'">Enicognathus leptorhynchus (ENICLE)</xsl:when>
                    <xsl:when test="./i6:value = '122841'">Enigmadiplosis agapanthi (ENIGAG)</xsl:when>
                    <xsl:when test="./i6:value = '122842'">Ennomos alniaria (ENNOAL)</xsl:when>
                    <xsl:when test="./i6:value = '122843'">Ennomos autumnaria (ENNOAU)</xsl:when>
                    <xsl:when test="./i6:value = '122844'">Ennomos quercinaria (ENNOQU)</xsl:when>
                    <xsl:when test="./i6:value = '122845'">Enoclerus lecontei (ENOCLE)</xsl:when>
                    <xsl:when test="./i6:value = '122846'">Ensina sonchi (ENSISO)</xsl:when>
                    <xsl:when test="./i6:value = '122847'">Ensis directus (ENSSDI)</xsl:when>
                    <xsl:when test="./i6:value = '122848'">Entelurus aequoreus (ETLRAE)</xsl:when>
                    <xsl:when test="./i6:value = '122849'">Enterobacter cancerogenus (ERWICN)</xsl:when>
                    <xsl:when test="./i6:value = '122850'">Enterobacter cloacae (ENTBCL)</xsl:when>
                    <xsl:when test="./i6:value = '122851'">Enterobius vermicularis (ENTRVE)</xsl:when>
                    <xsl:when test="./i6:value = '122852'">Enteucha acetosae (NEPTAE)</xsl:when>
                    <xsl:when test="./i6:value = '122853'">Entoleuca mammata (HYPOMA)</xsl:when>
                    <xsl:when test="./i6:value = '122854'">Entoloma chalybaeum (ENTLCH)</xsl:when>
                    <xsl:when test="./i6:value = '122855'">Entoloma griseocyaneum (ENTLGR)</xsl:when>
                    <xsl:when test="./i6:value = '122856'">Entoloma jubatum (ENTLJB)</xsl:when>
                    <xsl:when test="./i6:value = '122857'">Entoloma pleopodium (ENTLPP)</xsl:when>
                    <xsl:when test="./i6:value = '122858'">Entomophaga grylli (ENMPGR)</xsl:when>
                    <xsl:when test="./i6:value = '122859'">Entomophthora aphidis (ENTMAP)</xsl:when>
                    <xsl:when test="./i6:value = '122860'">Entomophthora muscae (ENTMMU)</xsl:when>
                    <xsl:when test="./i6:value = '122861'">Entomophthora planchoniana (ENTMPL)</xsl:when>
                    <xsl:when test="./i6:value = '122862'">Entomoscelis adonidis (ENTOAD)</xsl:when>
                    <xsl:when test="./i6:value = '122863'">Entomoscelis americana (ENTOAM)</xsl:when>
                    <xsl:when test="./i6:value = '122864'">Entorrhiza cypericola (ENRHCY)</xsl:when>
                    <xsl:when test="./i6:value = '122865'">Entyloma ageratinae (ENTYAG)</xsl:when>
                    <xsl:when test="./i6:value = '122866'">Entyloma calendulae f. sp. dahliae (ENTYDA)</xsl:when>
                    <xsl:when test="./i6:value = '122867'">Entyloma eryngii (ENTYER)</xsl:when>
                    <xsl:when test="./i6:value = '122868'">Entyloma guaraniticum (ENTYGU)</xsl:when>
                    <xsl:when test="./i6:value = '122869'">Entyloma henningsianum (ENTYHE)</xsl:when>
                    <xsl:when test="./i6:value = '122870'">Entyloma ossifragi (ENTYOS)</xsl:when>
                    <xsl:when test="./i6:value = '122871'">Entyloma serotinum (ENTYSE)</xsl:when>
                    <xsl:when test="./i6:value = '122872'">Eoeurysa flavocapitata (EOEUFL)</xsl:when>
                    <xsl:when test="./i6:value = '122873'">Eophona migratoria (EOPHMI)</xsl:when>
                    <xsl:when test="./i6:value = '122874'">Eophona personata (EOPHPE)</xsl:when>
                    <xsl:when test="./i6:value = '122875'">Eoreuma loftini (EORELO)</xsl:when>
                    <xsl:when test="./i6:value = '122876'">Eotetranychus hicoriae (EOTEHI)</xsl:when>
                    <xsl:when test="./i6:value = '122877'">Eotetranychus kankitus (EOTEKA)</xsl:when>
                    <xsl:when test="./i6:value = '122878'">Eotetranychus lewisi (EOTELE)</xsl:when>
                    <xsl:when test="./i6:value = '122879'">Eotetranychus populi (EOTEPP)</xsl:when>
                    <xsl:when test="./i6:value = '122880'">Eotetranychus pruni (EOTEPR)</xsl:when>
                    <xsl:when test="./i6:value = '122881'">Eotetranychus sexmaculatus (TETRSM)</xsl:when>
                    <xsl:when test="./i6:value = '122882'">Eotetranychus suginamensis (EOTESU)</xsl:when>
                    <xsl:when test="./i6:value = '122883'">Eotetranychus tiliarius (EOTETI)</xsl:when>
                    <xsl:when test="./i6:value = '122884'">Eotetranychus willamettei (EOTEWI)</xsl:when>
                    <xsl:when test="./i6:value = '122885'">Eotetranychus yumensis (TETRYU)</xsl:when>
                    <xsl:when test="./i6:value = '122886'">Epacromius tergestinus (AIOLTE)</xsl:when>
                    <xsl:when test="./i6:value = '122887'">Epallage fatime (EPALFA)</xsl:when>
                    <xsl:when test="./i6:value = '122888'">Epargyreus clarus (EPARCL)</xsl:when>
                    <xsl:when test="./i6:value = '122889'">Epermenia insecurella (EPRMIN)</xsl:when>
                    <xsl:when test="./i6:value = '122890'">Ephemera danica (EPHMDA)</xsl:when>
                    <xsl:when test="./i6:value = '122891'">Ephemera vulgata (EPHMVU)</xsl:when>
                    <xsl:when test="./i6:value = '122892'">Ephemerella ignita (EPHLIG)</xsl:when>
                    <xsl:when test="./i6:value = '122893'">Ephestia elutella (EPHEEL)</xsl:when>
                    <xsl:when test="./i6:value = '122894'">Ephestia kuehniella (EPHEKU)</xsl:when>
                    <xsl:when test="./i6:value = '122895'">Ephippitytha trigintiduoguttata (EPPITR)</xsl:when>
                    <xsl:when test="./i6:value = '122896'">Ephydatia fluviatilis (EPHYFL)</xsl:when>
                    <xsl:when test="./i6:value = '122897'">Ephydra macellaria (EPDRMA)</xsl:when>
                    <xsl:when test="./i6:value = '122898'">Ephysteris promptella (EPHTPR)</xsl:when>
                    <xsl:when test="./i6:value = '122899'">Epiblema cynosbatella (EPIBTR)</xsl:when>
                    <xsl:when test="./i6:value = '122900'">Epiblema penkleriana (EPIBPE)</xsl:when>
                    <xsl:when test="./i6:value = '122901'">Epiblema strenuana (EPIBST)</xsl:when>
                    <xsl:when test="./i6:value = '122902'">Epiblema uddmanniana (NOTCUD)</xsl:when>
                    <xsl:when test="./i6:value = '122903'">Epicaerus cognatus (EPIECO)</xsl:when>
                    <xsl:when test="./i6:value = '122904'">Epicaerus imbricatus (EPIEIM)</xsl:when>
                    <xsl:when test="./i6:value = '122905'">Epicampoptera marantica (EPIMMA)</xsl:when>
                    <xsl:when test="./i6:value = '122906'">Epicauta abadona (EPIAAB)</xsl:when>
                    <xsl:when test="./i6:value = '122907'">Epicauta cinerea (EPIACI)</xsl:when>
                    <xsl:when test="./i6:value = '122908'">Epicauta corvina (EPIACO)</xsl:when>
                    <xsl:when test="./i6:value = '122909'">Epicauta fabricii (EPIAFA)</xsl:when>
                    <xsl:when test="./i6:value = '122910'">Epicauta gorhami (EPIAGO)</xsl:when>
                    <xsl:when test="./i6:value = '122911'">Epicauta immaculata (EPIAIM)</xsl:when>
                    <xsl:when test="./i6:value = '122912'">Epicauta latitarsis (EPIALA)</xsl:when>
                    <xsl:when test="./i6:value = '122913'">Epicauta lemniscata (EPIALE)</xsl:when>
                    <xsl:when test="./i6:value = '122914'">Epicauta maculata (EPIAMA)</xsl:when>
                    <xsl:when test="./i6:value = '122915'">Epicauta murina (EPIAMU)</xsl:when>
                    <xsl:when test="./i6:value = '122916'">Epicauta pardalis (EPIAPA)</xsl:when>
                    <xsl:when test="./i6:value = '122917'">Epicauta pennsylvanica (EPIAPN)</xsl:when>
                    <xsl:when test="./i6:value = '122918'">Epicauta pestifera (EPIAPS)</xsl:when>
                    <xsl:when test="./i6:value = '122919'">Epicauta puncticollis (EPIAPU)</xsl:when>
                    <xsl:when test="./i6:value = '122920'">Epicauta subglabra (EPIASU)</xsl:when>
                    <xsl:when test="./i6:value = '122921'">Epicauta tenuicollis (EPIATE)</xsl:when>
                    <xsl:when test="./i6:value = '122922'">Epicauta vittata (EPIAVI)</xsl:when>
                    <xsl:when test="./i6:value = '122923'">Epichloe baconii (EPICBA)</xsl:when>
                    <xsl:when test="./i6:value = '122924'">Epichloe bromicola (EPICBR)</xsl:when>
                    <xsl:when test="./i6:value = '122925'">Epichloe clarkii (EPICCL)</xsl:when>
                    <xsl:when test="./i6:value = '122926'">Epichloe elymi (EPICEL)</xsl:when>
                    <xsl:when test="./i6:value = '122927'">Epichloe festucae (EPICFE)</xsl:when>
                    <xsl:when test="./i6:value = '122928'">Epichloe sylvatica (EPICSY)</xsl:when>
                    <xsl:when test="./i6:value = '122929'">Epichloe typhina (EPICTY)</xsl:when>
                    <xsl:when test="./i6:value = '122930'">Epichoristodes acerbella (EPIOIO)</xsl:when>
                    <xsl:when test="./i6:value = '122931'">Epichrysocharis burwelli (EPCRBU)</xsl:when>
                    <xsl:when test="./i6:value = '122932'">Epicnaptera americana (EPIPAM)</xsl:when>
                    <xsl:when test="./i6:value = '122933'">Epicoccum nigrum (PHOMEC)</xsl:when>
                    <xsl:when test="./i6:value = '122934'">Epicoccum sorghi (LEPTSA)</xsl:when>
                    <xsl:when test="./i6:value = '122935'">Epidermophyton floccosum (EPDMFC)</xsl:when>
                    <xsl:when test="./i6:value = '122936'">Epiglaea apiata (EPGLAP)</xsl:when>
                    <xsl:when test="./i6:value = '122937'">Epiglaea decliva (EPGLDE)</xsl:when>
                    <xsl:when test="./i6:value = '122938'">Epilachna borealis (EPILBO)</xsl:when>
                    <xsl:when test="./i6:value = '122939'">Epilachna canina (EPILCA)</xsl:when>
                    <xsl:when test="./i6:value = '122940'">Epilachna canina dregei (EPILDR)</xsl:when>
                    <xsl:when test="./i6:value = '122941'">Epilachna similis similis (EPILSI)</xsl:when>
                    <xsl:when test="./i6:value = '122942'">Epilachna varivestis (EPILVA)</xsl:when>
                    <xsl:when test="./i6:value = '122943'">Epilachna vigintioctomaculata (EPILVI)</xsl:when>
                    <xsl:when test="./i6:value = '122944'">Epilachna vigintioctopunctata (EPILVG)</xsl:when>
                    <xsl:when test="./i6:value = '122945'">Epinotia albangulana (EPINAL)</xsl:when>
                    <xsl:when test="./i6:value = '122946'">Epinotia fraternana (EPINFR)</xsl:when>
                    <xsl:when test="./i6:value = '122947'">Epinotia nanana (EPINNA)</xsl:when>
                    <xsl:when test="./i6:value = '122948'">Epinotia nigricana (EPIBNI)</xsl:when>
                    <xsl:when test="./i6:value = '122949'">Epinotia nisella (EPINNI)</xsl:when>
                    <xsl:when test="./i6:value = '122950'">Epinotia pygmaeana (EPINPY)</xsl:when>
                    <xsl:when test="./i6:value = '122951'">Epinotia subsequana (EPINSS)</xsl:when>
                    <xsl:when test="./i6:value = '122952'">Epinotia tetraquetrana (EPIBTT)</xsl:when>
                    <xsl:when test="./i6:value = '122953'">Epiphyas postvittana (TORTPO)</xsl:when>
                    <xsl:when test="./i6:value = '122954'">Epiptera europaea (EPPTEU)</xsl:when>
                    <xsl:when test="./i6:value = '122955'">Epirrita dilutata (LAREDI)</xsl:when>
                    <xsl:when test="./i6:value = '122956'">Episimus tyrius (EPIITY)</xsl:when>
                    <xsl:when test="./i6:value = '122957'">Epitrimerus pyri (EPITPI)</xsl:when>
                    <xsl:when test="./i6:value = '122958'">Epitrix atropae (EPIXAT)</xsl:when>
                    <xsl:when test="./i6:value = '122959'">Epitrix cucumeris (EPIXCU)</xsl:when>
                    <xsl:when test="./i6:value = '122960'">Epitrix fuscula (EPIXFU)</xsl:when>
                    <xsl:when test="./i6:value = '122961'">Epitrix hirtipennis (EPIXPA)</xsl:when>
                    <xsl:when test="./i6:value = '122962'">Epitrix intermedia (EPIXIN)</xsl:when>
                    <xsl:when test="./i6:value = '122963'">Epitrix pubescens (EPIXPU)</xsl:when>
                    <xsl:when test="./i6:value = '122964'">Epitrix similaris (EPIXSI)</xsl:when>
                    <xsl:when test="./i6:value = '122965'">Epitrix subcrinita (EPIXSU)</xsl:when>
                    <xsl:when test="./i6:value = '122966'">Epitrix tuberis (EPIXTU)</xsl:when>
                    <xsl:when test="./i6:value = '122967'">Eptesicus fuscus (EPTEFU)</xsl:when>
                    <xsl:when test="./i6:value = '122968'">Equus africanus africanus (EQUUAF)</xsl:when>
                    <xsl:when test="./i6:value = '122969'">Equus africanus asinus (EQUUAA)</xsl:when>
                    <xsl:when test="./i6:value = '122970'">Equus ferus caballus (EQUUCA)</xsl:when>
                    <xsl:when test="./i6:value = '122971'">Equus ferus ferus (EQUUFE)</xsl:when>
                    <xsl:when test="./i6:value = '122972'">Equus hemionus (EQUUHE)</xsl:when>
                    <xsl:when test="./i6:value = '122973'">Equus quagga burchellii (EQUUQB)</xsl:when>
                    <xsl:when test="./i6:value = '122974'">Erannis defoliaria (HIBEDE)</xsl:when>
                    <xsl:when test="./i6:value = '122975'">Erannis jacobsoni (ERANJA)</xsl:when>
                    <xsl:when test="./i6:value = '122976'">Erasmoneura variabilis (ERYTVA)</xsl:when>
                    <xsl:when test="./i6:value = '122977'">Erasmoneura vulnerata (ERYTVU)</xsl:when>
                    <xsl:when test="./i6:value = '122978'">Erastia salmonicolor (ERASSA)</xsl:when>
                    <xsl:when test="./i6:value = '122979'">Erebia aethiops (EREBAE)</xsl:when>
                    <xsl:when test="./i6:value = '122980'">Erebia epiphron (EREBEP)</xsl:when>
                    <xsl:when test="./i6:value = '122981'">Erebia ligea (EREBLI)</xsl:when>
                    <xsl:when test="./i6:value = '122982'">Erebia medusa (EREBME)</xsl:when>
                    <xsl:when test="./i6:value = '122983'">Eremnus cerealis (ERENCE)</xsl:when>
                    <xsl:when test="./i6:value = '122984'">Eremophila alpestris (EREOAL)</xsl:when>
                    <xsl:when test="./i6:value = '122985'">Eremothecium gossypii (NMATGO)</xsl:when>
                    <xsl:when test="./i6:value = '122986'">Erethizon dorsatum (ERTZDO)</xsl:when>
                    <xsl:when test="./i6:value = '122987'">Eretmochelys imbricata (ERMCIM)</xsl:when>
                    <xsl:when test="./i6:value = '122988'">Ergates faber (ERGAFA)</xsl:when>
                    <xsl:when test="./i6:value = '122989'">Ergates spiculatus (ERGASI)</xsl:when>
                    <xsl:when test="./i6:value = '122990'">Ericerus pela (ERCEPE)</xsl:when>
                    <xsl:when test="./i6:value = '122991'">Erinaceus algirus (ERNAAL)</xsl:when>
                    <xsl:when test="./i6:value = '122992'">Erinaceus concolor (ERNACO)</xsl:when>
                    <xsl:when test="./i6:value = '122993'">Erinaceus europaeus (ERNAEU)</xsl:when>
                    <xsl:when test="./i6:value = '122994'">Erinnyis alope (ERINAL)</xsl:when>
                    <xsl:when test="./i6:value = '122995'">Erinnyis ello (ERINEL)</xsl:when>
                    <xsl:when test="./i6:value = '122996'">Eriocampa ovata (ERIAOV)</xsl:when>
                    <xsl:when test="./i6:value = '122997'">Eriocheir sinensis (ERCHSI)</xsl:when>
                    <xsl:when test="./i6:value = '122998'">Eriococcus coriaceus (ERIOCO)</xsl:when>
                    <xsl:when test="./i6:value = '122999'">Eriococcus ironsidei (ERIOIR)</xsl:when>
                    <xsl:when test="./i6:value = '123000'">Eriococcus lagerstroemiae (ERIOLA)</xsl:when>
                    <xsl:when test="./i6:value = '123001'">Eriococcus spurius (ERIOSU)</xsl:when>
                    <xsl:when test="./i6:value = '123002'">Eriocrania sparrmannella (ERIRSA)</xsl:when>
                    <xsl:when test="./i6:value = '123003'">Eriogaster catax (ERIGCA)</xsl:when>
                    <xsl:when test="./i6:value = '123004'">Erionota thrax (ERNTTH)</xsl:when>
                    <xsl:when test="./i6:value = '123005'">Eriopeltis festucae (ERPLFE)</xsl:when>
                    <xsl:when test="./i6:value = '123006'">Eriophyes convolvens (ERPHCN)</xsl:when>
                    <xsl:when test="./i6:value = '123007'">Eriophyes gastrotrichus (ERPHGA)</xsl:when>
                    <xsl:when test="./i6:value = '123008'">Eriophyes mali (ERPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '123009'">Eriophyes padi (ERPHPD)</xsl:when>
                    <xsl:when test="./i6:value = '123010'">Eriophyes pruni (ERPHPR)</xsl:when>
                    <xsl:when test="./i6:value = '123011'">Eriophyes similis prunispinosa (ERPHSS)</xsl:when>
                    <xsl:when test="./i6:value = '123012'">Eriophyes thujae (ERPHTH)</xsl:when>
                    <xsl:when test="./i6:value = '123013'">Eriophyes tristriatus (ACEITR)</xsl:when>
                    <xsl:when test="./i6:value = '123014'">Eriosoma americanum (ERISAM)</xsl:when>
                    <xsl:when test="./i6:value = '123015'">Eriosoma flavum (SCHZFL)</xsl:when>
                    <xsl:when test="./i6:value = '123016'">Eriosoma lanigerum (ERISLA)</xsl:when>
                    <xsl:when test="./i6:value = '123017'">Eriosoma pyricola (ERISPY)</xsl:when>
                    <xsl:when test="./i6:value = '123018'">Eriosoma ulmi (SCHZUL)</xsl:when>
                    <xsl:when test="./i6:value = '123019'">Eristalis cerealis (ERITCE)</xsl:when>
                    <xsl:when test="./i6:value = '123020'">Eristalis tenax (ERITTE)</xsl:when>
                    <xsl:when test="./i6:value = '123021'">Erithacus rubecula (ERTHRU)</xsl:when>
                    <xsl:when test="./i6:value = '123022'">Ernobius conicola (ERNOCO)</xsl:when>
                    <xsl:when test="./i6:value = '123023'">Erostrotheca multiformis (RAMUAL)</xsl:when>
                    <xsl:when test="./i6:value = '123024'">Erschoviella musculana (ERSHMU)</xsl:when>
                    <xsl:when test="./i6:value = '123025'">Erthesina fullo (ERTNFU)</xsl:when>
                    <xsl:when test="./i6:value = '123026'">Erwinia carnegieana (ERWICG)</xsl:when>
                    <xsl:when test="./i6:value = '123027'">Erwinia cypripedii (ERWICY)</xsl:when>
                    <xsl:when test="./i6:value = '123028'">Erwinia dissolvens (ERWIDI)</xsl:when>
                    <xsl:when test="./i6:value = '123029'">Erwinia papayae (ERWIPA)</xsl:when>
                    <xsl:when test="./i6:value = '123030'">Erwinia psidii (ERWIPS)</xsl:when>
                    <xsl:when test="./i6:value = '123031'">Erwinia rhapontici (ERWIRH)</xsl:when>
                    <xsl:when test="./i6:value = '123032'">Erwinia tracheiphila (ERWITR)</xsl:when>
                    <xsl:when test="./i6:value = '123033'">Erynephala puncticollis (MONXPU)</xsl:when>
                    <xsl:when test="./i6:value = '123034'">Erynia neoaphidis (ERYNNE)</xsl:when>
                    <xsl:when test="./i6:value = '123035'">Erynnis tages (EYNNTA)</xsl:when>
                    <xsl:when test="./i6:value = '123036'">Erysiphe adunca (UNCIAD)</xsl:when>
                    <xsl:when test="./i6:value = '123037'">Erysiphe aquilegiae var. ranunculi (ERYSRR)</xsl:when>
                    <xsl:when test="./i6:value = '123038'">Erysiphe australiana (UNCIAU)</xsl:when>
                    <xsl:when test="./i6:value = '123039'">Erysiphe baeumleri (ERYSBA)</xsl:when>
                    <xsl:when test="./i6:value = '123040'">Erysiphe biocellata (ERYSBI)</xsl:when>
                    <xsl:when test="./i6:value = '123041'">Erysiphe clandestina (UNCICL)</xsl:when>
                    <xsl:when test="./i6:value = '123042'">Erysiphe cruciferarum (ERYSCR)</xsl:when>
                    <xsl:when test="./i6:value = '123043'">Erysiphe diffusa (MCRSDI)</xsl:when>
                    <xsl:when test="./i6:value = '123044'">Erysiphe euonymi (MCRSEU)</xsl:when>
                    <xsl:when test="./i6:value = '123045'">Erysiphe euonymi-japonici (MCRSEJ)</xsl:when>
                    <xsl:when test="./i6:value = '123046'">Erysiphe euphorbiicola (ERYSEU)</xsl:when>
                    <xsl:when test="./i6:value = '123047'">Erysiphe flexuosa (ERYSFL)</xsl:when>
                    <xsl:when test="./i6:value = '123048'">Erysiphe hedwigii (MCRSHE)</xsl:when>
                    <xsl:when test="./i6:value = '123049'">Erysiphe lagerstroemiae (ERYSLA)</xsl:when>
                    <xsl:when test="./i6:value = '123050'">Erysiphe ligustri (ERYSLI)</xsl:when>
                    <xsl:when test="./i6:value = '123051'">Erysiphe lonicerae (MCRSLO)</xsl:when>
                    <xsl:when test="./i6:value = '123052'">Erysiphe pistaciae (UNCLPI)</xsl:when>
                    <xsl:when test="./i6:value = '123053'">Erysiphe platani (ERYSPT)</xsl:when>
                    <xsl:when test="./i6:value = '123054'">Erysiphe syringae (ERYSSY)</xsl:when>
                    <xsl:when test="./i6:value = '123055'">Erythricium salmonicolor (CORTSA)</xsl:when>
                    <xsl:when test="./i6:value = '123056'">Erythromma najas (ERTMNA)</xsl:when>
                    <xsl:when test="./i6:value = '123057'">Erythromma viridulum (ERTMVI)</xsl:when>
                    <xsl:when test="./i6:value = '123058'">Erythroneura aclys (ERYTAC)</xsl:when>
                    <xsl:when test="./i6:value = '123059'">Erythroneura bigemina (ERYTAP)</xsl:when>
                    <xsl:when test="./i6:value = '123060'">Erythroneura comes (ERYTCO)</xsl:when>
                    <xsl:when test="./i6:value = '123061'">Erythroneura elegantula (ERYTEL)</xsl:when>
                    <xsl:when test="./i6:value = '123062'">Erythroneura hartii (ERYTHA)</xsl:when>
                    <xsl:when test="./i6:value = '123063'">Erythroneura ix (ERYTIX)</xsl:when>
                    <xsl:when test="./i6:value = '123064'">Erythroneura tricincta (ERYTTR)</xsl:when>
                    <xsl:when test="./i6:value = '123065'">Erythroneura ziczac (ERYTZI)</xsl:when>
                    <xsl:when test="./i6:value = '123066'">Eschrichtius robustus (ESHRRO)</xsl:when>
                    <xsl:when test="./i6:value = '123067'">Essigella californica (ESSICA)</xsl:when>
                    <xsl:when test="./i6:value = '123068'">Estigmene acrea (ESTGAC)</xsl:when>
                    <xsl:when test="./i6:value = '123069'">Ethmia bipunctella (ETHMBI)</xsl:when>
                    <xsl:when test="./i6:value = '123070'">Ethmia nigroapicella (ETHMCO)</xsl:when>
                    <xsl:when test="./i6:value = '123071'">Etiella zinckenella (ETIEZI)</xsl:when>
                    <xsl:when test="./i6:value = '123072'">Euaresta aequalis (EUARAE)</xsl:when>
                    <xsl:when test="./i6:value = '123073'">Eublaberus distanti (EUBLDI)</xsl:when>
                    <xsl:when test="./i6:value = '123074'">Euborellia annulipes (EUBOAN)</xsl:when>
                    <xsl:when test="./i6:value = '123075'">Eubranchipus vernalis (EUBRVE)</xsl:when>
                    <xsl:when test="./i6:value = '123076'">Eucallipterus tiliae (EUCATI)</xsl:when>
                    <xsl:when test="./i6:value = '123077'">Eucalymnatus tessellatus (EUCYTE)</xsl:when>
                    <xsl:when test="./i6:value = '123078'">Eucalyptolyma maideni (ECLLEU)</xsl:when>
                    <xsl:when test="./i6:value = '123079'">Euceraphis punctipennis (EUCEPU)</xsl:when>
                    <xsl:when test="./i6:value = '123080'">Euchloe simplonia (EUOESI)</xsl:when>
                    <xsl:when test="./i6:value = '123081'">Euchorthippus elegantulus (EUCHEL)</xsl:when>
                    <xsl:when test="./i6:value = '123082'">Euchrysops cnejus (CATOCN)</xsl:when>
                    <xsl:when test="./i6:value = '123083'">Euclemensia bassettella (EUKLBA)</xsl:when>
                    <xsl:when test="./i6:value = '123084'">Euconulus fulvus (EWCOFU)</xsl:when>
                    <xsl:when test="./i6:value = '123085'">Eucosma conterminana (EUCOCO)</xsl:when>
                    <xsl:when test="./i6:value = '123086'">Eucosma gloriola (EUCOGL)</xsl:when>
                    <xsl:when test="./i6:value = '123087'">Eucosma schistaceana (EUCOSC)</xsl:when>
                    <xsl:when test="./i6:value = '123088'">Eudarluca caricis (EUDLCA)</xsl:when>
                    <xsl:when test="./i6:value = '123089'">Eudocima fullonia (EUDOFU)</xsl:when>
                    <xsl:when test="./i6:value = '123090'">Eudocima materna (EUDOMA)</xsl:when>
                    <xsl:when test="./i6:value = '123091'">Eudocima salaminia (EUDOSA)</xsl:when>
                    <xsl:when test="./i6:value = '123092'">Eudorcas thomsoni (EDORTH)</xsl:when>
                    <xsl:when test="./i6:value = '123093'">Euetheola rugiceps (EUETRU)</xsl:when>
                    <xsl:when test="./i6:value = '123094'">Eugaurax setigena (EUGXSE)</xsl:when>
                    <xsl:when test="./i6:value = '123095'">Euhyponomeutoides albithoracellus (EUHYAL)</xsl:when>
                    <xsl:when test="./i6:value = '123096'">Eulamprotes atrella (EWLAAT)</xsl:when>
                    <xsl:when test="./i6:value = '123097'">Eulecanium cerasorum (LECACE)</xsl:when>
                    <xsl:when test="./i6:value = '123098'">Eulecanium ficiphilum (LECAFI)</xsl:when>
                    <xsl:when test="./i6:value = '123099'">Eulecanium kunoense (LECAKU)</xsl:when>
                    <xsl:when test="./i6:value = '123100'">Eulecanium rugulosum (LECARG)</xsl:when>
                    <xsl:when test="./i6:value = '123101'">Eulecanium tiliae (LECATI)</xsl:when>
                    <xsl:when test="./i6:value = '123102'">Euleia heraclei (ACIDHE)</xsl:when>
                    <xsl:when test="./i6:value = '123103'">Eulithis populata (EULTPO)</xsl:when>
                    <xsl:when test="./i6:value = '123104'">Eulithis prunata (LYGRPR)</xsl:when>
                    <xsl:when test="./i6:value = '123105'">Eulophonotus myrmeleon (EULOMY)</xsl:when>
                    <xsl:when test="./i6:value = '123106'">Eumeces fasciatus (EUMSFA)</xsl:when>
                    <xsl:when test="./i6:value = '123107'">Eumerus figurans (EUMEFI)</xsl:when>
                    <xsl:when test="./i6:value = '123108'">Eumerus tuberculatus (EUMETU)</xsl:when>
                    <xsl:when test="./i6:value = '123109'">Eumorpha achemon (POLUAC)</xsl:when>
                    <xsl:when test="./i6:value = '123110'">Eumorpha satellitia (POLUSA)</xsl:when>
                    <xsl:when test="./i6:value = '123111'">Eunectes murinus (EUNEMU)</xsl:when>
                    <xsl:when test="./i6:value = '123112'">Euophryum confine (ENOPCO)</xsl:when>
                    <xsl:when test="./i6:value = '123113'">Eupagurus bernhardus (EPGRBE)</xsl:when>
                    <xsl:when test="./i6:value = '123114'">Eupalamides cyparassias (CASTDA)</xsl:when>
                    <xsl:when test="./i6:value = '123115'">Eupeodes americanus (SYRPAM)</xsl:when>
                    <xsl:when test="./i6:value = '123116'">Euphagus carolinus (EUPACA)</xsl:when>
                    <xsl:when test="./i6:value = '123117'">Euphagus cyanocephalus (EUPACY)</xsl:when>
                    <xsl:when test="./i6:value = '123118'">Euphoria inda (EUPOIN)</xsl:when>
                    <xsl:when test="./i6:value = '123119'">Euphoria melancholica (EUPOME)</xsl:when>
                    <xsl:when test="./i6:value = '123120'">Euphranta canadensis (EPOCCA)</xsl:when>
                    <xsl:when test="./i6:value = '123121'">Euphranta japonica (RHACJA)</xsl:when>
                    <xsl:when test="./i6:value = '123122'">Euphyllura phillyreae (EUPHPH)</xsl:when>
                    <xsl:when test="./i6:value = '123123'">Eupithecia abbreviata (EUPIAV)</xsl:when>
                    <xsl:when test="./i6:value = '123124'">Eupithecia abietaria (EUPIPI)</xsl:when>
                    <xsl:when test="./i6:value = '123125'">Eupithecia absinthiata (EUPIAB)</xsl:when>
                    <xsl:when test="./i6:value = '123126'">Eupithecia analoga (EUPIAN)</xsl:when>
                    <xsl:when test="./i6:value = '123127'">Eupithecia assimilata (EUPIAS)</xsl:when>
                    <xsl:when test="./i6:value = '123128'">Eupithecia exiguata (EUPIEX)</xsl:when>
                    <xsl:when test="./i6:value = '123129'">Eupithecia filmata (EUPIFI)</xsl:when>
                    <xsl:when test="./i6:value = '123130'">Eupithecia innotata (EUPIIN)</xsl:when>
                    <xsl:when test="./i6:value = '123131'">Eupithecia insigniata (TEPHIN)</xsl:when>
                    <xsl:when test="./i6:value = '123132'">Eupithecia linariata (EUPILI)</xsl:when>
                    <xsl:when test="./i6:value = '123133'">Eupithecia millefoliata (EUPIMI)</xsl:when>
                    <xsl:when test="./i6:value = '123134'">Eupithecia nanata (TEPHNA)</xsl:when>
                    <xsl:when test="./i6:value = '123135'">Eupithecia palpata (EUPIPA)</xsl:when>
                    <xsl:when test="./i6:value = '123136'">Eupithecia pulchellata (EUPIPU)</xsl:when>
                    <xsl:when test="./i6:value = '123137'">Eupithecia pusillata (EUPIPS)</xsl:when>
                    <xsl:when test="./i6:value = '123138'">Eupithecia pyreneata (EUPIPY)</xsl:when>
                    <xsl:when test="./i6:value = '123139'">Eupithecia sinuosaria (EUPISI)</xsl:when>
                    <xsl:when test="./i6:value = '123140'">Eupithecia spermaphaga (EUPISM)</xsl:when>
                    <xsl:when test="./i6:value = '123141'">Eupithecia tantillaria (EUPITA)</xsl:when>
                    <xsl:when test="./i6:value = '123142'">Eupithecia valerianata (EUPIVA)</xsl:when>
                    <xsl:when test="./i6:value = '123143'">Euplatypus compositus (PLTPCO)</xsl:when>
                    <xsl:when test="./i6:value = '123144'">Euplexia lucipara (EUPXLU)</xsl:when>
                    <xsl:when test="./i6:value = '123145'">Eupoecilia ambiguella (CLYSAM)</xsl:when>
                    <xsl:when test="./i6:value = '123146'">Euproctis fraterna (EUPRFR)</xsl:when>
                    <xsl:when test="./i6:value = '123147'">Euproctis karghalica (EUPRKA)</xsl:when>
                    <xsl:when test="./i6:value = '123148'">Euproctis pseudoconspersa (EUPRPS)</xsl:when>
                    <xsl:when test="./i6:value = '123149'">Eupteroidea stellulata (CICLST)</xsl:when>
                    <xsl:when test="./i6:value = '123150'">Eupteryx aurata (CICLAU)</xsl:when>
                    <xsl:when test="./i6:value = '123151'">Euribia zoe (EURBZO)</xsl:when>
                    <xsl:when test="./i6:value = '123152'">Eurodryas aurinia (EDRYAU)</xsl:when>
                    <xsl:when test="./i6:value = '123153'">Eurois occulta (EURMOC)</xsl:when>
                    <xsl:when test="./i6:value = '123154'">Eurois prasina (EURMPR)</xsl:when>
                    <xsl:when test="./i6:value = '123155'">Eurycotis floridana (EURCFL)</xsl:when>
                    <xsl:when test="./i6:value = '123156'">Eurydema oleraceum (EURDOL)</xsl:when>
                    <xsl:when test="./i6:value = '123157'">Eurydema ornatum (EURDOR)</xsl:when>
                    <xsl:when test="./i6:value = '123158'">Eurydema pulchrum (EURDPU)</xsl:when>
                    <xsl:when test="./i6:value = '123159'">Eurygaster maura (EURYMA)</xsl:when>
                    <xsl:when test="./i6:value = '123160'">Eurytoma amygdali (EURTAM)</xsl:when>
                    <xsl:when test="./i6:value = '123161'">Eurytoma orchidearum (EURTOR)</xsl:when>
                    <xsl:when test="./i6:value = '123162'">Eurytoma plotnikovi (EURTPL)</xsl:when>
                    <xsl:when test="./i6:value = '123163'">Eurytoma schreineri (EURTSC)</xsl:when>
                    <xsl:when test="./i6:value = '123164'">Euscepes postfasciatus (EUSPPO)</xsl:when>
                    <xsl:when test="./i6:value = '123165'">Euschistus impictiventris (EUSCIM)</xsl:when>
                    <xsl:when test="./i6:value = '123166'">Euschistus servus (EUSCSE)</xsl:when>
                    <xsl:when test="./i6:value = '123167'">Euschistus tristigmus (EUSCTR)</xsl:when>
                    <xsl:when test="./i6:value = '123168'">Euschistus variolarius (EUSCVA)</xsl:when>
                    <xsl:when test="./i6:value = '123169'">Eutamias minimus (EUTAMP)</xsl:when>
                    <xsl:when test="./i6:value = '123170'">Eutamias townsendii (EUTATO)</xsl:when>
                    <xsl:when test="./i6:value = '123171'">Eutetranychus africanus (EUTEAF)</xsl:when>
                    <xsl:when test="./i6:value = '123172'">Eutetranychus banksi (EUTEBA)</xsl:when>
                    <xsl:when test="./i6:value = '123173'">Eutetranychus orientalis (EUTEOR)</xsl:when>
                    <xsl:when test="./i6:value = '123174'">Eutetranychus pantopus (EUTEPA)</xsl:when>
                    <xsl:when test="./i6:value = '123175'">Euthyrrhapha pacifica (EUTPPA)</xsl:when>
                    <xsl:when test="./i6:value = '123176'">Euthystira brachyptera (EUTSBR)</xsl:when>
                    <xsl:when test="./i6:value = '123177'">Eutreta xanthochaeta (EUTTXA)</xsl:when>
                    <xsl:when test="./i6:value = '123178'">Eutrombicula alfreddugesi (TROBAL)</xsl:when>
                    <xsl:when test="./i6:value = '123179'">Eutrombidium rostratum (EUTRRO)</xsl:when>
                    <xsl:when test="./i6:value = '123180'">Eutrombidium trigonum (EUTRTR)</xsl:when>
                    <xsl:when test="./i6:value = '123181'">Eutypa lata (EUTYLA)</xsl:when>
                    <xsl:when test="./i6:value = '123182'">Eutypella parasitica (ETPLPA)</xsl:when>
                    <xsl:when test="./i6:value = '123183'">Euura atra (EUURAT)</xsl:when>
                    <xsl:when test="./i6:value = '123184'">Euura mucronata (EUURMU)</xsl:when>
                    <xsl:when test="./i6:value = '123185'">Euwallacea fornicatus (XYLBFO)</xsl:when>
                    <xsl:when test="./i6:value = '123186'">Euwallacea validus (XYLBVA)</xsl:when>
                    <xsl:when test="./i6:value = '123187'">Euxesta notata (EUXENO)</xsl:when>
                    <xsl:when test="./i6:value = '123188'">Euxoa nigricans (EUXONI)</xsl:when>
                    <xsl:when test="./i6:value = '123189'">Euxoa obelisca (EUXOOB)</xsl:when>
                    <xsl:when test="./i6:value = '123190'">Euxoa tritici (EUXOTR)</xsl:when>
                    <xsl:when test="./i6:value = '123191'">Euzophera osseatella (EUZOOS)</xsl:when>
                    <xsl:when test="./i6:value = '123192'">Euzophera perticella (EUZOPE)</xsl:when>
                    <xsl:when test="./i6:value = '123193'">Euzophera semifuneralis (EUZOSE)</xsl:when>
                    <xsl:when test="./i6:value = '123194'">Euzopherodes vapidella (EPHEVA)</xsl:when>
                    <xsl:when test="./i6:value = '123195'">Everes argiades (EVRSAR)</xsl:when>
                    <xsl:when test="./i6:value = '123196'">Evergestis forficalis (EVERFO)</xsl:when>
                    <xsl:when test="./i6:value = '123197'">Exelastis atomosa (EXELAT)</xsl:when>
                    <xsl:when test="./i6:value = '123198'">Exitianus exitiosus (EXITEX)</xsl:when>
                    <xsl:when test="./i6:value = '123199'">Exobasidium expansum (EXOBEX)</xsl:when>
                    <xsl:when test="./i6:value = '123200'">Exobasidium maculosum (EXOBMA)</xsl:when>
                    <xsl:when test="./i6:value = '123201'">Exobasidium reticulatum (EXOBRE)</xsl:when>
                    <xsl:when test="./i6:value = '123202'">Exobasidium rhododendri (EXOBRH)</xsl:when>
                    <xsl:when test="./i6:value = '123203'">Exobasidium sydowianum (EXOBSY)</xsl:when>
                    <xsl:when test="./i6:value = '123204'">Exobasidium vaccinii (EXOBVA)</xsl:when>
                    <xsl:when test="./i6:value = '123205'">Exobasidium vaccinii var. japonicum (EXOBVJ)</xsl:when>
                    <xsl:when test="./i6:value = '123206'">Exobasidium vexans (EXOBVE)</xsl:when>
                    <xsl:when test="./i6:value = '123207'">Exochomus quadripustulatus (EXOCQU)</xsl:when>
                    <xsl:when test="./i6:value = '123208'">Exorista sorbillans (EXORSO)</xsl:when>
                    <xsl:when test="./i6:value = '123209'">Exoteleia burkei (EXOTBU)</xsl:when>
                    <xsl:when test="./i6:value = '123210'">Exoteleia dodecella (EXOTDO)</xsl:when>
                    <xsl:when test="./i6:value = '123211'">Exoteleia nepheos (EXOTNE)</xsl:when>
                    <xsl:when test="./i6:value = '123212'">Exoteleia pinifoliella (EXOTPI)</xsl:when>
                    <xsl:when test="./i6:value = '123213'">Eysarcoris fabricii (EUSAFA)</xsl:when>
                    <xsl:when test="./i6:value = '123214'">Eysarcoris guttiger (EUSAGU)</xsl:when>
                    <xsl:when test="./i6:value = '123215'">Eysarcoris lewisi (EUSALE)</xsl:when>
                    <xsl:when test="./i6:value = '123216'">Eysarcoris parvus (EUSAPA)</xsl:when>
                    <xsl:when test="./i6:value = '123217'">Fabriciana adippe (FBRCAD)</xsl:when>
                    <xsl:when test="./i6:value = '123218'">Fabriciana niobe (FBRCNI)</xsl:when>
                    <xsl:when test="./i6:value = '123219'">Fagiphagus imbricator (PARPIM)</xsl:when>
                    <xsl:when test="./i6:value = '123220'">Falcaria lacertinaria (FLCRLA)</xsl:when>
                    <xsl:when test="./i6:value = '123221'">Falco peregrinus (FALPCE)</xsl:when>
                    <xsl:when test="./i6:value = '123222'">Falco tinnunculus (FALCTI)</xsl:when>
                    <xsl:when test="./i6:value = '123223'">Fannia canicularis (FANNCA)</xsl:when>
                    <xsl:when test="./i6:value = '123224'">Fannia pusio (FANNPU)</xsl:when>
                    <xsl:when test="./i6:value = '123225'">Fannia scalaris (FANNSC)</xsl:when>
                    <xsl:when test="./i6:value = '123226'">Farysia catenata (FARYCA)</xsl:when>
                    <xsl:when test="./i6:value = '123227'">Fasciola hepatica (FASCHE)</xsl:when>
                    <xsl:when test="./i6:value = '123228'">Fascista cercerisella (GELECE)</xsl:when>
                    <xsl:when test="./i6:value = '123229'">Felis catus (FELIDO)</xsl:when>
                    <xsl:when test="./i6:value = '123230'">Felis concolor (FELICO)</xsl:when>
                    <xsl:when test="./i6:value = '123231'">Feltiella acarisuga (THRDPE)</xsl:when>
                    <xsl:when test="./i6:value = '123232'">Fenusa dohrnii (FENUDO)</xsl:when>
                    <xsl:when test="./i6:value = '123233'">Fenusa pusilla (FENUPU)</xsl:when>
                    <xsl:when test="./i6:value = '123234'">fern weeds (3FERNT)</xsl:when>
                    <xsl:when test="./i6:value = '123235'">Ferrisia gilli (FERRGI)</xsl:when>
                    <xsl:when test="./i6:value = '123236'">Ferrisia virgata (PSECVI)</xsl:when>
                    <xsl:when test="./i6:value = '123237'">Ficopomatus enigmaticus (FICPEN)</xsl:when>
                    <xsl:when test="./i6:value = '123238'">Fidia viticida (FIDIVI)</xsl:when>
                    <xsl:when test="./i6:value = '123239'">Filatima demissae (GELEDM)</xsl:when>
                    <xsl:when test="./i6:value = '123240'">Filatima persicaella (GELECO)</xsl:when>
                    <xsl:when test="./i6:value = '123241'">Filobasidiella bacillispora (FILBBS)</xsl:when>
                    <xsl:when test="./i6:value = '123242'">Filobasidiella neoformans (FILBNF)</xsl:when>
                    <xsl:when test="./i6:value = '123243'">Fimbriaphis fimbriata (FIMBFI)</xsl:when>
                    <xsl:when test="./i6:value = '123244'">Fiorinia phoenicis (FIORPH)</xsl:when>
                    <xsl:when test="./i6:value = '123245'">Fiorinia theae (FIORTH)</xsl:when>
                    <xsl:when test="./i6:value = '123246'">Fistularia commersonii (FSTLCO)</xsl:when>
                    <xsl:when test="./i6:value = '123247'">Fistulina hepatica (FISTHE)</xsl:when>
                    <xsl:when test="./i6:value = '123248'">Flammulina velutipes (FLMUVE)</xsl:when>
                    <xsl:when test="./i6:value = '123249'">Fleutiauxia armata (FLEUAR)</xsl:when>
                    <xsl:when test="./i6:value = '123250'">Fomes fomentarius (FOMEFO)</xsl:when>
                    <xsl:when test="./i6:value = '123251'">Fomitiporia mediterranea (FOMPME)</xsl:when>
                    <xsl:when test="./i6:value = '123252'">Fomitopsis palustris (FOMIPA)</xsl:when>
                    <xsl:when test="./i6:value = '123253'">Fomitopsis pinicola (FOMEPI)</xsl:when>
                    <xsl:when test="./i6:value = '123254'">Fomitopsis rosea (FOMIRO)</xsl:when>
                    <xsl:when test="./i6:value = '123255'">Forda formicaria (FORDFO)</xsl:when>
                    <xsl:when test="./i6:value = '123256'">Forficula auricularia (FORFAU)</xsl:when>
                    <xsl:when test="./i6:value = '123257'">Forficula lesnei (FORFLE)</xsl:when>
                    <xsl:when test="./i6:value = '123258'">Formica exsecta (COPFEX)</xsl:when>
                    <xsl:when test="./i6:value = '123259'">Formica exsectoides (FORMEX)</xsl:when>
                    <xsl:when test="./i6:value = '123260'">Formica fusca (SERVFU)</xsl:when>
                    <xsl:when test="./i6:value = '123261'">Formica lugubris (FORMLU)</xsl:when>
                    <xsl:when test="./i6:value = '123262'">Formica obscuripes (FORMOB)</xsl:when>
                    <xsl:when test="./i6:value = '123263'">Formica picea (FORMPI)</xsl:when>
                    <xsl:when test="./i6:value = '123264'">Formica polyctena (FORMPO)</xsl:when>
                    <xsl:when test="./i6:value = '123265'">Formica pratensis (FORMNI)</xsl:when>
                    <xsl:when test="./i6:value = '123266'">Formica rufa (FORMRU)</xsl:when>
                    <xsl:when test="./i6:value = '123267'">Formica rufibarbis (SERVRU)</xsl:when>
                    <xsl:when test="./i6:value = '123268'">Formica truncorum (FORMTR)</xsl:when>
                    <xsl:when test="./i6:value = '123269'">Formicoxenus nitidulus (FORXNI)</xsl:when>
                    <xsl:when test="./i6:value = '123270'">Frankliniella australis (FRANCS)</xsl:when>
                    <xsl:when test="./i6:value = '123271'">Frankliniella bispinosa (FRANBI)</xsl:when>
                    <xsl:when test="./i6:value = '123272'">Frankliniella cephalica (FRANCE)</xsl:when>
                    <xsl:when test="./i6:value = '123273'">Frankliniella fusca (FRANFU)</xsl:when>
                    <xsl:when test="./i6:value = '123274'">Frankliniella gossypiana (FRANGO)</xsl:when>
                    <xsl:when test="./i6:value = '123275'">Frankliniella insularis (FRANIS)</xsl:when>
                    <xsl:when test="./i6:value = '123276'">Frankliniella intonsa (FRANIT)</xsl:when>
                    <xsl:when test="./i6:value = '123277'">Frankliniella minuta (FRANMI)</xsl:when>
                    <xsl:when test="./i6:value = '123278'">Frankliniella morilli (FRANMR)</xsl:when>
                    <xsl:when test="./i6:value = '123279'">Frankliniella occidentalis (FRANOC)</xsl:when>
                    <xsl:when test="./i6:value = '123280'">Frankliniella parvula (FRANPR)</xsl:when>
                    <xsl:when test="./i6:value = '123281'">Frankliniella schultzei (FRANSC)</xsl:when>
                    <xsl:when test="./i6:value = '123282'">Frankliniella tritici (FRANTR)</xsl:when>
                    <xsl:when test="./i6:value = '123283'">Frankliniella vaccinii (FRANVA)</xsl:when>
                    <xsl:when test="./i6:value = '123284'">Frankliniella williamsi (FRANWI)</xsl:when>
                    <xsl:when test="./i6:value = '123285'">Franklinothrips vespiformis (FRALVE)</xsl:when>
                    <xsl:when test="./i6:value = '123286'">Fratercula arctica (FRATAR)</xsl:when>
                    <xsl:when test="./i6:value = '123287'">Fregata magnificens (FREGMA)</xsl:when>
                    <xsl:when test="./i6:value = '123288'">Fremitomyces punctatus (FREMPU)</xsl:when>
                    <xsl:when test="./i6:value = '123289'">Fringilla coelebs (FRINCO)</xsl:when>
                    <xsl:when test="./i6:value = '123290'">Fringilla montifringilla (FRINMO)</xsl:when>
                    <xsl:when test="./i6:value = '123291'">Frommeëlla duchesneae (FRMLDU)</xsl:when>
                    <xsl:when test="./i6:value = '123292'">Frommeëlla tormentillae (FROMOB)</xsl:when>
                    <xsl:when test="./i6:value = '123293'">Fruticicola fruticum (BRABFR)</xsl:when>
                    <xsl:when test="./i6:value = '123294'">Fulica atra (FULCAT)</xsl:when>
                    <xsl:when test="./i6:value = '123295'">Fulmarus glacialis (FLMRGL)</xsl:when>
                    <xsl:when test="./i6:value = '123296'">Fulmekiola serrata (FULMSE)</xsl:when>
                    <xsl:when test="./i6:value = '123297'">Fumibotys fumalis (FUMBFU)</xsl:when>
                    <xsl:when test="./i6:value = '123298'">Funambulus palmarum (FUNAPA)</xsl:when>
                    <xsl:when test="./i6:value = '123299'">Funambulus pennanti (FUNAPE)</xsl:when>
                    <xsl:when test="./i6:value = '123300'">Fundella pellucens (FUNDPE)</xsl:when>
                    <xsl:when test="./i6:value = '123301'">Furcaspis oceanica (FURCOC)</xsl:when>
                    <xsl:when test="./i6:value = '123302'">Furcipus rectirostris (ANTHRE)</xsl:when>
                    <xsl:when test="./i6:value = '123303'">Furcula bifida (HARYHE)</xsl:when>
                    <xsl:when test="./i6:value = '123304'">Fusarium anguioides (FUSAAN)</xsl:when>
                    <xsl:when test="./i6:value = '123305'">Fusarium arthrosporioides (FUSAAR)</xsl:when>
                    <xsl:when test="./i6:value = '123306'">Fusarium brasiliense (FUSABR)</xsl:when>
                    <xsl:when test="./i6:value = '123307'">Fusarium bucharicum (FUSABU)</xsl:when>
                    <xsl:when test="./i6:value = '123308'">Fusarium circinatum (GIBBCI)</xsl:when>
                    <xsl:when test="./i6:value = '123309'">Fusarium coeruleum (FUSASC)</xsl:when>
                    <xsl:when test="./i6:value = '123310'">Fusarium crassistipitatum (FUSACZ)</xsl:when>
                    <xsl:when test="./i6:value = '123311'">Fusarium culmorum (FUSACU)</xsl:when>
                    <xsl:when test="./i6:value = '123312'">Fusarium foetens (FUSAFO)</xsl:when>
                    <xsl:when test="./i6:value = '123313'">Fusarium fuliginosporum (FUSAFU)</xsl:when>
                    <xsl:when test="./i6:value = '123314'">Fusarium fusarioides (FUSAFS)</xsl:when>
                    <xsl:when test="./i6:value = '123315'">Fusarium incarnatum (FUSAST)</xsl:when>
                    <xsl:when test="./i6:value = '123316'">Fusarium lutulatum (FUSALT)</xsl:when>
                    <xsl:when test="./i6:value = '123317'">Fusarium mexicanum (FUSAMX)</xsl:when>
                    <xsl:when test="./i6:value = '123318'">Fusarium oxysporum (FUSAOX)</xsl:when>
                    <xsl:when test="./i6:value = '123319'">Fusarium oxysporum f. sp. albedinis (FUSAAL)</xsl:when>
                    <xsl:when test="./i6:value = '123320'">Fusarium oxysporum f. sp. apii (FUSAAP)</xsl:when>
                    <xsl:when test="./i6:value = '123321'">Fusarium oxysporum f. sp. asparagi (FUSAAS)</xsl:when>
                    <xsl:when test="./i6:value = '123322'">Fusarium oxysporum f. sp. basilici (FUSABS)</xsl:when>
                    <xsl:when test="./i6:value = '123323'">Fusarium oxysporum f. sp. batatas (FUSABA)</xsl:when>
                    <xsl:when test="./i6:value = '123324'">Fusarium oxysporum f. sp. betae (FUSABE)</xsl:when>
                    <xsl:when test="./i6:value = '123325'">Fusarium oxysporum f. sp. callistephi (FUSACL)</xsl:when>
                    <xsl:when test="./i6:value = '123326'">Fusarium oxysporum f. sp. canariensis (FUSACS)</xsl:when>
                    <xsl:when test="./i6:value = '123327'">Fusarium oxysporum f. sp. cannabis (FUSACN)</xsl:when>
                    <xsl:when test="./i6:value = '123328'">Fusarium oxysporum f. sp. carthami (FUSACA)</xsl:when>
                    <xsl:when test="./i6:value = '123329'">Fusarium oxysporum f. sp. cepae (FUSACE)</xsl:when>
                    <xsl:when test="./i6:value = '123330'">Fusarium oxysporum f. sp. chrysanthemi (FUSACH)</xsl:when>
                    <xsl:when test="./i6:value = '123331'">Fusarium oxysporum f. sp. ciceris (FUSACI)</xsl:when>
                    <xsl:when test="./i6:value = '123332'">Fusarium oxysporum f. sp. citri (FUSACT)</xsl:when>
                    <xsl:when test="./i6:value = '123333'">Fusarium oxysporum f. sp. conglutinans (FUSACO)</xsl:when>
                    <xsl:when test="./i6:value = '123334'">Fusarium oxysporum f. sp. coriandrii (FUSACR)</xsl:when>
                    <xsl:when test="./i6:value = '123335'">Fusarium oxysporum f. sp. cubense (FUSACB)</xsl:when>
                    <xsl:when test="./i6:value = '123336'">Fusarium oxysporum f. sp. cucumerinum (FUSACC)</xsl:when>
                    <xsl:when test="./i6:value = '123337'">Fusarium oxysporum f. sp. cumini (FUSACM)</xsl:when>
                    <xsl:when test="./i6:value = '123338'">Fusarium oxysporum f. sp. dianthi (FUSADI)</xsl:when>
                    <xsl:when test="./i6:value = '123339'">Fusarium oxysporum f. sp. elaeidis (FUSAEL)</xsl:when>
                    <xsl:when test="./i6:value = '123340'">Fusarium oxysporum f. sp. fabae (FUSAFA)</xsl:when>
                    <xsl:when test="./i6:value = '123341'">Fusarium oxysporum f. sp. fragariae (FUSAFR)</xsl:when>
                    <xsl:when test="./i6:value = '123342'">Fusarium oxysporum f. sp. gerberae (FUSAGE)</xsl:when>
                    <xsl:when test="./i6:value = '123343'">Fusarium oxysporum f. sp. gladioli (FUSAGL)</xsl:when>
                    <xsl:when test="./i6:value = '123344'">Fusarium oxysporum f. sp. glycines (FUSAGY)</xsl:when>
                    <xsl:when test="./i6:value = '123345'">Fusarium oxysporum f. sp. lagenariae (FUSALG)</xsl:when>
                    <xsl:when test="./i6:value = '123346'">Fusarium oxysporum f. sp. lentis (FUSALE)</xsl:when>
                    <xsl:when test="./i6:value = '123347'">Fusarium oxysporum f. sp. lilii (FUSALL)</xsl:when>
                    <xsl:when test="./i6:value = '123348'">Fusarium oxysporum f. sp. lini (FUSALI)</xsl:when>
                    <xsl:when test="./i6:value = '123349'">Fusarium oxysporum f. sp. lupini (FUSALU)</xsl:when>
                    <xsl:when test="./i6:value = '123350'">Fusarium oxysporum f. sp. lycopersici (FUSALY)</xsl:when>
                    <xsl:when test="./i6:value = '123351'">Fusarium oxysporum f. sp. matthiolae (FUSAMA)</xsl:when>
                    <xsl:when test="./i6:value = '123352'">Fusarium oxysporum f. sp. medicaginis (FUSAMD)</xsl:when>
                    <xsl:when test="./i6:value = '123353'">Fusarium oxysporum f. sp. melonis (FUSAME)</xsl:when>
                    <xsl:when test="./i6:value = '123354'">Fusarium oxysporum f. sp. narcissi (FUSANA)</xsl:when>
                    <xsl:when test="./i6:value = '123355'">Fusarium oxysporum f. sp. nicotianae (FUSANI)</xsl:when>
                    <xsl:when test="./i6:value = '123356'">Fusarium oxysporum f. sp. niveum (FUSANV)</xsl:when>
                    <xsl:when test="./i6:value = '123357'">Fusarium oxysporum f. sp. palmarum (FUSAPL)</xsl:when>
                    <xsl:when test="./i6:value = '123358'">Fusarium oxysporum f. sp. passiflorae (FUSAPA)</xsl:when>
                    <xsl:when test="./i6:value = '123359'">Fusarium oxysporum f. sp. phaseoli (FUSAPH)</xsl:when>
                    <xsl:when test="./i6:value = '123360'">Fusarium oxysporum f. sp. pisi (FUSAPI)</xsl:when>
                    <xsl:when test="./i6:value = '123361'">Fusarium oxysporum f. sp. radicis-cucumerinum (FUSARC)</xsl:when>
                    <xsl:when test="./i6:value = '123362'">Fusarium oxysporum f. sp. rapae (FUSARP)</xsl:when>
                    <xsl:when test="./i6:value = '123363'">Fusarium oxysporum f. sp. raphani (FUSARA)</xsl:when>
                    <xsl:when test="./i6:value = '123364'">Fusarium oxysporum f. sp. ricini (FUSARI)</xsl:when>
                    <xsl:when test="./i6:value = '123365'">Fusarium oxysporum f. sp. sesami (FUSAES)</xsl:when>
                    <xsl:when test="./i6:value = '123366'">Fusarium oxysporum f. sp. spinaciae (FUSAPN)</xsl:when>
                    <xsl:when test="./i6:value = '123367'">Fusarium oxysporum f. sp. tracheiphilum (FUSATR)</xsl:when>
                    <xsl:when test="./i6:value = '123368'">Fusarium oxysporum f. sp. tulipae (FUSATU)</xsl:when>
                    <xsl:when test="./i6:value = '123369'">Fusarium oxysporum f. sp. vanillae (FUSAVN)</xsl:when>
                    <xsl:when test="./i6:value = '123370'">Fusarium oxysporum f. sp. vasinfectum (FUSAVA)</xsl:when>
                    <xsl:when test="./i6:value = '123371'">Fusarium oxysporum var. aurantiacum (FUSAAU)</xsl:when>
                    <xsl:when test="./i6:value = '123372'">Fusarium oxysporum var. redolens (FUSARE)</xsl:when>
                    <xsl:when test="./i6:value = '123373'">Fusarium poae (FUSAPO)</xsl:when>
                    <xsl:when test="./i6:value = '123374'">Fusarium sacchari (CPHUSA)</xsl:when>
                    <xsl:when test="./i6:value = '123375'">Fusarium solani (FUSASO)</xsl:when>
                    <xsl:when test="./i6:value = '123376'">Fusarium solani f. sp. cucurbitae (FUSASU)</xsl:when>
                    <xsl:when test="./i6:value = '123377'">Fusarium solani f. sp. phaseoli (FUSASH)</xsl:when>
                    <xsl:when test="./i6:value = '123378'">Fusarium solani f. sp. pisi (FUSASI)</xsl:when>
                    <xsl:when test="./i6:value = '123379'">Fusarium solani f. sp. radicicola (FUSASD)</xsl:when>
                    <xsl:when test="./i6:value = '123380'">Fusarium sporotrichioides (FUSASR)</xsl:when>
                    <xsl:when test="./i6:value = '123381'">Fusarium trichothecioides (FUSATT)</xsl:when>
                    <xsl:when test="./i6:value = '123382'">Fusarium tricinctum (FUSATI)</xsl:when>
                    <xsl:when test="./i6:value = '123383'">Fusarium tucumaniae (FUSATC)</xsl:when>
                    <xsl:when test="./i6:value = '123384'">Fusarium udum f. sp. crotalariae (FUSAUC)</xsl:when>
                    <xsl:when test="./i6:value = '123385'">Fusarium virguliforme (FUSAVI)</xsl:when>
                    <xsl:when test="./i6:value = '123386'">Fusicladium levieri (FUSLLE)</xsl:when>
                    <xsl:when test="./i6:value = '123387'">Fusicladium oleagineum (CYCLOL)</xsl:when>
                    <xsl:when test="./i6:value = '123388'">Gadus macrocephalus (GADUMA)</xsl:when>
                    <xsl:when test="./i6:value = '123389'">Gadus morhua (GADUMO)</xsl:when>
                    <xsl:when test="./i6:value = '123390'">Gaeumannomyces graminis (GAEUGR)</xsl:when>
                    <xsl:when test="./i6:value = '123391'">Gaeumannomyces graminis var. avenae (GAEUGA)</xsl:when>
                    <xsl:when test="./i6:value = '123392'">Gaeumannomyces graminis var. tritici (GAEUGT)</xsl:when>
                    <xsl:when test="./i6:value = '123393'">Galago senegalensis (GALGSE)</xsl:when>
                    <xsl:when test="./i6:value = '123394'">Galba palustris (GALBPA)</xsl:when>
                    <xsl:when test="./i6:value = '123395'">Galba truncatula (LYMNTR)</xsl:when>
                    <xsl:when test="./i6:value = '123396'">Galemys pyrenaicus (GALMPY)</xsl:when>
                    <xsl:when test="./i6:value = '123397'">Galendromus occidentalis (TYPLOC)</xsl:when>
                    <xsl:when test="./i6:value = '123398'">Galeocerdo cuvier (GLCECU)</xsl:when>
                    <xsl:when test="./i6:value = '123399'">Galerida cristata (GALRCR)</xsl:when>
                    <xsl:when test="./i6:value = '123400'">Galeruca browni (GALCBR)</xsl:when>
                    <xsl:when test="./i6:value = '123401'">Galerucella decora carbo (GALECR)</xsl:when>
                    <xsl:when test="./i6:value = '123402'">Galleria mellonella (GALLME)</xsl:when>
                    <xsl:when test="./i6:value = '123403'">Gallinula chloropus (GLLNCH)</xsl:when>
                    <xsl:when test="./i6:value = '123404'">Gallus gallus (GALUGG)</xsl:when>
                    <xsl:when test="./i6:value = '123405'">Gallus gallus bankiva (GALUBA)</xsl:when>
                    <xsl:when test="./i6:value = '123406'">Gallus gallus domesticus (GALUDO)</xsl:when>
                    <xsl:when test="./i6:value = '123407'">Gallus lafayettii (GALULA)</xsl:when>
                    <xsl:when test="./i6:value = '123408'">Gallus sonneratii (GALUSO)</xsl:when>
                    <xsl:when test="./i6:value = '123409'">Gampsocleis glabra (GAMCGL)</xsl:when>
                    <xsl:when test="./i6:value = '123410'">Ganoderma lucidum (GANOLU)</xsl:when>
                    <xsl:when test="./i6:value = '123411'">Ganoderma orbiforme (GANOBO)</xsl:when>
                    <xsl:when test="./i6:value = '123412'">Ganoderma philippii (GANOPH)</xsl:when>
                    <xsl:when test="./i6:value = '123413'">Ganoderma tornatum (GANOTO)</xsl:when>
                    <xsl:when test="./i6:value = '123414'">Ganoderma zonatum (GANOZO)</xsl:when>
                    <xsl:when test="./i6:value = '123415'">Gargaphia solani (GARGSO)</xsl:when>
                    <xsl:when test="./i6:value = '123416'">Gargaphia tiliae (GARGTI)</xsl:when>
                    <xsl:when test="./i6:value = '123417'">Gargaphia torresi (GARGTO)</xsl:when>
                    <xsl:when test="./i6:value = '123418'">Garrulax leucolophus (GARXLE)</xsl:when>
                    <xsl:when test="./i6:value = '123419'">Gascardia brevicauda (GASDBR)</xsl:when>
                    <xsl:when test="./i6:value = '123420'">Gasteracantha cancriformis (GASCCA)</xsl:when>
                    <xsl:when test="./i6:value = '123421'">Gasterophilus haemorrhoidalis (GASEHA)</xsl:when>
                    <xsl:when test="./i6:value = '123422'">Gasterophilus intestinalis (GASEIN)</xsl:when>
                    <xsl:when test="./i6:value = '123423'">Gasterophilus nasalis (GASENA)</xsl:when>
                    <xsl:when test="./i6:value = '123424'">Gastrallus immarginatus (GSTAIM)</xsl:when>
                    <xsl:when test="./i6:value = '123425'">Gastrodes abietum (GASTAB)</xsl:when>
                    <xsl:when test="./i6:value = '123426'">Gastrodes grossipes (GASTGR)</xsl:when>
                    <xsl:when test="./i6:value = '123427'">Gastroidea cyanea (GASRCY)</xsl:when>
                    <xsl:when test="./i6:value = '123428'">Gastroidea polygoni (GASRPO)</xsl:when>
                    <xsl:when test="./i6:value = '123429'">Gastroidea viridula (GASRVI)</xsl:when>
                    <xsl:when test="./i6:value = '123430'">Gauromydas heros (GMYDHE)</xsl:when>
                    <xsl:when test="./i6:value = '123431'">Gavia immer (GAVIIM)</xsl:when>
                    <xsl:when test="./i6:value = '123432'">Gavialis gangeticus (GAVLGA)</xsl:when>
                    <xsl:when test="./i6:value = '123433'">Geastrum floriferum (GESTFL)</xsl:when>
                    <xsl:when test="./i6:value = '123434'">Geastrum lageniforme (GESTLG)</xsl:when>
                    <xsl:when test="./i6:value = '123435'">Geastrum minimum (GESTMI)</xsl:when>
                    <xsl:when test="./i6:value = '123436'">Geastrum saccatum (GESTSA)</xsl:when>
                    <xsl:when test="./i6:value = '123437'">Geastrum striatum (GESTST)</xsl:when>
                    <xsl:when test="./i6:value = '123438'">Geastrumia polystigmatis (GEASPO)</xsl:when>
                    <xsl:when test="./i6:value = '123439'">Gegenes pumilio (GEGEPU)</xsl:when>
                    <xsl:when test="./i6:value = '123440'">Geisha distinctissima (GEISDI)</xsl:when>
                    <xsl:when test="./i6:value = '123441'">Gekko gecko (GEKKGE)</xsl:when>
                    <xsl:when test="./i6:value = '123442'">Gelastocoris oculatus (GELAOC)</xsl:when>
                    <xsl:when test="./i6:value = '123443'">Gelechia hippophaella (GELEHI)</xsl:when>
                    <xsl:when test="./i6:value = '123444'">Gelechia nigra (GELENI)</xsl:when>
                    <xsl:when test="./i6:value = '123445'">Gelechia rhombella (GELERH)</xsl:when>
                    <xsl:when test="./i6:value = '123446'">Gelechia vernella (GELEVR)</xsl:when>
                    <xsl:when test="./i6:value = '123447'">Genea hispidula (GENEHI)</xsl:when>
                    <xsl:when test="./i6:value = '123448'">Genea verrucosa (GENEVE)</xsl:when>
                    <xsl:when test="./i6:value = '123449'">Genetta genetta (GENTGE)</xsl:when>
                    <xsl:when test="./i6:value = '123450'">Geococcus oryzae (GECCOR)</xsl:when>
                    <xsl:when test="./i6:value = '123451'">Geococcyx californianus (GECXCA)</xsl:when>
                    <xsl:when test="./i6:value = '123452'">Geocoris bullatus (GEOCBU)</xsl:when>
                    <xsl:when test="./i6:value = '123453'">Geocoris decoratus (GEOCDE)</xsl:when>
                    <xsl:when test="./i6:value = '123454'">Geocoris pallens (GEOCPA)</xsl:when>
                    <xsl:when test="./i6:value = '123455'">Geoglossum atropurpureum (GEOGAT)</xsl:when>
                    <xsl:when test="./i6:value = '123456'">Geoglossum umbratile (GEOGUM)</xsl:when>
                    <xsl:when test="./i6:value = '123457'">Geomalacus maculosus (GEOAMA)</xsl:when>
                    <xsl:when test="./i6:value = '123458'">Geometra papilionaria (HIPCPA)</xsl:when>
                    <xsl:when test="./i6:value = '123459'">Geopora sumneriana (GEPRSU)</xsl:when>
                    <xsl:when test="./i6:value = '123460'">Geosmithia morbida (GEOHMO)</xsl:when>
                    <xsl:when test="./i6:value = '123461'">Geotrichum candidum (GEOTCA)</xsl:when>
                    <xsl:when test="./i6:value = '123462'">Geotrichum candidum var. citri-aurantii (GEOTCI)</xsl:when>
                    <xsl:when test="./i6:value = '123463'">Geotrupes stercorarius (GEOUSR)</xsl:when>
                    <xsl:when test="./i6:value = '123464'">Gerris lacustris (GRRILA)</xsl:when>
                    <xsl:when test="./i6:value = '123465'">Gibberella acuminata (GIBBAC)</xsl:when>
                    <xsl:when test="./i6:value = '123466'">Gibberella avenacea (GIBBAV)</xsl:when>
                    <xsl:when test="./i6:value = '123467'">Gibberella baccata (GIBBBA)</xsl:when>
                    <xsl:when test="./i6:value = '123468'">Gibberella coronicola (GIBBCO)</xsl:when>
                    <xsl:when test="./i6:value = '123469'">Gibberella cyanea (GIBBCY)</xsl:when>
                    <xsl:when test="./i6:value = '123470'">Gibberella cyanogena (GIBBCN)</xsl:when>
                    <xsl:when test="./i6:value = '123471'">Gibberella fujikuroi (GIBBFU)</xsl:when>
                    <xsl:when test="./i6:value = '123472'">Gibberella fujikuroi var. subglutinans (GIBBFS)</xsl:when>
                    <xsl:when test="./i6:value = '123473'">Gibberella hostae (GIBBHO)</xsl:when>
                    <xsl:when test="./i6:value = '123474'">Gibberella indica (FUSAUD)</xsl:when>
                    <xsl:when test="./i6:value = '123475'">Gibberella intricans (GIBBIN)</xsl:when>
                    <xsl:when test="./i6:value = '123476'">Gibberella moniliformis (FUSAVR)</xsl:when>
                    <xsl:when test="./i6:value = '123477'">Gibberella pulicaris (GIBBPU)</xsl:when>
                    <xsl:when test="./i6:value = '123478'">Gibberella rosea (FUSARO)</xsl:when>
                    <xsl:when test="./i6:value = '123479'">Gibberella stilboides (GIBBST)</xsl:when>
                    <xsl:when test="./i6:value = '123480'">Gibberella xylarioides (GIBBXY)</xsl:when>
                    <xsl:when test="./i6:value = '123481'">Gibberella zeae (GIBBZE)</xsl:when>
                    <xsl:when test="./i6:value = '123482'">Gibbium psylloides (GIBMPS)</xsl:when>
                    <xsl:when test="./i6:value = '123483'">Gibbula cineraria (GBBLCI)</xsl:when>
                    <xsl:when test="./i6:value = '123484'">Gigaspora gigantea (GIGAGI)</xsl:when>
                    <xsl:when test="./i6:value = '123485'">Gilbertella persicaria (GILBPE)</xsl:when>
                    <xsl:when test="./i6:value = '123486'">Gilletteella cooleyi (ADLGCO)</xsl:when>
                    <xsl:when test="./i6:value = '123487'">Gilpinia frutetorum (GILPFR)</xsl:when>
                    <xsl:when test="./i6:value = '123488'">Gilpinia hercyniae (GILPPO)</xsl:when>
                    <xsl:when test="./i6:value = '123489'">Gilpinia socia (GILPSO)</xsl:when>
                    <xsl:when test="./i6:value = '123490'">Ginglymostoma cirratum (GINGCI)</xsl:when>
                    <xsl:when test="./i6:value = '123491'">Giraffa camelopardalis (GIRFCA)</xsl:when>
                    <xsl:when test="./i6:value = '123492'">Giraudiella inclusa (GIRAIN)</xsl:when>
                    <xsl:when test="./i6:value = '123493'">Gjaerumia ossifragi (GJAEOS)</xsl:when>
                    <xsl:when test="./i6:value = '123494'">Glaucidium passerinum (GLUCPA)</xsl:when>
                    <xsl:when test="./i6:value = '123495'">Glaucomys volans (GLMSVO)</xsl:when>
                    <xsl:when test="./i6:value = '123496'">Glaucopsyche alexis (GLPSAL)</xsl:when>
                    <xsl:when test="./i6:value = '123497'">Gliocladium vermoeseni (GLIOVE)</xsl:when>
                    <xsl:when test="./i6:value = '123498'">Gliocladium viride (GLIOVD)</xsl:when>
                    <xsl:when test="./i6:value = '123499'">Gliricola porcelli (GLIRPO)</xsl:when>
                    <xsl:when test="./i6:value = '123500'">Glis glis (GLISGL)</xsl:when>
                    <xsl:when test="./i6:value = '123501'">Glischrochilus fasciatus (GLICFA)</xsl:when>
                    <xsl:when test="./i6:value = '123502'">Glischrochilus quadrisignatus (GLICQU)</xsl:when>
                    <xsl:when test="./i6:value = '123503'">Globodera ellingtonae (GLOBEL)</xsl:when>
                    <xsl:when test="./i6:value = '123504'">Globodera pallida (HETDPA)</xsl:when>
                    <xsl:when test="./i6:value = '123505'">Globodera rostochiensis (HETDRO)</xsl:when>
                    <xsl:when test="./i6:value = '123506'">Globodera tabacum sensu lato (HETDTA)</xsl:when>
                    <xsl:when test="./i6:value = '123507'">Gloeocercospora sorghi (GLOCSO)</xsl:when>
                    <xsl:when test="./i6:value = '123508'">Gloeophyllum sepiarum (LENZSE)</xsl:when>
                    <xsl:when test="./i6:value = '123509'">Gloeosporium laeticolor (GLOELA)</xsl:when>
                    <xsl:when test="./i6:value = '123510'">Gloeosporium minus (GLOEMI)</xsl:when>
                    <xsl:when test="./i6:value = '123511'">Gloeosporium pestis (GLOEPE)</xsl:when>
                    <xsl:when test="./i6:value = '123512'">Gloeosporium theae-sinensis (GLOETS)</xsl:when>
                    <xsl:when test="./i6:value = '123513'">Gloeotinia temulenta (GLOTTE)</xsl:when>
                    <xsl:when test="./i6:value = '123514'">Glomerella gossypii (GLOMGO)</xsl:when>
                    <xsl:when test="./i6:value = '123515'">Glomerella graminicola (COLLGR)</xsl:when>
                    <xsl:when test="./i6:value = '123516'">Glomerella lagenarium (COLLLA)</xsl:when>
                    <xsl:when test="./i6:value = '123517'">Glomerella tucumanensis (GLOMTU)</xsl:when>
                    <xsl:when test="./i6:value = '123518'">Glomeris marginata (GLORMA)</xsl:when>
                    <xsl:when test="./i6:value = '123519'">Glomus etunicatus (GLMUET)</xsl:when>
                    <xsl:when test="./i6:value = '123520'">Glomus fasciculatus (GLMUFA)</xsl:when>
                    <xsl:when test="./i6:value = '123521'">Glomus mosseae (GLMUMO)</xsl:when>
                    <xsl:when test="./i6:value = '123522'">Glossina morsitans (GLOSMO)</xsl:when>
                    <xsl:when test="./i6:value = '123523'">Glossonotus crataegi (GLSSCR)</xsl:when>
                    <xsl:when test="./i6:value = '123524'">Gluphisia crenata (GLUPCR)</xsl:when>
                    <xsl:when test="./i6:value = '123525'">Glycaspis brimblecombei (GLYSBR)</xsl:when>
                    <xsl:when test="./i6:value = '123526'">Glycobius speciosus (GLYOSE)</xsl:when>
                    <xsl:when test="./i6:value = '123527'">Glycyphagus domesticus (GLYCDO)</xsl:when>
                    <xsl:when test="./i6:value = '123528'">Glyphipterix achlyoessa (GLYXAC)</xsl:when>
                    <xsl:when test="./i6:value = '123529'">Glyphipterix simpliciella (GLYXSI)</xsl:when>
                    <xsl:when test="./i6:value = '123530'">Glyphodes caesalis (DPHNCE)</xsl:when>
                    <xsl:when test="./i6:value = '123531'">Glyphodes pryeri (DPHNPR)</xsl:when>
                    <xsl:when test="./i6:value = '123532'">Glyptoscelis squamulata (GLYTSQ)</xsl:when>
                    <xsl:when test="./i6:value = '123533'">Glyptotermes dilatatus (GLYMDI)</xsl:when>
                    <xsl:when test="./i6:value = '123534'">Gnathotrichus materarius (GNAHMA)</xsl:when>
                    <xsl:when test="./i6:value = '123535'">Gnathotrichus retusus (GNAHRE)</xsl:when>
                    <xsl:when test="./i6:value = '123536'">Gnathotrichus sulcatus (GNAHSU)</xsl:when>
                    <xsl:when test="./i6:value = '123537'">Gnatocerus cornutus (GNATCO)</xsl:when>
                    <xsl:when test="./i6:value = '123538'">Gnatocerus maxillosus (GNATMA)</xsl:when>
                    <xsl:when test="./i6:value = '123539'">Gnomonia caryae var. pecanae (GNOMCA)</xsl:when>
                    <xsl:when test="./i6:value = '123540'">Gnomonia fructicola (GNOMFR)</xsl:when>
                    <xsl:when test="./i6:value = '123541'">Gnomonia iliau (GNOMIL)</xsl:when>
                    <xsl:when test="./i6:value = '123542'">Gnomonia nerviseda (GNOMNE)</xsl:when>
                    <xsl:when test="./i6:value = '123543'">Gnomonia quercina (GNOMQU)</xsl:when>
                    <xsl:when test="./i6:value = '123544'">Gnomoniella tubiformis (GNOLTU)</xsl:when>
                    <xsl:when test="./i6:value = '123545'">Gnomoniopsis castaneae (GNMPCA)</xsl:when>
                    <xsl:when test="./i6:value = '123546'">Gnophothrips fuscus (GNOPFU)</xsl:when>
                    <xsl:when test="./i6:value = '123547'">Gnorimoschema gallaesolidaginis (GNORGA)</xsl:when>
                    <xsl:when test="./i6:value = '123548'">Gnus nacojapi (SIMUNA)</xsl:when>
                    <xsl:when test="./i6:value = '123549'">Gobio gobio (GOBIGO)</xsl:when>
                    <xsl:when test="./i6:value = '123550'">Godronia cassandrae (GODRCA)</xsl:when>
                    <xsl:when test="./i6:value = '123551'">Godronia cassandrae f. sp. vaccinii (GODRCV)</xsl:when>
                    <xsl:when test="./i6:value = '123552'">Goes pulcher (GOESPC)</xsl:when>
                    <xsl:when test="./i6:value = '123553'">Goes tesselatus (GOESTE)</xsl:when>
                    <xsl:when test="./i6:value = '123554'">Goes tigrinus (GOESTI)</xsl:when>
                    <xsl:when test="./i6:value = '123555'">Gohieria fusca (GOHIFU)</xsl:when>
                    <xsl:when test="./i6:value = '123556'">Golovinomyces cynoglossi (ERYSAS)</xsl:when>
                    <xsl:when test="./i6:value = '123557'">Gomphocerus sibiricus (GOMPSI)</xsl:when>
                    <xsl:when test="./i6:value = '123558'">Gomphus floccosus (GOMUFL)</xsl:when>
                    <xsl:when test="./i6:value = '123559'">Gomphus vulgatissimus (GOPHVU)</xsl:when>
                    <xsl:when test="./i6:value = '123560'">Gonepteryx cleopatra (GONECL)</xsl:when>
                    <xsl:when test="./i6:value = '123561'">Gonepteryx rhamni (GONERH)</xsl:when>
                    <xsl:when test="./i6:value = '123562'">Gonimbrasia tyrrhea (ANGETY)</xsl:when>
                    <xsl:when test="./i6:value = '123563'">Gonioctena americana (GONCAM)</xsl:when>
                    <xsl:when test="./i6:value = '123564'">Gonioctena fornicata (GONCFO)</xsl:when>
                    <xsl:when test="./i6:value = '123565'">Gonioctena rubripennis (GONCRB)</xsl:when>
                    <xsl:when test="./i6:value = '123566'">Gonipterus gibberus (GONPGI)</xsl:when>
                    <xsl:when test="./i6:value = '123567'">Gonipterus scutellatus (GONPSC)</xsl:when>
                    <xsl:when test="./i6:value = '123568'">Gonocephalum carpentariae (GONACA)</xsl:when>
                    <xsl:when test="./i6:value = '123569'">Gonocephalum macleayi (GONAMA)</xsl:when>
                    <xsl:when test="./i6:value = '123570'">Gonocephalum simplex (GONASI)</xsl:when>
                    <xsl:when test="./i6:value = '123571'">Gonocephalum walkeri (GONAWA)</xsl:when>
                    <xsl:when test="./i6:value = '123572'">Gonometa postica (GONMPO)</xsl:when>
                    <xsl:when test="./i6:value = '123573'">Gorilla gorilla (GORIGO)</xsl:when>
                    <xsl:when test="./i6:value = '123574'">Gortyna flavago (GORTFL)</xsl:when>
                    <xsl:when test="./i6:value = '123575'">Gortyna xanthenes (HYDOXA)</xsl:when>
                    <xsl:when test="./i6:value = '123576'">Gracillaria perseae (GRACPE)</xsl:when>
                    <xsl:when test="./i6:value = '123577'">Gracula religiosa (GRKLRE)</xsl:when>
                    <xsl:when test="./i6:value = '123578'">Graminella nigrifrons (GRAMNI)</xsl:when>
                    <xsl:when test="./i6:value = '123579'">Graphiola phoenicis (GRAPPH)</xsl:when>
                    <xsl:when test="./i6:value = '123580'">Graphiphora augur (GRAHAU)</xsl:when>
                    <xsl:when test="./i6:value = '123581'">Graphocephala atropunctata (GRCPAT)</xsl:when>
                    <xsl:when test="./i6:value = '123582'">Graphocephala coccinea (GRCPCO)</xsl:when>
                    <xsl:when test="./i6:value = '123583'">Graphocephala fennahi (GRCPFE)</xsl:when>
                    <xsl:when test="./i6:value = '123584'">Graphocephala versuta (GRCPVE)</xsl:when>
                    <xsl:when test="./i6:value = '123585'">Grapholita molesta (LASPMO)</xsl:when>
                    <xsl:when test="./i6:value = '123586'">Graphosoma italicum (GRASIT)</xsl:when>
                    <xsl:when test="./i6:value = '123587'">Graphosoma rubrolineatum (GRASRU)</xsl:when>
                    <xsl:when test="./i6:value = '123588'">Graphyllium pentamerum (PLAPPE)</xsl:when>
                    <xsl:when test="./i6:value = '123589'">Graptopsaltria nigrofuscata (GRAOCO)</xsl:when>
                    <xsl:when test="./i6:value = '123590'">Graptostethus manillensis (GRATMA)</xsl:when>
                    <xsl:when test="./i6:value = '123591'">Gremmeniella abietina (GREMAB)</xsl:when>
                    <xsl:when test="./i6:value = '123592'">Gremmeniella laricina (GREMLA)</xsl:when>
                    <xsl:when test="./i6:value = '123593'">Grifola frondosa (GRIFFR)</xsl:when>
                    <xsl:when test="./i6:value = '123594'">Griphosphaeria corticola (GRIPCO)</xsl:when>
                    <xsl:when test="./i6:value = '123595'">Gromphadorhina portentosa (GROMPO)</xsl:when>
                    <xsl:when test="./i6:value = '123596'">Grus grus (GRUSGR)</xsl:when>
                    <xsl:when test="./i6:value = '123597'">Gryllotalpa africana (GRYTAF)</xsl:when>
                    <xsl:when test="./i6:value = '123598'">Gryllotalpa orientalis (GRYTOR)</xsl:when>
                    <xsl:when test="./i6:value = '123599'">Gryllotalpa unispina (GRYTUN)</xsl:when>
                    <xsl:when test="./i6:value = '123600'">Gryllus assimilis (ACHTAS)</xsl:when>
                    <xsl:when test="./i6:value = '123601'">Gryllus bimaculatus (ACHTBI)</xsl:when>
                    <xsl:when test="./i6:value = '123602'">Gryllus campestris (ACHTCA)</xsl:when>
                    <xsl:when test="./i6:value = '123603'">Gryllus pennsylvanicus (ACHTPE)</xsl:when>
                    <xsl:when test="./i6:value = '123604'">Guignardia aesculi (GUIGAE)</xsl:when>
                    <xsl:when test="./i6:value = '123605'">Guignardia camelliae (GUIGCA)</xsl:when>
                    <xsl:when test="./i6:value = '123606'">Gulo gulo (GULOGU)</xsl:when>
                    <xsl:when test="./i6:value = '123607'">Gymnandrosoma aurantianum (ECDYAU)</xsl:when>
                    <xsl:when test="./i6:value = '123608'">Gymnoconia interstitialis (GYMCIN)</xsl:when>
                    <xsl:when test="./i6:value = '123609'">Gymnopilus junonius (GYMPJU)</xsl:when>
                    <xsl:when test="./i6:value = '123610'">Gymnosporangium asiaticum (GYMNAS)</xsl:when>
                    <xsl:when test="./i6:value = '123611'">Gymnosporangium clavipes (GYMNCL)</xsl:when>
                    <xsl:when test="./i6:value = '123612'">Gymnosporangium globosum (GYMNGL)</xsl:when>
                    <xsl:when test="./i6:value = '123613'">Gymnosporangium haraeanum (GYMNHA)</xsl:when>
                    <xsl:when test="./i6:value = '123614'">Gymnosporangium juniperinum (GYMNJU)</xsl:when>
                    <xsl:when test="./i6:value = '123615'">Gymnosporangium juniperi-virginianae (GYMNJV)</xsl:when>
                    <xsl:when test="./i6:value = '123616'">Gymnosporangium kernianum (GYMNKE)</xsl:when>
                    <xsl:when test="./i6:value = '123617'">Gymnosporangium monticola (GYMNMO)</xsl:when>
                    <xsl:when test="./i6:value = '123618'">Gymnosporangium nelsonii (GYMNNE)</xsl:when>
                    <xsl:when test="./i6:value = '123619'">Gymnosporangium tremelloides (GYMNTR)</xsl:when>
                    <xsl:when test="./i6:value = '123620'">Gymnosporangium unicorne (GYMNUN)</xsl:when>
                    <xsl:when test="./i6:value = '123621'">Gymnosporangium yamadae (GYMNYA)</xsl:when>
                    <xsl:when test="./i6:value = '123622'">Gynaikothrips ficorum (GYNAFI)</xsl:when>
                    <xsl:when test="./i6:value = '123623'">Gyps fulvus (GYPXFU)</xsl:when>
                    <xsl:when test="./i6:value = '123624'">Gypsonoma aceriana (GYPSAC)</xsl:when>
                    <xsl:when test="./i6:value = '123625'">Gypsonoma oppressana (GYPSOP)</xsl:when>
                    <xsl:when test="./i6:value = '123626'">Gyrinus natator (GYRINA)</xsl:when>
                    <xsl:when test="./i6:value = '123627'">Gyrodactylus salaris (GYRCSA)</xsl:when>
                    <xsl:when test="./i6:value = '123628'">Gyrodon lividus (GYRDLI)</xsl:when>
                    <xsl:when test="./i6:value = '123629'">Gyromitra esculenta (GYRMES)</xsl:when>
                    <xsl:when test="./i6:value = '123630'">Gyromitra infula (GYRMIN)</xsl:when>
                    <xsl:when test="./i6:value = '123631'">Gyroporus castaneus (GPRSCA)</xsl:when>
                    <xsl:when test="./i6:value = '123632'">Gyroporus cyanescens (GPRSCY)</xsl:when>
                    <xsl:when test="./i6:value = '123633'">Habrochila ghesquierei (HABRGH)</xsl:when>
                    <xsl:when test="./i6:value = '123634'">Habrochila placida (HABRPL)</xsl:when>
                    <xsl:when test="./i6:value = '123635'">Habrosyne pyritoides (HABODE)</xsl:when>
                    <xsl:when test="./i6:value = '123636'">Hadena compta (PARICO)</xsl:when>
                    <xsl:when test="./i6:value = '123637'">Hadena cucubali (HARMRI)</xsl:when>
                    <xsl:when test="./i6:value = '123638'">Hadenoecus subterraneus (HADESU)</xsl:when>
                    <xsl:when test="./i6:value = '123639'">Hadronyche versuta (HADRVE)</xsl:when>
                    <xsl:when test="./i6:value = '123640'">Haemaphysalis bancrofti (HAEABA)</xsl:when>
                    <xsl:when test="./i6:value = '123641'">Haemaphysalis bispinosa (HAEABI)</xsl:when>
                    <xsl:when test="./i6:value = '123642'">Haemaphysalis leporispalustris (HAEALE)</xsl:when>
                    <xsl:when test="./i6:value = '123643'">Haematobia irritans (SIPNIR)</xsl:when>
                    <xsl:when test="./i6:value = '123644'">Haematobosca stimulans (SIPNST)</xsl:when>
                    <xsl:when test="./i6:value = '123645'">Haematopinus quadripertusus (HAEMQU)</xsl:when>
                    <xsl:when test="./i6:value = '123646'">Haematopinus suis (HAEMSU)</xsl:when>
                    <xsl:when test="./i6:value = '123647'">Haematopinus suis apri (HAEMSA)</xsl:when>
                    <xsl:when test="./i6:value = '123648'">Haematopinus tuberculatus (HAEMTU)</xsl:when>
                    <xsl:when test="./i6:value = '123649'">Haematopota crassicornis (HAMPCR)</xsl:when>
                    <xsl:when test="./i6:value = '123650'">Haematopota pluvialis (CHRZPL)</xsl:when>
                    <xsl:when test="./i6:value = '123651'">Haematosiphon inodorus (HAETIN)</xsl:when>
                    <xsl:when test="./i6:value = '123652'">Haemodipsus ventricosus (HAEOVE)</xsl:when>
                    <xsl:when test="./i6:value = '123653'">Haemonchus contortus (HMCHCO)</xsl:when>
                    <xsl:when test="./i6:value = '123654'">Halichoerus grypus (HLCHGR)</xsl:when>
                    <xsl:when test="./i6:value = '123655'">Halichondria panicea (HLCNPA)</xsl:when>
                    <xsl:when test="./i6:value = '123656'">Haliclystus auricula (HLLYAU)</xsl:when>
                    <xsl:when test="./i6:value = '123657'">Haliotis lamellosa (HLTSLA)</xsl:when>
                    <xsl:when test="./i6:value = '123658'">Haliotis tuberculata (HLTSTU)</xsl:when>
                    <xsl:when test="./i6:value = '123659'">Haliplus fulvus (HLPLFU)</xsl:when>
                    <xsl:when test="./i6:value = '123660'">Halmus chalybeus (ORCUCH)</xsl:when>
                    <xsl:when test="./i6:value = '123661'">Halobates hawaiiensis (HALBHA)</xsl:when>
                    <xsl:when test="./i6:value = '123662'">Halobates sericeus (HALBSE)</xsl:when>
                    <xsl:when test="./i6:value = '123663'">Halotydeus destructor (HALODE)</xsl:when>
                    <xsl:when test="./i6:value = '123664'">Halticotoma valida (HALIVA)</xsl:when>
                    <xsl:when test="./i6:value = '123665'">Halticus bractatus (HALCBR)</xsl:when>
                    <xsl:when test="./i6:value = '123666'">Halticus chrysolepis (HALCCH)</xsl:when>
                    <xsl:when test="./i6:value = '123667'">Halticus tibialis (HALCTI)</xsl:when>
                    <xsl:when test="./i6:value = '123668'">Halyomorpha halys (HALYHA)</xsl:when>
                    <xsl:when test="./i6:value = '123669'">Halyomorpha mista (HALYMI)</xsl:when>
                    <xsl:when test="./i6:value = '123670'">Halysidota harrisii (HALSHA)</xsl:when>
                    <xsl:when test="./i6:value = '123671'">Halysidota schausi (HALSSC)</xsl:when>
                    <xsl:when test="./i6:value = '123672'">Halysidota tessellaris (HALSTE)</xsl:when>
                    <xsl:when test="./i6:value = '123673'">Hamamelistes spinosus (HAMMSI)</xsl:when>
                    <xsl:when test="./i6:value = '123674'">Hamaspora longissima (HAMALO)</xsl:when>
                    <xsl:when test="./i6:value = '123675'">Hapalosphaeria deformans (HAPSDE)</xsl:when>
                    <xsl:when test="./i6:value = '123676'">Hapithus agitator (HAPIAG)</xsl:when>
                    <xsl:when test="./i6:value = '123677'">Haplaxius crudus (MYNDCR)</xsl:when>
                    <xsl:when test="./i6:value = '123678'">Haplobasidion musae (HAPBMU)</xsl:when>
                    <xsl:when test="./i6:value = '123679'">Haplodiplosis marginata (HAPDMA)</xsl:when>
                    <xsl:when test="./i6:value = '123680'">Haplorhynchites aeneus (HAPRAE)</xsl:when>
                    <xsl:when test="./i6:value = '123681'">Haplothrips aculeatus (HAPLAC)</xsl:when>
                    <xsl:when test="./i6:value = '123682'">Haplothrips frogatti (HAPLFR)</xsl:when>
                    <xsl:when test="./i6:value = '123683'">Haplothrips gowdeyi (HAPLGO)</xsl:when>
                    <xsl:when test="./i6:value = '123684'">Haplothrips leucanthemi (HAPLLE)</xsl:when>
                    <xsl:when test="./i6:value = '123685'">Haplothrips niger (HAPLNI)</xsl:when>
                    <xsl:when test="./i6:value = '123686'">Haplothrips tenuipennis (HAPLTE)</xsl:when>
                    <xsl:when test="./i6:value = '123687'">Haplothrips tritici (HAPLTR)</xsl:when>
                    <xsl:when test="./i6:value = '123688'">Haplothrips victoriensis (HAPLVI)</xsl:when>
                    <xsl:when test="./i6:value = '123689'">Haptocillium balanoides (HAPCBA)</xsl:when>
                    <xsl:when test="./i6:value = '123690'">Harmonia axyridis (HARNAX)</xsl:when>
                    <xsl:when test="./i6:value = '123691'">Harmonia conformis (HARNCO)</xsl:when>
                    <xsl:when test="./i6:value = '123692'">Harmonia octomaculata (HARNOC)</xsl:when>
                    <xsl:when test="./i6:value = '123693'">Harpalus caliginosus (HARPCL)</xsl:when>
                    <xsl:when test="./i6:value = '123694'">Harpophora graminicola (PHIAGM)</xsl:when>
                    <xsl:when test="./i6:value = '123695'">Harpophora maydis (CPHUMA)</xsl:when>
                    <xsl:when test="./i6:value = '123696'">Harposporium anguillullae (HARSAN)</xsl:when>
                    <xsl:when test="./i6:value = '123697'">Harzia velata (HARZVE)</xsl:when>
                    <xsl:when test="./i6:value = '123698'">Hauptidia maroccana (ERYTPA)</xsl:when>
                    <xsl:when test="./i6:value = '123699'">Hayhurstia atriplicis (HAYHAT)</xsl:when>
                    <xsl:when test="./i6:value = '123700'">Hebeloma crustuliniforme (HEBLCR)</xsl:when>
                    <xsl:when test="./i6:value = '123701'">Hecatera dysodea (POLISI)</xsl:when>
                    <xsl:when test="./i6:value = '123702'">Hectopsylla psittaci (HECPPS)</xsl:when>
                    <xsl:when test="./i6:value = '123703'">Hedya dimidioalba (ARGPVA)</xsl:when>
                    <xsl:when test="./i6:value = '123704'">Hedya ochroleucana (ARGPOC)</xsl:when>
                    <xsl:when test="./i6:value = '123705'">Hedya pruniana (ARGPPR)</xsl:when>
                    <xsl:when test="./i6:value = '123706'">Heilipus bonelli (HEILBO)</xsl:when>
                    <xsl:when test="./i6:value = '123707'">Heilipus lauri (HEILLA)</xsl:when>
                    <xsl:when test="./i6:value = '123708'">Heimioporus betula (HEIPBE)</xsl:when>
                    <xsl:when test="./i6:value = '123709'">Helcystogramma convolvuli (HECYCO)</xsl:when>
                    <xsl:when test="./i6:value = '123710'">Helicella itala (HELLIT)</xsl:when>
                    <xsl:when test="./i6:value = '123711'">Helicigona lapicida (HLGNLA)</xsl:when>
                    <xsl:when test="./i6:value = '123712'">Helicobasidium compactum (HLCBCO)</xsl:when>
                    <xsl:when test="./i6:value = '123713'">Helicobasidium mompa (HLCBMO)</xsl:when>
                    <xsl:when test="./i6:value = '123714'">Helicodonta obvoluta (HLDNOB)</xsl:when>
                    <xsl:when test="./i6:value = '123715'">Heliconius charithonia (HELUCH)</xsl:when>
                    <xsl:when test="./i6:value = '123716'">Heliconius cydno (HELUCY)</xsl:when>
                    <xsl:when test="./i6:value = '123717'">Heliconius erato (HELUER)</xsl:when>
                    <xsl:when test="./i6:value = '123718'">Heliconius hecale (HELUHE)</xsl:when>
                    <xsl:when test="./i6:value = '123719'">Heliconius melpomene (HELUME)</xsl:when>
                    <xsl:when test="./i6:value = '123720'">Heliconius sara (HELUSA)</xsl:when>
                    <xsl:when test="./i6:value = '123721'">Helicotylenchus dihystera (HELYDH)</xsl:when>
                    <xsl:when test="./i6:value = '123722'">Helicotylenus dactylopterus (HLENDA)</xsl:when>
                    <xsl:when test="./i6:value = '123723'">Helicoverpa armigera (HELIAR)</xsl:when>
                    <xsl:when test="./i6:value = '123724'">Helicoverpa assulta (HELIAS)</xsl:when>
                    <xsl:when test="./i6:value = '123725'">Helicoverpa hawaiiensis (HELIHA)</xsl:when>
                    <xsl:when test="./i6:value = '123726'">Helicoverpa punctigera (HELIPU)</xsl:when>
                    <xsl:when test="./i6:value = '123727'">Helicoverpa zea (HELIZE)</xsl:when>
                    <xsl:when test="./i6:value = '123728'">Heliothis peltigera (HELIPE)</xsl:when>
                    <xsl:when test="./i6:value = '123729'">Heliothrips haemorrhoidalis (HELTHA)</xsl:when>
                    <xsl:when test="./i6:value = '123730'">Helix lucorum (HELXLU)</xsl:when>
                    <xsl:when test="./i6:value = '123731'">Helix pomatia (HELXPO)</xsl:when>
                    <xsl:when test="./i6:value = '123732'">Hellula hydralis (HLULHY)</xsl:when>
                    <xsl:when test="./i6:value = '123733'">Hellula rogatalis (HLULRO)</xsl:when>
                    <xsl:when test="./i6:value = '123734'">Hellula undalis (HLULUN)</xsl:when>
                    <xsl:when test="./i6:value = '123735'">Helminthosporium papulosum (HELMPA)</xsl:when>
                    <xsl:when test="./i6:value = '123736'">Helminthosporium papulosum f. sp. pyri (HELMPY)</xsl:when>
                    <xsl:when test="./i6:value = '123737'">Helobdella stagnalis (HELBST)</xsl:when>
                    <xsl:when test="./i6:value = '123738'">Heloderma suspectum (HLDMSU)</xsl:when>
                    <xsl:when test="./i6:value = '123739'">Helogale parvula (HLGEPA)</xsl:when>
                    <xsl:when test="./i6:value = '123740'">Helomyza tuberiperda (HELETU)</xsl:when>
                    <xsl:when test="./i6:value = '123741'">Helopeltis anacardii (HELOAA)</xsl:when>
                    <xsl:when test="./i6:value = '123742'">Helopeltis antonii (HELOAN)</xsl:when>
                    <xsl:when test="./i6:value = '123743'">Helopeltis bergrothi (HELOBE)</xsl:when>
                    <xsl:when test="./i6:value = '123744'">Helopeltis bradyi (HELOBR)</xsl:when>
                    <xsl:when test="./i6:value = '123745'">Helopeltis schoutedeni (HELOSC)</xsl:when>
                    <xsl:when test="./i6:value = '123746'">Helopeltis theivora (HELOTH)</xsl:when>
                    <xsl:when test="./i6:value = '123747'">Helophorus nubilus (HELPNU)</xsl:when>
                    <xsl:when test="./i6:value = '123748'">Helophorus porculus (HELPPO)</xsl:when>
                    <xsl:when test="./i6:value = '123749'">Helophorus rufipes (HELPRU)</xsl:when>
                    <xsl:when test="./i6:value = '123750'">Helvella acetabulum (HLVLAC)</xsl:when>
                    <xsl:when test="./i6:value = '123751'">Helvella crispa (HLVLCR)</xsl:when>
                    <xsl:when test="./i6:value = '123752'">Helvella lacunosa (HLVLLA)</xsl:when>
                    <xsl:when test="./i6:value = '123753'">Helvella leucomelaena (HLVLLM)</xsl:when>
                    <xsl:when test="./i6:value = '123754'">Hemaris fuciformis (HEMAFU)</xsl:when>
                    <xsl:when test="./i6:value = '123755'">Hemaris tityus (HEMATI)</xsl:when>
                    <xsl:when test="./i6:value = '123756'">Hemearis lucina (HMERLU)</xsl:when>
                    <xsl:when test="./i6:value = '123757'">Hemianax ephippiger (HANXEP)</xsl:when>
                    <xsl:when test="./i6:value = '123758'">Hemiberlesia lataniae (HEBELA)</xsl:when>
                    <xsl:when test="./i6:value = '123759'">Hemiberlesia rapax (HEBERA)</xsl:when>
                    <xsl:when test="./i6:value = '123760'">Hemichroa crocea (HEMHCR)</xsl:when>
                    <xsl:when test="./i6:value = '123761'">Hemicoelus gibbicollis (HMICGI)</xsl:when>
                    <xsl:when test="./i6:value = '123762'">Hemicriconemoides kanayaensis (HEMRKA)</xsl:when>
                    <xsl:when test="./i6:value = '123763'">Hemideina crassidens (HMDNCR)</xsl:when>
                    <xsl:when test="./i6:value = '123764'">Hemideina maori (HMDNMA)</xsl:when>
                    <xsl:when test="./i6:value = '123765'">Hemileia coffeicola (HEMICO)</xsl:when>
                    <xsl:when test="./i6:value = '123766'">Hemileia vastatrix (HEMIVA)</xsl:when>
                    <xsl:when test="./i6:value = '123767'">Hemileuca maia (HMLCMA)</xsl:when>
                    <xsl:when test="./i6:value = '123768'">Hemileuca nevadensis (HMLCNE)</xsl:when>
                    <xsl:when test="./i6:value = '123769'">Hemileuca oliviae (HMLCOL)</xsl:when>
                    <xsl:when test="./i6:value = '123770'">Hemimysis lamornae (HMYSLA)</xsl:when>
                    <xsl:when test="./i6:value = '123771'">Hemitarsonemus ganeo (HEMTGA)</xsl:when>
                    <xsl:when test="./i6:value = '123772'">Hemitarsonemus tepidariorum (HEMTTE)</xsl:when>
                    <xsl:when test="./i6:value = '123773'">Hendersonia acicola (HENDAC)</xsl:when>
                    <xsl:when test="./i6:value = '123774'">Heodes tityrus (HEODTI)</xsl:when>
                    <xsl:when test="./i6:value = '123775'">Heodes virgaureae (HEODVI)</xsl:when>
                    <xsl:when test="./i6:value = '123776'">Hepialus fusconebulosus (HEPIFU)</xsl:when>
                    <xsl:when test="./i6:value = '123777'">Hepialus hecta (HEPIHE)</xsl:when>
                    <xsl:when test="./i6:value = '123778'">Hepialus humuli (HEPIHU)</xsl:when>
                    <xsl:when test="./i6:value = '123779'">Hepialus lupulinus (HEPILU)</xsl:when>
                    <xsl:when test="./i6:value = '123780'">Hepialus sylvina (HEPISY)</xsl:when>
                    <xsl:when test="./i6:value = '123781'">Heptagenia sulphurea (HEPTSU)</xsl:when>
                    <xsl:when test="./i6:value = '123782'">Heptamelus ochroleucus (HEPMOC)</xsl:when>
                    <xsl:when test="./i6:value = '123783'">Heptophylla picea (HEPOPI)</xsl:when>
                    <xsl:when test="./i6:value = '123784'">Hercinothrips bicinctus (HERCBI)</xsl:when>
                    <xsl:when test="./i6:value = '123785'">Hercinothrips femoralis (HERCFE)</xsl:when>
                    <xsl:when test="./i6:value = '123786'">Hericium abietis (HERIAB)</xsl:when>
                    <xsl:when test="./i6:value = '123787'">Hericium clathroides (HERICL)</xsl:when>
                    <xsl:when test="./i6:value = '123788'">Hericium coralloides (HERICO)</xsl:when>
                    <xsl:when test="./i6:value = '123789'">Hericium erinaceus (HERIER)</xsl:when>
                    <xsl:when test="./i6:value = '123790'">Hermetia illucens (HEREIL)</xsl:when>
                    <xsl:when test="./i6:value = '123791'">Herpestes ichneumon (HRPSIC)</xsl:when>
                    <xsl:when test="./i6:value = '123792'">Herpetogramma licarsisalis (PACYLI)</xsl:when>
                    <xsl:when test="./i6:value = '123793'">Herpetogramma phaeopteralis (PACYPH)</xsl:when>
                    <xsl:when test="./i6:value = '123794'">Herpotrichia coulteri (HERPCO)</xsl:when>
                    <xsl:when test="./i6:value = '123795'">Herpotrichia juniperi (HERPJU)</xsl:when>
                    <xsl:when test="./i6:value = '123796'">Hesperia comma (HSPECO)</xsl:when>
                    <xsl:when test="./i6:value = '123797'">Heterobasidion annosum (HETEAN)</xsl:when>
                    <xsl:when test="./i6:value = '123798'">Heterobostrychus aequalis (HETBAE)</xsl:when>
                    <xsl:when test="./i6:value = '123799'">Heterobostrychus hamatipennis (HETBHA)</xsl:when>
                    <xsl:when test="./i6:value = '123800'">Heterodera avenae (HETDMA)</xsl:when>
                    <xsl:when test="./i6:value = '123801'">Heterodera betae (HETDBT)</xsl:when>
                    <xsl:when test="./i6:value = '123802'">Heterodera cajani (HETDCJ)</xsl:when>
                    <xsl:when test="./i6:value = '123803'">Heterodera carotae (HETDCA)</xsl:when>
                    <xsl:when test="./i6:value = '123804'">Heterodera elachista (HETDEL)</xsl:when>
                    <xsl:when test="./i6:value = '123805'">Heterodera filipjevi (HETDFJ)</xsl:when>
                    <xsl:when test="./i6:value = '123806'">Heterodera humuli (HETDHU)</xsl:when>
                    <xsl:when test="./i6:value = '123807'">Heterodera latipons (HETDLA)</xsl:when>
                    <xsl:when test="./i6:value = '123808'">Heterodera oryzae (HETDOR)</xsl:when>
                    <xsl:when test="./i6:value = '123809'">Heterodera schachtii (HETDSC)</xsl:when>
                    <xsl:when test="./i6:value = '123810'">Heterodera trifolii (HETDTR)</xsl:when>
                    <xsl:when test="./i6:value = '123811'">Heterodera zeae (HETDZE)</xsl:when>
                    <xsl:when test="./i6:value = '123812'">Heterogaster urticae (HTRGUR)</xsl:when>
                    <xsl:when test="./i6:value = '123813'">Heterogenea asella (HETNAS)</xsl:when>
                    <xsl:when test="./i6:value = '123814'">Heteroligus meles (HETGCL)</xsl:when>
                    <xsl:when test="./i6:value = '123815'">Heteronychus arator (HETRAR)</xsl:when>
                    <xsl:when test="./i6:value = '123816'">Heteronychus licas (HETRMA)</xsl:when>
                    <xsl:when test="./i6:value = '123817'">Heteronyx frenchi (LEPDFR)</xsl:when>
                    <xsl:when test="./i6:value = '123818'">Heteropeza pygmaea (HETPPY)</xsl:when>
                    <xsl:when test="./i6:value = '123819'">Heteropoda venatoria (HTEPVE)</xsl:when>
                    <xsl:when test="./i6:value = '123820'">Heteropsylla cubana (HETYCU)</xsl:when>
                    <xsl:when test="./i6:value = '123821'">Heteropterus morpheus (HTERMO)</xsl:when>
                    <xsl:when test="./i6:value = '123822'">Heterosporium ornithogali (CLADOG)</xsl:when>
                    <xsl:when test="./i6:value = '123823'">Heterotermes aureus (HETTAU)</xsl:when>
                    <xsl:when test="./i6:value = '123824'">Heterotermes ferox (HETTFE)</xsl:when>
                    <xsl:when test="./i6:value = '123825'">Heterotermes philippinensis (HETTPH)</xsl:when>
                    <xsl:when test="./i6:value = '123826'">Hexarthrum ulkei (HEXRUL)</xsl:when>
                    <xsl:when test="./i6:value = '123827'">Hexomyza schineri (MEAGSC)</xsl:when>
                    <xsl:when test="./i6:value = '123828'">Hidari irava (HIDAIR)</xsl:when>
                    <xsl:when test="./i6:value = '123829'">Hieroglyphus banian (HIEGBA)</xsl:when>
                    <xsl:when test="./i6:value = '123830'">Hilda patruelis (HILDPA)</xsl:when>
                    <xsl:when test="./i6:value = '123831'">Himacerus apterus (HIMAAP)</xsl:when>
                    <xsl:when test="./i6:value = '123832'">Hinomyces moricola (CRISMO)</xsl:when>
                    <xsl:when test="./i6:value = '123833'">Hinomyces pruni (HINOPR)</xsl:when>
                    <xsl:when test="./i6:value = '123834'">Hipparchia alcyone (HIPRAL)</xsl:when>
                    <xsl:when test="./i6:value = '123835'">Hipparchia fagi (HIPRFA)</xsl:when>
                    <xsl:when test="./i6:value = '123836'">Hipparchia semele (HIPRSE)</xsl:when>
                    <xsl:when test="./i6:value = '123837'">Hippelates pallipes (HIPEPA)</xsl:when>
                    <xsl:when test="./i6:value = '123838'">Hippelates pusio (HIPEPU)</xsl:when>
                    <xsl:when test="./i6:value = '123839'">Hippiscus ocelote (HPSCOC)</xsl:when>
                    <xsl:when test="./i6:value = '123840'">Hippobosca equina (HIPOEQ)</xsl:when>
                    <xsl:when test="./i6:value = '123841'">Hippocampus hippocampus (HPPCHI)</xsl:when>
                    <xsl:when test="./i6:value = '123842'">Hippodamia convergens (HIPPCN)</xsl:when>
                    <xsl:when test="./i6:value = '123843'">Hippodamia quinquesignata (HIPPQU)</xsl:when>
                    <xsl:when test="./i6:value = '123844'">Hippodamia sinuata sinuata (HIPPSI)</xsl:when>
                    <xsl:when test="./i6:value = '123845'">Hippodamia tredecimpunctata tibialis (HIPPTT)</xsl:when>
                    <xsl:when test="./i6:value = '123846'">Hippoglossoides platessoides (HIPGPL)</xsl:when>
                    <xsl:when test="./i6:value = '123847'">Hippoglossus hippoglossus (HIOGHI)</xsl:when>
                    <xsl:when test="./i6:value = '123848'">Hippolais icterina (HPPLIC)</xsl:when>
                    <xsl:when test="./i6:value = '123849'">Hippolyte varians (HPPLVA)</xsl:when>
                    <xsl:when test="./i6:value = '123850'">Hippopotamus amphibius (HPPPAM)</xsl:when>
                    <xsl:when test="./i6:value = '123851'">Hippotion celerio (HIPTCE)</xsl:when>
                    <xsl:when test="./i6:value = '123852'">Hirschmanniella oryzae (HIRSOR)</xsl:when>
                    <xsl:when test="./i6:value = '123853'">Hirschmanniella spinicaudata (HIRSSC)</xsl:when>
                    <xsl:when test="./i6:value = '123854'">Hirsutella rhossiliensis (HIRTRH)</xsl:when>
                    <xsl:when test="./i6:value = '123855'">Hirsutella thompsonii (HIRTTH)</xsl:when>
                    <xsl:when test="./i6:value = '123856'">Hirundo rustica (HIRURU)</xsl:when>
                    <xsl:when test="./i6:value = '123857'">Hishimonus sellatus (HISHSE)</xsl:when>
                    <xsl:when test="./i6:value = '123858'">Hodotermes mossambicus (HODOMO)</xsl:when>
                    <xsl:when test="./i6:value = '123859'">Hofmannophila pseudospretella (HOFMPS)</xsl:when>
                    <xsl:when test="./i6:value = '123860'">Hogna radiata (HOGNRA)</xsl:when>
                    <xsl:when test="./i6:value = '123861'">Holhymenia histrio (HOLHHI)</xsl:when>
                    <xsl:when test="./i6:value = '123862'">Holochlora japonica (HOLOJA)</xsl:when>
                    <xsl:when test="./i6:value = '123863'">Holocnemus pluchei (HOLCPL)</xsl:when>
                    <xsl:when test="./i6:value = '123864'">Holopothrips ananasi (HOLPAN)</xsl:when>
                    <xsl:when test="./i6:value = '123865'">Holotrichia consanguinea (LACHCO)</xsl:when>
                    <xsl:when test="./i6:value = '123866'">Holotrichia parallela (HOLTPA)</xsl:when>
                    <xsl:when test="./i6:value = '123867'">Holotrichia sinensis (LACHSI)</xsl:when>
                    <xsl:when test="./i6:value = '123868'">Homaledra sabalella (HOMDSA)</xsl:when>
                    <xsl:when test="./i6:value = '123869'">Homalodisca vitripennis (HOMLTR)</xsl:when>
                    <xsl:when test="./i6:value = '123870'">Homarus gammarus (HOARGA)</xsl:when>
                    <xsl:when test="./i6:value = '123871'">Homo sapiens (HOMXSA)</xsl:when>
                    <xsl:when test="./i6:value = '123872'">Homoeosoma electellum (HMOEEL)</xsl:when>
                    <xsl:when test="./i6:value = '123873'">Homoeosoma nebulellum (HMOENE)</xsl:when>
                    <xsl:when test="./i6:value = '123874'">Homona coffearia (HOMOCO)</xsl:when>
                    <xsl:when test="./i6:value = '123875'">Homona magnanima (HOMOMA)</xsl:when>
                    <xsl:when test="./i6:value = '123876'">Hoplia callipyge (HOPICA)</xsl:when>
                    <xsl:when test="./i6:value = '123877'">Hoplia communis (HOPICO)</xsl:when>
                    <xsl:when test="./i6:value = '123878'">Hoplia philanthus (HOPIPH)</xsl:when>
                    <xsl:when test="./i6:value = '123879'">Hoplia sackeni (HOPISA)</xsl:when>
                    <xsl:when test="./i6:value = '123880'">Hoplobatrachus tigerinus (RANSTI)</xsl:when>
                    <xsl:when test="./i6:value = '123881'">Hoplocampa brevis (HOPLBR)</xsl:when>
                    <xsl:when test="./i6:value = '123882'">Hoplocampa pyricola (HOPLPY)</xsl:when>
                    <xsl:when test="./i6:value = '123883'">Hoplocampa testudinea (HOPLTE)</xsl:when>
                    <xsl:when test="./i6:value = '123884'">Hoplolaimus columbus (HOLLCO)</xsl:when>
                    <xsl:when test="./i6:value = '123885'">Hoplolaimus magnistylus (HOLLMA)</xsl:when>
                    <xsl:when test="./i6:value = '123886'">Hoplopleura pacifica (HOPOPA)</xsl:when>
                    <xsl:when test="./i6:value = '123887'">Horcias nobilellus (HORCNO)</xsl:when>
                    <xsl:when test="./i6:value = '123888'">Horidiplosis ficifolii (HRIDFI)</xsl:when>
                    <xsl:when test="./i6:value = '123889'">Horistonotus uhlerii (HORIUH)</xsl:when>
                    <xsl:when test="./i6:value = '123890'">Hortensia similis (HORTSI)</xsl:when>
                    <xsl:when test="./i6:value = '123891'">Hoshinoa longicellana (CACOLO)</xsl:when>
                    <xsl:when test="./i6:value = '123892'">Hucho hucho (HUCHHU)</xsl:when>
                    <xsl:when test="./i6:value = '123893'">Hulstia undulatella (HULSUN)</xsl:when>
                    <xsl:when test="./i6:value = '123894'">Hutchinsoniella macracantha (HUTCMA)</xsl:when>
                    <xsl:when test="./i6:value = '123895'">Hyadaphis foeniculi (HYADFO)</xsl:when>
                    <xsl:when test="./i6:value = '123896'">Hyaliodes vitripennis (HYAIVI)</xsl:when>
                    <xsl:when test="./i6:value = '123897'">Hyalomma truncatum (HYAMTR)</xsl:when>
                    <xsl:when test="./i6:value = '123898'">Hyalopeplus pellucidus (HYAPPE)</xsl:when>
                    <xsl:when test="./i6:value = '123899'">Hyaloperonospora brassicae (HPERBR)</xsl:when>
                    <xsl:when test="./i6:value = '123900'">Hyaloperonospora galligena (PEROPG)</xsl:when>
                    <xsl:when test="./i6:value = '123901'">Hyaloperonospora parasitica (PEROPA)</xsl:when>
                    <xsl:when test="./i6:value = '123902'">Hyalophora cecropia (HYAOCE)</xsl:when>
                    <xsl:when test="./i6:value = '123903'">Hyalophora columbia (HYAOCO)</xsl:when>
                    <xsl:when test="./i6:value = '123904'">Hyalophora euryalus (HYAOEU)</xsl:when>
                    <xsl:when test="./i6:value = '123905'">Hyalopsora adianti-capilli-veneris (HLPSAC)</xsl:when>
                    <xsl:when test="./i6:value = '123906'">Hyalopsora aspidiotus (HLPSAS)</xsl:when>
                    <xsl:when test="./i6:value = '123907'">Hyalopteroides humilis (HYARHU)</xsl:when>
                    <xsl:when test="./i6:value = '123908'">Hyalopterus amygdali (HYALAM)</xsl:when>
                    <xsl:when test="./i6:value = '123909'">Hydnotrya tulasnei (HDNTTU)</xsl:when>
                    <xsl:when test="./i6:value = '123910'">Hydnum repandum (HYDNRE)</xsl:when>
                    <xsl:when test="./i6:value = '123911'">Hydra oligactis (HDRAOL)</xsl:when>
                    <xsl:when test="./i6:value = '123912'">Hydra viridissima (HDRAVI)</xsl:when>
                    <xsl:when test="./i6:value = '123913'">Hydra vulgaris (HDRAVU)</xsl:when>
                    <xsl:when test="./i6:value = '123914'">Hydraecia immanis (HYDOIM)</xsl:when>
                    <xsl:when test="./i6:value = '123915'">Hydrellia deonieri (HYDRDE)</xsl:when>
                    <xsl:when test="./i6:value = '123916'">Hydrellia philippina (HYDRPH)</xsl:when>
                    <xsl:when test="./i6:value = '123917'">Hydrellia sasakii (HYDRSA)</xsl:when>
                    <xsl:when test="./i6:value = '123918'">Hydrobates pelagicus (HYDBPE)</xsl:when>
                    <xsl:when test="./i6:value = '123919'">Hydrobia ulvae (HYBIUL)</xsl:when>
                    <xsl:when test="./i6:value = '123920'">Hydrochoerus hydrochaeris (HYUSHY)</xsl:when>
                    <xsl:when test="./i6:value = '123921'">Hydrometra stagnorum (HYMTST)</xsl:when>
                    <xsl:when test="./i6:value = '123922'">Hydrophilus piceus (HYDHPI)</xsl:when>
                    <xsl:when test="./i6:value = '123923'">Hydropotes inermis (HPTSIN)</xsl:when>
                    <xsl:when test="./i6:value = '123924'">Hydrotaea ignata (OPHYLE)</xsl:when>
                    <xsl:when test="./i6:value = '123925'">Hydrotaea irritans (HYDTIR)</xsl:when>
                    <xsl:when test="./i6:value = '123926'">Hydrous piceus (HYOSPI)</xsl:when>
                    <xsl:when test="./i6:value = '123927'">Hygocybe ceracea (HYGCCE)</xsl:when>
                    <xsl:when test="./i6:value = '123928'">Hygrobia hermanni (HYGBHE)</xsl:when>
                    <xsl:when test="./i6:value = '123929'">Hygrocybe aurantiosplendens (HYGCAU)</xsl:when>
                    <xsl:when test="./i6:value = '123930'">Hygrocybe calyptriformis (HYGCCP)</xsl:when>
                    <xsl:when test="./i6:value = '123931'">Hygrocybe cantharellus (HYGCCA)</xsl:when>
                    <xsl:when test="./i6:value = '123932'">Hygrocybe chlorophana (HYGCCH)</xsl:when>
                    <xsl:when test="./i6:value = '123933'">Hygrocybe citrinovirens (HYGCCV)</xsl:when>
                    <xsl:when test="./i6:value = '123934'">Hygrocybe coccinea (HYGCCC)</xsl:when>
                    <xsl:when test="./i6:value = '123935'">Hygrocybe colemanniana (HYGCCL)</xsl:when>
                    <xsl:when test="./i6:value = '123936'">Hygrocybe conica (HYGCCO)</xsl:when>
                    <xsl:when test="./i6:value = '123937'">Hygrocybe conicoides (HYGCCN)</xsl:when>
                    <xsl:when test="./i6:value = '123938'">Hygromia cinctella (HYGRCI)</xsl:when>
                    <xsl:when test="./i6:value = '123939'">Hygromia limbata (HYGRLI)</xsl:when>
                    <xsl:when test="./i6:value = '123940'">Hyla arborea (HYLIAR)</xsl:when>
                    <xsl:when test="./i6:value = '123941'">Hylaea fasciaria (ELLOFA)</xsl:when>
                    <xsl:when test="./i6:value = '123942'">Hylastes ater (HYASAR)</xsl:when>
                    <xsl:when test="./i6:value = '123943'">Hylastes nigrinus (HYASNI)</xsl:when>
                    <xsl:when test="./i6:value = '123944'">Hylastinus obscurus (HYATOB)</xsl:when>
                    <xsl:when test="./i6:value = '123945'">Hylecoetus dermestoides (HYLCDE)</xsl:when>
                    <xsl:when test="./i6:value = '123946'">Hylecoetus lugubris (HYLCLU)</xsl:when>
                    <xsl:when test="./i6:value = '123947'">Hyles calida (HYLXCA)</xsl:when>
                    <xsl:when test="./i6:value = '123948'">Hyles euphorbiae (CELEEU)</xsl:when>
                    <xsl:when test="./i6:value = '123949'">Hyles gallii (HYLXGA)</xsl:when>
                    <xsl:when test="./i6:value = '123950'">Hyles hippophaes (HYLXHI)</xsl:when>
                    <xsl:when test="./i6:value = '123951'">Hyles livornica (HYLXLI)</xsl:when>
                    <xsl:when test="./i6:value = '123952'">Hyles vespertilio (HYLXVE)</xsl:when>
                    <xsl:when test="./i6:value = '123953'">Hylesinus fici (HYESFI)</xsl:when>
                    <xsl:when test="./i6:value = '123954'">Hylesinus porcatus (HYESPO)</xsl:when>
                    <xsl:when test="./i6:value = '123955'">Hylesinus toranio (HYESOL)</xsl:when>
                    <xsl:when test="./i6:value = '123956'">Hylobius abietis (HYLOAB)</xsl:when>
                    <xsl:when test="./i6:value = '123957'">Hylobius albosparsus (HYLOAP)</xsl:when>
                    <xsl:when test="./i6:value = '123958'">Hylobius aliradicis (HYLOAL)</xsl:when>
                    <xsl:when test="./i6:value = '123959'">Hylobius assimilis (HYLORH)</xsl:when>
                    <xsl:when test="./i6:value = '123960'">Hylobius pales (HYLOPA)</xsl:when>
                    <xsl:when test="./i6:value = '123961'">Hylobius pinicola (HYLOPI)</xsl:when>
                    <xsl:when test="./i6:value = '123962'">Hylobius radicis (HYLORA)</xsl:when>
                    <xsl:when test="./i6:value = '123963'">Hylobius warreni (HYLOWA)</xsl:when>
                    <xsl:when test="./i6:value = '123964'">Hyloicus pinastri (SPHXPI)</xsl:when>
                    <xsl:when test="./i6:value = '123965'">Hylotrupes bifasciatus (SEMABI)</xsl:when>
                    <xsl:when test="./i6:value = '123966'">Hylurdrectonus piniarius (HYLDPI)</xsl:when>
                    <xsl:when test="./i6:value = '123967'">Hylurgopinus rufipes (HYLRRU)</xsl:when>
                    <xsl:when test="./i6:value = '123968'">Hylurgops glabratus (HYLUGL)</xsl:when>
                    <xsl:when test="./i6:value = '123969'">Hylurgops subcostulatus (HYLUSU)</xsl:when>
                    <xsl:when test="./i6:value = '123970'">Hylurgus ligniperda (HYLGLI)</xsl:when>
                    <xsl:when test="./i6:value = '123971'">Hymenochaete agglutinans (HYMCAG)</xsl:when>
                    <xsl:when test="./i6:value = '123972'">Hymenochaete corrugata (HYMCCO)</xsl:when>
                    <xsl:when test="./i6:value = '123973'">Hymenochaete rubiginosa (HYMCRU)</xsl:when>
                    <xsl:when test="./i6:value = '123974'">Hymenochaete semistupposa (HYMCSE)</xsl:when>
                    <xsl:when test="./i6:value = '123975'">Hymenoscyphus fraxineus (CHAAFR)</xsl:when>
                    <xsl:when test="./i6:value = '123976'">Hymenula cerealis (HYMECE)</xsl:when>
                    <xsl:when test="./i6:value = '123977'">Hypera brunneipennis (HYPRBR)</xsl:when>
                    <xsl:when test="./i6:value = '123978'">Hypera meles (HYPRME)</xsl:when>
                    <xsl:when test="./i6:value = '123979'">Hypera murina (HYPRMU)</xsl:when>
                    <xsl:when test="./i6:value = '123980'">Hypera nigrirostris (HYPRNI)</xsl:when>
                    <xsl:when test="./i6:value = '123981'">Hypera postica (HYPRPO)</xsl:when>
                    <xsl:when test="./i6:value = '123982'">Hypera zoilus (HYPRZO)</xsl:when>
                    <xsl:when test="./i6:value = '123983'">Hyperaspis jocosa (HYERJO)</xsl:when>
                    <xsl:when test="./i6:value = '123984'">Hypercompe indecisa (HYCPIN)</xsl:when>
                    <xsl:when test="./i6:value = '123985'">Hyperodes humilis (HYROHU)</xsl:when>
                    <xsl:when test="./i6:value = '123986'">Hyperodes vulgaris (HYROVU)</xsl:when>
                    <xsl:when test="./i6:value = '123987'">Hyperomyzus lactucae (HYPELA)</xsl:when>
                    <xsl:when test="./i6:value = '123988'">Hyperomyzus rhinanthi (HYPAER)</xsl:when>
                    <xsl:when test="./i6:value = '123989'">Hyperoodon ampullatus (HYOOAM)</xsl:when>
                    <xsl:when test="./i6:value = '123990'">Hyphantria cunea (HYPHCU)</xsl:when>
                    <xsl:when test="./i6:value = '123991'">Hypholoma fasciculare (HYLMFA)</xsl:when>
                    <xsl:when test="./i6:value = '123992'">Hypnoidus abbreviatus (HPNDAB)</xsl:when>
                    <xsl:when test="./i6:value = '123993'">Hypocrea rufa (TRCDVI)</xsl:when>
                    <xsl:when test="./i6:value = '123994'">Hypocreopsis lichenoides (HYRPLI)</xsl:when>
                    <xsl:when test="./i6:value = '123995'">Hypocryphalus mangiferae (HYPCMA)</xsl:when>
                    <xsl:when test="./i6:value = '123996'">Hypoderma diana (HYPDDI)</xsl:when>
                    <xsl:when test="./i6:value = '123997'">Hypoderma lineatum (HYPDLI)</xsl:when>
                    <xsl:when test="./i6:value = '123998'">Hypogastrura armata (HYPGAR)</xsl:when>
                    <xsl:when test="./i6:value = '123999'">Hypogastrura nivicola (HYPGNI)</xsl:when>
                    <xsl:when test="./i6:value = '124000'">Hypogeococcus pungens (HPGCPU)</xsl:when>
                    <xsl:when test="./i6:value = '124001'">Hypomeces squamosus (HYMSSQ)</xsl:when>
                    <xsl:when test="./i6:value = '124002'">Hypomecis punctinalis (BOARPU)</xsl:when>
                    <xsl:when test="./i6:value = '124003'">Hypomyces chrysospermus (HYPMCH)</xsl:when>
                    <xsl:when test="./i6:value = '124004'">Hypomyces rosellus (DACYDE)</xsl:when>
                    <xsl:when test="./i6:value = '124005'">Hypomyces viridis (HYPMVI)</xsl:when>
                    <xsl:when test="./i6:value = '124006'">Hyponephele lycaon (HYNPLY)</xsl:when>
                    <xsl:when test="./i6:value = '124007'">Hypophtalmichthys molitrix (HPHTMO)</xsl:when>
                    <xsl:when test="./i6:value = '124008'">Hypothenemus birmanus (HYOTBI)</xsl:when>
                    <xsl:when test="./i6:value = '124009'">Hypothenemus hampei (STEHHA)</xsl:when>
                    <xsl:when test="./i6:value = '124010'">Hypothenemus hispidulus (HYOTHI)</xsl:when>
                    <xsl:when test="./i6:value = '124011'">Hypothenemus obscurus (HYOTOB)</xsl:when>
                    <xsl:when test="./i6:value = '124012'">Hypoxylon rubiginosum (HYPORU)</xsl:when>
                    <xsl:when test="./i6:value = '124013'">Hypsipyla grandella (HYPYGR)</xsl:when>
                    <xsl:when test="./i6:value = '124014'">Hypsipyla robusta (HYPYRO)</xsl:when>
                    <xsl:when test="./i6:value = '124015'">Hypsizygus tesselatus (HYPZMA)</xsl:when>
                    <xsl:when test="./i6:value = '124016'">Hypsopygia costalis (HYPSCO)</xsl:when>
                    <xsl:when test="./i6:value = '124017'">Hypurus bertrandi (HYPUBE)</xsl:when>
                    <xsl:when test="./i6:value = '124018'">Hysterographium fraxini (HYSGFR)</xsl:when>
                    <xsl:when test="./i6:value = '124019'">Hysteroneura cyperi (HYSTCY)</xsl:when>
                    <xsl:when test="./i6:value = '124020'">Hysteroneura setariae (HYSTSE)</xsl:when>
                    <xsl:when test="./i6:value = '124021'">Hystrichopsylla talpae (HYSRTA)</xsl:when>
                    <xsl:when test="./i6:value = '124022'">Hystrix cristata (HYSXCR)</xsl:when>
                    <xsl:when test="./i6:value = '124023'">Icerya aegyptiaca (ICERAE)</xsl:when>
                    <xsl:when test="./i6:value = '124024'">Icerya purchasi (ICERPU)</xsl:when>
                    <xsl:when test="./i6:value = '124025'">Icerya seychellarum (ICERSE)</xsl:when>
                    <xsl:when test="./i6:value = '124026'">Ichneumon suspiciosus (ICHNSU)</xsl:when>
                    <xsl:when test="./i6:value = '124027'">Ictalurus natalis (ICTANA)</xsl:when>
                    <xsl:when test="./i6:value = '124028'">Ictalurus punctatus (ICTAPU)</xsl:when>
                    <xsl:when test="./i6:value = '124029'">Icteria virens (ICTIVI)</xsl:when>
                    <xsl:when test="./i6:value = '124030'">Icterus galbula (ICTEGA)</xsl:when>
                    <xsl:when test="./i6:value = '124031'">Idaea biselata (IDAABI)</xsl:when>
                    <xsl:when test="./i6:value = '124032'">Idaea dimidiata (IDAADI)</xsl:when>
                    <xsl:when test="./i6:value = '124033'">Idaea inquinata (IDAAIN)</xsl:when>
                    <xsl:when test="./i6:value = '124034'">Idiocerinus stali (IDIOST)</xsl:when>
                    <xsl:when test="./i6:value = '124035'">Idiocerus cognatus (IDIODI)</xsl:when>
                    <xsl:when test="./i6:value = '124036'">Idiocerus nitidulus (IDIONT)</xsl:when>
                    <xsl:when test="./i6:value = '124037'">Idiopterus nephrolepidis (IDIPNE)</xsl:when>
                    <xsl:when test="./i6:value = '124038'">Idioscopus clypealis (IDIOCL)</xsl:when>
                    <xsl:when test="./i6:value = '124039'">Idona minuenda (IDONMI)</xsl:when>
                    <xsl:when test="./i6:value = '124040'">Iguana iguana (IGUAIG)</xsl:when>
                    <xsl:when test="./i6:value = '124041'">Igutettix oculatus (IGUTOC)</xsl:when>
                    <xsl:when test="./i6:value = '124042'">Ileodictyon cibarium (ILEOCI)</xsl:when>
                    <xsl:when test="./i6:value = '124043'">Illinoia liriodendri (MACSLR)</xsl:when>
                    <xsl:when test="./i6:value = '124044'">Illinoia pepperi (ILLNPE)</xsl:when>
                    <xsl:when test="./i6:value = '124045'">Illinoia rubicola (ILLNRU)</xsl:when>
                    <xsl:when test="./i6:value = '124046'">Ilyocoris cimicoides (ILYCCI)</xsl:when>
                    <xsl:when test="./i6:value = '124047'">Ilyonectria radicicola (NECTRA)</xsl:when>
                    <xsl:when test="./i6:value = '124048'">Inachis io (VANSIO)</xsl:when>
                    <xsl:when test="./i6:value = '124049'">Incisitermes snyderi (INCISN)</xsl:when>
                    <xsl:when test="./i6:value = '124050'">Inocybe patouillardii (INOCPA)</xsl:when>
                    <xsl:when test="./i6:value = '124051'">Inocybe whitei (INOCWH)</xsl:when>
                    <xsl:when test="./i6:value = '124052'">Inonotus cuticularis (INONCU)</xsl:when>
                    <xsl:when test="./i6:value = '124053'">Inonotus dryadeus (INONDR)</xsl:when>
                    <xsl:when test="./i6:value = '124054'">Inonotus hispidus (INONHI)</xsl:when>
                    <xsl:when test="./i6:value = '124055'">Inonotus radiatus (POLPRA)</xsl:when>
                    <xsl:when test="./i6:value = '124056'">Insignorthezia insignis (ORTHIN)</xsl:when>
                    <xsl:when test="./i6:value = '124057'">Insolibasidium deformans (INSODE)</xsl:when>
                    <xsl:when test="./i6:value = '124058'">Iphiclides feisthamelii (IPHIFE)</xsl:when>
                    <xsl:when test="./i6:value = '124059'">Iphiclides podalirius (PAPIIP)</xsl:when>
                    <xsl:when test="./i6:value = '124060'">Ipimorpha subtusa (IPIMSU)</xsl:when>
                    <xsl:when test="./i6:value = '124061'">Ips acuminatus (IPSXAC)</xsl:when>
                    <xsl:when test="./i6:value = '124062'">Ips amitinus (IPSXAM)</xsl:when>
                    <xsl:when test="./i6:value = '124063'">Ips avulsus (IPSXAV)</xsl:when>
                    <xsl:when test="./i6:value = '124064'">Ips calligraphus (IPSXCA)</xsl:when>
                    <xsl:when test="./i6:value = '124065'">Ips concinnus (IPSXCC)</xsl:when>
                    <xsl:when test="./i6:value = '124066'">Ips confusus (IPSXCO)</xsl:when>
                    <xsl:when test="./i6:value = '124067'">Ips duplicatus (IPSXDU)</xsl:when>
                    <xsl:when test="./i6:value = '124068'">Ips emarginatus (IPSXEM)</xsl:when>
                    <xsl:when test="./i6:value = '124069'">Ips grandicollis (IPSXGR)</xsl:when>
                    <xsl:when test="./i6:value = '124070'">Ips hauseri (IPSXHA)</xsl:when>
                    <xsl:when test="./i6:value = '124071'">Ips integer (IPSXIG)</xsl:when>
                    <xsl:when test="./i6:value = '124072'">Ips latidens (IPSXLT)</xsl:when>
                    <xsl:when test="./i6:value = '124073'">Ips lecontei (IPSXLE)</xsl:when>
                    <xsl:when test="./i6:value = '124074'">Ips longifoliae (IPSXLF)</xsl:when>
                    <xsl:when test="./i6:value = '124075'">Ips mexicanus (IPSXRA)</xsl:when>
                    <xsl:when test="./i6:value = '124076'">Ips montanus (IPSXVA)</xsl:when>
                    <xsl:when test="./i6:value = '124077'">Ips paraconfusus (IPSXPA)</xsl:when>
                    <xsl:when test="./i6:value = '124078'">Ips perturbatus (IPSXPE)</xsl:when>
                    <xsl:when test="./i6:value = '124079'">Ips pini (IPSXPI)</xsl:when>
                    <xsl:when test="./i6:value = '124080'">Ips plastographus (IPSXPL)</xsl:when>
                    <xsl:when test="./i6:value = '124081'">Ips ribbentropi (IPSXRI)</xsl:when>
                    <xsl:when test="./i6:value = '124082'">Ips subelongatus (IPSXFA)</xsl:when>
                    <xsl:when test="./i6:value = '124083'">Iridomyrmex purpureus (IRIDPU)</xsl:when>
                    <xsl:when test="./i6:value = '124084'">Iridoprocne bicolor (IRIPBI)</xsl:when>
                    <xsl:when test="./i6:value = '124085'">Iridothrips iridis (IRITIR)</xsl:when>
                    <xsl:when test="./i6:value = '124086'">Iris oratoria (IRISOR)</xsl:when>
                    <xsl:when test="./i6:value = '124087'">Isariopsis clavispora (ISARCL)</xsl:when>
                    <xsl:when test="./i6:value = '124088'">Ischnaspis longirostris (ISCPLO)</xsl:when>
                    <xsl:when test="./i6:value = '124089'">Ischnodemus sabuleti (ISCNSA)</xsl:when>
                    <xsl:when test="./i6:value = '124090'">Ischnura elegans (ISHNEL)</xsl:when>
                    <xsl:when test="./i6:value = '124091'">Isometrus maculatus (ISOMMA)</xsl:when>
                    <xsl:when test="./i6:value = '124092'">Isoodon obesulus (ISODOB)</xsl:when>
                    <xsl:when test="./i6:value = '124093'">Isophrictis striatella (ISPHST)</xsl:when>
                    <xsl:when test="./i6:value = '124094'">Isopteron punctatissimus (ISOEPU)</xsl:when>
                    <xsl:when test="./i6:value = '124095'">Isothea rhytismoides (ISHARH)</xsl:when>
                    <xsl:when test="./i6:value = '124096'">Issoria lathonia (ISSOLA)</xsl:when>
                    <xsl:when test="./i6:value = '124097'">Itersonilia pastinacae (ITERPA)</xsl:when>
                    <xsl:when test="./i6:value = '124098'">Itersonilia perplexans (ITERPE)</xsl:when>
                    <xsl:when test="./i6:value = '124099'">Ithycerus noveboracensis (ITHYNO)</xsl:when>
                    <xsl:when test="./i6:value = '124100'">Ixodes canisuga (IXODAU)</xsl:when>
                    <xsl:when test="./i6:value = '124101'">Ixodes hexagonus (IXODHE)</xsl:when>
                    <xsl:when test="./i6:value = '124102'">Ixodes holocyclus (IXODHO)</xsl:when>
                    <xsl:when test="./i6:value = '124103'">Ixodes kingi (IXODKI)</xsl:when>
                    <xsl:when test="./i6:value = '124104'">Ixodes scapularis (IXODSC)</xsl:when>
                    <xsl:when test="./i6:value = '124105'">Ixodes trianguliceps (IXODTG)</xsl:when>
                    <xsl:when test="./i6:value = '124106'">Ixodes uriae (IXODUR)</xsl:when>
                    <xsl:when test="./i6:value = '124107'">Ixodes vestitus (IXODVE)</xsl:when>
                    <xsl:when test="./i6:value = '124108'">Ixoreus naevius (TURDNA)</xsl:when>
                    <xsl:when test="./i6:value = '124109'">Jacobiasca formosana (JACSFO)</xsl:when>
                    <xsl:when test="./i6:value = '124110'">Jacobiasca lybica (EMPOLY)</xsl:when>
                    <xsl:when test="./i6:value = '124111'">Jaculus jaculus (JACUJA)</xsl:when>
                    <xsl:when test="./i6:value = '124112'">Jalysus spinosus (JALYSI)</xsl:when>
                    <xsl:when test="./i6:value = '124113'">Jamides elpis (LAMDEL)</xsl:when>
                    <xsl:when test="./i6:value = '124114'">Janetiella coloradensis (JANECO)</xsl:when>
                    <xsl:when test="./i6:value = '124115'">Janetiella siskiyou (JANESI)</xsl:when>
                    <xsl:when test="./i6:value = '124116'">Janus compressus (JANUCO)</xsl:when>
                    <xsl:when test="./i6:value = '124117'">Japanagromyza inaequalis (JAPAEN)</xsl:when>
                    <xsl:when test="./i6:value = '124118'">Jonthonota nigripes (JONTNI)</xsl:when>
                    <xsl:when test="./i6:value = '124119'">Josephiella microcarpae (JOSEMI)</xsl:when>
                    <xsl:when test="./i6:value = '124120'">Jujubinus striatus (JUJUST)</xsl:when>
                    <xsl:when test="./i6:value = '124121'">Junco hyemalis (JUNCHY)</xsl:when>
                    <xsl:when test="./i6:value = '124122'">Kabatiella caulivora (KABACA)</xsl:when>
                    <xsl:when test="./i6:value = '124123'">Kabatiella microsticta (KABAMI)</xsl:when>
                    <xsl:when test="./i6:value = '124124'">Kabatiella zeae (KABAZE)</xsl:when>
                    <xsl:when test="./i6:value = '124125'">Kabatina juniperi (KABTJU)</xsl:when>
                    <xsl:when test="./i6:value = '124126'">Kabatina thujae (KABTTH)</xsl:when>
                    <xsl:when test="./i6:value = '124127'">Kakimia wahinkae (KAKIWA)</xsl:when>
                    <xsl:when test="./i6:value = '124128'">Kakothrips pisivorus (KAKORO)</xsl:when>
                    <xsl:when test="./i6:value = '124129'">Kalaharituber pfeilii (KALHPF)</xsl:when>
                    <xsl:when test="./i6:value = '124130'">Kermes quercus (KERMQU)</xsl:when>
                    <xsl:when test="./i6:value = '124131'">Kermes roboris (KERMRO)</xsl:when>
                    <xsl:when test="./i6:value = '124132'">Kerria lacca (KERRLA)</xsl:when>
                    <xsl:when test="./i6:value = '124133'">Khuskia oryzae (KHUSOR)</xsl:when>
                    <xsl:when test="./i6:value = '124134'">Kilifia acuminata (LECAAC)</xsl:when>
                    <xsl:when test="./i6:value = '124135'">Klambothrips myopori (KLAMMY)</xsl:when>
                    <xsl:when test="./i6:value = '124136'">Kleinschmidtimyia pisi (MEAGPI)</xsl:when>
                    <xsl:when test="./i6:value = '124137'">Kloeckera apiculata (KLOEAP)</xsl:when>
                    <xsl:when test="./i6:value = '124138'">Knemidokoptes mutans (KNEMMU)</xsl:when>
                    <xsl:when test="./i6:value = '124139'">Knemidokoptes pilae (KNEMPI)</xsl:when>
                    <xsl:when test="./i6:value = '124140'">Knulliana cincta (KNULCI)</xsl:when>
                    <xsl:when test="./i6:value = '124141'">Kobus kob (KOBUKO)</xsl:when>
                    <xsl:when test="./i6:value = '124142'">Kotochalia junodi (KOTOJU)</xsl:when>
                    <xsl:when test="./i6:value = '124143'">Kretzschmaria deusta (USTUDE)</xsl:when>
                    <xsl:when test="./i6:value = '124144'">Kuehneola japonica (KUEHJA)</xsl:when>
                    <xsl:when test="./i6:value = '124145'">Kuehneola uredinis (KUEHUR)</xsl:when>
                    <xsl:when test="./i6:value = '124146'">Kuehneromyces mutabilis (PHOLMU)</xsl:when>
                    <xsl:when test="./i6:value = '124147'">Kuwanaspis howardi (KUWAHO)</xsl:when>
                    <xsl:when test="./i6:value = '124148'">Kuwanaspis pseudoleucaspis (KUWAPS)</xsl:when>
                    <xsl:when test="./i6:value = '124149'">Labia minor (LBIAMI)</xsl:when>
                    <xsl:when test="./i6:value = '124150'">Labidura riparia (LABIRI)</xsl:when>
                    <xsl:when test="./i6:value = '124151'">Labopidea allii (LABOAL)</xsl:when>
                    <xsl:when test="./i6:value = '124152'">Labops hesperius (LABPHE)</xsl:when>
                    <xsl:when test="./i6:value = '124153'">Labrella agrostidis (CLRIAG)</xsl:when>
                    <xsl:when test="./i6:value = '124154'">Lacanobia atlantica (POLIAT)</xsl:when>
                    <xsl:when test="./i6:value = '124155'">Lacanobia oleracea (POLIOL)</xsl:when>
                    <xsl:when test="./i6:value = '124156'">Lacanobia pisi (POLIPI)</xsl:when>
                    <xsl:when test="./i6:value = '124157'">Lacanobia subjuncta (POLISU)</xsl:when>
                    <xsl:when test="./i6:value = '124158'">Lacanobia thalassina (LACATH)</xsl:when>
                    <xsl:when test="./i6:value = '124159'">Laccaria amethystina (LACCAM)</xsl:when>
                    <xsl:when test="./i6:value = '124160'">Laccaria laccata (LACCLA)</xsl:when>
                    <xsl:when test="./i6:value = '124161'">Laccocephalum mylittae (LCCPMY)</xsl:when>
                    <xsl:when test="./i6:value = '124162'">Laccophilus minutus (LCCHMI)</xsl:when>
                    <xsl:when test="./i6:value = '124163'">Lacerta bilineata (LACEBI)</xsl:when>
                    <xsl:when test="./i6:value = '124164'">Lacerta lepida (LACELE)</xsl:when>
                    <xsl:when test="./i6:value = '124165'">Lacerta viridis (LACEVI)</xsl:when>
                    <xsl:when test="./i6:value = '124166'">Lacerta vivipara (LACEVP)</xsl:when>
                    <xsl:when test="./i6:value = '124167'">Lachesilla pedicularia (LACSPE)</xsl:when>
                    <xsl:when test="./i6:value = '124168'">Lachnellula arida (LCHNAR)</xsl:when>
                    <xsl:when test="./i6:value = '124169'">Lachnellula calyciformis (LCHNCF)</xsl:when>
                    <xsl:when test="./i6:value = '124170'">Lachnellula flavovirens (LCHNFL)</xsl:when>
                    <xsl:when test="./i6:value = '124171'">Lachnellula fuscosanguinea (LCHNFU)</xsl:when>
                    <xsl:when test="./i6:value = '124172'">Lachnellula occidentalis (LCHNOC)</xsl:when>
                    <xsl:when test="./i6:value = '124173'">Lachnellula pini (LCHNPI)</xsl:when>
                    <xsl:when test="./i6:value = '124174'">Lachnellula pseudofarinacea (LCHNPS)</xsl:when>
                    <xsl:when test="./i6:value = '124175'">Lachnellula resinaria (LCHNRE)</xsl:when>
                    <xsl:when test="./i6:value = '124176'">Lachnellula subtilissima (LCHNSU)</xsl:when>
                    <xsl:when test="./i6:value = '124177'">Lachnellula suecica (LCHNSC)</xsl:when>
                    <xsl:when test="./i6:value = '124178'">Lachnopus campechianus (LACPCA)</xsl:when>
                    <xsl:when test="./i6:value = '124179'">Lachnosterna crinita (PHYGCR)</xsl:when>
                    <xsl:when test="./i6:value = '124180'">Lachnosterna farcta (LACHFA)</xsl:when>
                    <xsl:when test="./i6:value = '124181'">Lachnosterna futilis (PHYGFT)</xsl:when>
                    <xsl:when test="./i6:value = '124182'">Lachnosterna horishara (LACHHO)</xsl:when>
                    <xsl:when test="./i6:value = '124183'">Lachnosterna inversa (PHYGIN)</xsl:when>
                    <xsl:when test="./i6:value = '124184'">Lachnosterna rugosa (PHYGRU)</xsl:when>
                    <xsl:when test="./i6:value = '124185'">Lachnum apalum (LCHMAP)</xsl:when>
                    <xsl:when test="./i6:value = '124186'">Lachnus oregonensis (CINAOR)</xsl:when>
                    <xsl:when test="./i6:value = '124187'">Lacinipolia renigera (POLIRE)</xsl:when>
                    <xsl:when test="./i6:value = '124188'">Lacon variabilis (LACOVA)</xsl:when>
                    <xsl:when test="./i6:value = '124189'">Lactarius camphoratus (LACTCA)</xsl:when>
                    <xsl:when test="./i6:value = '124190'">Lactarius deliciosus (LACTDE)</xsl:when>
                    <xsl:when test="./i6:value = '124191'">Lactarius indigo (LACTIN)</xsl:when>
                    <xsl:when test="./i6:value = '124192'">Lactarius torminosus (LACTTO)</xsl:when>
                    <xsl:when test="./i6:value = '124193'">Lactarius uvidus (LACTUV)</xsl:when>
                    <xsl:when test="./i6:value = '124194'">Lacuna vincta (LACUVI)</xsl:when>
                    <xsl:when test="./i6:value = '124195'">Laemophloeus minutus (CRYLPU)</xsl:when>
                    <xsl:when test="./i6:value = '124196'">Laetiporus sulphureus (LAETSU)</xsl:when>
                    <xsl:when test="./i6:value = '124197'">Laetisaria arvalis (LAESAR)</xsl:when>
                    <xsl:when test="./i6:value = '124198'">Laetisaria fuciformis (LAESFU)</xsl:when>
                    <xsl:when test="./i6:value = '124199'">Lagocheirus undatus (LAGOUN)</xsl:when>
                    <xsl:when test="./i6:value = '124200'">Lagopus lagopus (LAGPLA)</xsl:when>
                    <xsl:when test="./i6:value = '124201'">Lagynotomus elongatus (LAGYEL)</xsl:when>
                    <xsl:when test="./i6:value = '124202'">Lama glama (LMAAGL)</xsl:when>
                    <xsl:when test="./i6:value = '124203'">Lambertella corni-maris (LMBTCM)</xsl:when>
                    <xsl:when test="./i6:value = '124204'">Lamia textor (LAMITE)</xsl:when>
                    <xsl:when test="./i6:value = '124205'">Laminicoccus pandani (LAMCPA)</xsl:when>
                    <xsl:when test="./i6:value = '124206'">Lampetra fluviatilis (LMPTFL)</xsl:when>
                    <xsl:when test="./i6:value = '124207'">Lampetra planeri (LMPTPL)</xsl:when>
                    <xsl:when test="./i6:value = '124208'">Lampides boeticus (LAMDBO)</xsl:when>
                    <xsl:when test="./i6:value = '124209'">Lamprocapsidea coffeae (LYGUCO)</xsl:when>
                    <xsl:when test="./i6:value = '124210'">Lamprolonchaea brouniana (LAMLBR)</xsl:when>
                    <xsl:when test="./i6:value = '124211'">Lampronia capitella (INCUCA)</xsl:when>
                    <xsl:when test="./i6:value = '124212'">Lampyris noctiluca (LAMPNO)</xsl:when>
                    <xsl:when test="./i6:value = '124213'">Languria mozardi (LANGMO)</xsl:when>
                    <xsl:when test="./i6:value = '124214'">Laniarius aethiopicus (LANRAE)</xsl:when>
                    <xsl:when test="./i6:value = '124215'">Laniarius erythrogaster (LANRER)</xsl:when>
                    <xsl:when test="./i6:value = '124216'">Lanius bucephalus (LANIBU)</xsl:when>
                    <xsl:when test="./i6:value = '124217'">Lanius collaris (LANICO)</xsl:when>
                    <xsl:when test="./i6:value = '124218'">Lanius excubitor (LANIEX)</xsl:when>
                    <xsl:when test="./i6:value = '124219'">Lanius ludovicianus (LANILU)</xsl:when>
                    <xsl:when test="./i6:value = '124220'">Laothoe populi (AMORPO)</xsl:when>
                    <xsl:when test="./i6:value = '124221'">Largus succinctus (LARGSU)</xsl:when>
                    <xsl:when test="./i6:value = '124222'">Larinus latissimus (LARILA)</xsl:when>
                    <xsl:when test="./i6:value = '124223'">Larinus meleagris (LARIME)</xsl:when>
                    <xsl:when test="./i6:value = '124224'">Larus canus (LARUCA)</xsl:when>
                    <xsl:when test="./i6:value = '124225'">Larus crassirostris (LARUCR)</xsl:when>
                    <xsl:when test="./i6:value = '124226'">Lasiocampa quercus (LASCQU)</xsl:when>
                    <xsl:when test="./i6:value = '124227'">Lasiocampa trifolii (LASCTR)</xsl:when>
                    <xsl:when test="./i6:value = '124228'">Lasiommata maera (LAOMMA)</xsl:when>
                    <xsl:when test="./i6:value = '124229'">Lasiommata megera (LAOMME)</xsl:when>
                    <xsl:when test="./i6:value = '124230'">Lasionycteris noctivagans (LSNYNO)</xsl:when>
                    <xsl:when test="./i6:value = '124231'">Lasioptera falcata (LASOFA)</xsl:when>
                    <xsl:when test="./i6:value = '124232'">Lasioptera fructuaria (LASOFR)</xsl:when>
                    <xsl:when test="./i6:value = '124233'">Lasioptera murtfeldtiana (NEORMU)</xsl:when>
                    <xsl:when test="./i6:value = '124234'">Lasioptera rubi (LASORU)</xsl:when>
                    <xsl:when test="./i6:value = '124235'">Lasioptera vitis (LASOVI)</xsl:when>
                    <xsl:when test="./i6:value = '124236'">Lasiothyris luminosa (LASTLU)</xsl:when>
                    <xsl:when test="./i6:value = '124237'">Lasius brunneus (LASIBR)</xsl:when>
                    <xsl:when test="./i6:value = '124238'">Lasius emarginatus (LASIEM)</xsl:when>
                    <xsl:when test="./i6:value = '124239'">Lasius umbratus (LASIUM)</xsl:when>
                    <xsl:when test="./i6:value = '124240'">Latheticus oryzae (LATHOR)</xsl:when>
                    <xsl:when test="./i6:value = '124241'">Latrodectus curacaviensis (LATRCU)</xsl:when>
                    <xsl:when test="./i6:value = '124242'">Latrodectus geometricus (LATRGE)</xsl:when>
                    <xsl:when test="./i6:value = '124243'">Latrodectus hasselti (LATRHA)</xsl:when>
                    <xsl:when test="./i6:value = '124244'">Latrodectus hesperus (LATRHE)</xsl:when>
                    <xsl:when test="./i6:value = '124245'">Latrodectus mactans (LATRMA)</xsl:when>
                    <xsl:when test="./i6:value = '124246'">Latrodectus tredecimguttatus (LATRTL)</xsl:when>
                    <xsl:when test="./i6:value = '124247'">Lauria cylindracea (LAURCY)</xsl:when>
                    <xsl:when test="./i6:value = '124248'">Lawana candida (LAWACA)</xsl:when>
                    <xsl:when test="./i6:value = '124249'">Lecanicillium aphanocladii (LCNCAP)</xsl:when>
                    <xsl:when test="./i6:value = '124250'">Lecanicillium dimorphum (LCNLDI)</xsl:when>
                    <xsl:when test="./i6:value = '124251'">Lecanicillium longisporum (LCNCLO)</xsl:when>
                    <xsl:when test="./i6:value = '124252'">Lecanicillium muscarium (LCNCMU)</xsl:when>
                    <xsl:when test="./i6:value = '124253'">Lecanicillium psalliotae (LCNCPS)</xsl:when>
                    <xsl:when test="./i6:value = '124254'">Lecanopsis formicarum (LCPSFO)</xsl:when>
                    <xsl:when test="./i6:value = '124255'">Lecanosticta acicola (SCIRAC)</xsl:when>
                    <xsl:when test="./i6:value = '124256'">Leccinum albostipitatum (LCCNAL)</xsl:when>
                    <xsl:when test="./i6:value = '124257'">Leccinum scabrum (LCCNSC)</xsl:when>
                    <xsl:when test="./i6:value = '124258'">Leccinum versipelle (LCCNVE)</xsl:when>
                    <xsl:when test="./i6:value = '124259'">Lefroyothrips lefroyi (TAETLE)</xsl:when>
                    <xsl:when test="./i6:value = '124260'">Leguminivora glycinivorella (LASPGL)</xsl:when>
                    <xsl:when test="./i6:value = '124261'">Leguminivora pseudonectis (LASPPS)</xsl:when>
                    <xsl:when test="./i6:value = '124262'">Lehmannia valentiana (LEHMVA)</xsl:when>
                    <xsl:when test="./i6:value = '124263'">Leifsonia xyli (CLABXY)</xsl:when>
                    <xsl:when test="./i6:value = '124264'">Leiostomus xanthurus (LEOSXA)</xsl:when>
                    <xsl:when test="./i6:value = '124265'">Lema bilineata (LEMABI)</xsl:when>
                    <xsl:when test="./i6:value = '124266'">Lema erichsoni (LEMAER)</xsl:when>
                    <xsl:when test="./i6:value = '124267'">Lema erythrodera (LEMAEY)</xsl:when>
                    <xsl:when test="./i6:value = '124268'">Lema honorata (LEMAHO)</xsl:when>
                    <xsl:when test="./i6:value = '124269'">Lema trilinea (LEMATR)</xsl:when>
                    <xsl:when test="./i6:value = '124270'">Lema tristis (LEMATS)</xsl:when>
                    <xsl:when test="./i6:value = '124271'">Lemmus amurensis (LEMMAM)</xsl:when>
                    <xsl:when test="./i6:value = '124272'">Lemmus sibiricus (LEMMOB)</xsl:when>
                    <xsl:when test="./i6:value = '124273'">Lemniscomys barbarus (ARVIBA)</xsl:when>
                    <xsl:when test="./i6:value = '124274'">Lentinula edodes (LENTED)</xsl:when>
                    <xsl:when test="./i6:value = '124275'">Lenzites betulina (LENZBE)</xsl:when>
                    <xsl:when test="./i6:value = '124276'">Leopardus pardalis (LEOPPA)</xsl:when>
                    <xsl:when test="./i6:value = '124277'">Lepadogaster lepadogaster (LPDRLE)</xsl:when>
                    <xsl:when test="./i6:value = '124278'">Lepas anatifera (LPASAN)</xsl:when>
                    <xsl:when test="./i6:value = '124279'">Leperisinus aculeatus (LEPEAC)</xsl:when>
                    <xsl:when test="./i6:value = '124280'">Leperisinus californicus (LEPECA)</xsl:when>
                    <xsl:when test="./i6:value = '124281'">Leperisinus varius (HYESFR)</xsl:when>
                    <xsl:when test="./i6:value = '124282'">Lepidechidna acharnias (DEPRAR)</xsl:when>
                    <xsl:when test="./i6:value = '124283'">Lepidiota caudata (LEPDCA)</xsl:when>
                    <xsl:when test="./i6:value = '124284'">Lepidiota consobrina (LEPDCO)</xsl:when>
                    <xsl:when test="./i6:value = '124285'">Lepidiota crinita (LEPDTR)</xsl:when>
                    <xsl:when test="./i6:value = '124286'">Lepidiota laevis (LEPDLA)</xsl:when>
                    <xsl:when test="./i6:value = '124287'">Lepidiota noxia (LEPDNO)</xsl:when>
                    <xsl:when test="./i6:value = '124288'">Lepidiota picticollis (LEPDPI)</xsl:when>
                    <xsl:when test="./i6:value = '124289'">Lepidochelys kempii (LPOCKE)</xsl:when>
                    <xsl:when test="./i6:value = '124290'">Lepidochelys olivacea (LPOCOL)</xsl:when>
                    <xsl:when test="./i6:value = '124291'">Lepidoglyphus destructor (GLYCDE)</xsl:when>
                    <xsl:when test="./i6:value = '124292'">Lepidorhombus boscii (LEIDBO)</xsl:when>
                    <xsl:when test="./i6:value = '124293'">Lepidorhombus wiffiagonis (LEIDWI)</xsl:when>
                    <xsl:when test="./i6:value = '124294'">Lepidosaphes beckii (LEPSBE)</xsl:when>
                    <xsl:when test="./i6:value = '124295'">Lepidosaphes camelliae (LEPSCA)</xsl:when>
                    <xsl:when test="./i6:value = '124296'">Lepidosaphes gloverii (LEPSGL)</xsl:when>
                    <xsl:when test="./i6:value = '124297'">Lepidosaphes machili (LEPSMC)</xsl:when>
                    <xsl:when test="./i6:value = '124298'">Lepidosaphes pallida (LEPSPA)</xsl:when>
                    <xsl:when test="./i6:value = '124299'">Lepidosaphes pistaciae (LEPSPI)</xsl:when>
                    <xsl:when test="./i6:value = '124300'">Lepidosaphes salicina (LEPSSA)</xsl:when>
                    <xsl:when test="./i6:value = '124301'">Lepidosaphes tapleyi (LEPSTA)</xsl:when>
                    <xsl:when test="./i6:value = '124302'">Lepidosaphes ulmi (LEPSUL)</xsl:when>
                    <xsl:when test="./i6:value = '124303'">Lepidosaphes ussuriensis (LEPSUS)</xsl:when>
                    <xsl:when test="./i6:value = '124304'">Lepidosaphes yanagicola (LEPSYA)</xsl:when>
                    <xsl:when test="./i6:value = '124305'">Lepidosiren paradoxa (LPDSPA)</xsl:when>
                    <xsl:when test="./i6:value = '124306'">Lepidurus apus (LPDUAP)</xsl:when>
                    <xsl:when test="./i6:value = '124307'">Lepiota brunneoincarnata (LPOTBR)</xsl:when>
                    <xsl:when test="./i6:value = '124308'">Lepiota cristata (LPOTCR)</xsl:when>
                    <xsl:when test="./i6:value = '124309'">Lepisma saccharina (LEPISA)</xsl:when>
                    <xsl:when test="./i6:value = '124310'">Lepista nuda (LPSTNU)</xsl:when>
                    <xsl:when test="./i6:value = '124311'">Lepista personata (LPSTSA)</xsl:when>
                    <xsl:when test="./i6:value = '124312'">Lepomis cyanellus (LEPMCY)</xsl:when>
                    <xsl:when test="./i6:value = '124313'">Lepomis microlophus (LEPMMI)</xsl:when>
                    <xsl:when test="./i6:value = '124314'">Leptailurus serval (LPTLSE)</xsl:when>
                    <xsl:when test="./i6:value = '124315'">Lepteutypa cupressi (RHYSCU)</xsl:when>
                    <xsl:when test="./i6:value = '124316'">Leptidea sinapis (LPTDSI)</xsl:when>
                    <xsl:when test="./i6:value = '124317'">Leptinotarsa decemlineata (LPTNDE)</xsl:when>
                    <xsl:when test="./i6:value = '124318'">Leptinotarsa juncta (LPTNJU)</xsl:when>
                    <xsl:when test="./i6:value = '124319'">Leptocera caenosa (LPTCCA)</xsl:when>
                    <xsl:when test="./i6:value = '124320'">Leptocoris lurida (LEPCLU)</xsl:when>
                    <xsl:when test="./i6:value = '124321'">Leptocoris trivittatus (LEPCTR)</xsl:when>
                    <xsl:when test="./i6:value = '124322'">Leptocorisa acuta (LEPRAC)</xsl:when>
                    <xsl:when test="./i6:value = '124323'">Leptocorisa corbetti (LEPRCR)</xsl:when>
                    <xsl:when test="./i6:value = '124324'">Leptocorisa oratorius (LEPROR)</xsl:when>
                    <xsl:when test="./i6:value = '124325'">Leptocybe invasa (LPCYIN)</xsl:when>
                    <xsl:when test="./i6:value = '124326'">Leptodontidium elatius (LPDMEL)</xsl:when>
                    <xsl:when test="./i6:value = '124327'">Leptoglossus australis (LEPLAU)</xsl:when>
                    <xsl:when test="./i6:value = '124328'">Leptoglossus bidentatus (LEPLBI)</xsl:when>
                    <xsl:when test="./i6:value = '124329'">Leptoglossus clypealis (LEPLCL)</xsl:when>
                    <xsl:when test="./i6:value = '124330'">Leptoglossus gonagra (LEPLGO)</xsl:when>
                    <xsl:when test="./i6:value = '124331'">Leptoglossus impictus (LEPLIM)</xsl:when>
                    <xsl:when test="./i6:value = '124332'">Leptoglossus occidentalis (LEPLOC)</xsl:when>
                    <xsl:when test="./i6:value = '124333'">Leptoglossus oppositus (LEPLOP)</xsl:when>
                    <xsl:when test="./i6:value = '124334'">Leptoglossus phyllopus (LEPLPH)</xsl:when>
                    <xsl:when test="./i6:value = '124335'">Leptoglossus zonatus (LEPLZO)</xsl:when>
                    <xsl:when test="./i6:value = '124336'">Leptographium procerum (LEPGPR)</xsl:when>
                    <xsl:when test="./i6:value = '124337'">Leptomitus lacteus (LPMTLT)</xsl:when>
                    <xsl:when test="./i6:value = '124338'">Leptopharsa gibbicarina (LPPHGI)</xsl:when>
                    <xsl:when test="./i6:value = '124339'">Leptopharsa heveae (LPPHHE)</xsl:when>
                    <xsl:when test="./i6:value = '124340'">Leptophlebia marginata (LPTBMA)</xsl:when>
                    <xsl:when test="./i6:value = '124341'">Leptophlebia vespertina (LPTBVE)</xsl:when>
                    <xsl:when test="./i6:value = '124342'">Leptophyes boscii (LPTPBO)</xsl:when>
                    <xsl:when test="./i6:value = '124343'">Leptophyes punctatissima (LPTPPU)</xsl:when>
                    <xsl:when test="./i6:value = '124344'">Leptopterna dolabrata (MIRIDO)</xsl:when>
                    <xsl:when test="./i6:value = '124345'">Leptosomus discolor (LQTSDI)</xsl:when>
                    <xsl:when test="./i6:value = '124346'">Leptosphaeria pratensis (LEPTPT)</xsl:when>
                    <xsl:when test="./i6:value = '124347'">Leptosphaeria taiwanensis (LEPTTW)</xsl:when>
                    <xsl:when test="./i6:value = '124348'">Leptosphaerulina trifolii (LPHLTR)</xsl:when>
                    <xsl:when test="./i6:value = '124349'">Leptothrips mali (LPTTMA)</xsl:when>
                    <xsl:when test="./i6:value = '124350'">Leptothyrium theae (LPTYTH)</xsl:when>
                    <xsl:when test="./i6:value = '124351'">Leptotrochila medicaginis (LPTRME)</xsl:when>
                    <xsl:when test="./i6:value = '124352'">Leptoxyphium axillatum (LPXPAX)</xsl:when>
                    <xsl:when test="./i6:value = '124353'">Lepus brachyurus (LEPUBR)</xsl:when>
                    <xsl:when test="./i6:value = '124354'">Lepus californicus (LEPUCA)</xsl:when>
                    <xsl:when test="./i6:value = '124355'">Lepus europaeus (LEPUEU)</xsl:when>
                    <xsl:when test="./i6:value = '124356'">Lepus timidus (LEPUTI)</xsl:when>
                    <xsl:when test="./i6:value = '124357'">Lepus townsendii (LEPUTW)</xsl:when>
                    <xsl:when test="./i6:value = '124358'">Lepyronia quadrangularis (LEPOQU)</xsl:when>
                    <xsl:when test="./i6:value = '124359'">Lestes barbarus (LESTBA)</xsl:when>
                    <xsl:when test="./i6:value = '124360'">Lestes dryas (LESTDR)</xsl:when>
                    <xsl:when test="./i6:value = '124361'">Lestes sponsa (LESTSN)</xsl:when>
                    <xsl:when test="./i6:value = '124362'">Lestes viridis (LESTVI)</xsl:when>
                    <xsl:when test="./i6:value = '124363'">Lethocerus americanus (LETHAM)</xsl:when>
                    <xsl:when test="./i6:value = '124364'">Lethocerus distinctifemur (LETHDI)</xsl:when>
                    <xsl:when test="./i6:value = '124365'">Lethocerus insulanus (LETHIN)</xsl:when>
                    <xsl:when test="./i6:value = '124366'">Leucaspis cordylinidis (LEUACR)</xsl:when>
                    <xsl:when test="./i6:value = '124367'">Leucaspis pini (LEUAPI)</xsl:when>
                    <xsl:when test="./i6:value = '124368'">Leucaspis signoreti (LEUASI)</xsl:when>
                    <xsl:when test="./i6:value = '124369'">Leucaspius delineatus (LEUUDE)</xsl:when>
                    <xsl:when test="./i6:value = '124370'">Leucinodes cordalis (LEUICO)</xsl:when>
                    <xsl:when test="./i6:value = '124371'">Leucinodes orbonalis (LEUIOR)</xsl:when>
                    <xsl:when test="./i6:value = '124372'">Leuciscus cephalus (LECICE)</xsl:when>
                    <xsl:when test="./i6:value = '124373'">Leuciscus idus (LECIID)</xsl:when>
                    <xsl:when test="./i6:value = '124374'">Leuciscus leuciscus (LECILE)</xsl:when>
                    <xsl:when test="./i6:value = '124375'">Leuciscus melanotus (LECIIM)</xsl:when>
                    <xsl:when test="./i6:value = '124376'">Leucoagaricus leucothites (LUAGLE)</xsl:when>
                    <xsl:when test="./i6:value = '124377'">Leucocintractia leucodermoides (LECCLS)</xsl:when>
                    <xsl:when test="./i6:value = '124378'">Leucocoprinus birnbaumii (LUCOBI)</xsl:when>
                    <xsl:when test="./i6:value = '124379'">Leucocoprinus brebissonii (LUCOBR)</xsl:when>
                    <xsl:when test="./i6:value = '124380'">Leucodonta bicoloria (LEUDBI)</xsl:when>
                    <xsl:when test="./i6:value = '124381'">Leucoma salicis (LEUOSA)</xsl:when>
                    <xsl:when test="./i6:value = '124382'">Leuconoe daubentonii (LEOEDA)</xsl:when>
                    <xsl:when test="./i6:value = '124383'">Leucophaea maderae (LEPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '124384'">Leucophaeus pipixcan (LARUFR)</xsl:when>
                    <xsl:when test="./i6:value = '124385'">Leucopholis coneophora (LEUHCO)</xsl:when>
                    <xsl:when test="./i6:value = '124386'">Leucopholis irrorata (LEUHIR)</xsl:when>
                    <xsl:when test="./i6:value = '124387'">Leucoptera caffeina (LEUCCA)</xsl:when>
                    <xsl:when test="./i6:value = '124388'">Leucoptera coma (LEUCCM)</xsl:when>
                    <xsl:when test="./i6:value = '124389'">Leucoptera laburnella (LEUCLA)</xsl:when>
                    <xsl:when test="./i6:value = '124390'">Leucoptera meyricki (LEUCME)</xsl:when>
                    <xsl:when test="./i6:value = '124391'">Leucorrhinia dubia (LRRHDU)</xsl:when>
                    <xsl:when test="./i6:value = '124392'">Leucostoma niveum (VALSNI)</xsl:when>
                    <xsl:when test="./i6:value = '124393'">Leucothyreus suturalis (LKTHSU)</xsl:when>
                    <xsl:when test="./i6:value = '124394'">Leuctra fusca (LUCTFU)</xsl:when>
                    <xsl:when test="./i6:value = '124395'">Leveillula cucurbitacearum (LEVECU)</xsl:when>
                    <xsl:when test="./i6:value = '124396'">Leveillula lanuginosa (LEVELA)</xsl:when>
                    <xsl:when test="./i6:value = '124397'">Levipalpus hepatariella (LEVIHE)</xsl:when>
                    <xsl:when test="./i6:value = '124398'">Libanasidus vittatus (LIBAVI)</xsl:when>
                    <xsl:when test="./i6:value = '124399'">Libelloides coccajus (LIBDCO)</xsl:when>
                    <xsl:when test="./i6:value = '124400'">Libelloides macaronius (LIBDMA)</xsl:when>
                    <xsl:when test="./i6:value = '124401'">Libellula depressa (LIBLDE)</xsl:when>
                    <xsl:when test="./i6:value = '124402'">Libellula quadrimaculata (LIBLQU)</xsl:when>
                    <xsl:when test="./i6:value = '124403'">Liberibacter africanus (LIBEAF)</xsl:when>
                    <xsl:when test="./i6:value = '124404'">Liberibacter americanus (LIBEAM)</xsl:when>
                    <xsl:when test="./i6:value = '124405'">Liberibacter asiaticus (LIBEAS)</xsl:when>
                    <xsl:when test="./i6:value = '124406'">Liberibacter solanacearum (LIBEPS)</xsl:when>
                    <xsl:when test="./i6:value = '124407'">Libythea celtis (LIBYCE)</xsl:when>
                    <xsl:when test="./i6:value = '124408'">Lichenomphalia umbellifera (LOMPUM)</xsl:when>
                    <xsl:when test="./i6:value = '124409'">Lichenostomus chrysops (LCHSCH)</xsl:when>
                    <xsl:when test="./i6:value = '124410'">lichens (unwanted) (3LICHT)</xsl:when>
                    <xsl:when test="./i6:value = '124411'">Lichtensia viburni (LITEVI)</xsl:when>
                    <xsl:when test="./i6:value = '124412'">Ligdia adustata (ABRXAD)</xsl:when>
                    <xsl:when test="./i6:value = '124413'">Ligyrus cuniculus (LIGYCU)</xsl:when>
                    <xsl:when test="./i6:value = '124414'">Ligyrus ebenus (LIGYEB)</xsl:when>
                    <xsl:when test="./i6:value = '124415'">Ligyrus gibbosus (LIGYGI)</xsl:when>
                    <xsl:when test="./i6:value = '124416'">Ligyrus subtropicus (LIGYSU)</xsl:when>
                    <xsl:when test="./i6:value = '124417'">Limacus flavus (LIMXFL)</xsl:when>
                    <xsl:when test="./i6:value = '124418'">Limanda limanda (PLNCLI)</xsl:when>
                    <xsl:when test="./i6:value = '124419'">Limax cinereoniger (LIMXCI)</xsl:when>
                    <xsl:when test="./i6:value = '124420'">Limax maximus (LIMXMA)</xsl:when>
                    <xsl:when test="./i6:value = '124421'">Limenitis lorquini (LIMELI)</xsl:when>
                    <xsl:when test="./i6:value = '124422'">Limenitis populi (LIMEPO)</xsl:when>
                    <xsl:when test="./i6:value = '124423'">Limnaea stagnalis (LYMNST)</xsl:when>
                    <xsl:when test="./i6:value = '124424'">Limnaecia phragmitella (LMNCPH)</xsl:when>
                    <xsl:when test="./i6:value = '124425'">Limonius confusus (LIMOCO)</xsl:when>
                    <xsl:when test="./i6:value = '124426'">Limonius discoideus (LIMODI)</xsl:when>
                    <xsl:when test="./i6:value = '124427'">Limonius infuscatus (LIMOIN)</xsl:when>
                    <xsl:when test="./i6:value = '124428'">Limonomyces roseipellis (CORTFU)</xsl:when>
                    <xsl:when test="./i6:value = '124429'">Limotettix vaccinii (SCRCVI)</xsl:when>
                    <xsl:when test="./i6:value = '124430'">Limothrips cerealium (LIMTCE)</xsl:when>
                    <xsl:when test="./i6:value = '124431'">Limulus polyphemus (LIMUPO)</xsl:when>
                    <xsl:when test="./i6:value = '124432'">Lindingaspis rossi (CHRYRO)</xsl:when>
                    <xsl:when test="./i6:value = '124433'">Lineodes integra (LNEOIN)</xsl:when>
                    <xsl:when test="./i6:value = '124434'">Linguatula serrata (LNGTSE)</xsl:when>
                    <xsl:when test="./i6:value = '124435'">Linognathus pedalis (LINOPE)</xsl:when>
                    <xsl:when test="./i6:value = '124436'">Linognathus setosus (LINOSE)</xsl:when>
                    <xsl:when test="./i6:value = '124437'">Linognathus stenopsis (LINOST)</xsl:when>
                    <xsl:when test="./i6:value = '124438'">Linognathus vituli (LINOVI)</xsl:when>
                    <xsl:when test="./i6:value = '124439'">Linopodes motatorius (LINPMO)</xsl:when>
                    <xsl:when test="./i6:value = '124440'">Liocoris tripustulatus (LIOCTR)</xsl:when>
                    <xsl:when test="./i6:value = '124441'">Liometopum luctuosum (LIOMLU)</xsl:when>
                    <xsl:when test="./i6:value = '124442'">Liometopum occidentale (LIOMOC)</xsl:when>
                    <xsl:when test="./i6:value = '124443'">Liophloeus tessulatus (LIOPTE)</xsl:when>
                    <xsl:when test="./i6:value = '124444'">Liorhyssus hyalinus (LIORHY)</xsl:when>
                    <xsl:when test="./i6:value = '124445'">Liosomaphis berberidis (LIOABE)</xsl:when>
                    <xsl:when test="./i6:value = '124446'">Liothrips ilex (LIOTIL)</xsl:when>
                    <xsl:when test="./i6:value = '124447'">Liothrips montanus (LIOTMO)</xsl:when>
                    <xsl:when test="./i6:value = '124448'">Liothrips urichi (LIOTUR)</xsl:when>
                    <xsl:when test="./i6:value = '124449'">Liothrips vaneeckei (LIOTVN)</xsl:when>
                    <xsl:when test="./i6:value = '124450'">Liothrips varicornis (LIOTVR)</xsl:when>
                    <xsl:when test="./i6:value = '124451'">Lipaphis erysimi (LIPAER)</xsl:when>
                    <xsl:when test="./i6:value = '124452'">Liphyra brassolis (LIPHBR)</xsl:when>
                    <xsl:when test="./i6:value = '124453'">Liponyssoides sanguineus (LIPNSA)</xsl:when>
                    <xsl:when test="./i6:value = '124454'">Lipoptena cervi (LIPPCE)</xsl:when>
                    <xsl:when test="./i6:value = '124455'">Lipoptena depressa (LIPPDE)</xsl:when>
                    <xsl:when test="./i6:value = '124456'">Liriomyza brassicae (LIRIBC)</xsl:when>
                    <xsl:when test="./i6:value = '124457'">Liriomyza cepae (PHYBCE)</xsl:when>
                    <xsl:when test="./i6:value = '124458'">Liriomyza chenopodii (LIRICH)</xsl:when>
                    <xsl:when test="./i6:value = '124459'">Liriomyza chinensis (LIRICS)</xsl:when>
                    <xsl:when test="./i6:value = '124460'">Liriomyza cicerina (LIRICI)</xsl:when>
                    <xsl:when test="./i6:value = '124461'">Liriomyza congesta (LIRICN)</xsl:when>
                    <xsl:when test="./i6:value = '124462'">Liriomyza flaveola (LIRIFL)</xsl:when>
                    <xsl:when test="./i6:value = '124463'">Liriomyza huidobrensis (LIRIHU)</xsl:when>
                    <xsl:when test="./i6:value = '124464'">Liriomyza pictella (LIRIPI)</xsl:when>
                    <xsl:when test="./i6:value = '124465'">Liriomyza sativae (LIRISA)</xsl:when>
                    <xsl:when test="./i6:value = '124466'">Liriomyza trifolii (LIRITR)</xsl:when>
                    <xsl:when test="./i6:value = '124467'">Liris aurulenta (LIRSAU)</xsl:when>
                    <xsl:when test="./i6:value = '124468'">Lirula abietis-concoloris (LIRLAC)</xsl:when>
                    <xsl:when test="./i6:value = '124469'">Lissorhoptrus foveolatus (LISSFV)</xsl:when>
                    <xsl:when test="./i6:value = '124470'">Lissorhoptrus oryzophilus (LISSOR)</xsl:when>
                    <xsl:when test="./i6:value = '124471'">Listroderes costirostris (LISTCO)</xsl:when>
                    <xsl:when test="./i6:value = '124472'">Listronotus bonariensis (HYROBO)</xsl:when>
                    <xsl:when test="./i6:value = '124473'">Listronotus maculicollis (HYROMA)</xsl:when>
                    <xsl:when test="./i6:value = '124474'">Listronotus oregonensis (LISROR)</xsl:when>
                    <xsl:when test="./i6:value = '124475'">Listronotus setosipennis (LISRSE)</xsl:when>
                    <xsl:when test="./i6:value = '124476'">Lithobius forficatus (LITOFO)</xsl:when>
                    <xsl:when test="./i6:value = '124477'">Lithocolletis umbellulariae (LITHUM)</xsl:when>
                    <xsl:when test="./i6:value = '124478'">Lithophane furcifera (LITPFU)</xsl:when>
                    <xsl:when test="./i6:value = '124479'">Lithosia quadra (LITSQU)</xsl:when>
                    <xsl:when test="./i6:value = '124480'">Litomosoides sigmodontis (LTMOSI)</xsl:when>
                    <xsl:when test="./i6:value = '124481'">Littorina littoralis (LITTLI)</xsl:when>
                    <xsl:when test="./i6:value = '124482'">Littorina littorea (LITTLR)</xsl:when>
                    <xsl:when test="./i6:value = '124483'">Littorina neritoides (LITTNE)</xsl:when>
                    <xsl:when test="./i6:value = '124484'">Littorina saxatilis (LITTSA)</xsl:when>
                    <xsl:when test="./i6:value = '124485'">Lixus concavus (LIXUCO)</xsl:when>
                    <xsl:when test="./i6:value = '124486'">Lixus juncii (LIXUJU)</xsl:when>
                    <xsl:when test="./i6:value = '124487'">Lixus mastersi (LIXUMS)</xsl:when>
                    <xsl:when test="./i6:value = '124488'">Lixus mucidus (LIXUMU)</xsl:when>
                    <xsl:when test="./i6:value = '124489'">Lobesia botrana (POLYBO)</xsl:when>
                    <xsl:when test="./i6:value = '124490'">Lochmaea suturalis (LOCHSU)</xsl:when>
                    <xsl:when test="./i6:value = '124491'">Locusta migratoria manilensis (LOCUMA)</xsl:when>
                    <xsl:when test="./i6:value = '124492'">Locusta migratoria migratorioides (LOCUMM)</xsl:when>
                    <xsl:when test="./i6:value = '124493'">Locustana pardalina (LOCUPA)</xsl:when>
                    <xsl:when test="./i6:value = '124494'">Lomaspilis marginata (LOMAMA)</xsl:when>
                    <xsl:when test="./i6:value = '124495'">Lonchaea aurea (LONHAU)</xsl:when>
                    <xsl:when test="./i6:value = '124496'">Lonchaea viridana (LONHVI)</xsl:when>
                    <xsl:when test="./i6:value = '124497'">Lonchura atricapilla (LONCAT)</xsl:when>
                    <xsl:when test="./i6:value = '124498'">Lonchura malacca (LONCML)</xsl:when>
                    <xsl:when test="./i6:value = '124499'">Lonchura striata (UROLST)</xsl:when>
                    <xsl:when test="./i6:value = '124500'">Lonchura topela (LONCTO)</xsl:when>
                    <xsl:when test="./i6:value = '124501'">Longidorus attenuatus (LONGAT)</xsl:when>
                    <xsl:when test="./i6:value = '124502'">Longidorus elongatus (LONGEL)</xsl:when>
                    <xsl:when test="./i6:value = '124503'">Longidorus macrosoma (LONGMA)</xsl:when>
                    <xsl:when test="./i6:value = '124504'">Longistigma caryae (LONSCA)</xsl:when>
                    <xsl:when test="./i6:value = '124505'">Longitarsus nigripennis (LONINI)</xsl:when>
                    <xsl:when test="./i6:value = '124506'">Longitarsus succineus (LONISU)</xsl:when>
                    <xsl:when test="./i6:value = '124507'">Longitarsus waterhousei (LONIWA)</xsl:when>
                    <xsl:when test="./i6:value = '124508'">Lonsdalea quercina (ERWIQU)</xsl:when>
                    <xsl:when test="./i6:value = '124509'">Lontra canadensis (LONTCA)</xsl:when>
                    <xsl:when test="./i6:value = '124510'">Lophius baudegassa (LPHIBA)</xsl:when>
                    <xsl:when test="./i6:value = '124511'">Lophocampa argentata (HALSAR)</xsl:when>
                    <xsl:when test="./i6:value = '124512'">Lophocampa caryae (HALSCA)</xsl:when>
                    <xsl:when test="./i6:value = '124513'">Lophocampa maculata (HALSMA)</xsl:when>
                    <xsl:when test="./i6:value = '124514'">Lophocateres pusillus (LOPOPU)</xsl:when>
                    <xsl:when test="./i6:value = '124515'">Lophodermella sulcigena (LOPMSU)</xsl:when>
                    <xsl:when test="./i6:value = '124516'">Lophodermium aucupariae (LOPHAC)</xsl:when>
                    <xsl:when test="./i6:value = '124517'">Lophodermium australe (LOPHAU)</xsl:when>
                    <xsl:when test="./i6:value = '124518'">Lophodermium hedericola (LOPHHE)</xsl:when>
                    <xsl:when test="./i6:value = '124519'">Lophodermium macrosporium (LOPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '124520'">Lophodermium maculare (LOPHMC)</xsl:when>
                    <xsl:when test="./i6:value = '124521'">Lophodermium melaleucum (LOPHME)</xsl:when>
                    <xsl:when test="./i6:value = '124522'">Lophodermium minor (LOPHMI)</xsl:when>
                    <xsl:when test="./i6:value = '124523'">Lophodermium molitoris (LOPHMO)</xsl:when>
                    <xsl:when test="./i6:value = '124524'">Lophodermium neesii (LOPHNS)</xsl:when>
                    <xsl:when test="./i6:value = '124525'">Lophodermium nervisequium (LOPHNE)</xsl:when>
                    <xsl:when test="./i6:value = '124526'">Lophodermium nitens (LOPHNI)</xsl:when>
                    <xsl:when test="./i6:value = '124527'">Lophodermium oxycocci (LOPHOX)</xsl:when>
                    <xsl:when test="./i6:value = '124528'">Lophodermium piceae (LOPHPC)</xsl:when>
                    <xsl:when test="./i6:value = '124529'">Lophodermium pinastri (LOPHPI)</xsl:when>
                    <xsl:when test="./i6:value = '124530'">Lophodermium platyplacum (LOPHPL)</xsl:when>
                    <xsl:when test="./i6:value = '124531'">Lophodermium ravenelii (LOPHRA)</xsl:when>
                    <xsl:when test="./i6:value = '124532'">Lophodermium seditiosum (LOPHSE)</xsl:when>
                    <xsl:when test="./i6:value = '124533'">Lopholeucaspis japonica (LOPLJA)</xsl:when>
                    <xsl:when test="./i6:value = '124534'">Lophomerum ponticum (LOMEPN)</xsl:when>
                    <xsl:when test="./i6:value = '124535'">Lopidea dakota (LOPIDK)</xsl:when>
                    <xsl:when test="./i6:value = '124536'">Lopidea davisi (LOPIDV)</xsl:when>
                    <xsl:when test="./i6:value = '124537'">Lopinga achine (LOPNAC)</xsl:when>
                    <xsl:when test="./i6:value = '124538'">Lorryia reticulata (LORRRE)</xsl:when>
                    <xsl:when test="./i6:value = '124539'">Lota lota (LOTALO)</xsl:when>
                    <xsl:when test="./i6:value = '124540'">Loxagrotis albicosta (LOXAAL)</xsl:when>
                    <xsl:when test="./i6:value = '124541'">Loxia pytyopsittacus (LOXIPI)</xsl:when>
                    <xsl:when test="./i6:value = '124542'">Loxodonta africana (LOXDAF)</xsl:when>
                    <xsl:when test="./i6:value = '124543'">Loxosceles reclusa (LOXSRE)</xsl:when>
                    <xsl:when test="./i6:value = '124544'">Loxostege commixtalis (LOXOCO)</xsl:when>
                    <xsl:when test="./i6:value = '124545'">Loxostege sticticalis (LOXOST)</xsl:when>
                    <xsl:when test="./i6:value = '124546'">Loxotoma elegans (LOXTEL)</xsl:when>
                    <xsl:when test="./i6:value = '124547'">Lozotaenia forsterana (LOZOFO)</xsl:when>
                    <xsl:when test="./i6:value = '124548'">Lucanus cervus (LUCACE)</xsl:when>
                    <xsl:when test="./i6:value = '124549'">Lucanus elaphus (LUCAEL)</xsl:when>
                    <xsl:when test="./i6:value = '124550'">Lucernaria quadricornis (LUCEQU)</xsl:when>
                    <xsl:when test="./i6:value = '124551'">Lucilia caesar (LUCICA)</xsl:when>
                    <xsl:when test="./i6:value = '124552'">Lucilia cuprina (LUCICU)</xsl:when>
                    <xsl:when test="./i6:value = '124553'">Lucilia sericata (LUCISE)</xsl:when>
                    <xsl:when test="./i6:value = '124554'">Lumbricus rubellus (LUMBRU)</xsl:when>
                    <xsl:when test="./i6:value = '124555'">Lumbricus terrestris (LUMBTE)</xsl:when>
                    <xsl:when test="./i6:value = '124556'">Luperina testacea (LUPETE)</xsl:when>
                    <xsl:when test="./i6:value = '124557'">Luperodes praeustus (LUPDNI)</xsl:when>
                    <xsl:when test="./i6:value = '124558'">Luperomorpha funesta (PHYEFU)</xsl:when>
                    <xsl:when test="./i6:value = '124559'">Luperomorpha xanthodera (LUPMXA)</xsl:when>
                    <xsl:when test="./i6:value = '124560'">Luscinia cyanura (LUSCCY)</xsl:when>
                    <xsl:when test="./i6:value = '124561'">Luscinia megarhynchos (LUSCME)</xsl:when>
                    <xsl:when test="./i6:value = '124562'">Lutra lutra (LUTRLU)</xsl:when>
                    <xsl:when test="./i6:value = '124563'">Luzulaspis luzulae (LUZALU)</xsl:when>
                    <xsl:when test="./i6:value = '124564'">Lybius bidentatus (LYBIBI)</xsl:when>
                    <xsl:when test="./i6:value = '124565'">Lycaeides argyrognomon (LYCAAR)</xsl:when>
                    <xsl:when test="./i6:value = '124566'">Lycaeides idas (LYCAID)</xsl:when>
                    <xsl:when test="./i6:value = '124567'">Lycaena phlaeas (LYCZPH)</xsl:when>
                    <xsl:when test="./i6:value = '124568'">Lycia hirtaria (BISTHI)</xsl:when>
                    <xsl:when test="./i6:value = '124569'">Lycia pomonaria (BISTPO)</xsl:when>
                    <xsl:when test="./i6:value = '124570'">Lycia zonaria (BISTZO)</xsl:when>
                    <xsl:when test="./i6:value = '124571'">Lycoperdon perlatum (LYCPPE)</xsl:when>
                    <xsl:when test="./i6:value = '124572'">Lycoperdon pyriforme (LYCPPY)</xsl:when>
                    <xsl:when test="./i6:value = '124573'">Lycorea cleobaea (LYCECL)</xsl:when>
                    <xsl:when test="./i6:value = '124574'">Lycoriella castanescens (LYCLCA)</xsl:when>
                    <xsl:when test="./i6:value = '124575'">Lycoriella ingenua (LYCLIN)</xsl:when>
                    <xsl:when test="./i6:value = '124576'">Lycoriella mali (SCIAMA)</xsl:when>
                    <xsl:when test="./i6:value = '124577'">Lycoriella solani (LYCLSO)</xsl:when>
                    <xsl:when test="./i6:value = '124578'">Lycorma delicatula (LYCMDE)</xsl:when>
                    <xsl:when test="./i6:value = '124579'">Lyctoxylon dentatum (LYCXDE)</xsl:when>
                    <xsl:when test="./i6:value = '124580'">Lyctus africanus (LYCTAF)</xsl:when>
                    <xsl:when test="./i6:value = '124581'">Lyctus cavicollis (LYCTCA)</xsl:when>
                    <xsl:when test="./i6:value = '124582'">Lyctus chilensis (LYCTCH)</xsl:when>
                    <xsl:when test="./i6:value = '124583'">Lyctus discedens (LYCTDI)</xsl:when>
                    <xsl:when test="./i6:value = '124584'">Lyctus linearis (LYCTLI)</xsl:when>
                    <xsl:when test="./i6:value = '124585'">Lyctus planicollis (LYCTPL)</xsl:when>
                    <xsl:when test="./i6:value = '124586'">Lygaeus kalmii (LYGAKA)</xsl:when>
                    <xsl:when test="./i6:value = '124587'">Lygaeus saxatilis (LYGASA)</xsl:when>
                    <xsl:when test="./i6:value = '124588'">Lygidea mendax (LYGIME)</xsl:when>
                    <xsl:when test="./i6:value = '124589'">Lygocoris caryae (LYGUCR)</xsl:when>
                    <xsl:when test="./i6:value = '124590'">Lygocoris communis (LYGUCM)</xsl:when>
                    <xsl:when test="./i6:value = '124591'">Lygocoris communis novascotiensis (LYGUCN)</xsl:when>
                    <xsl:when test="./i6:value = '124592'">Lygocoris lucorum (LYGULU)</xsl:when>
                    <xsl:when test="./i6:value = '124593'">Lygocoris pabulinus (LYGUPA)</xsl:when>
                    <xsl:when test="./i6:value = '124594'">Lygropia clytusalis (SYLECL)</xsl:when>
                    <xsl:when test="./i6:value = '124595'">Lygus elisus (LYGUEL)</xsl:when>
                    <xsl:when test="./i6:value = '124596'">Lygus hesperus (LYGUHE)</xsl:when>
                    <xsl:when test="./i6:value = '124597'">Lygus lineolaris (LYGULI)</xsl:when>
                    <xsl:when test="./i6:value = '124598'">Lygus pratensis (LYGUPR)</xsl:when>
                    <xsl:when test="./i6:value = '124599'">Lygus rugulipennis (LYGURU)</xsl:when>
                    <xsl:when test="./i6:value = '124600'">Lygus spinolae (LYGUSI)</xsl:when>
                    <xsl:when test="./i6:value = '124601'">Lymantria dispar (LYMADI)</xsl:when>
                    <xsl:when test="./i6:value = '124602'">Lymantria lapidicola (LYMALA)</xsl:when>
                    <xsl:when test="./i6:value = '124603'">Lymantria mathura (LYMAMA)</xsl:when>
                    <xsl:when test="./i6:value = '124604'">Lymantria monacha (LYMAMO)</xsl:when>
                    <xsl:when test="./i6:value = '124605'">Lynx canadensis (LYNXCA)</xsl:when>
                    <xsl:when test="./i6:value = '124606'">Lynx lynx (LYNXLY)</xsl:when>
                    <xsl:when test="./i6:value = '124607'">Lynx pardina (LYNXPA)</xsl:when>
                    <xsl:when test="./i6:value = '124608'">Lynx rufus (LYNXRU)</xsl:when>
                    <xsl:when test="./i6:value = '124609'">Lyonetia clerkella (LYONCL)</xsl:when>
                    <xsl:when test="./i6:value = '124610'">Lyophyllum favrei (LYOPFA)</xsl:when>
                    <xsl:when test="./i6:value = '124611'">Lysandra bellargus (LYSNBE)</xsl:when>
                    <xsl:when test="./i6:value = '124612'">Lysandra coridon (LYSNCO)</xsl:when>
                    <xsl:when test="./i6:value = '124613'">Lytta insperata (LYTTIN)</xsl:when>
                    <xsl:when test="./i6:value = '124614'">Lytta nuttalli (LYTTNU)</xsl:when>
                    <xsl:when test="./i6:value = '124615'">Lytta vesicatoria (LYTTVE)</xsl:when>
                    <xsl:when test="./i6:value = '124616'">Macaca fuscata (MCCAFU)</xsl:when>
                    <xsl:when test="./i6:value = '124617'">Macaca sylvanus (MCCASY)</xsl:when>
                    <xsl:when test="./i6:value = '124618'">Macaria liturata (SEMOLI)</xsl:when>
                    <xsl:when test="./i6:value = '124619'">Macaria wauaria (ITAMWA)</xsl:when>
                    <xsl:when test="./i6:value = '124620'">Macdunnoughia confusa (PYTOCO)</xsl:when>
                    <xsl:when test="./i6:value = '124621'">Maconellicoccus hirsutus (PHENHI)</xsl:when>
                    <xsl:when test="./i6:value = '124622'">Macrobasis albida (MACBAL)</xsl:when>
                    <xsl:when test="./i6:value = '124623'">Macrobasis immaculata (MACBIM)</xsl:when>
                    <xsl:when test="./i6:value = '124624'">Macrobasis segmenta (MACBSE)</xsl:when>
                    <xsl:when test="./i6:value = '124625'">Macrochelys temminckii (MCKHTE)</xsl:when>
                    <xsl:when test="./i6:value = '124626'">Macrodactylus subspinosus (MACOSB)</xsl:when>
                    <xsl:when test="./i6:value = '124627'">Macroglossum stellatarum (MACGST)</xsl:when>
                    <xsl:when test="./i6:value = '124628'">Macronoctua onusta (MACNON)</xsl:when>
                    <xsl:when test="./i6:value = '124629'">Macropanesthia rhinoceros (MPANRH)</xsl:when>
                    <xsl:when test="./i6:value = '124630'">Macropes excavatus (CAVEEX)</xsl:when>
                    <xsl:when test="./i6:value = '124631'">Macrophoma allahabadensis (MCOPAL)</xsl:when>
                    <xsl:when test="./i6:value = '124632'">Macrophoma flaccida (MCOPFL)</xsl:when>
                    <xsl:when test="./i6:value = '124633'">Macrophoma mangiferae (MCOPMA)</xsl:when>
                    <xsl:when test="./i6:value = '124634'">Macrophoma theicola (MCOPTH)</xsl:when>
                    <xsl:when test="./i6:value = '124635'">Macrophomina phaseolina (MCPHPH)</xsl:when>
                    <xsl:when test="./i6:value = '124636'">Macrophya punctumalbum (MACYPU)</xsl:when>
                    <xsl:when test="./i6:value = '124637'">Macrophylla ciliata (MCRHCI)</xsl:when>
                    <xsl:when test="./i6:value = '124638'">Macropipus depurator (MCPPDE)</xsl:when>
                    <xsl:when test="./i6:value = '124639'">Macropodia longirostris (MPODLO)</xsl:when>
                    <xsl:when test="./i6:value = '124640'">Macropsis fuscula (MACPFU)</xsl:when>
                    <xsl:when test="./i6:value = '124641'">Macropsis graminea (MACPGR)</xsl:when>
                    <xsl:when test="./i6:value = '124642'">Macropsis scotti (MACPSC)</xsl:when>
                    <xsl:when test="./i6:value = '124643'">Macropsis trimaculata (MACPTR)</xsl:when>
                    <xsl:when test="./i6:value = '124644'">Macropus giganteus (MAKPGI)</xsl:when>
                    <xsl:when test="./i6:value = '124645'">Macropus rufogriseus (MAKPRU)</xsl:when>
                    <xsl:when test="./i6:value = '124646'">Macropus rufus (MAKPRF)</xsl:when>
                    <xsl:when test="./i6:value = '124647'">Macroramphosus scolopax (MRAMSC)</xsl:when>
                    <xsl:when test="./i6:value = '124648'">Macrosaccus robiniella (MCSARO)</xsl:when>
                    <xsl:when test="./i6:value = '124649'">Macroscelides proboscideus (MAKRPR)</xsl:when>
                    <xsl:when test="./i6:value = '124650'">Macrosiphoniella sanborni (MACRCH)</xsl:when>
                    <xsl:when test="./i6:value = '124651'">Macrosiphoniella tanacetaria (MACRTA)</xsl:when>
                    <xsl:when test="./i6:value = '124652'">Macrosiphum albifrons (MACSAL)</xsl:when>
                    <xsl:when test="./i6:value = '124653'">Macrosiphum funestum (MACSFU)</xsl:when>
                    <xsl:when test="./i6:value = '124654'">Macrosiphum gobonis (MACSGO)</xsl:when>
                    <xsl:when test="./i6:value = '124655'">Macrosiphum ibarae (MACSIB)</xsl:when>
                    <xsl:when test="./i6:value = '124656'">Macrosiphum lilii (MACSLL)</xsl:when>
                    <xsl:when test="./i6:value = '124657'">Macrosiphum luteum (MACSLU)</xsl:when>
                    <xsl:when test="./i6:value = '124658'">Macrosiphum miscanthae (MACSMI)</xsl:when>
                    <xsl:when test="./i6:value = '124659'">Macrosiphum rosae (MACSRO)</xsl:when>
                    <xsl:when test="./i6:value = '124660'">Macrosiphum scoliopi (MACSSC)</xsl:when>
                    <xsl:when test="./i6:value = '124661'">Macrosteles horvathi (MACTHO)</xsl:when>
                    <xsl:when test="./i6:value = '124662'">Macrosteles quadrilineatus (MACTFS)</xsl:when>
                    <xsl:when test="./i6:value = '124663'">Macrosteles sexnotatus (MACTSE)</xsl:when>
                    <xsl:when test="./i6:value = '124664'">Macrotermes bellicosus (MACMBE)</xsl:when>
                    <xsl:when test="./i6:value = '124665'">Macrothylacia rubi (MCRYRU)</xsl:when>
                    <xsl:when test="./i6:value = '124666'">Macrotyphula fistulosa (MTYPFI)</xsl:when>
                    <xsl:when test="./i6:value = '124667'">Maculinea alcon (MCLAAL)</xsl:when>
                    <xsl:when test="./i6:value = '124668'">Maculinea arion (MCLAAR)</xsl:when>
                    <xsl:when test="./i6:value = '124669'">Maculinea rebeli (MCLARE)</xsl:when>
                    <xsl:when test="./i6:value = '124670'">Maculolachnus submacula (MACUSU)</xsl:when>
                    <xsl:when test="./i6:value = '124671'">Magdalis aenescens (MAGDAE)</xsl:when>
                    <xsl:when test="./i6:value = '124672'">Magdalis armicollis (MAGDAM)</xsl:when>
                    <xsl:when test="./i6:value = '124673'">Magdalis armigera (MAGDAR)</xsl:when>
                    <xsl:when test="./i6:value = '124674'">Magdalis barbicornis (MAGDBA)</xsl:when>
                    <xsl:when test="./i6:value = '124675'">Magdalis barbita (MAGDBB)</xsl:when>
                    <xsl:when test="./i6:value = '124676'">Magdalis carbonaria (MAGDCA)</xsl:when>
                    <xsl:when test="./i6:value = '124677'">Magdalis olyra (MAGDOL)</xsl:when>
                    <xsl:when test="./i6:value = '124678'">Magicicada septemdecim (TIBCSE)</xsl:when>
                    <xsl:when test="./i6:value = '124679'">Magnaporthe oryzae (PYRIOR)</xsl:when>
                    <xsl:when test="./i6:value = '124680'">Magnaporthe poae (MAGNPO)</xsl:when>
                    <xsl:when test="./i6:value = '124681'">Mahanarva tristis (TOMATR)</xsl:when>
                    <xsl:when test="./i6:value = '124682'">Mahasena colona (MAHSOO)</xsl:when>
                    <xsl:when test="./i6:value = '124683'">Mahasena corbetti (MAHSCO)</xsl:when>
                    <xsl:when test="./i6:value = '124684'">Mahasena minuscula (MAHSMI)</xsl:when>
                    <xsl:when test="./i6:value = '124685'">Mahasena nitobei (MAHSNI)</xsl:when>
                    <xsl:when test="./i6:value = '124686'">Maia squinado (MAIASQ)</xsl:when>
                    <xsl:when test="./i6:value = '124687'">Malacocoris chlorizans (MALKCH)</xsl:when>
                    <xsl:when test="./i6:value = '124688'">Malacosoma americanum (MALAAM)</xsl:when>
                    <xsl:when test="./i6:value = '124689'">Malacosoma californicum (MALACL)</xsl:when>
                    <xsl:when test="./i6:value = '124690'">Malacosoma californicum pluviale (MALAPL)</xsl:when>
                    <xsl:when test="./i6:value = '124691'">Malacosoma castrensis (MALACS)</xsl:when>
                    <xsl:when test="./i6:value = '124692'">Malacosoma constrictum (MALACO)</xsl:when>
                    <xsl:when test="./i6:value = '124693'">Malacosoma disstria (MALADI)</xsl:when>
                    <xsl:when test="./i6:value = '124694'">Malacosoma neustria (MALANE)</xsl:when>
                    <xsl:when test="./i6:value = '124695'">Malacosoma parallela (MALAPA)</xsl:when>
                    <xsl:when test="./i6:value = '124696'">Maladera japonica (MALDJA)</xsl:when>
                    <xsl:when test="./i6:value = '124697'">Maladera orientalis (MALDOR)</xsl:when>
                    <xsl:when test="./i6:value = '124698'">Maliarpha separatella (MALISE)</xsl:when>
                    <xsl:when test="./i6:value = '124699'">Mallodon downesi (MALNDO)</xsl:when>
                    <xsl:when test="./i6:value = '124700'">Malpolon monspessulanus (MALPMO)</xsl:when>
                    <xsl:when test="./i6:value = '124701'">Mamestra brassicae (BARABR)</xsl:when>
                    <xsl:when test="./i6:value = '124702'">Manduca sexta (MANDSE)</xsl:when>
                    <xsl:when test="./i6:value = '124703'">Maniola jurtina (MANIJU)</xsl:when>
                    <xsl:when test="./i6:value = '124704'">Manothrips floridensis (LIOTFL)</xsl:when>
                    <xsl:when test="./i6:value = '124705'">Mansonia richiardii (MANSRI)</xsl:when>
                    <xsl:when test="./i6:value = '124706'">Manta birostris (MNTABI)</xsl:when>
                    <xsl:when test="./i6:value = '124707'">Mantis religiosa (MANTRE)</xsl:when>
                    <xsl:when test="./i6:value = '124708'">Marasmia patnalis (MRASPA)</xsl:when>
                    <xsl:when test="./i6:value = '124709'">Marasmia trapezalis (MRASTR)</xsl:when>
                    <xsl:when test="./i6:value = '124710'">Marasmiellus albus-corticis (MARLAC)</xsl:when>
                    <xsl:when test="./i6:value = '124711'">Marasmiellus cocophilus (MARLCO)</xsl:when>
                    <xsl:when test="./i6:value = '124712'">Marasmiellus inoderma (MARLIN)</xsl:when>
                    <xsl:when test="./i6:value = '124713'">Marasmiellus semiustus (MARLSE)</xsl:when>
                    <xsl:when test="./i6:value = '124714'">Marasmiellus stenophyllus (MARLST)</xsl:when>
                    <xsl:when test="./i6:value = '124715'">Marasmiellus troyanus (MARLTR)</xsl:when>
                    <xsl:when test="./i6:value = '124716'">Marasmiellus vaillantii (MARLVA)</xsl:when>
                    <xsl:when test="./i6:value = '124717'">Marasmius crinisequi (MARACR)</xsl:when>
                    <xsl:when test="./i6:value = '124718'">Marasmius oreades (MARAOR)</xsl:when>
                    <xsl:when test="./i6:value = '124719'">Marasmius palmivorus (MARAPA)</xsl:when>
                    <xsl:when test="./i6:value = '124720'">Marasmius plicatulus (MARAPL)</xsl:when>
                    <xsl:when test="./i6:value = '124721'">Marasmius rotula (MARARO)</xsl:when>
                    <xsl:when test="./i6:value = '124722'">Marasmius sacchari (MARASC)</xsl:when>
                    <xsl:when test="./i6:value = '124723'">Marasmius sarmentosus (MARASA)</xsl:when>
                    <xsl:when test="./i6:value = '124724'">Marasmius siccus (MARASI)</xsl:when>
                    <xsl:when test="./i6:value = '124725'">Marava arachidis (MRVAAR)</xsl:when>
                    <xsl:when test="./i6:value = '124726'">Maravalia cryptostegiae (MARVCR)</xsl:when>
                    <xsl:when test="./i6:value = '124727'">Marchalina hellenica (MARCHE)</xsl:when>
                    <xsl:when test="./i6:value = '124728'">Margarodes capensis (MARGCA)</xsl:when>
                    <xsl:when test="./i6:value = '124729'">Margarodes prieskaensis (MARGPR)</xsl:when>
                    <xsl:when test="./i6:value = '124730'">Margarodes vitis (MARGVI)</xsl:when>
                    <xsl:when test="./i6:value = '124731'">Margarodes vredendalensis (MARGVR)</xsl:when>
                    <xsl:when test="./i6:value = '124732'">Marginitermes hubbardi (MRGTHU)</xsl:when>
                    <xsl:when test="./i6:value = '124733'">Marisa cornuarietis (MARICO)</xsl:when>
                    <xsl:when test="./i6:value = '124734'">Marmara gulosa (MARMGU)</xsl:when>
                    <xsl:when test="./i6:value = '124735'">Marmara salictella (MARMSA)</xsl:when>
                    <xsl:when test="./i6:value = '124736'">Marmota baibacina (MAROBA)</xsl:when>
                    <xsl:when test="./i6:value = '124737'">Marmota bobak (MAROBO)</xsl:when>
                    <xsl:when test="./i6:value = '124738'">Marmota caligata (MAROCL)</xsl:when>
                    <xsl:when test="./i6:value = '124739'">Marmota camtschatica (MAROKA)</xsl:when>
                    <xsl:when test="./i6:value = '124740'">Marmota caudata (MAROCU)</xsl:when>
                    <xsl:when test="./i6:value = '124741'">Marmota flaviventris (MAROFL)</xsl:when>
                    <xsl:when test="./i6:value = '124742'">Marmota himalayana (MAROHI)</xsl:when>
                    <xsl:when test="./i6:value = '124743'">Marmota marmota latirostris (MAROML)</xsl:when>
                    <xsl:when test="./i6:value = '124744'">Marmota marmota marmota (MAROMA)</xsl:when>
                    <xsl:when test="./i6:value = '124745'">Marmota menzbieri (MAROME)</xsl:when>
                    <xsl:when test="./i6:value = '124746'">Marmota monax (MAROMO)</xsl:when>
                    <xsl:when test="./i6:value = '124747'">Marmota sibirica (MAROSI)</xsl:when>
                    <xsl:when test="./i6:value = '124748'">Marssonina betulae (MARSBE)</xsl:when>
                    <xsl:when test="./i6:value = '124749'">Martes americana (MRTSAM)</xsl:when>
                    <xsl:when test="./i6:value = '124750'">Martes foina (MRTSFO)</xsl:when>
                    <xsl:when test="./i6:value = '124751'">Martes martes (MRTSMA)</xsl:when>
                    <xsl:when test="./i6:value = '124752'">Martes zibellina (MRTSZI)</xsl:when>
                    <xsl:when test="./i6:value = '124753'">Maruca vitrata (MARUTE)</xsl:when>
                    <xsl:when test="./i6:value = '124754'">Marumba quercus (MARBQU)</xsl:when>
                    <xsl:when test="./i6:value = '124755'">Massicus raddei (MALLRA)</xsl:when>
                    <xsl:when test="./i6:value = '124756'">Massilieurodes chittendeni (DIALCD)</xsl:when>
                    <xsl:when test="./i6:value = '124757'">Massospora cicadina (MASSCI)</xsl:when>
                    <xsl:when test="./i6:value = '124758'">Mastigosporium album (MASMAL)</xsl:when>
                    <xsl:when test="./i6:value = '124759'">Mastigosporium kitzebergense (MASMKI)</xsl:when>
                    <xsl:when test="./i6:value = '124760'">Mastigosporium muticum (MASMMU)</xsl:when>
                    <xsl:when test="./i6:value = '124761'">Mastigosporium rubricosum (MASMRU)</xsl:when>
                    <xsl:when test="./i6:value = '124762'">Matsucoccus acalyptus (MATSAC)</xsl:when>
                    <xsl:when test="./i6:value = '124763'">Matsucoccus bisetosus (MATSBI)</xsl:when>
                    <xsl:when test="./i6:value = '124764'">Matsucoccus fasciculensis (MATSFA)</xsl:when>
                    <xsl:when test="./i6:value = '124765'">Matsucoccus feytaudi (MATSFE)</xsl:when>
                    <xsl:when test="./i6:value = '124766'">Matsucoccus gallicolus (MATSGA)</xsl:when>
                    <xsl:when test="./i6:value = '124767'">Matsucoccus josephi (MATSJO)</xsl:when>
                    <xsl:when test="./i6:value = '124768'">Matsucoccus matsumurae (MATSRE)</xsl:when>
                    <xsl:when test="./i6:value = '124769'">Matsucoccus paucicitatrices (MATSPA)</xsl:when>
                    <xsl:when test="./i6:value = '124770'">Matsucoccus vexillorum (MATSVE)</xsl:when>
                    <xsl:when test="./i6:value = '124771'">Matsumuraeses phaseoli (MATUPH)</xsl:when>
                    <xsl:when test="./i6:value = '124772'">Mauginiella scaettae (MAUGSC)</xsl:when>
                    <xsl:when test="./i6:value = '124773'">Mayetiola avenae (MAYEAV)</xsl:when>
                    <xsl:when test="./i6:value = '124774'">Mayetiola rigidae (MAYERI)</xsl:when>
                    <xsl:when test="./i6:value = '124775'">Mechanitis lysimnia (MECHLY)</xsl:when>
                    <xsl:when test="./i6:value = '124776'">Mechanitis polymnia (MECHPO)</xsl:when>
                    <xsl:when test="./i6:value = '124777'">Mecistoscelis scirtetoides (MECISC)</xsl:when>
                    <xsl:when test="./i6:value = '124778'">Mecocorynus loripes (MECOLO)</xsl:when>
                    <xsl:when test="./i6:value = '124779'">Meconema meridionale (MECNME)</xsl:when>
                    <xsl:when test="./i6:value = '124780'">Meconema thalassinum (MECNTH)</xsl:when>
                    <xsl:when test="./i6:value = '124781'">Mecostethus parapleurus (MCOSPA)</xsl:when>
                    <xsl:when test="./i6:value = '124782'">Medythia nigrobilineata (MEDYNI)</xsl:when>
                    <xsl:when test="./i6:value = '124783'">Megabruchidius tonkineus (MBRCTK)</xsl:when>
                    <xsl:when test="./i6:value = '124784'">Megaceryle alcyon (MEGKAL)</xsl:when>
                    <xsl:when test="./i6:value = '124785'">Megachile centuncularis (MEGCCE)</xsl:when>
                    <xsl:when test="./i6:value = '124786'">Megachile rotundata (MEGCRO)</xsl:when>
                    <xsl:when test="./i6:value = '124787'">Megacopta cribraria (COPSCR)</xsl:when>
                    <xsl:when test="./i6:value = '124788'">Megacyllene caryae (MEGLCA)</xsl:when>
                    <xsl:when test="./i6:value = '124789'">Megacyllene crinicornis (MEGLCR)</xsl:when>
                    <xsl:when test="./i6:value = '124790'">Megacyllene robiniae (MEGLRO)</xsl:when>
                    <xsl:when test="./i6:value = '124791'">Megalaima haemacephala (MLAIHA)</xsl:when>
                    <xsl:when test="./i6:value = '124792'">Megalurothrips sjostedti (TAETSJ)</xsl:when>
                    <xsl:when test="./i6:value = '124793'">Meganola strigula (ROESST)</xsl:when>
                    <xsl:when test="./i6:value = '124794'">Meganyctiphanes norvegica (MGNYNO)</xsl:when>
                    <xsl:when test="./i6:value = '124795'">Megapodius freycinet (MGPOFR)</xsl:when>
                    <xsl:when test="./i6:value = '124796'">Megaptera novaeangliae (MGPANO)</xsl:when>
                    <xsl:when test="./i6:value = '124797'">Megaselia bovista (MGASBO)</xsl:when>
                    <xsl:when test="./i6:value = '124798'">Megaselia halterata (MGASHA)</xsl:when>
                    <xsl:when test="./i6:value = '124799'">Megaselia nigra (MGASNI)</xsl:when>
                    <xsl:when test="./i6:value = '124800'">Megaselia rufipes (MGASRU)</xsl:when>
                    <xsl:when test="./i6:value = '124801'">Megaselia scalaris (MGASSC)</xsl:when>
                    <xsl:when test="./i6:value = '124802'">Megastes grandalis (MEGEGR)</xsl:when>
                    <xsl:when test="./i6:value = '124803'">Megastes pusialis (MEGEPU)</xsl:when>
                    <xsl:when test="./i6:value = '124804'">Megastigmus aculeatus (MEGSAC)</xsl:when>
                    <xsl:when test="./i6:value = '124805'">Megastigmus atedius (MEGSZW)</xsl:when>
                    <xsl:when test="./i6:value = '124806'">Megastigmus groenblomi (MEGSGR)</xsl:when>
                    <xsl:when test="./i6:value = '124807'">Megastigmus inamurae (MEGSIN)</xsl:when>
                    <xsl:when test="./i6:value = '124808'">Megastigmus lasiocarpae (MEGSLS)</xsl:when>
                    <xsl:when test="./i6:value = '124809'">Megastigmus pinus (MEGSPI)</xsl:when>
                    <xsl:when test="./i6:value = '124810'">Megastigmus pistaciae (MEGSBA)</xsl:when>
                    <xsl:when test="./i6:value = '124811'">Megastigmus spermotrophus (MEGSSR)</xsl:when>
                    <xsl:when test="./i6:value = '124812'">Megastigmus suspectus (MEGSSU)</xsl:when>
                    <xsl:when test="./i6:value = '124813'">Megninia cubitalis (MGNICU)</xsl:when>
                    <xsl:when test="./i6:value = '124814'">Megopis sinica (MEGOSI)</xsl:when>
                    <xsl:when test="./i6:value = '124815'">Megoura viciae (MEGHVI)</xsl:when>
                    <xsl:when test="./i6:value = '124816'">Melampsora aecidioides (MELMAC)</xsl:when>
                    <xsl:when test="./i6:value = '124817'">Melampsora epitea f. sp. euonymi-capraearum (MELMEP)</xsl:when>
                    <xsl:when test="./i6:value = '124818'">Melampsora euphorbiae (MELMEU)</xsl:when>
                    <xsl:when test="./i6:value = '124819'">Melampsora farlowii (MELMFA)</xsl:when>
                    <xsl:when test="./i6:value = '124820'">Melampsora hypericorum (MELMHY)</xsl:when>
                    <xsl:when test="./i6:value = '124821'">Melampsora larici-populina (MELMLP)</xsl:when>
                    <xsl:when test="./i6:value = '124822'">Melampsora larici-tremulae (MELMPL)</xsl:when>
                    <xsl:when test="./i6:value = '124823'">Melampsora lini (MELMLI)</xsl:when>
                    <xsl:when test="./i6:value = '124824'">Melampsora lini var. liniperda (MELMLL)</xsl:when>
                    <xsl:when test="./i6:value = '124825'">Melampsora magnusiana (MELMMA)</xsl:when>
                    <xsl:when test="./i6:value = '124826'">Melampsora medusae (MELMME)</xsl:when>
                    <xsl:when test="./i6:value = '124827'">Melampsora occidentalis (MELMOC)</xsl:when>
                    <xsl:when test="./i6:value = '124828'">Melampsora populnea (MELMPO)</xsl:when>
                    <xsl:when test="./i6:value = '124829'">Melampsora ricini (MELMRI)</xsl:when>
                    <xsl:when test="./i6:value = '124830'">Melampsora rostrupii (MELMPR)</xsl:when>
                    <xsl:when test="./i6:value = '124831'">Melampsoridium betulinum (MELDBE)</xsl:when>
                    <xsl:when test="./i6:value = '124832'">Melampsoridium hiratsukanum (MELDHI)</xsl:when>
                    <xsl:when test="./i6:value = '124833'">Melanagromyza chalcosoma (MEAGCH)</xsl:when>
                    <xsl:when test="./i6:value = '124834'">Melanagromyza dolichostigma (MEAGDO)</xsl:when>
                    <xsl:when test="./i6:value = '124835'">Melanagromyza obtusa (MEAGOP)</xsl:when>
                    <xsl:when test="./i6:value = '124836'">Melanagromyza sojae (MEAGSO)</xsl:when>
                    <xsl:when test="./i6:value = '124837'">Melanaphis pyraria (PIRAST)</xsl:when>
                    <xsl:when test="./i6:value = '124838'">Melanaphis sacchari (RHOPSA)</xsl:when>
                    <xsl:when test="./i6:value = '124839'">Melanargia galathea (MLNAGA)</xsl:when>
                    <xsl:when test="./i6:value = '124840'">Melanaspis bromiliae (MELABR)</xsl:when>
                    <xsl:when test="./i6:value = '124841'">Melanaspis corticosa (CHRYCO)</xsl:when>
                    <xsl:when test="./i6:value = '124842'">Melanaspis smilacis (MELASM)</xsl:when>
                    <xsl:when test="./i6:value = '124843'">Melanchra persicariae (POLIPE)</xsl:when>
                    <xsl:when test="./i6:value = '124844'">Melanchra picta (MLNHPI)</xsl:when>
                    <xsl:when test="./i6:value = '124845'">Melanconium fuligineum (MELCFU)</xsl:when>
                    <xsl:when test="./i6:value = '124846'">Melanerpes carolinus (MLANCA)</xsl:when>
                    <xsl:when test="./i6:value = '124847'">Melanerpes erythrocephalus (MLANER)</xsl:when>
                    <xsl:when test="./i6:value = '124848'">Melanerpes formicivorus (MLANFO)</xsl:when>
                    <xsl:when test="./i6:value = '124849'">Melanerpes striatus (MLANST)</xsl:when>
                    <xsl:when test="./i6:value = '124850'">Melanerpes uropygialis (MLANUR)</xsl:when>
                    <xsl:when test="./i6:value = '124851'">Melangyna novaezelandiae (SYRPNZ)</xsl:when>
                    <xsl:when test="./i6:value = '124852'">Melangyna viridiceps (SYRPVD)</xsl:when>
                    <xsl:when test="./i6:value = '124853'">Melanitis leda (MLATLE)</xsl:when>
                    <xsl:when test="./i6:value = '124854'">Melanocallis caryaefoliae (TINCCA)</xsl:when>
                    <xsl:when test="./i6:value = '124855'">Melanocallis fumipennella (MYZCCA)</xsl:when>
                    <xsl:when test="./i6:value = '124856'">Melanogaster ambiguus (MGSTAM)</xsl:when>
                    <xsl:when test="./i6:value = '124857'">Melanogrammus aeglefinus (MGRMAE)</xsl:when>
                    <xsl:when test="./i6:value = '124858'">Melanomma glumarum (MLNMGM)</xsl:when>
                    <xsl:when test="./i6:value = '124859'">Melanophila californica (MELPCA)</xsl:when>
                    <xsl:when test="./i6:value = '124860'">Melanophila consputa (MELPCO)</xsl:when>
                    <xsl:when test="./i6:value = '124861'">Melanophila drummondi (MELPDR)</xsl:when>
                    <xsl:when test="./i6:value = '124862'">Melanophila fulvoguttata (MELPFU)</xsl:when>
                    <xsl:when test="./i6:value = '124863'">Melanophila gentilis (MELPGE)</xsl:when>
                    <xsl:when test="./i6:value = '124864'">Melanophila guttulata (MELPGU)</xsl:when>
                    <xsl:when test="./i6:value = '124865'">Melanoplus bivittatus (MENPBI)</xsl:when>
                    <xsl:when test="./i6:value = '124866'">Melanoplus devastator (MENPDE)</xsl:when>
                    <xsl:when test="./i6:value = '124867'">Melanoplus differentialis (MENPDI)</xsl:when>
                    <xsl:when test="./i6:value = '124868'">Melanoplus femurrubrum (MENPFE)</xsl:when>
                    <xsl:when test="./i6:value = '124869'">Melanoplus frigidus (MENPFR)</xsl:when>
                    <xsl:when test="./i6:value = '124870'">Melanoplus mexicanus mexicanus (MENPME)</xsl:when>
                    <xsl:when test="./i6:value = '124871'">Melanoplus packardii (MENPPA)</xsl:when>
                    <xsl:when test="./i6:value = '124872'">Melanoplus rugglesi (MENPRU)</xsl:when>
                    <xsl:when test="./i6:value = '124873'">Melanoplus sanguinipes (MENPSA)</xsl:when>
                    <xsl:when test="./i6:value = '124874'">Melanoplus spretus (MENPSR)</xsl:when>
                    <xsl:when test="./i6:value = '124875'">Melanopsichium eleusinis (MLPSEL)</xsl:when>
                    <xsl:when test="./i6:value = '124876'">Melanotus caudex (MELNCA)</xsl:when>
                    <xsl:when test="./i6:value = '124877'">Melanotus communis (MELNCO)</xsl:when>
                    <xsl:when test="./i6:value = '124878'">Melanotus cribulosus (MELNCR)</xsl:when>
                    <xsl:when test="./i6:value = '124879'">Melanotus fissilis (MELNFI)</xsl:when>
                    <xsl:when test="./i6:value = '124880'">Melanotus oregonensis (MELNOR)</xsl:when>
                    <xsl:when test="./i6:value = '124881'">Melanotus tamsuynensis (MELNTA)</xsl:when>
                    <xsl:when test="./i6:value = '124882'">Melasoma adamsi (LEMAAD)</xsl:when>
                    <xsl:when test="./i6:value = '124883'">Meles meles (MLESME)</xsl:when>
                    <xsl:when test="./i6:value = '124884'">Meliola bicornis (MLLABI)</xsl:when>
                    <xsl:when test="./i6:value = '124885'">Meliola citricola (MLLACI)</xsl:when>
                    <xsl:when test="./i6:value = '124886'">Meliola clavulata (MLLACV)</xsl:when>
                    <xsl:when test="./i6:value = '124887'">Meliola clerodendricola (MLLACD)</xsl:when>
                    <xsl:when test="./i6:value = '124888'">Meliola deinbolliae (MLLADE)</xsl:when>
                    <xsl:when test="./i6:value = '124889'">Meliola hyptidis (MLLAHY)</xsl:when>
                    <xsl:when test="./i6:value = '124890'">Meliola malacotricha (MLLAML)</xsl:when>
                    <xsl:when test="./i6:value = '124891'">Meliola paulliniae (MLLAPL)</xsl:when>
                    <xsl:when test="./i6:value = '124892'">Meliola psychotriae (MLLAPS)</xsl:when>
                    <xsl:when test="./i6:value = '124893'">Meliola simillima (MLLASM)</xsl:when>
                    <xsl:when test="./i6:value = '124894'">Meliphaga lewinii (MLPHLE)</xsl:when>
                    <xsl:when test="./i6:value = '124895'">Melissococcus plutonius (MELKPL)</xsl:when>
                    <xsl:when test="./i6:value = '124896'">Melitaea cinxia (MLITCI)</xsl:when>
                    <xsl:when test="./i6:value = '124897'">Melitaea diamina (MLITDM)</xsl:when>
                    <xsl:when test="./i6:value = '124898'">Melitaea didyma (MLITDI)</xsl:when>
                    <xsl:when test="./i6:value = '124899'">Melitaea phoebe (MLITPH)</xsl:when>
                    <xsl:when test="./i6:value = '124900'">Melitara dentata (MLTRDE)</xsl:when>
                    <xsl:when test="./i6:value = '124901'">Melittia cucurbitae (MELTCU)</xsl:when>
                    <xsl:when test="./i6:value = '124902'">Melittomma insulare (MEITIN)</xsl:when>
                    <xsl:when test="./i6:value = '124903'">Melittomma sericeum (MEITSE)</xsl:when>
                    <xsl:when test="./i6:value = '124904'">Mellicta athalia (MLLTAT)</xsl:when>
                    <xsl:when test="./i6:value = '124905'">Meloe americanus (MLOEAM)</xsl:when>
                    <xsl:when test="./i6:value = '124906'">Meloe proscarabaeus (MLOEPR)</xsl:when>
                    <xsl:when test="./i6:value = '124907'">Meloe variegatus (MLOEVA)</xsl:when>
                    <xsl:when test="./i6:value = '124908'">Meloidogyne acronea (MELGAC)</xsl:when>
                    <xsl:when test="./i6:value = '124909'">Meloidogyne arenaria (MELGAR)</xsl:when>
                    <xsl:when test="./i6:value = '124910'">Meloidogyne camelliae (MELGCA)</xsl:when>
                    <xsl:when test="./i6:value = '124911'">Meloidogyne chitwoodi (MELGCH)</xsl:when>
                    <xsl:when test="./i6:value = '124912'">Meloidogyne citri (MELGCI)</xsl:when>
                    <xsl:when test="./i6:value = '124913'">Meloidogyne coffeicola (MELGCO)</xsl:when>
                    <xsl:when test="./i6:value = '124914'">Meloidogyne ethiopica (MELGET)</xsl:when>
                    <xsl:when test="./i6:value = '124915'">Meloidogyne exigua (MELGEX)</xsl:when>
                    <xsl:when test="./i6:value = '124916'">Meloidogyne fallax (MELGFA)</xsl:when>
                    <xsl:when test="./i6:value = '124917'">Meloidogyne fujianensis (MELGFU)</xsl:when>
                    <xsl:when test="./i6:value = '124918'">Meloidogyne hapla (MELGHA)</xsl:when>
                    <xsl:when test="./i6:value = '124919'">Meloidogyne incognita (MELGIN)</xsl:when>
                    <xsl:when test="./i6:value = '124920'">Meloidogyne incognita acrita (MELGIA)</xsl:when>
                    <xsl:when test="./i6:value = '124921'">Meloidogyne javanica (MELGJA)</xsl:when>
                    <xsl:when test="./i6:value = '124922'">Meloidogyne jianyangensis (MELGJI)</xsl:when>
                    <xsl:when test="./i6:value = '124923'">Meloidogyne kongi (MELGKO)</xsl:when>
                    <xsl:when test="./i6:value = '124924'">Meloidogyne mali (MELGMA)</xsl:when>
                    <xsl:when test="./i6:value = '124925'">Meloidogyne megadora (MELGME)</xsl:when>
                    <xsl:when test="./i6:value = '124926'">Meloidogyne mingnanica (MELGMG)</xsl:when>
                    <xsl:when test="./i6:value = '124927'">Meloidogyne naasi (MELGNA)</xsl:when>
                    <xsl:when test="./i6:value = '124928'">Meloidogyne ovalis (MELGOV)</xsl:when>
                    <xsl:when test="./i6:value = '124929'">Meloidogyne paranaensis (MELGPA)</xsl:when>
                    <xsl:when test="./i6:value = '124930'">Meloidogyne silvestris (MELGSI)</xsl:when>
                    <xsl:when test="./i6:value = '124931'">Melolontha hippocastani (MELOHI)</xsl:when>
                    <xsl:when test="./i6:value = '124932'">Melolontha melolontha (MELOME)</xsl:when>
                    <xsl:when test="./i6:value = '124933'">Melophagus ovinus (MELUOV)</xsl:when>
                    <xsl:when test="./i6:value = '124934'">Melopsittacus undulatus (MPSIUN)</xsl:when>
                    <xsl:when test="./i6:value = '124935'">Melormenis basalis (MLRMAN)</xsl:when>
                    <xsl:when test="./i6:value = '124936'">Melospiza melodia (MLOZME)</xsl:when>
                    <xsl:when test="./i6:value = '124937'">Menacanthus stramineus (MENAST)</xsl:when>
                    <xsl:when test="./i6:value = '124938'">Menesia bipunctata (SAPEBI)</xsl:when>
                    <xsl:when test="./i6:value = '124939'">Menidia menidia (MENDME)</xsl:when>
                    <xsl:when test="./i6:value = '124940'">Menopon gallinae (MENNGA)</xsl:when>
                    <xsl:when test="./i6:value = '124941'">Menura novaehollandiae (MENUNO)</xsl:when>
                    <xsl:when test="./i6:value = '124942'">Mercenaria mercenaria (MERCME)</xsl:when>
                    <xsl:when test="./i6:value = '124943'">Merdigera obscura (MRDIOB)</xsl:when>
                    <xsl:when test="./i6:value = '124944'">Mergus merganser (MERGME)</xsl:when>
                    <xsl:when test="./i6:value = '124945'">Merhynchites bicolor (MERHBI)</xsl:when>
                    <xsl:when test="./i6:value = '124946'">Merhynchites wickhami (MERHWI)</xsl:when>
                    <xsl:when test="./i6:value = '124947'">Meria laricis (MERILA)</xsl:when>
                    <xsl:when test="./i6:value = '124948'">Meriones erythrourus (MERNER)</xsl:when>
                    <xsl:when test="./i6:value = '124949'">Meriones libycus (MERNLI)</xsl:when>
                    <xsl:when test="./i6:value = '124950'">Meriones meridianus (MERNME)</xsl:when>
                    <xsl:when test="./i6:value = '124951'">Meriones persicus (MERNPE)</xsl:when>
                    <xsl:when test="./i6:value = '124952'">Meriones shawi (MERNSH)</xsl:when>
                    <xsl:when test="./i6:value = '124953'">Meriones tamariscinus (MERITA)</xsl:when>
                    <xsl:when test="./i6:value = '124954'">Meriones tristami (MERITR)</xsl:when>
                    <xsl:when test="./i6:value = '124955'">Meriones unguiculatus (MERIUN)</xsl:when>
                    <xsl:when test="./i6:value = '124956'">Meriones vinogradovi (MERIVI)</xsl:when>
                    <xsl:when test="./i6:value = '124957'">Meripilus giganteus (POLPGI)</xsl:when>
                    <xsl:when test="./i6:value = '124958'">Merluccius merluccius (MRLUME)</xsl:when>
                    <xsl:when test="./i6:value = '124959'">Merodon equestris (LAMTEQ)</xsl:when>
                    <xsl:when test="./i6:value = '124960'">Meromyza americana (MEROAM)</xsl:when>
                    <xsl:when test="./i6:value = '124961'">Meromyza saltatrix (MEROSA)</xsl:when>
                    <xsl:when test="./i6:value = '124962'">Merophyas divulsana (MERPDI)</xsl:when>
                    <xsl:when test="./i6:value = '124963'">Merops apiaster (MROPAP)</xsl:when>
                    <xsl:when test="./i6:value = '124964'">Mesapamea secalis (PARISE)</xsl:when>
                    <xsl:when test="./i6:value = '124965'">Mescinia peruella (MSCNPE)</xsl:when>
                    <xsl:when test="./i6:value = '124966'">Mesocricetus auratus (MSCRAU)</xsl:when>
                    <xsl:when test="./i6:value = '124967'">Mesocricetus newtoni (MSCRNE)</xsl:when>
                    <xsl:when test="./i6:value = '124968'">Mesocricetus raddei (MSCRRA)</xsl:when>
                    <xsl:when test="./i6:value = '124969'">Mesogona acetosellae (MESOAC)</xsl:when>
                    <xsl:when test="./i6:value = '124970'">Mesohomotoma camphorae (MESHCA)</xsl:when>
                    <xsl:when test="./i6:value = '124971'">Mesolecanium nigrofasciatum (LECANI)</xsl:when>
                    <xsl:when test="./i6:value = '124972'">Messor barbarus (MESRBA)</xsl:when>
                    <xsl:when test="./i6:value = '124973'">Metacordyceps chlamydosporia (CODYCH)</xsl:when>
                    <xsl:when test="./i6:value = '124974'">Metaleurodicus cardini (ALEDCA)</xsl:when>
                    <xsl:when test="./i6:value = '124975'">Metallus albipes (METLAL)</xsl:when>
                    <xsl:when test="./i6:value = '124976'">Metallus pumilus (METLPU)</xsl:when>
                    <xsl:when test="./i6:value = '124977'">Metamasius hemipterus (METAHE)</xsl:when>
                    <xsl:when test="./i6:value = '124978'">Metamasius ritchiei (METARI)</xsl:when>
                    <xsl:when test="./i6:value = '124979'">Metamasius sericeus (METASE)</xsl:when>
                    <xsl:when test="./i6:value = '124980'">Metanastes australis (METNAU)</xsl:when>
                    <xsl:when test="./i6:value = '124981'">Metanastes vulgivagus (METNVU)</xsl:when>
                    <xsl:when test="./i6:value = '124982'">Metarhizium anisopliae (MTRHAN)</xsl:when>
                    <xsl:when test="./i6:value = '124983'">Metcalfa pruinosa (METFPR)</xsl:when>
                    <xsl:when test="./i6:value = '124984'">Metioche vittaticollis (METQVI)</xsl:when>
                    <xsl:when test="./i6:value = '124985'">Metopolophium festucae (METOFE)</xsl:when>
                    <xsl:when test="./i6:value = '124986'">Metriochroa latifoliella (MTRCLA)</xsl:when>
                    <xsl:when test="./i6:value = '124987'">Metrioptera bicolor (MTRPBI)</xsl:when>
                    <xsl:when test="./i6:value = '124988'">Metrioptera brachyptera (MTRPBR)</xsl:when>
                    <xsl:when test="./i6:value = '124989'">Metrioptera roeselii (MTRPRO)</xsl:when>
                    <xsl:when test="./i6:value = '124990'">Metriorhynchus rufipennis (MTRRRU)</xsl:when>
                    <xsl:when test="./i6:value = '124991'">Metriotes lutarea (MTRTLU)</xsl:when>
                    <xsl:when test="./i6:value = '124992'">Metschnikowia pulcherrima (METKPU)</xsl:when>
                    <xsl:when test="./i6:value = '124993'">Mezium affine (MEZIAF)</xsl:when>
                    <xsl:when test="./i6:value = '124994'">Mezium americanum (MEZIAM)</xsl:when>
                    <xsl:when test="./i6:value = '124995'">Miccotrogus lineellus (TYCHLI)</xsl:when>
                    <xsl:when test="./i6:value = '124996'">Microbotryum dianthorum (MIKBDI)</xsl:when>
                    <xsl:when test="./i6:value = '124997'">Microbotryum lychnidis-dioicae (MIKBLD)</xsl:when>
                    <xsl:when test="./i6:value = '124998'">Microbotryum stellariae (MIKBST)</xsl:when>
                    <xsl:when test="./i6:value = '124999'">Microbotryum violaceum (USTIVI)</xsl:when>
                    <xsl:when test="./i6:value = '125000'">Microcentrum retinerve (MCCERE)</xsl:when>
                    <xsl:when test="./i6:value = '125001'">Microcentrum rhombifolium (MCCERH)</xsl:when>
                    <xsl:when test="./i6:value = '125002'">Microcephalothrips abdominalis (MCCTAB)</xsl:when>
                    <xsl:when test="./i6:value = '125003'">Microchirus variegatus (MCHIVA)</xsl:when>
                    <xsl:when test="./i6:value = '125004'">Microcystis aeruginosa (MCRCAE)</xsl:when>
                    <xsl:when test="./i6:value = '125005'">Microdochium bolleyi (AUREBO)</xsl:when>
                    <xsl:when test="./i6:value = '125006'">Microdochium panattonianum (MARSPA)</xsl:when>
                    <xsl:when test="./i6:value = '125007'">Microhodotermes viator (HODOVI)</xsl:when>
                    <xsl:when test="./i6:value = '125008'">Microlarinus lareyniei (MICLLA)</xsl:when>
                    <xsl:when test="./i6:value = '125009'">Microlarinus lypriformis (MICLLY)</xsl:when>
                    <xsl:when test="./i6:value = '125010'">Micromus tasmaniae (MICUTA)</xsl:when>
                    <xsl:when test="./i6:value = '125011'">Micromys minutus (MCRMMI)</xsl:when>
                    <xsl:when test="./i6:value = '125012'">Micromyzus oliveri (MICYOL)</xsl:when>
                    <xsl:when test="./i6:value = '125013'">Micropeltis ugandae (MKPEUG)</xsl:when>
                    <xsl:when test="./i6:value = '125014'">Micropeza  corrigiolata (MCPZCO)</xsl:when>
                    <xsl:when test="./i6:value = '125015'">Micropterus dolomieu (MIOPDO)</xsl:when>
                    <xsl:when test="./i6:value = '125016'">Microscelis amaurotis (MKSCAM)</xsl:when>
                    <xsl:when test="./i6:value = '125017'">Microsphaera begoniae (OIDIBE)</xsl:when>
                    <xsl:when test="./i6:value = '125018'">Microsphaera berberidis (MCRSBE)</xsl:when>
                    <xsl:when test="./i6:value = '125019'">Microsphaera grossulariae (MCRSGR)</xsl:when>
                    <xsl:when test="./i6:value = '125020'">Microsphaera polonica (MCRSPO)</xsl:when>
                    <xsl:when test="./i6:value = '125021'">Microsphaera pulchra (MCRSPU)</xsl:when>
                    <xsl:when test="./i6:value = '125022'">Microsphaera vaccinii (MCRSVA)</xsl:when>
                    <xsl:when test="./i6:value = '125023'">Microsphaeropsis hellebori (CONIHE)</xsl:when>
                    <xsl:when test="./i6:value = '125024'">Microsphaeropsis tanaceti (MSPHTA)</xsl:when>
                    <xsl:when test="./i6:value = '125025'">Microsporum audouinii (MISPAD)</xsl:when>
                    <xsl:when test="./i6:value = '125026'">Microsporum canis (MISPCA)</xsl:when>
                    <xsl:when test="./i6:value = '125027'">Microsporum distortum (MISPDT)</xsl:when>
                    <xsl:when test="./i6:value = '125028'">Microsporum equinum (MISPEQ)</xsl:when>
                    <xsl:when test="./i6:value = '125029'">Microsporum ferrugineum (MISPFR)</xsl:when>
                    <xsl:when test="./i6:value = '125030'">Microstoma protracta (MCSMPR)</xsl:when>
                    <xsl:when test="./i6:value = '125031'">Microstomus kitt (PLNCMI)</xsl:when>
                    <xsl:when test="./i6:value = '125032'">Microtheca ochroloma (MICEOC)</xsl:when>
                    <xsl:when test="./i6:value = '125033'">Microthyris helcitalis (SYLEAN)</xsl:when>
                    <xsl:when test="./i6:value = '125034'">Microtus agrestis (MICRAG)</xsl:when>
                    <xsl:when test="./i6:value = '125035'">Microtus cabrerae (MICRCA)</xsl:when>
                    <xsl:when test="./i6:value = '125036'">Microtus duodecimcostatus (MICRDU)</xsl:when>
                    <xsl:when test="./i6:value = '125037'">Microtus fortis (MICRFO)</xsl:when>
                    <xsl:when test="./i6:value = '125038'">Microtus guentheri (MICRGU)</xsl:when>
                    <xsl:when test="./i6:value = '125039'">Microtus mexicanus (MICRME)</xsl:when>
                    <xsl:when test="./i6:value = '125040'">Microtus montanus (MICRMO)</xsl:when>
                    <xsl:when test="./i6:value = '125041'">Microtus pennsylvanicus (MICRPN)</xsl:when>
                    <xsl:when test="./i6:value = '125042'">Microtus rossiaemeridionalis (MICRRO)</xsl:when>
                    <xsl:when test="./i6:value = '125043'">Microtus subterraneus (MICRSU)</xsl:when>
                    <xsl:when test="./i6:value = '125044'">Microtus tatricus (MICRTA)</xsl:when>
                    <xsl:when test="./i6:value = '125045'">Microvelia douglasi (MICVDO)</xsl:when>
                    <xsl:when test="./i6:value = '125046'">Micrurus fulvius (MKRRFU)</xsl:when>
                    <xsl:when test="./i6:value = '125047'">Milax gagates (MILXGA)</xsl:when>
                    <xsl:when test="./i6:value = '125048'">Milax nigricans (MILXNI)</xsl:when>
                    <xsl:when test="./i6:value = '125049'">Milviscutulus mangiferae (MILVMA)</xsl:when>
                    <xsl:when test="./i6:value = '125050'">Milvus migrans (MLVSMI)</xsl:when>
                    <xsl:when test="./i6:value = '125051'">Mimas tiliae (MIMATI)</xsl:when>
                    <xsl:when test="./i6:value = '125052'">Mimoschinia rufofascialis (MIMORU)</xsl:when>
                    <xsl:when test="./i6:value = '125053'">Mimus polyglottos (MIMUPO)</xsl:when>
                    <xsl:when test="./i6:value = '125054'">Mindarus abietinus (MINDAB)</xsl:when>
                    <xsl:when test="./i6:value = '125055'">Mindarus obliquus (MINDOB)</xsl:when>
                    <xsl:when test="./i6:value = '125056'">Miniopterus schreibersii (MINISC)</xsl:when>
                    <xsl:when test="./i6:value = '125057'">Minois dryas (MINODR)</xsl:when>
                    <xsl:when test="./i6:value = '125058'">Minthea reticulata (MINTRE)</xsl:when>
                    <xsl:when test="./i6:value = '125059'">Minthea rugicollis (MINTRU)</xsl:when>
                    <xsl:when test="./i6:value = '125060'">Minucia lunaris (MINULU)</xsl:when>
                    <xsl:when test="./i6:value = '125061'">Miramella alpina alpina (MIRAAL)</xsl:when>
                    <xsl:when test="./i6:value = '125062'">Mirificarma mulinella (MIRFMU)</xsl:when>
                    <xsl:when test="./i6:value = '125063'">Misgurnus fossilis (MISGFO)</xsl:when>
                    <xsl:when test="./i6:value = '125064'">Mitrophora semilibera (MITRSE)</xsl:when>
                    <xsl:when test="./i6:value = '125065'">Mitrula paludosa (MITUPA)</xsl:when>
                    <xsl:when test="./i6:value = '125066'">Mnesampela privata (MNESPR)</xsl:when>
                    <xsl:when test="./i6:value = '125067'">Mocis repanda (MOCIRE)</xsl:when>
                    <xsl:when test="./i6:value = '125068'">Modicogryllus burdigalensis (GRYLBU)</xsl:when>
                    <xsl:when test="./i6:value = '125069'">Moesziomyces bullatus (MOESBU)</xsl:when>
                    <xsl:when test="./i6:value = '125070'">Mogera robusta (MOGERO)</xsl:when>
                    <xsl:when test="./i6:value = '125071'">Mogera wogura (MOGEWO)</xsl:when>
                    <xsl:when test="./i6:value = '125072'">Mola mola (MOLAMO)</xsl:when>
                    <xsl:when test="./i6:value = '125073'">Molothrus ater (MOLOAT)</xsl:when>
                    <xsl:when test="./i6:value = '125074'">Molva molva (MOLVMA)</xsl:when>
                    <xsl:when test="./i6:value = '125075'">Mompha subbistrigella (MOMPSU)</xsl:when>
                    <xsl:when test="./i6:value = '125076'">Monacha cartusiana (MNACCA)</xsl:when>
                    <xsl:when test="./i6:value = '125077'">Monacha syriaca (MNACSY)</xsl:when>
                    <xsl:when test="./i6:value = '125078'">Monachus monachus (MWNAMO)</xsl:when>
                    <xsl:when test="./i6:value = '125079'">Monalocoris filicis (MNALFI)</xsl:when>
                    <xsl:when test="./i6:value = '125080'">Monalonion  atratum (MONAAT)</xsl:when>
                    <xsl:when test="./i6:value = '125081'">Monarthropalpus buxi (MNARBU)</xsl:when>
                    <xsl:when test="./i6:value = '125082'">Monellia caryae (MONLCY)</xsl:when>
                    <xsl:when test="./i6:value = '125083'">Monellia caryella (MONLCA)</xsl:when>
                    <xsl:when test="./i6:value = '125084'">Monellia costalis (MONLCO)</xsl:when>
                    <xsl:when test="./i6:value = '125085'">Monellia nigropunctata (MONLNI)</xsl:when>
                    <xsl:when test="./i6:value = '125086'">Monema flavescens (CNIDFL)</xsl:when>
                    <xsl:when test="./i6:value = '125087'">Monilia polystroma (MONIPO)</xsl:when>
                    <xsl:when test="./i6:value = '125088'">Monilinia fructicola (MONIFC)</xsl:when>
                    <xsl:when test="./i6:value = '125089'">Monilinia fructigena (MONIFG)</xsl:when>
                    <xsl:when test="./i6:value = '125090'">Monilinia johnsonii (MONIJO)</xsl:when>
                    <xsl:when test="./i6:value = '125091'">Monilinia laxa (MONILA)</xsl:when>
                    <xsl:when test="./i6:value = '125092'">Monilinia laxa f. sp. mali (MONILM)</xsl:when>
                    <xsl:when test="./i6:value = '125093'">Monilinia mespili (MONIME)</xsl:when>
                    <xsl:when test="./i6:value = '125094'">Monilinia oxycocci (MONIOX)</xsl:when>
                    <xsl:when test="./i6:value = '125095'">Monilinia vaccinii-corymbosi (MONIVC)</xsl:when>
                    <xsl:when test="./i6:value = '125096'">Moniliophthora perniciosa (CRNPPE)</xsl:when>
                    <xsl:when test="./i6:value = '125097'">Moniliophthora roreri (MONPRO)</xsl:when>
                    <xsl:when test="./i6:value = '125098'">Monilochaetes infuscans (MNLCIN)</xsl:when>
                    <xsl:when test="./i6:value = '125099'">Monocesta coryli (MONECO)</xsl:when>
                    <xsl:when test="./i6:value = '125100'">Monochamus alternatus (MONCAL)</xsl:when>
                    <xsl:when test="./i6:value = '125101'">Monochamus carolinensis (MONCCA)</xsl:when>
                    <xsl:when test="./i6:value = '125102'">Monochamus grandis (MONCGR)</xsl:when>
                    <xsl:when test="./i6:value = '125103'">Monochamus marmorator (MONCMR)</xsl:when>
                    <xsl:when test="./i6:value = '125104'">Monochamus mutator (MONCMC)</xsl:when>
                    <xsl:when test="./i6:value = '125105'">Monochamus notatus (MONCNO)</xsl:when>
                    <xsl:when test="./i6:value = '125106'">Monochamus obtusus (MONCOB)</xsl:when>
                    <xsl:when test="./i6:value = '125107'">Monochamus oregonensis (MONCOR)</xsl:when>
                    <xsl:when test="./i6:value = '125108'">Monochamus scutellatus (MONCST)</xsl:when>
                    <xsl:when test="./i6:value = '125109'">Monochamus sutor (MONCSU)</xsl:when>
                    <xsl:when test="./i6:value = '125110'">Monochamus titillator (MONCTI)</xsl:when>
                    <xsl:when test="./i6:value = '125111'">Monochirus hispidus (MNCHHI)</xsl:when>
                    <xsl:when test="./i6:value = '125112'">Monochroa arundinetella (MNCRAR)</xsl:when>
                    <xsl:when test="./i6:value = '125113'">monocotyledonous weeds (3MNCOT)</xsl:when>
                    <xsl:when test="./i6:value = '125114'">Monoctenus juniperi (MOOCJU)</xsl:when>
                    <xsl:when test="./i6:value = '125115'">Monodon monoceros (MNODNO)</xsl:when>
                    <xsl:when test="./i6:value = '125116'">Monodonta lineata (MNDALI)</xsl:when>
                    <xsl:when test="./i6:value = '125117'">Monographella albescens (RHYNOR)</xsl:when>
                    <xsl:when test="./i6:value = '125118'">Monographella maydis (MONGMA)</xsl:when>
                    <xsl:when test="./i6:value = '125119'">Monographella nivalis (MONGNI)</xsl:when>
                    <xsl:when test="./i6:value = '125120'">Monolepta australis (MOOLAU)</xsl:when>
                    <xsl:when test="./i6:value = '125121'">Monolepta varicornis (LUPDVA)</xsl:when>
                    <xsl:when test="./i6:value = '125122'">Monomorium destructor (MONODE)</xsl:when>
                    <xsl:when test="./i6:value = '125123'">Mononychellus tanajoa (MONNTA)</xsl:when>
                    <xsl:when test="./i6:value = '125124'">Mononychus vulpeculus (MOONVU)</xsl:when>
                    <xsl:when test="./i6:value = '125125'">Monophadnoides geniculatus (BLENGE)</xsl:when>
                    <xsl:when test="./i6:value = '125126'">Monoptilota pergratialis (MNPTPE)</xsl:when>
                    <xsl:when test="./i6:value = '125127'">Monoxia consputa (MONXCO)</xsl:when>
                    <xsl:when test="./i6:value = '125128'">Moodna bisinuella (MOODBI)</xsl:when>
                    <xsl:when test="./i6:value = '125129'">Morchella conica (MRCHCO)</xsl:when>
                    <xsl:when test="./i6:value = '125130'">Morchella elata (MRCHEL)</xsl:when>
                    <xsl:when test="./i6:value = '125131'">Mordwilkoja vagabunda (MORDVA)</xsl:when>
                    <xsl:when test="./i6:value = '125132'">Morsea californica (MORSCA)</xsl:when>
                    <xsl:when test="./i6:value = '125133'">Mortierella wolfii (MORTWO)</xsl:when>
                    <xsl:when test="./i6:value = '125134'">Morus bassanus (MORUBA)</xsl:when>
                    <xsl:when test="./i6:value = '125135'">Moschus moschiferus (MOSCMO)</xsl:when>
                    <xsl:when test="./i6:value = '125136'">mosses and liverworts (unwanted) (3MOSST)</xsl:when>
                    <xsl:when test="./i6:value = '125137'">Motacilla alba (MOTAAL)</xsl:when>
                    <xsl:when test="./i6:value = '125138'">Motacilla flava (MOTAFL)</xsl:when>
                    <xsl:when test="./i6:value = '125139'">Mucor circinelloides (MUCOCI)</xsl:when>
                    <xsl:when test="./i6:value = '125140'">Mucor racemosus (MUCORA)</xsl:when>
                    <xsl:when test="./i6:value = '125141'">Mucronella calva (MUCRCA)</xsl:when>
                    <xsl:when test="./i6:value = '125142'">Mudaria magniplaga (MUDAMA)</xsl:when>
                    <xsl:when test="./i6:value = '125143'">Munkovalsaria donacina (DIDPDO)</xsl:when>
                    <xsl:when test="./i6:value = '125144'">Muntiacus muntjak (MUNTMU)</xsl:when>
                    <xsl:when test="./i6:value = '125145'">Muntiacus reevesi (MUNTRE)</xsl:when>
                    <xsl:when test="./i6:value = '125146'">Muraena helena (MURAHE)</xsl:when>
                    <xsl:when test="./i6:value = '125147'">Murgantia histrionica (MURGHI)</xsl:when>
                    <xsl:when test="./i6:value = '125148'">Musca autumnalis (MUSCAU)</xsl:when>
                    <xsl:when test="./i6:value = '125149'">Musca domestica vicina (MUSCDV)</xsl:when>
                    <xsl:when test="./i6:value = '125150'">Musca vetustissima (MUSCVE)</xsl:when>
                    <xsl:when test="./i6:value = '125151'">Muscardinus avellanarius (MSCDAV)</xsl:when>
                    <xsl:when test="./i6:value = '125152'">Muscicapa striata (MUSPST)</xsl:when>
                    <xsl:when test="./i6:value = '125153'">Muscina stabulans (MUSIST)</xsl:when>
                    <xsl:when test="./i6:value = '125154'">Musicillium theobromae (VERTTH)</xsl:when>
                    <xsl:when test="./i6:value = '125155'">Musophaga rossae (MUSORO)</xsl:when>
                    <xsl:when test="./i6:value = '125156'">Mussidia nigrivenella (MUSSNV)</xsl:when>
                    <xsl:when test="./i6:value = '125157'">Mustela erminea (MUSTER)</xsl:when>
                    <xsl:when test="./i6:value = '125158'">Mustela eversmannii (MUSTEV)</xsl:when>
                    <xsl:when test="./i6:value = '125159'">Mustela lutreola (MUSTLU)</xsl:when>
                    <xsl:when test="./i6:value = '125160'">Mustela putorius (MUSTPU)</xsl:when>
                    <xsl:when test="./i6:value = '125161'">Mustela putorius furo (MUSTPF)</xsl:when>
                    <xsl:when test="./i6:value = '125162'">Mustelus canis (MSTLCA)</xsl:when>
                    <xsl:when test="./i6:value = '125163'">Mutilla europaea (MUTLEU)</xsl:when>
                    <xsl:when test="./i6:value = '125164'">Mutinus caninus (MUTICA)</xsl:when>
                    <xsl:when test="./i6:value = '125165'">Mutinus ravenelii (MUTIRA)</xsl:when>
                    <xsl:when test="./i6:value = '125166'">Myceliophthora lutea (MYCLLU)</xsl:when>
                    <xsl:when test="./i6:value = '125167'">Mycena citricolor (MYCECI)</xsl:when>
                    <xsl:when test="./i6:value = '125168'">Mycena haematopus (MYCEHA)</xsl:when>
                    <xsl:when test="./i6:value = '125169'">Mycena leaiana (MYCELE)</xsl:when>
                    <xsl:when test="./i6:value = '125170'">Mycena olida (MYCEOL)</xsl:when>
                    <xsl:when test="./i6:value = '125171'">Mycena picta (MYCEPC)</xsl:when>
                    <xsl:when test="./i6:value = '125172'">Mycena polygramma (MYCEPO)</xsl:when>
                    <xsl:when test="./i6:value = '125173'">Mycena pterigena (MYCEPT)</xsl:when>
                    <xsl:when test="./i6:value = '125174'">Mycena pura (MYCEPU)</xsl:when>
                    <xsl:when test="./i6:value = '125175'">Mycena purpureofusca (MYCEPP)</xsl:when>
                    <xsl:when test="./i6:value = '125176'">Mycena renati (MYCERE)</xsl:when>
                    <xsl:when test="./i6:value = '125177'">Mycena rorida (MYCERR)</xsl:when>
                    <xsl:when test="./i6:value = '125178'">Mycena vitilis (MYCEVI)</xsl:when>
                    <xsl:when test="./i6:value = '125179'">Mycetaspis personata (CHRYPR)</xsl:when>
                    <xsl:when test="./i6:value = '125180'">Mycetophagus quadriguttatus (MYCTQU)</xsl:when>
                    <xsl:when test="./i6:value = '125181'">Mycocentrospora acerina (MYCCAC)</xsl:when>
                    <xsl:when test="./i6:value = '125182'">Mycogone perniciosa (MYCGPE)</xsl:when>
                    <xsl:when test="./i6:value = '125183'">Mycogone rosea (MYCGRO)</xsl:when>
                    <xsl:when test="./i6:value = '125184'">Mycoleptodiscus terrestris (MYLETE)</xsl:when>
                    <xsl:when test="./i6:value = '125185'">Mycophila speyeri (MYCPSE)</xsl:when>
                    <xsl:when test="./i6:value = '125186'">Mycosphaerella aleuritidis (MYCOAL)</xsl:when>
                    <xsl:when test="./i6:value = '125187'">Mycosphaerella angulata (MYCOAN)</xsl:when>
                    <xsl:when test="./i6:value = '125188'">Mycosphaerella arachidis (MYCOAR)</xsl:when>
                    <xsl:when test="./i6:value = '125189'">Mycosphaerella areola (RAMUGO)</xsl:when>
                    <xsl:when test="./i6:value = '125190'">Mycosphaerella berkeleyi (MYCOBE)</xsl:when>
                    <xsl:when test="./i6:value = '125191'">Mycosphaerella bolleana (MYCOBO)</xsl:when>
                    <xsl:when test="./i6:value = '125192'">Mycosphaerella capsellae (PSDCCA)</xsl:when>
                    <xsl:when test="./i6:value = '125193'">Mycosphaerella caryigena (MYCOCA)</xsl:when>
                    <xsl:when test="./i6:value = '125194'">Mycosphaerella cerasella (MYCOCE)</xsl:when>
                    <xsl:when test="./i6:value = '125195'">Mycosphaerella citri (MYCOCI)</xsl:when>
                    <xsl:when test="./i6:value = '125196'">Mycosphaerella coffeicola (CERCCO)</xsl:when>
                    <xsl:when test="./i6:value = '125197'">Mycosphaerella cruciferarum (MYCOCW)</xsl:when>
                    <xsl:when test="./i6:value = '125198'">Mycosphaerella cruenta (MYCOCR)</xsl:when>
                    <xsl:when test="./i6:value = '125199'">Mycosphaerella cryptica (MYCOCY)</xsl:when>
                    <xsl:when test="./i6:value = '125200'">Mycosphaerella delegatensis (MYCODL)</xsl:when>
                    <xsl:when test="./i6:value = '125201'">Mycosphaerella dendroides (MYCODD)</xsl:when>
                    <xsl:when test="./i6:value = '125202'">Mycosphaerella eumusae (MYCOEU)</xsl:when>
                    <xsl:when test="./i6:value = '125203'">Mycosphaerella fijiensis (MYCOFI)</xsl:when>
                    <xsl:when test="./i6:value = '125204'">Mycosphaerella fragariae (MYCOFR)</xsl:when>
                    <xsl:when test="./i6:value = '125205'">Mycosphaerella gibsonii (CERSPD)</xsl:when>
                    <xsl:when test="./i6:value = '125206'">Mycosphaerella gossypina (MYCOGO)</xsl:when>
                    <xsl:when test="./i6:value = '125207'">Mycosphaerella gracilis (MYCOGR)</xsl:when>
                    <xsl:when test="./i6:value = '125208'">Mycosphaerella henningsii (MYCOMH)</xsl:when>
                    <xsl:when test="./i6:value = '125209'">Mycosphaerella horii (MYCOHO)</xsl:when>
                    <xsl:when test="./i6:value = '125210'">Mycosphaerella jaczewskii (MYCOJA)</xsl:when>
                    <xsl:when test="./i6:value = '125211'">Mycosphaerella laricis-leptolepidis (MYCOLL)</xsl:when>
                    <xsl:when test="./i6:value = '125212'">Mycosphaerella ligustri (MYCOLI)</xsl:when>
                    <xsl:when test="./i6:value = '125213'">Mycosphaerella linicola (MYCOLN)</xsl:when>
                    <xsl:when test="./i6:value = '125214'">Mycosphaerella microsora (MYCOMK)</xsl:when>
                    <xsl:when test="./i6:value = '125215'">Mycosphaerella minima (MYCOMI)</xsl:when>
                    <xsl:when test="./i6:value = '125216'">Mycosphaerella mori (MYCOMO)</xsl:when>
                    <xsl:when test="./i6:value = '125217'">Mycosphaerella musae (MYCOMS)</xsl:when>
                    <xsl:when test="./i6:value = '125218'">Mycosphaerella musicola (MYCOMU)</xsl:when>
                    <xsl:when test="./i6:value = '125219'">Mycosphaerella nawae (MYCONA)</xsl:when>
                    <xsl:when test="./i6:value = '125220'">Mycosphaerella nubilosa (MYCONU)</xsl:when>
                    <xsl:when test="./i6:value = '125221'">Mycosphaerella personata (MYCOPS)</xsl:when>
                    <xsl:when test="./i6:value = '125222'">Mycosphaerella pistaciarum (SEPTPT)</xsl:when>
                    <xsl:when test="./i6:value = '125223'">Mycosphaerella pistacina (MYCOPT)</xsl:when>
                    <xsl:when test="./i6:value = '125224'">Mycosphaerella pomi (MYCOPO)</xsl:when>
                    <xsl:when test="./i6:value = '125225'">Mycosphaerella populi (MYCOPL)</xsl:when>
                    <xsl:when test="./i6:value = '125226'">Mycosphaerella pruni-persicae (MYCOPE)</xsl:when>
                    <xsl:when test="./i6:value = '125227'">Mycosphaerella punctiformis (MYCOMC)</xsl:when>
                    <xsl:when test="./i6:value = '125228'">Mycosphaerella pyri (MYCOPY)</xsl:when>
                    <xsl:when test="./i6:value = '125229'">Mycosphaerella recutita (SCLCGR)</xsl:when>
                    <xsl:when test="./i6:value = '125230'">Mycosphaerella ribis (MYCORI)</xsl:when>
                    <xsl:when test="./i6:value = '125231'">Mycosphaerella rosicola (MYCORO)</xsl:when>
                    <xsl:when test="./i6:value = '125232'">Mycovellosiella cajani var. indica (MYCVIN)</xsl:when>
                    <xsl:when test="./i6:value = '125233'">Mycovellosiella cajani var. trichophila (MYCVTR)</xsl:when>
                    <xsl:when test="./i6:value = '125234'">Mycovellosiella concors (MYCVCO)</xsl:when>
                    <xsl:when test="./i6:value = '125235'">Mycovellosiella fulva (FULVFU)</xsl:when>
                    <xsl:when test="./i6:value = '125236'">Mycovellosiella koepkei (CERCKO)</xsl:when>
                    <xsl:when test="./i6:value = '125237'">Mycovellosiella nattrassii (MYCVNA)</xsl:when>
                    <xsl:when test="./i6:value = '125238'">Mycovellosiella phaseoli (MYCVPH)</xsl:when>
                    <xsl:when test="./i6:value = '125239'">Mycovellosiella vaginae (CERCVA)</xsl:when>
                    <xsl:when test="./i6:value = '125240'">Mycteria americana (MYKTAM)</xsl:when>
                    <xsl:when test="./i6:value = '125241'">Mycterothrips setiventris (TAETSE)</xsl:when>
                    <xsl:when test="./i6:value = '125242'">Myiarchus crinitus (MYIACR)</xsl:when>
                    <xsl:when test="./i6:value = '125243'">Myiopardalis pardalina (CARYPA)</xsl:when>
                    <xsl:when test="./i6:value = '125244'">Mylabris ligata (MYLBLI)</xsl:when>
                    <xsl:when test="./i6:value = '125245'">Mylabris oculata (MYLBOC)</xsl:when>
                    <xsl:when test="./i6:value = '125246'">Mylabris oleae (MYLBOL)</xsl:when>
                    <xsl:when test="./i6:value = '125247'">Mylabris pustulata (MYLBPU)</xsl:when>
                    <xsl:when test="./i6:value = '125248'">Myllocerus lineatocollis (MYLLLI)</xsl:when>
                    <xsl:when test="./i6:value = '125249'">Myocastor coypus (MYOCCO)</xsl:when>
                    <xsl:when test="./i6:value = '125250'">Myochrous armatus (MYOHAR)</xsl:when>
                    <xsl:when test="./i6:value = '125251'">Myochrous denticollis (MYOHDE)</xsl:when>
                    <xsl:when test="./i6:value = '125252'">Myomimus roachi (MYOMRO)</xsl:when>
                    <xsl:when test="./i6:value = '125253'">Myotis bechsteinii (MYOTBE)</xsl:when>
                    <xsl:when test="./i6:value = '125254'">Myotis blythii (MYOTBL)</xsl:when>
                    <xsl:when test="./i6:value = '125255'">Myotis capaccinii (MYOTCA)</xsl:when>
                    <xsl:when test="./i6:value = '125256'">Myotis dasycneme (MYOTDA)</xsl:when>
                    <xsl:when test="./i6:value = '125257'">Myotis emarginatus (MYOTEM)</xsl:when>
                    <xsl:when test="./i6:value = '125258'">Myotis lucifugus (MYOTLU)</xsl:when>
                    <xsl:when test="./i6:value = '125259'">Myotis myotis (MYOTMY)</xsl:when>
                    <xsl:when test="./i6:value = '125260'">Myriangium duriaei (MYRIDU)</xsl:when>
                    <xsl:when test="./i6:value = '125261'">Myriogenospora aciculisporae (MYRGAC)</xsl:when>
                    <xsl:when test="./i6:value = '125262'">Myriogenospora atramentosa (MYRGAT)</xsl:when>
                    <xsl:when test="./i6:value = '125263'">Myrmecophaga tridactyla (MYRPTR)</xsl:when>
                    <xsl:when test="./i6:value = '125264'">Myrmecophilus acervorum (MRMPAC)</xsl:when>
                    <xsl:when test="./i6:value = '125265'">Myrmecoris gracilis (MYRSGR)</xsl:when>
                    <xsl:when test="./i6:value = '125266'">Myrmelaschista schumanni (MYRHSC)</xsl:when>
                    <xsl:when test="./i6:value = '125267'">Myrmeleon formicarius (MYRMFO)</xsl:when>
                    <xsl:when test="./i6:value = '125268'">Myrmeleon inconspicuus (MYRMIN)</xsl:when>
                    <xsl:when test="./i6:value = '125269'">Myrmeleotettix maculatus (GOMPMA)</xsl:when>
                    <xsl:when test="./i6:value = '125270'">Myrothecium roridum (MYRORO)</xsl:when>
                    <xsl:when test="./i6:value = '125271'">Myrothecium verrucaria (MYROVE)</xsl:when>
                    <xsl:when test="./i6:value = '125272'">Myrrha octodecimguttata (MYRROC)</xsl:when>
                    <xsl:when test="./i6:value = '125273'">Mysis relicta (MYSSRE)</xsl:when>
                    <xsl:when test="./i6:value = '125274'">Mythimna convecta (PSEDCO)</xsl:when>
                    <xsl:when test="./i6:value = '125275'">Mythimna latiuscula (PSEDLA)</xsl:when>
                    <xsl:when test="./i6:value = '125276'">Mythimna loreyi (PSEDLO)</xsl:when>
                    <xsl:when test="./i6:value = '125277'">Mythimna separata (PSEDSE)</xsl:when>
                    <xsl:when test="./i6:value = '125278'">Mythimna unipuncta (PSEDUN)</xsl:when>
                    <xsl:when test="./i6:value = '125279'">Mythimna venalba (MYTHVE)</xsl:when>
                    <xsl:when test="./i6:value = '125280'">Mytilaspis conchiformis (LEPSCO)</xsl:when>
                    <xsl:when test="./i6:value = '125281'">Mytilus edulis (MYTUED)</xsl:when>
                    <xsl:when test="./i6:value = '125282'">Mytilus galloprovincialis (MYTUGA)</xsl:when>
                    <xsl:when test="./i6:value = '125283'">Myxine glutinosa (MYXIGL)</xsl:when>
                    <xsl:when test="./i6:value = '125284'">Myxothyrium leptideum (MYXTLE)</xsl:when>
                    <xsl:when test="./i6:value = '125285'">Myzia oblongoguttata (MYZIOB)</xsl:when>
                    <xsl:when test="./i6:value = '125286'">Myzocallis bellus (MYZCBE)</xsl:when>
                    <xsl:when test="./i6:value = '125287'">Myzocallis coryli (MYZCCO)</xsl:when>
                    <xsl:when test="./i6:value = '125288'">Myzocallis discolor (MYZCDI)</xsl:when>
                    <xsl:when test="./i6:value = '125289'">Myzocallis kuricola (MYZCKU)</xsl:when>
                    <xsl:when test="./i6:value = '125290'">Myzus cerasi (MYZUCE)</xsl:when>
                    <xsl:when test="./i6:value = '125291'">Myzus certus (MYZUCR)</xsl:when>
                    <xsl:when test="./i6:value = '125292'">Myzus nicotianae (MYZUNI)</xsl:when>
                    <xsl:when test="./i6:value = '125293'">Myzus ornatus (MYZUPO)</xsl:when>
                    <xsl:when test="./i6:value = '125294'">Myzus sakurae (MYZUSA)</xsl:when>
                    <xsl:when test="./i6:value = '125295'">Nabicula limbata (NABCLI)</xsl:when>
                    <xsl:when test="./i6:value = '125296'">Nabis alternatus (NABIAL)</xsl:when>
                    <xsl:when test="./i6:value = '125297'">Nabis americoferus (NABIAM)</xsl:when>
                    <xsl:when test="./i6:value = '125298'">Nabis ferus (NABIFE)</xsl:when>
                    <xsl:when test="./i6:value = '125299'">Nabis rugosus (NABIRG)</xsl:when>
                    <xsl:when test="./i6:value = '125300'">Nacerda melanura (NACEME)</xsl:when>
                    <xsl:when test="./i6:value = '125301'">Nacobbus aberrans (NACOBA)</xsl:when>
                    <xsl:when test="./i6:value = '125302'">Nacobbus dorsalis (NACODO)</xsl:when>
                    <xsl:when test="./i6:value = '125303'">Nacoleia octasema (HEDYOC)</xsl:when>
                    <xsl:when test="./i6:value = '125304'">Naemacyclus fimbriatus (NAEMFI)</xsl:when>
                    <xsl:when test="./i6:value = '125305'">Naemacyclus niveus (NAEMNI)</xsl:when>
                    <xsl:when test="./i6:value = '125306'">Naemacyclus steatopygioides (NAEMST)</xsl:when>
                    <xsl:when test="./i6:value = '125307'">Naenia typica (NAENTY)</xsl:when>
                    <xsl:when test="./i6:value = '125308'">Nala livipides (NALALI)</xsl:when>
                    <xsl:when test="./i6:value = '125309'">Nalanthamala psidii (NALNPS)</xsl:when>
                    <xsl:when test="./i6:value = '125310'">Nandinia binotata (NANDBI)</xsl:when>
                    <xsl:when test="./i6:value = '125311'">Nanna armillata (AMAUAR)</xsl:when>
                    <xsl:when test="./i6:value = '125312'">Nannizzia fulva (NANZFV)</xsl:when>
                    <xsl:when test="./i6:value = '125313'">Nannizzia gypsea (NANZGY)</xsl:when>
                    <xsl:when test="./i6:value = '125314'">Nannizzia incurvata (NANZIC)</xsl:when>
                    <xsl:when test="./i6:value = '125315'">Nannizzia obtusa (NANZOT)</xsl:when>
                    <xsl:when test="./i6:value = '125316'">Nannizzia persicolor (NANZPC)</xsl:when>
                    <xsl:when test="./i6:value = '125317'">Naohidemyces vaccinii (NAOHVA)</xsl:when>
                    <xsl:when test="./i6:value = '125318'">Napomyza carotae (NAPOCA)</xsl:when>
                    <xsl:when test="./i6:value = '125319'">Napomyza lateralis (NAPOLA)</xsl:when>
                    <xsl:when test="./i6:value = '125320'">Naranga aenescens (NARAAE)</xsl:when>
                    <xsl:when test="./i6:value = '125321'">Narosa conspersa (NAROCO)</xsl:when>
                    <xsl:when test="./i6:value = '125322'">Nasonovia ribisnigri (NASORN)</xsl:when>
                    <xsl:when test="./i6:value = '125323'">Nasutitermes luzonicus (NASULU)</xsl:when>
                    <xsl:when test="./i6:value = '125324'">Nasutitermes walkeri (NASUWA)</xsl:when>
                    <xsl:when test="./i6:value = '125325'">Natator depressus (NATADE)</xsl:when>
                    <xsl:when test="./i6:value = '125326'">Natrix natrix (NATRNA)</xsl:when>
                    <xsl:when test="./i6:value = '125327'">Naucoria escharioides (NAUCES)</xsl:when>
                    <xsl:when test="./i6:value = '125328'">Naucoria striatula (NAUCST)</xsl:when>
                    <xsl:when test="./i6:value = '125329'">Naupactus leucoloma (GRAGLE)</xsl:when>
                    <xsl:when test="./i6:value = '125330'">Naupactus xanthographus (NAUPXA)</xsl:when>
                    <xsl:when test="./i6:value = '125331'">Nauphoeta cinerea (NAUHCI)</xsl:when>
                    <xsl:when test="./i6:value = '125332'">Neacoryphus bicrucis (LYGABI)</xsl:when>
                    <xsl:when test="./i6:value = '125333'">Nearctaphis bakeri (NEARBA)</xsl:when>
                    <xsl:when test="./i6:value = '125334'">Necator americanus (NECAAM)</xsl:when>
                    <xsl:when test="./i6:value = '125335'">Necrobia ruficollis (NECRRF)</xsl:when>
                    <xsl:when test="./i6:value = '125336'">Necrobia rufipes (NECRRU)</xsl:when>
                    <xsl:when test="./i6:value = '125337'">Nectarinia famosa (NCTRFA)</xsl:when>
                    <xsl:when test="./i6:value = '125338'">Nectria cinnabarina (NECTCI)</xsl:when>
                    <xsl:when test="./i6:value = '125339'">Nectria coccinea (NECTCO)</xsl:when>
                    <xsl:when test="./i6:value = '125340'">Nectria pseudotrichia (NECTPS)</xsl:when>
                    <xsl:when test="./i6:value = '125341'">Nectriella pironii (NECLPI)</xsl:when>
                    <xsl:when test="./i6:value = '125342'">Nectriella versoniana (CONLGR)</xsl:when>
                    <xsl:when test="./i6:value = '125343'">Nectriopsis rubefaciens (NECPRU)</xsl:when>
                    <xsl:when test="./i6:value = '125344'">Nectriopsis sporangiicola (NECPSR)</xsl:when>
                    <xsl:when test="./i6:value = '125345'">Nectriopsis tremellicola (NECPTR)</xsl:when>
                    <xsl:when test="./i6:value = '125346'">Nemania serpens (HYPOSE)</xsl:when>
                    <xsl:when test="./i6:value = '125347'">Nemapogon cloacellus (TINECL)</xsl:when>
                    <xsl:when test="./i6:value = '125348'">Nemapogon granella (TINEGR)</xsl:when>
                    <xsl:when test="./i6:value = '125349'">Nematophthora gynophila (NEMPGY)</xsl:when>
                    <xsl:when test="./i6:value = '125350'">Nematospora coryli (NMATCO)</xsl:when>
                    <xsl:when test="./i6:value = '125351'">Nematospora phaseoli (NMATPH)</xsl:when>
                    <xsl:when test="./i6:value = '125352'">Nematostoma parasiticum (HERPPA)</xsl:when>
                    <xsl:when test="./i6:value = '125353'">Nematus lipovskyi (NEMALI)</xsl:when>
                    <xsl:when test="./i6:value = '125354'">Nematus ribesii (NEMARI)</xsl:when>
                    <xsl:when test="./i6:value = '125355'">Nematus spiraeae (NEMASI)</xsl:when>
                    <xsl:when test="./i6:value = '125356'">Nematus tibialis (NEMATI)</xsl:when>
                    <xsl:when test="./i6:value = '125357'">Nemobius ohmachii (NEMBOH)</xsl:when>
                    <xsl:when test="./i6:value = '125358'">Nemocestes incomptus (NEMCIN)</xsl:when>
                    <xsl:when test="./i6:value = '125359'">Nemophora degeerella (NMPHDE)</xsl:when>
                    <xsl:when test="./i6:value = '125360'">Nemorimyza maculosa (AMAZMA)</xsl:when>
                    <xsl:when test="./i6:value = '125361'">Nemoura sagittata (NEMOSA)</xsl:when>
                    <xsl:when test="./i6:value = '125362'">Neoalbatrellus caeruleoporus (NEABCA)</xsl:when>
                    <xsl:when test="./i6:value = '125363'">Neoborus amoenus (NEOBAM)</xsl:when>
                    <xsl:when test="./i6:value = '125364'">Neoceratitis cyanescens (CERTCY)</xsl:when>
                    <xsl:when test="./i6:value = '125365'">Neoceratodus forsteri (NKERFO)</xsl:when>
                    <xsl:when test="./i6:value = '125366'">Neochlamisus cribripennis (NEOSCR)</xsl:when>
                    <xsl:when test="./i6:value = '125367'">Neoclytus acuminatus (NEOYAC)</xsl:when>
                    <xsl:when test="./i6:value = '125368'">Neocnemidocoptes gallinae (KNEMGA)</xsl:when>
                    <xsl:when test="./i6:value = '125369'">Neocosmospora vasinfecta (NCOSVA)</xsl:when>
                    <xsl:when test="./i6:value = '125370'">Neocurtilla hexadactyla (GRYTHE)</xsl:when>
                    <xsl:when test="./i6:value = '125371'">Neodiprion abbotii (NEODBB)</xsl:when>
                    <xsl:when test="./i6:value = '125372'">Neodiprion abietis (NEODAB)</xsl:when>
                    <xsl:when test="./i6:value = '125373'">Neodiprion pinetum (NEODPI)</xsl:when>
                    <xsl:when test="./i6:value = '125374'">Neodiprion pratti (NEODPP)</xsl:when>
                    <xsl:when test="./i6:value = '125375'">Neodiprion sertifer (NEODSE)</xsl:when>
                    <xsl:when test="./i6:value = '125376'">Neodiprion swainei (NEODSW)</xsl:when>
                    <xsl:when test="./i6:value = '125377'">Neoerysiphe galeopsidis (NEERGA)</xsl:when>
                    <xsl:when test="./i6:value = '125378'">Neoexaireta spinigera (NEOXSI)</xsl:when>
                    <xsl:when test="./i6:value = '125379'">Neofabraea alba (PEZIAL)</xsl:when>
                    <xsl:when test="./i6:value = '125380'">Neofabraea corticola (PEZICO)</xsl:when>
                    <xsl:when test="./i6:value = '125381'">Neofabraea kienholzii (CYPTKI)</xsl:when>
                    <xsl:when test="./i6:value = '125382'">Neofabraea malicorticis (PEZIMA)</xsl:when>
                    <xsl:when test="./i6:value = '125383'">Neofabraea perennans (NFABPE)</xsl:when>
                    <xsl:when test="./i6:value = '125384'">Neofaculta ericetella (NFACER)</xsl:when>
                    <xsl:when test="./i6:value = '125385'">Neofriseria peliella (NFRIPE)</xsl:when>
                    <xsl:when test="./i6:value = '125386'">Neofusicoccum australe (NEOFAU)</xsl:when>
                    <xsl:when test="./i6:value = '125387'">Neofusicoccum vitifusiforme (NEOFVI)</xsl:when>
                    <xsl:when test="./i6:value = '125388'">Neohaematopinus sciuri (NHAESC)</xsl:when>
                    <xsl:when test="./i6:value = '125389'">Neoheegeria verbasci (HAPLVE)</xsl:when>
                    <xsl:when test="./i6:value = '125390'">Neohipparchia statilinus (NHIPST)</xsl:when>
                    <xsl:when test="./i6:value = '125391'">Neolecanium cornuparvum (NEOECO)</xsl:when>
                    <xsl:when test="./i6:value = '125392'">Neolentinus lepideus (NLNTLE)</xsl:when>
                    <xsl:when test="./i6:value = '125393'">Neoleucinodes elegantalis (NEOLEL)</xsl:when>
                    <xsl:when test="./i6:value = '125394'">Neolygus invitus (LYGUIN)</xsl:when>
                    <xsl:when test="./i6:value = '125395'">Neolygus quercalbae (LYGUQU)</xsl:when>
                    <xsl:when test="./i6:value = '125396'">Neomaskellia bergii (NEOMBE)</xsl:when>
                    <xsl:when test="./i6:value = '125397'">Neomolgus capillatus (NEMGCA)</xsl:when>
                    <xsl:when test="./i6:value = '125398'">Neomys fodiens (NOMYFO)</xsl:when>
                    <xsl:when test="./i6:value = '125399'">Neonectria ditissima (NECTGA)</xsl:when>
                    <xsl:when test="./i6:value = '125400'">Neonectria fuckeliana (NECTFU)</xsl:when>
                    <xsl:when test="./i6:value = '125401'">Neonectria neomacrospora (NECTMA)</xsl:when>
                    <xsl:when test="./i6:value = '125402'">Neonitocris princeps (DIRPPR)</xsl:when>
                    <xsl:when test="./i6:value = '125403'">Neophasia menapia (NEOIME)</xsl:when>
                    <xsl:when test="./i6:value = '125404'">Neophilaenus lineatus (NEOPLI)</xsl:when>
                    <xsl:when test="./i6:value = '125405'">Neophyllaphis araucariae (NEOHAR)</xsl:when>
                    <xsl:when test="./i6:value = '125406'">Neophyllaphis podocarpi (NEOHPO)</xsl:when>
                    <xsl:when test="./i6:value = '125407'">Neoplinthus porcatus (NPLIPO)</xsl:when>
                    <xsl:when test="./i6:value = '125408'">Neopulvinaria innumerabilis (PULVIN)</xsl:when>
                    <xsl:when test="./i6:value = '125409'">Neoschoengastia americana (NEOGAM)</xsl:when>
                    <xsl:when test="./i6:value = '125410'">Neoscytalidium dimidiatum (HENLTO)</xsl:when>
                    <xsl:when test="./i6:value = '125411'">Neoseiulus fallacis (NEOUFA)</xsl:when>
                    <xsl:when test="./i6:value = '125412'">Neosphaleroptera nubilana (CNEPNU)</xsl:when>
                    <xsl:when test="./i6:value = '125413'">Neostylopyga rhombifolia (NESYRH)</xsl:when>
                    <xsl:when test="./i6:value = '125414'">Neotermes rainbowi (NETMRA)</xsl:when>
                    <xsl:when test="./i6:value = '125415'">Neotetranychus rubi (NETTRU)</xsl:when>
                    <xsl:when test="./i6:value = '125416'">Neotoma cinerea (NETOCI)</xsl:when>
                    <xsl:when test="./i6:value = '125417'">Neotoxoptera formosana (NEOTFO)</xsl:when>
                    <xsl:when test="./i6:value = '125418'">Neotoxoptera violae (NEOTVI)</xsl:when>
                    <xsl:when test="./i6:value = '125419'">Neotridactylus apicialis (NTRIAP)</xsl:when>
                    <xsl:when test="./i6:value = '125420'">Neotrombicula autumnalis (TROBAU)</xsl:when>
                    <xsl:when test="./i6:value = '125421'">Neotyphodium coenophialum (ACRECO)</xsl:when>
                    <xsl:when test="./i6:value = '125422'">Neovison vison (NEVSVI)</xsl:when>
                    <xsl:when test="./i6:value = '125423'">Neozygites fresenii (NEOZFR)</xsl:when>
                    <xsl:when test="./i6:value = '125424'">Nepa cinerea (NEPXCI)</xsl:when>
                    <xsl:when test="./i6:value = '125425'">Nepa rubra (NEPXRU)</xsl:when>
                    <xsl:when test="./i6:value = '125426'">Nephila clavipes (NEPLCL)</xsl:when>
                    <xsl:when test="./i6:value = '125427'">Nephopterix subcaesiella (NPPTSU)</xsl:when>
                    <xsl:when test="./i6:value = '125428'">Nephotettix cincticeps (NEPHCI)</xsl:when>
                    <xsl:when test="./i6:value = '125429'">Nephotettix nigropictus (NEPHNI)</xsl:when>
                    <xsl:when test="./i6:value = '125430'">Nephotettix virescens (NEPHIM)</xsl:when>
                    <xsl:when test="./i6:value = '125431'">Nephrops norvegicus (NPHRNO)</xsl:when>
                    <xsl:when test="./i6:value = '125432'">Nephrotoma appendiculata (PALEMA)</xsl:when>
                    <xsl:when test="./i6:value = '125433'">Nephrotoma crocata (PALECR)</xsl:when>
                    <xsl:when test="./i6:value = '125434'">Nereis pelagica (NEREPE)</xsl:when>
                    <xsl:when test="./i6:value = '125435'">Nerophis lumbriciformis (NEROLU)</xsl:when>
                    <xsl:when test="./i6:value = '125436'">Nerophis maculatus (NEROMA)</xsl:when>
                    <xsl:when test="./i6:value = '125437'">Nerophis ophidion (NEROOP)</xsl:when>
                    <xsl:when test="./i6:value = '125438'">Nesogonia blackburni (NESGBL)</xsl:when>
                    <xsl:when test="./i6:value = '125439'">Neurocolpus nubilus (NEUONU)</xsl:when>
                    <xsl:when test="./i6:value = '125440'">Neurospora sitophila (NEUSSI)</xsl:when>
                    <xsl:when test="./i6:value = '125441'">Neuroterus quercusbaccarum (NEUTQU)</xsl:when>
                    <xsl:when test="./i6:value = '125442'">Neuroterus saliens (NEUTSL)</xsl:when>
                    <xsl:when test="./i6:value = '125443'">Neurotoma nemoralis (NEURNE)</xsl:when>
                    <xsl:when test="./i6:value = '125444'">Nezara antennata (NEZAAN)</xsl:when>
                    <xsl:when test="./i6:value = '125445'">Nezara viridula (NEZAVI)</xsl:when>
                    <xsl:when test="./i6:value = '125446'">Nicentrus testaceipes (NICETE)</xsl:when>
                    <xsl:when test="./i6:value = '125447'">Nicobium castaneum (NICOCA)</xsl:when>
                    <xsl:when test="./i6:value = '125448'">Nidularia deformis (NIDUFA)</xsl:when>
                    <xsl:when test="./i6:value = '125449'">Nigrospora sphaerica (NIGRSH)</xsl:when>
                    <xsl:when test="./i6:value = '125450'">Nilaparvata lugens (NILALU)</xsl:when>
                    <xsl:when test="./i6:value = '125451'">Ninox scutulata (NINOSC)</xsl:when>
                    <xsl:when test="./i6:value = '125452'">Nipaecoccus filamentosus (NIPAFI)</xsl:when>
                    <xsl:when test="./i6:value = '125453'">Nipaecoccus nipae (NIPANI)</xsl:when>
                    <xsl:when test="./i6:value = '125454'">Nipaecoccus viridis (NIPAVI)</xsl:when>
                    <xsl:when test="./i6:value = '125455'">Niphograpta albiguttalis (SAMEAL)</xsl:when>
                    <xsl:when test="./i6:value = '125456'">Niphonoclea capito (NIPHCA)</xsl:when>
                    <xsl:when test="./i6:value = '125457'">Nippolachnus pyri (NIPPPY)</xsl:when>
                    <xsl:when test="./i6:value = '125458'">Nippoptilia vitis (STEOVI)</xsl:when>
                    <xsl:when test="./i6:value = '125459'">Niptus hololeucus (NIPTHO)</xsl:when>
                    <xsl:when test="./i6:value = '125460'">Nitidinea fuscella (TINEFU)</xsl:when>
                    <xsl:when test="./i6:value = '125461'">Nitocris usambica (DIRPUS)</xsl:when>
                    <xsl:when test="./i6:value = '125462'">Nocardia vaccinii (NOCRVA)</xsl:when>
                    <xsl:when test="./i6:value = '125463'">Noctua comes (NOCTCO)</xsl:when>
                    <xsl:when test="./i6:value = '125464'">Noctua janthina (NOCTJA)</xsl:when>
                    <xsl:when test="./i6:value = '125465'">Noctua orbona (NOCTOR)</xsl:when>
                    <xsl:when test="./i6:value = '125466'">Noctua pronuba (NOCTPR)</xsl:when>
                    <xsl:when test="./i6:value = '125467'">Nodonota puncticollis (NODOPU)</xsl:when>
                    <xsl:when test="./i6:value = '125468'">Nodonota tristis (NODOTR)</xsl:when>
                    <xsl:when test="./i6:value = '125469'">Nola confusalis (CELACO)</xsl:when>
                    <xsl:when test="./i6:value = '125470'">Nola sorghiella (CELASO)</xsl:when>
                    <xsl:when test="./i6:value = '125471'">Nomadacris septemfasciata (NOMASE)</xsl:when>
                    <xsl:when test="./i6:value = '125472'">Nomia melanderi (NOMIME)</xsl:when>
                    <xsl:when test="./i6:value = '125473'">Nomius pygmaeus (NOMSPY)</xsl:when>
                    <xsl:when test="./i6:value = '125474'">Nomophila noctuella (NOMONO)</xsl:when>
                    <xsl:when test="./i6:value = '125475'">Nomuraea rileyi (NOMURI)</xsl:when>
                    <xsl:when test="./i6:value = '125476'">Nonagria typhae (PHRGTY)</xsl:when>
                    <xsl:when test="./i6:value = '125477'">Nordmannia acaciae (NORDAC)</xsl:when>
                    <xsl:when test="./i6:value = '125478'">Nordmannia ilicis (NORDIL)</xsl:when>
                    <xsl:when test="./i6:value = '125479'">Nosopsyllus fasciatus (NOSOFA)</xsl:when>
                    <xsl:when test="./i6:value = '125480'">Nosopsyllus londiniensis (NOSOLO)</xsl:when>
                    <xsl:when test="./i6:value = '125481'">Notechis scutatus (NTCESC)</xsl:when>
                    <xsl:when test="./i6:value = '125482'">Noterus clavicornis (NTERCA)</xsl:when>
                    <xsl:when test="./i6:value = '125483'">Nothorhytisma nahuelitae (NRHYNA)</xsl:when>
                    <xsl:when test="./i6:value = '125484'">Nothotylenchus acris (NOTOAC)</xsl:when>
                    <xsl:when test="./i6:value = '125485'">Nothris verbascella (NOTHVE)</xsl:when>
                    <xsl:when test="./i6:value = '125486'">Notiophilus biguttatus (NOTIBI)</xsl:when>
                    <xsl:when test="./i6:value = '125487'">Notocelia roborana (NOTCRB)</xsl:when>
                    <xsl:when test="./i6:value = '125488'">Notodonta dromedarius (NOTDDR)</xsl:when>
                    <xsl:when test="./i6:value = '125489'">Notodonta phoebe (NOTDPH)</xsl:when>
                    <xsl:when test="./i6:value = '125490'">Notodonta ziczac (NOTDZI)</xsl:when>
                    <xsl:when test="./i6:value = '125491'">Notonecta glauca (NOTNGL)</xsl:when>
                    <xsl:when test="./i6:value = '125492'">Notophthalmus viridescens (NOTPVI)</xsl:when>
                    <xsl:when test="./i6:value = '125493'">Notoxus monodon (NOTXMD)</xsl:when>
                    <xsl:when test="./i6:value = '125494'">Notropis atherinoides (NOTRAT)</xsl:when>
                    <xsl:when test="./i6:value = '125495'">Notropis lutrensis (NOTRLU)</xsl:when>
                    <xsl:when test="./i6:value = '125496'">Notropis umbratilis (NOTRUM)</xsl:when>
                    <xsl:when test="./i6:value = '125497'">Notus molliculus (DIKRMO)</xsl:when>
                    <xsl:when test="./i6:value = '125498'">Nuculaspis abietis (NUCUAB)</xsl:when>
                    <xsl:when test="./i6:value = '125499'">Nudaurelia cytherea (NUDACY)</xsl:when>
                    <xsl:when test="./i6:value = '125500'">Numicia viridis (NUMIVI)</xsl:when>
                    <xsl:when test="./i6:value = '125501'">Numonia pyrivorella (NUMOPI)</xsl:when>
                    <xsl:when test="./i6:value = '125502'">Numonia suavella (EURPSU)</xsl:when>
                    <xsl:when test="./i6:value = '125503'">Nyctalus noctula (NCTLNO)</xsl:when>
                    <xsl:when test="./i6:value = '125504'">Nycteola asiatica (NYCTAS)</xsl:when>
                    <xsl:when test="./i6:value = '125505'">Nycteola revayana (NYCTRE)</xsl:when>
                    <xsl:when test="./i6:value = '125506'">Nyctereutes procyonoides (NYKRPR)</xsl:when>
                    <xsl:when test="./i6:value = '125507'">Nycticorax nycticorax (NYKTNY)</xsl:when>
                    <xsl:when test="./i6:value = '125508'">Nymphalis antiopa (NYPLAN)</xsl:when>
                    <xsl:when test="./i6:value = '125509'">Nymphalis californica (NYPLCA)</xsl:when>
                    <xsl:when test="./i6:value = '125510'">Nymphalis polychloros (NYPLPO)</xsl:when>
                    <xsl:when test="./i6:value = '125511'">Nymphicus hollandicus (NYMKHO)</xsl:when>
                    <xsl:when test="./i6:value = '125512'">Nymphon gracile (NYMPGR)</xsl:when>
                    <xsl:when test="./i6:value = '125513'">Nymphula nitidulata (NYMHNI)</xsl:when>
                    <xsl:when test="./i6:value = '125514'">Nysius caledoniae (NYSICA)</xsl:when>
                    <xsl:when test="./i6:value = '125515'">Nysius clevelandensis (NYSICL)</xsl:when>
                    <xsl:when test="./i6:value = '125516'">Nysius ericae (NYSIER)</xsl:when>
                    <xsl:when test="./i6:value = '125517'">Nysius huttoni (NYSIHU)</xsl:when>
                    <xsl:when test="./i6:value = '125518'">Nysius niger (NYSINI)</xsl:when>
                    <xsl:when test="./i6:value = '125519'">Nysius raphanus (NYSIRA)</xsl:when>
                    <xsl:when test="./i6:value = '125520'">Nysius turneri (NYSITU)</xsl:when>
                    <xsl:when test="./i6:value = '125521'">Nysius vinitor (NYSIVI)</xsl:when>
                    <xsl:when test="./i6:value = '125522'">Obelia dichotoma (OBELDI)</xsl:when>
                    <xsl:when test="./i6:value = '125523'">Oberea bimaculata (OBERBI)</xsl:when>
                    <xsl:when test="./i6:value = '125524'">Oberea bimaculata affinis (OBERAF)</xsl:when>
                    <xsl:when test="./i6:value = '125525'">Oberea japonica (OBERJA)</xsl:when>
                    <xsl:when test="./i6:value = '125526'">Oberea ocellata (OBEROE)</xsl:when>
                    <xsl:when test="./i6:value = '125527'">Oberea tripunctata (OBERTR)</xsl:when>
                    <xsl:when test="./i6:value = '125528'">Obolodiplosis robiniae (OBOLRO)</xsl:when>
                    <xsl:when test="./i6:value = '125529'">Oceanaspidiotus spinosus (ASPDSI)</xsl:when>
                    <xsl:when test="./i6:value = '125530'">Oceanodroma leucorrhoa (OCEDLE)</xsl:when>
                    <xsl:when test="./i6:value = '125531'">Ochetellus glaber (OCHEGL)</xsl:when>
                    <xsl:when test="./i6:value = '125532'">Ochlodes venatus (OCHLVE)</xsl:when>
                    <xsl:when test="./i6:value = '125533'">Ochotona hyperborea (OCHOHY)</xsl:when>
                    <xsl:when test="./i6:value = '125534'">Ochotona princeps (OCHOPR)</xsl:when>
                    <xsl:when test="./i6:value = '125535'">Ochropacha duplaris (OHRPDU)</xsl:when>
                    <xsl:when test="./i6:value = '125536'">Ochropleura implecta (OKHRIM)</xsl:when>
                    <xsl:when test="./i6:value = '125537'">Ochropleura plecta (OKHRPL)</xsl:when>
                    <xsl:when test="./i6:value = '125538'">Ochsenheimeria taurella (OCHSTA)</xsl:when>
                    <xsl:when test="./i6:value = '125539'">Ocneria terebynthina (OCNITE)</xsl:when>
                    <xsl:when test="./i6:value = '125540'">Ocnerogyia amanda (OCNRAM)</xsl:when>
                    <xsl:when test="./i6:value = '125541'">Ocnerostoma piniariellum (OCNEPI)</xsl:when>
                    <xsl:when test="./i6:value = '125542'">Octaspidiotus tamarindi (ASPDTA)</xsl:when>
                    <xsl:when test="./i6:value = '125543'">Octodonta nipae (OCTDNI)</xsl:when>
                    <xsl:when test="./i6:value = '125544'">Octotoma scabripennis (OCTOSC)</xsl:when>
                    <xsl:when test="./i6:value = '125545'">Oculimacula acuformis (PSDCHA)</xsl:when>
                    <xsl:when test="./i6:value = '125546'">Oculimacula yallundae (PSDCHE)</xsl:when>
                    <xsl:when test="./i6:value = '125547'">Ocypus olens (OCYPOL)</xsl:when>
                    <xsl:when test="./i6:value = '125548'">Odezia atrata (ODEZAT)</xsl:when>
                    <xsl:when test="./i6:value = '125549'">Odobenus rosmarus (ODOBRO)</xsl:when>
                    <xsl:when test="./i6:value = '125550'">Odocoileus hemionus (ODOCHE)</xsl:when>
                    <xsl:when test="./i6:value = '125551'">Odoiporus longicollis (ODOILO)</xsl:when>
                    <xsl:when test="./i6:value = '125552'">Odonaspis ruthae (ODOSRU)</xsl:when>
                    <xsl:when test="./i6:value = '125553'">Odonaspis saccharicaulis (ODOSSA)</xsl:when>
                    <xsl:when test="./i6:value = '125554'">Odonaspis secreta (ODOSSE)</xsl:when>
                    <xsl:when test="./i6:value = '125555'">Odontaleyrodes rhododendri (PEALRH)</xsl:when>
                    <xsl:when test="./i6:value = '125556'">Oebalus pugnax (OEBAPU)</xsl:when>
                    <xsl:when test="./i6:value = '125557'">Oecanthus californicus (OECACA)</xsl:when>
                    <xsl:when test="./i6:value = '125558'">Oecanthus nigricornis argentinus (OECANA)</xsl:when>
                    <xsl:when test="./i6:value = '125559'">Oecanthus nigricornis nigricornis (OECANI)</xsl:when>
                    <xsl:when test="./i6:value = '125560'">Oecanthus nigricornis quadripunctatus (OECAQU)</xsl:when>
                    <xsl:when test="./i6:value = '125561'">Oecanthus pellucens (OECAPE)</xsl:when>
                    <xsl:when test="./i6:value = '125562'">Oecanthus turanicus (OECAPT)</xsl:when>
                    <xsl:when test="./i6:value = '125563'">Oeciacus hirundinis (OECIHI)</xsl:when>
                    <xsl:when test="./i6:value = '125564'">Oeciacus vicarius (OECIVI)</xsl:when>
                    <xsl:when test="./i6:value = '125565'">Oecophylla longinoda (OECOLO)</xsl:when>
                    <xsl:when test="./i6:value = '125566'">Oecophylla smaragdina (OECOSM)</xsl:when>
                    <xsl:when test="./i6:value = '125567'">Oedemagena tarandi (OEDETA)</xsl:when>
                    <xsl:when test="./i6:value = '125568'">Oedipoda caerulescens (OEDICA)</xsl:when>
                    <xsl:when test="./i6:value = '125569'">Oedipoda germanica (OEDIGE)</xsl:when>
                    <xsl:when test="./i6:value = '125570'">Oemona hirta (OEMOHI)</xsl:when>
                    <xsl:when test="./i6:value = '125571'">Oenanthe oenanthe (OENAOE)</xsl:when>
                    <xsl:when test="./i6:value = '125572'">Oidaematophorus monodactylus (OIDAMO)</xsl:when>
                    <xsl:when test="./i6:value = '125573'">Oidiopsis haplophylli (OIDPHA)</xsl:when>
                    <xsl:when test="./i6:value = '125574'">Oidium anacardii (OIDIAN)</xsl:when>
                    <xsl:when test="./i6:value = '125575'">Oidium caricae-papayae (OIDICP)</xsl:when>
                    <xsl:when test="./i6:value = '125576'">Oidium chrysanthemi (OIDICH)</xsl:when>
                    <xsl:when test="./i6:value = '125577'">Oidium cyclaminis (OIDICY)</xsl:when>
                    <xsl:when test="./i6:value = '125578'">Oidium ericinum (OIDIER)</xsl:when>
                    <xsl:when test="./i6:value = '125579'">Oidium heveae (OIDIHE)</xsl:when>
                    <xsl:when test="./i6:value = '125580'">Oidium indicum (OIDIIN)</xsl:when>
                    <xsl:when test="./i6:value = '125581'">Oidium kalanchoeae (OIDIKA)</xsl:when>
                    <xsl:when test="./i6:value = '125582'">Oidium lycopersici (OIDILY)</xsl:when>
                    <xsl:when test="./i6:value = '125583'">Oidium mangiferae (OIDIMA)</xsl:when>
                    <xsl:when test="./i6:value = '125584'">Oidium neolycopersici (OIDINL)</xsl:when>
                    <xsl:when test="./i6:value = '125585'">Oidium nephelii (OIDINE)</xsl:when>
                    <xsl:when test="./i6:value = '125586'">Oidium poinsettiae (OIDIPO)</xsl:when>
                    <xsl:when test="./i6:value = '125587'">Oidium syringae (OIDISY)</xsl:when>
                    <xsl:when test="./i6:value = '125588'">Oidium tingitaninum (OIDITI)</xsl:when>
                    <xsl:when test="./i6:value = '125589'">Olethreutes lacunana (ARGPLA)</xsl:when>
                    <xsl:when test="./i6:value = '125590'">Olfersia spinifera (OLFESI)</xsl:when>
                    <xsl:when test="./i6:value = '125591'">Oligia fractilinea (OLIAFR)</xsl:when>
                    <xsl:when test="./i6:value = '125592'">Oligia strigilis (OLIAST)</xsl:when>
                    <xsl:when test="./i6:value = '125593'">Oligoneuria anomala (OLGNAN)</xsl:when>
                    <xsl:when test="./i6:value = '125594'">Oligonychus afrasiaticus (OLIGAF)</xsl:when>
                    <xsl:when test="./i6:value = '125595'">Oligonychus bicolor (OLIGBC)</xsl:when>
                    <xsl:when test="./i6:value = '125596'">Oligonychus coffeae (OLIGCO)</xsl:when>
                    <xsl:when test="./i6:value = '125597'">Oligonychus exsiccator (TETREX)</xsl:when>
                    <xsl:when test="./i6:value = '125598'">Oligonychus grypus (OLIGGR)</xsl:when>
                    <xsl:when test="./i6:value = '125599'">Oligonychus hondoensis (OLIGHO)</xsl:when>
                    <xsl:when test="./i6:value = '125600'">Oligonychus ilicis (OLIGIL)</xsl:when>
                    <xsl:when test="./i6:value = '125601'">Oligonychus indicus (OLIGIN)</xsl:when>
                    <xsl:when test="./i6:value = '125602'">Oligonychus mangiferus (OLIGMA)</xsl:when>
                    <xsl:when test="./i6:value = '125603'">Oligonychus perseae (OLIGPA)</xsl:when>
                    <xsl:when test="./i6:value = '125604'">Oligonychus pratensis (OLIGPR)</xsl:when>
                    <xsl:when test="./i6:value = '125605'">Oligonychus punicae (OLIGPU)</xsl:when>
                    <xsl:when test="./i6:value = '125606'">Oligonychus vitis (OLIGVI)</xsl:when>
                    <xsl:when test="./i6:value = '125607'">Oligotoma oceanica (OLGTOC)</xsl:when>
                    <xsl:when test="./i6:value = '125608'">Oligotoma saundersii (OLGTSA)</xsl:when>
                    <xsl:when test="./i6:value = '125609'">Oligotrophus betheli (OLITBE)</xsl:when>
                    <xsl:when test="./i6:value = '125610'">Olivea tectonae (OLIVTE)</xsl:when>
                    <xsl:when test="./i6:value = '125611'">Olla abdominalis (OLLXAB)</xsl:when>
                    <xsl:when test="./i6:value = '125612'">Olpidium brassicae (OLPIBR)</xsl:when>
                    <xsl:when test="./i6:value = '125613'">Ommatissus lybicus (OMMABL)</xsl:when>
                    <xsl:when test="./i6:value = '125614'">Ommatoiulus moreleti (OMMTMA)</xsl:when>
                    <xsl:when test="./i6:value = '125615'">Ommatoiulus sabulosus (IULSSA)</xsl:when>
                    <xsl:when test="./i6:value = '125616'">Omocestus haemorrhoidalis (OMOCHA)</xsl:when>
                    <xsl:when test="./i6:value = '125617'">Omocestus petraeus (OMOCPE)</xsl:when>
                    <xsl:when test="./i6:value = '125618'">Omocestus rufipes (OMOCVE)</xsl:when>
                    <xsl:when test="./i6:value = '125619'">Omocestus viridulus (OMOCVI)</xsl:when>
                    <xsl:when test="./i6:value = '125620'">Omphalotus illudens (OMPLIL)</xsl:when>
                    <xsl:when test="./i6:value = '125621'">Omphisa anastomosalis (OMPHAN)</xsl:when>
                    <xsl:when test="./i6:value = '125622'">Omphrale fenestralis (OMPRFE)</xsl:when>
                    <xsl:when test="./i6:value = '125623'">Onchocerca volvulus (ONCHVO)</xsl:when>
                    <xsl:when test="./i6:value = '125624'">Oncideres cingulata (ONCICI)</xsl:when>
                    <xsl:when test="./i6:value = '125625'">Oncideres pustulata (ONCIPS)</xsl:when>
                    <xsl:when test="./i6:value = '125626'">Oncideres putator (ONCIPT)</xsl:when>
                    <xsl:when test="./i6:value = '125627'">Oncideres quercus (ONCIQU)</xsl:when>
                    <xsl:when test="./i6:value = '125628'">Oncideres rhodosticta (ONCIRH)</xsl:when>
                    <xsl:when test="./i6:value = '125629'">Oncobasidium theobromae (ONCOTH)</xsl:when>
                    <xsl:when test="./i6:value = '125630'">Oncocephalus pacificus (ONCCPA)</xsl:when>
                    <xsl:when test="./i6:value = '125631'">Oncopeltus fasciatus (ONCPFS)</xsl:when>
                    <xsl:when test="./i6:value = '125632'">Oncopeltus quadriguttatus (ONCPQU)</xsl:when>
                    <xsl:when test="./i6:value = '125633'">Oncopera fasciculata (ONCAFA)</xsl:when>
                    <xsl:when test="./i6:value = '125634'">Oncopera intricata (ONCAIN)</xsl:when>
                    <xsl:when test="./i6:value = '125635'">Oncopera rufobrunnea (ONCARU)</xsl:when>
                    <xsl:when test="./i6:value = '125636'">Oncorhynchus kisutch (ONCRKI)</xsl:when>
                    <xsl:when test="./i6:value = '125637'">Oncorhynchus mykiss (ONCRMY)</xsl:when>
                    <xsl:when test="./i6:value = '125638'">Oncorhynchus nerka (ONCRNE)</xsl:when>
                    <xsl:when test="./i6:value = '125639'">Oncorhynchus tshawytscha (ONCRTS)</xsl:when>
                    <xsl:when test="./i6:value = '125640'">Oniscus asellus (ONISAS)</xsl:when>
                    <xsl:when test="./i6:value = '125641'">Onthophagus gazella (ONTHGA)</xsl:when>
                    <xsl:when test="./i6:value = '125642'">Onychiurus watanabei (ONYCWA)</xsl:when>
                    <xsl:when test="./i6:value = '125643'">Onychiurus yagii (ONYCYA)</xsl:when>
                    <xsl:when test="./i6:value = '125644'">Onychomys leucogaster (ONYHLE)</xsl:when>
                    <xsl:when test="./i6:value = '125645'">Onygena corvina (ONYGCO)</xsl:when>
                    <xsl:when test="./i6:value = '125646'">Oospora oryzetorum (OOSPOR)</xsl:when>
                    <xsl:when test="./i6:value = '125647'">Ootheca mutabilis (OOTHMU)</xsl:when>
                    <xsl:when test="./i6:value = '125648'">Operophtera brumata (CHEIBR)</xsl:when>
                    <xsl:when test="./i6:value = '125649'">Ophelimus eucalypti (OPHEEU)</xsl:when>
                    <xsl:when test="./i6:value = '125650'">Ophelimus maskelli (OPHEMA)</xsl:when>
                    <xsl:when test="./i6:value = '125651'">Ophiocordyceps clavulata (OCORCL)</xsl:when>
                    <xsl:when test="./i6:value = '125652'">Ophiocordyceps forquignonii (OCORFO)</xsl:when>
                    <xsl:when test="./i6:value = '125653'">Ophiognomonia clavigignenti-juglandacearum (SIROCJ)</xsl:when>
                    <xsl:when test="./i6:value = '125654'">Ophiognomonia leptostyla (GNOMLE)</xsl:when>
                    <xsl:when test="./i6:value = '125655'">Ophiomyia kwansonis (OPHOKW)</xsl:when>
                    <xsl:when test="./i6:value = '125656'">Ophiomyia lantanae (OPHOLA)</xsl:when>
                    <xsl:when test="./i6:value = '125657'">Ophiomyia phaseoli (MEAGPH)</xsl:when>
                    <xsl:when test="./i6:value = '125658'">Ophiomyia simplex (MEAGSM)</xsl:when>
                    <xsl:when test="./i6:value = '125659'">Ophion luteus (OPONSP)</xsl:when>
                    <xsl:when test="./i6:value = '125660'">Ophionea nigrofasciata (OPHNNI)</xsl:when>
                    <xsl:when test="./i6:value = '125661'">Ophiosphaerella herpotricha (OPHPHE)</xsl:when>
                    <xsl:when test="./i6:value = '125662'">Ophiosphaerella korrae (LEPTKO)</xsl:when>
                    <xsl:when test="./i6:value = '125663'">Ophiostoma novo-ulmi (OPHSNU)</xsl:when>
                    <xsl:when test="./i6:value = '125664'">Ophiostoma ulmi (CERAUL)</xsl:when>
                    <xsl:when test="./i6:value = '125665'">Ophiostoma wageneri (LEPGWA)</xsl:when>
                    <xsl:when test="./i6:value = '125666'">Ophisaurus attenuatus (OQHSAT)</xsl:when>
                    <xsl:when test="./i6:value = '125667'">Opisina arenosella (NEPASE)</xsl:when>
                    <xsl:when test="./i6:value = '125668'">Opisthocomus hoazin (OPSTHO)</xsl:when>
                    <xsl:when test="./i6:value = '125669'">Opisthograptis luteolata (OPSGLU)</xsl:when>
                    <xsl:when test="./i6:value = '125670'">Opogona sacchari (OPOGSC)</xsl:when>
                    <xsl:when test="./i6:value = '125671'">Opomyza florum (OPOMFL)</xsl:when>
                    <xsl:when test="./i6:value = '125672'">Opomyza germinationis (OPOMGE)</xsl:when>
                    <xsl:when test="./i6:value = '125673'">Opsiphanes cassina (OPSICA)</xsl:when>
                    <xsl:when test="./i6:value = '125674'">Opsius heydeni (OPSUHE)</xsl:when>
                    <xsl:when test="./i6:value = '125675'">Opsopoedus emiliae (OPSOEM)</xsl:when>
                    <xsl:when test="./i6:value = '125676'">Orchamoplatus citri (ORCMCI)</xsl:when>
                    <xsl:when test="./i6:value = '125677'">Orchamoplatus mammaeferus (ORCMMA)</xsl:when>
                    <xsl:when test="./i6:value = '125678'">Orchidophilus peregrinator (ORCHPE)</xsl:when>
                    <xsl:when test="./i6:value = '125679'">Orcinus orca (ORCIOR)</xsl:when>
                    <xsl:when test="./i6:value = '125680'">Orconectes neglectus (ORCONE)</xsl:when>
                    <xsl:when test="./i6:value = '125681'">Orconectes rusticus (ORCORU)</xsl:when>
                    <xsl:when test="./i6:value = '125682'">Oreamnos americanus (OREAAM)</xsl:when>
                    <xsl:when test="./i6:value = '125683'">Orectochilus villosus (ORECVI)</xsl:when>
                    <xsl:when test="./i6:value = '125684'">Oregma lanigerum (OREGLA)</xsl:when>
                    <xsl:when test="./i6:value = '125685'">Orgyia antiqua (ORGYAN)</xsl:when>
                    <xsl:when test="./i6:value = '125686'">Orgyia pseudotsugata (ORGYPS)</xsl:when>
                    <xsl:when test="./i6:value = '125687'">Orgyia recens (ORGYGO)</xsl:when>
                    <xsl:when test="./i6:value = '125688'">Oria musculosa (ORIAMU)</xsl:when>
                    <xsl:when test="./i6:value = '125689'">Orientus ishidae (ORIEIS)</xsl:when>
                    <xsl:when test="./i6:value = '125690'">Oriolus oriolus (ORIOOR)</xsl:when>
                    <xsl:when test="./i6:value = '125691'">Orius tristicolor (ORIUTR)</xsl:when>
                    <xsl:when test="./i6:value = '125692'">Orius vicinus (ORIUVI)</xsl:when>
                    <xsl:when test="./i6:value = '125693'">Ormenis marginata (ORMEMA)</xsl:when>
                    <xsl:when test="./i6:value = '125694'">Ormenis septentrionalis (ORMESE)</xsl:when>
                    <xsl:when test="./i6:value = '125695'">Ornativalva plutelliformis (GELEPU)</xsl:when>
                    <xsl:when test="./i6:value = '125696'">Ornithobius cygni (ORNHCY)</xsl:when>
                    <xsl:when test="./i6:value = '125697'">Ornithodoros capensis (ORNICA)</xsl:when>
                    <xsl:when test="./i6:value = '125698'">Ornithodoros moubata (ORNIMO)</xsl:when>
                    <xsl:when test="./i6:value = '125699'">Ornithodoros savignyi (ORNISA)</xsl:when>
                    <xsl:when test="./i6:value = '125700'">Ornithodoros turicata (ORNITU)</xsl:when>
                    <xsl:when test="./i6:value = '125701'">Ornithomya avicularia (ORNMAV)</xsl:when>
                    <xsl:when test="./i6:value = '125702'">Ornithomya fringillina (ORNMFR)</xsl:when>
                    <xsl:when test="./i6:value = '125703'">Ornithonyssus bacoti (ORNTBA)</xsl:when>
                    <xsl:when test="./i6:value = '125704'">Ornithonyssus bursa (ORNTBU)</xsl:when>
                    <xsl:when test="./i6:value = '125705'">Ornithonyssus sylviarum (ORNTSY)</xsl:when>
                    <xsl:when test="./i6:value = '125706'">Ornithorhychus anatinus (ORNRAN)</xsl:when>
                    <xsl:when test="./i6:value = '125707'">Orosius orientalis (OROSAR)</xsl:when>
                    <xsl:when test="./i6:value = '125708'">Orseolia oryzae (PACHOR)</xsl:when>
                    <xsl:when test="./i6:value = '125709'">Orseolia oryzivora (ORSEOV)</xsl:when>
                    <xsl:when test="./i6:value = '125710'">Ortalis vetula (OTLSVE)</xsl:when>
                    <xsl:when test="./i6:value = '125711'">Orthetrum cancellatum (ORHMCA)</xsl:when>
                    <xsl:when test="./i6:value = '125712'">Orthezia urticae (ORTHUR)</xsl:when>
                    <xsl:when test="./i6:value = '125713'">Orthodera burmeisteri (ORTDBU)</xsl:when>
                    <xsl:when test="./i6:value = '125714'">Orthops kalmii (LYGUKA)</xsl:when>
                    <xsl:when test="./i6:value = '125715'">Orthorhinus cylindrirostris (ORTRCY)</xsl:when>
                    <xsl:when test="./i6:value = '125716'">Orthorhinus klugi (ORTRKL)</xsl:when>
                    <xsl:when test="./i6:value = '125717'">Orthosia circellaris (AMATCI)</xsl:when>
                    <xsl:when test="./i6:value = '125718'">Orthosia gothica (ORTOGO)</xsl:when>
                    <xsl:when test="./i6:value = '125719'">Orthosia gracilis (ORTOGR)</xsl:when>
                    <xsl:when test="./i6:value = '125720'">Orthosia incerta (ORTOIN)</xsl:when>
                    <xsl:when test="./i6:value = '125721'">Orthosia stabilis (ORTOST)</xsl:when>
                    <xsl:when test="./i6:value = '125722'">Orthotelia sparganella (ORTESA)</xsl:when>
                    <xsl:when test="./i6:value = '125723'">Orthotomicus golovjankoi (ORTCGO)</xsl:when>
                    <xsl:when test="./i6:value = '125724'">Orthotomicus laricis (IPSXLC)</xsl:when>
                    <xsl:when test="./i6:value = '125725'">Orthotydeus californicus (ORTYCA)</xsl:when>
                    <xsl:when test="./i6:value = '125726'">Orthotylus marginalis (ORTTMA)</xsl:when>
                    <xsl:when test="./i6:value = '125727'">Orthotylus nassatus (ORTTNA)</xsl:when>
                    <xsl:when test="./i6:value = '125728'">Oryctes boas (ORYCBO)</xsl:when>
                    <xsl:when test="./i6:value = '125729'">Oryctes monoceros (ORYCMO)</xsl:when>
                    <xsl:when test="./i6:value = '125730'">Oryctes nasicornis (ORYCNA)</xsl:when>
                    <xsl:when test="./i6:value = '125731'">Oryctes rhinoceros (ORYCRH)</xsl:when>
                    <xsl:when test="./i6:value = '125732'">Oryx leucoryx (ORYXLE)</xsl:when>
                    <xsl:when test="./i6:value = '125733'">Oryzaephilus mercator (ORYZME)</xsl:when>
                    <xsl:when test="./i6:value = '125734'">Oryzomys palustris (ORYOPA)</xsl:when>
                    <xsl:when test="./i6:value = '125735'">Oscinella frit (OSCIFR)</xsl:when>
                    <xsl:when test="./i6:value = '125736'">Osmerus eperlanus (OSMEEP)</xsl:when>
                    <xsl:when test="./i6:value = '125737'">Osmylus fulvicephalus (OSMYFU)</xsl:when>
                    <xsl:when test="./i6:value = '125738'">Osphranteria coerulescens (OSPHCO)</xsl:when>
                    <xsl:when test="./i6:value = '125739'">Ostertagia ostertagi (OSTEOS)</xsl:when>
                    <xsl:when test="./i6:value = '125740'">Ostrinia furnacalis (PYRUFU)</xsl:when>
                    <xsl:when test="./i6:value = '125741'">Ostrinia nubilalis (PYRUNU)</xsl:when>
                    <xsl:when test="./i6:value = '125742'">Otala lactea (OTALLA)</xsl:when>
                    <xsl:when test="./i6:value = '125743'">Otiorhynchus armatus (OTIOAA)</xsl:when>
                    <xsl:when test="./i6:value = '125744'">Otiorhynchus clavipes (OTIOTE)</xsl:when>
                    <xsl:when test="./i6:value = '125745'">Otiorhynchus cribricollis (OTIOCR)</xsl:when>
                    <xsl:when test="./i6:value = '125746'">Otiorhynchus ligustici (OTIOLI)</xsl:when>
                    <xsl:when test="./i6:value = '125747'">Otiorhynchus rugifrons (OTIORU)</xsl:when>
                    <xsl:when test="./i6:value = '125748'">Otiorhynchus rugosostriatus (OTIORS)</xsl:when>
                    <xsl:when test="./i6:value = '125749'">Otiorhynchus singularis (OTIOSI)</xsl:when>
                    <xsl:when test="./i6:value = '125750'">Otiorhynchus sulcatus (OTIOSU)</xsl:when>
                    <xsl:when test="./i6:value = '125751'">Otis tarda (OTISTA)</xsl:when>
                    <xsl:when test="./i6:value = '125752'">Otobius megnini (ORNIME)</xsl:when>
                    <xsl:when test="./i6:value = '125753'">Otodectes cynotis (OTODCY)</xsl:when>
                    <xsl:when test="./i6:value = '125754'">Otus asio (OTUSAS)</xsl:when>
                    <xsl:when test="./i6:value = '125755'">Otus bakkamoena (OTUSBA)</xsl:when>
                    <xsl:when test="./i6:value = '125756'">Otus scops (OTUSSC)</xsl:when>
                    <xsl:when test="./i6:value = '125757'">Oulema gallaeciana (LEMALI)</xsl:when>
                    <xsl:when test="./i6:value = '125758'">Oulema melanopus (LEMAME)</xsl:when>
                    <xsl:when test="./i6:value = '125759'">Ovachlamys fulgens (OVACFU)</xsl:when>
                    <xsl:when test="./i6:value = '125760'">Ovatus crataegarius (OVATCR)</xsl:when>
                    <xsl:when test="./i6:value = '125761'">Ovatus malisuctus (MYZUMA)</xsl:when>
                    <xsl:when test="./i6:value = '125762'">Ovatus mentharius (PHODME)</xsl:when>
                    <xsl:when test="./i6:value = '125763'">Ovibos moschatus (OVIBMO)</xsl:when>
                    <xsl:when test="./i6:value = '125764'">Ovis ammon (OVISAO)</xsl:when>
                    <xsl:when test="./i6:value = '125765'">Ovis aries (OVISAR)</xsl:when>
                    <xsl:when test="./i6:value = '125766'">Ovis canadensis (OVISCA)</xsl:when>
                    <xsl:when test="./i6:value = '125767'">Ovis gmelinii musimon (OVISAM)</xsl:when>
                    <xsl:when test="./i6:value = '125768'">Ovis gmelinii ophion (OVISGO)</xsl:when>
                    <xsl:when test="./i6:value = '125769'">Ovularia obliqua (OVUROB)</xsl:when>
                    <xsl:when test="./i6:value = '125770'">Ovulariopsis papayae (OVLPPA)</xsl:when>
                    <xsl:when test="./i6:value = '125771'">Ovulinia azaleae (OVULAZ)</xsl:when>
                    <xsl:when test="./i6:value = '125772'">Oxidus gracilis (ORTMGR)</xsl:when>
                    <xsl:when test="./i6:value = '125773'">Oxya chinensis (OXYXCH)</xsl:when>
                    <xsl:when test="./i6:value = '125774'">Oxya formosana (OXYXFO)</xsl:when>
                    <xsl:when test="./i6:value = '125775'">Oxya hyla hyla (OXYXHH)</xsl:when>
                    <xsl:when test="./i6:value = '125776'">Oxya intricata (OXYXIN)</xsl:when>
                    <xsl:when test="./i6:value = '125777'">Oxya velox (OXYXVE)</xsl:when>
                    <xsl:when test="./i6:value = '125778'">Oxya yezoensis (OXYXYE)</xsl:when>
                    <xsl:when test="./i6:value = '125779'">Oxybelus uniglumis (OXYBUN)</xsl:when>
                    <xsl:when test="./i6:value = '125780'">Oxycarenus arctatus (OXYAAR)</xsl:when>
                    <xsl:when test="./i6:value = '125781'">Oxycarenus hyalinipennis (OXYAHY)</xsl:when>
                    <xsl:when test="./i6:value = '125782'">Oxycarenus laetus (OXYALA)</xsl:when>
                    <xsl:when test="./i6:value = '125783'">Oxycarenus luctuosus (OXYALU)</xsl:when>
                    <xsl:when test="./i6:value = '125784'">Oxycera trilineata (OXRATR)</xsl:when>
                    <xsl:when test="./i6:value = '125785'">Oxycetonia jucunda (OXYTJU)</xsl:when>
                    <xsl:when test="./i6:value = '125786'">Oxychilus alliarius (OXYHAL)</xsl:when>
                    <xsl:when test="./i6:value = '125787'">Oxychilus cellarius (OXYHCE)</xsl:when>
                    <xsl:when test="./i6:value = '125788'">Oxychilus draparnaudi (OXYHDR)</xsl:when>
                    <xsl:when test="./i6:value = '125789'">Oxygastra curtisii (OXYGCU)</xsl:when>
                    <xsl:when test="./i6:value = '125790'">Oxyloma elegans (OXLMEL)</xsl:when>
                    <xsl:when test="./i6:value = '125791'">Oxythrips agathidis (OXYRAG)</xsl:when>
                    <xsl:when test="./i6:value = '125792'">Oxyura jamaicensis (OXURJA)</xsl:when>
                    <xsl:when test="./i6:value = '125793'">Pachnaeus azurescens (PACNAZ)</xsl:when>
                    <xsl:when test="./i6:value = '125794'">Pachnaeus citri (PACNCI)</xsl:when>
                    <xsl:when test="./i6:value = '125795'">Pachnaeus litus (PACNLI)</xsl:when>
                    <xsl:when test="./i6:value = '125796'">Pachnaeus opalus (PACNOP)</xsl:when>
                    <xsl:when test="./i6:value = '125797'">Pachnoda marginata (PCHNMA)</xsl:when>
                    <xsl:when test="./i6:value = '125798'">Pachnoda marginata peregrina (PCHNMP)</xsl:when>
                    <xsl:when test="./i6:value = '125799'">Pachycondyla chinensis (PCHDCH)</xsl:when>
                    <xsl:when test="./i6:value = '125800'">Pachyella violaceonigra (PCHYVI)</xsl:when>
                    <xsl:when test="./i6:value = '125801'">Pachylobius picivorus (PACLPI)</xsl:when>
                    <xsl:when test="./i6:value = '125802'">Pachymerus cardo (PACMCA)</xsl:when>
                    <xsl:when test="./i6:value = '125803'">Pachymerus lacerdae (PACMLA)</xsl:when>
                    <xsl:when test="./i6:value = '125804'">Pachymerus nucleorum (PACMNU)</xsl:when>
                    <xsl:when test="./i6:value = '125805'">Pachymetra chaunorhiza (PAKYCH)</xsl:when>
                    <xsl:when test="./i6:value = '125806'">Pachynematus imperfectus (PCNEIM)</xsl:when>
                    <xsl:when test="./i6:value = '125807'">Pachypappa sacculi (PAPPSA)</xsl:when>
                    <xsl:when test="./i6:value = '125808'">Pachypappa vesicalis (PAPPVE)</xsl:when>
                    <xsl:when test="./i6:value = '125809'">Pachypasa truncata (PACSTR)</xsl:when>
                    <xsl:when test="./i6:value = '125810'">Pachypsylla celtidismamma (PACPCM)</xsl:when>
                    <xsl:when test="./i6:value = '125811'">Paenibacillus polymyxa (BACIPL)</xsl:when>
                    <xsl:when test="./i6:value = '125812'">Pagiophloeus cribripennis (HYLOCR)</xsl:when>
                    <xsl:when test="./i6:value = '125813'">Pagiophloeus orientalis (HYLOOR)</xsl:when>
                    <xsl:when test="./i6:value = '125814'">Pagurus longicarpus (PAGALO)</xsl:when>
                    <xsl:when test="./i6:value = '125815'">Palaemon adspersus (PALMSQ)</xsl:when>
                    <xsl:when test="./i6:value = '125816'">Palaemonetes pugio (PALNPU)</xsl:when>
                    <xsl:when test="./i6:value = '125817'">Palaeochrysophanus hippothoe (PALKHI)</xsl:when>
                    <xsl:when test="./i6:value = '125818'">Palaeolecanium bituberculatum (LECABI)</xsl:when>
                    <xsl:when test="./i6:value = '125819'">Paleacrita vernata (PALCVE)</xsl:when>
                    <xsl:when test="./i6:value = '125820'">Palingenia longicauda (PLNGLO)</xsl:when>
                    <xsl:when test="./i6:value = '125821'">Palinurus vulgaris (PALIVU)</xsl:when>
                    <xsl:when test="./i6:value = '125822'">Palmaspis phoenicis (ASTLPH)</xsl:when>
                    <xsl:when test="./i6:value = '125823'">Palmicultor lumpurensis (TRINLU)</xsl:when>
                    <xsl:when test="./i6:value = '125824'">Palomena prasina (PALOPR)</xsl:when>
                    <xsl:when test="./i6:value = '125825'">Palorus ratzeburgi (PALSRA)</xsl:when>
                    <xsl:when test="./i6:value = '125826'">Palorus subdepressus (PALSSU)</xsl:when>
                    <xsl:when test="./i6:value = '125827'">Palpita quadristigmalis (DPHNQU)</xsl:when>
                    <xsl:when test="./i6:value = '125828'">Palpita unionalis (PALPUN)</xsl:when>
                    <xsl:when test="./i6:value = '125829'">Pammene fasciana (PAMMFA)</xsl:when>
                    <xsl:when test="./i6:value = '125830'">Pammene germarana (PAMMGE)</xsl:when>
                    <xsl:when test="./i6:value = '125831'">Pammene rhediella (PAMMRH)</xsl:when>
                    <xsl:when test="./i6:value = '125832'">Pan paniscus (PANZPA)</xsl:when>
                    <xsl:when test="./i6:value = '125833'">Pan troglodytes (PANZTR)</xsl:when>
                    <xsl:when test="./i6:value = '125834'">Panaeolina foenisecii (PNLNFO)</xsl:when>
                    <xsl:when test="./i6:value = '125835'">Panaeolus acuminatus (PANEAC)</xsl:when>
                    <xsl:when test="./i6:value = '125836'">Panaeolus papilionaceus (PANEPA)</xsl:when>
                    <xsl:when test="./i6:value = '125837'">Panaxia dominula (PANXDO)</xsl:when>
                    <xsl:when test="./i6:value = '125838'">Pancalia schwarzella (PNCASC)</xsl:when>
                    <xsl:when test="./i6:value = '125839'">Panchlora exoleta (PANCEX)</xsl:when>
                    <xsl:when test="./i6:value = '125840'">Panchlora nivea (PANCNI)</xsl:when>
                    <xsl:when test="./i6:value = '125841'">Pandalus montagui (PNDLMO)</xsl:when>
                    <xsl:when test="./i6:value = '125842'">Pandemis cerasana (PANDRI)</xsl:when>
                    <xsl:when test="./i6:value = '125843'">Pandemis heparana (PANDHE)</xsl:when>
                    <xsl:when test="./i6:value = '125844'">Pandora blunckii (PNDRBL)</xsl:when>
                    <xsl:when test="./i6:value = '125845'">Pandoriana pandora (PNDAPA)</xsl:when>
                    <xsl:when test="./i6:value = '125846'">Pangaeus bilineatus (PNGEBI)</xsl:when>
                    <xsl:when test="./i6:value = '125847'">Panorpa communis (PNRPCO)</xsl:when>
                    <xsl:when test="./i6:value = '125848'">Pansepta teleturga (PANSTE)</xsl:when>
                    <xsl:when test="./i6:value = '125849'">Pantala flavescens (PNALFL)</xsl:when>
                    <xsl:when test="./i6:value = '125850'">Panthera leo (PNTHLE)</xsl:when>
                    <xsl:when test="./i6:value = '125851'">Panthera onca (PNTHON)</xsl:when>
                    <xsl:when test="./i6:value = '125852'">Panthera pardus (PNTHPA)</xsl:when>
                    <xsl:when test="./i6:value = '125853'">Panthera tigris (PNTHTI)</xsl:when>
                    <xsl:when test="./i6:value = '125854'">Pantoea agglomerans (ERWIHE)</xsl:when>
                    <xsl:when test="./i6:value = '125855'">Pantoea agglomerans pv. gypsophilae (PNTOAG)</xsl:when>
                    <xsl:when test="./i6:value = '125856'">Pantoea ananatis (ERWIAN)</xsl:when>
                    <xsl:when test="./i6:value = '125857'">Pantoea stewartii (ERWIST)</xsl:when>
                    <xsl:when test="./i6:value = '125858'">Pantomorus godmani (PANMGO)</xsl:when>
                    <xsl:when test="./i6:value = '125859'">Pantorhytes plutus (PANYPL)</xsl:when>
                    <xsl:when test="./i6:value = '125860'">Panurus biarmicus (PNRUBI)</xsl:when>
                    <xsl:when test="./i6:value = '125861'">Papestra biren (POLIGL)</xsl:when>
                    <xsl:when test="./i6:value = '125862'">Papilio andraemon bonhotei (PAPIAB)</xsl:when>
                    <xsl:when test="./i6:value = '125863'">Papilio demodocus (PAPIDD)</xsl:when>
                    <xsl:when test="./i6:value = '125864'">Papilio demoleus (PAPIDE)</xsl:when>
                    <xsl:when test="./i6:value = '125865'">Papilio elphenor (PAPIEL)</xsl:when>
                    <xsl:when test="./i6:value = '125866'">Papilio machaon (PAPIMA)</xsl:when>
                    <xsl:when test="./i6:value = '125867'">Papilio sarpedon (PAPISA)</xsl:when>
                    <xsl:when test="./i6:value = '125868'">Papilio thoas (PAPITH)</xsl:when>
                    <xsl:when test="./i6:value = '125869'">Papuana inermis (PAPUIN)</xsl:when>
                    <xsl:when test="./i6:value = '125870'">Papuana woodlarckiana (PAPUSE)</xsl:when>
                    <xsl:when test="./i6:value = '125871'">Papulaspora byssina (PAPLBY)</xsl:when>
                    <xsl:when test="./i6:value = '125872'">Parabemisia myricae (PRABMY)</xsl:when>
                    <xsl:when test="./i6:value = '125873'">Paracalocoris hawleyi (PARRHA)</xsl:when>
                    <xsl:when test="./i6:value = '125874'">Parachronistis albiceps (PCHRAL)</xsl:when>
                    <xsl:when test="./i6:value = '125875'">Paracoccus burnerae (PACOBU)</xsl:when>
                    <xsl:when test="./i6:value = '125876'">Paracoccus interceptus (PACOIN)</xsl:when>
                    <xsl:when test="./i6:value = '125877'">Paracoccus marginatus (PACOMA)</xsl:when>
                    <xsl:when test="./i6:value = '125878'">Paraconiothyrium fuckelii (LEPTCO)</xsl:when>
                    <xsl:when test="./i6:value = '125879'">Paradiplosis tumifex (PAADTU)</xsl:when>
                    <xsl:when test="./i6:value = '125880'">Paradisaea apoda (PRDSAP)</xsl:when>
                    <xsl:when test="./i6:value = '125881'">Paradoxornis webbianus (PRXOWE)</xsl:when>
                    <xsl:when test="./i6:value = '125882'">Paradoxurus hermaphroditus (PARDHE)</xsl:when>
                    <xsl:when test="./i6:value = '125883'">Parafairmairia gracilis (PFAIGR)</xsl:when>
                    <xsl:when test="./i6:value = '125884'">Parahypopta caestrum (HYPTCA)</xsl:when>
                    <xsl:when test="./i6:value = '125885'">Paraleyrodes minei (PARYMI)</xsl:when>
                    <xsl:when test="./i6:value = '125886'">Paraleyrodes perseae (PARYPE)</xsl:when>
                    <xsl:when test="./i6:value = '125887'">Paralipsa gularis (APHMGU)</xsl:when>
                    <xsl:when test="./i6:value = '125888'">Paralongidorus maximus (LONGMX)</xsl:when>
                    <xsl:when test="./i6:value = '125889'">Paranthrene tabaniformis (PARHTA)</xsl:when>
                    <xsl:when test="./i6:value = '125890'">Parapediasia teterrella (PPEDTE)</xsl:when>
                    <xsl:when test="./i6:value = '125891'">Parapenaeus longirostris (PPENLO)</xsl:when>
                    <xsl:when test="./i6:value = '125892'">Paraperonospora minor (PPERMI)</xsl:when>
                    <xsl:when test="./i6:value = '125893'">Paraphaeosphaeria michotii (LEPTMI)</xsl:when>
                    <xsl:when test="./i6:value = '125894'">Paraphlepsius irroratus (PRAPIR)</xsl:when>
                    <xsl:when test="./i6:value = '125895'">Parapoynx stagnalis (NYMHDE)</xsl:when>
                    <xsl:when test="./i6:value = '125896'">Parapoynx stratiolata (PPNXST)</xsl:when>
                    <xsl:when test="./i6:value = '125897'">Parapoynx vittalis (NYMHVI)</xsl:when>
                    <xsl:when test="./i6:value = '125898'">Pararge aegeria (PAARAE)</xsl:when>
                    <xsl:when test="./i6:value = '125899'">Parasa lepida (PARSLE)</xsl:when>
                    <xsl:when test="./i6:value = '125900'">Parasa sinica (PARSSI)</xsl:when>
                    <xsl:when test="./i6:value = '125901'">Parasa vivida (PARSVI)</xsl:when>
                    <xsl:when test="./i6:value = '125902'">Parasaissetia nigra (SAISNI)</xsl:when>
                    <xsl:when test="./i6:value = '125903'">Parasemia plantaginis (PSMAPL)</xsl:when>
                    <xsl:when test="./i6:value = '125904'">parasitic plants (unwanted) (3PARWT)</xsl:when>
                    <xsl:when test="./i6:value = '125905'">Parastagonospora avenae (PHSPAV)</xsl:when>
                    <xsl:when test="./i6:value = '125906'">Parastagonospora nodorum (LEPTNO)</xsl:when>
                    <xsl:when test="./i6:value = '125907'">Paratachardina lobata (PTACLO)</xsl:when>
                    <xsl:when test="./i6:value = '125908'">Paratimia conicola (PATMCO)</xsl:when>
                    <xsl:when test="./i6:value = '125909'">Paratrechina pubens (PAATPU)</xsl:when>
                    <xsl:when test="./i6:value = '125910'">Paratrichodorus minor (TRIHMI)</xsl:when>
                    <xsl:when test="./i6:value = '125911'">Paratylenchus hamatus (PARAHA)</xsl:when>
                    <xsl:when test="./i6:value = '125912'">Paravespula rufa (PAVSRU)</xsl:when>
                    <xsl:when test="./i6:value = '125913'">Parcoblatta pennsylvanica (PARCPE)</xsl:when>
                    <xsl:when test="./i6:value = '125914'">Parectopa robiniella (PACTRO)</xsl:when>
                    <xsl:when test="./i6:value = '125915'">Paria canella (PARXCA)</xsl:when>
                    <xsl:when test="./i6:value = '125916'">Paria fragariae fragariae (PARXFR)</xsl:when>
                    <xsl:when test="./i6:value = '125917'">Parlagena bennetti (PARGBE)</xsl:when>
                    <xsl:when test="./i6:value = '125918'">Parlatoreopsis chinensis (PALRCH)</xsl:when>
                    <xsl:when test="./i6:value = '125919'">Parlatoria blanchardi (PARLBL)</xsl:when>
                    <xsl:when test="./i6:value = '125920'">Parlatoria camelliae (PARLCA)</xsl:when>
                    <xsl:when test="./i6:value = '125921'">Parlatoria crypta (PARLCR)</xsl:when>
                    <xsl:when test="./i6:value = '125922'">Parlatoria oleae (PARLOL)</xsl:when>
                    <xsl:when test="./i6:value = '125923'">Parlatoria proteus (PARLPR)</xsl:when>
                    <xsl:when test="./i6:value = '125924'">Parlatoria theae (PARLTH)</xsl:when>
                    <xsl:when test="./i6:value = '125925'">Parlatoria ziziphi (PARLZI)</xsl:when>
                    <xsl:when test="./i6:value = '125926'">Parnara guttata (PARNGU)</xsl:when>
                    <xsl:when test="./i6:value = '125927'">Parnassius apollo (PRNSAP)</xsl:when>
                    <xsl:when test="./i6:value = '125928'">Parodiella hedysari (PRDLHE)</xsl:when>
                    <xsl:when test="./i6:value = '125929'">Paroplapoderus pardalis (PPLDPA)</xsl:when>
                    <xsl:when test="./i6:value = '125930'">Paropsis dilatata (PRPSDI)</xsl:when>
                    <xsl:when test="./i6:value = '125931'">Paropsisterna agricola (CPTHAG)</xsl:when>
                    <xsl:when test="./i6:value = '125932'">Paropsisterna beata (PSISBE)</xsl:when>
                    <xsl:when test="./i6:value = '125933'">Paropsisterna bimaculata (CPTHBI)</xsl:when>
                    <xsl:when test="./i6:value = '125934'">Paropsisterna m-fuscum (CPTHMF)</xsl:when>
                    <xsl:when test="./i6:value = '125935'">Paropsisterna selmani (PSISSE)</xsl:when>
                    <xsl:when test="./i6:value = '125936'">Parornix petiolella (ORNXPE)</xsl:when>
                    <xsl:when test="./i6:value = '125937'">Parthenolecanium cerasifex (LECACF)</xsl:when>
                    <xsl:when test="./i6:value = '125938'">Parthenolecanium corni (LECACO)</xsl:when>
                    <xsl:when test="./i6:value = '125939'">Parthenolecanium fletcheri (LECAFL)</xsl:when>
                    <xsl:when test="./i6:value = '125940'">Parthenolecanium pruinosum (LECAPI)</xsl:when>
                    <xsl:when test="./i6:value = '125941'">Parthenolecanium quercifex (LECAQU)</xsl:when>
                    <xsl:when test="./i6:value = '125942'">Parthenolecanium rufulum (LECARU)</xsl:when>
                    <xsl:when test="./i6:value = '125943'">Parthenothrips dracaenae (PAREDR)</xsl:when>
                    <xsl:when test="./i6:value = '125944'">Parula americana (PRULAM)</xsl:when>
                    <xsl:when test="./i6:value = '125945'">Parus atricapillus (PRUSAT)</xsl:when>
                    <xsl:when test="./i6:value = '125946'">Parus caeruleus (PRUSCA)</xsl:when>
                    <xsl:when test="./i6:value = '125947'">Parus major (PRUSMA)</xsl:when>
                    <xsl:when test="./i6:value = '125948'">Parus varius (PRUSVA)</xsl:when>
                    <xsl:when test="./i6:value = '125949'">Pasiphaea multidentata (PPHEMU)</xsl:when>
                    <xsl:when test="./i6:value = '125950'">Pasiphaea sivado (PPHESI)</xsl:when>
                    <xsl:when test="./i6:value = '125951'">Pasiphila rectangulata (CHLCRE)</xsl:when>
                    <xsl:when test="./i6:value = '125952'">Passalora capsicicola (PHRMCA)</xsl:when>
                    <xsl:when test="./i6:value = '125953'">Passalora effusa (CERCEF)</xsl:when>
                    <xsl:when test="./i6:value = '125954'">Passer hispaniolensis (PASSHI)</xsl:when>
                    <xsl:when test="./i6:value = '125955'">Passer montanus (PASSMO)</xsl:when>
                    <xsl:when test="./i6:value = '125956'">Passer rutilans (PASSRU)</xsl:when>
                    <xsl:when test="./i6:value = '125957'">Pasteuria penetrans (BACIPE)</xsl:when>
                    <xsl:when test="./i6:value = '125958'">Patanga guttulosa (CYRHEX)</xsl:when>
                    <xsl:when test="./i6:value = '125959'">Patanga luteicornis (PATALU)</xsl:when>
                    <xsl:when test="./i6:value = '125960'">Patanga succincta (PATASU)</xsl:when>
                    <xsl:when test="./i6:value = '125961'">Patella vulgata (PATLVU)</xsl:when>
                    <xsl:when test="./i6:value = '125962'">Paxillus involutus (PAXIIN)</xsl:when>
                    <xsl:when test="./i6:value = '125963'">Pealius azaleae (PEALAZ)</xsl:when>
                    <xsl:when test="./i6:value = '125964'">Pealius mori (PEALMO)</xsl:when>
                    <xsl:when test="./i6:value = '125965'">Pecari tajacu (PECRTA)</xsl:when>
                    <xsl:when test="./i6:value = '125966'">Pectinophora scutigera (PLAYSC)</xsl:when>
                    <xsl:when test="./i6:value = '125967'">Pectobacterium atrosepticum (ERWIAT)</xsl:when>
                    <xsl:when test="./i6:value = '125968'">Pectobacterium betavasculorum (ERWIBV)</xsl:when>
                    <xsl:when test="./i6:value = '125969'">Pectobacterium carotovorum subsp. brasiliense (PECBCB)</xsl:when>
                    <xsl:when test="./i6:value = '125970'">Pectobacterium carotovorum subsp. carotovorum (ERWICA)</xsl:when>
                    <xsl:when test="./i6:value = '125971'">Pediculus humanus capitis (PEDIHA)</xsl:when>
                    <xsl:when test="./i6:value = '125972'">Pediculus humanus humanus (PEDIHO)</xsl:when>
                    <xsl:when test="./i6:value = '125973'">Pegomya bicolor (PEGOBI)</xsl:when>
                    <xsl:when test="./i6:value = '125974'">Pegomya cerealis (HYLECE)</xsl:when>
                    <xsl:when test="./i6:value = '125975'">Pegomya cunicularia (PEGOCU)</xsl:when>
                    <xsl:when test="./i6:value = '125976'">Pegomya hyoscyami (PEGOHY)</xsl:when>
                    <xsl:when test="./i6:value = '125977'">Pegomya nigritarsis (PEGONI)</xsl:when>
                    <xsl:when test="./i6:value = '125978'">Pegomya rubivora (PEGORU)</xsl:when>
                    <xsl:when test="./i6:value = '125979'">Pelagia noctiluca (PELGNO)</xsl:when>
                    <xsl:when test="./i6:value = '125980'">Pelecanus erythrorhynchos (PELKER)</xsl:when>
                    <xsl:when test="./i6:value = '125981'">Pelecanus onocrotalus (PELKON)</xsl:when>
                    <xsl:when test="./i6:value = '125982'">Pelobates fuscus (PELBFU)</xsl:when>
                    <xsl:when test="./i6:value = '125983'">Pelophylax esculentus (RANSES)</xsl:when>
                    <xsl:when test="./i6:value = '125984'">Pelophylax lessonae (PELXLE)</xsl:when>
                    <xsl:when test="./i6:value = '125985'">Pelophylax ridibundus (PELXRI)</xsl:when>
                    <xsl:when test="./i6:value = '125986'">Pelopidas mathias (PELOMA)</xsl:when>
                    <xsl:when test="./i6:value = '125987'">Pelopidas mathias oberthueri (PELOMO)</xsl:when>
                    <xsl:when test="./i6:value = '125988'">Peltaster fructicola (PLTAFR)</xsl:when>
                    <xsl:when test="./i6:value = '125989'">Pempelia heringii (PMPEHE)</xsl:when>
                    <xsl:when test="./i6:value = '125990'">Pemphigus bursarius (PEMPBU)</xsl:when>
                    <xsl:when test="./i6:value = '125991'">Pemphigus fuscicornis (PEMPFU)</xsl:when>
                    <xsl:when test="./i6:value = '125992'">Pemphigus populicaulis (PEMPPC)</xsl:when>
                    <xsl:when test="./i6:value = '125993'">Pemphigus populiramulorum (PEMPPM)</xsl:when>
                    <xsl:when test="./i6:value = '125994'">Pemphigus populitransversus (PEMPPO)</xsl:when>
                    <xsl:when test="./i6:value = '125995'">Pemphredon lugubris (PMPHLU)</xsl:when>
                    <xsl:when test="./i6:value = '125996'">Penaeus aztecus (PENSAZ)</xsl:when>
                    <xsl:when test="./i6:value = '125997'">Penaeus kerathurus (PENSKE)</xsl:when>
                    <xsl:when test="./i6:value = '125998'">Penelope superciliaris (PENESU)</xsl:when>
                    <xsl:when test="./i6:value = '125999'">Penicillaria jocosatrix (BOMTJO)</xsl:when>
                    <xsl:when test="./i6:value = '126000'">Penicillium brevicompactum (PENIBC)</xsl:when>
                    <xsl:when test="./i6:value = '126001'">Penicillium chrysogenum (PENICH)</xsl:when>
                    <xsl:when test="./i6:value = '126002'">Penicillium digitatum (PENIDI)</xsl:when>
                    <xsl:when test="./i6:value = '126003'">Penicillium expansum (PENIEX)</xsl:when>
                    <xsl:when test="./i6:value = '126004'">Penicillium funiculosum (PENIFU)</xsl:when>
                    <xsl:when test="./i6:value = '126005'">Penicillium gladioli (PENIGL)</xsl:when>
                    <xsl:when test="./i6:value = '126006'">Penicillium hirsutum (PENICO)</xsl:when>
                    <xsl:when test="./i6:value = '126007'">Penicillium italicum (PENIIT)</xsl:when>
                    <xsl:when test="./i6:value = '126008'">Penicillium oxalicum (PENIOX)</xsl:when>
                    <xsl:when test="./i6:value = '126009'">Peniophora incarnata (PENGIN)</xsl:when>
                    <xsl:when test="./i6:value = '126010'">Pennisetia hylaeiformis (PENNHY)</xsl:when>
                    <xsl:when test="./i6:value = '126011'">Pennisetia marginata (BEMBMA)</xsl:when>
                    <xsl:when test="./i6:value = '126012'">Pentalonia nigronervosa (PENLNI)</xsl:when>
                    <xsl:when test="./i6:value = '126013'">Pentamerismus taxi (PENUTX)</xsl:when>
                    <xsl:when test="./i6:value = '126014'">Pentarthrum huttoni (PENRHU)</xsl:when>
                    <xsl:when test="./i6:value = '126015'">Pentatoma rufipes (PENARU)</xsl:when>
                    <xsl:when test="./i6:value = '126016'">Penthaleus major (PENHMA)</xsl:when>
                    <xsl:when test="./i6:value = '126017'">Penthimiola bella (PETHBE)</xsl:when>
                    <xsl:when test="./i6:value = '126018'">Peranabrus scabricollis (PERASC)</xsl:when>
                    <xsl:when test="./i6:value = '126019'">Perapion antiquum (APIOAN)</xsl:when>
                    <xsl:when test="./i6:value = '126020'">Perdix perdix (PERDPE)</xsl:when>
                    <xsl:when test="./i6:value = '126021'">Peregrinus maidis (PERGMA)</xsl:when>
                    <xsl:when test="./i6:value = '126022'">perennial dicotyledonous weeds (3PEDIT)</xsl:when>
                    <xsl:when test="./i6:value = '126023'">perennial grass weeds (3PEGWT)</xsl:when>
                    <xsl:when test="./i6:value = '126024'">perennial monocotyledonous weeds (3PEMNT)</xsl:when>
                    <xsl:when test="./i6:value = '126025'">Peribatodes rhomboidaria (BOARRH)</xsl:when>
                    <xsl:when test="./i6:value = '126026'">Perichares philetes (PRCHPH)</xsl:when>
                    <xsl:when test="./i6:value = '126027'">Pericladium grewiae (PRCUGR)</xsl:when>
                    <xsl:when test="./i6:value = '126028'">Periconia circinata (PERCCI)</xsl:when>
                    <xsl:when test="./i6:value = '126029'">Periconia manihoticola (PERCMN)</xsl:when>
                    <xsl:when test="./i6:value = '126030'">Periconiella musae (PELLMU)</xsl:when>
                    <xsl:when test="./i6:value = '126031'">Periconiella sapientumicola (CLADMU)</xsl:when>
                    <xsl:when test="./i6:value = '126032'">Peridroma saucia (PERRSA)</xsl:when>
                    <xsl:when test="./i6:value = '126033'">Perillus bioculatus (PERLBI)</xsl:when>
                    <xsl:when test="./i6:value = '126034'">Periphyllus americanus (PERPAM)</xsl:when>
                    <xsl:when test="./i6:value = '126035'">Periphyllus brevispinosus (PERPBR)</xsl:when>
                    <xsl:when test="./i6:value = '126036'">Periphyllus californiensis (PERPCA)</xsl:when>
                    <xsl:when test="./i6:value = '126037'">Periphyllus formosanus (PERPFO)</xsl:when>
                    <xsl:when test="./i6:value = '126038'">Periphyllus lyropictus (PERPLY)</xsl:when>
                    <xsl:when test="./i6:value = '126039'">Periphyllus negundinis (PERPNE)</xsl:when>
                    <xsl:when test="./i6:value = '126040'">Periphyllus villosus (PERPVL)</xsl:when>
                    <xsl:when test="./i6:value = '126041'">Periplaneta australasiae (PERIAU)</xsl:when>
                    <xsl:when test="./i6:value = '126042'">Periplaneta brunnea (PERIBR)</xsl:when>
                    <xsl:when test="./i6:value = '126043'">Periplaneta fuliginosa (PERIFU)</xsl:when>
                    <xsl:when test="./i6:value = '126044'">Periplaneta japonica (PERIJA)</xsl:when>
                    <xsl:when test="./i6:value = '126045'">Peritelus sphaeroides (PERESH)</xsl:when>
                    <xsl:when test="./i6:value = '126046'">Perkinsiella saccharicida (PERKSA)</xsl:when>
                    <xsl:when test="./i6:value = '126047'">Perkinsiella vastatrix (PERKVA)</xsl:when>
                    <xsl:when test="./i6:value = '126048'">Peromyscus leucopus (PERMLE)</xsl:when>
                    <xsl:when test="./i6:value = '126049'">Peromyscus maniculatus (PERMMA)</xsl:when>
                    <xsl:when test="./i6:value = '126050'">Peromyscus polionotus (PERMPO)</xsl:when>
                    <xsl:when test="./i6:value = '126051'">Peronophythora litchii (PRPTLT)</xsl:when>
                    <xsl:when test="./i6:value = '126052'">Peronosclerospora heteropogoni (PRSCHE)</xsl:when>
                    <xsl:when test="./i6:value = '126053'">Peronosclerospora maydis (PRSCMA)</xsl:when>
                    <xsl:when test="./i6:value = '126054'">Peronosclerospora miscanthi (PRSCMI)</xsl:when>
                    <xsl:when test="./i6:value = '126055'">Peronosclerospora philippinensis (PRSCPH)</xsl:when>
                    <xsl:when test="./i6:value = '126056'">Peronosclerospora sacchari (PRSCSA)</xsl:when>
                    <xsl:when test="./i6:value = '126057'">Peronosclerospora sorghi (PRSCSO)</xsl:when>
                    <xsl:when test="./i6:value = '126058'">Peronosclerospora spontanea (SCLPST)</xsl:when>
                    <xsl:when test="./i6:value = '126059'">Peronospora arborescens (PEROAR)</xsl:when>
                    <xsl:when test="./i6:value = '126060'">Peronospora belbahrii (PEROBE)</xsl:when>
                    <xsl:when test="./i6:value = '126061'">Peronospora cyperi (PEROCP)</xsl:when>
                    <xsl:when test="./i6:value = '126062'">Peronospora destructor (PERODE)</xsl:when>
                    <xsl:when test="./i6:value = '126063'">Peronospora dianthi (PERODI)</xsl:when>
                    <xsl:when test="./i6:value = '126064'">Peronospora farinosa (PEROFA)</xsl:when>
                    <xsl:when test="./i6:value = '126065'">Peronospora farinosa f. sp. betae (PEROFB)</xsl:when>
                    <xsl:when test="./i6:value = '126066'">Peronospora farinosa f. sp. spinaciae (PEROFS)</xsl:when>
                    <xsl:when test="./i6:value = '126067'">Peronospora hyoscyami (PEROTA)</xsl:when>
                    <xsl:when test="./i6:value = '126068'">Peronospora jaapiana (PEROJA)</xsl:when>
                    <xsl:when test="./i6:value = '126069'">Peronospora lamii (PEROLA)</xsl:when>
                    <xsl:when test="./i6:value = '126070'">Peronospora leptoclada (PEROLE)</xsl:when>
                    <xsl:when test="./i6:value = '126071'">Peronospora manshurica (PEROMA)</xsl:when>
                    <xsl:when test="./i6:value = '126072'">Peronospora rubi (PERORU)</xsl:when>
                    <xsl:when test="./i6:value = '126073'">Peronospora sparsa (PSPESR)</xsl:when>
                    <xsl:when test="./i6:value = '126074'">Peronospora swinglei (PEROSW)</xsl:when>
                    <xsl:when test="./i6:value = '126075'">Peronospora trifoliorum (PEROTR)</xsl:when>
                    <xsl:when test="./i6:value = '126076'">Peronospora verbenae (PEROVE)</xsl:when>
                    <xsl:when test="./i6:value = '126077'">Peronospora viciae (PEROVI)</xsl:when>
                    <xsl:when test="./i6:value = '126078'">Peronospora viciae f. sp. pisi (PEROVP)</xsl:when>
                    <xsl:when test="./i6:value = '126079'">Peronospora violae (PEROVO)</xsl:when>
                    <xsl:when test="./i6:value = '126080'">Pestalotia disseminata (PESTDI)</xsl:when>
                    <xsl:when test="./i6:value = '126081'">Pestalotia guepinii (PESTGU)</xsl:when>
                    <xsl:when test="./i6:value = '126082'">Pestalotia longisetula (PESTLO)</xsl:when>
                    <xsl:when test="./i6:value = '126083'">Pestalotiopsis funerea (PESPFU)</xsl:when>
                    <xsl:when test="./i6:value = '126084'">Pestalotiopsis mangiferae (PESPMA)</xsl:when>
                    <xsl:when test="./i6:value = '126085'">Pestalotiopsis palmarum (PESPPA)</xsl:when>
                    <xsl:when test="./i6:value = '126086'">Pestalotiopsis psidii (PESPPS)</xsl:when>
                    <xsl:when test="./i6:value = '126087'">Pestalotiopsis theae (PESPTH)</xsl:when>
                    <xsl:when test="./i6:value = '126088'">Petalura gigantea (PTALGI)</xsl:when>
                    <xsl:when test="./i6:value = '126089'">Petalura ingentissima (PTALIN)</xsl:when>
                    <xsl:when test="./i6:value = '126090'">Petaurus breviceps (PTAUBR)</xsl:when>
                    <xsl:when test="./i6:value = '126091'">Petrobia apicalis (PETRAP)</xsl:when>
                    <xsl:when test="./i6:value = '126092'">Petrobia latens (PETRLA)</xsl:when>
                    <xsl:when test="./i6:value = '126093'">Petrogale penicillata (PETGPE)</xsl:when>
                    <xsl:when test="./i6:value = '126094'">Petromyzon marinus (PTEMMA)</xsl:when>
                    <xsl:when test="./i6:value = '126095'">Peucetia viridans (PEUCVI)</xsl:when>
                    <xsl:when test="./i6:value = '126096'">Pexicopia malvella (PLAYMA)</xsl:when>
                    <xsl:when test="./i6:value = '126097'">Peyronellaea arachidicola (PHOMAR)</xsl:when>
                    <xsl:when test="./i6:value = '126098'">Peyronellaea glomerata (PHOMGL)</xsl:when>
                    <xsl:when test="./i6:value = '126099'">Peyronellaea pinodella (PHOMMP)</xsl:when>
                    <xsl:when test="./i6:value = '126100'">Peziza vesiculosa (PEZZVE)</xsl:when>
                    <xsl:when test="./i6:value = '126101'">Pezothrips kellyanus (PEZTKE)</xsl:when>
                    <xsl:when test="./i6:value = '126102'">PGR antitranspirant (3PANTT)</xsl:when>
                    <xsl:when test="./i6:value = '126103'">PGR branching inhibition (3PBRIT)</xsl:when>
                    <xsl:when test="./i6:value = '126104'">PGR branching stimulation (3PBRST)</xsl:when>
                    <xsl:when test="./i6:value = '126105'">PGR breaking dormancy (3PBKDT)</xsl:when>
                    <xsl:when test="./i6:value = '126106'">PGR bud break inhibition (3PBBIT)</xsl:when>
                    <xsl:when test="./i6:value = '126107'">PGR bud break stimulation (3PBBST)</xsl:when>
                    <xsl:when test="./i6:value = '126108'">PGR colour (3PCOLT)</xsl:when>
                    <xsl:when test="./i6:value = '126109'">PGR debudding (3PDBUT)</xsl:when>
                    <xsl:when test="./i6:value = '126110'">PGR desiccant (3PDEST)</xsl:when>
                    <xsl:when test="./i6:value = '126111'">PGR flower drop inhibition (3PFDIT)</xsl:when>
                    <xsl:when test="./i6:value = '126112'">PGR flower drop stimulation (3PFDST)</xsl:when>
                    <xsl:when test="./i6:value = '126113'">PGR flowering inhibition (3PFWIT)</xsl:when>
                    <xsl:when test="./i6:value = '126114'">PGR flowering stimulation (3PFWST)</xsl:when>
                    <xsl:when test="./i6:value = '126115'">PGR fruit drop inhibition (3PUDIT)</xsl:when>
                    <xsl:when test="./i6:value = '126116'">PGR fruit drop stimulation (3PUDST)</xsl:when>
                    <xsl:when test="./i6:value = '126117'">PGR fruit quality improvement (3PUQIT)</xsl:when>
                    <xsl:when test="./i6:value = '126118'">PGR fruit ripening inhibition (3PURIT)</xsl:when>
                    <xsl:when test="./i6:value = '126119'">PGR fruit ripening stimulation (3PURST)</xsl:when>
                    <xsl:when test="./i6:value = '126120'">PGR fruit set inhibition (3PUSIT)</xsl:when>
                    <xsl:when test="./i6:value = '126121'">PGR fruit set stimulation (3PUSST)</xsl:when>
                    <xsl:when test="./i6:value = '126122'">PGR growth reduction (3PGWRT)</xsl:when>
                    <xsl:when test="./i6:value = '126123'">PGR growth stimulation (3PGWST)</xsl:when>
                    <xsl:when test="./i6:value = '126124'">PGR inhibition of premature fruit ripening (3PIPFT)</xsl:when>
                    <xsl:when test="./i6:value = '126125'">PGR inhibition of russeting (3PIRUT)</xsl:when>
                    <xsl:when test="./i6:value = '126126'">PGR inhibition of scorching (3PISCT)</xsl:when>
                    <xsl:when test="./i6:value = '126127'">PGR leaf fall inhibition (3PLFIT)</xsl:when>
                    <xsl:when test="./i6:value = '126128'">PGR leaf fall stimulation (3PLFST)</xsl:when>
                    <xsl:when test="./i6:value = '126129'">PGR male sterilization (3PMSTT)</xsl:when>
                    <xsl:when test="./i6:value = '126130'">PGR prevention of lodging (3PPLOT)</xsl:when>
                    <xsl:when test="./i6:value = '126131'">PGR root formation (3PRFOT)</xsl:when>
                    <xsl:when test="./i6:value = '126132'">PGR root growth inhibition (3PRGIT)</xsl:when>
                    <xsl:when test="./i6:value = '126133'">PGR root growth stimulation (3PRGST)</xsl:when>
                    <xsl:when test="./i6:value = '126134'">PGR shoot growth inhibition (3PSGIT)</xsl:when>
                    <xsl:when test="./i6:value = '126135'">PGR shoot growth stimulation (3PSGST)</xsl:when>
                    <xsl:when test="./i6:value = '126136'">PGR sprout inhibition (3PSPIT)</xsl:when>
                    <xsl:when test="./i6:value = '126137'">PGR sprout stimulation (3PSPST)</xsl:when>
                    <xsl:when test="./i6:value = '126138'">PGR stalk length elongation (3PSLET)</xsl:when>
                    <xsl:when test="./i6:value = '126139'">PGR stalk length reduction (3PSLRT)</xsl:when>
                    <xsl:when test="./i6:value = '126140'">PGR sucker, stolon, runner control (3PSSCT)</xsl:when>
                    <xsl:when test="./i6:value = '126141'">PGR targets (3PGRST)</xsl:when>
                    <xsl:when test="./i6:value = '126142'">PGR tuber formation inhibition (3PTBIT)</xsl:when>
                    <xsl:when test="./i6:value = '126143'">PGR tuber formation stimulation (3PTBST)</xsl:when>
                    <xsl:when test="./i6:value = '126144'">PGR winter hardiness (3PWIHT)</xsl:when>
                    <xsl:when test="./i6:value = '126145'">Phacidiopycnis tuberivora (PHAPTU)</xsl:when>
                    <xsl:when test="./i6:value = '126146'">Phacidiopycnis washingtonensis (PHAPWA)</xsl:when>
                    <xsl:when test="./i6:value = '126147'">Phacidium coniferarum (POTECO)</xsl:when>
                    <xsl:when test="./i6:value = '126148'">Phacidium infestans (PHACIN)</xsl:when>
                    <xsl:when test="./i6:value = '126149'">Phaedon brassicae (PHAEBR)</xsl:when>
                    <xsl:when test="./i6:value = '126150'">Phaedon cochleariae (PHAECO)</xsl:when>
                    <xsl:when test="./i6:value = '126151'">Phaedon viridis (PHAEVI)</xsl:when>
                    <xsl:when test="./i6:value = '126152'">Phaedon viridis aeruginosus (PHAEAE)</xsl:when>
                    <xsl:when test="./i6:value = '126153'">Phaeocryptopus gaeumannii (PHARGA)</xsl:when>
                    <xsl:when test="./i6:value = '126154'">Phaeocryptopus nudus (PHARNU)</xsl:when>
                    <xsl:when test="./i6:value = '126155'">Phaeocytostroma ambiguum (PHCSAM)</xsl:when>
                    <xsl:when test="./i6:value = '126156'">Phaeocytostroma sacchari (PHCSSA)</xsl:when>
                    <xsl:when test="./i6:value = '126157'">Phaeoisariopsis bataticola (PHAIBA)</xsl:when>
                    <xsl:when test="./i6:value = '126158'">Phaeoisariopsis griseola (PHAIGR)</xsl:when>
                    <xsl:when test="./i6:value = '126159'">Phaeolus schweinitzii (PAEOSC)</xsl:when>
                    <xsl:when test="./i6:value = '126160'">Phaeomoniella chlamydospora (PHMOCH)</xsl:when>
                    <xsl:when test="./i6:value = '126161'">Phaeoramularia manihotis (CERCCB)</xsl:when>
                    <xsl:when test="./i6:value = '126162'">Phaeoseptoria eucalypti (PHASEU)</xsl:when>
                    <xsl:when test="./i6:value = '126163'">Phaeoseptoria vermiformis (PHASVE)</xsl:when>
                    <xsl:when test="./i6:value = '126164'">Phaeosphaeria eustoma (PHSPEU)</xsl:when>
                    <xsl:when test="./i6:value = '126165'">Phaeosphaeria herpotrichoides (LEPTHE)</xsl:when>
                    <xsl:when test="./i6:value = '126166'">Phaeosphaeria maydis (PHSPMA)</xsl:when>
                    <xsl:when test="./i6:value = '126167'">Phaethon lepturus (PHATLE)</xsl:when>
                    <xsl:when test="./i6:value = '126168'">Phakopsora ampelopsidis (PHAKAM)</xsl:when>
                    <xsl:when test="./i6:value = '126169'">Phakopsora euvitis (PHLLAM)</xsl:when>
                    <xsl:when test="./i6:value = '126170'">Phakopsora gossypii (PHAKGO)</xsl:when>
                    <xsl:when test="./i6:value = '126171'">Phakopsora meibomiae (PHAKME)</xsl:when>
                    <xsl:when test="./i6:value = '126172'">Phakopsora pachyrhizi (PHAKPA)</xsl:when>
                    <xsl:when test="./i6:value = '126173'">Phakopsora vitis (PHAKVI)</xsl:when>
                    <xsl:when test="./i6:value = '126174'">Phakopsora ziziphi-vulgaris (PHAKZV)</xsl:when>
                    <xsl:when test="./i6:value = '126175'">Phalacrococcus howertoni (PXCCHO)</xsl:when>
                    <xsl:when test="./i6:value = '126176'">Phalacrocorax auritus (PHLKAU)</xsl:when>
                    <xsl:when test="./i6:value = '126177'">Phalacrocorax carbo (PHLKCA)</xsl:when>
                    <xsl:when test="./i6:value = '126178'">Phalacrus politus (PHAAPO)</xsl:when>
                    <xsl:when test="./i6:value = '126179'">Phalaenoides glycine (PHLAGL)</xsl:when>
                    <xsl:when test="./i6:value = '126180'">Phalangium opilio (PHNMOP)</xsl:when>
                    <xsl:when test="./i6:value = '126181'">Phalera bucephala (PHALBU)</xsl:when>
                    <xsl:when test="./i6:value = '126182'">Phalera flavescens (PHALFL)</xsl:when>
                    <xsl:when test="./i6:value = '126183'">Phallus impudicus (PQLLIM)</xsl:when>
                    <xsl:when test="./i6:value = '126184'">Phallus indusiatus (PQLLIN)</xsl:when>
                    <xsl:when test="./i6:value = '126185'">Phanerochaete sacrata (PHANSA)</xsl:when>
                    <xsl:when test="./i6:value = '126186'">Phaneroptera falcata (PHNEFA)</xsl:when>
                    <xsl:when test="./i6:value = '126187'">Phaneroptera furcifera (PHNEFU)</xsl:when>
                    <xsl:when test="./i6:value = '126188'">Phaneroptera nana nana (PHNENA)</xsl:when>
                    <xsl:when test="./i6:value = '126189'">Phaneroptera roseata (PHNERO)</xsl:when>
                    <xsl:when test="./i6:value = '126190'">Pharaxonotha kirschi (PHXOKI)</xsl:when>
                    <xsl:when test="./i6:value = '126191'">Pharomachrus mocinno (PHMHMO)</xsl:when>
                    <xsl:when test="./i6:value = '126192'">Phascolarctos cinereus (PHQSCI)</xsl:when>
                    <xsl:when test="./i6:value = '126193'">Phasianus colchicus (PHSNCO)</xsl:when>
                    <xsl:when test="./i6:value = '126194'">Phasianus colchicus torquatus (PHSNTO)</xsl:when>
                    <xsl:when test="./i6:value = '126195'">Phassus excrescens (PHAUEX)</xsl:when>
                    <xsl:when test="./i6:value = '126196'">Phaulacridium vittatum (PHAMVI)</xsl:when>
                    <xsl:when test="./i6:value = '126197'">Pheletes californicus (LIMOCF)</xsl:when>
                    <xsl:when test="./i6:value = '126198'">Pheletes canus (LIMOCA)</xsl:when>
                    <xsl:when test="./i6:value = '126199'">Pheletes ectypus (LIMOAG)</xsl:when>
                    <xsl:when test="./i6:value = '126200'">Pheletes subauratus (LIMOSU)</xsl:when>
                    <xsl:when test="./i6:value = '126201'">Phellinus ferreus (PHELFE)</xsl:when>
                    <xsl:when test="./i6:value = '126202'">Phellinus noxius (PHELNO)</xsl:when>
                    <xsl:when test="./i6:value = '126203'">Phellinus pomaceus (PHELPO)</xsl:when>
                    <xsl:when test="./i6:value = '126204'">Phellinus punctatus (PHELPU)</xsl:when>
                    <xsl:when test="./i6:value = '126205'">Phellinus ribis (PHELRI)</xsl:when>
                    <xsl:when test="./i6:value = '126206'">Phellinus robustus (PHELRO)</xsl:when>
                    <xsl:when test="./i6:value = '126207'">Phenacoccus aceris (PHENAC)</xsl:when>
                    <xsl:when test="./i6:value = '126208'">Phenacoccus avenae (PHENAV)</xsl:when>
                    <xsl:when test="./i6:value = '126209'">Phenacoccus azaleae (PHENAZ)</xsl:when>
                    <xsl:when test="./i6:value = '126210'">Phenacoccus gossypii (PHENGO)</xsl:when>
                    <xsl:when test="./i6:value = '126211'">Phenacoccus graminicola (PHENGM)</xsl:when>
                    <xsl:when test="./i6:value = '126212'">Phenacoccus herreni (PHENHR)</xsl:when>
                    <xsl:when test="./i6:value = '126213'">Phenacoccus manihoti (PHENMA)</xsl:when>
                    <xsl:when test="./i6:value = '126214'">Phenacoccus parvus (PHENPA)</xsl:when>
                    <xsl:when test="./i6:value = '126215'">Phenacoccus peruvianus (PHENPR)</xsl:when>
                    <xsl:when test="./i6:value = '126216'">Phenacoccus solenopsis (PHENSO)</xsl:when>
                    <xsl:when test="./i6:value = '126217'">Phenacolimax major (PHLXMA)</xsl:when>
                    <xsl:when test="./i6:value = '126218'">Pheosia tremula (PHEOTR)</xsl:when>
                    <xsl:when test="./i6:value = '126219'">Phialophora asteris (PHIAAS)</xsl:when>
                    <xsl:when test="./i6:value = '126220'">Phialophora cinerescens (PHIACI)</xsl:when>
                    <xsl:when test="./i6:value = '126221'">Phialophora mutabilis (PHIAMU)</xsl:when>
                    <xsl:when test="./i6:value = '126222'">Phialophora parasitica (PHIAPA)</xsl:when>
                    <xsl:when test="./i6:value = '126223'">Phialophora richardsiae (PHIARI)</xsl:when>
                    <xsl:when test="./i6:value = '126224'">Phialophora verrucosa (PHIAVE)</xsl:when>
                    <xsl:when test="./i6:value = '126225'">Phigalia pilosaria (PHIGPI)</xsl:when>
                    <xsl:when test="./i6:value = '126226'">Phigalia plumogeraria (CONDPL)</xsl:when>
                    <xsl:when test="./i6:value = '126227'">Philanthus diadema (PHIHDI)</xsl:when>
                    <xsl:when test="./i6:value = '126228'">Philanthus gibbosus (PHIHGI)</xsl:when>
                    <xsl:when test="./i6:value = '126229'">Philanthus triangulum (PHIHTR)</xsl:when>
                    <xsl:when test="./i6:value = '126230'">Philetairus socius (PHITSO)</xsl:when>
                    <xsl:when test="./i6:value = '126231'">Philopedon plagiatus (PHIOPL)</xsl:when>
                    <xsl:when test="./i6:value = '126232'">Philoscia muscorum (PLSIMU)</xsl:when>
                    <xsl:when test="./i6:value = '126233'">Phloeosinus aubei (PHLSAU)</xsl:when>
                    <xsl:when test="./i6:value = '126234'">Phloeosinus canadensis (PHLSCA)</xsl:when>
                    <xsl:when test="./i6:value = '126235'">Phloeosinus cristatus (PHLSCR)</xsl:when>
                    <xsl:when test="./i6:value = '126236'">Phloeosinus cupressi (PHLSCU)</xsl:when>
                    <xsl:when test="./i6:value = '126237'">Phloeosinus dentatus (PHLSDE)</xsl:when>
                    <xsl:when test="./i6:value = '126238'">Phloeosinus hoppingi (PHLSHO)</xsl:when>
                    <xsl:when test="./i6:value = '126239'">Phloeosinus perlatus (PHLSPE)</xsl:when>
                    <xsl:when test="./i6:value = '126240'">Phloeosinus punctatus (PHLSPU)</xsl:when>
                    <xsl:when test="./i6:value = '126241'">Phloeosinus rudis (PHLSRD)</xsl:when>
                    <xsl:when test="./i6:value = '126242'">Phloeosinus sequoiae (PHLSSE)</xsl:when>
                    <xsl:when test="./i6:value = '126243'">Phloeosinus serratus (PHLSJU)</xsl:when>
                    <xsl:when test="./i6:value = '126244'">Phloeosinus swainei (PHLSSW)</xsl:when>
                    <xsl:when test="./i6:value = '126245'">Phloeosinus vandykei (PHLSVN)</xsl:when>
                    <xsl:when test="./i6:value = '126246'">Phloeosinus variolatus (PHLSVR)</xsl:when>
                    <xsl:when test="./i6:value = '126247'">Phloeospora aceris (DIDOAC)</xsl:when>
                    <xsl:when test="./i6:value = '126248'">Phloeosporella ceanothi (PHLPCE)</xsl:when>
                    <xsl:when test="./i6:value = '126249'">Phloeotribus liminaris (PHLBLI)</xsl:when>
                    <xsl:when test="./i6:value = '126250'">Phloeotribus scarabaeoides (PHLBOL)</xsl:when>
                    <xsl:when test="./i6:value = '126251'">Phlogophora meticulosa (BROTME)</xsl:when>
                    <xsl:when test="./i6:value = '126252'">Phlomobacter fragariae (PHMBFR)</xsl:when>
                    <xsl:when test="./i6:value = '126253'">Phlyctaenia extricalis (PHLCEX)</xsl:when>
                    <xsl:when test="./i6:value = '126254'">Phlyctaenia rubigalis (PHLCRU)</xsl:when>
                    <xsl:when test="./i6:value = '126255'">Phlyctaenia testacea (PHLCTS)</xsl:when>
                    <xsl:when test="./i6:value = '126256'">Phlyctinus callosus (PHLYCA)</xsl:when>
                    <xsl:when test="./i6:value = '126257'">Phoca hispida (PJOCHI)</xsl:when>
                    <xsl:when test="./i6:value = '126258'">Phoca vitulina (PJOCVI)</xsl:when>
                    <xsl:when test="./i6:value = '126259'">Phocaena phocaena (POCAPH)</xsl:when>
                    <xsl:when test="./i6:value = '126260'">Phoenicococcus marlatti (PHOEMA)</xsl:when>
                    <xsl:when test="./i6:value = '126261'">Phoenicopterus ruber (PHNIRU)</xsl:when>
                    <xsl:when test="./i6:value = '126262'">Phoenicurus auroreus (PHNCAU)</xsl:when>
                    <xsl:when test="./i6:value = '126263'">Phoenicurus ochruros (PHNCOC)</xsl:when>
                    <xsl:when test="./i6:value = '126264'">Pholcus phalangioides (PHLUPH)</xsl:when>
                    <xsl:when test="./i6:value = '126265'">Pholidoptera griseoaptera (PHDPGR)</xsl:when>
                    <xsl:when test="./i6:value = '126266'">Pholiota adiposa (PHOLAD)</xsl:when>
                    <xsl:when test="./i6:value = '126267'">Pholiota nameko (PHOLNA)</xsl:when>
                    <xsl:when test="./i6:value = '126268'">Pholiota squarrosa (PHOLSQ)</xsl:when>
                    <xsl:when test="./i6:value = '126269'">Pholiotina rugosa (PHTXRU)</xsl:when>
                    <xsl:when test="./i6:value = '126270'">Pholus satellitia pandorus (POLUSD)</xsl:when>
                    <xsl:when test="./i6:value = '126271'">Phoma cajani (PHOMCJ)</xsl:when>
                    <xsl:when test="./i6:value = '126272'">Phoma clematidina (PHOMCL)</xsl:when>
                    <xsl:when test="./i6:value = '126273'">Phoma costaricensis (PHOMCO)</xsl:when>
                    <xsl:when test="./i6:value = '126274'">Phoma destructiva (PHOMDE)</xsl:when>
                    <xsl:when test="./i6:value = '126275'">Phoma insidiosa (PHOMIN)</xsl:when>
                    <xsl:when test="./i6:value = '126276'">Phoma macrostoma (PHOMMA)</xsl:when>
                    <xsl:when test="./i6:value = '126277'">Phoma medicaginis (PHOMME)</xsl:when>
                    <xsl:when test="./i6:value = '126278'">Phoma pomorum (PHOMPO)</xsl:when>
                    <xsl:when test="./i6:value = '126279'">Phoma poolensis (PHYSAN)</xsl:when>
                    <xsl:when test="./i6:value = '126280'">Phomopsis amygdali (FUSCAM)</xsl:when>
                    <xsl:when test="./i6:value = '126281'">Phomopsis asparagi (PHOPAS)</xsl:when>
                    <xsl:when test="./i6:value = '126282'">Phomopsis caricae-papayae (PHOPCP)</xsl:when>
                    <xsl:when test="./i6:value = '126283'">Phomopsis elaeagni (PHOPEL)</xsl:when>
                    <xsl:when test="./i6:value = '126284'">Phomopsis gardeniae (PHOPGA)</xsl:when>
                    <xsl:when test="./i6:value = '126285'">Phomopsis juniperivora (PHOPJU)</xsl:when>
                    <xsl:when test="./i6:value = '126286'">Phomopsis longicolla (PHOPLO)</xsl:when>
                    <xsl:when test="./i6:value = '126287'">Phomopsis obscurans (PHOPOB)</xsl:when>
                    <xsl:when test="./i6:value = '126288'">Phomopsis theae (PHOPTH)</xsl:when>
                    <xsl:when test="./i6:value = '126289'">Phomopsis vexans (PHOPVE)</xsl:when>
                    <xsl:when test="./i6:value = '126290'">Phoneutria fera (CTEUFE)</xsl:when>
                    <xsl:when test="./i6:value = '126291'">Phoneutria nigriventer (CTEUNI)</xsl:when>
                    <xsl:when test="./i6:value = '126292'">Phoracantha recurva (PHOARE)</xsl:when>
                    <xsl:when test="./i6:value = '126293'">Phoracantha semipunctata (PHOASE)</xsl:when>
                    <xsl:when test="./i6:value = '126294'">Phorbia fumigata (HYLESC)</xsl:when>
                    <xsl:when test="./i6:value = '126295'">Phormia regina (PHORRE)</xsl:when>
                    <xsl:when test="./i6:value = '126296'">Phorodon cannabis (PHODCA)</xsl:when>
                    <xsl:when test="./i6:value = '126297'">Phorodon humuli (PHODHU)</xsl:when>
                    <xsl:when test="./i6:value = '126298'">Phosphaenus hemipterus (PHOHHE)</xsl:when>
                    <xsl:when test="./i6:value = '126299'">Phoxinus phoxinus (PHOXPH)</xsl:when>
                    <xsl:when test="./i6:value = '126300'">Phragmataecia castaneae (PHRTCA)</xsl:when>
                    <xsl:when test="./i6:value = '126301'">Phragmatobia fuliginosa (PHRBFU)</xsl:when>
                    <xsl:when test="./i6:value = '126302'">Phragmidium americanum (PHRAAM)</xsl:when>
                    <xsl:when test="./i6:value = '126303'">Phragmidium andersonii (PHRAAN)</xsl:when>
                    <xsl:when test="./i6:value = '126304'">Phragmidium bulbosum (PHRABU)</xsl:when>
                    <xsl:when test="./i6:value = '126305'">Phragmidium fusiforme (PHRAFU)</xsl:when>
                    <xsl:when test="./i6:value = '126306'">Phragmidium mucronatum (PHRAMU)</xsl:when>
                    <xsl:when test="./i6:value = '126307'">Phragmidium rosae-pimpinellifoliae (PHRARP)</xsl:when>
                    <xsl:when test="./i6:value = '126308'">Phragmidium rosae-setigerae (PHRARS)</xsl:when>
                    <xsl:when test="./i6:value = '126309'">Phragmidium tuberculatum (PHRATU)</xsl:when>
                    <xsl:when test="./i6:value = '126310'">Phragmidium violaceum (PHRAVI)</xsl:when>
                    <xsl:when test="./i6:value = '126311'">Phragmitiphila truncata (PHRGTR)</xsl:when>
                    <xsl:when test="./i6:value = '126312'">Phragmotelium pauciloculare (PHRLPA)</xsl:when>
                    <xsl:when test="./i6:value = '126313'">Phratora vitellinae (PHRRVI)</xsl:when>
                    <xsl:when test="./i6:value = '126314'">Phratora vulgatissima (PHRRVU)</xsl:when>
                    <xsl:when test="./i6:value = '126315'">Phrixoscelis diospyrosella (PHRIDI)</xsl:when>
                    <xsl:when test="./i6:value = '126316'">Phryganidia californica (PHRYCA)</xsl:when>
                    <xsl:when test="./i6:value = '126317'">Phryneta leprosa (INESLE)</xsl:when>
                    <xsl:when test="./i6:value = '126318'">Phrynorhombus regius (PYNRRE)</xsl:when>
                    <xsl:when test="./i6:value = '126319'">Phrynosoma douglasii (PRYNDO)</xsl:when>
                    <xsl:when test="./i6:value = '126320'">Phthia picta (PHTIPI)</xsl:when>
                    <xsl:when test="./i6:value = '126321'">Phthirus pubis (PHTHPU)</xsl:when>
                    <xsl:when test="./i6:value = '126322'">Phthonandria atrilineata (PHTAAT)</xsl:when>
                    <xsl:when test="./i6:value = '126323'">Phycis blennoides (PYISBL)</xsl:when>
                    <xsl:when test="./i6:value = '126324'">Phycis phycis (PYISPH)</xsl:when>
                    <xsl:when test="./i6:value = '126325'">Phyllachora bersamae (PHYRBE)</xsl:when>
                    <xsl:when test="./i6:value = '126326'">Phyllachora cynodontis (PHYRCY)</xsl:when>
                    <xsl:when test="./i6:value = '126327'">Phyllachora dactylidis (PHYRDA)</xsl:when>
                    <xsl:when test="./i6:value = '126328'">Phyllachora eleusines (PHYREL)</xsl:when>
                    <xsl:when test="./i6:value = '126329'">Phyllachora eximia (PHYREX)</xsl:when>
                    <xsl:when test="./i6:value = '126330'">Phyllachora graminis (PHYRGR)</xsl:when>
                    <xsl:when test="./i6:value = '126331'">Phyllachora gratissima (PHYRGT)</xsl:when>
                    <xsl:when test="./i6:value = '126332'">Phyllachora ischaemi (PHYRIS)</xsl:when>
                    <xsl:when test="./i6:value = '126333'">Phyllachora maydis (PHYRMA)</xsl:when>
                    <xsl:when test="./i6:value = '126334'">Phyllachora musicola (PHYRMU)</xsl:when>
                    <xsl:when test="./i6:value = '126335'">Phyllachora pennisetina (PHYRPE)</xsl:when>
                    <xsl:when test="./i6:value = '126336'">Phyllachora pomigena (GLODPO)</xsl:when>
                    <xsl:when test="./i6:value = '126337'">Phyllachora setariicola (PHYRSE)</xsl:when>
                    <xsl:when test="./i6:value = '126338'">Phyllachora sylvatica (PHYRSY)</xsl:when>
                    <xsl:when test="./i6:value = '126339'">Phyllactinia fraxini (PHYLGR)</xsl:when>
                    <xsl:when test="./i6:value = '126340'">Phyllactinia kakicola (PHYLKA)</xsl:when>
                    <xsl:when test="./i6:value = '126341'">Phyllactinia mali (PHYLGP)</xsl:when>
                    <xsl:when test="./i6:value = '126342'">Phyllactinia moricola (PHYLGM)</xsl:when>
                    <xsl:when test="./i6:value = '126343'">Phyllaphis fagi (PHYAFA)</xsl:when>
                    <xsl:when test="./i6:value = '126344'">Phyllobius calcaratus (PLLBCA)</xsl:when>
                    <xsl:when test="./i6:value = '126345'">Phyllobius intrusus (PLLBIN)</xsl:when>
                    <xsl:when test="./i6:value = '126346'">Phyllobius maculicornis (PLLBMA)</xsl:when>
                    <xsl:when test="./i6:value = '126347'">Phyllobius oblongus (PLLBOB)</xsl:when>
                    <xsl:when test="./i6:value = '126348'">Phyllobius pomaceus (PLLBPM)</xsl:when>
                    <xsl:when test="./i6:value = '126349'">Phyllobius pyri (PLLBPI)</xsl:when>
                    <xsl:when test="./i6:value = '126350'">Phyllocnistis citrella (PHYNCI)</xsl:when>
                    <xsl:when test="./i6:value = '126351'">Phyllocnistis labyrinthella (PHYNSO)</xsl:when>
                    <xsl:when test="./i6:value = '126352'">Phyllocnistis saligna (PHYNSA)</xsl:when>
                    <xsl:when test="./i6:value = '126353'">Phyllocnistis unipunctella (PHYNSU)</xsl:when>
                    <xsl:when test="./i6:value = '126354'">Phyllocnistis vitegenella (PHYNVI)</xsl:when>
                    <xsl:when test="./i6:value = '126355'">Phyllocoptes gracilis (ACEIGR)</xsl:when>
                    <xsl:when test="./i6:value = '126356'">Phyllocoptes vitis (PHYCVI)</xsl:when>
                    <xsl:when test="./i6:value = '126357'">Phyllodecta laticollis (PHDCLA)</xsl:when>
                    <xsl:when test="./i6:value = '126358'">Phyllognathus dionysius (PHLGDI)</xsl:when>
                    <xsl:when test="./i6:value = '126359'">Phyllonorycter coryli (LITHCO)</xsl:when>
                    <xsl:when test="./i6:value = '126360'">Phyllonorycter corylifoliella (PRYCCO)</xsl:when>
                    <xsl:when test="./i6:value = '126361'">Phyllonorycter elmaella (PRYCEL)</xsl:when>
                    <xsl:when test="./i6:value = '126362'">Phyllonorycter issikii (PRYCIS)</xsl:when>
                    <xsl:when test="./i6:value = '126363'">Phyllonorycter maestingella (PRYCMA)</xsl:when>
                    <xsl:when test="./i6:value = '126364'">Phyllonorycter malella (PRYCML)</xsl:when>
                    <xsl:when test="./i6:value = '126365'">Phyllonorycter platani (LITHPL)</xsl:when>
                    <xsl:when test="./i6:value = '126366'">Phyllonorycter populiella (LITHPO)</xsl:when>
                    <xsl:when test="./i6:value = '126367'">Phyllopertha horticola (PHPHHO)</xsl:when>
                    <xsl:when test="./i6:value = '126368'">Phyllophaga fusca (PHYGFS)</xsl:when>
                    <xsl:when test="./i6:value = '126369'">Phyllophaga fusca anxia (PHYGAN)</xsl:when>
                    <xsl:when test="./i6:value = '126370'">Phyllophaga smithi (PHYGSM)</xsl:when>
                    <xsl:when test="./i6:value = '126371'">Phylloporus rhodoxanthus (PYLPRH)</xsl:when>
                    <xsl:when test="./i6:value = '126372'">Phylloscopus trochilus (PLOSTR)</xsl:when>
                    <xsl:when test="./i6:value = '126373'">Phyllosticta ampelicida (GUIGBI)</xsl:when>
                    <xsl:when test="./i6:value = '126374'">Phyllosticta cavendishii (PHYSCA)</xsl:when>
                    <xsl:when test="./i6:value = '126375'">Phyllosticta citriasiana (PHYSCI)</xsl:when>
                    <xsl:when test="./i6:value = '126376'">Phyllosticta citricarpa (GUIGCI)</xsl:when>
                    <xsl:when test="./i6:value = '126377'">Phyllosticta citrimaxima (PHYSCX)</xsl:when>
                    <xsl:when test="./i6:value = '126378'">Phyllosticta coffeicola (PHYSCO)</xsl:when>
                    <xsl:when test="./i6:value = '126379'">Phyllosticta colocasiicola (PHYSCC)</xsl:when>
                    <xsl:when test="./i6:value = '126380'">Phyllosticta eriobotryae (PHYSER)</xsl:when>
                    <xsl:when test="./i6:value = '126381'">Phyllosticta gossypina (PHYSGO)</xsl:when>
                    <xsl:when test="./i6:value = '126382'">Phyllosticta maculata (GUIGMU)</xsl:when>
                    <xsl:when test="./i6:value = '126383'">Phyllosticta medicaginis (PHYSME)</xsl:when>
                    <xsl:when test="./i6:value = '126384'">Phyllosticta minima (PHYSMI)</xsl:when>
                    <xsl:when test="./i6:value = '126385'">Phyllosticta musarum (PHYSMU)</xsl:when>
                    <xsl:when test="./i6:value = '126386'">Phyllosticta nicotianae (PHYSNI)</xsl:when>
                    <xsl:when test="./i6:value = '126387'">Phyllosticta phaseolina (PHYSPH)</xsl:when>
                    <xsl:when test="./i6:value = '126388'">Phyllosticta solitaria (PHYSSL)</xsl:when>
                    <xsl:when test="./i6:value = '126389'">Phyllosticta vaccinii (PHYSVA)</xsl:when>
                    <xsl:when test="./i6:value = '126390'">Phyllosticta zingiberis (PHYSZI)</xsl:when>
                    <xsl:when test="./i6:value = '126391'">Phyllotreta aerea (PHYEAE)</xsl:when>
                    <xsl:when test="./i6:value = '126392'">Phyllotreta albionica (PHYEAL)</xsl:when>
                    <xsl:when test="./i6:value = '126393'">Phyllotreta armoraciae (PHYEAR)</xsl:when>
                    <xsl:when test="./i6:value = '126394'">Phyllotreta atra (PHYEAT)</xsl:when>
                    <xsl:when test="./i6:value = '126395'">Phyllotreta cruciferae (PHYECR)</xsl:when>
                    <xsl:when test="./i6:value = '126396'">Phyllotreta oregonensis (PHYEOR)</xsl:when>
                    <xsl:when test="./i6:value = '126397'">Phyllotreta pusilla (PHYEPU)</xsl:when>
                    <xsl:when test="./i6:value = '126398'">Phyllotreta ramosa (PHYERA)</xsl:when>
                    <xsl:when test="./i6:value = '126399'">Phyllotreta undulata (PHYEUN)</xsl:when>
                    <xsl:when test="./i6:value = '126400'">Phyllotreta vittula (PHYEVU)</xsl:when>
                    <xsl:when test="./i6:value = '126401'">Phylloxera devastatrix (PHYXDE)</xsl:when>
                    <xsl:when test="./i6:value = '126402'">Phylloxera glabra (PHYXGL)</xsl:when>
                    <xsl:when test="./i6:value = '126403'">Phymata crassipes (PYMACR)</xsl:when>
                    <xsl:when test="./i6:value = '126404'">Phymata monstrosa (PYMAMO)</xsl:when>
                    <xsl:when test="./i6:value = '126405'">Phymatocera aterrima (PHMCAT)</xsl:when>
                    <xsl:when test="./i6:value = '126406'">Phymatodes testaceus (PHMATE)</xsl:when>
                    <xsl:when test="./i6:value = '126407'">Phymatotrichopsis omnivora (PHMPOM)</xsl:when>
                    <xsl:when test="./i6:value = '126408'">Physa acuta (PHSAAC)</xsl:when>
                    <xsl:when test="./i6:value = '126409'">Physa fontinalis (PHSAFO)</xsl:when>
                    <xsl:when test="./i6:value = '126410'">Physalospora vaccinii (PHYOVA)</xsl:when>
                    <xsl:when test="./i6:value = '126411'">Physalospora zeae (PHYOZE)</xsl:when>
                    <xsl:when test="./i6:value = '126412'">Physalospora zeicola (PHYOZI)</xsl:when>
                    <xsl:when test="./i6:value = '126413'">Physoderma alfalfae (PHYDAL)</xsl:when>
                    <xsl:when test="./i6:value = '126414'">Physoderma citri (PHYDCI)</xsl:when>
                    <xsl:when test="./i6:value = '126415'">Physoderma maydis (PHYDMA)</xsl:when>
                    <xsl:when test="./i6:value = '126416'">Physoderma trifolii (PHYDTR)</xsl:when>
                    <xsl:when test="./i6:value = '126417'">Physokermes hemicryphus (PHSKHE)</xsl:when>
                    <xsl:when test="./i6:value = '126418'">Physokermes insignicola (PHSKIN)</xsl:when>
                    <xsl:when test="./i6:value = '126419'">Physokermes jezoensis (PHSKJE)</xsl:when>
                    <xsl:when test="./i6:value = '126420'">Physokermes piceae (PHSKPI)</xsl:when>
                    <xsl:when test="./i6:value = '126421'">Physopella zeae (PHLLZE)</xsl:when>
                    <xsl:when test="./i6:value = '126422'">Phytobia cerasiferae (PHYBCF)</xsl:when>
                    <xsl:when test="./i6:value = '126423'">Phytobia ireos (PHYBIR)</xsl:when>
                    <xsl:when test="./i6:value = '126424'">Phytobia pittosporophylli (PHYBPI)</xsl:when>
                    <xsl:when test="./i6:value = '126425'">Phytobia posticata (PHYBPO)</xsl:when>
                    <xsl:when test="./i6:value = '126426'">Phytoecia rufiventris (PHTERU)</xsl:when>
                    <xsl:when test="./i6:value = '126427'">Phytoliriomyza jacarandae (PLIRJA)</xsl:when>
                    <xsl:when test="./i6:value = '126428'">Phytomyza aquilegiae (PHYYAQ)</xsl:when>
                    <xsl:when test="./i6:value = '126429'">Phytomyza delphiniae (PHYYDE)</xsl:when>
                    <xsl:when test="./i6:value = '126430'">Phytomyza gymnostoma (NAPOGY)</xsl:when>
                    <xsl:when test="./i6:value = '126431'">Phytomyza heringiana (PHYYHE)</xsl:when>
                    <xsl:when test="./i6:value = '126432'">Phytomyza ilicicola (PHYYIL)</xsl:when>
                    <xsl:when test="./i6:value = '126433'">Phytomyza ilicis (PHYYIC)</xsl:when>
                    <xsl:when test="./i6:value = '126434'">Phytomyza rufipes (PHYYRU)</xsl:when>
                    <xsl:when test="./i6:value = '126435'">Phytonemus pallidus (TARSPA)</xsl:when>
                    <xsl:when test="./i6:value = '126436'">Phytonemus pallidus asteris (PHTNPA)</xsl:when>
                    <xsl:when test="./i6:value = '126437'">Phytonemus pallidus fragariae (PHTNPF)</xsl:when>
                    <xsl:when test="./i6:value = '126438'">Phytonemus pallidus pallidus (PHTNPP)</xsl:when>
                    <xsl:when test="./i6:value = '126439'">Phytophthora agathidicida (PHYTAG)</xsl:when>
                    <xsl:when test="./i6:value = '126440'">Phytophthora arecae (PHYTAR)</xsl:when>
                    <xsl:when test="./i6:value = '126441'">Phytophthora asparagi (PHYTAS)</xsl:when>
                    <xsl:when test="./i6:value = '126442'">Phytophthora austrocedri (PHYTAU)</xsl:when>
                    <xsl:when test="./i6:value = '126443'">Phytophthora boehmeriae (PHYTBM)</xsl:when>
                    <xsl:when test="./i6:value = '126444'">Phytophthora botryosa (PHYTBO)</xsl:when>
                    <xsl:when test="./i6:value = '126445'">Phytophthora cactorum (PHYTCC)</xsl:when>
                    <xsl:when test="./i6:value = '126446'">Phytophthora cambivora (PHYTCM)</xsl:when>
                    <xsl:when test="./i6:value = '126447'">Phytophthora capsici (PHYTCP)</xsl:when>
                    <xsl:when test="./i6:value = '126448'">Phytophthora castaneae (PHYTKA)</xsl:when>
                    <xsl:when test="./i6:value = '126449'">Phytophthora cinnamomi (PHYTCN)</xsl:when>
                    <xsl:when test="./i6:value = '126450'">Phytophthora citricola (PHYTCI)</xsl:when>
                    <xsl:when test="./i6:value = '126451'">Phytophthora citrophthora (PHYTCO)</xsl:when>
                    <xsl:when test="./i6:value = '126452'">Phytophthora clandestina (PHYTCL)</xsl:when>
                    <xsl:when test="./i6:value = '126453'">Phytophthora colocasiae (PHYTOO)</xsl:when>
                    <xsl:when test="./i6:value = '126454'">Phytophthora cryptogea (PHYTCR)</xsl:when>
                    <xsl:when test="./i6:value = '126455'">Phytophthora drechsleri (PHYTDR)</xsl:when>
                    <xsl:when test="./i6:value = '126456'">Phytophthora erythroseptica (PHYTER)</xsl:when>
                    <xsl:when test="./i6:value = '126457'">Phytophthora foliorum (PHYTFM)</xsl:when>
                    <xsl:when test="./i6:value = '126458'">Phytophthora fragariae (PHYTFR)</xsl:when>
                    <xsl:when test="./i6:value = '126459'">Phytophthora gallica (PHYTGA)</xsl:when>
                    <xsl:when test="./i6:value = '126460'">Phytophthora gonapodyides (PHYTGO)</xsl:when>
                    <xsl:when test="./i6:value = '126461'">Phytophthora heveae (PHYTHE)</xsl:when>
                    <xsl:when test="./i6:value = '126462'">Phytophthora hibernalis (PHYTHI)</xsl:when>
                    <xsl:when test="./i6:value = '126463'">Phytophthora ilicis (PHYTIL)</xsl:when>
                    <xsl:when test="./i6:value = '126464'">Phytophthora infestans (PHYTIN)</xsl:when>
                    <xsl:when test="./i6:value = '126465'">Phytophthora inflata (PHYTIF)</xsl:when>
                    <xsl:when test="./i6:value = '126466'">Phytophthora lateralis (PHYTLA)</xsl:when>
                    <xsl:when test="./i6:value = '126467'">Phytophthora macrochlamydospora (PHYTMA)</xsl:when>
                    <xsl:when test="./i6:value = '126468'">Phytophthora meadii (PHYTMD)</xsl:when>
                    <xsl:when test="./i6:value = '126469'">Phytophthora medicaginis (PHYTMC)</xsl:when>
                    <xsl:when test="./i6:value = '126470'">Phytophthora megasperma (PHYTME)</xsl:when>
                    <xsl:when test="./i6:value = '126471'">Phytophthora multivora (PHYTMU)</xsl:when>
                    <xsl:when test="./i6:value = '126472'">Phytophthora nicotianae var. nicotianae (PHYTNN)</xsl:when>
                    <xsl:when test="./i6:value = '126473'">Phytophthora nicotianae var. parasitica (PHYTNP)</xsl:when>
                    <xsl:when test="./i6:value = '126474'">Phytophthora palmivora (PHYTPL)</xsl:when>
                    <xsl:when test="./i6:value = '126475'">Phytophthora phaseoli (PHYTPH)</xsl:when>
                    <xsl:when test="./i6:value = '126476'">Phytophthora pinifolia (PHYTPF)</xsl:when>
                    <xsl:when test="./i6:value = '126477'">Phytophthora richardiae (PHYTRI)</xsl:when>
                    <xsl:when test="./i6:value = '126478'">Phytophthora rubi (PHYTFU)</xsl:when>
                    <xsl:when test="./i6:value = '126479'">Phytophthora sojae (PHYTMS)</xsl:when>
                    <xsl:when test="./i6:value = '126480'">Phytophthora syringae (PHYTSY)</xsl:when>
                    <xsl:when test="./i6:value = '126481'">Phytophthora vignae (PHYTVI)</xsl:when>
                    <xsl:when test="./i6:value = '126482'">Phytophthora x alni (PHYTAL)</xsl:when>
                    <xsl:when test="./i6:value = '126483'">Phytoplasma allocasuarinae (PHYPAL)</xsl:when>
                    <xsl:when test="./i6:value = '126484'">Phytoplasma asteris (PHYPAS)</xsl:when>
                    <xsl:when test="./i6:value = '126485'">Phytoplasma aurantifolia (PHYPAF)</xsl:when>
                    <xsl:when test="./i6:value = '126486'">Phytoplasma australasia (PHYPAA)</xsl:when>
                    <xsl:when test="./i6:value = '126487'">Phytoplasma australiense (PHYPAU)</xsl:when>
                    <xsl:when test="./i6:value = '126488'">Phytoplasma balanitae (PHYPBA)</xsl:when>
                    <xsl:when test="./i6:value = '126489'">Phytoplasma brasiliense (PHYPBR)</xsl:when>
                    <xsl:when test="./i6:value = '126490'">Phytoplasma caricae (PHYPCC)</xsl:when>
                    <xsl:when test="./i6:value = '126491'">Phytoplasma castaneae (PHYPCA)</xsl:when>
                    <xsl:when test="./i6:value = '126492'">Phytoplasma convolvuli (PHYPCO)</xsl:when>
                    <xsl:when test="./i6:value = '126493'">Phytoplasma costaricanum (PHYPCR)</xsl:when>
                    <xsl:when test="./i6:value = '126494'">Phytoplasma cynodontis (PHYPCY)</xsl:when>
                    <xsl:when test="./i6:value = '126495'">Phytoplasma fragariae (PHYPFG)</xsl:when>
                    <xsl:when test="./i6:value = '126496'">Phytoplasma fraxini (PHYPFR)</xsl:when>
                    <xsl:when test="./i6:value = '126497'">Phytoplasma graminis (PHYPGR)</xsl:when>
                    <xsl:when test="./i6:value = '126498'">Phytoplasma japonicum (PHYPJA)</xsl:when>
                    <xsl:when test="./i6:value = '126499'">Phytoplasma malaysianum (PHYPMY)</xsl:when>
                    <xsl:when test="./i6:value = '126500'">Phytoplasma mali (PHYPMA)</xsl:when>
                    <xsl:when test="./i6:value = '126501'">Phytoplasma omanense (PHYPOM)</xsl:when>
                    <xsl:when test="./i6:value = '126502'">Phytoplasma oryzae (PHYPOR)</xsl:when>
                    <xsl:when test="./i6:value = '126503'">Phytoplasma phoenicium (PHYPPH)</xsl:when>
                    <xsl:when test="./i6:value = '126504'">Phytoplasma pini (PHYPPI)</xsl:when>
                    <xsl:when test="./i6:value = '126505'">Phytoplasma prunorum (PHYPPR)</xsl:when>
                    <xsl:when test="./i6:value = '126506'">Phytoplasma pyri (PHYPPY)</xsl:when>
                    <xsl:when test="./i6:value = '126507'">Phytoplasma rhamni (PHYPRH)</xsl:when>
                    <xsl:when test="./i6:value = '126508'">Phytoplasma rubi (PHYPRU)</xsl:when>
                    <xsl:when test="./i6:value = '126509'">Phytoplasma solani (PHYPSO)</xsl:when>
                    <xsl:when test="./i6:value = '126510'">Phytoplasma spartii (PHYPSQ)</xsl:when>
                    <xsl:when test="./i6:value = '126511'">Phytoplasma sudamericanum (PHYPSU)</xsl:when>
                    <xsl:when test="./i6:value = '126512'">Phytoplasma tamaricis (PHYPTA)</xsl:when>
                    <xsl:when test="./i6:value = '126513'">Phytoplasma trifolii (PHYPTR)</xsl:when>
                    <xsl:when test="./i6:value = '126514'">Phytoplasma ulmi (PHYPUL)</xsl:when>
                    <xsl:when test="./i6:value = '126515'">Phytoplasma ziziphi (PHYPZI)</xsl:when>
                    <xsl:when test="./i6:value = '126516'">Phytoptus pini (PHTPPI)</xsl:when>
                    <xsl:when test="./i6:value = '126517'">Phytoptus quadrisetus (PHTPQU)</xsl:when>
                    <xsl:when test="./i6:value = '126518'">Phytopythium vexans (PYTHVE)</xsl:when>
                    <xsl:when test="./i6:value = '126519'">Pichia anomala (HANSAN)</xsl:when>
                    <xsl:when test="./i6:value = '126520'">Pichia fermentans (PICHFE)</xsl:when>
                    <xsl:when test="./i6:value = '126521'">Picoides pubescens (DENPPU)</xsl:when>
                    <xsl:when test="./i6:value = '126522'">Picoides villosus (DENPVI)</xsl:when>
                    <xsl:when test="./i6:value = '126523'">Picus awokera (PICUAW)</xsl:when>
                    <xsl:when test="./i6:value = '126524'">Picus viridis (PICUVI)</xsl:when>
                    <xsl:when test="./i6:value = '126525'">Piedraia hortae (QIEDHO)</xsl:when>
                    <xsl:when test="./i6:value = '126526'">Pieris brassicae (PIERBR)</xsl:when>
                    <xsl:when test="./i6:value = '126527'">Pieris canidia (PIERCA)</xsl:when>
                    <xsl:when test="./i6:value = '126528'">Pieris melete (PIERME)</xsl:when>
                    <xsl:when test="./i6:value = '126529'">Pieris protodice (PIERPR)</xsl:when>
                    <xsl:when test="./i6:value = '126530'">Piesma maculatum (PIESMA)</xsl:when>
                    <xsl:when test="./i6:value = '126531'">Piesma quadratum (PIESQU)</xsl:when>
                    <xsl:when test="./i6:value = '126532'">Piezodorus guildinii (PIEZGU)</xsl:when>
                    <xsl:when test="./i6:value = '126533'">Piezodorus hybneri (PIEZHY)</xsl:when>
                    <xsl:when test="./i6:value = '126534'">Piezodorus lituratus (PIEZLI)</xsl:when>
                    <xsl:when test="./i6:value = '126535'">Pileolaria pistaciae (PILEPI)</xsl:when>
                    <xsl:when test="./i6:value = '126536'">Pileolaria terebinthi (UROMTE)</xsl:when>
                    <xsl:when test="./i6:value = '126537'">Pilidium acerinum (PILIAC)</xsl:when>
                    <xsl:when test="./i6:value = '126538'">Pilobolus crystallinus (PILBCR)</xsl:when>
                    <xsl:when test="./i6:value = '126539'">Pimelephila ghesquierei (PIMAGH)</xsl:when>
                    <xsl:when test="./i6:value = '126540'">Pimephales notatus (HYBRNO)</xsl:when>
                    <xsl:when test="./i6:value = '126541'">Pimephales promelas (PIMHPR)</xsl:when>
                    <xsl:when test="./i6:value = '126542'">Pineodes pinifoliae (PINDPI)</xsl:when>
                    <xsl:when test="./i6:value = '126543'">Pineus floccus (PINEFL)</xsl:when>
                    <xsl:when test="./i6:value = '126544'">Pineus orientalis (PINEOR)</xsl:when>
                    <xsl:when test="./i6:value = '126545'">Pineus patchae (PINEPA)</xsl:when>
                    <xsl:when test="./i6:value = '126546'">Pineus pineoides (PINEPD)</xsl:when>
                    <xsl:when test="./i6:value = '126547'">Pineus pini (PINEPI)</xsl:when>
                    <xsl:when test="./i6:value = '126548'">Pineus strobi (PINEST)</xsl:when>
                    <xsl:when test="./i6:value = '126549'">Pinnaspis aspidistrae (PINNAS)</xsl:when>
                    <xsl:when test="./i6:value = '126550'">Pinnaspis strachani (PINNST)</xsl:when>
                    <xsl:when test="./i6:value = '126551'">Pinnotheres pisum (PINTPI)</xsl:when>
                    <xsl:when test="./i6:value = '126552'">Pinyonia edulicola (PINYED)</xsl:when>
                    <xsl:when test="./i6:value = '126553'">Piophila casei (PIOPCA)</xsl:when>
                    <xsl:when test="./i6:value = '126554'">Pipistrellus pipistrellus (PIPIPI)</xsl:when>
                    <xsl:when test="./i6:value = '126555'">Pirata piraticus (PIRTPI)</xsl:when>
                    <xsl:when test="./i6:value = '126556'">Pirata subpiraticus (PIRTSU)</xsl:when>
                    <xsl:when test="./i6:value = '126557'">Pisolithus arhizos (PISLTI)</xsl:when>
                    <xsl:when test="./i6:value = '126558'">Pissodes approximatus (PISOAP)</xsl:when>
                    <xsl:when test="./i6:value = '126559'">Pissodes castaneus (PISONO)</xsl:when>
                    <xsl:when test="./i6:value = '126560'">Pissodes cembrae (PISOCE)</xsl:when>
                    <xsl:when test="./i6:value = '126561'">Pissodes dubius (PISODU)</xsl:when>
                    <xsl:when test="./i6:value = '126562'">Pissodes engelmanni (PISOEN)</xsl:when>
                    <xsl:when test="./i6:value = '126563'">Pissodes fasciatus (PISOFA)</xsl:when>
                    <xsl:when test="./i6:value = '126564'">Pissodes murrayanae (PISOMU)</xsl:when>
                    <xsl:when test="./i6:value = '126565'">Pissodes nemorensis (PISONE)</xsl:when>
                    <xsl:when test="./i6:value = '126566'">Pissodes nitidus (PISONI)</xsl:when>
                    <xsl:when test="./i6:value = '126567'">Pissodes obscurus (PISOOB)</xsl:when>
                    <xsl:when test="./i6:value = '126568'">Pissodes pini (PISOPN)</xsl:when>
                    <xsl:when test="./i6:value = '126569'">Pissodes radiatae (PISORA)</xsl:when>
                    <xsl:when test="./i6:value = '126570'">Pissodes rotundatus (PISORO)</xsl:when>
                    <xsl:when test="./i6:value = '126571'">Pissodes schwarzi (PISOSW)</xsl:when>
                    <xsl:when test="./i6:value = '126572'">Pissodes terminalis (PISOTE)</xsl:when>
                    <xsl:when test="./i6:value = '126573'">Pissodes validirostris (PISOVA)</xsl:when>
                    <xsl:when test="./i6:value = '126574'">Pithomyces chartarum (PITHCH)</xsl:when>
                    <xsl:when test="./i6:value = '126575'">Pitta brachyura (PITTBR)</xsl:when>
                    <xsl:when test="./i6:value = '126576'">Pituophis melanoleucus (PITUME)</xsl:when>
                    <xsl:when test="./i6:value = '126577'">Pitymys pinetorum (PITMPI)</xsl:when>
                    <xsl:when test="./i6:value = '126578'">Pitymys subterraneus (PITMSU)</xsl:when>
                    <xsl:when test="./i6:value = '126579'">Pityogenes bidentatus (PITYBD)</xsl:when>
                    <xsl:when test="./i6:value = '126580'">Pityogenes carinulatus (PITYCA)</xsl:when>
                    <xsl:when test="./i6:value = '126581'">Pityogenes knechteli (PITYKN)</xsl:when>
                    <xsl:when test="./i6:value = '126582'">Pityogenes spessivtsevi (PITYSV)</xsl:when>
                    <xsl:when test="./i6:value = '126583'">Pityokteines curvidens (PITKCU)</xsl:when>
                    <xsl:when test="./i6:value = '126584'">Pityokteines sparsus (PITKSA)</xsl:when>
                    <xsl:when test="./i6:value = '126585'">Pityophthorus carmeli (PITOCA)</xsl:when>
                    <xsl:when test="./i6:value = '126586'">Pityophthorus juglandis (PITOJU)</xsl:when>
                    <xsl:when test="./i6:value = '126587'">Pityophthorus pulicarius (PITOPU)</xsl:when>
                    <xsl:when test="./i6:value = '126588'">Pityophthorus sampsoni (PITOSA)</xsl:when>
                    <xsl:when test="./i6:value = '126589'">Plagiodera versicolora (PLAGVE)</xsl:when>
                    <xsl:when test="./i6:value = '126590'">Plagiognathus obscurus (PLAIOB)</xsl:when>
                    <xsl:when test="./i6:value = '126591'">Planchonia arabidis (ASTLAR)</xsl:when>
                    <xsl:when test="./i6:value = '126592'">Planococcoides njalensis (PSECNJ)</xsl:when>
                    <xsl:when test="./i6:value = '126593'">Planococcus citri (PSECCI)</xsl:when>
                    <xsl:when test="./i6:value = '126594'">Planococcus ficus (PLANFI)</xsl:when>
                    <xsl:when test="./i6:value = '126595'">Planococcus halli (PLANHA)</xsl:when>
                    <xsl:when test="./i6:value = '126596'">Planococcus kenyae (PLANKE)</xsl:when>
                    <xsl:when test="./i6:value = '126597'">Planococcus lilacinus (PLANLI)</xsl:when>
                    <xsl:when test="./i6:value = '126598'">Planococcus minor (PLANMI)</xsl:when>
                    <xsl:when test="./i6:value = '126599'">Planorbarius corneus (PLAOCO)</xsl:when>
                    <xsl:when test="./i6:value = '126600'">Plasmopara crustosa (PLASCR)</xsl:when>
                    <xsl:when test="./i6:value = '126601'">Plasmopara halstedii (PLASHA)</xsl:when>
                    <xsl:when test="./i6:value = '126602'">Plasmopara obducens (PLASOB)</xsl:when>
                    <xsl:when test="./i6:value = '126603'">Plasmopara petroselini (PLASPE)</xsl:when>
                    <xsl:when test="./i6:value = '126604'">Plasmopara viburni (PLASVB)</xsl:when>
                    <xsl:when test="./i6:value = '126605'">Plasmopara viticola (PLASVI)</xsl:when>
                    <xsl:when test="./i6:value = '126606'">Platychora ulmi (PLACUL)</xsl:when>
                    <xsl:when test="./i6:value = '126607'">Platycleis albopunctata (PTCLAL)</xsl:when>
                    <xsl:when test="./i6:value = '126608'">Platycnemis pennipes (PLAKPE)</xsl:when>
                    <xsl:when test="./i6:value = '126609'">Platydemus manokwari (PTYDMA)</xsl:when>
                    <xsl:when test="./i6:value = '126610'">Platyedra subcinerea (PLAYSU)</xsl:when>
                    <xsl:when test="./i6:value = '126611'">Platygryllus viator (GRYLVI)</xsl:when>
                    <xsl:when test="./i6:value = '126612'">Platynota flavedana (PLAAFL)</xsl:when>
                    <xsl:when test="./i6:value = '126613'">Platynota idaeusalis (PLAAID)</xsl:when>
                    <xsl:when test="./i6:value = '126614'">Platynota rostrana (PLAARO)</xsl:when>
                    <xsl:when test="./i6:value = '126615'">Platynota stultana (PLAAST)</xsl:when>
                    <xsl:when test="./i6:value = '126616'">Platyparea poeciloptera (PLPRPO)</xsl:when>
                    <xsl:when test="./i6:value = '126617'">Platypeza atra (CLYHAT)</xsl:when>
                    <xsl:when test="./i6:value = '126618'">Platypus biformis (PLTPBI)</xsl:when>
                    <xsl:when test="./i6:value = '126619'">Platypus cylindrus (PLTPCS)</xsl:when>
                    <xsl:when test="./i6:value = '126620'">Platypus froggatti (PLTPFR)</xsl:when>
                    <xsl:when test="./i6:value = '126621'">Platypus quercivorus (PLTPQU)</xsl:when>
                    <xsl:when test="./i6:value = '126622'">Platytetranychus multidigituli (PTETMU)</xsl:when>
                    <xsl:when test="./i6:value = '126623'">Plautia affinis (PLAUAF)</xsl:when>
                    <xsl:when test="./i6:value = '126624'">Plautia stali (PLAUST)</xsl:when>
                    <xsl:when test="./i6:value = '126625'">Plebeius argus (PLEBAR)</xsl:when>
                    <xsl:when test="./i6:value = '126626'">Plecotus auritus (PLKTAU)</xsl:when>
                    <xsl:when test="./i6:value = '126627'">Plectoptera picta (PLCTPI)</xsl:when>
                    <xsl:when test="./i6:value = '126628'">Plectrodera scalator (PLECSC)</xsl:when>
                    <xsl:when test="./i6:value = '126629'">Plectrophenax nivalis (PLEXNI)</xsl:when>
                    <xsl:when test="./i6:value = '126630'">Plegadis falcinellus (PLEGFA)</xsl:when>
                    <xsl:when test="./i6:value = '126631'">Pleiochaeta setosa (PLEISE)</xsl:when>
                    <xsl:when test="./i6:value = '126632'">Plenodomus biglobosus (LEPTBG)</xsl:when>
                    <xsl:when test="./i6:value = '126633'">Plenodomus destruens (PLENDE)</xsl:when>
                    <xsl:when test="./i6:value = '126634'">Plenodomus lindquistii (LEPTLI)</xsl:when>
                    <xsl:when test="./i6:value = '126635'">Plenodomus lingam (LEPTMA)</xsl:when>
                    <xsl:when test="./i6:value = '126636'">Plenodomus tracheiphilus (DEUTTR)</xsl:when>
                    <xsl:when test="./i6:value = '126637'">Pleochaeta lynchii (PLCHLY)</xsl:when>
                    <xsl:when test="./i6:value = '126638'">Pleosphaerulina sojaecola (PHYSSO)</xsl:when>
                    <xsl:when test="./i6:value = '126639'">Pleospora allii (PLEOAL)</xsl:when>
                    <xsl:when test="./i6:value = '126640'">Pleospora betae (PLEOBJ)</xsl:when>
                    <xsl:when test="./i6:value = '126641'">Pleospora calvescens (PLEOCA)</xsl:when>
                    <xsl:when test="./i6:value = '126642'">Pleospora drummondii (PLEODR)</xsl:when>
                    <xsl:when test="./i6:value = '126643'">Pleospora herbarum (PLEOHE)</xsl:when>
                    <xsl:when test="./i6:value = '126644'">Pleospora herbarum f. sp. lycopersici (PLEOHL)</xsl:when>
                    <xsl:when test="./i6:value = '126645'">Pleotrichophorus glandulosus (PLETGL)</xsl:when>
                    <xsl:when test="./i6:value = '126646'">Plesiocoris rugicollis (PLESRU)</xsl:when>
                    <xsl:when test="./i6:value = '126647'">Plesispa reichei (PLEPRE)</xsl:when>
                    <xsl:when test="./i6:value = '126648'">Pleurobrachia pileus (PLBRPI)</xsl:when>
                    <xsl:when test="./i6:value = '126649'">Pleurocybella porrigens (PLCYPO)</xsl:when>
                    <xsl:when test="./i6:value = '126650'">Pleuronectes flesus (PLNCFL)</xsl:when>
                    <xsl:when test="./i6:value = '126651'">Pleuronectes platessa (PLNCPL)</xsl:when>
                    <xsl:when test="./i6:value = '126652'">Pleuroprucha asthenaria (PLPCAS)</xsl:when>
                    <xsl:when test="./i6:value = '126653'">Pleuroprucha insulsaria (PLPCIN)</xsl:when>
                    <xsl:when test="./i6:value = '126654'">Pleuroptya ruralis (SYLERU)</xsl:when>
                    <xsl:when test="./i6:value = '126655'">Pleurotus citrinopileatus (PLEUCI)</xsl:when>
                    <xsl:when test="./i6:value = '126656'">Pleurotus djamor (PLEUDJ)</xsl:when>
                    <xsl:when test="./i6:value = '126657'">Pleurotus eryngii (PLEUEY)</xsl:when>
                    <xsl:when test="./i6:value = '126658'">Pleurotus ostreatus (PLEUOS)</xsl:when>
                    <xsl:when test="./i6:value = '126659'">Pleurotus pulmonarius (PLEUPU)</xsl:when>
                    <xsl:when test="./i6:value = '126660'">Plocaederus ferrugineus (PLCDFE)</xsl:when>
                    <xsl:when test="./i6:value = '126661'">Plocaederus obesus (PLCDOB)</xsl:when>
                    <xsl:when test="./i6:value = '126662'">Ploceus cucullatus (HPHACU)</xsl:when>
                    <xsl:when test="./i6:value = '126663'">Ploceus cucullatus abyssinicus (HPHAAB)</xsl:when>
                    <xsl:when test="./i6:value = '126664'">Ploceus galbula (HPHAGA)</xsl:when>
                    <xsl:when test="./i6:value = '126665'">Ploceus intermedius (PLOCIN)</xsl:when>
                    <xsl:when test="./i6:value = '126666'">Ploceus manyar (PLOCMA)</xsl:when>
                    <xsl:when test="./i6:value = '126667'">Ploceus megarhynchus (PLOCME)</xsl:when>
                    <xsl:when test="./i6:value = '126668'">Ploceus philippinus (PLOCBA)</xsl:when>
                    <xsl:when test="./i6:value = '126669'">Ploceus philippinus burmanicus (PLOCAT)</xsl:when>
                    <xsl:when test="./i6:value = '126670'">Ploceus taeniopterus (HPHATA)</xsl:when>
                    <xsl:when test="./i6:value = '126671'">Ploceus xanthops (HPHAXA)</xsl:when>
                    <xsl:when test="./i6:value = '126672'">Ploioderma lethale (PLOILE)</xsl:when>
                    <xsl:when test="./i6:value = '126673'">Plutella porrectella (PLUTPO)</xsl:when>
                    <xsl:when test="./i6:value = '126674'">Plutella xylostella (PLUTMA)</xsl:when>
                    <xsl:when test="./i6:value = '126675'">Pluteus cervinus (PLUEAT)</xsl:when>
                    <xsl:when test="./i6:value = '126676'">Pluvialis apricaria (PLUVAP)</xsl:when>
                    <xsl:when test="./i6:value = '126677'">Pluvialis dominica (PLUVDO)</xsl:when>
                    <xsl:when test="./i6:value = '126678'">Pneumora inanis (PNEMIN)</xsl:when>
                    <xsl:when test="./i6:value = '126679'">Pnyxia scabiei (PNYXSC)</xsl:when>
                    <xsl:when test="./i6:value = '126680'">Pochonia suchlasporia (PCHOSU)</xsl:when>
                    <xsl:when test="./i6:value = '126681'">Podagrica puncticollis (PODAPU)</xsl:when>
                    <xsl:when test="./i6:value = '126682'">Podapion gallicola (PODPGA)</xsl:when>
                    <xsl:when test="./i6:value = '126683'">Podarcis hispanica (PDRCHI)</xsl:when>
                    <xsl:when test="./i6:value = '126684'">Podarcis muralis (PDRCMU)</xsl:when>
                    <xsl:when test="./i6:value = '126685'">Podargus strigoides (PODGST)</xsl:when>
                    <xsl:when test="./i6:value = '126686'">Podiceps cristatus (PODCCR)</xsl:when>
                    <xsl:when test="./i6:value = '126687'">Podilymbus podiceps (PODLPO)</xsl:when>
                    <xsl:when test="./i6:value = '126688'">Podisma pedestris (PODMPE)</xsl:when>
                    <xsl:when test="./i6:value = '126689'">Podisma sapporensis (PODMSA)</xsl:when>
                    <xsl:when test="./i6:value = '126690'">Podisus maculiventris (PODIMA)</xsl:when>
                    <xsl:when test="./i6:value = '126691'">Podops inuncta (PDPSIN)</xsl:when>
                    <xsl:when test="./i6:value = '126692'">Podosesia aureocincta (PODSAU)</xsl:when>
                    <xsl:when test="./i6:value = '126693'">Podosesia syringae syringae (PODSSS)</xsl:when>
                    <xsl:when test="./i6:value = '126694'">Podosphaera clandestina var. cydoniae (PODOCY)</xsl:when>
                    <xsl:when test="./i6:value = '126695'">Podosphaera euphorbiae (SPHREU)</xsl:when>
                    <xsl:when test="./i6:value = '126696'">Podosphaera fusca (PODOFU)</xsl:when>
                    <xsl:when test="./i6:value = '126697'">Podosphaera macularis (SPHRMA)</xsl:when>
                    <xsl:when test="./i6:value = '126698'">Podosphaera mors-uvae (SPHRMU)</xsl:when>
                    <xsl:when test="./i6:value = '126699'">Podosphaera myrtillina (PODOMY)</xsl:when>
                    <xsl:when test="./i6:value = '126700'">Podosphaera spiraeae (PODOSR)</xsl:when>
                    <xsl:when test="./i6:value = '126701'">Podosphaera xanthii (PODOXA)</xsl:when>
                    <xsl:when test="./i6:value = '126702'">Podura aquatica (PODUAQ)</xsl:when>
                    <xsl:when test="./i6:value = '126703'">Poecilia reticulata (POCIRE)</xsl:when>
                    <xsl:when test="./i6:value = '126704'">Poecilocampa populi (POEOPO)</xsl:when>
                    <xsl:when test="./i6:value = '126705'">Poecilocapsus lineatus (POEALI)</xsl:when>
                    <xsl:when test="./i6:value = '126706'">Poecilocoris latus (POECLA)</xsl:when>
                    <xsl:when test="./i6:value = '126707'">Poecilus cupreus (PTESCU)</xsl:when>
                    <xsl:when test="./i6:value = '126708'">Poekilocerus bufonius (POEIBU)</xsl:when>
                    <xsl:when test="./i6:value = '126709'">Poekilocerus pictus (POEIPI)</xsl:when>
                    <xsl:when test="./i6:value = '126710'">Pogoniulus bilineatus (PGONBI)</xsl:when>
                    <xsl:when test="./i6:value = '126711'">Pogonocherus penicillatus (POGNPE)</xsl:when>
                    <xsl:when test="./i6:value = '126712'">Pogonomyrmex badius (POGOBD)</xsl:when>
                    <xsl:when test="./i6:value = '126713'">Pogonomyrmex barbatus (POGOBA)</xsl:when>
                    <xsl:when test="./i6:value = '126714'">Pogonomyrmex californicus (POGOCA)</xsl:when>
                    <xsl:when test="./i6:value = '126715'">Pogonomyrmex occidentalis (POGOOC)</xsl:when>
                    <xsl:when test="./i6:value = '126716'">Polia nebulosa (POLINE)</xsl:when>
                    <xsl:when test="./i6:value = '126717'">Polistes aurifer (POLEAU)</xsl:when>
                    <xsl:when test="./i6:value = '126718'">Polistes dominulus (POLEDO)</xsl:when>
                    <xsl:when test="./i6:value = '126719'">Polistes fuscatus (POLEFU)</xsl:when>
                    <xsl:when test="./i6:value = '126720'">Polistes macaensis (POLEMC)</xsl:when>
                    <xsl:when test="./i6:value = '126721'">Polistes metricus (POLEME)</xsl:when>
                    <xsl:when test="./i6:value = '126722'">Polistes olivaceus (POLEOL)</xsl:when>
                    <xsl:when test="./i6:value = '126723'">Polistes variabilis (POLEVA)</xsl:when>
                    <xsl:when test="./i6:value = '126724'">Polistes versicolor (POLEVE)</xsl:when>
                    <xsl:when test="./i6:value = '126725'">Pollachius pollachius (PLLCPO)</xsl:when>
                    <xsl:when test="./i6:value = '126726'">Pollachius virens (PLLCVI)</xsl:when>
                    <xsl:when test="./i6:value = '126727'">Pollenia rudis (POLLRU)</xsl:when>
                    <xsl:when test="./i6:value = '126728'">Pollinia pollini (POLNPO)</xsl:when>
                    <xsl:when test="./i6:value = '126729'">Polycaon chilensis (PCAOCH)</xsl:when>
                    <xsl:when test="./i6:value = '126730'">Polychrysia moneta (PLUSMO)</xsl:when>
                    <xsl:when test="./i6:value = '126731'">Polydesma umbricola (PLDSUM)</xsl:when>
                    <xsl:when test="./i6:value = '126732'">Polydesmus angustus (POLDAN)</xsl:when>
                    <xsl:when test="./i6:value = '126733'">Polydesmus complanatus (POLDCM)</xsl:when>
                    <xsl:when test="./i6:value = '126734'">Polydrusus impressifrons (POLOIM)</xsl:when>
                    <xsl:when test="./i6:value = '126735'">Polydrusus pilosus (POLOPI)</xsl:when>
                    <xsl:when test="./i6:value = '126736'">Polyergus rufescens (POLRRU)</xsl:when>
                    <xsl:when test="./i6:value = '126737'">Polygonia c-album (POLACA)</xsl:when>
                    <xsl:when test="./i6:value = '126738'">Polygonia comma (POLACO)</xsl:when>
                    <xsl:when test="./i6:value = '126739'">Polygonia interrogationis (POLAIN)</xsl:when>
                    <xsl:when test="./i6:value = '126740'">Polygraphus jezoensis (POLGJE)</xsl:when>
                    <xsl:when test="./i6:value = '126741'">Polygraphus longifolia (POLGLO)</xsl:when>
                    <xsl:when test="./i6:value = '126742'">Polygraphus major (POLGMA)</xsl:when>
                    <xsl:when test="./i6:value = '126743'">Polygraphus oblongus (POLGOB)</xsl:when>
                    <xsl:when test="./i6:value = '126744'">Polygraphus proximus (POLGPR)</xsl:when>
                    <xsl:when test="./i6:value = '126745'">Polygraphus rufipennis (POLGRU)</xsl:when>
                    <xsl:when test="./i6:value = '126746'">Polygraphus trenchi (POLGTR)</xsl:when>
                    <xsl:when test="./i6:value = '126747'">Polyocha depressella (EMMADE)</xsl:when>
                    <xsl:when test="./i6:value = '126748'">Polyodon spathula (PLDNST)</xsl:when>
                    <xsl:when test="./i6:value = '126749'">Polyommatus amanda (PQLYAM)</xsl:when>
                    <xsl:when test="./i6:value = '126750'">Polyommatus icarus (PQLYIC)</xsl:when>
                    <xsl:when test="./i6:value = '126751'">Polyphylla alba (POLHAL)</xsl:when>
                    <xsl:when test="./i6:value = '126752'">Polyphylla decemlineata (POLHDE)</xsl:when>
                    <xsl:when test="./i6:value = '126753'">Polyphylla fullo (POLHFU)</xsl:when>
                    <xsl:when test="./i6:value = '126754'">Polyphylla perversa (POLHPE)</xsl:when>
                    <xsl:when test="./i6:value = '126755'">Polyplax serrata (POLXSE)</xsl:when>
                    <xsl:when test="./i6:value = '126756'">Polyplax spinulosa (POLXSI)</xsl:when>
                    <xsl:when test="./i6:value = '126757'">Polyploca ridens (POLCRI)</xsl:when>
                    <xsl:when test="./i6:value = '126758'">Polyporus balsameus (POLPBA)</xsl:when>
                    <xsl:when test="./i6:value = '126759'">Polyporus borealis (POLPBO)</xsl:when>
                    <xsl:when test="./i6:value = '126760'">Polyporus squamosus (POLPSQ)</xsl:when>
                    <xsl:when test="./i6:value = '126761'">Polyporus tomentosus (POLPTO)</xsl:when>
                    <xsl:when test="./i6:value = '126762'">Polysarcus denticauda (POLSDE)</xsl:when>
                    <xsl:when test="./i6:value = '126763'">Polyscytalum pustulans (PLSCPU)</xsl:when>
                    <xsl:when test="./i6:value = '126764'">Polystigma amygdalinum (POLTAM)</xsl:when>
                    <xsl:when test="./i6:value = '126765'">Polystigma fulvum (POLTFU)</xsl:when>
                    <xsl:when test="./i6:value = '126766'">Polystigma ochraceum (POLTOC)</xsl:when>
                    <xsl:when test="./i6:value = '126767'">Polystigma rubrum (POLTRU)</xsl:when>
                    <xsl:when test="./i6:value = '126768'">Polystomella caulicola (PSTMCA)</xsl:when>
                    <xsl:when test="./i6:value = '126769'">Pomacea canaliculata (POMACA)</xsl:when>
                    <xsl:when test="./i6:value = '126770'">Pomacea lineata (POMALI)</xsl:when>
                    <xsl:when test="./i6:value = '126771'">Pomacea maculata (POMAIN)</xsl:when>
                    <xsl:when test="./i6:value = '126772'">Pomatias elegans (POMTEL)</xsl:when>
                    <xsl:when test="./i6:value = '126773'">Pomoxis annularis (POMOAN)</xsl:when>
                    <xsl:when test="./i6:value = '126774'">Pomoxis nigromaculatus (POMONI)</xsl:when>
                    <xsl:when test="./i6:value = '126775'">Pomphopoaea sayi (LYTTSA)</xsl:when>
                    <xsl:when test="./i6:value = '126776'">Pompilus cinereus (PMPLCI)</xsl:when>
                    <xsl:when test="./i6:value = '126777'">Poneridia semipullata (GALCSE)</xsl:when>
                    <xsl:when test="./i6:value = '126778'">Pongo pygmaeus (PONGPY)</xsl:when>
                    <xsl:when test="./i6:value = '126779'">Pontania proxima (PONTPR)</xsl:when>
                    <xsl:when test="./i6:value = '126780'">Pontania viminalis (PONTVI)</xsl:when>
                    <xsl:when test="./i6:value = '126781'">Pontia daplidice (PIERDA)</xsl:when>
                    <xsl:when test="./i6:value = '126782'">Pontia occidentalis (PIEROC)</xsl:when>
                    <xsl:when test="./i6:value = '126783'">Popilius disjunctus (ODOADI)</xsl:when>
                    <xsl:when test="./i6:value = '126784'">Popillia japonica (POPIJA)</xsl:when>
                    <xsl:when test="./i6:value = '126785'">Porcellana platycheles (PRCEPL)</xsl:when>
                    <xsl:when test="./i6:value = '126786'">Porcellio laevis (PORCLE)</xsl:when>
                    <xsl:when test="./i6:value = '126787'">Porcellio scaber (PORCSC)</xsl:when>
                    <xsl:when test="./i6:value = '126788'">Poria hypolateritia (PORIHY)</xsl:when>
                    <xsl:when test="./i6:value = '126789'">Poria incrassata (PORIIN)</xsl:when>
                    <xsl:when test="./i6:value = '126790'">Porodaedalea pini (PHELPI)</xsl:when>
                    <xsl:when test="./i6:value = '126791'">Porphyrellus porphyrosporus (PPLLPS)</xsl:when>
                    <xsl:when test="./i6:value = '126792'">Porphyrophora polonica (PORPPO)</xsl:when>
                    <xsl:when test="./i6:value = '126793'">Postia stiptica (TYRMST)</xsl:when>
                    <xsl:when test="./i6:value = '126794'">Potamon orientale (RANGOR)</xsl:when>
                    <xsl:when test="./i6:value = '126795'">Potamopyrgus antipodarum (POTAAN)</xsl:when>
                    <xsl:when test="./i6:value = '126796'">Potebniamyces pyri (POTEPY)</xsl:when>
                    <xsl:when test="./i6:value = '126797'">Potosia cuprea (POTOCU)</xsl:when>
                    <xsl:when test="./i6:value = '126798'">Praelongorthezia praelonga (ORTHPR)</xsl:when>
                    <xsl:when test="./i6:value = '126799'">Praomys natalensis (PRAONA)</xsl:when>
                    <xsl:when test="./i6:value = '126800'">Pratylenchus coffeae (PRATCO)</xsl:when>
                    <xsl:when test="./i6:value = '126801'">Pratylenchus loosi (PRATLO)</xsl:when>
                    <xsl:when test="./i6:value = '126802'">Pratylenchus neglectus (PRATNE)</xsl:when>
                    <xsl:when test="./i6:value = '126803'">Pratylenchus penetrans (PRATPE)</xsl:when>
                    <xsl:when test="./i6:value = '126804'">Pratylenchus vulnus (PRATVU)</xsl:when>
                    <xsl:when test="./i6:value = '126805'">Pratylenchus zeae (PRATZE)</xsl:when>
                    <xsl:when test="./i6:value = '126806'">Praunus flexuosus (PRAUFL)</xsl:when>
                    <xsl:when test="./i6:value = '126807'">Prays citri (PRAYCI)</xsl:when>
                    <xsl:when test="./i6:value = '126808'">Prays endocarpa (PRAYEN)</xsl:when>
                    <xsl:when test="./i6:value = '126809'">Prays fraxinella (PRAYCU)</xsl:when>
                    <xsl:when test="./i6:value = '126810'">Prays oleae (PRAYOL)</xsl:when>
                    <xsl:when test="./i6:value = '126811'">Premnotrypes latithorax (PREMLA)</xsl:when>
                    <xsl:when test="./i6:value = '126812'">Premnotrypes sanfordi (PREMSA)</xsl:when>
                    <xsl:when test="./i6:value = '126813'">Premnotrypes solani (PREMSO)</xsl:when>
                    <xsl:when test="./i6:value = '126814'">Premnotrypes suturicallus (PREMSU)</xsl:when>
                    <xsl:when test="./i6:value = '126815'">Premnotrypes vorax (PREMVO)</xsl:when>
                    <xsl:when test="./i6:value = '126816'">Prionomus calceatus (ODONCA)</xsl:when>
                    <xsl:when test="./i6:value = '126817'">Prionus californicus (PRINCA)</xsl:when>
                    <xsl:when test="./i6:value = '126818'">Prionus coriarius (PRINCO)</xsl:when>
                    <xsl:when test="./i6:value = '126819'">Prionus imbricornis (PRINIM)</xsl:when>
                    <xsl:when test="./i6:value = '126820'">Prionus laticollis (PRINLA)</xsl:when>
                    <xsl:when test="./i6:value = '126821'">Priophorus pallipes (PRIOPA)</xsl:when>
                    <xsl:when test="./i6:value = '126822'">Pristhesancus papuensis (PRIHPA)</xsl:when>
                    <xsl:when test="./i6:value = '126823'">Pristiphora abbreviata (PRISAR)</xsl:when>
                    <xsl:when test="./i6:value = '126824'">Pristiphora abietina (PRISAB)</xsl:when>
                    <xsl:when test="./i6:value = '126825'">Pristiphora alnivora (PRISAL)</xsl:when>
                    <xsl:when test="./i6:value = '126826'">Pristiphora aquilegiae (PRISAQ)</xsl:when>
                    <xsl:when test="./i6:value = '126827'">Pristiphora geniculata (PRISGE)</xsl:when>
                    <xsl:when test="./i6:value = '126828'">Pristiphora grossulariae (PRISGR)</xsl:when>
                    <xsl:when test="./i6:value = '126829'">Pristiphora laricis (PRISLA)</xsl:when>
                    <xsl:when test="./i6:value = '126830'">Pristiphora rufipes (PRISPA)</xsl:when>
                    <xsl:when test="./i6:value = '126831'">Pristiphora wesmaeli (PRISWE)</xsl:when>
                    <xsl:when test="./i6:value = '126832'">Pristis pristis (PSTIPR)</xsl:when>
                    <xsl:when test="./i6:value = '126833'">Procambarus clarkii (PROMCL)</xsl:when>
                    <xsl:when test="./i6:value = '126834'">Procecidochares utilis (PROIUT)</xsl:when>
                    <xsl:when test="./i6:value = '126835'">Prochoreutis myllerana (QCHOAR)</xsl:when>
                    <xsl:when test="./i6:value = '126836'">Prociphilus americanus (PROCAM)</xsl:when>
                    <xsl:when test="./i6:value = '126837'">Prociphilus fraxinifolii (PROCFX)</xsl:when>
                    <xsl:when test="./i6:value = '126838'">Prociphilus kuwanai (PROCKW)</xsl:when>
                    <xsl:when test="./i6:value = '126839'">Prociphilus tessellatus (PARPTE)</xsl:when>
                    <xsl:when test="./i6:value = '126840'">Procloeon bifidum (PCLOBI)</xsl:when>
                    <xsl:when test="./i6:value = '126841'">Procontarinia mangiferae (EROSIN)</xsl:when>
                    <xsl:when test="./i6:value = '126842'">Procontarinia matteiana (PRONMA)</xsl:when>
                    <xsl:when test="./i6:value = '126843'">Procontarinia pustulata (PRONPU)</xsl:when>
                    <xsl:when test="./i6:value = '126844'">Procyon lotor (PROYLO)</xsl:when>
                    <xsl:when test="./i6:value = '126845'">Prodiplosis citrulli (PRDICI)</xsl:when>
                    <xsl:when test="./i6:value = '126846'">Prodiplosis longifila (PRDILO)</xsl:when>
                    <xsl:when test="./i6:value = '126847'">Prodoxus phylloryctus (PRDXPH)</xsl:when>
                    <xsl:when test="./i6:value = '126848'">Profenusa thomsoni (PRFETH)</xsl:when>
                    <xsl:when test="./i6:value = '126849'">Proisotoma minuta (PRMAMI)</xsl:when>
                    <xsl:when test="./i6:value = '126850'">Prolita sexpunctella (PRLASE)</xsl:when>
                    <xsl:when test="./i6:value = '126851'">Promecotheca antiqua (PROHAN)</xsl:when>
                    <xsl:when test="./i6:value = '126852'">Promecotheca caeruleipennis (PROHCO)</xsl:when>
                    <xsl:when test="./i6:value = '126853'">Promecotheca cumingi (PROHCU)</xsl:when>
                    <xsl:when test="./i6:value = '126854'">Promecotheca opacicollis (PROHOP)</xsl:when>
                    <xsl:when test="./i6:value = '126855'">Promecotheca reichei (PROHRE)</xsl:when>
                    <xsl:when test="./i6:value = '126856'">Prophantis smaragdina (PRPHSM)</xsl:when>
                    <xsl:when test="./i6:value = '126857'">Prophysaon andersoni (PRPYAN)</xsl:when>
                    <xsl:when test="./i6:value = '126858'">Propylea quatuordecimpunctata (PROLQU)</xsl:when>
                    <xsl:when test="./i6:value = '126859'">Proserpinus proserpina (PSRPSE)</xsl:when>
                    <xsl:when test="./i6:value = '126860'">Prostephanus truncatus (PROETR)</xsl:when>
                    <xsl:when test="./i6:value = '126861'">Protaetia fusca (PRTTFU)</xsl:when>
                    <xsl:when test="./i6:value = '126862'">Protalebra brasiliensis (PROBBR)</xsl:when>
                    <xsl:when test="./i6:value = '126863'">Protomyces gravidus (PRTMGR)</xsl:when>
                    <xsl:when test="./i6:value = '126864'">Protomyces macrosporus (PRTMMA)</xsl:when>
                    <xsl:when test="./i6:value = '126865'">Protophormia terraenovae (PRTOTE)</xsl:when>
                    <xsl:when test="./i6:value = '126866'">Protopterus annectens (PTPTAN)</xsl:when>
                    <xsl:when test="./i6:value = '126867'">Protopulvinaria pyriformis (PROPPY)</xsl:when>
                    <xsl:when test="./i6:value = '126868'">Prunella modularis (PRUNMO)</xsl:when>
                    <xsl:when test="./i6:value = '126869'">Pryeria sinica (PRYESI)</xsl:when>
                    <xsl:when test="./i6:value = '126870'">Psacothea hilaris (PSACHI)</xsl:when>
                    <xsl:when test="./i6:value = '126871'">Psallus ambiguus (PSALAM)</xsl:when>
                    <xsl:when test="./i6:value = '126872'">Psamathocrita osseella (PSMCOS)</xsl:when>
                    <xsl:when test="./i6:value = '126873'">Psammodromus algirus (PSMMAL)</xsl:when>
                    <xsl:when test="./i6:value = '126874'">Psammotermes hybostoma (PSAOHY)</xsl:when>
                    <xsl:when test="./i6:value = '126875'">Psara periusalis (PACYPE)</xsl:when>
                    <xsl:when test="./i6:value = '126876'">Psathyrella agrariella (PSTHAG)</xsl:when>
                    <xsl:when test="./i6:value = '126877'">Psathyrella candolleana (PSTHCA)</xsl:when>
                    <xsl:when test="./i6:value = '126878'">Psetta maxima (PSTTMA)</xsl:when>
                    <xsl:when test="./i6:value = '126879'">Psettodes erumei (PSTOER)</xsl:when>
                    <xsl:when test="./i6:value = '126880'">Pseudacanthotermes militaris (PSCAMI)</xsl:when>
                    <xsl:when test="./i6:value = '126881'">Pseudacris crucifer (PDACCR)</xsl:when>
                    <xsl:when test="./i6:value = '126882'">Pseudacteon crawfordi (PSTNCR)</xsl:when>
                    <xsl:when test="./i6:value = '126883'">Pseudacysta perseae (PSEYPE)</xsl:when>
                    <xsl:when test="./i6:value = '126884'">Pseudanaphothrips achaetus (PSNTAC)</xsl:when>
                    <xsl:when test="./i6:value = '126885'">Pseudanthonomus crataegi (PSDNCR)</xsl:when>
                    <xsl:when test="./i6:value = '126886'">Pseudanthonomus validus (PSDNVA)</xsl:when>
                    <xsl:when test="./i6:value = '126887'">Pseudaonidia duplex (PSDADU)</xsl:when>
                    <xsl:when test="./i6:value = '126888'">Pseudapophylia smaragdipennis (PSPOSM)</xsl:when>
                    <xsl:when test="./i6:value = '126889'">Pseudatomoscelis seriatus (PSALSE)</xsl:when>
                    <xsl:when test="./i6:value = '126890'">Pseudaulacaspis brimblecombei (PSEABR)</xsl:when>
                    <xsl:when test="./i6:value = '126891'">Pseudaulacaspis cockerelli (PSEACO)</xsl:when>
                    <xsl:when test="./i6:value = '126892'">Pseudaulacaspis eugeniae (PSEAEU)</xsl:when>
                    <xsl:when test="./i6:value = '126893'">Pseudoboletus parasiticus (PSBOPA)</xsl:when>
                    <xsl:when test="./i6:value = '126894'">Pseudocercospora abelmoschi (CERCHI)</xsl:when>
                    <xsl:when test="./i6:value = '126895'">Pseudocercospora angolensis (CERCAN)</xsl:when>
                    <xsl:when test="./i6:value = '126896'">Pseudocercospora arunjae (PSCSAR)</xsl:when>
                    <xsl:when test="./i6:value = '126897'">Pseudocercospora brevis (PSCSBV)</xsl:when>
                    <xsl:when test="./i6:value = '126898'">Pseudocercospora cantuariensis (PSCSCN)</xsl:when>
                    <xsl:when test="./i6:value = '126899'">Pseudocercospora catappae (PSCSCT)</xsl:when>
                    <xsl:when test="./i6:value = '126900'">Pseudocercospora chebulae (PSCSCB)</xsl:when>
                    <xsl:when test="./i6:value = '126901'">Pseudocercospora cladosporioides (CERCCL)</xsl:when>
                    <xsl:when test="./i6:value = '126902'">Pseudocercospora combretacearum (PSCSCC)</xsl:when>
                    <xsl:when test="./i6:value = '126903'">Pseudocercospora combretacearum var. minima (PSCSCM)</xsl:when>
                    <xsl:when test="./i6:value = '126904'">Pseudocercospora fuligena (CERCFU)</xsl:when>
                    <xsl:when test="./i6:value = '126905'">Pseudocercospora hedyotidis (PSCSHY)</xsl:when>
                    <xsl:when test="./i6:value = '126906'">Pseudocercospora kaki (CERCKA)</xsl:when>
                    <xsl:when test="./i6:value = '126907'">Pseudocercospora lythracearum (PSCSLY)</xsl:when>
                    <xsl:when test="./i6:value = '126908'">Pseudocercospora macadamiae (PSCSMA)</xsl:when>
                    <xsl:when test="./i6:value = '126909'">Pseudocercospora myrticola (CERCMY)</xsl:when>
                    <xsl:when test="./i6:value = '126910'">Pseudocercospora neodeightonii (PSCSND)</xsl:when>
                    <xsl:when test="./i6:value = '126911'">Pseudocercospora purpurea (CERCPU)</xsl:when>
                    <xsl:when test="./i6:value = '126912'">Pseudocercospora theae (CERSTH)</xsl:when>
                    <xsl:when test="./i6:value = '126913'">Pseudocercosporella bakeri (PSDCBA)</xsl:when>
                    <xsl:when test="./i6:value = '126914'">Pseudochermes fraxini (PSEHFR)</xsl:when>
                    <xsl:when test="./i6:value = '126915'">Pseudococcus albizziae (PSECAL)</xsl:when>
                    <xsl:when test="./i6:value = '126916'">Pseudococcus calceolariae (PSECGA)</xsl:when>
                    <xsl:when test="./i6:value = '126917'">Pseudococcus citriculus (PSECCC)</xsl:when>
                    <xsl:when test="./i6:value = '126918'">Pseudococcus comstocki (PSECCO)</xsl:when>
                    <xsl:when test="./i6:value = '126919'">Pseudococcus elisae (PSECEL)</xsl:when>
                    <xsl:when test="./i6:value = '126920'">Pseudococcus hispidus (PSECHI)</xsl:when>
                    <xsl:when test="./i6:value = '126921'">Pseudococcus jackbeardsleyi (PSECJB)</xsl:when>
                    <xsl:when test="./i6:value = '126922'">Pseudococcus kraunhiae (PSECKR)</xsl:when>
                    <xsl:when test="./i6:value = '126923'">Pseudococcus maritimus (PSECMA)</xsl:when>
                    <xsl:when test="./i6:value = '126924'">Pseudococcus viburni (PSECOB)</xsl:when>
                    <xsl:when test="./i6:value = '126925'">Pseudocochliobolus eragrostidis (CURVER)</xsl:when>
                    <xsl:when test="./i6:value = '126926'">Pseudocochliobolus pallescens (CURVPA)</xsl:when>
                    <xsl:when test="./i6:value = '126927'">Pseudocochliobolus verruculosus (CURVVE)</xsl:when>
                    <xsl:when test="./i6:value = '126928'">Pseudodacus pallens (PSEOPA)</xsl:when>
                    <xsl:when test="./i6:value = '126929'">Pseudodendrothrips mori (PSETMO)</xsl:when>
                    <xsl:when test="./i6:value = '126930'">Pseudogonatopus hospes (PSDGHO)</xsl:when>
                    <xsl:when test="./i6:value = '126931'">Pseudohylesinus grandis (PSDHGA)</xsl:when>
                    <xsl:when test="./i6:value = '126932'">Pseudohylesinus granulatus (PSDHGR)</xsl:when>
                    <xsl:when test="./i6:value = '126933'">Pseudohylesinus nebulosus (PSDHNE)</xsl:when>
                    <xsl:when test="./i6:value = '126934'">Pseudohylesinus nobilis (PSDHNO)</xsl:when>
                    <xsl:when test="./i6:value = '126935'">Pseudohylesinus sericeus (PSDHSE)</xsl:when>
                    <xsl:when test="./i6:value = '126936'">Pseudohylesinus sitchensis (PSDHSI)</xsl:when>
                    <xsl:when test="./i6:value = '126937'">Pseudohylesinus tsugae (PSDHTS)</xsl:when>
                    <xsl:when test="./i6:value = '126938'">Pseudoips prasinana (PIPSFA)</xsl:when>
                    <xsl:when test="./i6:value = '126939'">Pseudolynchia canariensis (PSELCA)</xsl:when>
                    <xsl:when test="./i6:value = '126940'">Pseudomogoplistes vicentae (PMOGVI)</xsl:when>
                    <xsl:when test="./i6:value = '126941'">Pseudomonas agarici (PSDMAG)</xsl:when>
                    <xsl:when test="./i6:value = '126942'">Pseudomonas amygdali (PSDMAM)</xsl:when>
                    <xsl:when test="./i6:value = '126943'">Pseudomonas asplenii (PSDMAZ)</xsl:when>
                    <xsl:when test="./i6:value = '126944'">Pseudomonas avellanae (PSDMAL)</xsl:when>
                    <xsl:when test="./i6:value = '126945'">Pseudomonas chloroaphis (PSDMCH)</xsl:when>
                    <xsl:when test="./i6:value = '126946'">Pseudomonas cichorii (PSDMCI)</xsl:when>
                    <xsl:when test="./i6:value = '126947'">Pseudomonas corrugata (PSDMCR)</xsl:when>
                    <xsl:when test="./i6:value = '126948'">Pseudomonas fluorescens (PSDMFL)</xsl:when>
                    <xsl:when test="./i6:value = '126949'">Pseudomonas fuscovaginae (PSDMFU)</xsl:when>
                    <xsl:when test="./i6:value = '126950'">Pseudomonas marginalis pv. marginalis (PSDMMS)</xsl:when>
                    <xsl:when test="./i6:value = '126951'">Pseudomonas mediterranea (PSDMMD)</xsl:when>
                    <xsl:when test="./i6:value = '126952'">Pseudomonas putida (PSDMPU)</xsl:when>
                    <xsl:when test="./i6:value = '126953'">Pseudomonas rubrisubalbicans (PSDMRU)</xsl:when>
                    <xsl:when test="./i6:value = '126954'">Pseudomonas savastanoi pv. fraxini (PSDMSF)</xsl:when>
                    <xsl:when test="./i6:value = '126955'">Pseudomonas savastanoi pv. glycinea (PSDMGL)</xsl:when>
                    <xsl:when test="./i6:value = '126956'">Pseudomonas savastanoi pv. nerii (PSDMSN)</xsl:when>
                    <xsl:when test="./i6:value = '126957'">Pseudomonas savastanoi pv. phaseolicola (PSDMPH)</xsl:when>
                    <xsl:when test="./i6:value = '126958'">Pseudomonas savastanoi pv. savastanoi (PSDMSA)</xsl:when>
                    <xsl:when test="./i6:value = '126959'">Pseudomonas syringae pv. actinidiae (PSDMAK)</xsl:when>
                    <xsl:when test="./i6:value = '126960'">Pseudomonas syringae pv. actinidifoliorum (PSDMAF)</xsl:when>
                    <xsl:when test="./i6:value = '126961'">Pseudomonas syringae pv. aesculi (PSDMAX)</xsl:when>
                    <xsl:when test="./i6:value = '126962'">Pseudomonas syringae pv. antirrhini (PSDMAN)</xsl:when>
                    <xsl:when test="./i6:value = '126963'">Pseudomonas syringae pv. apii (PSDMAP)</xsl:when>
                    <xsl:when test="./i6:value = '126964'">Pseudomonas syringae pv. aptata (PSDMPT)</xsl:when>
                    <xsl:when test="./i6:value = '126965'">Pseudomonas syringae pv. atrofaciens (PSDMAT)</xsl:when>
                    <xsl:when test="./i6:value = '126966'">Pseudomonas syringae pv. cannabina (PSDMCN)</xsl:when>
                    <xsl:when test="./i6:value = '126967'">Pseudomonas syringae pv. coronafaciens (PSDMCO)</xsl:when>
                    <xsl:when test="./i6:value = '126968'">Pseudomonas syringae pv. delphinii (PSDMDE)</xsl:when>
                    <xsl:when test="./i6:value = '126969'">Pseudomonas syringae pv. eriobotryae (PSDMER)</xsl:when>
                    <xsl:when test="./i6:value = '126970'">Pseudomonas syringae pv. garcae (PSDMGC)</xsl:when>
                    <xsl:when test="./i6:value = '126971'">Pseudomonas syringae pv. lachrymans (PSDMLA)</xsl:when>
                    <xsl:when test="./i6:value = '126972'">Pseudomonas syringae pv. maculicola (PSDMMC)</xsl:when>
                    <xsl:when test="./i6:value = '126973'">Pseudomonas syringae pv. mellea (PSDMME)</xsl:when>
                    <xsl:when test="./i6:value = '126974'">Pseudomonas syringae pv. mori (PSDMMO)</xsl:when>
                    <xsl:when test="./i6:value = '126975'">Pseudomonas syringae pv. mors-prunorum (PSDMMP)</xsl:when>
                    <xsl:when test="./i6:value = '126976'">Pseudomonas syringae pv. papulans (PSDMPA)</xsl:when>
                    <xsl:when test="./i6:value = '126977'">Pseudomonas syringae pv. passiflorae (PSDMPF)</xsl:when>
                    <xsl:when test="./i6:value = '126978'">Pseudomonas syringae pv. persicae (PSDMPE)</xsl:when>
                    <xsl:when test="./i6:value = '126979'">Pseudomonas syringae pv. pisi (PSDMPI)</xsl:when>
                    <xsl:when test="./i6:value = '126980'">Pseudomonas syringae pv. porri (PSDMPR)</xsl:when>
                    <xsl:when test="./i6:value = '126981'">Pseudomonas syringae pv. sesami (PSDMSS)</xsl:when>
                    <xsl:when test="./i6:value = '126982'">Pseudomonas syringae pv. striafaciens (PSDMST)</xsl:when>
                    <xsl:when test="./i6:value = '126983'">Pseudomonas syringae pv. syringae (PSDMSY)</xsl:when>
                    <xsl:when test="./i6:value = '126984'">Pseudomonas syringae pv. tabaci (PSDMTA)</xsl:when>
                    <xsl:when test="./i6:value = '126985'">Pseudomonas syringae pv. tagetis (PSDMTG)</xsl:when>
                    <xsl:when test="./i6:value = '126986'">Pseudomonas syringae pv. theae (PSDMTH)</xsl:when>
                    <xsl:when test="./i6:value = '126987'">Pseudomonas syringae pv. tomato (PSDMTM)</xsl:when>
                    <xsl:when test="./i6:value = '126988'">Pseudomonas syringae pv. ulmi (PSDMUL)</xsl:when>
                    <xsl:when test="./i6:value = '126989'">Pseudomonas tolaasii (PSDMTL)</xsl:when>
                    <xsl:when test="./i6:value = '126990'">Pseudomonas viridiflava (PSDMVF)</xsl:when>
                    <xsl:when test="./i6:value = '126991'">Pseudomyrmex ferrugineus (PSMYFE)</xsl:when>
                    <xsl:when test="./i6:value = '126992'">Pseudonectria pachysandricola (PSNEPA)</xsl:when>
                    <xsl:when test="./i6:value = '126993'">Pseudoperonospora cannabina (PSPECA)</xsl:when>
                    <xsl:when test="./i6:value = '126994'">Pseudoperonospora cubensis (PSPECU)</xsl:when>
                    <xsl:when test="./i6:value = '126995'">Pseudoperonospora humuli (PSPEHU)</xsl:when>
                    <xsl:when test="./i6:value = '126996'">Pseudopezicula tetraspora (PSPUTE)</xsl:when>
                    <xsl:when test="./i6:value = '126997'">Pseudopeziza medicaginis (PSPZME)</xsl:when>
                    <xsl:when test="./i6:value = '126998'">Pseudopeziza medicaginis f. sp. medicaginis-sativae (PSPZTS)</xsl:when>
                    <xsl:when test="./i6:value = '126999'">Pseudopeziza medicaginis f. sp.medicaginis-lupulinae (PSPZTL)</xsl:when>
                    <xsl:when test="./i6:value = '127000'">Pseudopeziza tracheiphila (PSPZTR)</xsl:when>
                    <xsl:when test="./i6:value = '127001'">Pseudopeziza trifolii (PSPZTI)</xsl:when>
                    <xsl:when test="./i6:value = '127002'">Pseudopeziza trifolii f. sp. trifolii-pratensis (PSPZTP)</xsl:when>
                    <xsl:when test="./i6:value = '127003'">Pseudophaeolus baudonii (PSPHBA)</xsl:when>
                    <xsl:when test="./i6:value = '127004'">Pseudophilus testaceus (PSEITE)</xsl:when>
                    <xsl:when test="./i6:value = '127005'">Pseudopityophthorus minutissimus (PSDPMI)</xsl:when>
                    <xsl:when test="./i6:value = '127006'">Pseudopityophthorus pruinosus (PSDPPR)</xsl:when>
                    <xsl:when test="./i6:value = '127007'">Pseudopityophthorus pubipennis (PSDPPU)</xsl:when>
                    <xsl:when test="./i6:value = '127008'">Pseudoseptoria donacis (SELEDO)</xsl:when>
                    <xsl:when test="./i6:value = '127009'">Pseudotelphusa scalella (PTLPSC)</xsl:when>
                    <xsl:when test="./i6:value = '127010'">Pseudotheraptus wayi (PSDTWA)</xsl:when>
                    <xsl:when test="./i6:value = '127011'">Psilocybe semilanceata (PSCYSE)</xsl:when>
                    <xsl:when test="./i6:value = '127012'">Psilocybe subaeruginosa (PSCYSU)</xsl:when>
                    <xsl:when test="./i6:value = '127013'">Psittacula krameri (PSICKR)</xsl:when>
                    <xsl:when test="./i6:value = '127014'">Psittacus erithacus (PSTCER)</xsl:when>
                    <xsl:when test="./i6:value = '127015'">Psophus stridulus (PSOHST)</xsl:when>
                    <xsl:when test="./i6:value = '127016'">Psoricoptera gibbosella (PSCRGI)</xsl:when>
                    <xsl:when test="./i6:value = '127017'">Psorobia ovis (PSRBOV)</xsl:when>
                    <xsl:when test="./i6:value = '127018'">Psorophora ciliata (PSOPCI)</xsl:when>
                    <xsl:when test="./i6:value = '127019'">Psorophora columbiae (PSOPCL)</xsl:when>
                    <xsl:when test="./i6:value = '127020'">Psorophora ferox (PSOPFE)</xsl:when>
                    <xsl:when test="./i6:value = '127021'">Psoroptes equi (PSOREQ)</xsl:when>
                    <xsl:when test="./i6:value = '127022'">Psoroptes ovis (PSOROV)</xsl:when>
                    <xsl:when test="./i6:value = '127023'">Psorosticha melanocrepida (PSOSME)</xsl:when>
                    <xsl:when test="./i6:value = '127024'">Psorosticha zizyphi (PSOSZI)</xsl:when>
                    <xsl:when test="./i6:value = '127025'">Psyche casta (PSCHCA)</xsl:when>
                    <xsl:when test="./i6:value = '127026'">Psychoda alternata (PSYCAL)</xsl:when>
                    <xsl:when test="./i6:value = '127027'">Psylla alni (PSYLAL)</xsl:when>
                    <xsl:when test="./i6:value = '127028'">Psylla buxi (PSYLBU)</xsl:when>
                    <xsl:when test="./i6:value = '127029'">Psylla mali (PSYLMA)</xsl:when>
                    <xsl:when test="./i6:value = '127030'">Psylliodes affinis (PSYIAF)</xsl:when>
                    <xsl:when test="./i6:value = '127031'">Psylliodes angusticollis (PSYIAN)</xsl:when>
                    <xsl:when test="./i6:value = '127032'">Psylliodes attenuata (PSYIAT)</xsl:when>
                    <xsl:when test="./i6:value = '127033'">Psylliodes chrysocephala (PSYICH)</xsl:when>
                    <xsl:when test="./i6:value = '127034'">Psylliodes convexior (PSYICO)</xsl:when>
                    <xsl:when test="./i6:value = '127035'">Psylliodes hyoscyami (PSYIHY)</xsl:when>
                    <xsl:when test="./i6:value = '127036'">Psylliodes punctifrons (PSYIPF)</xsl:when>
                    <xsl:when test="./i6:value = '127037'">Psylliodes punctulata (PSYIPU)</xsl:when>
                    <xsl:when test="./i6:value = '127038'">Psyllobora vigintiduopunctata (PSYBVI)</xsl:when>
                    <xsl:when test="./i6:value = '127039'">Pterochloroides persicae (PTECPE)</xsl:when>
                    <xsl:when test="./i6:value = '127040'">Pterocles orientalis (PRKLOR)</xsl:when>
                    <xsl:when test="./i6:value = '127041'">Pterocomma salicis (PTEOSA)</xsl:when>
                    <xsl:when test="./i6:value = '127042'">Pterocomma smithiae (PTEOSM)</xsl:when>
                    <xsl:when test="./i6:value = '127043'">Pterohelaeus darlingensis (PTEHDA)</xsl:when>
                    <xsl:when test="./i6:value = '127044'">Pteroma pendula (CREAPE)</xsl:when>
                    <xsl:when test="./i6:value = '127045'">Pteromalus puparum (PTERPU)</xsl:when>
                    <xsl:when test="./i6:value = '127046'">Pteromys volans (PTRMVO)</xsl:when>
                    <xsl:when test="./i6:value = '127047'">Pteronemobius heydenii (PTEEHE)</xsl:when>
                    <xsl:when test="./i6:value = '127048'">Pterophorus pentadactylus (PTRHPE)</xsl:when>
                    <xsl:when test="./i6:value = '127049'">Pterostichus madidus (PTESMA)</xsl:when>
                    <xsl:when test="./i6:value = '127050'">Pterostichus melanarius (PTESML)</xsl:when>
                    <xsl:when test="./i6:value = '127051'">Pterostoma palpina (PTRSPA)</xsl:when>
                    <xsl:when test="./i6:value = '127052'">Ptilineurus marmoratus (PTLNMA)</xsl:when>
                    <xsl:when test="./i6:value = '127053'">Ptilinus pectinicornis (PTIIPE)</xsl:when>
                    <xsl:when test="./i6:value = '127054'">Ptilocercus lowii (PTLCLO)</xsl:when>
                    <xsl:when test="./i6:value = '127055'">Ptilodon capucina (PTLOCA)</xsl:when>
                    <xsl:when test="./i6:value = '127056'">Ptinus clavipes (PTINCL)</xsl:when>
                    <xsl:when test="./i6:value = '127057'">Ptinus fur (PTINFU)</xsl:when>
                    <xsl:when test="./i6:value = '127058'">Ptinus ocellus (PTINOC)</xsl:when>
                    <xsl:when test="./i6:value = '127059'">Ptinus raptor (PTINRA)</xsl:when>
                    <xsl:when test="./i6:value = '127060'">Ptinus tectus (PTINTE)</xsl:when>
                    <xsl:when test="./i6:value = '127061'">Ptinus villiger (PTINVI)</xsl:when>
                    <xsl:when test="./i6:value = '127062'">Ptocheuusa paupella (PTUUPA)</xsl:when>
                    <xsl:when test="./i6:value = '127063'">Ptycholomoides aeriferana (PTYCAE)</xsl:when>
                    <xsl:when test="./i6:value = '127064'">Ptychoverpa bohemica (PTYVBO)</xsl:when>
                    <xsl:when test="./i6:value = '127065'">Puccinia aegopodii (PUCCAG)</xsl:when>
                    <xsl:when test="./i6:value = '127066'">Puccinia allii (PUCCAL)</xsl:when>
                    <xsl:when test="./i6:value = '127067'">Puccinia angelicae (PUCCAK)</xsl:when>
                    <xsl:when test="./i6:value = '127068'">Puccinia antirrhini (PUCCAN)</xsl:when>
                    <xsl:when test="./i6:value = '127069'">Puccinia apii (PUCCAP)</xsl:when>
                    <xsl:when test="./i6:value = '127070'">Puccinia arachidis (PUCCAR)</xsl:when>
                    <xsl:when test="./i6:value = '127071'">Puccinia arenariae (PUCCAE)</xsl:when>
                    <xsl:when test="./i6:value = '127072'">Puccinia argentata (PUCCAH)</xsl:when>
                    <xsl:when test="./i6:value = '127073'">Puccinia asparagi (PUCCAS)</xsl:when>
                    <xsl:when test="./i6:value = '127074'">Puccinia brachypodii var. poae-nemoralis (PUCCBP)</xsl:when>
                    <xsl:when test="./i6:value = '127075'">Puccinia canaliculata (PUCCCN)</xsl:when>
                    <xsl:when test="./i6:value = '127076'">Puccinia carduorum (PUCCCD)</xsl:when>
                    <xsl:when test="./i6:value = '127077'">Puccinia cari-bistortae (PUCCCB)</xsl:when>
                    <xsl:when test="./i6:value = '127078'">Puccinia caricina var. pringsheimiana (PUCCCP)</xsl:when>
                    <xsl:when test="./i6:value = '127079'">Puccinia carthami (PUCCCR)</xsl:when>
                    <xsl:when test="./i6:value = '127080'">Puccinia cerasi (PUCCCE)</xsl:when>
                    <xsl:when test="./i6:value = '127081'">Puccinia chondrillina (PUCCHO)</xsl:when>
                    <xsl:when test="./i6:value = '127082'">Puccinia chrysanthemi (PUCCCH)</xsl:when>
                    <xsl:when test="./i6:value = '127083'">Puccinia coronata (PUCCCO)</xsl:when>
                    <xsl:when test="./i6:value = '127084'">Puccinia coronata f. sp. agrostidis (PUCCCG)</xsl:when>
                    <xsl:when test="./i6:value = '127085'">Puccinia coronata f. sp. alopecuri (PUCCCC)</xsl:when>
                    <xsl:when test="./i6:value = '127086'">Puccinia coronata f. sp. avenae (PUCCCA)</xsl:when>
                    <xsl:when test="./i6:value = '127087'">Puccinia coronata f. sp. festucae (PUCCCF)</xsl:when>
                    <xsl:when test="./i6:value = '127088'">Puccinia coronata f. sp. lolii (PUCCCL)</xsl:when>
                    <xsl:when test="./i6:value = '127089'">Puccinia cynodontis (PUCCCY)</xsl:when>
                    <xsl:when test="./i6:value = '127090'">Puccinia dichondrae (PUCCDC)</xsl:when>
                    <xsl:when test="./i6:value = '127091'">Puccinia elymi (PUCCEL)</xsl:when>
                    <xsl:when test="./i6:value = '127092'">Puccinia emaculata (PUCCEM)</xsl:when>
                    <xsl:when test="./i6:value = '127093'">Puccinia gladioli (PUCCGL)</xsl:when>
                    <xsl:when test="./i6:value = '127094'">Puccinia glomerata (PUCCGO)</xsl:when>
                    <xsl:when test="./i6:value = '127095'">Puccinia graminis (PUCCGR)</xsl:when>
                    <xsl:when test="./i6:value = '127096'">Puccinia graminis f. sp. avenae (PUCCGA)</xsl:when>
                    <xsl:when test="./i6:value = '127097'">Puccinia graminis f. sp. poae (PUCCGP)</xsl:when>
                    <xsl:when test="./i6:value = '127098'">Puccinia graminis f. sp. tritici (PUCCGT)</xsl:when>
                    <xsl:when test="./i6:value = '127099'">Puccinia graminis subsp. graminicola (PUCCGM)</xsl:when>
                    <xsl:when test="./i6:value = '127100'">Puccinia granularis (PUCCGN)</xsl:when>
                    <xsl:when test="./i6:value = '127101'">Puccinia helianthi (PUCCHE)</xsl:when>
                    <xsl:when test="./i6:value = '127102'">Puccinia hemerocallidis (PUCCHM)</xsl:when>
                    <xsl:when test="./i6:value = '127103'">Puccinia heucherae (PUCCHC)</xsl:when>
                    <xsl:when test="./i6:value = '127104'">Puccinia hordei (PUCCHD)</xsl:when>
                    <xsl:when test="./i6:value = '127105'">Puccinia hydrocotyles (PUCCHY)</xsl:when>
                    <xsl:when test="./i6:value = '127106'">Puccinia iridis (PUCCIR)</xsl:when>
                    <xsl:when test="./i6:value = '127107'">Puccinia jackyana (PUCCJA)</xsl:when>
                    <xsl:when test="./i6:value = '127108'">Puccinia komarovii (PUCCKO)</xsl:when>
                    <xsl:when test="./i6:value = '127109'">Puccinia komarovii var. glanduliferae (PUCCKG)</xsl:when>
                    <xsl:when test="./i6:value = '127110'">Puccinia kuehnii (PUCCKU)</xsl:when>
                    <xsl:when test="./i6:value = '127111'">Puccinia lagenophorae (PUCCLG)</xsl:when>
                    <xsl:when test="./i6:value = '127112'">Puccinia malvacearum (PUCCMA)</xsl:when>
                    <xsl:when test="./i6:value = '127113'">Puccinia melanocephala (PUCCML)</xsl:when>
                    <xsl:when test="./i6:value = '127114'">Puccinia menthae (PUCCME)</xsl:when>
                    <xsl:when test="./i6:value = '127115'">Puccinia nitida (PUCCNI)</xsl:when>
                    <xsl:when test="./i6:value = '127116'">Puccinia oahuensis (PUCCOA)</xsl:when>
                    <xsl:when test="./i6:value = '127117'">Puccinia obscura (PUCCOS)</xsl:when>
                    <xsl:when test="./i6:value = '127118'">Puccinia paulensis (PUCCPA)</xsl:when>
                    <xsl:when test="./i6:value = '127119'">Puccinia pelargonii-zonalis (PUCCPZ)</xsl:when>
                    <xsl:when test="./i6:value = '127120'">Puccinia phragmitis (PUCCPH)</xsl:when>
                    <xsl:when test="./i6:value = '127121'">Puccinia pittieriana (PUCCPT)</xsl:when>
                    <xsl:when test="./i6:value = '127122'">Puccinia poarum (PUCCPR)</xsl:when>
                    <xsl:when test="./i6:value = '127123'">Puccinia polysora (PUCCPY)</xsl:when>
                    <xsl:when test="./i6:value = '127124'">Puccinia porri (PUCCPO)</xsl:when>
                    <xsl:when test="./i6:value = '127125'">Puccinia punctiformis (PUCCPF)</xsl:when>
                    <xsl:when test="./i6:value = '127126'">Puccinia purpurea (PUCCPU)</xsl:when>
                    <xsl:when test="./i6:value = '127127'">Puccinia recondita (PUCCRE)</xsl:when>
                    <xsl:when test="./i6:value = '127128'">Puccinia recondita  f. sp. recondita (PUCCRR)</xsl:when>
                    <xsl:when test="./i6:value = '127129'">Puccinia ribesii-caricis (PUCCRC)</xsl:when>
                    <xsl:when test="./i6:value = '127130'">Puccinia ribis (PUCCRI)</xsl:when>
                    <xsl:when test="./i6:value = '127131'">Puccinia rubiginosa (PUCCRU)</xsl:when>
                    <xsl:when test="./i6:value = '127132'">Puccinia schedonnardi (PUCCSC)</xsl:when>
                    <xsl:when test="./i6:value = '127133'">Puccinia sorghi (PUCCSO)</xsl:when>
                    <xsl:when test="./i6:value = '127134'">Puccinia striiformis (PUCCST)</xsl:when>
                    <xsl:when test="./i6:value = '127135'">Puccinia striiformoides (PUCCSD)</xsl:when>
                    <xsl:when test="./i6:value = '127136'">Puccinia substriata (PUCCSU)</xsl:when>
                    <xsl:when test="./i6:value = '127137'">Puccinia thaliae (PUCCTH)</xsl:when>
                    <xsl:when test="./i6:value = '127138'">Puccinia triticina (PUCCRT)</xsl:when>
                    <xsl:when test="./i6:value = '127139'">Puccinia verruca (PUCCVE)</xsl:when>
                    <xsl:when test="./i6:value = '127140'">Puccinia zoysiae (PUCCZO)</xsl:when>
                    <xsl:when test="./i6:value = '127141'">Pucciniastrum americanum (PUCIAM)</xsl:when>
                    <xsl:when test="./i6:value = '127142'">Pucciniastrum areolatum (PUCIAR)</xsl:when>
                    <xsl:when test="./i6:value = '127143'">Pucciniastrum goeppertianum (PUCIGO)</xsl:when>
                    <xsl:when test="./i6:value = '127144'">Pucciniastrum hydrangeae (PUCIHY)</xsl:when>
                    <xsl:when test="./i6:value = '127145'">Puffinus gravis (PUFFGR)</xsl:when>
                    <xsl:when test="./i6:value = '127146'">Pulex irritans (PULXIR)</xsl:when>
                    <xsl:when test="./i6:value = '127147'">Pulvinaria acericola (PULVAC)</xsl:when>
                    <xsl:when test="./i6:value = '127148'">Pulvinaria aethiopica (PULVAE)</xsl:when>
                    <xsl:when test="./i6:value = '127149'">Pulvinaria amygdali (PULVAM)</xsl:when>
                    <xsl:when test="./i6:value = '127150'">Pulvinaria cellulosa (PULVCE)</xsl:when>
                    <xsl:when test="./i6:value = '127151'">Pulvinaria eugeniae (PULVEU)</xsl:when>
                    <xsl:when test="./i6:value = '127152'">Pulvinaria horii (LECAHO)</xsl:when>
                    <xsl:when test="./i6:value = '127153'">Pulvinaria hydrangeae (PULVHY)</xsl:when>
                    <xsl:when test="./i6:value = '127154'">Pulvinaria kuwacola (PULVKU)</xsl:when>
                    <xsl:when test="./i6:value = '127155'">Pulvinaria mammeae (PULVMM)</xsl:when>
                    <xsl:when test="./i6:value = '127156'">Pulvinaria maxima (PULVMA)</xsl:when>
                    <xsl:when test="./i6:value = '127157'">Pulvinaria mesembryanthemi (PULVME)</xsl:when>
                    <xsl:when test="./i6:value = '127158'">Pulvinaria nipponica (PULVCI)</xsl:when>
                    <xsl:when test="./i6:value = '127159'">Pulvinaria occidentalis (PULVOC)</xsl:when>
                    <xsl:when test="./i6:value = '127160'">Pulvinaria psidii (PULVPS)</xsl:when>
                    <xsl:when test="./i6:value = '127161'">Pulvinaria regalis (PULVRE)</xsl:when>
                    <xsl:when test="./i6:value = '127162'">Pulvinaria urbicola (PULVUR)</xsl:when>
                    <xsl:when test="./i6:value = '127163'">Pulvinaria vitis (PULVVI)</xsl:when>
                    <xsl:when test="./i6:value = '127164'">Punctodera chalcoensis (PUNCCH)</xsl:when>
                    <xsl:when test="./i6:value = '127165'">Punctodera punctata (HETDPU)</xsl:when>
                    <xsl:when test="./i6:value = '127166'">Punctum pygmaeum (PNCTPY)</xsl:when>
                    <xsl:when test="./i6:value = '127167'">Pungitius pungitius (PUNGPU)</xsl:when>
                    <xsl:when test="./i6:value = '127168'">Pupilla muscorum (PUPIMU)</xsl:when>
                    <xsl:when test="./i6:value = '127169'">Purpureocillium lilacinum (PAECLI)</xsl:when>
                    <xsl:when test="./i6:value = '127170'">Puto antennatus (PUTOAN)</xsl:when>
                    <xsl:when test="./i6:value = '127171'">Pycnoderes quadrimaculatus (PYCOQU)</xsl:when>
                    <xsl:when test="./i6:value = '127172'">Pycnogonum littorale (PYCGLI)</xsl:when>
                    <xsl:when test="./i6:value = '127173'">Pycnonotus tricolor (PYKNTR)</xsl:when>
                    <xsl:when test="./i6:value = '127174'">Pycnoporus coccineus (PYCPCO)</xsl:when>
                    <xsl:when test="./i6:value = '127175'">Pycnoscelus surinamensis (PYCSSU)</xsl:when>
                    <xsl:when test="./i6:value = '127176'">Pycnostysanus azaleae (PYCZAZ)</xsl:when>
                    <xsl:when test="./i6:value = '127177'">Pyemotes herfsi (PYEMHE)</xsl:when>
                    <xsl:when test="./i6:value = '127178'">Pyemotes tritici (PYEMTR)</xsl:when>
                    <xsl:when test="./i6:value = '127179'">Pyemotes ventricosus (PYEMVE)</xsl:when>
                    <xsl:when test="./i6:value = '127180'">Pygomenida bengalensis (PYGOBE)</xsl:when>
                    <xsl:when test="./i6:value = '127181'">Pyralis farinalis (PYRAFA)</xsl:when>
                    <xsl:when test="./i6:value = '127182'">Pyramidula rupestris (PYMDRU)</xsl:when>
                    <xsl:when test="./i6:value = '127183'">Pyrausta aurata (PYRUAU)</xsl:when>
                    <xsl:when test="./i6:value = '127184'">Pyrausta varialis (PYRUVA)</xsl:when>
                    <xsl:when test="./i6:value = '127185'">Pyrenochaeta lycopersici (PYRELY)</xsl:when>
                    <xsl:when test="./i6:value = '127186'">Pyrenochaeta oryzae (PYREOR)</xsl:when>
                    <xsl:when test="./i6:value = '127187'">Pyrenopeziza brassicae (PYRPBR)</xsl:when>
                    <xsl:when test="./i6:value = '127188'">Pyrenophora bromi (PYRNBR)</xsl:when>
                    <xsl:when test="./i6:value = '127189'">Pyrenophora erythrospila (PYRNER)</xsl:when>
                    <xsl:when test="./i6:value = '127190'">Pyrenophora graminea (PYRNGR)</xsl:when>
                    <xsl:when test="./i6:value = '127191'">Pyrenophora lolii (DRECSI)</xsl:when>
                    <xsl:when test="./i6:value = '127192'">Pyrenophora teres (PYRNTE)</xsl:when>
                    <xsl:when test="./i6:value = '127193'">Pyrenophora trichostoma (PYRNTC)</xsl:when>
                    <xsl:when test="./i6:value = '127194'">Pyrgus alveus (PYRGAL)</xsl:when>
                    <xsl:when test="./i6:value = '127195'">Pyrgus armoricanus (PYRGAR)</xsl:when>
                    <xsl:when test="./i6:value = '127196'">Pyrgus carthami (PYRGCA)</xsl:when>
                    <xsl:when test="./i6:value = '127197'">Pyrgus malvae (PYRGMA)</xsl:when>
                    <xsl:when test="./i6:value = '127198'">Pyrgus serratulae (PYRGSE)</xsl:when>
                    <xsl:when test="./i6:value = '127199'">Pyricularia setariae (PYRISE)</xsl:when>
                    <xsl:when test="./i6:value = '127200'">Pyrilla perpusilla (PYRLPE)</xsl:when>
                    <xsl:when test="./i6:value = '127201'">Pyrochroa coccinea (PYOCCO)</xsl:when>
                    <xsl:when test="./i6:value = '127202'">Pyrofomes demidoffii (PYRFDE)</xsl:when>
                    <xsl:when test="./i6:value = '127203'">Pyronia tithonus (PYNITI)</xsl:when>
                    <xsl:when test="./i6:value = '127204'">Pyronota festiva (PYNTFE)</xsl:when>
                    <xsl:when test="./i6:value = '127205'">Pyrophorus noctilucus (PYOHNO)</xsl:when>
                    <xsl:when test="./i6:value = '127206'">Pyrrhalta cavicollis (GALECV)</xsl:when>
                    <xsl:when test="./i6:value = '127207'">Pyrrhalta decora (GALEDE)</xsl:when>
                    <xsl:when test="./i6:value = '127208'">Pyrrhalta lineola (GALELI)</xsl:when>
                    <xsl:when test="./i6:value = '127209'">Pyrrhalta rufosanguinea (GALERF)</xsl:when>
                    <xsl:when test="./i6:value = '127210'">Pyrrhalta vaccinii (GALEVA)</xsl:when>
                    <xsl:when test="./i6:value = '127211'">Pyrrhia umbra (PYHIUM)</xsl:when>
                    <xsl:when test="./i6:value = '127212'">Pyrrhocoris apterus (PYRCAP)</xsl:when>
                    <xsl:when test="./i6:value = '127213'">Pyrrhosoma nymphula (PRRHNY)</xsl:when>
                    <xsl:when test="./i6:value = '127214'">Pythium acanthicum (PYTHAT)</xsl:when>
                    <xsl:when test="./i6:value = '127215'">Pythium aphanidermatum (PYTHAP)</xsl:when>
                    <xsl:when test="./i6:value = '127216'">Pythium arrhenomanes (PYTHAR)</xsl:when>
                    <xsl:when test="./i6:value = '127217'">Pythium betae (PYTHBE)</xsl:when>
                    <xsl:when test="./i6:value = '127218'">Pythium coloratum (PYTHCO)</xsl:when>
                    <xsl:when test="./i6:value = '127219'">Pythium debaryanum (PYTHDE)</xsl:when>
                    <xsl:when test="./i6:value = '127220'">Pythium deliense (PYTHDL)</xsl:when>
                    <xsl:when test="./i6:value = '127221'">Pythium graminicola (PYTHGR)</xsl:when>
                    <xsl:when test="./i6:value = '127222'">Pythium heterothallicum (PYTHHE)</xsl:when>
                    <xsl:when test="./i6:value = '127223'">Pythium hydnosporum (PYTHHY)</xsl:when>
                    <xsl:when test="./i6:value = '127224'">Pythium insidiosum (PYTHIS)</xsl:when>
                    <xsl:when test="./i6:value = '127225'">Pythium intermedium (PYTHIN)</xsl:when>
                    <xsl:when test="./i6:value = '127226'">Pythium irregulare (PYTHIR)</xsl:when>
                    <xsl:when test="./i6:value = '127227'">Pythium iwayamai (PYTHIW)</xsl:when>
                    <xsl:when test="./i6:value = '127228'">Pythium megalacanthum (PYTHME)</xsl:when>
                    <xsl:when test="./i6:value = '127229'">Pythium middletonii (PYTHMI)</xsl:when>
                    <xsl:when test="./i6:value = '127230'">Pythium myriotylum (PYTHMY)</xsl:when>
                    <xsl:when test="./i6:value = '127231'">Pythium oligandrum (PYTHOL)</xsl:when>
                    <xsl:when test="./i6:value = '127232'">Pythium paroecandrum (PYTHPA)</xsl:when>
                    <xsl:when test="./i6:value = '127233'">Pythium phragmitis (PYTHPH)</xsl:when>
                    <xsl:when test="./i6:value = '127234'">Pythium polymastum (PYTHPM)</xsl:when>
                    <xsl:when test="./i6:value = '127235'">Pythium porphyrae (PYTHPP)</xsl:when>
                    <xsl:when test="./i6:value = '127236'">Pythium solare (PYTHSO)</xsl:when>
                    <xsl:when test="./i6:value = '127237'">Pythium spinosum (PYTHPN)</xsl:when>
                    <xsl:when test="./i6:value = '127238'">Pythium splendens (PYTHSL)</xsl:when>
                    <xsl:when test="./i6:value = '127239'">Pythium sulcatum (PYTHSU)</xsl:when>
                    <xsl:when test="./i6:value = '127240'">Pythium sylvaticum (PYTHSY)</xsl:when>
                    <xsl:when test="./i6:value = '127241'">Pythium tracheiphilum (PYTHTR)</xsl:when>
                    <xsl:when test="./i6:value = '127242'">Pythium ultimum (PYTHUL)</xsl:when>
                    <xsl:when test="./i6:value = '127243'">Pythium uncinulatum (PYTHUN)</xsl:when>
                    <xsl:when test="./i6:value = '127244'">Pythium vanterpoolii (PYTHVT)</xsl:when>
                    <xsl:when test="./i6:value = '127245'">Pythium volutum (PYTHVO)</xsl:when>
                    <xsl:when test="./i6:value = '127246'">Python bivittatus (PYTNBI)</xsl:when>
                    <xsl:when test="./i6:value = '127247'">Python reticulatus (PYTNRE)</xsl:when>
                    <xsl:when test="./i6:value = '127248'">Quadraspidiotus forbesi (QUADFO)</xsl:when>
                    <xsl:when test="./i6:value = '127249'">Quadraspidiotus gigas (QUADGI)</xsl:when>
                    <xsl:when test="./i6:value = '127250'">Quadraspidiotus juglansregiae (QUADJU)</xsl:when>
                    <xsl:when test="./i6:value = '127251'">Quadraspidiotus lenticularis (QUADLE)</xsl:when>
                    <xsl:when test="./i6:value = '127252'">Quadraspidiotus ostreaeformis (QUADOS)</xsl:when>
                    <xsl:when test="./i6:value = '127253'">Quadraspidiotus perniciosus (QUADPE)</xsl:when>
                    <xsl:when test="./i6:value = '127254'">Quadraspidiotus pyri (QUADPY)</xsl:when>
                    <xsl:when test="./i6:value = '127255'">Quadrastichus erythrinae (QUSTER)</xsl:when>
                    <xsl:when test="./i6:value = '127256'">Quelea quelea (QUELQU)</xsl:when>
                    <xsl:when test="./i6:value = '127257'">Quercusia quercus (THECQU)</xsl:when>
                    <xsl:when test="./i6:value = '127258'">Quiscalus quiscula (QUISQU)</xsl:when>
                    <xsl:when test="./i6:value = '127259'">Rachisphora styraci (DIALSY)</xsl:when>
                    <xsl:when test="./i6:value = '127260'">Radix auricularia (RADXAU)</xsl:when>
                    <xsl:when test="./i6:value = '127261'">Radopholus citrophilus (RADOCI)</xsl:when>
                    <xsl:when test="./i6:value = '127262'">Radopholus similis (RADOSI)</xsl:when>
                    <xsl:when test="./i6:value = '127263'">Raffaelea lauricola (RAFFLA)</xsl:when>
                    <xsl:when test="./i6:value = '127264'">Raja binoculata (RAJIBI)</xsl:when>
                    <xsl:when test="./i6:value = '127265'">Raja clavata (RAJICL)</xsl:when>
                    <xsl:when test="./i6:value = '127266'">Ralstonia solanacearum (RALSSO)</xsl:when>
                    <xsl:when test="./i6:value = '127267'">Ramaria formosa (RAMRFO)</xsl:when>
                    <xsl:when test="./i6:value = '127268'">Ramburiella hispanica (RAMBHI)</xsl:when>
                    <xsl:when test="./i6:value = '127269'">Ramichloridium pini (RAMKPI)</xsl:when>
                    <xsl:when test="./i6:value = '127270'">Ramphastos toco (RMPHTO)</xsl:when>
                    <xsl:when test="./i6:value = '127271'">Ramularia acris (RAMUAC)</xsl:when>
                    <xsl:when test="./i6:value = '127272'">Ramularia agrestis (RAMUAG)</xsl:when>
                    <xsl:when test="./i6:value = '127273'">Ramularia armoraciae (RAMUAR)</xsl:when>
                    <xsl:when test="./i6:value = '127274'">Ramularia bellunensis (RAMUBL)</xsl:when>
                    <xsl:when test="./i6:value = '127275'">Ramularia beticola (RAMUBE)</xsl:when>
                    <xsl:when test="./i6:value = '127276'">Ramularia carthami (RAMUCA)</xsl:when>
                    <xsl:when test="./i6:value = '127277'">Ramularia collo-cygni (RAMUCC)</xsl:when>
                    <xsl:when test="./i6:value = '127278'">Ramularia deusta (RAMUDE)</xsl:when>
                    <xsl:when test="./i6:value = '127279'">Ramularia eudidyma (RAMUEU)</xsl:when>
                    <xsl:when test="./i6:value = '127280'">Ramularia macrospora (RAMUMA)</xsl:when>
                    <xsl:when test="./i6:value = '127281'">Ramularia meliloti (RAMUME)</xsl:when>
                    <xsl:when test="./i6:value = '127282'">Ramularia onobrychidis (RAMUON)</xsl:when>
                    <xsl:when test="./i6:value = '127283'">Ramularia pratensis (RAMUPA)</xsl:when>
                    <xsl:when test="./i6:value = '127284'">Ramularia primulae (RAMUPR)</xsl:when>
                    <xsl:when test="./i6:value = '127285'">Ramularia rhei (RAMURH)</xsl:when>
                    <xsl:when test="./i6:value = '127286'">Ramularia rubella (RAMURU)</xsl:when>
                    <xsl:when test="./i6:value = '127287'">Ramularia rumicis-crispi (RAMURC)</xsl:when>
                    <xsl:when test="./i6:value = '127288'">Ramularia vallisumbrosae (RAMUVA)</xsl:when>
                    <xsl:when test="./i6:value = '127289'">Ramularia winteri (RAMUWI)</xsl:when>
                    <xsl:when test="./i6:value = '127290'">Ramulispora sorghi (RAMLSO)</xsl:when>
                    <xsl:when test="./i6:value = '127291'">Ramulispora sorghicola (RAMLSC)</xsl:when>
                    <xsl:when test="./i6:value = '127292'">Rana arvalis (RANSAR)</xsl:when>
                    <xsl:when test="./i6:value = '127293'">Rana catesbeiana (RANSCA)</xsl:when>
                    <xsl:when test="./i6:value = '127294'">Rana clamitans (RANSCL)</xsl:when>
                    <xsl:when test="./i6:value = '127295'">Rana temporaria (RANSTE)</xsl:when>
                    <xsl:when test="./i6:value = '127296'">Ranatra linearis (RANALI)</xsl:when>
                    <xsl:when test="./i6:value = '127297'">Rangifer tarandus (RANFTA)</xsl:when>
                    <xsl:when test="./i6:value = '127298'">Raoiella indica (RAOIIN)</xsl:when>
                    <xsl:when test="./i6:value = '127299'">Raphidia ophiopsis (RAPHOP)</xsl:when>
                    <xsl:when test="./i6:value = '127300'">Rastrococcus iceryoides (PHENOB)</xsl:when>
                    <xsl:when test="./i6:value = '127301'">Rathayibacter iranicus (CORBIR)</xsl:when>
                    <xsl:when test="./i6:value = '127302'">Rathayibacter rathayi (CORBRA)</xsl:when>
                    <xsl:when test="./i6:value = '127303'">Rathayibacter tritici (CORBTR)</xsl:when>
                    <xsl:when test="./i6:value = '127304'">Rattus argentiventer (RATTAR)</xsl:when>
                    <xsl:when test="./i6:value = '127305'">Rattus conatus (RATTCO)</xsl:when>
                    <xsl:when test="./i6:value = '127306'">Rattus exulans (RATTEX)</xsl:when>
                    <xsl:when test="./i6:value = '127307'">Rattus rattus diardii (RATTRD)</xsl:when>
                    <xsl:when test="./i6:value = '127308'">Rattus tiomanicus (RATTTH)</xsl:when>
                    <xsl:when test="./i6:value = '127309'">Recilia dorsalis (DELTDO)</xsl:when>
                    <xsl:when test="./i6:value = '127310'">Recilia hospes (RECIHO)</xsl:when>
                    <xsl:when test="./i6:value = '127311'">Recurvaria nanella (RECUNA)</xsl:when>
                    <xsl:when test="./i6:value = '127312'">Reduvius personatus (REDUPE)</xsl:when>
                    <xsl:when test="./i6:value = '127313'">Regalecus glesne (REGAGL)</xsl:when>
                    <xsl:when test="./i6:value = '127314'">Regulus regulus (REGURE)</xsl:when>
                    <xsl:when test="./i6:value = '127315'">Regulus satrapa (REGUSA)</xsl:when>
                    <xsl:when test="./i6:value = '127316'">Repetophragma zambiense (PSCSZA)</xsl:when>
                    <xsl:when test="./i6:value = '127317'">Resseliella citrifrugis (RESSCI)</xsl:when>
                    <xsl:when test="./i6:value = '127318'">Resseliella clavula (RESSCL)</xsl:when>
                    <xsl:when test="./i6:value = '127319'">Resseliella crataegi (THOMCR)</xsl:when>
                    <xsl:when test="./i6:value = '127320'">Resseliella ingrica (RESSIN)</xsl:when>
                    <xsl:when test="./i6:value = '127321'">Resseliella odai (THOMOD)</xsl:when>
                    <xsl:when test="./i6:value = '127322'">Resseliella oleisuga (CLINOL)</xsl:when>
                    <xsl:when test="./i6:value = '127323'">Resseliella quadrifasciata (DIPOQU)</xsl:when>
                    <xsl:when test="./i6:value = '127324'">Resseliella soya (PROFSO)</xsl:when>
                    <xsl:when test="./i6:value = '127325'">Resseliella theobaldi (THOMTE)</xsl:when>
                    <xsl:when test="./i6:value = '127326'">Reticulaphis fici (ASPXFI)</xsl:when>
                    <xsl:when test="./i6:value = '127327'">Reticulitermes flavipes (RETIFL)</xsl:when>
                    <xsl:when test="./i6:value = '127328'">Reticulitermes hesperus (RETIHE)</xsl:when>
                    <xsl:when test="./i6:value = '127329'">Reticulitermes lucifugus (RETILU)</xsl:when>
                    <xsl:when test="./i6:value = '127330'">Reticulitermes speratus (RETISE)</xsl:when>
                    <xsl:when test="./i6:value = '127331'">Reticulitermes virginicus (RETIVI)</xsl:when>
                    <xsl:when test="./i6:value = '127332'">Retinia albicapitana (PETVAL)</xsl:when>
                    <xsl:when test="./i6:value = '127333'">Retinia comstockiana (PETVCO)</xsl:when>
                    <xsl:when test="./i6:value = '127334'">Retinia metallica (PETVME)</xsl:when>
                    <xsl:when test="./i6:value = '127335'">Retinia resinella (EVETRE)</xsl:when>
                    <xsl:when test="./i6:value = '127336'">Retinia sabiniana (PETVSA)</xsl:when>
                    <xsl:when test="./i6:value = '127337'">Retithrips syriacus (RETTSY)</xsl:when>
                    <xsl:when test="./i6:value = '127338'">Rhabdocline pseudotsugae (RBDCPS)</xsl:when>
                    <xsl:when test="./i6:value = '127339'">Rhabdophaga aceris (RHABAC)</xsl:when>
                    <xsl:when test="./i6:value = '127340'">Rhabdophaga heterobia (RHABHE)</xsl:when>
                    <xsl:when test="./i6:value = '127341'">Rhabdopterus picipes (RHADPI)</xsl:when>
                    <xsl:when test="./i6:value = '127342'">Rhabdoscelus obscurus (SPPHOB)</xsl:when>
                    <xsl:when test="./i6:value = '127343'">Rhabdospora ruborum (RBSPRU)</xsl:when>
                    <xsl:when test="./i6:value = '127344'">Rhacodiella vitis (RHCDVI)</xsl:when>
                    <xsl:when test="./i6:value = '127345'">Rhadinoceraea micans (RHANMI)</xsl:when>
                    <xsl:when test="./i6:value = '127346'">Rhagadolobium dicksoniifolium (RHGDDI)</xsl:when>
                    <xsl:when test="./i6:value = '127347'">Rhagio scolopaceus (RHGISC)</xsl:when>
                    <xsl:when test="./i6:value = '127348'">Rhagium inquisitor lineatum (RHAILI)</xsl:when>
                    <xsl:when test="./i6:value = '127349'">Rhagoletis alternata (RHAGAL)</xsl:when>
                    <xsl:when test="./i6:value = '127350'">Rhagoletis batava (RHAGBA)</xsl:when>
                    <xsl:when test="./i6:value = '127351'">Rhagoletis cerasi (RHAGCE)</xsl:when>
                    <xsl:when test="./i6:value = '127352'">Rhagoletis cingulata (RHAGCI)</xsl:when>
                    <xsl:when test="./i6:value = '127353'">Rhagoletis completa (RHAGCO)</xsl:when>
                    <xsl:when test="./i6:value = '127354'">Rhagoletis fausta (RHAGFA)</xsl:when>
                    <xsl:when test="./i6:value = '127355'">Rhagoletis indifferens (RHAGIN)</xsl:when>
                    <xsl:when test="./i6:value = '127356'">Rhagoletis juglandis (RHAGJU)</xsl:when>
                    <xsl:when test="./i6:value = '127357'">Rhagoletis mendax (RHAGME)</xsl:when>
                    <xsl:when test="./i6:value = '127358'">Rhagoletis pomonella (RHAGPO)</xsl:when>
                    <xsl:when test="./i6:value = '127359'">Rhagoletis ribicola (RHAGRI)</xsl:when>
                    <xsl:when test="./i6:value = '127360'">Rhagoletis suavis (RHAGSU)</xsl:when>
                    <xsl:when test="./i6:value = '127361'">Rhagonycha fulva (RHAOFU)</xsl:when>
                    <xsl:when test="./i6:value = '127362'">Rhea americana (RHEAAM)</xsl:when>
                    <xsl:when test="./i6:value = '127363'">Rhexocercosporidium carotae (RHEXCA)</xsl:when>
                    <xsl:when test="./i6:value = '127364'">Rhexocercosporidium panacis (RHEXPA)</xsl:when>
                    <xsl:when test="./i6:value = '127365'">Rhigopsidius tucumanus (RHGPTU)</xsl:when>
                    <xsl:when test="./i6:value = '127366'">Rhina barbirostris (RHINBA)</xsl:when>
                    <xsl:when test="./i6:value = '127367'">Rhinacloa forticornis (RHICFO)</xsl:when>
                    <xsl:when test="./i6:value = '127368'">Rhincodon typus (RHNDTY)</xsl:when>
                    <xsl:when test="./i6:value = '127369'">Rhinoceros unicornis (RHNOUN)</xsl:when>
                    <xsl:when test="./i6:value = '127370'">Rhinolophus blasii (RHLPBL)</xsl:when>
                    <xsl:when test="./i6:value = '127371'">Rhinolophus euryale (RHLPEU)</xsl:when>
                    <xsl:when test="./i6:value = '127372'">Rhinolophus ferrumequinum (RHLPFE)</xsl:when>
                    <xsl:when test="./i6:value = '127373'">Rhinolophus hipposideros (RHLPHI)</xsl:when>
                    <xsl:when test="./i6:value = '127374'">Rhinolophus mehelyi (RHLPME)</xsl:when>
                    <xsl:when test="./i6:value = '127375'">Rhinopoma microphyllum (RHNPMP)</xsl:when>
                    <xsl:when test="./i6:value = '127376'">Rhipicephalus annulatus (BOOPAN)</xsl:when>
                    <xsl:when test="./i6:value = '127377'">Rhipicephalus microplus (BOOPMI)</xsl:when>
                    <xsl:when test="./i6:value = '127378'">Rhipicephalus sanguineus (RHIPSA)</xsl:when>
                    <xsl:when test="./i6:value = '127379'">Rhizedra lutosa (RHZDLU)</xsl:when>
                    <xsl:when test="./i6:value = '127380'">Rhizina undulata (RIZIUN)</xsl:when>
                    <xsl:when test="./i6:value = '127381'">Rhizobium leguminosarum (RIZBLE)</xsl:when>
                    <xsl:when test="./i6:value = '127382'">Rhizobium lupini (RIZBLU)</xsl:when>
                    <xsl:when test="./i6:value = '127383'">Rhizobium phaseoli (RIZBPH)</xsl:when>
                    <xsl:when test="./i6:value = '127384'">Rhizobium rhizogenes (AGRBRH)</xsl:when>
                    <xsl:when test="./i6:value = '127385'">Rhizobium rubi (AGRBRU)</xsl:when>
                    <xsl:when test="./i6:value = '127386'">Rhizobium trifolii (RIZBTR)</xsl:when>
                    <xsl:when test="./i6:value = '127387'">Rhizobium vitis (AGRBVI)</xsl:when>
                    <xsl:when test="./i6:value = '127388'">Rhizoctonia carotae (RHIZCA)</xsl:when>
                    <xsl:when test="./i6:value = '127389'">Rhizoctonia cerealis (RHIZCE)</xsl:when>
                    <xsl:when test="./i6:value = '127390'">Rhizoctonia fragariae (RHIZFR)</xsl:when>
                    <xsl:when test="./i6:value = '127391'">Rhizoctonia oryzae-sativae (RHIZOS)</xsl:when>
                    <xsl:when test="./i6:value = '127392'">Rhizoctonia tuliparum (SCLOTU)</xsl:when>
                    <xsl:when test="./i6:value = '127393'">Rhizoecus americanus (RHIOAM)</xsl:when>
                    <xsl:when test="./i6:value = '127394'">Rhizoecus dianthi (RHIOPR)</xsl:when>
                    <xsl:when test="./i6:value = '127395'">Rhizoecus falcifer (RHIOFA)</xsl:when>
                    <xsl:when test="./i6:value = '127396'">Rhizoglyphus echinopus (RHIGEC)</xsl:when>
                    <xsl:when test="./i6:value = '127397'">Rhizopogon luteolus (RHZGLU)</xsl:when>
                    <xsl:when test="./i6:value = '127398'">Rhizopogon reticulatus (RHZGRE)</xsl:when>
                    <xsl:when test="./i6:value = '127399'">Rhizopogon roseolus (RHZGRO)</xsl:when>
                    <xsl:when test="./i6:value = '127400'">Rhizopogon vulgaris (RHZGVU)</xsl:when>
                    <xsl:when test="./i6:value = '127401'">Rhizopus microsporus (RIZPMI)</xsl:when>
                    <xsl:when test="./i6:value = '127402'">Rhizopus oryzae (RIZPAR)</xsl:when>
                    <xsl:when test="./i6:value = '127403'">Rhizopus stolonifer (RIZPST)</xsl:when>
                    <xsl:when test="./i6:value = '127404'">Rhizopycnis vagum (RZPYVA)</xsl:when>
                    <xsl:when test="./i6:value = '127405'">Rhizosphaera kalkhoffii (RIZSKA)</xsl:when>
                    <xsl:when test="./i6:value = '127406'">Rhizostoma octopus (RHZSOC)</xsl:when>
                    <xsl:when test="./i6:value = '127407'">Rhodeus amarus (RODEAM)</xsl:when>
                    <xsl:when test="./i6:value = '127408'">Rhodobaenus tredecimpunctatus (RHOOTR)</xsl:when>
                    <xsl:when test="./i6:value = '127409'">Rhodococcus fascians (CORBFA)</xsl:when>
                    <xsl:when test="./i6:value = '127410'">Rhoecocoris sulciventris (RHOESU)</xsl:when>
                    <xsl:when test="./i6:value = '127411'">Rhogogaster viridis (RHGGVI)</xsl:when>
                    <xsl:when test="./i6:value = '127412'">Rhopalomyia chrysanthemi (DIARCH)</xsl:when>
                    <xsl:when test="./i6:value = '127413'">Rhopalomyia grossulariae (RHOYGR)</xsl:when>
                    <xsl:when test="./i6:value = '127414'">Rhopalosiphoninus latysiphon (RHOSLA)</xsl:when>
                    <xsl:when test="./i6:value = '127415'">Rhopalosiphoninus ribesinus (RHOSRI)</xsl:when>
                    <xsl:when test="./i6:value = '127416'">Rhopalosiphoninus staphyleae (MYZTST)</xsl:when>
                    <xsl:when test="./i6:value = '127417'">Rhopalosiphoninus staphyleae tulipaellus (MYZUJA)</xsl:when>
                    <xsl:when test="./i6:value = '127418'">Rhopalosiphum cerasifoliae (RHOPCE)</xsl:when>
                    <xsl:when test="./i6:value = '127419'">Rhopalosiphum fitchii (RHOPFI)</xsl:when>
                    <xsl:when test="./i6:value = '127420'">Rhopalosiphum insertum (RHOPIN)</xsl:when>
                    <xsl:when test="./i6:value = '127421'">Rhopalosiphum maidis (RHOPMA)</xsl:when>
                    <xsl:when test="./i6:value = '127422'">Rhopalosiphum nymphaeae (RHOPNY)</xsl:when>
                    <xsl:when test="./i6:value = '127423'">Rhopalosiphum padi (RHOPPA)</xsl:when>
                    <xsl:when test="./i6:value = '127424'">Rhopalosiphum rufiabdominale (RHOPRU)</xsl:when>
                    <xsl:when test="./i6:value = '127425'">Rhopalotria slossoni (RHPTSL)</xsl:when>
                    <xsl:when test="./i6:value = '127426'">Rhopobota myrtillana (RHPOVA)</xsl:when>
                    <xsl:when test="./i6:value = '127427'">Rhopobota naevana (RHPONA)</xsl:when>
                    <xsl:when test="./i6:value = '127428'">Rhopobota unipunctana (RHPOUN)</xsl:when>
                    <xsl:when test="./i6:value = '127429'">Rhopographus filicinus (RHPGFI)</xsl:when>
                    <xsl:when test="./i6:value = '127430'">Rhyacia praecox (RHYIPR)</xsl:when>
                    <xsl:when test="./i6:value = '127431'">Rhyacionia buoliana (EVETBU)</xsl:when>
                    <xsl:when test="./i6:value = '127432'">Rhyacionia duplana (EVETDU)</xsl:when>
                    <xsl:when test="./i6:value = '127433'">Rhyacionia frustrana (RHYAFR)</xsl:when>
                    <xsl:when test="./i6:value = '127434'">Rhyacionia monophylliana (PETVMO)</xsl:when>
                    <xsl:when test="./i6:value = '127435'">Rhyacionia neomexicana (RHYANE)</xsl:when>
                    <xsl:when test="./i6:value = '127436'">Rhyacionia pasadenana (RHYAPA)</xsl:when>
                    <xsl:when test="./i6:value = '127437'">Rhyacionia pinivorana (RHYAPV)</xsl:when>
                    <xsl:when test="./i6:value = '127438'">Rhyacionia rigidana (RHYARI)</xsl:when>
                    <xsl:when test="./i6:value = '127439'">Rhyacionia subtropica (RHYASU)</xsl:when>
                    <xsl:when test="./i6:value = '127440'">Rhyacionia zozana (RHYAMO)</xsl:when>
                    <xsl:when test="./i6:value = '127441'">Rhyncaphytoptus ficifoliae (RHYKFI)</xsl:when>
                    <xsl:when test="./i6:value = '127442'">Rhynchaenus alni (RHYHAL)</xsl:when>
                    <xsl:when test="./i6:value = '127443'">Rhynchaenus fagi (RHYHFA)</xsl:when>
                    <xsl:when test="./i6:value = '127444'">Rhynchaenus pallicornis (RHYHPA)</xsl:when>
                    <xsl:when test="./i6:value = '127445'">Rhynchaenus populi (RHYHPO)</xsl:when>
                    <xsl:when test="./i6:value = '127446'">Rhynchaenus quercus (RHYHQU)</xsl:when>
                    <xsl:when test="./i6:value = '127447'">Rhynchaenus rufipes (RHYHRU)</xsl:when>
                    <xsl:when test="./i6:value = '127448'">Rhynchaenus sanguinipes (RHYHSG)</xsl:when>
                    <xsl:when test="./i6:value = '127449'">Rhynchites aeneovirens (COENAE)</xsl:when>
                    <xsl:when test="./i6:value = '127450'">Rhynchites aequatus (COENAQ)</xsl:when>
                    <xsl:when test="./i6:value = '127451'">Rhynchites auratus (RNCHAU)</xsl:when>
                    <xsl:when test="./i6:value = '127452'">Rhynchites bacchus (RNCHBA)</xsl:when>
                    <xsl:when test="./i6:value = '127453'">Rhynchites caeruleus (RNCHCA)</xsl:when>
                    <xsl:when test="./i6:value = '127454'">Rhynchites cribripennis (COENCR)</xsl:when>
                    <xsl:when test="./i6:value = '127455'">Rhynchites giganteus (RNCHGI)</xsl:when>
                    <xsl:when test="./i6:value = '127456'">Rhynchites heros (RNCHHE)</xsl:when>
                    <xsl:when test="./i6:value = '127457'">Rhynchites hungaricus (HOMHHU)</xsl:when>
                    <xsl:when test="./i6:value = '127458'">Rhynchites pauxillus (COENPA)</xsl:when>
                    <xsl:when test="./i6:value = '127459'">Rhynchophorus bilineatus (RHYCBI)</xsl:when>
                    <xsl:when test="./i6:value = '127460'">Rhynchophorus cruentatus (RHYCCR)</xsl:when>
                    <xsl:when test="./i6:value = '127461'">Rhynchophorus ferrugineus (RHYCFE)</xsl:when>
                    <xsl:when test="./i6:value = '127462'">Rhynchophorus palmarum (RHYCPA)</xsl:when>
                    <xsl:when test="./i6:value = '127463'">Rhynchophorus phoenicis (RHYCPH)</xsl:when>
                    <xsl:when test="./i6:value = '127464'">Rhynchosporium orthosporum (RHYNOH)</xsl:when>
                    <xsl:when test="./i6:value = '127465'">Rhynchosporium secalis (RHYNSE)</xsl:when>
                    <xsl:when test="./i6:value = '127466'">Rhyssa persuasoria (RHSSPE)</xsl:when>
                    <xsl:when test="./i6:value = '127467'">Rhyssomatus landeiroi (RHSMLA)</xsl:when>
                    <xsl:when test="./i6:value = '127468'">Rhyssomatus sculpturatus (RHSMSC)</xsl:when>
                    <xsl:when test="./i6:value = '127469'">Rhyssomatus subtilis (RHSMSU)</xsl:when>
                    <xsl:when test="./i6:value = '127470'">Rhytidodera bowringi (RHYEBO)</xsl:when>
                    <xsl:when test="./i6:value = '127471'">Rhytidolomia ligata (CHLOLI)</xsl:when>
                    <xsl:when test="./i6:value = '127472'">Rhytidoponera metallica (RYTPME)</xsl:when>
                    <xsl:when test="./i6:value = '127473'">Rhytisma punctatum (RHYTPU)</xsl:when>
                    <xsl:when test="./i6:value = '127474'">Rhytisma salicinum (RHYTSA)</xsl:when>
                    <xsl:when test="./i6:value = '127475'">Rhyzobius lophanthae (LINDLO)</xsl:when>
                    <xsl:when test="./i6:value = '127476'">Rhyzobius ventralis (RHZBVE)</xsl:when>
                    <xsl:when test="./i6:value = '127477'">Rhyzopertha dominica (RHITDO)</xsl:when>
                    <xsl:when test="./i6:value = '127478'">Ribautiana ulmi (RIBAUL)</xsl:when>
                    <xsl:when test="./i6:value = '127479'">Rigidoporus ulmarius (RIGIUL)</xsl:when>
                    <xsl:when test="./i6:value = '127480'">Rigidoporus zonalis (RIGIZO)</xsl:when>
                    <xsl:when test="./i6:value = '127481'">Rikatlia lungusaensis (RIKALU)</xsl:when>
                    <xsl:when test="./i6:value = '127482'">Riparia riparia (RIPRRI)</xsl:when>
                    <xsl:when test="./i6:value = '127483'">Ripersiella halophila (RHIOHA)</xsl:when>
                    <xsl:when test="./i6:value = '127484'">Ripersiella hibisci (RHIOHI)</xsl:when>
                    <xsl:when test="./i6:value = '127485'">Ripersiella kondonis (RHIOKO)</xsl:when>
                    <xsl:when test="./i6:value = '127486'">Ripersiella planetica (RIPLPL)</xsl:when>
                    <xsl:when test="./i6:value = '127487'">Riptortus clavatus (RIPTCL)</xsl:when>
                    <xsl:when test="./i6:value = '127488'">Riptortus pedestris (RIPTPE)</xsl:when>
                    <xsl:when test="./i6:value = '127489'">Rivellia apicalis (RIVEAP)</xsl:when>
                    <xsl:when test="./i6:value = '127490'">Rivellia quadrifasciata (RIVEQU)</xsl:when>
                    <xsl:when test="./i6:value = '127491'">Roccella canariensis (ROCECA)</xsl:when>
                    <xsl:when test="./i6:value = '127492'">Rodolia cardinalis (RODOCA)</xsl:when>
                    <xsl:when test="./i6:value = '127493'">Roesleria subterranea (ROERSU)</xsl:when>
                    <xsl:when test="./i6:value = '127494'">Romalea microptera (ROMAMI)</xsl:when>
                    <xsl:when test="./i6:value = '127495'">Rosalia funebris (ROSAFU)</xsl:when>
                    <xsl:when test="./i6:value = '127496'">Rosellinia aquila (ROSLAQ)</xsl:when>
                    <xsl:when test="./i6:value = '127497'">Rosellinia arcuata (ROSLAR)</xsl:when>
                    <xsl:when test="./i6:value = '127498'">Rosellinia bunodes (ROSLBU)</xsl:when>
                    <xsl:when test="./i6:value = '127499'">Rosellinia pepo (ROSLPE)</xsl:when>
                    <xsl:when test="./i6:value = '127500'">Rosellinia quercina (ROSLQU)</xsl:when>
                    <xsl:when test="./i6:value = '127501'">Rotylenchulus reniformis (ROTYRE)</xsl:when>
                    <xsl:when test="./i6:value = '127502'">Rotylenchus buxophilus (HELYBU)</xsl:when>
                    <xsl:when test="./i6:value = '127503'">Rousettus aegyptiacus (ROUSAE)</xsl:when>
                    <xsl:when test="./i6:value = '127504'">Ruditapes philippinarum (RUDIPH)</xsl:when>
                    <xsl:when test="./i6:value = '127505'">Rupela albinella (RUPEAL)</xsl:when>
                    <xsl:when test="./i6:value = '127506'">Rupicapra pyrenaica (RPCPPY)</xsl:when>
                    <xsl:when test="./i6:value = '127507'">Rupicapra rupicapra (RPCPRU)</xsl:when>
                    <xsl:when test="./i6:value = '127508'">Rusidrina depravata (RUSIDE)</xsl:when>
                    <xsl:when test="./i6:value = '127509'">Ruspolia baileyi (RUSPBA)</xsl:when>
                    <xsl:when test="./i6:value = '127510'">Ruspolia nitidula (CONCMA)</xsl:when>
                    <xsl:when test="./i6:value = '127511'">Russellaspis pustulans (ASTLPU)</xsl:when>
                    <xsl:when test="./i6:value = '127512'">Russelliana solanicola (RUSLSO)</xsl:when>
                    <xsl:when test="./i6:value = '127513'">Russula atropurpurea (RUSSAT)</xsl:when>
                    <xsl:when test="./i6:value = '127514'">Russula aurea (RUSSAU)</xsl:when>
                    <xsl:when test="./i6:value = '127515'">Russula caerulea (RUSSAM)</xsl:when>
                    <xsl:when test="./i6:value = '127516'">Russula chloroides (RUSSCH)</xsl:when>
                    <xsl:when test="./i6:value = '127517'">Russula cyanoxantha (RUSSCY)</xsl:when>
                    <xsl:when test="./i6:value = '127518'">Russula delica (RUSSDE)</xsl:when>
                    <xsl:when test="./i6:value = '127519'">Russula fellea (RUSSFE)</xsl:when>
                    <xsl:when test="./i6:value = '127520'">Russula foetens (RUSSFO)</xsl:when>
                    <xsl:when test="./i6:value = '127521'">Russula fragilis (RUSSFR)</xsl:when>
                    <xsl:when test="./i6:value = '127522'">Russula heterophylla (RUSSHE)</xsl:when>
                    <xsl:when test="./i6:value = '127523'">Russula nigricans (RUSSNI)</xsl:when>
                    <xsl:when test="./i6:value = '127524'">Russula nitida (RUSSNT)</xsl:when>
                    <xsl:when test="./i6:value = '127525'">Russula nobilis (RUSSNO)</xsl:when>
                    <xsl:when test="./i6:value = '127526'">Russula ochroleuca (RUSSOC)</xsl:when>
                    <xsl:when test="./i6:value = '127527'">Russula olivacea (RUSSOL)</xsl:when>
                    <xsl:when test="./i6:value = '127528'">Russula pseudointegra (RUSSPS)</xsl:when>
                    <xsl:when test="./i6:value = '127529'">Russula rosea (RUSSLE)</xsl:when>
                    <xsl:when test="./i6:value = '127530'">Russula sanguinaria (RUSSSG)</xsl:when>
                    <xsl:when test="./i6:value = '127531'">Russula vesca (RUSSVE)</xsl:when>
                    <xsl:when test="./i6:value = '127532'">Rutilus rutilus (RUTIRU)</xsl:when>
                    <xsl:when test="./i6:value = '127533'">Sabra harpagula (SABRHA)</xsl:when>
                    <xsl:when test="./i6:value = '127534'">Sabulodes transversata (SABUTR)</xsl:when>
                    <xsl:when test="./i6:value = '127535'">Sacadodes pyralis (SACAPY)</xsl:when>
                    <xsl:when test="./i6:value = '127536'">Saccharicoccus sacchari (PSECSA)</xsl:when>
                    <xsl:when test="./i6:value = '127537'">Saccharicola bicolor (LEPTBI)</xsl:when>
                    <xsl:when test="./i6:value = '127538'">Saccharipulvinaria iceryi (PULVIC)</xsl:when>
                    <xsl:when test="./i6:value = '127539'">Saccharomyces cerevisiae (SACCCE)</xsl:when>
                    <xsl:when test="./i6:value = '127540'">Saccharosydne procerus (SACDPR)</xsl:when>
                    <xsl:when test="./i6:value = '127541'">Saccharosydne saccharivora (SACDSA)</xsl:when>
                    <xsl:when test="./i6:value = '127542'">Sacchiphantes abietis (ADLGAB)</xsl:when>
                    <xsl:when test="./i6:value = '127543'">Sacchiphantes viridis (ADLGVI)</xsl:when>
                    <xsl:when test="./i6:value = '127544'">Sagittarius serpentarius (SAGISE)</xsl:when>
                    <xsl:when test="./i6:value = '127545'">Sahlbergella singularis (SAHLSI)</xsl:when>
                    <xsl:when test="./i6:value = '127546'">Saiga tatarica (SAIGTA)</xsl:when>
                    <xsl:when test="./i6:value = '127547'">Saissetia coffeae (SAISHE)</xsl:when>
                    <xsl:when test="./i6:value = '127548'">Saissetia miranda (SAISMI)</xsl:when>
                    <xsl:when test="./i6:value = '127549'">Saissetia neglecta (SAISNE)</xsl:when>
                    <xsl:when test="./i6:value = '127550'">Saissetia oleae (SAISOL)</xsl:when>
                    <xsl:when test="./i6:value = '127551'">Salamandra salamandra (SALASA)</xsl:when>
                    <xsl:when test="./i6:value = '127552'">Salmo clarki (SALMCL)</xsl:when>
                    <xsl:when test="./i6:value = '127553'">Salmo gairdneri (SALMGA)</xsl:when>
                    <xsl:when test="./i6:value = '127554'">Salmo irideus (SALMIR)</xsl:when>
                    <xsl:when test="./i6:value = '127555'">Salmo salar (SALMSA)</xsl:when>
                    <xsl:when test="./i6:value = '127556'">Salmo trutta fario (SALMTF)</xsl:when>
                    <xsl:when test="./i6:value = '127557'">Salmo trutta lacustris (SALMTL)</xsl:when>
                    <xsl:when test="./i6:value = '127558'">Salmo trutta trutta (SALMTR)</xsl:when>
                    <xsl:when test="./i6:value = '127559'">Salmonella typhi (SALLTP)</xsl:when>
                    <xsl:when test="./i6:value = '127560'">Salmonella typhimurium (SALLTY)</xsl:when>
                    <xsl:when test="./i6:value = '127561'">Salvelinus alpinus (SALVAL)</xsl:when>
                    <xsl:when test="./i6:value = '127562'">Salvelinus fontinalis (SALVFO)</xsl:when>
                    <xsl:when test="./i6:value = '127563'">Salvelinus namaycush (SALVNA)</xsl:when>
                    <xsl:when test="./i6:value = '127564'">Samia cynthia (PHISCY)</xsl:when>
                    <xsl:when test="./i6:value = '127565'">Samia ricini (ATTCRI)</xsl:when>
                    <xsl:when test="./i6:value = '127566'">Saperda calcarata (SAPECL)</xsl:when>
                    <xsl:when test="./i6:value = '127567'">Saperda candida (SAPECN)</xsl:when>
                    <xsl:when test="./i6:value = '127568'">Saperda cretata (SAPECT)</xsl:when>
                    <xsl:when test="./i6:value = '127569'">Saperda discoidea (SAPEDI)</xsl:when>
                    <xsl:when test="./i6:value = '127570'">Saperda fayi (SAPEFA)</xsl:when>
                    <xsl:when test="./i6:value = '127571'">Saperda moesta (SAPEMO)</xsl:when>
                    <xsl:when test="./i6:value = '127572'">Saperda tridentata (SAPETR)</xsl:when>
                    <xsl:when test="./i6:value = '127573'">Saperda vestita (SAPEVE)</xsl:when>
                    <xsl:when test="./i6:value = '127574'">Saprolegnia diclina (SAPRDC)</xsl:when>
                    <xsl:when test="./i6:value = '127575'">Saprolegnia ferax (SAPRFR)</xsl:when>
                    <xsl:when test="./i6:value = '127576'">Sarcodon cyrneus (SRCDCY)</xsl:when>
                    <xsl:when test="./i6:value = '127577'">Sarcodon fuligineoviolaceus (SRCDFU)</xsl:when>
                    <xsl:when test="./i6:value = '127578'">Sarcodon glaucopus (SRCDGL)</xsl:when>
                    <xsl:when test="./i6:value = '127579'">Sarcodon regalis (SRCDRE)</xsl:when>
                    <xsl:when test="./i6:value = '127580'">Sarcodon scabrosus (SRCDSC)</xsl:when>
                    <xsl:when test="./i6:value = '127581'">Sarcodon squamosus (SRCDSQ)</xsl:when>
                    <xsl:when test="./i6:value = '127582'">Sarcophaga aldrichi (SARCAL)</xsl:when>
                    <xsl:when test="./i6:value = '127583'">Sarcophaga carnaria (SARCCA)</xsl:when>
                    <xsl:when test="./i6:value = '127584'">Sarcophaga haemorrhoidalis (SARCHA)</xsl:when>
                    <xsl:when test="./i6:value = '127585'">Sarcophaga milleri (SARCML)</xsl:when>
                    <xsl:when test="./i6:value = '127586'">Sarcoptes scabiei (SAROSC)</xsl:when>
                    <xsl:when test="./i6:value = '127587'">Sarcoptes scabiei canis (SAROSA)</xsl:when>
                    <xsl:when test="./i6:value = '127588'">Sarcoscypha coccinea (SARSCO)</xsl:when>
                    <xsl:when test="./i6:value = '127589'">Sarcosphaera coronaria (SARPCO)</xsl:when>
                    <xsl:when test="./i6:value = '127590'">Sardina pilchardus (SARDPI)</xsl:when>
                    <xsl:when test="./i6:value = '127591'">Sarocladium oryzae (SARMOR)</xsl:when>
                    <xsl:when test="./i6:value = '127592'">Sarsina violascens (SARNVI)</xsl:when>
                    <xsl:when test="./i6:value = '127593'">Saturnia pavonia (EUDIPA)</xsl:when>
                    <xsl:when test="./i6:value = '127594'">Saturnia pyri (SATUPY)</xsl:when>
                    <xsl:when test="./i6:value = '127595'">Sawadaea bicornis (UNCIBI)</xsl:when>
                    <xsl:when test="./i6:value = '127596'">Sawadaea tulasnei (SAWDTU)</xsl:when>
                    <xsl:when test="./i6:value = '127597'">Sayornis phoebe (SAYOPH)</xsl:when>
                    <xsl:when test="./i6:value = '127598'">Scadra rufidens (SCADRU)</xsl:when>
                    <xsl:when test="./i6:value = '127599'">Scalopus aquaticus (SKALAQ)</xsl:when>
                    <xsl:when test="./i6:value = '127600'">Scapanes australis (SCPAAU)</xsl:when>
                    <xsl:when test="./i6:value = '127601'">Scaphoideus luteolus (SCAPLU)</xsl:when>
                    <xsl:when test="./i6:value = '127602'">Scaphytopius acutus (SCAHAC)</xsl:when>
                    <xsl:when test="./i6:value = '127603'">Scaphytopius loricatus (SCAHLO)</xsl:when>
                    <xsl:when test="./i6:value = '127604'">Scapteriscus abbreviatus (SCAEAB)</xsl:when>
                    <xsl:when test="./i6:value = '127605'">Scapteriscus borellii (SCAEAC)</xsl:when>
                    <xsl:when test="./i6:value = '127606'">Scapteriscus didactylus (SCAEDI)</xsl:when>
                    <xsl:when test="./i6:value = '127607'">Scapteriscus vicinus (SCAEVI)</xsl:when>
                    <xsl:when test="./i6:value = '127608'">Scaptocoris castaneus (SCAOCA)</xsl:when>
                    <xsl:when test="./i6:value = '127609'">Scaptomyza adusta (SCATAD)</xsl:when>
                    <xsl:when test="./i6:value = '127610'">Scaptomyza flava (SCATFL)</xsl:when>
                    <xsl:when test="./i6:value = '127611'">Scaptomyza graminum (SCATGR)</xsl:when>
                    <xsl:when test="./i6:value = '127612'">Scardinius erythrophthalmus (SCDIER)</xsl:when>
                    <xsl:when test="./i6:value = '127613'">Scathophaga stercoraria (SCPEST)</xsl:when>
                    <xsl:when test="./i6:value = '127614'">Sceloporus undulatus (SKEPUN)</xsl:when>
                    <xsl:when test="./i6:value = '127615'">Scepticus griseus (SCEPGR)</xsl:when>
                    <xsl:when test="./i6:value = '127616'">Scepticus tigrinus (SCEPTI)</xsl:when>
                    <xsl:when test="./i6:value = '127617'">Scepticus uniformis (SCEPUN)</xsl:when>
                    <xsl:when test="./i6:value = '127618'">Schedorhinotermes intermedius (RHIEIN)</xsl:when>
                    <xsl:when test="./i6:value = '127619'">Schistocerca alutacea (SHICAL)</xsl:when>
                    <xsl:when test="./i6:value = '127620'">Schistocerca americana (SHICAM)</xsl:when>
                    <xsl:when test="./i6:value = '127621'">Schistocerca gregaria (SHICGR)</xsl:when>
                    <xsl:when test="./i6:value = '127622'">Schistocerca nitens nitens (SHICNN)</xsl:when>
                    <xsl:when test="./i6:value = '127623'">Schistocerca obscura (SHICOB)</xsl:when>
                    <xsl:when test="./i6:value = '127624'">Schistocerca urichi (SHICUR)</xsl:when>
                    <xsl:when test="./i6:value = '127625'">Schistomysis spiritus (SMYSSR)</xsl:when>
                    <xsl:when test="./i6:value = '127626'">Schistosoma haematobium (SCHSHA)</xsl:when>
                    <xsl:when test="./i6:value = '127627'">Schistosoma mansoni (SCHSMA)</xsl:when>
                    <xsl:when test="./i6:value = '127628'">Schizaphis piricola (TOXOPI)</xsl:when>
                    <xsl:when test="./i6:value = '127629'">Schizocerella pilicornis (SCHCPI)</xsl:when>
                    <xsl:when test="./i6:value = '127630'">Schizomyia vitispomum (SCHMPO)</xsl:when>
                    <xsl:when test="./i6:value = '127631'">Schizoneura lanuginosum (SCHZLA)</xsl:when>
                    <xsl:when test="./i6:value = '127632'">Schizophyllum commune (SCYZCO)</xsl:when>
                    <xsl:when test="./i6:value = '127633'">Schizopora paradoxa (SCPRPA)</xsl:when>
                    <xsl:when test="./i6:value = '127634'">Schizotetranychus asparagi (SCZTAS)</xsl:when>
                    <xsl:when test="./i6:value = '127635'">Schizotetranychus baltazari (SCZTBA)</xsl:when>
                    <xsl:when test="./i6:value = '127636'">Schizotetranychus celarius (SCZTCE)</xsl:when>
                    <xsl:when test="./i6:value = '127637'">Schizotetranychus hindustanicus (SCZTHI)</xsl:when>
                    <xsl:when test="./i6:value = '127638'">Schizotetranychus schizopus (SCZTSC)</xsl:when>
                    <xsl:when test="./i6:value = '127639'">Schizothyrium pomi (SCHIPO)</xsl:when>
                    <xsl:when test="./i6:value = '127640'">Schizura badia (SCHUBA)</xsl:when>
                    <xsl:when test="./i6:value = '127641'">Schizura concinna (SCHUCO)</xsl:when>
                    <xsl:when test="./i6:value = '127642'">Schizura ipomoeae (SCHUIP)</xsl:when>
                    <xsl:when test="./i6:value = '127643'">Schneidereria pistaciicola (SCHNPI)</xsl:when>
                    <xsl:when test="./i6:value = '127644'">Schreckensteinia festaliella (SCHRFE)</xsl:when>
                    <xsl:when test="./i6:value = '127645'">Sciara inconstans (SCIAIN)</xsl:when>
                    <xsl:when test="./i6:value = '127646'">Sciobius granosus (SCIBGR)</xsl:when>
                    <xsl:when test="./i6:value = '127647'">Sciopithes obscurus (SCIOOB)</xsl:when>
                    <xsl:when test="./i6:value = '127648'">Sciothrips cardamomi (TAETCA)</xsl:when>
                    <xsl:when test="./i6:value = '127649'">Scirpophaga excerptalis (SCIPEX)</xsl:when>
                    <xsl:when test="./i6:value = '127650'">Scirpophaga innotata (SCIPIN)</xsl:when>
                    <xsl:when test="./i6:value = '127651'">Scirpophaga nivella (SCIPAU)</xsl:when>
                    <xsl:when test="./i6:value = '127652'">Scirpophaga xanthogastrella (SCIPXA)</xsl:when>
                    <xsl:when test="./i6:value = '127653'">Scirtothrips aurantii (SCITAU)</xsl:when>
                    <xsl:when test="./i6:value = '127654'">Scirtothrips citri (SCITCI)</xsl:when>
                    <xsl:when test="./i6:value = '127655'">Scirtothrips dorsalis (SCITDO)</xsl:when>
                    <xsl:when test="./i6:value = '127656'">Scirtothrips longipennis (SCITLO)</xsl:when>
                    <xsl:when test="./i6:value = '127657'">Scirtothrips mangiferae (SCITMG)</xsl:when>
                    <xsl:when test="./i6:value = '127658'">Scirtothrips perseae (SCITPE)</xsl:when>
                    <xsl:when test="./i6:value = '127659'">Scleroderma areolatum (SCLDAR)</xsl:when>
                    <xsl:when test="./i6:value = '127660'">Scleroderma bovista (SCLDBO)</xsl:when>
                    <xsl:when test="./i6:value = '127661'">Scleroderma citrinum (SCLDCI)</xsl:when>
                    <xsl:when test="./i6:value = '127662'">Scleroderma polyrhizum (SCLDPO)</xsl:when>
                    <xsl:when test="./i6:value = '127663'">Scleroderma verrucosum (SCLDVE)</xsl:when>
                    <xsl:when test="./i6:value = '127664'">Scleromitrula shiraiana (SKLESH)</xsl:when>
                    <xsl:when test="./i6:value = '127665'">Sclerophora pallida (SKLPPA)</xsl:when>
                    <xsl:when test="./i6:value = '127666'">Sclerophthora macrospora (SCPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '127667'">Sclerophthora rayssiae (SCPHRZ)</xsl:when>
                    <xsl:when test="./i6:value = '127668'">Scleroracus striatulus (SCRCST)</xsl:when>
                    <xsl:when test="./i6:value = '127669'">Sclerotinia allii (SCLEAL)</xsl:when>
                    <xsl:when test="./i6:value = '127670'">Sclerotinia borealis (SCLEBO)</xsl:when>
                    <xsl:when test="./i6:value = '127671'">Sclerotinia bulborum (SCLEBU)</xsl:when>
                    <xsl:when test="./i6:value = '127672'">Sclerotinia draytonii (SCLEDR)</xsl:when>
                    <xsl:when test="./i6:value = '127673'">Sclerotinia homoeocarpa (SCLEHO)</xsl:when>
                    <xsl:when test="./i6:value = '127674'">Sclerotinia minor (SCLEMI)</xsl:when>
                    <xsl:when test="./i6:value = '127675'">Sclerotinia narcissicola (SCLENA)</xsl:when>
                    <xsl:when test="./i6:value = '127676'">Sclerotinia nivalis (SCLENI)</xsl:when>
                    <xsl:when test="./i6:value = '127677'">Sclerotinia polyblastis (SCLEPO)</xsl:when>
                    <xsl:when test="./i6:value = '127678'">Sclerotinia pseudotuberosa (SCLEPT)</xsl:when>
                    <xsl:when test="./i6:value = '127679'">Sclerotinia sclerotiorum (SCLESC)</xsl:when>
                    <xsl:when test="./i6:value = '127680'">Sclerotinia trifoliorum (SCLETR)</xsl:when>
                    <xsl:when test="./i6:value = '127681'">Sclerotinia tuberosa (SCLETU)</xsl:when>
                    <xsl:when test="./i6:value = '127682'">Sclerotium denigrans (SCLODE)</xsl:when>
                    <xsl:when test="./i6:value = '127683'">Sclerotium hydrophilum (SCLOHY)</xsl:when>
                    <xsl:when test="./i6:value = '127684'">Scobicia declivis (SCOCDE)</xsl:when>
                    <xsl:when test="./i6:value = '127685'">Scolia dubia (SCOIDU)</xsl:when>
                    <xsl:when test="./i6:value = '127686'">Scoliopteryx libatrix (SCOXLI)</xsl:when>
                    <xsl:when test="./i6:value = '127687'">Scolitantides orion (SCTDOR)</xsl:when>
                    <xsl:when test="./i6:value = '127688'">Scolopendra subspinipes (SCOESU)</xsl:when>
                    <xsl:when test="./i6:value = '127689'">Scolothrips longicornis (SCLTLO)</xsl:when>
                    <xsl:when test="./i6:value = '127690'">Scolothrips sexmaculatus (SCLTSE)</xsl:when>
                    <xsl:when test="./i6:value = '127691'">Scolypopa australis (SCPPAU)</xsl:when>
                    <xsl:when test="./i6:value = '127692'">Scolytus intricatus (SCOLIN)</xsl:when>
                    <xsl:when test="./i6:value = '127693'">Scolytus japonicus (SCOLJA)</xsl:when>
                    <xsl:when test="./i6:value = '127694'">Scolytus laricis (SCOLLR)</xsl:when>
                    <xsl:when test="./i6:value = '127695'">Scolytus major (SCOLMJ)</xsl:when>
                    <xsl:when test="./i6:value = '127696'">Scolytus mali (SCOLMA)</xsl:when>
                    <xsl:when test="./i6:value = '127697'">Scolytus morawitzi (SCOLMO)</xsl:when>
                    <xsl:when test="./i6:value = '127698'">Scolytus multistriatus (SCOLMU)</xsl:when>
                    <xsl:when test="./i6:value = '127699'">Scolytus muticus (SCOLMT)</xsl:when>
                    <xsl:when test="./i6:value = '127700'">Scolytus praeceps (SCOLPR)</xsl:when>
                    <xsl:when test="./i6:value = '127701'">Scolytus quadrispinosus (SCOLQU)</xsl:when>
                    <xsl:when test="./i6:value = '127702'">Scolytus ratzeburgi (SCOLRA)</xsl:when>
                    <xsl:when test="./i6:value = '127703'">Scolytus rugulosus (SCOLRU)</xsl:when>
                    <xsl:when test="./i6:value = '127704'">Scolytus schevyrewi (SCOLSH)</xsl:when>
                    <xsl:when test="./i6:value = '127705'">Scolytus scolytus (SCOLSC)</xsl:when>
                    <xsl:when test="./i6:value = '127706'">Scolytus subscaber (SCOLSB)</xsl:when>
                    <xsl:when test="./i6:value = '127707'">Scolytus tsugae (SCOLTS)</xsl:when>
                    <xsl:when test="./i6:value = '127708'">Scolytus unispinosus (SCOLUN)</xsl:when>
                    <xsl:when test="./i6:value = '127709'">Scolytus ventralis (SCOLVE)</xsl:when>
                    <xsl:when test="./i6:value = '127710'">Scopelodes contracta (SCOPCO)</xsl:when>
                    <xsl:when test="./i6:value = '127711'">Scopelodes venosa (SCOPVE)</xsl:when>
                    <xsl:when test="./i6:value = '127712'">Scopula decorata (SCOUDE)</xsl:when>
                    <xsl:when test="./i6:value = '127713'">Scopulariopsis fimicola (SCPLFI)</xsl:when>
                    <xsl:when test="./i6:value = '127714'">Scorpaena scrofa (SKOPSC)</xsl:when>
                    <xsl:when test="./i6:value = '127715'">Scotinophara coarctata (SCOTCO)</xsl:when>
                    <xsl:when test="./i6:value = '127716'">Scotinophara lurida (SCOTLU)</xsl:when>
                    <xsl:when test="./i6:value = '127717'">Scrobipalpa aptatella (PHTOHE)</xsl:when>
                    <xsl:when test="./i6:value = '127718'">Scrobipalpa atriplicella (PHTOAT)</xsl:when>
                    <xsl:when test="./i6:value = '127719'">Scrobipalpa ocellatella (PHTOOC)</xsl:when>
                    <xsl:when test="./i6:value = '127720'">Scudderia furcata (SCUDFU)</xsl:when>
                    <xsl:when test="./i6:value = '127721'">Scudderia texensis (SCUDTE)</xsl:when>
                    <xsl:when test="./i6:value = '127722'">Scutellinia scutellata (SCULSC)</xsl:when>
                    <xsl:when test="./i6:value = '127723'">Scutellonema bradys (SCUNBR)</xsl:when>
                    <xsl:when test="./i6:value = '127724'">Scutigera coleoptrata (SCUICO)</xsl:when>
                    <xsl:when test="./i6:value = '127725'">Scutigera forceps (SCUIFO)</xsl:when>
                    <xsl:when test="./i6:value = '127726'">Scutigerella immaculata (SCUTIM)</xsl:when>
                    <xsl:when test="./i6:value = '127727'">Scymnodes lividigaster (SCYNLI)</xsl:when>
                    <xsl:when test="./i6:value = '127728'">Scypha compressa (SYCPCO)</xsl:when>
                    <xsl:when test="./i6:value = '127729'">Scyphophorus acupunctatus (SCYPIN)</xsl:when>
                    <xsl:when test="./i6:value = '127730'">Scythropia crataegella (SCYOCR)</xsl:when>
                    <xsl:when test="./i6:value = '127731'">Sebacina incrustans (SEBAIN)</xsl:when>
                    <xsl:when test="./i6:value = '127732'">Sehirus bicolor (SEHIBI)</xsl:when>
                    <xsl:when test="./i6:value = '127733'">Sehirus cinctus (SEHICI)</xsl:when>
                    <xsl:when test="./i6:value = '127734'">Seiridium cardinale (SEIRCA)</xsl:when>
                    <xsl:when test="./i6:value = '127735'">Seiridium unicorne (SEIRUN)</xsl:when>
                    <xsl:when test="./i6:value = '127736'">Selasphorus rufus (SLSPRU)</xsl:when>
                    <xsl:when test="./i6:value = '127737'">Selenaspidus articulatus (SELSAR)</xsl:when>
                    <xsl:when test="./i6:value = '127738'">Selenaspidus rubidus (SELSRU)</xsl:when>
                    <xsl:when test="./i6:value = '127739'">Selenia dentaria (SELNDE)</xsl:when>
                    <xsl:when test="./i6:value = '127740'">Selenothrips rubrocinctus (SLENRU)</xsl:when>
                    <xsl:when test="./i6:value = '127741'">Selitrichodes globolus (SELIGL)</xsl:when>
                    <xsl:when test="./i6:value = '127742'">Semanotus japonicus (SEMAJA)</xsl:when>
                    <xsl:when test="./i6:value = '127743'">Semanotus ligneus (SEMALG)</xsl:when>
                    <xsl:when test="./i6:value = '127744'">Semanotus litigiosus (SEMALT)</xsl:when>
                    <xsl:when test="./i6:value = '127745'">Semanotus sinoauster (SEMASI)</xsl:when>
                    <xsl:when test="./i6:value = '127746'">Semiaphis dauci (SEMIDA)</xsl:when>
                    <xsl:when test="./i6:value = '127747'">Semiaphis heraclei (SEMIHE)</xsl:when>
                    <xsl:when test="./i6:value = '127748'">Semibalanus balanoides (BALSBA)</xsl:when>
                    <xsl:when test="./i6:value = '127749'">Semiothisa pumila (SEMOPU)</xsl:when>
                    <xsl:when test="./i6:value = '127750'">Septobasidium bogoriense (SEPBBO)</xsl:when>
                    <xsl:when test="./i6:value = '127751'">Septobasidium tanakae (SEPBTA)</xsl:when>
                    <xsl:when test="./i6:value = '127752'">Septoria adanensis (SEPTAD)</xsl:when>
                    <xsl:when test="./i6:value = '127753'">Septoria albopunctata (SEPTAL)</xsl:when>
                    <xsl:when test="./i6:value = '127754'">Septoria ampelina (SEPTAM)</xsl:when>
                    <xsl:when test="./i6:value = '127755'">Septoria anthurii (SEPTAN)</xsl:when>
                    <xsl:when test="./i6:value = '127756'">Septoria antirrhini (SEPTAT)</xsl:when>
                    <xsl:when test="./i6:value = '127757'">Septoria apiicola (SEPTAP)</xsl:when>
                    <xsl:when test="./i6:value = '127758'">Septoria bataticola (SEPTBA)</xsl:when>
                    <xsl:when test="./i6:value = '127759'">Septoria carthami (SEPTCT)</xsl:when>
                    <xsl:when test="./i6:value = '127760'">Septoria chrysanthemella (SEPTCH)</xsl:when>
                    <xsl:when test="./i6:value = '127761'">Septoria cirsii (SEPTCZ)</xsl:when>
                    <xsl:when test="./i6:value = '127762'">Septoria citri (SEPTCI)</xsl:when>
                    <xsl:when test="./i6:value = '127763'">Septoria cornicola (SEPTCR)</xsl:when>
                    <xsl:when test="./i6:value = '127764'">Septoria cucurbitacearum (SEPTCU)</xsl:when>
                    <xsl:when test="./i6:value = '127765'">Septoria dauci (SEPTDA)</xsl:when>
                    <xsl:when test="./i6:value = '127766'">Septoria digitalis (SEPTDI)</xsl:when>
                    <xsl:when test="./i6:value = '127767'">Septoria fragariae (SEPTFR)</xsl:when>
                    <xsl:when test="./i6:value = '127768'">Septoria geranii (SEPTGE)</xsl:when>
                    <xsl:when test="./i6:value = '127769'">Septoria gladioli (SEPTGA)</xsl:when>
                    <xsl:when test="./i6:value = '127770'">Septoria glycines (SEPTGL)</xsl:when>
                    <xsl:when test="./i6:value = '127771'">Septoria helianthi (SEPTHE)</xsl:when>
                    <xsl:when test="./i6:value = '127772'">Septoria humuli (SEPTHU)</xsl:when>
                    <xsl:when test="./i6:value = '127773'">Septoria lactucae (SEPTLA)</xsl:when>
                    <xsl:when test="./i6:value = '127774'">Septoria lamiicola (SEPTLC)</xsl:when>
                    <xsl:when test="./i6:value = '127775'">Septoria leucanthemi (SEPTLE)</xsl:when>
                    <xsl:when test="./i6:value = '127776'">Septoria lycopersici (SEPTLY)</xsl:when>
                    <xsl:when test="./i6:value = '127777'">Septoria malagutii (SEPTLM)</xsl:when>
                    <xsl:when test="./i6:value = '127778'">Septoria obesa (SEPTOB)</xsl:when>
                    <xsl:when test="./i6:value = '127779'">Septoria paeoniae (SEPTPB)</xsl:when>
                    <xsl:when test="./i6:value = '127780'">Septoria petroselini (SEPTPE)</xsl:when>
                    <xsl:when test="./i6:value = '127781'">Septoria pisi (SEPTPI)</xsl:when>
                    <xsl:when test="./i6:value = '127782'">Septoria pistaciae (SEPTPZ)</xsl:when>
                    <xsl:when test="./i6:value = '127783'">Septoria rhamni-catharticae (SEPTRC)</xsl:when>
                    <xsl:when test="./i6:value = '127784'">Septoria secalis (SEPTSE)</xsl:when>
                    <xsl:when test="./i6:value = '127785'">Septoria socia (SEPTSO)</xsl:when>
                    <xsl:when test="./i6:value = '127786'">Septoria urticae (SEPTUR)</xsl:when>
                    <xsl:when test="./i6:value = '127787'">Septoria verbascicola (SEPTVE)</xsl:when>
                    <xsl:when test="./i6:value = '127788'">Serica anthracina (SERCAN)</xsl:when>
                    <xsl:when test="./i6:value = '127789'">Serica brunnea (SERCBR)</xsl:when>
                    <xsl:when test="./i6:value = '127790'">Serica tristis (SERCTR)</xsl:when>
                    <xsl:when test="./i6:value = '127791'">Sericomyia silentis (SERMSI)</xsl:when>
                    <xsl:when test="./i6:value = '127792'">Sericothrips variabilis (SERTVA)</xsl:when>
                    <xsl:when test="./i6:value = '127793'">Serinus canaria (SERNCA)</xsl:when>
                    <xsl:when test="./i6:value = '127794'">Serinus serinus (SERNSE)</xsl:when>
                    <xsl:when test="./i6:value = '127795'">Serratia entomophila (SERREN)</xsl:when>
                    <xsl:when test="./i6:value = '127796'">Serratia marcescens (SERRMA)</xsl:when>
                    <xsl:when test="./i6:value = '127797'">Serrodes partita (SERDPA)</xsl:when>
                    <xsl:when test="./i6:value = '127798'">Sesamia calamistis (SESACA)</xsl:when>
                    <xsl:when test="./i6:value = '127799'">Sesamia cretica (SESACR)</xsl:when>
                    <xsl:when test="./i6:value = '127800'">Sesamia inferens (SESAIN)</xsl:when>
                    <xsl:when test="./i6:value = '127801'">Sesamia uniformis (SESAUN)</xsl:when>
                    <xsl:when test="./i6:value = '127802'">Sesia apiformis (AEGEAP)</xsl:when>
                    <xsl:when test="./i6:value = '127803'">Sesia melanocephala (AEGEME)</xsl:when>
                    <xsl:when test="./i6:value = '127804'">Setomorpha rutella (SETMRU)</xsl:when>
                    <xsl:when test="./i6:value = '127805'">Setomorpha tineoides (SETMTI)</xsl:when>
                    <xsl:when test="./i6:value = '127806'">Setophoma terrestris (PYRETE)</xsl:when>
                    <xsl:when test="./i6:value = '127807'">Setosphaeria holmii (SETOHO)</xsl:when>
                    <xsl:when test="./i6:value = '127808'">Setosphaeria rostrata (DRECRO)</xsl:when>
                    <xsl:when test="./i6:value = '127809'">Sharliphora nigella (PRISAM)</xsl:when>
                    <xsl:when test="./i6:value = '127810'">Shivaphis celti (SHIVCE)</xsl:when>
                    <xsl:when test="./i6:value = '127811'">Sialia sialis (SIALSI)</xsl:when>
                    <xsl:when test="./i6:value = '127812'">Sialis lutaria (SIAWLU)</xsl:when>
                    <xsl:when test="./i6:value = '127813'">Sicista betulina (SICIBE)</xsl:when>
                    <xsl:when test="./i6:value = '127814'">Sicista subtilis (SICISU)</xsl:when>
                    <xsl:when test="./i6:value = '127815'">Sicyonia carinata (SICYCA)</xsl:when>
                    <xsl:when test="./i6:value = '127816'">Sigmodon hispidus (SIGMHI)</xsl:when>
                    <xsl:when test="./i6:value = '127817'">Silpha bituberosa (SILPBI)</xsl:when>
                    <xsl:when test="./i6:value = '127818'">Silurus glanis (SILUGL)</xsl:when>
                    <xsl:when test="./i6:value = '127819'">Simulium arcticum (SIMUAR)</xsl:when>
                    <xsl:when test="./i6:value = '127820'">Simulium meridionale (SIMUME)</xsl:when>
                    <xsl:when test="./i6:value = '127821'">Simulium venustum (SIMUVE)</xsl:when>
                    <xsl:when test="./i6:value = '127822'">Simulium vittatum (SIMUVI)</xsl:when>
                    <xsl:when test="./i6:value = '127823'">Simyra insularis (SIMRIN)</xsl:when>
                    <xsl:when test="./i6:value = '127824'">Sinea diadema (SINEDI)</xsl:when>
                    <xsl:when test="./i6:value = '127825'">Singhiella citrifolii (DIALCT)</xsl:when>
                    <xsl:when test="./i6:value = '127826'">Singhiella simplex (SINLSI)</xsl:when>
                    <xsl:when test="./i6:value = '127827'">Singhius hibisci (PEALHI)</xsl:when>
                    <xsl:when test="./i6:value = '127828'">Sinorhizobium meliloti (RIZBME)</xsl:when>
                    <xsl:when test="./i6:value = '127829'">Sinoxylon anale (SINOAN)</xsl:when>
                    <xsl:when test="./i6:value = '127830'">Sinoxylon sudanicum (SINOSU)</xsl:when>
                    <xsl:when test="./i6:value = '127831'">Sinoxylon unidentatum (SINOCO)</xsl:when>
                    <xsl:when test="./i6:value = '127832'">Sipha flava (SIPHFL)</xsl:when>
                    <xsl:when test="./i6:value = '127833'">Siphoninus phillyreae (SIPOPH)</xsl:when>
                    <xsl:when test="./i6:value = '127834'">Sirex behrensi (SIRXBE)</xsl:when>
                    <xsl:when test="./i6:value = '127835'">Sirex californicus (SIRXCA)</xsl:when>
                    <xsl:when test="./i6:value = '127836'">Sirex ermak (SIRXER)</xsl:when>
                    <xsl:when test="./i6:value = '127837'">Sirex imperialis (SIRXIM)</xsl:when>
                    <xsl:when test="./i6:value = '127838'">Sirex juvencus (SIRXJU)</xsl:when>
                    <xsl:when test="./i6:value = '127839'">Sirex noctilio (SIRXNO)</xsl:when>
                    <xsl:when test="./i6:value = '127840'">Sirococcus conigenus (SIROCO)</xsl:when>
                    <xsl:when test="./i6:value = '127841'">Sirococcus tsugae (SIROTS)</xsl:when>
                    <xsl:when test="./i6:value = '127842'">Sisyra terminalis (SSYRTE)</xsl:when>
                    <xsl:when test="./i6:value = '127843'">Siteroptes graminum (SITEGR)</xsl:when>
                    <xsl:when test="./i6:value = '127844'">Sitobion avenae (MACSAV)</xsl:when>
                    <xsl:when test="./i6:value = '127845'">Sitobion fragariae (MACSFR)</xsl:when>
                    <xsl:when test="./i6:value = '127846'">Sitochroa palealis (LOXOPA)</xsl:when>
                    <xsl:when test="./i6:value = '127847'">Sitona crinitus (SITNCR)</xsl:when>
                    <xsl:when test="./i6:value = '127848'">Sitona cylindricollis (SITNCY)</xsl:when>
                    <xsl:when test="./i6:value = '127849'">Sitona flavescens (SITNFL)</xsl:when>
                    <xsl:when test="./i6:value = '127850'">Sitona hispidulus (SITNHI)</xsl:when>
                    <xsl:when test="./i6:value = '127851'">Sitona lepidus (SITNLE)</xsl:when>
                    <xsl:when test="./i6:value = '127852'">Sitophilus linearis (CALALI)</xsl:when>
                    <xsl:when test="./i6:value = '127853'">Sitophilus zeamais (CALAZM)</xsl:when>
                    <xsl:when test="./i6:value = '127854'">Sitotroga cerealella (SITTCE)</xsl:when>
                    <xsl:when test="./i6:value = '127855'">Sitta carolinensis (STTACA)</xsl:when>
                    <xsl:when test="./i6:value = '127856'">Sitta europaea (STTAEU)</xsl:when>
                    <xsl:when test="./i6:value = '127857'">Smerinthus ocellatus (SMEROC)</xsl:when>
                    <xsl:when test="./i6:value = '127858'">Smicronyx lutulentus (SMICLU)</xsl:when>
                    <xsl:when test="./i6:value = '127859'">Smicronyx sculpticollis (SMICSC)</xsl:when>
                    <xsl:when test="./i6:value = '127860'">Sminthurus viridis (SMINVI)</xsl:when>
                    <xsl:when test="./i6:value = '127861'">Smynthurodes betae (SMYNBE)</xsl:when>
                    <xsl:when test="./i6:value = '127862'">Sogata cubana (SOGACU)</xsl:when>
                    <xsl:when test="./i6:value = '127863'">Sogatella furcifera (SOGAFU)</xsl:when>
                    <xsl:when test="./i6:value = '127864'">Sogatella vibix (SOGALO)</xsl:when>
                    <xsl:when test="./i6:value = '127865'">Solea kleinii (SOLAKL)</xsl:when>
                    <xsl:when test="./i6:value = '127866'">Solea lascaris (SOLALA)</xsl:when>
                    <xsl:when test="./i6:value = '127867'">Solea vulgaris (SOLAVU)</xsl:when>
                    <xsl:when test="./i6:value = '127868'">Soleella striiformis (SOLLST)</xsl:when>
                    <xsl:when test="./i6:value = '127869'">Solenocera membranacea (SOLCME)</xsl:when>
                    <xsl:when test="./i6:value = '127870'">Solenodon paradoxus (SLNOPA)</xsl:when>
                    <xsl:when test="./i6:value = '127871'">Solenopotes capillatus (SOLNCA)</xsl:when>
                    <xsl:when test="./i6:value = '127872'">Solenopsis fugax (SOLEFU)</xsl:when>
                    <xsl:when test="./i6:value = '127873'">Solenopsis geminata (SOLEGE)</xsl:when>
                    <xsl:when test="./i6:value = '127874'">Solenopsis richteri (SOLERI)</xsl:when>
                    <xsl:when test="./i6:value = '127875'">Solenopsis saevissima (SOLESA)</xsl:when>
                    <xsl:when test="./i6:value = '127876'">Somanniathelphusa germaini (SOMAGE)</xsl:when>
                    <xsl:when test="./i6:value = '127877'">Somaticus angulatus (SOMTAN)</xsl:when>
                    <xsl:when test="./i6:value = '127878'">Sophronia humerella (SOPHHU)</xsl:when>
                    <xsl:when test="./i6:value = '127879'">Sorex araneus (SORXAR)</xsl:when>
                    <xsl:when test="./i6:value = '127880'">Sorex cinereus (SORXCI)</xsl:when>
                    <xsl:when test="./i6:value = '127881'">Sorex minutus (SORXMI)</xsl:when>
                    <xsl:when test="./i6:value = '127882'">Spalax leucodon (SPAXLE)</xsl:when>
                    <xsl:when test="./i6:value = '127883'">Spanagonicus albofasciatus (SPANAL)</xsl:when>
                    <xsl:when test="./i6:value = '127884'">Sparassis crispa (SPASCR)</xsl:when>
                    <xsl:when test="./i6:value = '127885'">Sparganothis pilleriana (SPARPI)</xsl:when>
                    <xsl:when test="./i6:value = '127886'">Sparganothis sulfureana (SPARSU)</xsl:when>
                    <xsl:when test="./i6:value = '127887'">Spermophilus lateralis (CITELA)</xsl:when>
                    <xsl:when test="./i6:value = '127888'">Spermospora avenae (SPRSAV)</xsl:when>
                    <xsl:when test="./i6:value = '127889'">Sphaceloma fawcettii var. scabiosae (SPHAFS)</xsl:when>
                    <xsl:when test="./i6:value = '127890'">Sphaceloma glycines (SPHAGL)</xsl:when>
                    <xsl:when test="./i6:value = '127891'">Sphaceloma psidii (SPHAPS)</xsl:when>
                    <xsl:when test="./i6:value = '127892'">Sphacelotheca cruenta (SPHTCR)</xsl:when>
                    <xsl:when test="./i6:value = '127893'">Sphacelotheca destruens (SPHTDE)</xsl:when>
                    <xsl:when test="./i6:value = '127894'">Sphacelotheca reiliana (SPHTRE)</xsl:when>
                    <xsl:when test="./i6:value = '127895'">Sphacelotheca sacchari (SPHTSA)</xsl:when>
                    <xsl:when test="./i6:value = '127896'">Sphaerius acaroides (SHRSAC)</xsl:when>
                    <xsl:when test="./i6:value = '127897'">Sphaerococcus casuarinae (SPCCCA)</xsl:when>
                    <xsl:when test="./i6:value = '127898'">Sphaerolecanium prunastri (LECAPN)</xsl:when>
                    <xsl:when test="./i6:value = '127899'">Sphaeropsis pyriputrescens (SPHOPY)</xsl:when>
                    <xsl:when test="./i6:value = '127900'">Sphaeropsis sapinea (DIPDPI)</xsl:when>
                    <xsl:when test="./i6:value = '127901'">Sphaeropsis tumefaciens (SPHOTU)</xsl:when>
                    <xsl:when test="./i6:value = '127902'">Sphaerostilbe repens (SPHSRE)</xsl:when>
                    <xsl:when test="./i6:value = '127903'">Sphaerulina azaleae (SEPTAZ)</xsl:when>
                    <xsl:when test="./i6:value = '127904'">Sphaerulina musiva (MYCOPP)</xsl:when>
                    <xsl:when test="./i6:value = '127905'">Sphaerulina oryzina (CERCOR)</xsl:when>
                    <xsl:when test="./i6:value = '127906'">Sphaerulina rehmiana (SPHNRE)</xsl:when>
                    <xsl:when test="./i6:value = '127907'">Sphaerulina rubi (SPHNRU)</xsl:when>
                    <xsl:when test="./i6:value = '127908'">Sphecius speciosus (SPHCSC)</xsl:when>
                    <xsl:when test="./i6:value = '127909'">Spheniscus magellanicus (ZPHNMA)</xsl:when>
                    <xsl:when test="./i6:value = '127910'">Sphenodon punctatus (SQHNPU)</xsl:when>
                    <xsl:when test="./i6:value = '127911'">Sphenophorus aequalis (SPPHAA)</xsl:when>
                    <xsl:when test="./i6:value = '127912'">Sphenophorus callosus (SPPHCA)</xsl:when>
                    <xsl:when test="./i6:value = '127913'">Sphenophorus cariosus (SPPHCR)</xsl:when>
                    <xsl:when test="./i6:value = '127914'">Sphenophorus levis (SPPHLE)</xsl:when>
                    <xsl:when test="./i6:value = '127915'">Sphenophorus maidis (SPPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '127916'">Sphenophorus parvulus (SPPHPA)</xsl:when>
                    <xsl:when test="./i6:value = '127917'">Sphenophorus venatus (SPPHVN)</xsl:when>
                    <xsl:when test="./i6:value = '127918'">Sphenoptera gossypii (SPPTGO)</xsl:when>
                    <xsl:when test="./i6:value = '127919'">Sphenospora kevorkianii (SPRXKE)</xsl:when>
                    <xsl:when test="./i6:value = '127920'">Sphex ichneumoneus (SPEXIC)</xsl:when>
                    <xsl:when test="./i6:value = '127921'">Sphex rufocinctus (SPEXRU)</xsl:when>
                    <xsl:when test="./i6:value = '127922'">Sphingomonas suberifaciens (SPNGSU)</xsl:when>
                    <xsl:when test="./i6:value = '127923'">Sphingonotus caerulans (SHNGCA)</xsl:when>
                    <xsl:when test="./i6:value = '127924'">Sphinx ligustri (SPHXLI)</xsl:when>
                    <xsl:when test="./i6:value = '127925'">Sphinx morio (SPHXMO)</xsl:when>
                    <xsl:when test="./i6:value = '127926'">Sphoeroides maculatus (SPOIMA)</xsl:when>
                    <xsl:when test="./i6:value = '127927'">Sphyrna zygaena (SPHYZY)</xsl:when>
                    <xsl:when test="./i6:value = '127928'">Spialia sertorius (SILASE)</xsl:when>
                    <xsl:when test="./i6:value = '127929'">Spilarctia obliqua (SPIAOB)</xsl:when>
                    <xsl:when test="./i6:value = '127930'">Spilococcus mamillariae (PSECMM)</xsl:when>
                    <xsl:when test="./i6:value = '127931'">Spilogale putorius (SPIGPU)</xsl:when>
                    <xsl:when test="./i6:value = '127932'">Spilonota albicana (SPLOAL)</xsl:when>
                    <xsl:when test="./i6:value = '127933'">Spilonota laricana (SPLOLA)</xsl:when>
                    <xsl:when test="./i6:value = '127934'">Spilonota ocellana (TMETOC)</xsl:when>
                    <xsl:when test="./i6:value = '127935'">Spilopsyllus cuniculi (SPLPCU)</xsl:when>
                    <xsl:when test="./i6:value = '127936'">Spiroplasma citri (SPIRCI)</xsl:when>
                    <xsl:when test="./i6:value = '127937'">Spiroplasma kunkelii (SPIRKU)</xsl:when>
                    <xsl:when test="./i6:value = '127938'">Spiroplasma phoeniceum (SPIRPO)</xsl:when>
                    <xsl:when test="./i6:value = '127939'">Spizella passerina (SPIZPA)</xsl:when>
                    <xsl:when test="./i6:value = '127940'">Spodoptera albula (PRODSU)</xsl:when>
                    <xsl:when test="./i6:value = '127941'">Spodoptera dolichos (SPODDO)</xsl:when>
                    <xsl:when test="./i6:value = '127942'">Spodoptera eridania (PRODER)</xsl:when>
                    <xsl:when test="./i6:value = '127943'">Spodoptera exempta (LAPHEX)</xsl:when>
                    <xsl:when test="./i6:value = '127944'">Spodoptera exigua (LAPHEG)</xsl:when>
                    <xsl:when test="./i6:value = '127945'">Spodoptera frugiperda (LAPHFR)</xsl:when>
                    <xsl:when test="./i6:value = '127946'">Spodoptera latifascia (SPODLA)</xsl:when>
                    <xsl:when test="./i6:value = '127947'">Spodoptera littoralis (SPODLI)</xsl:when>
                    <xsl:when test="./i6:value = '127948'">Spodoptera litura (PRODLI)</xsl:when>
                    <xsl:when test="./i6:value = '127949'">Spodoptera mauritia (SPODMA)</xsl:when>
                    <xsl:when test="./i6:value = '127950'">Spodoptera pectinicornis (SPODPC)</xsl:when>
                    <xsl:when test="./i6:value = '127951'">Spodoptera picta (SPODPI)</xsl:when>
                    <xsl:when test="./i6:value = '127952'">Spoladea recurvalis (HYMARE)</xsl:when>
                    <xsl:when test="./i6:value = '127953'">Spondylis buprestoides (SPOYBU)</xsl:when>
                    <xsl:when test="./i6:value = '127954'">Spongia officinalis (SONGOF)</xsl:when>
                    <xsl:when test="./i6:value = '127955'">Spongilla lacustris (SPNLLA)</xsl:when>
                    <xsl:when test="./i6:value = '127956'">Sporisorium mesoseti (SPSRME)</xsl:when>
                    <xsl:when test="./i6:value = '127957'">Sporisorium scitamineum (USTISC)</xsl:when>
                    <xsl:when test="./i6:value = '127958'">Sporisorium sorghi (SPHTSO)</xsl:when>
                    <xsl:when test="./i6:value = '127959'">Sporisorium trachypogonicola (SPSRTR)</xsl:when>
                    <xsl:when test="./i6:value = '127960'">Sporisporium cruentum (SPSRCR)</xsl:when>
                    <xsl:when test="./i6:value = '127961'">Sporonema oxycocci (SPOROX)</xsl:when>
                    <xsl:when test="./i6:value = '127962'">Spreo superbus (SPRESU)</xsl:when>
                    <xsl:when test="./i6:value = '127963'">Spulerina simploniella (DILCSI)</xsl:when>
                    <xsl:when test="./i6:value = '127964'">Squatina squatina (SQUTSQ)</xsl:when>
                    <xsl:when test="./i6:value = '127965'">Squilla mantis (SQUIMA)</xsl:when>
                    <xsl:when test="./i6:value = '127966'">Stagmomantis carolina (STAMCA)</xsl:when>
                    <xsl:when test="./i6:value = '127967'">Stagonospora atriplicis (STAGAT)</xsl:when>
                    <xsl:when test="./i6:value = '127968'">Stagonospora meliloti (STAGME)</xsl:when>
                    <xsl:when test="./i6:value = '127969'">Stagonospora sacchari (STAGSA)</xsl:when>
                    <xsl:when test="./i6:value = '127970'">Stagonosporopsis andigena (PHOMAN)</xsl:when>
                    <xsl:when test="./i6:value = '127971'">Stagonosporopsis caricae (PHOMCP)</xsl:when>
                    <xsl:when test="./i6:value = '127972'">Stagonosporopsis chrysanthemi (MYCOLG)</xsl:when>
                    <xsl:when test="./i6:value = '127973'">Stagonosporopsis cucurbitacearum (DIDYBR)</xsl:when>
                    <xsl:when test="./i6:value = '127974'">Stagonosporopsis curtisii (STAGCU)</xsl:when>
                    <xsl:when test="./i6:value = '127975'">Stagonosporopsis hortensis (ASCOBL)</xsl:when>
                    <xsl:when test="./i6:value = '127976'">Stagonosporopsis inoxydabilis (PHOMEI)</xsl:when>
                    <xsl:when test="./i6:value = '127977'">Stagonosporopsis trachelii (ASCOBO)</xsl:when>
                    <xsl:when test="./i6:value = '127978'">Staphylinus caesareus (STAFCA)</xsl:when>
                    <xsl:when test="./i6:value = '127979'">Starioides degenerus (STARDE)</xsl:when>
                    <xsl:when test="./i6:value = '127980'">Stathmopoda auriferella (STATAU)</xsl:when>
                    <xsl:when test="./i6:value = '127981'">Stathmopoda horticola (STATHO)</xsl:when>
                    <xsl:when test="./i6:value = '127982'">Stathmopoda masinissa (KAVOFL)</xsl:when>
                    <xsl:when test="./i6:value = '127983'">Stathmopoda theoris (STATTH)</xsl:when>
                    <xsl:when test="./i6:value = '127984'">Stator pruininus (STAOPR)</xsl:when>
                    <xsl:when test="./i6:value = '127985'">Stauronematus compressicornis (STANCO)</xsl:when>
                    <xsl:when test="./i6:value = '127986'">Stauropus fagi (STAUFA)</xsl:when>
                    <xsl:when test="./i6:value = '127987'">Steatornis caripensis (STTOCA)</xsl:when>
                    <xsl:when test="./i6:value = '127988'">Stegasta bosqueella (STEABO)</xsl:when>
                    <xsl:when test="./i6:value = '127989'">Stegobium paniceum (STEGPA)</xsl:when>
                    <xsl:when test="./i6:value = '127990'">Stegophora ulmea (GNOMUL)</xsl:when>
                    <xsl:when test="./i6:value = '127991'">Steirastoma breve (STRTDE)</xsl:when>
                    <xsl:when test="./i6:value = '127992'">Stelidota geminata (STELGE)</xsl:when>
                    <xsl:when test="./i6:value = '127993'">Stemphylium beticola (STEMBE)</xsl:when>
                    <xsl:when test="./i6:value = '127994'">Stemphylium loti (STEMLO)</xsl:when>
                    <xsl:when test="./i6:value = '127995'">Stemphylium lycopersici (STEMLY)</xsl:when>
                    <xsl:when test="./i6:value = '127996'">Stemphylium platycodontis (STEMPL)</xsl:when>
                    <xsl:when test="./i6:value = '127997'">Stemphylium sarciniforme (STEMSA)</xsl:when>
                    <xsl:when test="./i6:value = '127998'">Stemphylium solani (STEMSO)</xsl:when>
                    <xsl:when test="./i6:value = '127999'">Stenacis triradiatus (ACEITD)</xsl:when>
                    <xsl:when test="./i6:value = '128000'">Steneotarsonemus laticeps (TARSLA)</xsl:when>
                    <xsl:when test="./i6:value = '128001'">Steneotarsonemus spinki (STNTSK)</xsl:when>
                    <xsl:when test="./i6:value = '128002'">Stenobothrus fischeri (STNBFI)</xsl:when>
                    <xsl:when test="./i6:value = '128003'">Stenobothrus lineatus (STNBLI)</xsl:when>
                    <xsl:when test="./i6:value = '128004'">Stenobothrus nigromaculatus (STNBNI)</xsl:when>
                    <xsl:when test="./i6:value = '128005'">Stenobothrus rubicundulus (STNBRU)</xsl:when>
                    <xsl:when test="./i6:value = '128006'">Stenobothrus stigmaticus (STNBST)</xsl:when>
                    <xsl:when test="./i6:value = '128007'">Stenocarpella macrospora (DIPDMC)</xsl:when>
                    <xsl:when test="./i6:value = '128008'">Stenocarpella maydis (DIPDMA)</xsl:when>
                    <xsl:when test="./i6:value = '128009'">Stenocarus ruficornis (STESFU)</xsl:when>
                    <xsl:when test="./i6:value = '128010'">Stenocoris tipuloides (LEPRTI)</xsl:when>
                    <xsl:when test="./i6:value = '128011'">Stenodema trispinosum (STNDTR)</xsl:when>
                    <xsl:when test="./i6:value = '128012'">Stenodema vicinum (STNDVI)</xsl:when>
                    <xsl:when test="./i6:value = '128013'">Stenodiplosis geniculati (STEIGE)</xsl:when>
                    <xsl:when test="./i6:value = '128014'">Stenolechia gemmella (STNEGE)</xsl:when>
                    <xsl:when test="./i6:value = '128015'">Stenoma anonella (STENAN)</xsl:when>
                    <xsl:when test="./i6:value = '128016'">Stenoma catenifer (STENCA)</xsl:when>
                    <xsl:when test="./i6:value = '128017'">Stenoma decora (STENDE)</xsl:when>
                    <xsl:when test="./i6:value = '128018'">Stenopelmatus fuscus (STEEFU)</xsl:when>
                    <xsl:when test="./i6:value = '128019'">Stenopelmatus longispina (STEELO)</xsl:when>
                    <xsl:when test="./i6:value = '128020'">Stenopelmatus navajo (STEENA)</xsl:when>
                    <xsl:when test="./i6:value = '128021'">Stenopelmus rufinasus (STNPRU)</xsl:when>
                    <xsl:when test="./i6:value = '128022'">Stenotus binotatus (STEUBI)</xsl:when>
                    <xsl:when test="./i6:value = '128023'">Stenotus rubrovittatus (STEURU)</xsl:when>
                    <xsl:when test="./i6:value = '128024'">Stephanitis nashi (STEPNA)</xsl:when>
                    <xsl:when test="./i6:value = '128025'">Stephanitis pyri (STEPPR)</xsl:when>
                    <xsl:when test="./i6:value = '128026'">Stephanitis pyrioides (STEPPY)</xsl:when>
                    <xsl:when test="./i6:value = '128027'">Stephanitis takeyai (STEPTA)</xsl:when>
                    <xsl:when test="./i6:value = '128028'">Stephanitis typica (STEPTY)</xsl:when>
                    <xsl:when test="./i6:value = '128029'">Stephanoderes pubescens (HYOTPB)</xsl:when>
                    <xsl:when test="./i6:value = '128030'">Stereum gausapatum (STERGA)</xsl:when>
                    <xsl:when test="./i6:value = '128031'">Stereum hirsutum (STERHI)</xsl:when>
                    <xsl:when test="./i6:value = '128032'">Stereum rugosum (STERRU)</xsl:when>
                    <xsl:when test="./i6:value = '128033'">Stereum sanguinolentum (STERSA)</xsl:when>
                    <xsl:when test="./i6:value = '128034'">Stereum subtomentosum (STERSU)</xsl:when>
                    <xsl:when test="./i6:value = '128035'">Sterna albifrons (STNAAL)</xsl:when>
                    <xsl:when test="./i6:value = '128036'">Sterna hirundo (STNAHI)</xsl:when>
                    <xsl:when test="./i6:value = '128037'">Sternechus paludatus (STECPA)</xsl:when>
                    <xsl:when test="./i6:value = '128038'">Sternochetus frigidus (CRYPGR)</xsl:when>
                    <xsl:when test="./i6:value = '128039'">Sternochetus mangiferae (CRYPMA)</xsl:when>
                    <xsl:when test="./i6:value = '128040'">Sternochetus olivieri (SRNCOL)</xsl:when>
                    <xsl:when test="./i6:value = '128041'">Sternostoma tracheacolum (STSATR)</xsl:when>
                    <xsl:when test="./i6:value = '128042'">Sternotherus odoratus (STTHOD)</xsl:when>
                    <xsl:when test="./i6:value = '128043'">Stethophyma grossum (STTPGR)</xsl:when>
                    <xsl:when test="./i6:value = '128044'">Stethorus picipes (STHRPI)</xsl:when>
                    <xsl:when test="./i6:value = '128045'">Stictocephala bisonia (STICBI)</xsl:when>
                    <xsl:when test="./i6:value = '128046'">Stictocephala festina (STICFE)</xsl:when>
                    <xsl:when test="./i6:value = '128047'">Stictocephala inermis (STICIN)</xsl:when>
                    <xsl:when test="./i6:value = '128048'">Stictococcus vayssierei (STCCVA)</xsl:when>
                    <xsl:when test="./i6:value = '128049'">Stigmella anomalella (NEPTAO)</xsl:when>
                    <xsl:when test="./i6:value = '128050'">Stigmella malella (NEPTMA)</xsl:when>
                    <xsl:when test="./i6:value = '128051'">Stigmina deflectens (STIGDE)</xsl:when>
                    <xsl:when test="./i6:value = '128052'">Stigmina hartigiana (STIGHA)</xsl:when>
                    <xsl:when test="./i6:value = '128053'">Stigmina platani (STIGPL)</xsl:when>
                    <xsl:when test="./i6:value = '128054'">Stomacoccus platani (STOAPL)</xsl:when>
                    <xsl:when test="./i6:value = '128055'">Stomorhina lunata (STMRLU)</xsl:when>
                    <xsl:when test="./i6:value = '128056'">Stragania robusta (STGNRO)</xsl:when>
                    <xsl:when test="./i6:value = '128057'">Strategus aloeus (STRGAL)</xsl:when>
                    <xsl:when test="./i6:value = '128058'">Strategus antaeus (STRGAN)</xsl:when>
                    <xsl:when test="./i6:value = '128059'">Strauzia longipennis (STRALO)</xsl:when>
                    <xsl:when test="./i6:value = '128060'">Streptomyces acidiscabies (STREAC)</xsl:when>
                    <xsl:when test="./i6:value = '128061'">Streptomyces europaeiscabiei (STREEU)</xsl:when>
                    <xsl:when test="./i6:value = '128062'">Streptomyces ipomoeae (STREIP)</xsl:when>
                    <xsl:when test="./i6:value = '128063'">Streptomyces reticuliscabiei (STRERE)</xsl:when>
                    <xsl:when test="./i6:value = '128064'">Streptomyces scabiei (STRESC)</xsl:when>
                    <xsl:when test="./i6:value = '128065'">Streptomyces stelliscabiei (STREST)</xsl:when>
                    <xsl:when test="./i6:value = '128066'">Streptomyces turgidiscabies (STRETS)</xsl:when>
                    <xsl:when test="./i6:value = '128067'">Streptopelia capicola (STPECA)</xsl:when>
                    <xsl:when test="./i6:value = '128068'">Streptopelia chinensis (STPECH)</xsl:when>
                    <xsl:when test="./i6:value = '128069'">Streptopelia chinensis suratensis (STPESU)</xsl:when>
                    <xsl:when test="./i6:value = '128070'">Streptopelia orientalis (STPEOR)</xsl:when>
                    <xsl:when test="./i6:value = '128071'">Streptopelia semitorquata (STPESM)</xsl:when>
                    <xsl:when test="./i6:value = '128072'">Streptopelia senegalensis (STPESN)</xsl:when>
                    <xsl:when test="./i6:value = '128073'">Streptopelia turtur (STPETU)</xsl:when>
                    <xsl:when test="./i6:value = '128074'">Strix aluco (STRXAL)</xsl:when>
                    <xsl:when test="./i6:value = '128075'">Strobilomyces strobilaceus (STRBST)</xsl:when>
                    <xsl:when test="./i6:value = '128076'">Strobilomyia luteoforceps (STRMLU)</xsl:when>
                    <xsl:when test="./i6:value = '128077'">Strobilomyia viaria (STRMVI)</xsl:when>
                    <xsl:when test="./i6:value = '128078'">Strobilurus esculentus (STBSES)</xsl:when>
                    <xsl:when test="./i6:value = '128079'">Strobilurus tenacellus (STBSTE)</xsl:when>
                    <xsl:when test="./i6:value = '128080'">Stromatinia gladioli (SCLEGL)</xsl:when>
                    <xsl:when test="./i6:value = '128081'">Stropharia aeruginosa (STPRAE)</xsl:when>
                    <xsl:when test="./i6:value = '128082'">Stropharia aurantiaca (STPRAU)</xsl:when>
                    <xsl:when test="./i6:value = '128083'">Stropharia caerulea (STPRCA)</xsl:when>
                    <xsl:when test="./i6:value = '128084'">Stropharia coronilla (STPRCO)</xsl:when>
                    <xsl:when test="./i6:value = '128085'">Stropharia hornemannii (STPRHO)</xsl:when>
                    <xsl:when test="./i6:value = '128086'">Stropharia inuncta (STPRIN)</xsl:when>
                    <xsl:when test="./i6:value = '128087'">Stropharia semiglobata (STPRSE)</xsl:when>
                    <xsl:when test="./i6:value = '128088'">Strophiona nitens (STRLNT)</xsl:when>
                    <xsl:when test="./i6:value = '128089'">Strophocheilus oblongus (STRPOB)</xsl:when>
                    <xsl:when test="./i6:value = '128090'">Strophosoma laterale (STROLA)</xsl:when>
                    <xsl:when test="./i6:value = '128091'">Strophosoma melanogrammum (STROME)</xsl:when>
                    <xsl:when test="./i6:value = '128092'">Struthio camelus (STRUCA)</xsl:when>
                    <xsl:when test="./i6:value = '128093'">Strymonidia pruni (STYMPR)</xsl:when>
                    <xsl:when test="./i6:value = '128094'">Strymonidia spini (STYMSN)</xsl:when>
                    <xsl:when test="./i6:value = '128095'">Strymonidia w-album (STYMWA)</xsl:when>
                    <xsl:when test="./i6:value = '128096'">Sturnella neglecta (STULNE)</xsl:when>
                    <xsl:when test="./i6:value = '128097'">Sturnus cineraceus (STURCE)</xsl:when>
                    <xsl:when test="./i6:value = '128098'">Sturnus unicolor (STURUN)</xsl:when>
                    <xsl:when test="./i6:value = '128099'">Styela clava (STYECL)</xsl:when>
                    <xsl:when test="./i6:value = '128100'">Subanguina radicicola (DITYRA)</xsl:when>
                    <xsl:when test="./i6:value = '128101'">Subcoccinella vigintiquatuorpunctata (SUBCVI)</xsl:when>
                    <xsl:when test="./i6:value = '128102'">Suberites domuncula (SUBEDO)</xsl:when>
                    <xsl:when test="./i6:value = '128103'">Subplenodomus apiicola (PHOMAP)</xsl:when>
                    <xsl:when test="./i6:value = '128104'">Subulina octona (SUBUOC)</xsl:when>
                    <xsl:when test="./i6:value = '128105'">Succinea lauta (SUCCLA)</xsl:when>
                    <xsl:when test="./i6:value = '128106'">Succinea putris (SUCCPU)</xsl:when>
                    <xsl:when test="./i6:value = '128107'">Suidasia nesbitti (SUIDNE)</xsl:when>
                    <xsl:when test="./i6:value = '128108'">Suillus bovinus (SUILBO)</xsl:when>
                    <xsl:when test="./i6:value = '128109'">Suillus cavipes (SUILCA)</xsl:when>
                    <xsl:when test="./i6:value = '128110'">Suillus cothurnatus (SUILCO)</xsl:when>
                    <xsl:when test="./i6:value = '128111'">Suillus granulatus (SUILGN)</xsl:when>
                    <xsl:when test="./i6:value = '128112'">Suillus hirtellus (SUILHI)</xsl:when>
                    <xsl:when test="./i6:value = '128113'">Suillus luteus (SUILLU)</xsl:when>
                    <xsl:when test="./i6:value = '128114'">Suillus variegatus (SUILVA)</xsl:when>
                    <xsl:when test="./i6:value = '128115'">Suillus viscidus (SUILVI)</xsl:when>
                    <xsl:when test="./i6:value = '128116'">Sulcopolistes sulcifer (SULCSU)</xsl:when>
                    <xsl:when test="./i6:value = '128117'">Supella longipalpa (SUPELO)</xsl:when>
                    <xsl:when test="./i6:value = '128118'">Supella supellectilium (SUPESU)</xsl:when>
                    <xsl:when test="./i6:value = '128119'">Suricata suricatta (SURITE)</xsl:when>
                    <xsl:when test="./i6:value = '128120'">Sus barbatus (SUXXBA)</xsl:when>
                    <xsl:when test="./i6:value = '128121'">Sus celebensis (SUXXCE)</xsl:when>
                    <xsl:when test="./i6:value = '128122'">Sus cristatus (SUXXCR)</xsl:when>
                    <xsl:when test="./i6:value = '128123'">Sus scrofa (SUXXSC)</xsl:when>
                    <xsl:when test="./i6:value = '128124'">Sus verrucosus (SUXXVE)</xsl:when>
                    <xsl:when test="./i6:value = '128125'">Sus vittatus (SUXXVI)</xsl:when>
                    <xsl:when test="./i6:value = '128126'">Swezeyula lonicerae (SWEZLO)</xsl:when>
                    <xsl:when test="./i6:value = '128127'">Syagrius fulvitarsis (SYAIFU)</xsl:when>
                    <xsl:when test="./i6:value = '128128'">Syagrus rugifrons (SYAGRU)</xsl:when>
                    <xsl:when test="./i6:value = '128129'">Sydowia polyspora (SYDOPO)</xsl:when>
                    <xsl:when test="./i6:value = '128130'">Syllepte derogata (SYLEDE)</xsl:when>
                    <xsl:when test="./i6:value = '128131'">Sylvia atricapilla (SYVIAT)</xsl:when>
                    <xsl:when test="./i6:value = '128132'">Sylvicola fenestralis (PHRNFE)</xsl:when>
                    <xsl:when test="./i6:value = '128133'">Sylvilagus floridanus (SYLLFL)</xsl:when>
                    <xsl:when test="./i6:value = '128134'">Symmerista canicosta (SYMMCA)</xsl:when>
                    <xsl:when test="./i6:value = '128135'">Symmetrischema capsicum (SYMSCA)</xsl:when>
                    <xsl:when test="./i6:value = '128136'">Symmetrischema tangolias (GNORTU)</xsl:when>
                    <xsl:when test="./i6:value = '128137'">Sympecma fusca (SYMCFU)</xsl:when>
                    <xsl:when test="./i6:value = '128138'">Sympetrum danae (SYMEDA)</xsl:when>
                    <xsl:when test="./i6:value = '128139'">Sympetrum fonscolombei (SYMEFO)</xsl:when>
                    <xsl:when test="./i6:value = '128140'">Sympetrum sanguineum (SYMESA)</xsl:when>
                    <xsl:when test="./i6:value = '128141'">Sympetrum striolatum (SYMEST)</xsl:when>
                    <xsl:when test="./i6:value = '128142'">Sympetrum vulgatum (SYMEVU)</xsl:when>
                    <xsl:when test="./i6:value = '128143'">Symphyletes neglectus (SYMPNE)</xsl:when>
                    <xsl:when test="./i6:value = '128144'">Symploce pallens (SYMLPA)</xsl:when>
                    <xsl:when test="./i6:value = '128145'">Synanthedon americana (SYNAAM)</xsl:when>
                    <xsl:when test="./i6:value = '128146'">Synanthedon culiciformis (SYNACU)</xsl:when>
                    <xsl:when test="./i6:value = '128147'">Synanthedon formicaeformis (SYNAFO)</xsl:when>
                    <xsl:when test="./i6:value = '128148'">Synanthedon myopaeformis (SYNAMY)</xsl:when>
                    <xsl:when test="./i6:value = '128149'">Synanthedon pictipes (SYNAPI)</xsl:when>
                    <xsl:when test="./i6:value = '128150'">Synanthedon rhododendri (SYNARH)</xsl:when>
                    <xsl:when test="./i6:value = '128151'">Synanthedon tipuliformis (SYNATI)</xsl:when>
                    <xsl:when test="./i6:value = '128152'">Synanthedon vespiformis (SYNAVE)</xsl:when>
                    <xsl:when test="./i6:value = '128153'">Synanthedon viburni (SYNAVI)</xsl:when>
                    <xsl:when test="./i6:value = '128154'">Syncerus caffer (SYKRCA)</xsl:when>
                    <xsl:when test="./i6:value = '128155'">Synchytrium endobioticum (SYNCEN)</xsl:when>
                    <xsl:when test="./i6:value = '128156'">Synchytrium psophocarpi (SYNCPS)</xsl:when>
                    <xsl:when test="./i6:value = '128157'">Syncopacma larseniella (SPCMLA)</xsl:when>
                    <xsl:when test="./i6:value = '128158'">Syndemis musculana (SYNDMU)</xsl:when>
                    <xsl:when test="./i6:value = '128159'">Syngnathus acus (SYGNAC)</xsl:when>
                    <xsl:when test="./i6:value = '128160'">Syngnathus rostellatus (SYGNRO)</xsl:when>
                    <xsl:when test="./i6:value = '128161'">Syngnathus typhle (SYGNTY)</xsl:when>
                    <xsl:when test="./i6:value = '128162'">Syngrapha epigaea (SYNGEP)</xsl:when>
                    <xsl:when test="./i6:value = '128163'">Syntexis libocedrii (SYNXLI)</xsl:when>
                    <xsl:when test="./i6:value = '128164'">Syntomeida epilais (SYTMEP)</xsl:when>
                    <xsl:when test="./i6:value = '128165'">Syringopais temperatella (SYRITE)</xsl:when>
                    <xsl:when test="./i6:value = '128166'">Syringophilus bipectinatus (SYGPBI)</xsl:when>
                    <xsl:when test="./i6:value = '128167'">Syromastes rhombeus (SYRORH)</xsl:when>
                    <xsl:when test="./i6:value = '128168'">Syrphus ribesii vittafrons (SYRPRV)</xsl:when>
                    <xsl:when test="./i6:value = '128169'">Systena elongata (SYSNEL)</xsl:when>
                    <xsl:when test="./i6:value = '128170'">Systena frontalis (SYSNFR)</xsl:when>
                    <xsl:when test="./i6:value = '128171'">Systena hudsonias (SYSNHU)</xsl:when>
                    <xsl:when test="./i6:value = '128172'">Systena taeniata (SYSNTA)</xsl:when>
                    <xsl:when test="./i6:value = '128173'">Systena taeniata blanda (SYSNBL)</xsl:when>
                    <xsl:when test="./i6:value = '128174'">Systoechus vulgaris (SYSOVU)</xsl:when>
                    <xsl:when test="./i6:value = '128175'">Systole albipennis (SYSLAL)</xsl:when>
                    <xsl:when test="./i6:value = '128176'">Syzygospora mycetophila (SYZYMY)</xsl:when>
                    <xsl:when test="./i6:value = '128177'">Szepligetella sericea (SZEPSE)</xsl:when>
                    <xsl:when test="./i6:value = '128178'">Tabanus americanus (TABAAM)</xsl:when>
                    <xsl:when test="./i6:value = '128179'">Tabanus atratus (TABAAR)</xsl:when>
                    <xsl:when test="./i6:value = '128180'">Tabanus autumnalis (TABAAU)</xsl:when>
                    <xsl:when test="./i6:value = '128181'">Tabanus bovinus (TABABO)</xsl:when>
                    <xsl:when test="./i6:value = '128182'">Tabanus bromius (TABABR)</xsl:when>
                    <xsl:when test="./i6:value = '128183'">Tabanus cacens (TABAGI)</xsl:when>
                    <xsl:when test="./i6:value = '128184'">Tabanus lineola (TABALI)</xsl:when>
                    <xsl:when test="./i6:value = '128185'">Tabanus nigrovittatus (TABANI)</xsl:when>
                    <xsl:when test="./i6:value = '128186'">Tabanus punctifer (TABAPU)</xsl:when>
                    <xsl:when test="./i6:value = '128187'">Tabanus quinquevittatus (TABACO)</xsl:when>
                    <xsl:when test="./i6:value = '128188'">Tabanus taeniola (TABATA)</xsl:when>
                    <xsl:when test="./i6:value = '128189'">Tachardiella larreae (TACALA)</xsl:when>
                    <xsl:when test="./i6:value = '128190'">Tachybaptus ruficollis (TACBRU)</xsl:when>
                    <xsl:when test="./i6:value = '128191'">Tachycines asynamorus (TACHAS)</xsl:when>
                    <xsl:when test="./i6:value = '128192'">Tadarida brasiliensis (TADABR)</xsl:when>
                    <xsl:when test="./i6:value = '128193'">Taeniogaster obliqua (TAEGOB)</xsl:when>
                    <xsl:when test="./i6:value = '128194'">Taeniothrips atratus (TAETAT)</xsl:when>
                    <xsl:when test="./i6:value = '128195'">Taeniothrips eucharii (TAETEU)</xsl:when>
                    <xsl:when test="./i6:value = '128196'">Taeniothrips inconsequens (TAETIN)</xsl:when>
                    <xsl:when test="./i6:value = '128197'">Taeniothrips xanthius (TAETXA)</xsl:when>
                    <xsl:when test="./i6:value = '128198'">Tagosodes oryzicolus (SOGAOR)</xsl:when>
                    <xsl:when test="./i6:value = '128199'">Takahashia japonica (TAKAJA)</xsl:when>
                    <xsl:when test="./i6:value = '128200'">Takecallis arundicolens (MYZCAR)</xsl:when>
                    <xsl:when test="./i6:value = '128201'">Takecallis arundinariae (TAKEAR)</xsl:when>
                    <xsl:when test="./i6:value = '128202'">Takecallis assumentus (TAKEAS)</xsl:when>
                    <xsl:when test="./i6:value = '128203'">Takecallis sasae (TAKESA)</xsl:when>
                    <xsl:when test="./i6:value = '128204'">Takecallis taiwanus (TAKETA)</xsl:when>
                    <xsl:when test="./i6:value = '128205'">Takifugu rubripes (TAKIRU)</xsl:when>
                    <xsl:when test="./i6:value = '128206'">Talaromyces flavus (TALAFL)</xsl:when>
                    <xsl:when test="./i6:value = '128207'">Taleporia tubulosa (TALETU)</xsl:when>
                    <xsl:when test="./i6:value = '128208'">Talpa altaica (TALPAL)</xsl:when>
                    <xsl:when test="./i6:value = '128209'">Talpa caeca (TALPCC)</xsl:when>
                    <xsl:when test="./i6:value = '128210'">Talpa caucasica (TALPCA)</xsl:when>
                    <xsl:when test="./i6:value = '128211'">Talpa europaea (TALPEU)</xsl:when>
                    <xsl:when test="./i6:value = '128212'">Talpa romana (TALPRO)</xsl:when>
                    <xsl:when test="./i6:value = '128213'">Tamalia coweni (TAMACO)</xsl:when>
                    <xsl:when test="./i6:value = '128214'">Tamias sibiricus (EUTASI)</xsl:when>
                    <xsl:when test="./i6:value = '128215'">Tamias striatus (TAMIST)</xsl:when>
                    <xsl:when test="./i6:value = '128216'">Tamiasciurus hudsonicus (TMSCHU)</xsl:when>
                    <xsl:when test="./i6:value = '128217'">Tanaocerus koebelei (TANAKO)</xsl:when>
                    <xsl:when test="./i6:value = '128218'">Tandonia budapestensis (MILXBU)</xsl:when>
                    <xsl:when test="./i6:value = '128219'">Tandonia rustica (MILXRU)</xsl:when>
                    <xsl:when test="./i6:value = '128220'">Tandonia sowerbii (MILXSO)</xsl:when>
                    <xsl:when test="./i6:value = '128221'">Tanymecus dilaticollis (TANYDI)</xsl:when>
                    <xsl:when test="./i6:value = '128222'">Tanymecus palliatus (TANYPA)</xsl:when>
                    <xsl:when test="./i6:value = '128223'">Tanystoma maculicolle (AGOUMA)</xsl:when>
                    <xsl:when test="./i6:value = '128224'">Taphrina alni (TAPHAL)</xsl:when>
                    <xsl:when test="./i6:value = '128225'">Taphrina betulae (TAPHBT)</xsl:when>
                    <xsl:when test="./i6:value = '128226'">Taphrina betulina (TAPHBE)</xsl:when>
                    <xsl:when test="./i6:value = '128227'">Taphrina bullata (TAPHBU)</xsl:when>
                    <xsl:when test="./i6:value = '128228'">Taphrina caerulescens (TAPHCA)</xsl:when>
                    <xsl:when test="./i6:value = '128229'">Taphrina deformans (TAPHDE)</xsl:when>
                    <xsl:when test="./i6:value = '128230'">Taphrina johansonii (TAPHJO)</xsl:when>
                    <xsl:when test="./i6:value = '128231'">Taphrina maculans (TAPHMA)</xsl:when>
                    <xsl:when test="./i6:value = '128232'">Taphrina piri (TAPHPI)</xsl:when>
                    <xsl:when test="./i6:value = '128233'">Taphrina populina (TAPHPO)</xsl:when>
                    <xsl:when test="./i6:value = '128234'">Taphrina pruni (TAPHPR)</xsl:when>
                    <xsl:when test="./i6:value = '128235'">Taphrina tormentillae (TAPHPT)</xsl:when>
                    <xsl:when test="./i6:value = '128236'">Taphrina tosquinetii (TAPHTO)</xsl:when>
                    <xsl:when test="./i6:value = '128237'">Taphrina ulmi (TAPHUL)</xsl:when>
                    <xsl:when test="./i6:value = '128238'">Tapinella atrotomentosa (TAPNAT)</xsl:when>
                    <xsl:when test="./i6:value = '128239'">Tapinella panuoides (TAPNPA)</xsl:when>
                    <xsl:when test="./i6:value = '128240'">Tapinoma melanocephalum (TAPIME)</xsl:when>
                    <xsl:when test="./i6:value = '128241'">Tapirus indicus (TPIRIN)</xsl:when>
                    <xsl:when test="./i6:value = '128242'">Tapirus terrestris (TPIRTE)</xsl:when>
                    <xsl:when test="./i6:value = '128243'">Targionia vitis (MELAVI)</xsl:when>
                    <xsl:when test="./i6:value = '128244'">Tarophagus colocasiae (TAROCO)</xsl:when>
                    <xsl:when test="./i6:value = '128245'">Tarophagus persephone (TAROPE)</xsl:when>
                    <xsl:when test="./i6:value = '128246'">Tarophagus proserpina (TAROPR)</xsl:when>
                    <xsl:when test="./i6:value = '128247'">Tarophagus sp. (TAROSP)</xsl:when>
                    <xsl:when test="./i6:value = '128248'">Tarsonemus floricola (TARSFL)</xsl:when>
                    <xsl:when test="./i6:value = '128249'">Tarsonemus myceliophagus (TARSMY)</xsl:when>
                    <xsl:when test="./i6:value = '128250'">Tarsonemus spirifex (TARSSF)</xsl:when>
                    <xsl:when test="./i6:value = '128251'">Tarsostenus univittatus (TASTUN)</xsl:when>
                    <xsl:when test="./i6:value = '128252'">Tarzetta cupularis (TARZCU)</xsl:when>
                    <xsl:when test="./i6:value = '128253'">Tatera indica (TATEIN)</xsl:when>
                    <xsl:when test="./i6:value = '128254'">Tatochila autodice (TATOAU)</xsl:when>
                    <xsl:when test="./i6:value = '128255'">Tatumella citrea (PNTOCI)</xsl:when>
                    <xsl:when test="./i6:value = '128256'">Tatumella morbirosei (TATUMO)</xsl:when>
                    <xsl:when test="./i6:value = '128257'">Taurotragus oryx (TATGOR)</xsl:when>
                    <xsl:when test="./i6:value = '128258'">Taxidea taxus (TAXITA)</xsl:when>
                    <xsl:when test="./i6:value = '128259'">Taxomyia taxi (TAXMTA)</xsl:when>
                    <xsl:when test="./i6:value = '128260'">Taxonus glabratus (TAXOGL)</xsl:when>
                    <xsl:when test="./i6:value = '128261'">Taylorilygus pallidulus (LYGUPL)</xsl:when>
                    <xsl:when test="./i6:value = '128262'">Tebenna bjerkandrella (TEBEBJ)</xsl:when>
                    <xsl:when test="./i6:value = '128263'">Tebenna micalis (TEBEMI)</xsl:when>
                    <xsl:when test="./i6:value = '128264'">Technomyrmex albipes (TCHMAL)</xsl:when>
                    <xsl:when test="./i6:value = '128265'">Technomyrmex difficilis (TCHMDI)</xsl:when>
                    <xsl:when test="./i6:value = '128266'">Tecia solanivora (TECASO)</xsl:when>
                    <xsl:when test="./i6:value = '128267'">Tectocoris diophthalmus (TECTDI)</xsl:when>
                    <xsl:when test="./i6:value = '128268'">Tectura virginea (TCTUVI)</xsl:when>
                    <xsl:when test="./i6:value = '128269'">Tegenaria domestica (TEGEDO)</xsl:when>
                    <xsl:when test="./i6:value = '128270'">Tegeticula yuccasella (TEGTYU)</xsl:when>
                    <xsl:when test="./i6:value = '128271'">Tegolophus australis (TEGLAU)</xsl:when>
                    <xsl:when test="./i6:value = '128272'">Tehama bonifatella (CRAMBO)</xsl:when>
                    <xsl:when test="./i6:value = '128273'">Teia anartoides (ORGYAA)</xsl:when>
                    <xsl:when test="./i6:value = '128274'">Telchin licus (CASTLI)</xsl:when>
                    <xsl:when test="./i6:value = '128275'">Telechrysis tripuncta (TCHRTR)</xsl:when>
                    <xsl:when test="./i6:value = '128276'">Teleiodes vulgella (TLDSVU)</xsl:when>
                    <xsl:when test="./i6:value = '128277'">Teleiopsis diffinis (TLPSDI)</xsl:when>
                    <xsl:when test="./i6:value = '128278'">Teleogryllus commodus (GRYLCM)</xsl:when>
                    <xsl:when test="./i6:value = '128279'">Teleogryllus emma (GRYLEM)</xsl:when>
                    <xsl:when test="./i6:value = '128280'">Teleogryllus mitratus (GRYLMI)</xsl:when>
                    <xsl:when test="./i6:value = '128281'">Teleogryllus oceanicus (GRYLOC)</xsl:when>
                    <xsl:when test="./i6:value = '128282'">Teleonemia australis (TELEAU)</xsl:when>
                    <xsl:when test="./i6:value = '128283'">Teleonemia scrupulosa (TELESC)</xsl:when>
                    <xsl:when test="./i6:value = '128284'">Tenebrio obscurus (TENBOB)</xsl:when>
                    <xsl:when test="./i6:value = '128285'">Tenebroides mauritanicus (TEBRMA)</xsl:when>
                    <xsl:when test="./i6:value = '128286'">Tenodera augustipennis (TENOAG)</xsl:when>
                    <xsl:when test="./i6:value = '128287'">Tenodera australasiae (TENOAU)</xsl:when>
                    <xsl:when test="./i6:value = '128288'">Tenodera sinensis (TENOAS)</xsl:when>
                    <xsl:when test="./i6:value = '128289'">Tenrec ecaudatus (TENREC)</xsl:when>
                    <xsl:when test="./i6:value = '128290'">Tenuipalpus jasmini (TENUJA)</xsl:when>
                    <xsl:when test="./i6:value = '128291'">Tephrocybe palustris (TPCBPA)</xsl:when>
                    <xsl:when test="./i6:value = '128292'">Tephrocybe rancida (TPCBRA)</xsl:when>
                    <xsl:when test="./i6:value = '128293'">Terana caerulea (TERNCA)</xsl:when>
                    <xsl:when test="./i6:value = '128294'">Terastia meticulosalis (TRTIME)</xsl:when>
                    <xsl:when test="./i6:value = '128295'">Teratosperma sclerotivorum (SPRDSC)</xsl:when>
                    <xsl:when test="./i6:value = '128296'">Teratosphaeria destructans (TRTSDE)</xsl:when>
                    <xsl:when test="./i6:value = '128297'">Teratosphaeria gauchensis (TRTSGA)</xsl:when>
                    <xsl:when test="./i6:value = '128298'">Teratosphaeria pseudoeucalypti (TRTSPE)</xsl:when>
                    <xsl:when test="./i6:value = '128299'">Teratosphaeria zuluensis (CONIZU)</xsl:when>
                    <xsl:when test="./i6:value = '128300'">Terfezia boudieri (TERFBO)</xsl:when>
                    <xsl:when test="./i6:value = '128301'">Termitomyces eurhizus (TMTMEU)</xsl:when>
                    <xsl:when test="./i6:value = '128302'">Terpsiphone viridis (TERPVI)</xsl:when>
                    <xsl:when test="./i6:value = '128303'">Terrapene carolina (TRRPCA)</xsl:when>
                    <xsl:when test="./i6:value = '128304'">Tessaratoma papillosa (TESSPA)</xsl:when>
                    <xsl:when test="./i6:value = '128305'">Testacella haliotidea (TSTCHA)</xsl:when>
                    <xsl:when test="./i6:value = '128306'">Testudo graeca (TSTDGR)</xsl:when>
                    <xsl:when test="./i6:value = '128307'">Tetanops myopaeformis (TETAMY)</xsl:when>
                    <xsl:when test="./i6:value = '128308'">Tethea ocularis (TTHAOC)</xsl:when>
                    <xsl:when test="./i6:value = '128309'">Tethea or (TTHAOR)</xsl:when>
                    <xsl:when test="./i6:value = '128310'">Tetheella fluctuosa (THLLFL)</xsl:when>
                    <xsl:when test="./i6:value = '128311'">Tetraleurodes mori (TETLMO)</xsl:when>
                    <xsl:when test="./i6:value = '128312'">Tetraleurodes perseae (TETLPE)</xsl:when>
                    <xsl:when test="./i6:value = '128313'">Tetramesa hordei (HAROHO)</xsl:when>
                    <xsl:when test="./i6:value = '128314'">Tetramesa maderae (HAROGN)</xsl:when>
                    <xsl:when test="./i6:value = '128315'">Tetramesa tritici (HAROTR)</xsl:when>
                    <xsl:when test="./i6:value = '128316'">Tetramesa vaginicolum (HAROVA)</xsl:when>
                    <xsl:when test="./i6:value = '128317'">Tetramesa websteri (HAROWE)</xsl:when>
                    <xsl:when test="./i6:value = '128318'">Tetramorium caespitum (TETMCA)</xsl:when>
                    <xsl:when test="./i6:value = '128319'">Tetraneura nigriabdominalis (SCHZNI)</xsl:when>
                    <xsl:when test="./i6:value = '128320'">Tetranychina harti (TTCHHA)</xsl:when>
                    <xsl:when test="./i6:value = '128321'">Tetranychus cinnabarinus (TETRCI)</xsl:when>
                    <xsl:when test="./i6:value = '128322'">Tetranychus desertorum (TETRDS)</xsl:when>
                    <xsl:when test="./i6:value = '128323'">Tetranychus evansi (TETREV)</xsl:when>
                    <xsl:when test="./i6:value = '128324'">Tetranychus gloveri (TETRGL)</xsl:when>
                    <xsl:when test="./i6:value = '128325'">Tetranychus kanzawai (TETRKW)</xsl:when>
                    <xsl:when test="./i6:value = '128326'">Tetranychus ludeni (TETRLU)</xsl:when>
                    <xsl:when test="./i6:value = '128327'">Tetranychus mcdanieli (TETRMD)</xsl:when>
                    <xsl:when test="./i6:value = '128328'">Tetranychus pacificus (TETRPA)</xsl:when>
                    <xsl:when test="./i6:value = '128329'">Tetranychus schoenei (TETRSC)</xsl:when>
                    <xsl:when test="./i6:value = '128330'">Tetranychus tumidus (TETRTU)</xsl:when>
                    <xsl:when test="./i6:value = '128331'">Tetranychus turkestani (TETRTK)</xsl:when>
                    <xsl:when test="./i6:value = '128332'">Tetranychus viennensis (TETRVI)</xsl:when>
                    <xsl:when test="./i6:value = '128333'">Tetranycopsis horridus (TTNYHO)</xsl:when>
                    <xsl:when test="./i6:value = '128334'">Tetraodon nigroviridis (TETDVI)</xsl:when>
                    <xsl:when test="./i6:value = '128335'">Tetraopes tetrophthalmus (TETETE)</xsl:when>
                    <xsl:when test="./i6:value = '128336'">Tetrix bipunctata (TETXBI)</xsl:when>
                    <xsl:when test="./i6:value = '128337'">Tetrix japonica (TETXJA)</xsl:when>
                    <xsl:when test="./i6:value = '128338'">Tetrix ornata (TETXOR)</xsl:when>
                    <xsl:when test="./i6:value = '128339'">Tetrix subulata (TETXSU)</xsl:when>
                    <xsl:when test="./i6:value = '128340'">Tetrix undulata (TETXUN)</xsl:when>
                    <xsl:when test="./i6:value = '128341'">Tetropium abietes (TETOAB)</xsl:when>
                    <xsl:when test="./i6:value = '128342'">Tetropium fuscum (TETOFU)</xsl:when>
                    <xsl:when test="./i6:value = '128343'">Tetropium gabrieli (TETOGA)</xsl:when>
                    <xsl:when test="./i6:value = '128344'">Tetropium gracilicorne (TETOGR)</xsl:when>
                    <xsl:when test="./i6:value = '128345'">Tetropium staudingeri (TETOST)</xsl:when>
                    <xsl:when test="./i6:value = '128346'">Tetropium velutinum (TETOVE)</xsl:when>
                    <xsl:when test="./i6:value = '128347'">Tettigonia cantans (TTTACA)</xsl:when>
                    <xsl:when test="./i6:value = '128348'">Tettigonia caudata (LOCUCA)</xsl:when>
                    <xsl:when test="./i6:value = '128349'">Tettigonia viridissima (LOCUVI)</xsl:when>
                    <xsl:when test="./i6:value = '128350'">Tetyra bipunctata (TETYBI)</xsl:when>
                    <xsl:when test="./i6:value = '128351'">Thalassoma bifasciatum (THASBI)</xsl:when>
                    <xsl:when test="./i6:value = '128352'">Thamnophis sirtalis (THMOSI)</xsl:when>
                    <xsl:when test="./i6:value = '128353'">Thanasimus dubius (THANDU)</xsl:when>
                    <xsl:when test="./i6:value = '128354'">Thanasimus formicarius (THANFO)</xsl:when>
                    <xsl:when test="./i6:value = '128355'">Thanatephorus cucumeris (RHIZSO)</xsl:when>
                    <xsl:when test="./i6:value = '128356'">Thaumastocoris peregrinus (THMCPE)</xsl:when>
                    <xsl:when test="./i6:value = '128357'">Thaumatomyia notata (THAYNO)</xsl:when>
                    <xsl:when test="./i6:value = '128358'">Thaumatotibia encarpa (CRYIEN)</xsl:when>
                    <xsl:when test="./i6:value = '128359'">Thaumatotibia leucotreta (ARGPLE)</xsl:when>
                    <xsl:when test="./i6:value = '128360'">Thaumetopoea pityocampa (THAUPI)</xsl:when>
                    <xsl:when test="./i6:value = '128361'">Thaumetopoea processionea (THAUPR)</xsl:when>
                    <xsl:when test="./i6:value = '128362'">Thaumetopoea wilkinsoni (THAUWI)</xsl:when>
                    <xsl:when test="./i6:value = '128363'">Thecabius affinis (THEAAF)</xsl:when>
                    <xsl:when test="./i6:value = '128364'">Thecabius auriculae (PEMPAU)</xsl:when>
                    <xsl:when test="./i6:value = '128365'">Thecabius populi-monilis (THEAPM)</xsl:when>
                    <xsl:when test="./i6:value = '128366'">Thecaphora frezii (THPHFR)</xsl:when>
                    <xsl:when test="./i6:value = '128367'">Thecaphora solani (THPHSO)</xsl:when>
                    <xsl:when test="./i6:value = '128368'">Thecla basilides (THECBA)</xsl:when>
                    <xsl:when test="./i6:value = '128369'">Thecla betulae (THECBE)</xsl:when>
                    <xsl:when test="./i6:value = '128370'">Thecodiplosis cupressiananassa (THEOAN)</xsl:when>
                    <xsl:when test="./i6:value = '128371'">Thecodiplosis japonensis (THEOJA)</xsl:when>
                    <xsl:when test="./i6:value = '128372'">Thecodiplosis liriodendri (THEOLI)</xsl:when>
                    <xsl:when test="./i6:value = '128373'">Thecodiplosis piniradiatae (THEOPR)</xsl:when>
                    <xsl:when test="./i6:value = '128374'">Thecodiplosis piniresinosae (THEOPI)</xsl:when>
                    <xsl:when test="./i6:value = '128375'">Thekopsora minima (THEKMI)</xsl:when>
                    <xsl:when test="./i6:value = '128376'">Thelephora terrestris (THELTE)</xsl:when>
                    <xsl:when test="./i6:value = '128377'">Thelonectria lucida (NECTLU)</xsl:when>
                    <xsl:when test="./i6:value = '128378'">Theresimima ampelophaga (THEEAM)</xsl:when>
                    <xsl:when test="./i6:value = '128379'">Thereva nobilitata (THEVNO)</xsl:when>
                    <xsl:when test="./i6:value = '128380'">Therioaphis maculata (THERMA)</xsl:when>
                    <xsl:when test="./i6:value = '128381'">Therioaphis ononidis (THERON)</xsl:when>
                    <xsl:when test="./i6:value = '128382'">Therioaphis riehmi (THERRI)</xsl:when>
                    <xsl:when test="./i6:value = '128383'">Therioaphis trifolii (THERTR)</xsl:when>
                    <xsl:when test="./i6:value = '128384'">Thermobia domestica (THRMDO)</xsl:when>
                    <xsl:when test="./i6:value = '128385'">Thielaviopsis basicola (THIEBA)</xsl:when>
                    <xsl:when test="./i6:value = '128386'">Thielaviopsis radicicola (CERARA)</xsl:when>
                    <xsl:when test="./i6:value = '128387'">Thiotricha subocellea (THITSU)</xsl:when>
                    <xsl:when test="./i6:value = '128388'">Thomisus onustus (THMION)</xsl:when>
                    <xsl:when test="./i6:value = '128389'">Thomomys talpoides (THMSTA)</xsl:when>
                    <xsl:when test="./i6:value = '128390'">Thrips angusticeps (THRIAN)</xsl:when>
                    <xsl:when test="./i6:value = '128391'">Thrips arizonensis (THRIAR)</xsl:when>
                    <xsl:when test="./i6:value = '128392'">Thrips australis (THRIAU)</xsl:when>
                    <xsl:when test="./i6:value = '128393'">Thrips coloratus (THRIJA)</xsl:when>
                    <xsl:when test="./i6:value = '128394'">Thrips florum (THRIFO)</xsl:when>
                    <xsl:when test="./i6:value = '128395'">Thrips fuscipennis (THRIFU)</xsl:when>
                    <xsl:when test="./i6:value = '128396'">Thrips hawaiiensis (THRIHA)</xsl:when>
                    <xsl:when test="./i6:value = '128397'">Thrips imaginis (THRIIM)</xsl:when>
                    <xsl:when test="./i6:value = '128398'">Thrips lini (THRILI)</xsl:when>
                    <xsl:when test="./i6:value = '128399'">Thrips major (THRIMA)</xsl:when>
                    <xsl:when test="./i6:value = '128400'">Thrips nigropilosus (THRINI)</xsl:when>
                    <xsl:when test="./i6:value = '128401'">Thrips obscuratus (THRIOB)</xsl:when>
                    <xsl:when test="./i6:value = '128402'">Thrips orientalis (THRIOI)</xsl:when>
                    <xsl:when test="./i6:value = '128403'">Thrips palmi (THRIPL)</xsl:when>
                    <xsl:when test="./i6:value = '128404'">Thrips parvispinus (THRIPV)</xsl:when>
                    <xsl:when test="./i6:value = '128405'">Thrips setosus (THRISE)</xsl:when>
                    <xsl:when test="./i6:value = '128406'">Thrips simplex (TAETSI)</xsl:when>
                    <xsl:when test="./i6:value = '128407'">Thrips tabaci (THRITB)</xsl:when>
                    <xsl:when test="./i6:value = '128408'">Thryothorus carolinianus (THRYCA)</xsl:when>
                    <xsl:when test="./i6:value = '128409'">Thyanta accerra (THYNAC)</xsl:when>
                    <xsl:when test="./i6:value = '128410'">Thyatira batis (THYTBA)</xsl:when>
                    <xsl:when test="./i6:value = '128411'">Thyestilla gebleri (THYEGE)</xsl:when>
                    <xsl:when test="./i6:value = '128412'">Thylodrias contractus (THYLCO)</xsl:when>
                    <xsl:when test="./i6:value = '128413'">Thymallus thymallus (TYMLTH)</xsl:when>
                    <xsl:when test="./i6:value = '128414'">Thymelicus actaeon (THYMAC)</xsl:when>
                    <xsl:when test="./i6:value = '128415'">Thymelicus flavus (THYMFL)</xsl:when>
                    <xsl:when test="./i6:value = '128416'">Thymelicus lineola (THYMLI)</xsl:when>
                    <xsl:when test="./i6:value = '128417'">Thyreocoris scarabaeoides (THRCSC)</xsl:when>
                    <xsl:when test="./i6:value = '128418'">Thyridopteryx ephemeraeformis (THYXEP)</xsl:when>
                    <xsl:when test="./i6:value = '128419'">Thysanophora glaucoalbida (TYSPGL)</xsl:when>
                    <xsl:when test="./i6:value = '128420'">Thysanoplusia orichalcea (PYTOOR)</xsl:when>
                    <xsl:when test="./i6:value = '128421'">Tibraca limbativentris (TIBRLI)</xsl:when>
                    <xsl:when test="./i6:value = '128422'">Tilapia nilotica (TILANI)</xsl:when>
                    <xsl:when test="./i6:value = '128423'">Tildenia glochinella (PHTOGL)</xsl:when>
                    <xsl:when test="./i6:value = '128424'">Tilletia barclayana (TILLBA)</xsl:when>
                    <xsl:when test="./i6:value = '128425'">Tilletia controversa (TILLCO)</xsl:when>
                    <xsl:when test="./i6:value = '128426'">Tilletia decipiens (TILLDE)</xsl:when>
                    <xsl:when test="./i6:value = '128427'">Tilletia foetida (TILLFO)</xsl:when>
                    <xsl:when test="./i6:value = '128428'">Tilletia indica (NEOVIN)</xsl:when>
                    <xsl:when test="./i6:value = '128429'">Tilletia pancicii (TILLPA)</xsl:when>
                    <xsl:when test="./i6:value = '128430'">Tilletia secalis (TILLSE)</xsl:when>
                    <xsl:when test="./i6:value = '128431'">Tilletia setariae (TILLST)</xsl:when>
                    <xsl:when test="./i6:value = '128432'">Tilletia setariicola (TILLSC)</xsl:when>
                    <xsl:when test="./i6:value = '128433'">Tilletia vittata (TILLVI)</xsl:when>
                    <xsl:when test="./i6:value = '128434'">Tilletia walkeri (TILLWA)</xsl:when>
                    <xsl:when test="./i6:value = '128435'">Tilletiopsis albescens (TILPAL)</xsl:when>
                    <xsl:when test="./i6:value = '128436'">Tilletiopsis minor (TILPMI)</xsl:when>
                    <xsl:when test="./i6:value = '128437'">Timarcha goettingensis (TIMCGO)</xsl:when>
                    <xsl:when test="./i6:value = '128438'">Timarcha tenebricosa (TIMCTE)</xsl:when>
                    <xsl:when test="./i6:value = '128439'">Tinamus major (TINAMA)</xsl:when>
                    <xsl:when test="./i6:value = '128440'">Tinca tinca (TNCATI)</xsl:when>
                    <xsl:when test="./i6:value = '128441'">Tinea pallescentella (TINEPL)</xsl:when>
                    <xsl:when test="./i6:value = '128442'">Tingis cardui (TINGCA)</xsl:when>
                    <xsl:when test="./i6:value = '128443'">Tinocallis kahawaluokalani (TINCKA)</xsl:when>
                    <xsl:when test="./i6:value = '128444'">Tinocallis ulmifolii (TINCUL)</xsl:when>
                    <xsl:when test="./i6:value = '128445'">Tinocallis ulmiparvifoliae (TINCUP)</xsl:when>
                    <xsl:when test="./i6:value = '128446'">Tinocallis viridis (MYZCVI)</xsl:when>
                    <xsl:when test="./i6:value = '128447'">Tipula aino (TIPUAI)</xsl:when>
                    <xsl:when test="./i6:value = '128448'">Tipula bicornis (TIPUBI)</xsl:when>
                    <xsl:when test="./i6:value = '128449'">Tipula latemarginata (TIPULA)</xsl:when>
                    <xsl:when test="./i6:value = '128450'">Tipula loewiana (TIPUSI)</xsl:when>
                    <xsl:when test="./i6:value = '128451'">Tipula oleracea (TIPUOL)</xsl:when>
                    <xsl:when test="./i6:value = '128452'">Tipula paludosa (TIPUPA)</xsl:when>
                    <xsl:when test="./i6:value = '128453'">Tiracola plagiata (TIRAPL)</xsl:when>
                    <xsl:when test="./i6:value = '128454'">Tmolus echion (THECEC)</xsl:when>
                    <xsl:when test="./i6:value = '128455'">Tockus nasutus (TOCKNA)</xsl:when>
                    <xsl:when test="./i6:value = '128456'">Todolachnus strobi (TODOST)</xsl:when>
                    <xsl:when test="./i6:value = '128457'">Todolachnus todocola (TODOTO)</xsl:when>
                    <xsl:when test="./i6:value = '128458'">Togninia minima (TOGNMI)</xsl:when>
                    <xsl:when test="./i6:value = '128459'">Tolype laricis (TLYPLA)</xsl:when>
                    <xsl:when test="./i6:value = '128460'">Tolype velleda (TLYPVE)</xsl:when>
                    <xsl:when test="./i6:value = '128461'">Tolypocladium cylindrosporum (TOLPCY)</xsl:when>
                    <xsl:when test="./i6:value = '128462'">Tolyposporium ehrenbergii (TOLYEH)</xsl:when>
                    <xsl:when test="./i6:value = '128463'">Tolyposporium penicillariae (TOLYPE)</xsl:when>
                    <xsl:when test="./i6:value = '128464'">Tomaspis flavilatera (TOMAFA)</xsl:when>
                    <xsl:when test="./i6:value = '128465'">Tomicus yunnanensis (TOMSYU)</xsl:when>
                    <xsl:when test="./i6:value = '128466'">Torpedo californica (TORPCA)</xsl:when>
                    <xsl:when test="./i6:value = '128467'">Tortrix viridana (TORTVI)</xsl:when>
                    <xsl:when test="./i6:value = '128468'">Torulopsis stellata (TORUST)</xsl:when>
                    <xsl:when test="./i6:value = '128469'">Torymus druparum (SYNODR)</xsl:when>
                    <xsl:when test="./i6:value = '128470'">Torymus sinensis (TORYSI)</xsl:when>
                    <xsl:when test="./i6:value = '128471'">Torymus varians (SYNOVA)</xsl:when>
                    <xsl:when test="./i6:value = '128472'">Toumeyella liriodendri (TOUMLI)</xsl:when>
                    <xsl:when test="./i6:value = '128473'">Toumeyella numismatica (TOUMNU)</xsl:when>
                    <xsl:when test="./i6:value = '128474'">Toumeyella parvicornis (TOUMPA)</xsl:when>
                    <xsl:when test="./i6:value = '128475'">Toumeyella pinicola (TOUMPI)</xsl:when>
                    <xsl:when test="./i6:value = '128476'">Toxoptera aurantii (TOXOAU)</xsl:when>
                    <xsl:when test="./i6:value = '128477'">Toxostoma rufum (TOXSRU)</xsl:when>
                    <xsl:when test="./i6:value = '128478'">Toxotrypana curvicauda (TOXTCU)</xsl:when>
                    <xsl:when test="./i6:value = '128479'">Trabala vishnou (TRBAVI)</xsl:when>
                    <xsl:when test="./i6:value = '128480'">Trabutia quercina (TRBTQU)</xsl:when>
                    <xsl:when test="./i6:value = '128481'">Trachea atriplicis (TRAEAT)</xsl:when>
                    <xsl:when test="./i6:value = '128482'">Trachelus tabidus (CEPHTA)</xsl:when>
                    <xsl:when test="./i6:value = '128483'">Trachykele blondeli (TRAHBL)</xsl:when>
                    <xsl:when test="./i6:value = '128484'">Trachykele blondeli juniperi (TRAHBJ)</xsl:when>
                    <xsl:when test="./i6:value = '128485'">Trachykele opulenta (TRAHOP)</xsl:when>
                    <xsl:when test="./i6:value = '128486'">Trachymela sloanei (TCMLSL)</xsl:when>
                    <xsl:when test="./i6:value = '128487'">Trachysphaera fructigena (TRACFR)</xsl:when>
                    <xsl:when test="./i6:value = '128488'">Tragelaphus strepsiceros (TRGPST)</xsl:when>
                    <xsl:when test="./i6:value = '128489'">Trama troglodytes (TRAMTR)</xsl:when>
                    <xsl:when test="./i6:value = '128490'">Trametes corrugata (TRMTCO)</xsl:when>
                    <xsl:when test="./i6:value = '128491'">Trametes gibbosa (TRMTGI)</xsl:when>
                    <xsl:when test="./i6:value = '128492'">Trametes hirsuta (POLPHI)</xsl:when>
                    <xsl:when test="./i6:value = '128493'">Trametes trogii (TRMTTR)</xsl:when>
                    <xsl:when test="./i6:value = '128494'">Trametes versicolor (CORLVE)</xsl:when>
                    <xsl:when test="./i6:value = '128495'">Tranzschelia discolor (TRANDI)</xsl:when>
                    <xsl:when test="./i6:value = '128496'">Tranzschelia pruni-spinosae (TRANPS)</xsl:when>
                    <xsl:when test="./i6:value = '128497'">Tremella foliacea (TREMFO)</xsl:when>
                    <xsl:when test="./i6:value = '128498'">Tremella fuciformis (TREMFU)</xsl:when>
                    <xsl:when test="./i6:value = '128499'">Tremella lutescens (TREMLU)</xsl:when>
                    <xsl:when test="./i6:value = '128500'">Trepidaria petronella (TRPDPE)</xsl:when>
                    <xsl:when test="./i6:value = '128501'">Treponema pallidum (TREPPA)</xsl:when>
                    <xsl:when test="./i6:value = '128502'">Treptoplatypus australis (PLTPAU)</xsl:when>
                    <xsl:when test="./i6:value = '128503'">Treptoplatypus wilsoni (PLTPWI)</xsl:when>
                    <xsl:when test="./i6:value = '128504'">Triakis semifasciata (TRIKSE)</xsl:when>
                    <xsl:when test="./i6:value = '128505'">Trialeurodes abutiloneus (TRIAAB)</xsl:when>
                    <xsl:when test="./i6:value = '128506'">Trialeurodes floridensis (TRIAFL)</xsl:when>
                    <xsl:when test="./i6:value = '128507'">Trialeurodes packardi (TRIAPA)</xsl:when>
                    <xsl:when test="./i6:value = '128508'">Trialeurodes ricini (TRIARI)</xsl:when>
                    <xsl:when test="./i6:value = '128509'">Trialeurodes vaporariorum (TRIAVA)</xsl:when>
                    <xsl:when test="./i6:value = '128510'">Trialeurodes vittata (TRIAVT)</xsl:when>
                    <xsl:when test="./i6:value = '128511'">Triatoma protracta (TRMAPR)</xsl:when>
                    <xsl:when test="./i6:value = '128512'">Triatoma rubrofasciata (TRMARU)</xsl:when>
                    <xsl:when test="./i6:value = '128513'">Triatoma sanguisuga (TRMASA)</xsl:when>
                    <xsl:when test="./i6:value = '128514'">Tribolium audax (TRIBAU)</xsl:when>
                    <xsl:when test="./i6:value = '128515'">Tribolium confusum (TRIBCO)</xsl:when>
                    <xsl:when test="./i6:value = '128516'">Tribolium destructor (TRIBDE)</xsl:when>
                    <xsl:when test="./i6:value = '128517'">Tribolium madens (TRIBMA)</xsl:when>
                    <xsl:when test="./i6:value = '128518'">Tricentrus albomaculatus (TRIEAL)</xsl:when>
                    <xsl:when test="./i6:value = '128519'">Trichaptum abietinum (TRPTAB)</xsl:when>
                    <xsl:when test="./i6:value = '128520'">Trichia hispida (TRHIHI)</xsl:when>
                    <xsl:when test="./i6:value = '128521'">Trichiocampus viminalis (TRCCVI)</xsl:when>
                    <xsl:when test="./i6:value = '128522'">Trichiosoma lucorum (TCSMLU)</xsl:when>
                    <xsl:when test="./i6:value = '128523'">Trichiosoma tibiale (TCSMTI)</xsl:when>
                    <xsl:when test="./i6:value = '128524'">Trichispa sericea (TRCASE)</xsl:when>
                    <xsl:when test="./i6:value = '128525'">Trichiura crataegi (TRIICR)</xsl:when>
                    <xsl:when test="./i6:value = '128526'">Trichius fasciatus (TRCIFA)</xsl:when>
                    <xsl:when test="./i6:value = '128527'">Trichobaris trinotata (TRICTR)</xsl:when>
                    <xsl:when test="./i6:value = '128528'">Trichobaris trinotata mucorea (TRICMU)</xsl:when>
                    <xsl:when test="./i6:value = '128529'">Trichocera hiemalis (PETAHI)</xsl:when>
                    <xsl:when test="./i6:value = '128530'">Trichocintractia utriculicola (TCINUT)</xsl:when>
                    <xsl:when test="./i6:value = '128531'">Trichodectes canis (TRIDCA)</xsl:when>
                    <xsl:when test="./i6:value = '128532'">Trichoderma hamatum (TRCDHM)</xsl:when>
                    <xsl:when test="./i6:value = '128533'">Trichoderma harzianum (TRCDHR)</xsl:when>
                    <xsl:when test="./i6:value = '128534'">Trichoderma narcissi (TRCDNA)</xsl:when>
                    <xsl:when test="./i6:value = '128535'">Trichodorus obtusus (TRIHBT)</xsl:when>
                    <xsl:when test="./i6:value = '128536'">Trichodorus viruliferus (TRIHVI)</xsl:when>
                    <xsl:when test="./i6:value = '128537'">Trichoferus campestris (HESOCA)</xsl:when>
                    <xsl:when test="./i6:value = '128538'">Trichogaster pectoralis (TRCGPE)</xsl:when>
                    <xsl:when test="./i6:value = '128539'">Trichoglossum hirsutum (TGLOHI)</xsl:when>
                    <xsl:when test="./i6:value = '128540'">Trichoglossus haematodus (TRGSHA)</xsl:when>
                    <xsl:when test="./i6:value = '128541'">Trichogramma minutum (TRIGMI)</xsl:when>
                    <xsl:when test="./i6:value = '128542'">Tricholoma acerbum (TRCHAC)</xsl:when>
                    <xsl:when test="./i6:value = '128543'">Tricholoma album (TRCHAL)</xsl:when>
                    <xsl:when test="./i6:value = '128544'">Tricholoma apium (TRCHAP)</xsl:when>
                    <xsl:when test="./i6:value = '128545'">Tricholoma atrosquamosum (TRCHAT)</xsl:when>
                    <xsl:when test="./i6:value = '128546'">Tricholoma aurantium (TRCHAN)</xsl:when>
                    <xsl:when test="./i6:value = '128547'">Tricholoma caligatum (TRCHCG)</xsl:when>
                    <xsl:when test="./i6:value = '128548'">Tricholoma cingulatum (TRCHCI)</xsl:when>
                    <xsl:when test="./i6:value = '128549'">Tricholoma colossus (TRCHCS)</xsl:when>
                    <xsl:when test="./i6:value = '128550'">Tricholoma columbetta (TRCHCO)</xsl:when>
                    <xsl:when test="./i6:value = '128551'">Tricholoma equestre (TRCHAU)</xsl:when>
                    <xsl:when test="./i6:value = '128552'">Tricholoma focale (TRCHFO)</xsl:when>
                    <xsl:when test="./i6:value = '128553'">Tricholoma fulvum (TRCHFU)</xsl:when>
                    <xsl:when test="./i6:value = '128554'">Tricholoma imbricatum (TRCHIM)</xsl:when>
                    <xsl:when test="./i6:value = '128555'">Tricholoma lascivum (TRCHLA)</xsl:when>
                    <xsl:when test="./i6:value = '128556'">Tricholoma magnivelare (TRCHMV)</xsl:when>
                    <xsl:when test="./i6:value = '128557'">Tricholoma matsutake (TRCHMA)</xsl:when>
                    <xsl:when test="./i6:value = '128558'">Tricholoma populinum (TRCHPQ)</xsl:when>
                    <xsl:when test="./i6:value = '128559'">Tricholoma psammopus (TRCHPP)</xsl:when>
                    <xsl:when test="./i6:value = '128560'">Tricholoma saponaceum (TRCHSA)</xsl:when>
                    <xsl:when test="./i6:value = '128561'">Tricholoma scalpturatum (TRCHSL)</xsl:when>
                    <xsl:when test="./i6:value = '128562'">Tricholoma sejunctum (TRCHSE)</xsl:when>
                    <xsl:when test="./i6:value = '128563'">Tricholoma stans (TRCHSN)</xsl:when>
                    <xsl:when test="./i6:value = '128564'">Tricholoma sulphureum (TRCHSU)</xsl:when>
                    <xsl:when test="./i6:value = '128565'">Tricholoma terreum (TRCHTE)</xsl:when>
                    <xsl:when test="./i6:value = '128566'">Tricholoma ustale (TRCHUS)</xsl:when>
                    <xsl:when test="./i6:value = '128567'">Tricholoma vaccinum (TRCHVA)</xsl:when>
                    <xsl:when test="./i6:value = '128568'">Tricholoma virgatum (TRCHVI)</xsl:when>
                    <xsl:when test="./i6:value = '128569'">Tricholomopsis decora (TCMPDE)</xsl:when>
                    <xsl:when test="./i6:value = '128570'">Tricholomopsis rutilans (TCMPRU)</xsl:when>
                    <xsl:when test="./i6:value = '128571'">Trichometasphaeria pedicellatum (TRMSPE)</xsl:when>
                    <xsl:when test="./i6:value = '128572'">Trichophaga abruptella (TRHOAB)</xsl:when>
                    <xsl:when test="./i6:value = '128573'">Trichophaga tapetzella (TRHOTA)</xsl:when>
                    <xsl:when test="./i6:value = '128574'">Trichophyton schoenleinii (TRPHSL)</xsl:when>
                    <xsl:when test="./i6:value = '128575'">Trichophyton soudanense (TRPHSD)</xsl:when>
                    <xsl:when test="./i6:value = '128576'">Trichophyton verrucosum (TRPHVE)</xsl:when>
                    <xsl:when test="./i6:value = '128577'">Trichophyton violaceum (TRPHVL)</xsl:when>
                    <xsl:when test="./i6:value = '128578'">Trichoplusia ni (TRIPNI)</xsl:when>
                    <xsl:when test="./i6:value = '128579'">Trichosporum vesiculosum (TRKOVE)</xsl:when>
                    <xsl:when test="./i6:value = '128580'">Trichosurus vulpecula (TRQSVU)</xsl:when>
                    <xsl:when test="./i6:value = '128581'">Trichothecium roseum (TRITRO)</xsl:when>
                    <xsl:when test="./i6:value = '128582'">Trigona hyalinata hyalinata (TRGOHH)</xsl:when>
                    <xsl:when test="./i6:value = '128583'">Trigoniulus lumbricinus (TRGULU)</xsl:when>
                    <xsl:when test="./i6:value = '128584'">Trigonogenius globulus (TRGGGL)</xsl:when>
                    <xsl:when test="./i6:value = '128585'">Trigonotylus caelestialium (TRIOCO)</xsl:when>
                    <xsl:when test="./i6:value = '128586'">Trigonotylus pulcher (TRIOPU)</xsl:when>
                    <xsl:when test="./i6:value = '128587'">Trigonotylus tenuis (TRIOTE)</xsl:when>
                    <xsl:when test="./i6:value = '128588'">Trimeresia miranda (TRIMMI)</xsl:when>
                    <xsl:when test="./i6:value = '128589'">Trinectes maculatus (TRNEMA)</xsl:when>
                    <xsl:when test="./i6:value = '128590'">Tringa glareola (TNGAGL)</xsl:when>
                    <xsl:when test="./i6:value = '128591'">Tringa hypoleucos (TNGAHY)</xsl:when>
                    <xsl:when test="./i6:value = '128592'">Trionymus aberrans (TRINAB)</xsl:when>
                    <xsl:when test="./i6:value = '128593'">Triops cancriformis (TRPSCA)</xsl:when>
                    <xsl:when test="./i6:value = '128594'">Triops granarius (TRPSGR)</xsl:when>
                    <xsl:when test="./i6:value = '128595'">Triops longicaudatus (TRPSLO)</xsl:when>
                    <xsl:when test="./i6:value = '128596'">Trioza alacris (TRIZAL)</xsl:when>
                    <xsl:when test="./i6:value = '128597'">Trioza apicalis (TRIZAP)</xsl:when>
                    <xsl:when test="./i6:value = '128598'">Trioza camphorae (TRIZCA)</xsl:when>
                    <xsl:when test="./i6:value = '128599'">Trioza diospyri (TRIZDI)</xsl:when>
                    <xsl:when test="./i6:value = '128600'">Trioza erytreae (TRIZER)</xsl:when>
                    <xsl:when test="./i6:value = '128601'">Trioza tripunctata (TRIZTI)</xsl:when>
                    <xsl:when test="./i6:value = '128602'">Trioza viridula (TRIZVI)</xsl:when>
                    <xsl:when test="./i6:value = '128603'">Triphragmiopsis laricina (TPHSLA)</xsl:when>
                    <xsl:when test="./i6:value = '128604'">Tripospora macrospora (TRPPMA)</xsl:when>
                    <xsl:when test="./i6:value = '128605'">Tripospora tripos (TRPPTR)</xsl:when>
                    <xsl:when test="./i6:value = '128606'">Tripospora venezuelensis (TRPPVE)</xsl:when>
                    <xsl:when test="./i6:value = '128607'">Trirhabda baccharidis (TRRBBA)</xsl:when>
                    <xsl:when test="./i6:value = '128608'">Trirhithrum coffeae (CERTCF)</xsl:when>
                    <xsl:when test="./i6:value = '128609'">Trirhithrum inscriptum (CERTIN)</xsl:when>
                    <xsl:when test="./i6:value = '128610'">Trisopterus luscus (TPTULU)</xsl:when>
                    <xsl:when test="./i6:value = '128611'">Trithemis stictica (TRTHST)</xsl:when>
                    <xsl:when test="./i6:value = '128612'">Triton alpestre (TTURAL)</xsl:when>
                    <xsl:when test="./i6:value = '128613'">Triturus cristatus (TTURCR)</xsl:when>
                    <xsl:when test="./i6:value = '128614'">Triturus vulgaris (TTURVU)</xsl:when>
                    <xsl:when test="./i6:value = '128615'">Trochalus politus (TROHPO)</xsl:when>
                    <xsl:when test="./i6:value = '128616'">Trochila ilicina (TROKIL)</xsl:when>
                    <xsl:when test="./i6:value = '128617'">Trochoidea elegans (TOCHEL)</xsl:when>
                    <xsl:when test="./i6:value = '128618'">Trogium pulsatorium (TROUPU)</xsl:when>
                    <xsl:when test="./i6:value = '128619'">Troglodytes aedon (TRGLAE)</xsl:when>
                    <xsl:when test="./i6:value = '128620'">Trogoderma inclusum (TROGIN)</xsl:when>
                    <xsl:when test="./i6:value = '128621'">Trogoderma ornatum (TROGOR)</xsl:when>
                    <xsl:when test="./i6:value = '128622'">Trogoderma variabile (TROGPA)</xsl:when>
                    <xsl:when test="./i6:value = '128623'">Trogon viridis (TRGNVI)</xsl:when>
                    <xsl:when test="./i6:value = '128624'">Tropinota hirta (EPISHI)</xsl:when>
                    <xsl:when test="./i6:value = '128625'">Truncatella subcylindrica (TRNLSU)</xsl:when>
                    <xsl:when test="./i6:value = '128626'">Truncatellina cylindrica (TRNCCY)</xsl:when>
                    <xsl:when test="./i6:value = '128627'">Truxalis brevicornis (TRUXBR)</xsl:when>
                    <xsl:when test="./i6:value = '128628'">Trypeta musae (TRYEMU)</xsl:when>
                    <xsl:when test="./i6:value = '128629'">Trypodendron betulae (TRYDBE)</xsl:when>
                    <xsl:when test="./i6:value = '128630'">Trypodendron lineatum (TRYDLI)</xsl:when>
                    <xsl:when test="./i6:value = '128631'">Trypodendron rufitarsus (TRYDPO)</xsl:when>
                    <xsl:when test="./i6:value = '128632'">Trypoxylon politum (TRYXPO)</xsl:when>
                    <xsl:when test="./i6:value = '128633'">Tubakia dryina (DCPADR)</xsl:when>
                    <xsl:when test="./i6:value = '128634'">Tubaria conspersa (TUBACO)</xsl:when>
                    <xsl:when test="./i6:value = '128635'">Tubaria furfuracea (TUBAFU)</xsl:when>
                    <xsl:when test="./i6:value = '128636'">Tuber aestivum (TUERAE)</xsl:when>
                    <xsl:when test="./i6:value = '128637'">Tuber brumale (TUERBR)</xsl:when>
                    <xsl:when test="./i6:value = '128638'">Tuber gibbosum (TUERGI)</xsl:when>
                    <xsl:when test="./i6:value = '128639'">Tuber himalayense (TUERHI)</xsl:when>
                    <xsl:when test="./i6:value = '128640'">Tuber indicum (TUERIN)</xsl:when>
                    <xsl:when test="./i6:value = '128641'">Tuber magnatum (TUERMA)</xsl:when>
                    <xsl:when test="./i6:value = '128642'">Tuber melanosporum (TUERME)</xsl:when>
                    <xsl:when test="./i6:value = '128643'">Tuber sinense (TUERSI)</xsl:when>
                    <xsl:when test="./i6:value = '128644'">Tuber uncinatum (TUERUN)</xsl:when>
                    <xsl:when test="./i6:value = '128645'">Tuberculina maxima (TUBCMA)</xsl:when>
                    <xsl:when test="./i6:value = '128646'">Tuberolachnus salignus (TUBRSA)</xsl:when>
                    <xsl:when test="./i6:value = '128647'">Tubeufia cerea (TUEFCE)</xsl:when>
                    <xsl:when test="./i6:value = '128648'">Tulostoma brumale (TULOBR)</xsl:when>
                    <xsl:when test="./i6:value = '128649'">Tulostoma melanocyclum (TULOME)</xsl:when>
                    <xsl:when test="./i6:value = '128650'">Tulostoma niveum (TULONI)</xsl:when>
                    <xsl:when test="./i6:value = '128651'">Tunga penetrans (TUNGPE)</xsl:when>
                    <xsl:when test="./i6:value = '128652'">Tupaia glis (TUPAGL)</xsl:when>
                    <xsl:when test="./i6:value = '128653'">Turcmenigena varentsovi (TURCVA)</xsl:when>
                    <xsl:when test="./i6:value = '128654'">Turdoides plebejus (TRDDPL)</xsl:when>
                    <xsl:when test="./i6:value = '128655'">Turdus chrysolaus (TURDCH)</xsl:when>
                    <xsl:when test="./i6:value = '128656'">Turdus iliacus (TURDMU)</xsl:when>
                    <xsl:when test="./i6:value = '128657'">Turdus merula (TURDME)</xsl:when>
                    <xsl:when test="./i6:value = '128658'">Turdus migratorius (TURDMI)</xsl:when>
                    <xsl:when test="./i6:value = '128659'">Turdus naumanni (TURDNU)</xsl:when>
                    <xsl:when test="./i6:value = '128660'">Turdus pallidus (TURDPA)</xsl:when>
                    <xsl:when test="./i6:value = '128661'">Turdus pilaris (TURDPI)</xsl:when>
                    <xsl:when test="./i6:value = '128662'">Turdus simillimus (TURDSI)</xsl:when>
                    <xsl:when test="./i6:value = '128663'">Turdus torquatus (TURDTO)</xsl:when>
                    <xsl:when test="./i6:value = '128664'">Turdus viscivorus (TURDVI)</xsl:when>
                    <xsl:when test="./i6:value = '128665'">Turritella communis (TURRCO)</xsl:when>
                    <xsl:when test="./i6:value = '128666'">Tursiops truncatus (TURSTR)</xsl:when>
                    <xsl:when test="./i6:value = '128667'">Tychius griseus (TYCHGR)</xsl:when>
                    <xsl:when test="./i6:value = '128668'">Tychius picirostris (TYCHPI)</xsl:when>
                    <xsl:when test="./i6:value = '128669'">Tychius tomentosus (TYCHTO)</xsl:when>
                    <xsl:when test="./i6:value = '128670'">Tylenchorhynchus agri (TYLRAG)</xsl:when>
                    <xsl:when test="./i6:value = '128671'">Tylenchorhynchus brassicae (TYLRBA)</xsl:when>
                    <xsl:when test="./i6:value = '128672'">Tylenchorhynchus claytoni (TYLRCL)</xsl:when>
                    <xsl:when test="./i6:value = '128673'">Tylenchulus semipenetrans (TYLESE)</xsl:when>
                    <xsl:when test="./i6:value = '128674'">Tyloderma brassicae (TYLOBR)</xsl:when>
                    <xsl:when test="./i6:value = '128675'">Tyloderma fragariae (TYLOFR)</xsl:when>
                    <xsl:when test="./i6:value = '128676'">Tyloderma morbillosus (TYLOMO)</xsl:when>
                    <xsl:when test="./i6:value = '128677'">Tyloderma nigrum (TYLODE)</xsl:when>
                    <xsl:when test="./i6:value = '128678'">Tylopilus felleus (TYLPFE)</xsl:when>
                    <xsl:when test="./i6:value = '128679'">Tympanuchus phasianellus (TYMPPH)</xsl:when>
                    <xsl:when test="./i6:value = '128680'">Typhaea stercorea (TYPAST)</xsl:when>
                    <xsl:when test="./i6:value = '128681'">Typhaeus typhoeus (TYHSTY)</xsl:when>
                    <xsl:when test="./i6:value = '128682'">Typhlocyba australis (TYCYAU)</xsl:when>
                    <xsl:when test="./i6:value = '128683'">Typhlocyba pomaria (TYCYPO)</xsl:when>
                    <xsl:when test="./i6:value = '128684'">Typhlocyba prunicola (TYCYPR)</xsl:when>
                    <xsl:when test="./i6:value = '128685'">Typhlocyba quercus (TYCYQU)</xsl:when>
                    <xsl:when test="./i6:value = '128686'">Typhlocyba rosae (TYCYRO)</xsl:when>
                    <xsl:when test="./i6:value = '128687'">Typhlocyba tenerrima (TYCYTE)</xsl:when>
                    <xsl:when test="./i6:value = '128688'">Typhlocyba ulmi (TYCYUL)</xsl:when>
                    <xsl:when test="./i6:value = '128689'">Typhula erythropus (TYPHER)</xsl:when>
                    <xsl:when test="./i6:value = '128690'">Typhula idahoensis (TYPHID)</xsl:when>
                    <xsl:when test="./i6:value = '128691'">Typhula incarnata (TYPHIN)</xsl:when>
                    <xsl:when test="./i6:value = '128692'">Typhula ishikariensis (TYPHIS)</xsl:when>
                    <xsl:when test="./i6:value = '128693'">Typhula trifolii (TYPHTR)</xsl:when>
                    <xsl:when test="./i6:value = '128694'">Typophorus viridicyaneus (TYPONV)</xsl:when>
                    <xsl:when test="./i6:value = '128695'">Tyrannus tyrannus (TYRATY)</xsl:when>
                    <xsl:when test="./i6:value = '128696'">Tyrolichus casei (TYROCA)</xsl:when>
                    <xsl:when test="./i6:value = '128697'">Tyromyces subcaesius (TYRMSU)</xsl:when>
                    <xsl:when test="./i6:value = '128698'">Tyrophagus dimidiatus (TYRODI)</xsl:when>
                    <xsl:when test="./i6:value = '128699'">Tyrophagus longior (TYROLO)</xsl:when>
                    <xsl:when test="./i6:value = '128700'">Tyrophagus neiswanderi (TYRONE)</xsl:when>
                    <xsl:when test="./i6:value = '128701'">Tyrophagus putrescentiae (TYROPU)</xsl:when>
                    <xsl:when test="./i6:value = '128702'">Tyrophagus similis (TYROSI)</xsl:when>
                    <xsl:when test="./i6:value = '128703'">Tyto alba (TYTOAL)</xsl:when>
                    <xsl:when test="./i6:value = '128704'">Tytthaspis sedecimpunctata (TYTTSD)</xsl:when>
                    <xsl:when test="./i6:value = '128705'">Uca pugilator (UCASPU)</xsl:when>
                    <xsl:when test="./i6:value = '128706'">Ulochaetes leoninus (ULOTLE)</xsl:when>
                    <xsl:when test="./i6:value = '128707'">Ulonemia concava (ULONCO)</xsl:when>
                    <xsl:when test="./i6:value = '128708'">Ulonemia decoris (ULONDE)</xsl:when>
                    <xsl:when test="./i6:value = '128709'">Umbonia crassicornis (UMBOCR)</xsl:when>
                    <xsl:when test="./i6:value = '128710'">Umbra pygmaea (UMBAPY)</xsl:when>
                    <xsl:when test="./i6:value = '128711'">Unaspis citri (UNASCI)</xsl:when>
                    <xsl:when test="./i6:value = '128712'">Unaspis euonymi (UNASEU)</xsl:when>
                    <xsl:when test="./i6:value = '128713'">Unaspis yanonensis (UNASYA)</xsl:when>
                    <xsl:when test="./i6:value = '128714'">Upupa epops (UPUPEP)</xsl:when>
                    <xsl:when test="./i6:value = '128715'">Uraba lugens (ROESLU)</xsl:when>
                    <xsl:when test="./i6:value = '128716'">Urapteryx sambucaria (URAPSA)</xsl:when>
                    <xsl:when test="./i6:value = '128717'">Urbanus proteus (GONUPR)</xsl:when>
                    <xsl:when test="./i6:value = '128718'">Uredinopsis mirabilis (URDNMI)</xsl:when>
                    <xsl:when test="./i6:value = '128719'">Uredo cajani (UREDCA)</xsl:when>
                    <xsl:when test="./i6:value = '128720'">Uredo ficina (UREDFI)</xsl:when>
                    <xsl:when test="./i6:value = '128721'">Uredo musae (UREDMU)</xsl:when>
                    <xsl:when test="./i6:value = '128722'">Uredo rangelii (UREDRA)</xsl:when>
                    <xsl:when test="./i6:value = '128723'">Urentius hystricellus (URENHY)</xsl:when>
                    <xsl:when test="./i6:value = '128724'">Uria aalge (URIAAA)</xsl:when>
                    <xsl:when test="./i6:value = '128725'">Urocerus albicornis (URCEAL)</xsl:when>
                    <xsl:when test="./i6:value = '128726'">Urocerus gigas (URCEGI)</xsl:when>
                    <xsl:when test="./i6:value = '128727'">Urochela luteovaria (URCHLU)</xsl:when>
                    <xsl:when test="./i6:value = '128728'">Urocyon cinereoargenteus (URCYCI)</xsl:when>
                    <xsl:when test="./i6:value = '128729'">Urocystis anemones (UROCAN)</xsl:when>
                    <xsl:when test="./i6:value = '128730'">Urocystis colchici (UROCCE)</xsl:when>
                    <xsl:when test="./i6:value = '128731'">Urocystis gladiolicola (UROCGL)</xsl:when>
                    <xsl:when test="./i6:value = '128732'">Urocystis occulta (UROCOC)</xsl:when>
                    <xsl:when test="./i6:value = '128733'">Urocystis violae (UROCVI)</xsl:when>
                    <xsl:when test="./i6:value = '128734'">Uroleucon ambrosiae (DACTAM)</xsl:when>
                    <xsl:when test="./i6:value = '128735'">Uroleucon carthami (DACTCA)</xsl:when>
                    <xsl:when test="./i6:value = '128736'">Uroleucon compositae (DACTCO)</xsl:when>
                    <xsl:when test="./i6:value = '128737'">Uroleucon jaceae (DACTJA)</xsl:when>
                    <xsl:when test="./i6:value = '128738'">Uroleucon pseudoambrosiae (URLCPA)</xsl:when>
                    <xsl:when test="./i6:value = '128739'">Uroleucon rudbeckiae (DACTRU)</xsl:when>
                    <xsl:when test="./i6:value = '128740'">Uromyces aloes (UROMAL)</xsl:when>
                    <xsl:when test="./i6:value = '128741'">Uromyces appendiculatus (UROMAP)</xsl:when>
                    <xsl:when test="./i6:value = '128742'">Uromyces azukicola (UROMAZ)</xsl:when>
                    <xsl:when test="./i6:value = '128743'">Uromyces betae (UROMBE)</xsl:when>
                    <xsl:when test="./i6:value = '128744'">Uromyces ciceris-arietini (UROMCA)</xsl:when>
                    <xsl:when test="./i6:value = '128745'">Uromyces croci (UROMCR)</xsl:when>
                    <xsl:when test="./i6:value = '128746'">Uromyces dactylidis (UROMDA)</xsl:when>
                    <xsl:when test="./i6:value = '128747'">Uromyces dactylidis var. poae (UROMDP)</xsl:when>
                    <xsl:when test="./i6:value = '128748'">Uromyces decoratus (UROMDE)</xsl:when>
                    <xsl:when test="./i6:value = '128749'">Uromyces dianthi (UROMDI)</xsl:when>
                    <xsl:when test="./i6:value = '128750'">Uromyces dolicholi (UROMDO)</xsl:when>
                    <xsl:when test="./i6:value = '128751'">Uromyces geranii (UROMGE)</xsl:when>
                    <xsl:when test="./i6:value = '128752'">Uromyces gladioli (UROMGL)</xsl:when>
                    <xsl:when test="./i6:value = '128753'">Uromyces manihotis (UROMMA)</xsl:when>
                    <xsl:when test="./i6:value = '128754'">Uromyces musae (UROMMU)</xsl:when>
                    <xsl:when test="./i6:value = '128755'">Uromyces nattrassii (UROMNA)</xsl:when>
                    <xsl:when test="./i6:value = '128756'">Uromyces pisi (UROMPS)</xsl:when>
                    <xsl:when test="./i6:value = '128757'">Uromyces rumicis (UROMRU)</xsl:when>
                    <xsl:when test="./i6:value = '128758'">Uromyces setariae-italicae (UROMSI)</xsl:when>
                    <xsl:when test="./i6:value = '128759'">Uromyces striatus (UROMST)</xsl:when>
                    <xsl:when test="./i6:value = '128760'">Uromyces transversalis (UROMTV)</xsl:when>
                    <xsl:when test="./i6:value = '128761'">Uromyces trifolii-repentis (UROMRE)</xsl:when>
                    <xsl:when test="./i6:value = '128762'">Uromyces trifolii-repentis var. fallens (UROMRF)</xsl:when>
                    <xsl:when test="./i6:value = '128763'">Uromyces triquetrus (UROMTQ)</xsl:when>
                    <xsl:when test="./i6:value = '128764'">Uromyces valerianae (UROMVA)</xsl:when>
                    <xsl:when test="./i6:value = '128765'">Uromyces vignae (UROMVI)</xsl:when>
                    <xsl:when test="./i6:value = '128766'">Uromycladium tepperianum (URCLTE)</xsl:when>
                    <xsl:when test="./i6:value = '128767'">Urophlyctis leproides (UROPLE)</xsl:when>
                    <xsl:when test="./i6:value = '128768'">Uroplata girardi (URPLGI)</xsl:when>
                    <xsl:when test="./i6:value = '128769'">Ursus americanus (URSUAM)</xsl:when>
                    <xsl:when test="./i6:value = '128770'">Ursus arctos arctos (URSUAR)</xsl:when>
                    <xsl:when test="./i6:value = '128771'">Ursus arctos horribilis (URSUAH)</xsl:when>
                    <xsl:when test="./i6:value = '128772'">Ursus thibetanus (URSUTH)</xsl:when>
                    <xsl:when test="./i6:value = '128773'">Ustanciosporium taubertianum (USTSTA)</xsl:when>
                    <xsl:when test="./i6:value = '128774'">Ustilago avenae f. sp. nigra (USTIAN)</xsl:when>
                    <xsl:when test="./i6:value = '128775'">Ustilago avenae f. sp. perennans (USTIAP)</xsl:when>
                    <xsl:when test="./i6:value = '128776'">Ustilago bullata (USTIBU)</xsl:when>
                    <xsl:when test="./i6:value = '128777'">Ustilago coicis (USTICO)</xsl:when>
                    <xsl:when test="./i6:value = '128778'">Ustilago crameri (USTICR)</xsl:when>
                    <xsl:when test="./i6:value = '128779'">Ustilago cynodontis (USTICY)</xsl:when>
                    <xsl:when test="./i6:value = '128780'">Ustilago esculenta (USTIES)</xsl:when>
                    <xsl:when test="./i6:value = '128781'">Ustilago hordei f. sp. avenae (USTIHA)</xsl:when>
                    <xsl:when test="./i6:value = '128782'">Ustilago hypodytes (USTIHY)</xsl:when>
                    <xsl:when test="./i6:value = '128783'">Ustilago longissima (USTILO)</xsl:when>
                    <xsl:when test="./i6:value = '128784'">Ustilago maydis (USTIMA)</xsl:when>
                    <xsl:when test="./i6:value = '128785'">Ustilago schroeteriana (USTISE)</xsl:when>
                    <xsl:when test="./i6:value = '128786'">Ustilago segetum var. avenae (USTIAV)</xsl:when>
                    <xsl:when test="./i6:value = '128787'">Ustilago segetum var. hordei (USTIHO)</xsl:when>
                    <xsl:when test="./i6:value = '128788'">Ustilago segetum var. nuda (USTINH)</xsl:when>
                    <xsl:when test="./i6:value = '128789'">Ustilago shiraiana (USTISH)</xsl:when>
                    <xsl:when test="./i6:value = '128790'">Ustilago striiformis (USTIST)</xsl:when>
                    <xsl:when test="./i6:value = '128791'">Ustilago syntherismae (USTISY)</xsl:when>
                    <xsl:when test="./i6:value = '128792'">Ustilago trichophora (USTITR)</xsl:when>
                    <xsl:when test="./i6:value = '128793'">Utetheisa ornatrix (UTETOR)</xsl:when>
                    <xsl:when test="./i6:value = '128794'">Valanga nigricornis (VALANI)</xsl:when>
                    <xsl:when test="./i6:value = '128795'">Valdensinia heterodoxa (VALDHE)</xsl:when>
                    <xsl:when test="./i6:value = '128796'">Vallonia excentrica (VALLEX)</xsl:when>
                    <xsl:when test="./i6:value = '128797'">Vallonia pulchella (VALLPU)</xsl:when>
                    <xsl:when test="./i6:value = '128798'">Valsa abietis (VALSAB)</xsl:when>
                    <xsl:when test="./i6:value = '128799'">Valsa ceratosperma (VALSCE)</xsl:when>
                    <xsl:when test="./i6:value = '128800'">Valsa cincta (VALSCI)</xsl:when>
                    <xsl:when test="./i6:value = '128801'">Valsa curreyi (VALSCU)</xsl:when>
                    <xsl:when test="./i6:value = '128802'">Valsa eugeniae (VALSEU)</xsl:when>
                    <xsl:when test="./i6:value = '128803'">Valsa japonica (VALSJA)</xsl:when>
                    <xsl:when test="./i6:value = '128804'">Valsa kunzei (VALSKU)</xsl:when>
                    <xsl:when test="./i6:value = '128805'">Valsa leucostoma (VALSLE)</xsl:when>
                    <xsl:when test="./i6:value = '128806'">Valsa mali (VALSMA)</xsl:when>
                    <xsl:when test="./i6:value = '128807'">Valsa paulowniae (VALSPA)</xsl:when>
                    <xsl:when test="./i6:value = '128808'">Valsa pini (VALSPI)</xsl:when>
                    <xsl:when test="./i6:value = '128809'">Valsa salicina (VALSSA)</xsl:when>
                    <xsl:when test="./i6:value = '128810'">Valsa sordida (VALSSO)</xsl:when>
                    <xsl:when test="./i6:value = '128811'">Vanduzeea segmentata (VANDSE)</xsl:when>
                    <xsl:when test="./i6:value = '128812'">Vanellus vanellus (VANLVA)</xsl:when>
                    <xsl:when test="./i6:value = '128813'">Vanessa indica (VANSIN)</xsl:when>
                    <xsl:when test="./i6:value = '128814'">Vanessa kershawi (VANSKE)</xsl:when>
                    <xsl:when test="./i6:value = '128815'">Varanus komodoensis (VARNKO)</xsl:when>
                    <xsl:when test="./i6:value = '128816'">Vasates masseei (VASAMA)</xsl:when>
                    <xsl:when test="./i6:value = '128817'">Vasates quadripedes (VASAQU)</xsl:when>
                    <xsl:when test="./i6:value = '128818'">Vascellum pratense (VSCLPR)</xsl:when>
                    <xsl:when test="./i6:value = '128819'">Vatiga illudens (VATIIL)</xsl:when>
                    <xsl:when test="./i6:value = '128820'">Vehilius inca (VEHIIN)</xsl:when>
                    <xsl:when test="./i6:value = '128821'">Vehilius stictomenes (VEHIST)</xsl:when>
                    <xsl:when test="./i6:value = '128822'">Vehilius vetula (VEHIVE)</xsl:when>
                    <xsl:when test="./i6:value = '128823'">Velia caprai (VELICA)</xsl:when>
                    <xsl:when test="./i6:value = '128824'">Veluticeps berkeleyi (VELUBE)</xsl:when>
                    <xsl:when test="./i6:value = '128825'">Venturia carpophila (VENTCA)</xsl:when>
                    <xsl:when test="./i6:value = '128826'">Venturia cerasi (VENTCE)</xsl:when>
                    <xsl:when test="./i6:value = '128827'">Venturia crataegi (VENTCR)</xsl:when>
                    <xsl:when test="./i6:value = '128828'">Venturia effusa (CLADCA)</xsl:when>
                    <xsl:when test="./i6:value = '128829'">Venturia inaequalis (VENTIN)</xsl:when>
                    <xsl:when test="./i6:value = '128830'">Venturia macularis (VENTMA)</xsl:when>
                    <xsl:when test="./i6:value = '128831'">Venturia nashicola (VENTNA)</xsl:when>
                    <xsl:when test="./i6:value = '128832'">Venturia populina (VENTPO)</xsl:when>
                    <xsl:when test="./i6:value = '128833'">Venturia pyrina (VENTPI)</xsl:when>
                    <xsl:when test="./i6:value = '128834'">Venturia saliciperda (VENTSA)</xsl:when>
                    <xsl:when test="./i6:value = '128835'">Veronaea musae (VEROMU)</xsl:when>
                    <xsl:when test="./i6:value = '128836'">Veronicella cubensis (VERNCU)</xsl:when>
                    <xsl:when test="./i6:value = '128837'">Veronicella moreleti (VERNMO)</xsl:when>
                    <xsl:when test="./i6:value = '128838'">Veronicella sloanei (VERNSL)</xsl:when>
                    <xsl:when test="./i6:value = '128839'">Verpa conica (VERPCO)</xsl:when>
                    <xsl:when test="./i6:value = '128840'">Verticillium albo-atrum (VERTAA)</xsl:when>
                    <xsl:when test="./i6:value = '128841'">Verticillium albo-atrum hop strains (VERTAH)</xsl:when>
                    <xsl:when test="./i6:value = '128842'">Verticillium albo-atrum lucerne strains (VERTAL)</xsl:when>
                    <xsl:when test="./i6:value = '128843'">Verticillium biguttatum (VERTBI)</xsl:when>
                    <xsl:when test="./i6:value = '128844'">Verticillium dahliae (VERTDA)</xsl:when>
                    <xsl:when test="./i6:value = '128845'">Verticillium dahliae hop strains (VERTDH)</xsl:when>
                    <xsl:when test="./i6:value = '128846'">Verticillium fungicola (VERTFU)</xsl:when>
                    <xsl:when test="./i6:value = '128847'">Verticillium longisporum (VERTLO)</xsl:when>
                    <xsl:when test="./i6:value = '128848'">Verticillium nigrescens (VERTNI)</xsl:when>
                    <xsl:when test="./i6:value = '128849'">Verticillium nubilum (VERTNU)</xsl:when>
                    <xsl:when test="./i6:value = '128850'">Verticillium psalliotae (VERTPS)</xsl:when>
                    <xsl:when test="./i6:value = '128851'">Vespa crabro (VESPCC)</xsl:when>
                    <xsl:when test="./i6:value = '128852'">Vespa crabro germana (VESPCR)</xsl:when>
                    <xsl:when test="./i6:value = '128853'">Vespa mandarinia (VESPMA)</xsl:when>
                    <xsl:when test="./i6:value = '128854'">Vespa orientalis (VESPOR)</xsl:when>
                    <xsl:when test="./i6:value = '128855'">Vespa velutina (VESPVE)</xsl:when>
                    <xsl:when test="./i6:value = '128856'">Vesperus xatarti (VESEXA)</xsl:when>
                    <xsl:when test="./i6:value = '128857'">Vespula arenaria (VESUAR)</xsl:when>
                    <xsl:when test="./i6:value = '128858'">Vespula austriaca (VESUAU)</xsl:when>
                    <xsl:when test="./i6:value = '128859'">Vespula germanica (VESPGE)</xsl:when>
                    <xsl:when test="./i6:value = '128860'">Vespula vulgaris (VESPVU)</xsl:when>
                    <xsl:when test="./i6:value = '128861'">Vibrio cholerae (VIBRCH)</xsl:when>
                    <xsl:when test="./i6:value = '128862'">Viegasia faureae (VIEGFA)</xsl:when>
                    <xsl:when test="./i6:value = '128863'">Villosiclava virens (USTNVI)</xsl:when>
                    <xsl:when test="./i6:value = '128864'">Vimba vimba (VIMBVI)</xsl:when>
                    <xsl:when test="./i6:value = '128865'">Vinsonia stellifera (VINSST)</xsl:when>
                    <xsl:when test="./i6:value = '128866'">Vipera berus (VIPEBE)</xsl:when>
                    <xsl:when test="./i6:value = '128867'">Vireo gilvus (VIREGI)</xsl:when>
                    <xsl:when test="./i6:value = '128868'">Virgella robusta (VIRGRO)</xsl:when>
                    <xsl:when test="./i6:value = '128869'">Vitrea crystallina (VTRECR)</xsl:when>
                    <xsl:when test="./i6:value = '128870'">Vitrina pellucida (VITRPE)</xsl:when>
                    <xsl:when test="./i6:value = '128871'">Vittacoccus longicornis (VITTLO)</xsl:when>
                    <xsl:when test="./i6:value = '128872'">Vittatidera zeaphila (VITDZE)</xsl:when>
                    <xsl:when test="./i6:value = '128873'">Vitula serratilineella (VITUSE)</xsl:when>
                    <xsl:when test="./i6:value = '128874'">Viverricula indica (VIVRMA)</xsl:when>
                    <xsl:when test="./i6:value = '128875'">Viviparus bengalensis (VIVIBE)</xsl:when>
                    <xsl:when test="./i6:value = '128876'">Viviparus malleatus (VIVIMA)</xsl:when>
                    <xsl:when test="./i6:value = '128877'">Vizella gomphispora (VIZEGO)</xsl:when>
                    <xsl:when test="./i6:value = '128878'">Volvariella bombycina (VOLLBO)</xsl:when>
                    <xsl:when test="./i6:value = '128879'">Volvariella gloiocephala (VOLLGL)</xsl:when>
                    <xsl:when test="./i6:value = '128880'">Volvariella surrecta (VOLLSU)</xsl:when>
                    <xsl:when test="./i6:value = '128881'">Volvariella volvacea (VOLLVO)</xsl:when>
                    <xsl:when test="./i6:value = '128882'">Vombatus ursinus (VOMBUR)</xsl:when>
                    <xsl:when test="./i6:value = '128883'">Vormela peregusna (VORMPE)</xsl:when>
                    <xsl:when test="./i6:value = '128884'">Vryburgia amaryllidis (VRYBAM)</xsl:when>
                    <xsl:when test="./i6:value = '128885'">Vulpes bengalensis (CANIBE)</xsl:when>
                    <xsl:when test="./i6:value = '128886'">Vulpes macrotis (VULPMA)</xsl:when>
                    <xsl:when test="./i6:value = '128887'">Vulpes vulpes (VULPVU)</xsl:when>
                    <xsl:when test="./i6:value = '128888'">Vulpes zerda (CANIZE)</xsl:when>
                    <xsl:when test="./i6:value = '128889'">Vultur gryphus (VULTGR)</xsl:when>
                    <xsl:when test="./i6:value = '128890'">Wachtliella rosarum (WACHRO)</xsl:when>
                    <xsl:when test="./i6:value = '128891'">Waitea circinata (WAITCI)</xsl:when>
                    <xsl:when test="./i6:value = '128892'">Watsonalla binaria (WATSBI)</xsl:when>
                    <xsl:when test="./i6:value = '128893'">weeds (3WEEDT)</xsl:when>
                    <xsl:when test="./i6:value = '128894'">Winthemia quadripustulata (WINTQU)</xsl:when>
                    <xsl:when test="./i6:value = '128895'">Wojnowicia hirta (WOJNHI)</xsl:when>
                    <xsl:when test="./i6:value = '128896'">woody weeds (3WOOWT)</xsl:when>
                    <xsl:when test="./i6:value = '128897'">Wuchereria bancrofti (WUCHBA)</xsl:when>
                    <xsl:when test="./i6:value = '128898'">Wyeomyia smithii (WYEOSM)</xsl:when>
                    <xsl:when test="./i6:value = '128899'">Xanthia citrago (COSICI)</xsl:when>
                    <xsl:when test="./i6:value = '128900'">Xanthia icterictia (COSIFU)</xsl:when>
                    <xsl:when test="./i6:value = '128901'">Xanthogaleruca luteola (GALELU)</xsl:when>
                    <xsl:when test="./i6:value = '128902'">Xanthogramma grandicorne (XANGGR)</xsl:when>
                    <xsl:when test="./i6:value = '128903'">Xanthomonas acernea (XANTAC)</xsl:when>
                    <xsl:when test="./i6:value = '128904'">Xanthomonas alfalfae subsp. citrumelonis (XANTCM)</xsl:when>
                    <xsl:when test="./i6:value = '128905'">Xanthomonas arboricola pv. corylina (XANTCY)</xsl:when>
                    <xsl:when test="./i6:value = '128906'">Xanthomonas arboricola pv. fragariae (XANTAF)</xsl:when>
                    <xsl:when test="./i6:value = '128907'">Xanthomonas arboricola pv. juglandis (XANTJU)</xsl:when>
                    <xsl:when test="./i6:value = '128908'">Xanthomonas arboricola pv. pruni (XANTPR)</xsl:when>
                    <xsl:when test="./i6:value = '128909'">Xanthomonas axonopodis pv. alfalfae (XANTAL)</xsl:when>
                    <xsl:when test="./i6:value = '128910'">Xanthomonas axonopodis pv. axonopodis (XANTAX)</xsl:when>
                    <xsl:when test="./i6:value = '128911'">Xanthomonas axonopodis pv. begoniae (XANTBE)</xsl:when>
                    <xsl:when test="./i6:value = '128912'">Xanthomonas axonopodis pv. cajani (XANTCJ)</xsl:when>
                    <xsl:when test="./i6:value = '128913'">Xanthomonas axonopodis pv. dieffenbachiae (XANTDF)</xsl:when>
                    <xsl:when test="./i6:value = '128914'">Xanthomonas axonopodis pv. glycines (XANTGL)</xsl:when>
                    <xsl:when test="./i6:value = '128915'">Xanthomonas axonopodis pv. manihotis (XANTMN)</xsl:when>
                    <xsl:when test="./i6:value = '128916'">Xanthomonas axonopodis pv. nakataecorchori (XANTNA)</xsl:when>
                    <xsl:when test="./i6:value = '128917'">Xanthomonas axonopodis pv. phaseoli (XANTPH)</xsl:when>
                    <xsl:when test="./i6:value = '128918'">Xanthomonas axonopodis pv. punicae (XANTPU)</xsl:when>
                    <xsl:when test="./i6:value = '128919'">Xanthomonas axonopodis pv. ricini (XANTRI)</xsl:when>
                    <xsl:when test="./i6:value = '128920'">Xanthomonas axonopodis pv. vasculorum (XANTVA)</xsl:when>
                    <xsl:when test="./i6:value = '128921'">Xanthomonas axonopodis pv. vesicatoria (XANTAV)</xsl:when>
                    <xsl:when test="./i6:value = '128922'">Xanthomonas axonopodis pv. vignicola (XANTVG)</xsl:when>
                    <xsl:when test="./i6:value = '128923'">Xanthomonas axonopodis pv. vitians (XANTVI)</xsl:when>
                    <xsl:when test="./i6:value = '128924'">Xanthomonas campestris pv. arecae (XANTAR)</xsl:when>
                    <xsl:when test="./i6:value = '128925'">Xanthomonas campestris pv. armoraciae (XANTAO)</xsl:when>
                    <xsl:when test="./i6:value = '128926'">Xanthomonas campestris pv. campestris (XANTCA)</xsl:when>
                    <xsl:when test="./i6:value = '128927'">Xanthomonas campestris pv. cannabis (XANTCN)</xsl:when>
                    <xsl:when test="./i6:value = '128928'">Xanthomonas campestris pv. incanae (XANTIN)</xsl:when>
                    <xsl:when test="./i6:value = '128929'">Xanthomonas campestris pv. raphani (XANTRA)</xsl:when>
                    <xsl:when test="./i6:value = '128930'">Xanthomonas campestris pv. sesami (XANTSE)</xsl:when>
                    <xsl:when test="./i6:value = '128931'">Xanthomonas campestris pv. viticola (XANTCV)</xsl:when>
                    <xsl:when test="./i6:value = '128932'">Xanthomonas campestris pv. zinniae (XANTZN)</xsl:when>
                    <xsl:when test="./i6:value = '128933'">Xanthomonas cassavae (XANTCS)</xsl:when>
                    <xsl:when test="./i6:value = '128934'">Xanthomonas citri pv. mangiferaeindicae (XANTMI)</xsl:when>
                    <xsl:when test="./i6:value = '128935'">Xanthomonas citri subsp. citri (XANTCI)</xsl:when>
                    <xsl:when test="./i6:value = '128936'">Xanthomonas citri subsp. malvacearum (XANTMA)</xsl:when>
                    <xsl:when test="./i6:value = '128937'">Xanthomonas cucurbitae (XANTCU)</xsl:when>
                    <xsl:when test="./i6:value = '128938'">Xanthomonas cynarae (XANTSY)</xsl:when>
                    <xsl:when test="./i6:value = '128939'">Xanthomonas euvesicatoria (XANTEU)</xsl:when>
                    <xsl:when test="./i6:value = '128940'">Xanthomonas fragariae (XANTFR)</xsl:when>
                    <xsl:when test="./i6:value = '128941'">Xanthomonas fuscans subsp. aurantifolii (XANTAU)</xsl:when>
                    <xsl:when test="./i6:value = '128942'">Xanthomonas gardneri (XANTGA)</xsl:when>
                    <xsl:when test="./i6:value = '128943'">Xanthomonas hortorum pv. carotae (XANTCR)</xsl:when>
                    <xsl:when test="./i6:value = '128944'">Xanthomonas hortorum pv. hederae (XANTHE)</xsl:when>
                    <xsl:when test="./i6:value = '128945'">Xanthomonas hortorum pv. pelargonii (XANTPE)</xsl:when>
                    <xsl:when test="./i6:value = '128946'">Xanthomonas hyacinthi (XANTHY)</xsl:when>
                    <xsl:when test="./i6:value = '128947'">Xanthomonas musacearum (XANTMU)</xsl:when>
                    <xsl:when test="./i6:value = '128948'">Xanthomonas oryzae pv. oryzae (XANTOR)</xsl:when>
                    <xsl:when test="./i6:value = '128949'">Xanthomonas oryzae pv. oryzicola (XANTTO)</xsl:when>
                    <xsl:when test="./i6:value = '128950'">Xanthomonas perforans (XANTPF)</xsl:when>
                    <xsl:when test="./i6:value = '128951'">Xanthomonas pisi (XANTPI)</xsl:when>
                    <xsl:when test="./i6:value = '128952'">Xanthomonas populi (XANTPO)</xsl:when>
                    <xsl:when test="./i6:value = '128953'">Xanthomonas translucens pv. cerealis (XANTCE)</xsl:when>
                    <xsl:when test="./i6:value = '128954'">Xanthomonas translucens pv. graminis (XANTGR)</xsl:when>
                    <xsl:when test="./i6:value = '128955'">Xanthomonas translucens pv. secalis (XANTSC)</xsl:when>
                    <xsl:when test="./i6:value = '128956'">Xanthomonas translucens pv. translucens (XANTTR)</xsl:when>
                    <xsl:when test="./i6:value = '128957'">Xanthomonas translucens pv. undulosa (XANTTU)</xsl:when>
                    <xsl:when test="./i6:value = '128958'">Xanthomonas vasicola pv. holcicola (XANTHO)</xsl:when>
                    <xsl:when test="./i6:value = '128959'">Xanthomonas vasicola pv. vasculorum (XANTVV)</xsl:when>
                    <xsl:when test="./i6:value = '128960'">Xanthomonas vesicatoria (XANTVE)</xsl:when>
                    <xsl:when test="./i6:value = '128961'">Xanthonia decemnotata (XANHDE)</xsl:when>
                    <xsl:when test="./i6:value = '128962'">Xanthorhoe ferrugata (XANOFE)</xsl:when>
                    <xsl:when test="./i6:value = '128963'">Xanthorhoe fluctuata (LAREFL)</xsl:when>
                    <xsl:when test="./i6:value = '128964'">Xanthorhoe saturata (XANOSA)</xsl:when>
                    <xsl:when test="./i6:value = '128965'">Xenolechia aethiops (XENLAE)</xsl:when>
                    <xsl:when test="./i6:value = '128966'">Xenopsylla cheopis (XENOCH)</xsl:when>
                    <xsl:when test="./i6:value = '128967'">Xenopsylla vexabilis (XENOVE)</xsl:when>
                    <xsl:when test="./i6:value = '128968'">Xeris spectrum (XERISE)</xsl:when>
                    <xsl:when test="./i6:value = '128969'">Xerocomellus pruinatus (XERLPR)</xsl:when>
                    <xsl:when test="./i6:value = '128970'">Xerocomus badius (BOLTBA)</xsl:when>
                    <xsl:when test="./i6:value = '128971'">Xerocomus bubalinus (XERCBU)</xsl:when>
                    <xsl:when test="./i6:value = '128972'">Xerocomus chrysenteron (BOLTCH)</xsl:when>
                    <xsl:when test="./i6:value = '128973'">Xerocomus hortonii (XERCHO)</xsl:when>
                    <xsl:when test="./i6:value = '128974'">Xerocomus impolitus (XERCIM)</xsl:when>
                    <xsl:when test="./i6:value = '128975'">Xerocomus moravicus (XERCMO)</xsl:when>
                    <xsl:when test="./i6:value = '128976'">Xerocomus porosporus (XERCPO)</xsl:when>
                    <xsl:when test="./i6:value = '128977'">Xerocomus rubellus (XERCRU)</xsl:when>
                    <xsl:when test="./i6:value = '128978'">Xerocomus subtomentosus (XERCSU)</xsl:when>
                    <xsl:when test="./i6:value = '128979'">Xiphinema americanum sensu stricto (XIPHAA)</xsl:when>
                    <xsl:when test="./i6:value = '128980'">Xiphinema index (XIPHIN)</xsl:when>
                    <xsl:when test="./i6:value = '128981'">Xiphydria camelus (XIPYCA)</xsl:when>
                    <xsl:when test="./i6:value = '128982'">Xylaria carpophila (XYLACA)</xsl:when>
                    <xsl:when test="./i6:value = '128983'">Xylaria hypoxylon (XYLAHY)</xsl:when>
                    <xsl:when test="./i6:value = '128984'">Xylaria longipes (XYLALO)</xsl:when>
                    <xsl:when test="./i6:value = '128985'">Xylaria polymorpha (XYLAPO)</xsl:when>
                    <xsl:when test="./i6:value = '128986'">Xylastodoris luteolus (XYLDLU)</xsl:when>
                    <xsl:when test="./i6:value = '128987'">Xyleborinus saxeseni (XYLBSA)</xsl:when>
                    <xsl:when test="./i6:value = '128988'">Xyleborus affinis (XYLBAF)</xsl:when>
                    <xsl:when test="./i6:value = '128989'">Xyleborus atratus (XYLBAT)</xsl:when>
                    <xsl:when test="./i6:value = '128990'">Xyleborus celsus (XYLBCE)</xsl:when>
                    <xsl:when test="./i6:value = '128991'">Xyleborus ebriosus (XYLBEB)</xsl:when>
                    <xsl:when test="./i6:value = '128992'">Xyleborus ferrugineus (XYLBFE)</xsl:when>
                    <xsl:when test="./i6:value = '128993'">Xyleborus glabratus (XYLBGR)</xsl:when>
                    <xsl:when test="./i6:value = '128994'">Xyleborus hirsutus (XYLBHI)</xsl:when>
                    <xsl:when test="./i6:value = '128995'">Xyleborus perforans (XYLBPE)</xsl:when>
                    <xsl:when test="./i6:value = '128996'">Xyleborus pseudoangustatus (XYLBPS)</xsl:when>
                    <xsl:when test="./i6:value = '128997'">Xyleborus sobrinus (XYLBSB)</xsl:when>
                    <xsl:when test="./i6:value = '128998'">Xyleborus solidus (XYLBSL)</xsl:when>
                    <xsl:when test="./i6:value = '128999'">Xyleborus truncatus (XYLBTR)</xsl:when>
                    <xsl:when test="./i6:value = '129000'">Xylella fastidiosa (XYLEFA)</xsl:when>
                    <xsl:when test="./i6:value = '129001'">Xylella fastidiosa subsp. fastidiosa (XYLEFF)</xsl:when>
                    <xsl:when test="./i6:value = '129002'">Xylella fastidiosa subsp. multiplex (XYLEFM)</xsl:when>
                    <xsl:when test="./i6:value = '129003'">Xylella fastidiosa subsp. pauca (XYLEFP)</xsl:when>
                    <xsl:when test="./i6:value = '129004'">Xylena exsoleta (XYLIEX)</xsl:when>
                    <xsl:when test="./i6:value = '129005'">Xylena fumosa (XYLIFU)</xsl:when>
                    <xsl:when test="./i6:value = '129006'">Xylena nupera (XYLINU)</xsl:when>
                    <xsl:when test="./i6:value = '129007'">Xyletinus peltatus (XYLNPE)</xsl:when>
                    <xsl:when test="./i6:value = '129008'">Xylobiops basilaris (XYLPBA)</xsl:when>
                    <xsl:when test="./i6:value = '129009'">Xylocoris flavipes (PIETFL)</xsl:when>
                    <xsl:when test="./i6:value = '129010'">Xylocoris galactinus (XYOCGA)</xsl:when>
                    <xsl:when test="./i6:value = '129011'">Xyloperthella crinitarsis (XPTHCR)</xsl:when>
                    <xsl:when test="./i6:value = '129012'">Xylophilus ampelinus (XANTAM)</xsl:when>
                    <xsl:when test="./i6:value = '129013'">Xylopsocus capucinus (XYPSCA)</xsl:when>
                    <xsl:when test="./i6:value = '129014'">Xylopsocus castanopterus (XYPSCS)</xsl:when>
                    <xsl:when test="./i6:value = '129015'">Xylorycta luteotactella (XYLKLU)</xsl:when>
                    <xsl:when test="./i6:value = '129016'">Xyloryctes jamaicensis (XYLYJA)</xsl:when>
                    <xsl:when test="./i6:value = '129017'">Xylosandrus compactus (XYLSCO)</xsl:when>
                    <xsl:when test="./i6:value = '129018'">Xylosandrus crassiusculus (XYLBCR)</xsl:when>
                    <xsl:when test="./i6:value = '129019'">Xylosandrus germanus (XYLBGE)</xsl:when>
                    <xsl:when test="./i6:value = '129020'">Xylosandrus morigerus (XYLSMO)</xsl:when>
                    <xsl:when test="./i6:value = '129021'">Xylothrips flavipes (XYTHFL)</xsl:when>
                    <xsl:when test="./i6:value = '129022'">Xylothrips religiosus (XYTHRE)</xsl:when>
                    <xsl:when test="./i6:value = '129023'">Xylotrechus aceris (XYLOAC)</xsl:when>
                    <xsl:when test="./i6:value = '129024'">Xylotrechus altaicus (XYLOAL)</xsl:when>
                    <xsl:when test="./i6:value = '129025'">Xylotrechus chinensis (XYLOCH)</xsl:when>
                    <xsl:when test="./i6:value = '129026'">Xylotrechus colonus (XYLOCO)</xsl:when>
                    <xsl:when test="./i6:value = '129027'">Xylotrechus namanganensis (XYLONM)</xsl:when>
                    <xsl:when test="./i6:value = '129028'">Xylotrechus nauticus (XYLONA)</xsl:when>
                    <xsl:when test="./i6:value = '129029'">Xylotrechus pyrrhoderus (XYLOPY)</xsl:when>
                    <xsl:when test="./i6:value = '129030'">Xylotrechus quadrimaculatus (XYLOQM)</xsl:when>
                    <xsl:when test="./i6:value = '129031'">Xylotrechus quadripes (XYLOQP)</xsl:when>
                    <xsl:when test="./i6:value = '129032'">Xylotrechus stebbingi (XYLOST)</xsl:when>
                    <xsl:when test="./i6:value = '129033'">Xylotrechus undulatus (XYLOUN)</xsl:when>
                    <xsl:when test="./i6:value = '129034'">Xyphon flaviceps (CARNFL)</xsl:when>
                    <xsl:when test="./i6:value = '129035'">Xyphon fulgidum (CARNFU)</xsl:when>
                    <xsl:when test="./i6:value = '129036'">Xystophora pulveratella (XYSPPU)</xsl:when>
                    <xsl:when test="./i6:value = '129037'">Xystrocera festiva (XYSTFE)</xsl:when>
                    <xsl:when test="./i6:value = '129038'">Xystrocera globosa (XYSTGL)</xsl:when>
                    <xsl:when test="./i6:value = '129039'">Yersinia pestis (YERSPE)</xsl:when>
                    <xsl:when test="./i6:value = '129040'">Yponomeuta evonymella (HYPNEV)</xsl:when>
                    <xsl:when test="./i6:value = '129041'">Yponomeuta malinella (HYPNMA)</xsl:when>
                    <xsl:when test="./i6:value = '129042'">Yponomeuta padella (HYPNPA)</xsl:when>
                    <xsl:when test="./i6:value = '129043'">Yponomeuta plumbella (HYPNPL)</xsl:when>
                    <xsl:when test="./i6:value = '129044'">Yponomeuta rorella (HYPNRO)</xsl:when>
                    <xsl:when test="./i6:value = '129045'">Zabrus tenebrioides (ZABUTE)</xsl:when>
                    <xsl:when test="./i6:value = '129046'">Zalophus californianus (ZALOCA)</xsl:when>
                    <xsl:when test="./i6:value = '129047'">Zaprionus indianus (ZAPRIN)</xsl:when>
                    <xsl:when test="./i6:value = '129048'">Zapus hudsonius (ZAPUHU)</xsl:when>
                    <xsl:when test="./i6:value = '129049'">Zaraea fasciata (ZARAFA)</xsl:when>
                    <xsl:when test="./i6:value = '129050'">Zeiraphera diniana (EPINDI)</xsl:when>
                    <xsl:when test="./i6:value = '129051'">Zeiraphera ratzeburgiana (EPINRA)</xsl:when>
                    <xsl:when test="./i6:value = '129052'">Zeiraphera rufimitrana (EPINRU)</xsl:when>
                    <xsl:when test="./i6:value = '129053'">Zelus renardii (ZELURE)</xsl:when>
                    <xsl:when test="./i6:value = '129054'">Zenaida asiatica (ZENAAS)</xsl:when>
                    <xsl:when test="./i6:value = '129055'">Zenaida asiatica mearnsi (ZENAAM)</xsl:when>
                    <xsl:when test="./i6:value = '129056'">Zenaida auriculata (ZENAAR)</xsl:when>
                    <xsl:when test="./i6:value = '129057'">Zenaida macroura (ZENDMA)</xsl:when>
                    <xsl:when test="./i6:value = '129058'">Zenopsis conchifer (ZENPCO)</xsl:when>
                    <xsl:when test="./i6:value = '129059'">Zerynthia polyxena (ZERYPO)</xsl:when>
                    <xsl:when test="./i6:value = '129060'">Zerynthia rumina (ZERYRU)</xsl:when>
                    <xsl:when test="./i6:value = '129061'">Zeugodacus cucumis (DACUCM)</xsl:when>
                    <xsl:when test="./i6:value = '129062'">Zeugodacus cucurbitae (DACUCU)</xsl:when>
                    <xsl:when test="./i6:value = '129063'">Zeugodacus depressus (BCTRDE)</xsl:when>
                    <xsl:when test="./i6:value = '129064'">Zeugodacus diversus (DACUDI)</xsl:when>
                    <xsl:when test="./i6:value = '129065'">Zeugopterus punctatus (ZEUGPU)</xsl:when>
                    <xsl:when test="./i6:value = '129066'">Zeus faber (ZEUXFA)</xsl:when>
                    <xsl:when test="./i6:value = '129067'">Zeuxidiplosis giardi (ZEXDGI)</xsl:when>
                    <xsl:when test="./i6:value = '129068'">Zeuzera coffeae (ZEUZCO)</xsl:when>
                    <xsl:when test="./i6:value = '129069'">Zicrona caerulea (ZICRCA)</xsl:when>
                    <xsl:when test="./i6:value = '129070'">Zoanthus sociatus (ZOANSO)</xsl:when>
                    <xsl:when test="./i6:value = '129071'">Zonitoides arboreus (ZONIAR)</xsl:when>
                    <xsl:when test="./i6:value = '129072'">Zonocerus elegans (ZONCEL)</xsl:when>
                    <xsl:when test="./i6:value = '129073'">Zonocerus variegatus (ZONCVA)</xsl:when>
                    <xsl:when test="./i6:value = '129074'">Zonosemata electa (ZONOEL)</xsl:when>
                    <xsl:when test="./i6:value = '129075'">Zonotrichia albicollis (ZONTAL)</xsl:when>
                    <xsl:when test="./i6:value = '129076'">Zoophthora radicans (ZOOPRA)</xsl:when>
                    <xsl:when test="./i6:value = '129077'">Zootermopsis angusticollis (ZOOTAN)</xsl:when>
                    <xsl:when test="./i6:value = '129078'">Zoothera dauma (ZOOHDA)</xsl:when>
                    <xsl:when test="./i6:value = '129079'">Zopfia rhizophila (ZOPFRH)</xsl:when>
                    <xsl:when test="./i6:value = '129080'">Zophodia convolutella (ZOPHCO)</xsl:when>
                    <xsl:when test="./i6:value = '129081'">Zoraena diastatops (ZORADI)</xsl:when>
                    <xsl:when test="./i6:value = '129082'">Zoraena sayi (ZORASA)</xsl:when>
                    <xsl:when test="./i6:value = '129083'">Zosterops japonica (ZOSTJA)</xsl:when>
                    <xsl:when test="./i6:value = '129084'">Zosterops lateralis (ZOSTLA)</xsl:when>
                    <xsl:when test="./i6:value = '129085'">Zulia pubescens (TOMAPU)</xsl:when>
                    <xsl:when test="./i6:value = '129086'">Zygaena carniolica (ZYGACA)</xsl:when>
                    <xsl:when test="./i6:value = '129087'">Zygaena ephialtes (ZYGAEP)</xsl:when>
                    <xsl:when test="./i6:value = '129088'">Zygaena filipendulae (ZYGAFI)</xsl:when>
                    <xsl:when test="./i6:value = '129089'">Zygaena lonicerae (ZYGALO)</xsl:when>
                    <xsl:when test="./i6:value = '129090'">Zygaena trifolii (ZYGATR)</xsl:when>
                    <xsl:when test="./i6:value = '129091'">Zygaena viciae (ZYGAVI)</xsl:when>
                    <xsl:when test="./i6:value = '129092'">Zygina circumscripta (ERYTCI)</xsl:when>
                    <xsl:when test="./i6:value = '129093'">Zygina flammigera (ERYTFL)</xsl:when>
                    <xsl:when test="./i6:value = '129094'">Zygina mori (ERYTMO)</xsl:when>
                    <xsl:when test="./i6:value = '129095'">Zygina suzuki (ERYTSZ)</xsl:when>
                    <xsl:when test="./i6:value = '129096'">Zyginidia manaliensis (ZYGNMA)</xsl:when>
                    <xsl:when test="./i6:value = '129097'">Zyginidia parvula (ERYTPR)</xsl:when>
                    <xsl:when test="./i6:value = '129098'">Zygogramma bicolorata (ZYGGBI)</xsl:when>
                    <xsl:when test="./i6:value = '129099'">Zygogramma exclamationis (ZYGGEX)</xsl:when>
                    <xsl:when test="./i6:value = '129100'">Zygorhynchus moelleri (ZYGOMO)</xsl:when>
                    <xsl:when test="./i6:value = '129101'">Zygrita diva (ZYGRDI)</xsl:when>
                    <xsl:when test="./i6:value = '129102'">Zymoseptoria passerinii (SEPTPS)</xsl:when>
                    <xsl:when test="./i6:value = '129103'">Zymoseptoria tritici (SEPTTR)</xsl:when>
                    <xsl:when test="./i6:value = '4998'">Acarid mites</xsl:when>
                    <xsl:when test="./i6:value = '4999'">Aedes mosquitoes</xsl:when>
                    <xsl:when test="./i6:value = '5794'">algae</xsl:when>
                    <xsl:when test="./i6:value = '5795'">American Cockroach</xsl:when>
                    <xsl:when test="./i6:value = '5796'">Anopheles mosquitoes</xsl:when>
                    <xsl:when test="./i6:value = '5797'">ants</xsl:when>
                    <xsl:when test="./i6:value = '5798'">Arachnids: ticks and mites</xsl:when>
                    <xsl:when test="./i6:value = '66254'">arthropods, other:</xsl:when>
                    <xsl:when test="./i6:value = '5799'">astigmatid mites</xsl:when>
                    <xsl:when test="./i6:value = '5800'">Australian cockroach</xsl:when>
                    <xsl:when test="./i6:value = '5801'">autumn fly</xsl:when>
                    <xsl:when test="./i6:value = '5802'">bacon beetle</xsl:when>
                    <xsl:when test="./i6:value = '65648'">bacteria</xsl:when>
                    <xsl:when test="./i6:value = '5803'">bacteria, aerobic Gram-negative</xsl:when>
                    <xsl:when test="./i6:value = '5804'">bacteria, aerobic Gram-positive</xsl:when>
                    <xsl:when test="./i6:value = '65649'">bank vole</xsl:when>
                    <xsl:when test="./i6:value = '5805'">barklice</xsl:when>
                    <xsl:when test="./i6:value = '5806'">bed bug</xsl:when>
                    <xsl:when test="./i6:value = '5807'">beetles</xsl:when>
                    <xsl:when test="./i6:value = '5808'">biting lice</xsl:when>
                    <xsl:when test="./i6:value = '5809'">biting midges</xsl:when>
                    <xsl:when test="./i6:value = '5810'">black headed gull</xsl:when>
                    <xsl:when test="./i6:value = '5811'">blackflies</xsl:when>
                    <xsl:when test="./i6:value = '5812'">blattellid cockroaches</xsl:when>
                    <xsl:when test="./i6:value = '5813'">Blattid cockroaches</xsl:when>
                    <xsl:when test="./i6:value = '5814'">blow flies</xsl:when>
                    <xsl:when test="./i6:value = '5815'">blue stain fungi</xsl:when>
                    <xsl:when test="./i6:value = '5816'">blue-green algae</xsl:when>
                    <xsl:when test="./i6:value = '5817'">book louse</xsl:when>
                    <xsl:when test="./i6:value = '5818'">Brent goose</xsl:when>
                    <xsl:when test="./i6:value = '5819'">brown ear tick</xsl:when>
                    <xsl:when test="./i6:value = '5820'">brown rat</xsl:when>
                    <xsl:when test="./i6:value = '5821'">brown rot fungi</xsl:when>
                    <xsl:when test="./i6:value = '5822'">brown-banded cockroach</xsl:when>
                    <xsl:when test="./i6:value = '5823'">bugs</xsl:when>
                    <xsl:when test="./i6:value = '5824'">Canada goose</xsl:when>
                    <xsl:when test="./i6:value = '65650'">carpet beetles</xsl:when>
                    <xsl:when test="./i6:value = '65651'">case-bearing/casemaking clothes moth</xsl:when>
                    <xsl:when test="./i6:value = '5825'">cat flea</xsl:when>
                    <xsl:when test="./i6:value = '5826'">cattle louse</xsl:when>
                    <xsl:when test="./i6:value = '5827'">cheese mite</xsl:when>
                    <xsl:when test="./i6:value = '5828'">chicken mite</xsl:when>
                    <xsl:when test="./i6:value = '5829'">chigger mites</xsl:when>
                    <xsl:when test="./i6:value = '5830'">cloth moth</xsl:when>
                    <xsl:when test="./i6:value = '5832'">cockroaches</xsl:when>
                    <xsl:when test="./i6:value = '5833'">collared dove</xsl:when>
                    <xsl:when test="./i6:value = '65652'">common bedbug</xsl:when>
                    <xsl:when test="./i6:value = '5834'">common cockroach</xsl:when>
                    <xsl:when test="./i6:value = '65653'">common clothes moth (webbing clothes moth)</xsl:when>
                    <xsl:when test="./i6:value = '5835'">common earwig</xsl:when>
                    <xsl:when test="./i6:value = '4507'">common furniture beetle</xsl:when>
                    <xsl:when test="./i6:value = '5837'">common gull</xsl:when>
                    <xsl:when test="./i6:value = '5838'">common rough woodlouse</xsl:when>
                    <xsl:when test="./i6:value = '5839'">common shiny woodlouse</xsl:when>
                    <xsl:when test="./i6:value = '5831'">common silverfish</xsl:when>
                    <xsl:when test="./i6:value = '65654'">common vole</xsl:when>
                    <xsl:when test="./i6:value = '5840'">common wasp</xsl:when>
                    <xsl:when test="./i6:value = '5841'">confused flour beetle</xsl:when>
                    <xsl:when test="./i6:value = '5842'">corn moth</xsl:when>
                    <xsl:when test="./i6:value = '65655'">crawling insects</xsl:when>
                    <xsl:when test="./i6:value = '5843'">crickets</xsl:when>
                    <xsl:when test="./i6:value = '5844'">crickets and grasshoppers</xsl:when>
                    <xsl:when test="./i6:value = '5845'">crow</xsl:when>
                    <xsl:when test="./i6:value = '5846'">crustaceans</xsl:when>
                    <xsl:when test="./i6:value = '5847'">death-watch beetle</xsl:when>
                    <xsl:when test="./i6:value = '5848'">Dermanyssid mites</xsl:when>
                    <xsl:when test="./i6:value = '5849'">dog flea</xsl:when>
                    <xsl:when test="./i6:value = '5850'">dog louse</xsl:when>
                    <xsl:when test="./i6:value = '5851'">dry fruit moth</xsl:when>
                    <xsl:when test="./i6:value = '5852'">dry rot fungus</xsl:when>
                    <xsl:when test="./i6:value = '5853'">dry wood termites</xsl:when>
                    <xsl:when test="./i6:value = '5854'">earwigs</xsl:when>
                    <xsl:when test="./i6:value = '5855'">Eastern European house mouse</xsl:when>
                    <xsl:when test="./i6:value = '5856'">Eastern Mediterranean short-tailed mouse</xsl:when>
                    <xsl:when test="./i6:value = '65656'">endoparasites</xsl:when>
                    <xsl:when test="./i6:value = '65657'">enveloped viruses</xsl:when>
                    <xsl:when test="./i6:value = '5857'">European earwig</xsl:when>
                    <xsl:when test="./i6:value = '5858'">Feral pigeon</xsl:when>
                    <xsl:when test="./i6:value = '5859'">firebrat</xsl:when>
                    <xsl:when test="./i6:value = '5860'">fleas</xsl:when>
                    <xsl:when test="./i6:value = '5861'">flesh flies</xsl:when>
                    <xsl:when test="./i6:value = '5862'">flour moth</xsl:when>
                    <xsl:when test="./i6:value = '65658'">flying insects</xsl:when>
                    <xsl:when test="./i6:value = '5863'">fodder mite</xsl:when>
                    <xsl:when test="./i6:value = '5864'">forficulid earwigs</xsl:when>
                    <xsl:when test="./i6:value = '5865'">four mite</xsl:when>
                    <xsl:when test="./i6:value = '5866'">fruit fly</xsl:when>
                    <xsl:when test="./i6:value = '5867'">fungi</xsl:when>
                    <xsl:when test="./i6:value = '5868'">fungi/yeasts</xsl:when>
                    <xsl:when test="./i6:value = '5869'">fur mites</xsl:when>
                    <xsl:when test="./i6:value = '5870'">gain itch mite</xsl:when>
                    <xsl:when test="./i6:value = '5871'">gain weevil</xsl:when>
                    <xsl:when test="./i6:value = '5872'">Gamasid mites</xsl:when>
                    <xsl:when test="./i6:value = '5873'">garden ant</xsl:when>
                    <xsl:when test="./i6:value = '5874'">German cockroach</xsl:when>
                    <xsl:when test="./i6:value = '5875'">German wasp</xsl:when>
                    <xsl:when test="./i6:value = '5876'">golden spider beetle</xsl:when>
                    <xsl:when test="./i6:value = '5877'">great black-backed gull</xsl:when>
                    <xsl:when test="./i6:value = '5878'">green algae</xsl:when>
                    <xsl:when test="./i6:value = '5879'">grey squirrel</xsl:when>
                    <xsl:when test="./i6:value = '5880'">gribble</xsl:when>
                    <xsl:when test="./i6:value = '5881'">hard ticks</xsl:when>
                    <xsl:when test="./i6:value = '5882'">herring gull</xsl:when>
                    <xsl:when test="./i6:value = '5883'">horn flies</xsl:when>
                    <xsl:when test="./i6:value = '5884'">house cricket</xsl:when>
                    <xsl:when test="./i6:value = '5885'">house dust mites</xsl:when>
                    <xsl:when test="./i6:value = '5886'">house fly</xsl:when>
                    <xsl:when test="./i6:value = '5897'">house itch mites</xsl:when>
                    <xsl:when test="./i6:value = '5887'">house longhorn beetle</xsl:when>
                    <xsl:when test="./i6:value = '5888'">house mites</xsl:when>
                    <xsl:when test="./i6:value = '5889'">house mosquitoe</xsl:when>
                    <xsl:when test="./i6:value = '5890'">house mouse</xsl:when>
                    <xsl:when test="./i6:value = '5891'">house rat</xsl:when>
                    <xsl:when test="./i6:value = '5892'">house sparrow</xsl:when>
                    <xsl:when test="./i6:value = '5893'">human body louse</xsl:when>
                    <xsl:when test="./i6:value = '5894'">human flea</xsl:when>
                    <xsl:when test="./i6:value = '5895'">human head louse</xsl:when>
                    <xsl:when test="./i6:value = '5896'">humpbacked spider beetle</xsl:when>
                    <xsl:when test="./i6:value = '5898'">insects</xsl:when>
                    <xsl:when test="./i6:value = '5899'">isopods</xsl:when>
                    <xsl:when test="./i6:value = '5900'">jackdaw</xsl:when>
                    <xsl:when test="./i6:value = '5901'">jay</xsl:when>
                    <xsl:when test="./i6:value = '5902'">Lataste's mouse</xsl:when>
                    <xsl:when test="./i6:value = '5903'">Lepismatid silverfishes</xsl:when>
                    <xsl:when test="./i6:value = '5904'">lesser black-backed gull</xsl:when>
                    <xsl:when test="./i6:value = '5905'">lesser grain borer</xsl:when>
                    <xsl:when test="./i6:value = '5906'">lesser house fly</xsl:when>
                    <xsl:when test="./i6:value = '5907'">lesser mealworm</xsl:when>
                    <xsl:when test="./i6:value = '5908'">lesser rice weevil</xsl:when>
                    <xsl:when test="./i6:value = '5909'">lichens</xsl:when>
                    <xsl:when test="./i6:value = '5910'">liverworts</xsl:when>
                    <xsl:when test="./i6:value = '5911'">lizard mites</xsl:when>
                    <xsl:when test="./i6:value = '5912'">long-cheeked Norvegian wasp</xsl:when>
                    <xsl:when test="./i6:value = '5913'">long-cheeked Saxon wasp</xsl:when>
                    <xsl:when test="./i6:value = '5914'">long-cheeked tree wasp</xsl:when>
                    <xsl:when test="./i6:value = '5915'">longhorned wood borer</xsl:when>
                    <xsl:when test="./i6:value = '5916'">louse flies</xsl:when>
                    <xsl:when test="./i6:value = '5917'">Macronyssid mites</xsl:when>
                    <xsl:when test="./i6:value = '5918'">magpie</xsl:when>
                    <xsl:when test="./i6:value = '5919'">mange mite</xsl:when>
                    <xsl:when test="./i6:value = '5920'">mange mites</xsl:when>
                    <xsl:when test="./i6:value = '5921'">marines borers (genus claimed)</xsl:when>
                    <xsl:when test="./i6:value = '5922'">median wasp</xsl:when>
                    <xsl:when test="./i6:value = '5923'">Mesostigmatid mites</xsl:when>
                    <xsl:when test="./i6:value = '5924'">microorganisms</xsl:when>
                    <xsl:when test="./i6:value = '5925'">microtids</xsl:when>
                    <xsl:when test="./i6:value = '5926'">mill moth</xsl:when>
                    <xsl:when test="./i6:value = '5927'">mosquitoes</xsl:when>
                    <xsl:when test="./i6:value = '5928'">mosses</xsl:when>
                    <xsl:when test="./i6:value = '5929'">mould fungi</xsl:when>
                    <xsl:when test="./i6:value = '5930'">mould mite</xsl:when>
                    <xsl:when test="./i6:value = '5931'">murids</xsl:when>
                    <xsl:when test="./i6:value = '5936'">murids, other:</xsl:when>
                    <xsl:when test="./i6:value = '5932'">mussels</xsl:when>
                    <xsl:when test="./i6:value = '65659'">Mycobacteria</xsl:when>
                    <xsl:when test="./i6:value = '5933'">Northern fowl mite</xsl:when>
                    <xsl:when test="./i6:value = '65660'">oriental cockroach</xsl:when>
                    <xsl:when test="./i6:value = '5934'">oriental rat flea</xsl:when>
                    <xsl:when test="./i6:value = '5937'">Pharaoh ant</xsl:when>
                    <xsl:when test="./i6:value = '5938'">pig louse</xsl:when>
                    <xsl:when test="./i6:value = '5939'">pigeon tick</xsl:when>
                    <xsl:when test="./i6:value = '5940'">plaster beetle</xsl:when>
                    <xsl:when test="./i6:value = '5941'">poultry mite</xsl:when>
                    <xsl:when test="./i6:value = '5942'">poultry red mite</xsl:when>
                    <xsl:when test="./i6:value = '5943'">powder post beetles</xsl:when>
                    <xsl:when test="./i6:value = '5944'">Prostigmatid mites</xsl:when>
                    <xsl:when test="./i6:value = '65661'">Protozoa</xsl:when>
                    <xsl:when test="./i6:value = '5945'">pubic louse</xsl:when>
                    <xsl:when test="./i6:value = '5946'">rabbit ear mite</xsl:when>
                    <xsl:when test="./i6:value = '65662'">rats</xsl:when>
                    <xsl:when test="./i6:value = '5947'">red wasp</xsl:when>
                    <xsl:when test="./i6:value = '5948'">reptile mites</xsl:when>
                    <xsl:when test="./i6:value = '5949'">rodents</xsl:when>
                    <xsl:when test="./i6:value = '5950'">roof rat</xsl:when>
                    <xsl:when test="./i6:value = '5951'">rook</xsl:when>
                    <xsl:when test="./i6:value = '5952'">rusty grain beetle</xsl:when>
                    <xsl:when test="./i6:value = '5953'">sandflies</xsl:when>
                    <xsl:when test="./i6:value = '5954'">sapstain fungi</xsl:when>
                    <xsl:when test="./i6:value = '5955'">sawtoothed grain beetle</xsl:when>
                    <xsl:when test="./i6:value = '5956'">scabies mites</xsl:when>
                    <xsl:when test="./i6:value = '5957'">sheep scab mite</xsl:when>
                    <xsl:when test="./i6:value = '5958'">sheep tick</xsl:when>
                    <xsl:when test="./i6:value = '5959'">shipworm</xsl:when>
                    <xsl:when test="./i6:value = '5960'">silverfishes</xsl:when>
                    <xsl:when test="./i6:value = '5961'">skin moth</xsl:when>
                    <xsl:when test="./i6:value = '5962'">snake mite</xsl:when>
                    <xsl:when test="./i6:value = '5963'">soft rot fungi</xsl:when>
                    <xsl:when test="./i6:value = '5964'">soft ticks</xsl:when>
                    <xsl:when test="./i6:value = '5965'">spider beetle</xsl:when>
                    <xsl:when test="./i6:value = '5966'">stable flies</xsl:when>
                    <xsl:when test="./i6:value = '5967'">starling</xsl:when>
                    <xsl:when test="./i6:value = '5968'">straw itch mites</xsl:when>
                    <xsl:when test="./i6:value = '5969'">subterranean termites</xsl:when>
                    <xsl:when test="./i6:value = '5970'">sucking lice: pediculid lice</xsl:when>
                    <xsl:when test="./i6:value = '5971'">tapestry moth</xsl:when>
                    <xsl:when test="./i6:value = '5972'">Tapinoma ant</xsl:when>
                    <xsl:when test="./i6:value = '5973'">termites</xsl:when>
                    <xsl:when test="./i6:value = '5974'">ticks</xsl:when>
                    <xsl:when test="./i6:value = '5975'">tree termites</xsl:when>
                    <xsl:when test="./i6:value = '5976'">Trombiculid mites</xsl:when>
                    <xsl:when test="./i6:value = '5977'">tropical bedbug</xsl:when>
                    <xsl:when test="./i6:value = '5978'">tropical rat mite</xsl:when>
                    <xsl:when test="./i6:value = '65663'">Tuberculosis bacteria</xsl:when>
                    <xsl:when test="./i6:value = '65664'">viruses</xsl:when>
                    <xsl:when test="./i6:value = '65665'">voles</xsl:when>
                    <xsl:when test="./i6:value = '5979'">wasps</xsl:when>
                    <xsl:when test="./i6:value = '5980'">weat or cadelle beetle</xsl:when>
                    <xsl:when test="./i6:value = '5981'">Western European house mouse</xsl:when>
                    <xsl:when test="./i6:value = '5982'">white rot fungi</xsl:when>
                    <xsl:when test="./i6:value = '5983'">white shouldered moth</xsl:when>
                    <xsl:when test="./i6:value = '5984'">wood boring beetles</xsl:when>
                    <xsl:when test="./i6:value = '5985'">wood destroying insects</xsl:when>
                    <xsl:when test="./i6:value = '5986'">wood destroying marine organisms</xsl:when>
                    <xsl:when test="./i6:value = '5987'">wood disfiguring fungi</xsl:when>
                    <xsl:when test="./i6:value = '5988'">wood pigeon</xsl:when>
                    <xsl:when test="./i6:value = '5989'">wood rotting basidiomycetes</xsl:when>
                    <xsl:when test="./i6:value = '5990'">wood rotting fungi</xsl:when>
                    <xsl:when test="./i6:value = '5991'">woodlice</xsl:when>
                    <xsl:when test="./i6:value = '65666'">yeasts</xsl:when>
                    <xsl:when test="./i6:value = '5992'">yellow mealworm</xsl:when>
                    <xsl:when test="./i6:value = '6035'">adults</xsl:when>
                    <xsl:when test="./i6:value = '65646'">bacterial spores</xsl:when>
                    <xsl:when test="./i6:value = '65647'">cysts and oocysts</xsl:when>
                    <xsl:when test="./i6:value = '6036'">eggs</xsl:when>
                    <xsl:when test="./i6:value = '6037'">hyphae</xsl:when>
                    <xsl:when test="./i6:value = '6038'">juveniles</xsl:when>
                    <xsl:when test="./i6:value = '6039'">larvae</xsl:when>
                    <xsl:when test="./i6:value = '6040'">nymphs</xsl:when>
                    <xsl:when test="./i6:value = '6041'">pupae</xsl:when>
                    <xsl:when test="./i6:value = '6042'">spores and spore producing structures</xsl:when>
                    <xsl:when test="./i6:value = '129652'">acaricide crop protection</xsl:when>
                    <xsl:when test="./i6:value = '62344'">animal direct treatment ectoparasite control</xsl:when>
                    <xsl:when test="./i6:value = '62349'">animal premise treatment</xsl:when>
                    <xsl:when test="./i6:value = '129653'">bactericide</xsl:when>
                    <xsl:when test="./i6:value = '62345'">fungicide</xsl:when>
                    <xsl:when test="./i6:value = '62346'">herbicide</xsl:when>
                    <xsl:when test="./i6:value = '62347'">insecticide</xsl:when>
                    <xsl:when test="./i6:value = '129654'">molluscicide</xsl:when>
                    <xsl:when test="./i6:value = '62348'">nematicide</xsl:when>
                    <xsl:when test="./i6:value = '129655'">plant growth regulator</xsl:when>
                    <xsl:when test="./i6:value = '129656'">repellent</xsl:when>
                    <xsl:when test="./i6:value = '129657'">rodenticide</xsl:when>
                    <xsl:when test="./i6:value = '129658'">semio-chemical</xsl:when>
                    <xsl:when test="./i6:value = '129659'">talpicide</xsl:when>
                    <xsl:when test="./i6:value = '129660'">viricide</xsl:when>
                    <xsl:when test="./i6:value = '58392'">PT01: Human hygiene</xsl:when>
                    <xsl:when test="./i6:value = '58393'">PT02: Disinfectants and algaecides not intended for direct application to humans or animals</xsl:when>
                    <xsl:when test="./i6:value = '58394'">PT03: Veterinary hygiene</xsl:when>
                    <xsl:when test="./i6:value = '58395'">PT04: Food and feed area</xsl:when>
                    <xsl:when test="./i6:value = '58396'">PT05: Drinking water</xsl:when>
                    <xsl:when test="./i6:value = '58397'">PT06: Preservatives for products during storage</xsl:when>
                    <xsl:when test="./i6:value = '58398'">PT07: Film preservatives</xsl:when>
                    <xsl:when test="./i6:value = '58399'">PT08: Wood preservatives</xsl:when>
                    <xsl:when test="./i6:value = '58400'">PT09: Fibre, leather, rubber and polymerised materials preservatives</xsl:when>
                    <xsl:when test="./i6:value = '58401'">PT10: Construction material preservatives</xsl:when>
                    <xsl:when test="./i6:value = '58402'">PT11: Preservatives for liquid-cooling and processing systems</xsl:when>
                    <xsl:when test="./i6:value = '58403'">PT12: Slimicides</xsl:when>
                    <xsl:when test="./i6:value = '58404'">PT13: Working or cutting fluid preservatives</xsl:when>
                    <xsl:when test="./i6:value = '58405'">PT14: Rodenticides</xsl:when>
                    <xsl:when test="./i6:value = '58406'">PT15: Avicides</xsl:when>
                    <xsl:when test="./i6:value = '58407'">PT16: Molluscicides, vermicides and products to control other invertebrates</xsl:when>
                    <xsl:when test="./i6:value = '58408'">PT17: Piscicides</xsl:when>
                    <xsl:when test="./i6:value = '58409'">PT18: Insecticides, acaricides and products to control other arthropods</xsl:when>
                    <xsl:when test="./i6:value = '58410'">PT19: Repellents and attractants</xsl:when>
                    <xsl:when test="./i6:value = '58411'">PT20: Control of other vertebrates</xsl:when>
                    <xsl:when test="./i6:value = '58412'">PT21: Antifouling products</xsl:when>
                    <xsl:when test="./i6:value = '58413'">PT22: Embalming and taxidermist fluids</xsl:when>
                    <xsl:when test="./i6:value = '6070'">acute toxin</xsl:when>
                    <xsl:when test="./i6:value = '6071'">acute toxin: contact toxin</xsl:when>
                    <xsl:when test="./i6:value = '6072'">acute toxin: flushing effect</xsl:when>
                    <xsl:when test="./i6:value = '6073'">acute toxin: ingestion toxin</xsl:when>
                    <xsl:when test="./i6:value = '6074'">acute toxin: inhalation asphyxiant</xsl:when>
                    <xsl:when test="./i6:value = '6075'">acute toxin: inhalation toxin</xsl:when>
                    <xsl:when test="./i6:value = '6076'">acute toxin: knock-down effect</xsl:when>
                    <xsl:when test="./i6:value = '6077'">acute toxin: residual activity (specify duration)</xsl:when>
                    <xsl:when test="./i6:value = '6078'">acute toxin: with lethal effect</xsl:when>
                    <xsl:when test="./i6:value = '1742'">attractant</xsl:when>
                    <xsl:when test="./i6:value = '6079'">insect growth regulator</xsl:when>
                    <xsl:when test="./i6:value = '6080'">insect growth regulator: chitin synthesis inhibitor</xsl:when>
                    <xsl:when test="./i6:value = '6081'">insect growth regulator: juvenile hormone analogue</xsl:when>
                    <xsl:when test="./i6:value = '6082'">membrane toxin</xsl:when>
                    <xsl:when test="./i6:value = '6083'">metabolism inhibitor</xsl:when>
                    <xsl:when test="./i6:value = '2265'">pheromone</xsl:when>
                    <xsl:when test="./i6:value = '2314'">repellent</xsl:when>
                    <xsl:when test="./i6:value = '6084'">slow acting toxin</xsl:when>
                    <xsl:when test="./i6:value = '6085'">slow acting toxin: anticoagulant</xsl:when>
                    <xsl:when test="./i6:value = '6086'">slow acting toxin: contact toxin</xsl:when>
                    <xsl:when test="./i6:value = '6087'">slow acting toxin: ingestion toxin</xsl:when>
                    <xsl:when test="./i6:value = '6088'">slow acting toxin: inhalation toxin</xsl:when>
                    <xsl:when test="./i6:value = '6089'">steriliser</xsl:when>
                    <xsl:when test="./i6:value = '6090'">synergist</xsl:when>
                    <xsl:when test="./i6:value = '6091'">synergist: bactericide (to vitamin K-producing bacteria)</xsl:when>
                    <xsl:when test="./i6:value = '6092'">synergist: hypervitaminosis developing substances</xsl:when>
                    <xsl:when test="./i6:value = '129661'">FRAC 1</xsl:when>
                    <xsl:when test="./i6:value = '129662'">FRAC 2</xsl:when>
                    <xsl:when test="./i6:value = '129663'">FRAC 3</xsl:when>
                    <xsl:when test="./i6:value = '129664'">FRAC 4</xsl:when>
                    <xsl:when test="./i6:value = '129665'">FRAC 5</xsl:when>
                    <xsl:when test="./i6:value = '129666'">FRAC 6</xsl:when>
                    <xsl:when test="./i6:value = '129667'">FRAC 7</xsl:when>
                    <xsl:when test="./i6:value = '129668'">FRAC 8</xsl:when>
                    <xsl:when test="./i6:value = '129669'">FRAC 9</xsl:when>
                    <xsl:when test="./i6:value = '129670'">FRAC 10</xsl:when>
                    <xsl:when test="./i6:value = '129671'">FRAC 11</xsl:when>
                    <xsl:when test="./i6:value = '129672'">FRAC 11A</xsl:when>
                    <xsl:when test="./i6:value = '129673'">FRAC 12</xsl:when>
                    <xsl:when test="./i6:value = '129674'">FRAC 13</xsl:when>
                    <xsl:when test="./i6:value = '129675'">FRAC 14</xsl:when>
                    <xsl:when test="./i6:value = '129676'">FRAC 16.1</xsl:when>
                    <xsl:when test="./i6:value = '129677'">FRAC 16.2</xsl:when>
                    <xsl:when test="./i6:value = '129678'">FRAC 16.3</xsl:when>
                    <xsl:when test="./i6:value = '129679'">FRAC 17</xsl:when>
                    <xsl:when test="./i6:value = '129680'">FRAC 18</xsl:when>
                    <xsl:when test="./i6:value = '129681'">FRAC 19</xsl:when>
                    <xsl:when test="./i6:value = '129682'">FRAC 20</xsl:when>
                    <xsl:when test="./i6:value = '129683'">FRAC 21</xsl:when>
                    <xsl:when test="./i6:value = '129684'">FRAC 22</xsl:when>
                    <xsl:when test="./i6:value = '129685'">FRAC 23</xsl:when>
                    <xsl:when test="./i6:value = '129686'">FRAC 24</xsl:when>
                    <xsl:when test="./i6:value = '129687'">FRAC 25</xsl:when>
                    <xsl:when test="./i6:value = '129688'">FRAC 27</xsl:when>
                    <xsl:when test="./i6:value = '129689'">FRAC 28</xsl:when>
                    <xsl:when test="./i6:value = '129690'">FRAC 29</xsl:when>
                    <xsl:when test="./i6:value = '129691'">FRAC 30</xsl:when>
                    <xsl:when test="./i6:value = '129692'">FRAC 31</xsl:when>
                    <xsl:when test="./i6:value = '129693'">FRAC 32</xsl:when>
                    <xsl:when test="./i6:value = '129694'">FRAC 34</xsl:when>
                    <xsl:when test="./i6:value = '129695'">FRAC 35</xsl:when>
                    <xsl:when test="./i6:value = '129696'">FRAC 36</xsl:when>
                    <xsl:when test="./i6:value = '129697'">FRAC 37</xsl:when>
                    <xsl:when test="./i6:value = '129698'">FRAC 38</xsl:when>
                    <xsl:when test="./i6:value = '129699'">FRAC 39</xsl:when>
                    <xsl:when test="./i6:value = '129700'">FRAC 40</xsl:when>
                    <xsl:when test="./i6:value = '129701'">FRAC 41</xsl:when>
                    <xsl:when test="./i6:value = '129702'">FRAC 43</xsl:when>
                    <xsl:when test="./i6:value = '129703'">FRAC 45</xsl:when>
                    <xsl:when test="./i6:value = '129704'">FRAC 46</xsl:when>
                    <xsl:when test="./i6:value = '129705'">FRAC 47</xsl:when>
                    <xsl:when test="./i6:value = '129706'">FRAC 48</xsl:when>
                    <xsl:when test="./i6:value = '129707'">FRAC 49</xsl:when>
                    <xsl:when test="./i6:value = '129708'">FRAC 50</xsl:when>
                    <xsl:when test="./i6:value = '129709'">FRAC BM01</xsl:when>
                    <xsl:when test="./i6:value = '129710'">FRAC BM02</xsl:when>
                    <xsl:when test="./i6:value = '129711'">FRAC M01</xsl:when>
                    <xsl:when test="./i6:value = '129712'">FRAC M02</xsl:when>
                    <xsl:when test="./i6:value = '129713'">FRAC M03</xsl:when>
                    <xsl:when test="./i6:value = '129714'">FRAC M04</xsl:when>
                    <xsl:when test="./i6:value = '129715'">FRAC M05</xsl:when>
                    <xsl:when test="./i6:value = '129716'">FRAC M06</xsl:when>
                    <xsl:when test="./i6:value = '129717'">FRAC M07</xsl:when>
                    <xsl:when test="./i6:value = '129718'">FRAC M08</xsl:when>
                    <xsl:when test="./i6:value = '129719'">FRAC M09</xsl:when>
                    <xsl:when test="./i6:value = '129720'">FRAC M10</xsl:when>
                    <xsl:when test="./i6:value = '129721'">FRAC M11</xsl:when>
                    <xsl:when test="./i6:value = '129722'">FRAC M12</xsl:when>
                    <xsl:when test="./i6:value = '129723'">FRAC NC</xsl:when>
                    <xsl:when test="./i6:value = '129724'">FRAC P01</xsl:when>
                    <xsl:when test="./i6:value = '129725'">FRAC P02</xsl:when>
                    <xsl:when test="./i6:value = '129726'">FRAC P03</xsl:when>
                    <xsl:when test="./i6:value = '129727'">FRAC P04</xsl:when>
                    <xsl:when test="./i6:value = '129728'">FRAC P05</xsl:when>
                    <xsl:when test="./i6:value = '129729'">FRAC P06</xsl:when>
                    <xsl:when test="./i6:value = '129730'">FRAC P07 (33)</xsl:when>
                    <xsl:when test="./i6:value = '129731'">FRAC U06</xsl:when>
                    <xsl:when test="./i6:value = '129732'">FRAC U12</xsl:when>
                    <xsl:when test="./i6:value = '129733'">FRAC U13</xsl:when>
                    <xsl:when test="./i6:value = '129734'">FRAC U14</xsl:when>
                    <xsl:when test="./i6:value = '129735'">FRAC U16</xsl:when>
                    <xsl:when test="./i6:value = '129736'">FRAC U17</xsl:when>
                    <xsl:when test="./i6:value = '129737'">FRAC U18</xsl:when>
                    <xsl:when test="./i6:value = '129738'">HRAC 0</xsl:when>
                    <xsl:when test="./i6:value = '129739'">HRAC 1</xsl:when>
                    <xsl:when test="./i6:value = '129740'">HRAC 2</xsl:when>
                    <xsl:when test="./i6:value = '129741'">HRAC 3</xsl:when>
                    <xsl:when test="./i6:value = '129742'">HRAC 4</xsl:when>
                    <xsl:when test="./i6:value = '129743'">HRAC 5</xsl:when>
                    <xsl:when test="./i6:value = '129744'">HRAC 6</xsl:when>
                    <xsl:when test="./i6:value = '129745'">HRAC 9</xsl:when>
                    <xsl:when test="./i6:value = '129746'">HRAC 10</xsl:when>
                    <xsl:when test="./i6:value = '129747'">HRAC 12</xsl:when>
                    <xsl:when test="./i6:value = '129748'">HRAC 13</xsl:when>
                    <xsl:when test="./i6:value = '129749'">HRAC 14</xsl:when>
                    <xsl:when test="./i6:value = '129750'">HRAC 15</xsl:when>
                    <xsl:when test="./i6:value = '129751'">HRAC 18</xsl:when>
                    <xsl:when test="./i6:value = '129752'">HRAC 19</xsl:when>
                    <xsl:when test="./i6:value = '129753'">HRAC 22</xsl:when>
                    <xsl:when test="./i6:value = '129754'">HRAC 23</xsl:when>
                    <xsl:when test="./i6:value = '129755'">HRAC 24</xsl:when>
                    <xsl:when test="./i6:value = '129756'">HRAC 27</xsl:when>
                    <xsl:when test="./i6:value = '129757'">HRAC 29</xsl:when>
                    <xsl:when test="./i6:value = '129758'">HRAC 30</xsl:when>
                    <xsl:when test="./i6:value = '129759'">HRAC 31</xsl:when>
                    <xsl:when test="./i6:value = '129760'">HRAC 32</xsl:when>
                    <xsl:when test="./i6:value = '129761'">HRAC 33</xsl:when>
                    <xsl:when test="./i6:value = '129762'">HRAC 34</xsl:when>
                    <xsl:when test="./i6:value = '129763'">IRAC 1A</xsl:when>
                    <xsl:when test="./i6:value = '129764'">IRAC 1B</xsl:when>
                    <xsl:when test="./i6:value = '129765'">IRAC 2A</xsl:when>
                    <xsl:when test="./i6:value = '129766'">IRAC 2B</xsl:when>
                    <xsl:when test="./i6:value = '129767'">IRAC 3A</xsl:when>
                    <xsl:when test="./i6:value = '129768'">IRAC 3B</xsl:when>
                    <xsl:when test="./i6:value = '129769'">IRAC 4A</xsl:when>
                    <xsl:when test="./i6:value = '129770'">IRAC 4B</xsl:when>
                    <xsl:when test="./i6:value = '129771'">IRAC 4C</xsl:when>
                    <xsl:when test="./i6:value = '129772'">IRAC 4D</xsl:when>
                    <xsl:when test="./i6:value = '129773'">IRAC 4E</xsl:when>
                    <xsl:when test="./i6:value = '129774'">IRAC 5</xsl:when>
                    <xsl:when test="./i6:value = '129775'">IRAC 6</xsl:when>
                    <xsl:when test="./i6:value = '129776'">IRAC 7A</xsl:when>
                    <xsl:when test="./i6:value = '129777'">IRAC 7B</xsl:when>
                    <xsl:when test="./i6:value = '129778'">IRAC 7C</xsl:when>
                    <xsl:when test="./i6:value = '129779'">IRAC 8A</xsl:when>
                    <xsl:when test="./i6:value = '129780'">IRAC 8B</xsl:when>
                    <xsl:when test="./i6:value = '129781'">IRAC 8C</xsl:when>
                    <xsl:when test="./i6:value = '129782'">IRAC 8D</xsl:when>
                    <xsl:when test="./i6:value = '129783'">IRAC 8E</xsl:when>
                    <xsl:when test="./i6:value = '129784'">IRAC 8F</xsl:when>
                    <xsl:when test="./i6:value = '129785'">IRAC 9B</xsl:when>
                    <xsl:when test="./i6:value = '129786'">IRAC 9D</xsl:when>
                    <xsl:when test="./i6:value = '129787'">IRAC 10A</xsl:when>
                    <xsl:when test="./i6:value = '129788'">IRAC 10B</xsl:when>
                    <xsl:when test="./i6:value = '129789'">IRAC 11A</xsl:when>
                    <xsl:when test="./i6:value = '129790'">IRAC 11B</xsl:when>
                    <xsl:when test="./i6:value = '129791'">IRAC 12A</xsl:when>
                    <xsl:when test="./i6:value = '129792'">IRAC 12B</xsl:when>
                    <xsl:when test="./i6:value = '129793'">IRAC 12C</xsl:when>
                    <xsl:when test="./i6:value = '129794'">IRAC 12D</xsl:when>
                    <xsl:when test="./i6:value = '129795'">IRAC 13</xsl:when>
                    <xsl:when test="./i6:value = '129796'">IRAC 14</xsl:when>
                    <xsl:when test="./i6:value = '129797'">IRAC 15</xsl:when>
                    <xsl:when test="./i6:value = '129798'">IRAC 16</xsl:when>
                    <xsl:when test="./i6:value = '129799'">IRAC 17</xsl:when>
                    <xsl:when test="./i6:value = '129800'">IRAC 18</xsl:when>
                    <xsl:when test="./i6:value = '129801'">IRAC 19</xsl:when>
                    <xsl:when test="./i6:value = '129802'">IRAC 20A</xsl:when>
                    <xsl:when test="./i6:value = '129803'">IRAC 20B</xsl:when>
                    <xsl:when test="./i6:value = '129804'">IRAC 20C</xsl:when>
                    <xsl:when test="./i6:value = '129805'">IRAC 20D</xsl:when>
                    <xsl:when test="./i6:value = '129806'">IRAC 21A</xsl:when>
                    <xsl:when test="./i6:value = '129807'">IRAC 21B</xsl:when>
                    <xsl:when test="./i6:value = '129808'">IRAC 22A</xsl:when>
                    <xsl:when test="./i6:value = '129809'">IRAC 22B</xsl:when>
                    <xsl:when test="./i6:value = '129810'">IRAC 23</xsl:when>
                    <xsl:when test="./i6:value = '129811'">IRAC 24A</xsl:when>
                    <xsl:when test="./i6:value = '129812'">IRAC 24B</xsl:when>
                    <xsl:when test="./i6:value = '129813'">IRAC 25A</xsl:when>
                    <xsl:when test="./i6:value = '129814'">IRAC 25B</xsl:when>
                    <xsl:when test="./i6:value = '129815'">IRAC 28</xsl:when>
                    <xsl:when test="./i6:value = '129816'">IRAC 29</xsl:when>
                    <xsl:when test="./i6:value = '129817'">IRAC UN</xsl:when>
                    <xsl:when test="./i6:value = '130898'">full study report</xsl:when>
                    <xsl:when test="./i6:value = '131786'">illustration (picture/graph)</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:AttachedJustification | //xt:CrossReference | //xt:TargetOrganisms | //xt:AttachedBackgroundMaterial">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'TargetOrganisms'">Target organisms</xsl:when>
                    <xsl:when test="name(.) = 'CrossReference'">Cross-reference</xsl:when>
                    <xsl:when test="name(.) = 'AttachedJustification'">Attached justification</xsl:when>
                    <xsl:when test="name(.) = 'AttachedBackgroundMaterial'">Attachments</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:AdministrativeData | //xt:DataSource | //xt:GeneralInformation | //xt:PestTargetOrganismsToBeControlled | //xt:ProductsOrganismsOrObjectsToBeProtectedUnderStudy | //xt:InformationOnIntendedUseAndApplication | //xt:InformationOnApplicationOfProduct | //xt:GeneralInformationOnEffectiveness | //xt:ResultsAndDiscussion | //xt:AnyOtherInformationOnResultsInclTables | //xt:OverallRemarksAttachments | //xt:ApplicantSummaryAndConclusion">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'OverallRemarksAttachments'">Overall remarks, attachments</xsl:when>
                    <xsl:when test="name(.) = 'PestTargetOrganismsToBeControlled'">Pest / target organisms to be controlled</xsl:when>
                    <xsl:when test="name(.) = 'InformationOnIntendedUseAndApplication'">Information on intended use and application</xsl:when>
                    <xsl:when test="name(.) = 'AdministrativeData'">Administrative data</xsl:when>
                    <xsl:when test="name(.) = 'ApplicantSummaryAndConclusion'">Applicant's summary and conclusion</xsl:when>
                    <xsl:when test="name(.) = 'GeneralInformation'">General information</xsl:when>
                    <xsl:when test="name(.) = 'InformationOnApplicationOfProduct'">Information on application of product</xsl:when>
                    <xsl:when test="name(.) = 'AnyOtherInformationOnResultsInclTables'">Any other information on results incl. tables</xsl:when>
                    <xsl:when test="name(.) = 'ProductsOrganismsOrObjectsToBeProtectedUnderStudy'">Products, organisms or objects to be protected / under study</xsl:when>
                    <xsl:when test="name(.) = 'GeneralInformationOnEffectiveness'">General information on effectiveness</xsl:when>
                    <xsl:when test="name(.) = 'DataSource'">Data source</xsl:when>
                    <xsl:when test="name(.) = 'ResultsAndDiscussion'">Results and discussion</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:StudyPeriod | //xt:JustificationForTypeOfInformation | //xt:Remarks | //xt:BackgroundInformation | //xt:OrganismsToBeProtectedOrTreatedMaterials | //xt:FieldOfUseEnvisagedUser | //xt:DetailsOnApplication | //xt:EffectsOnTargetOrganisms | //xt:DetailsOnModeOfAction | //xt:PossibleOccurrenceOfResistance | //xt:ManagementStrategiesToAvoidResistance | //xt:AnyOtherKnownLimitationsAndManagementStrategies | //xt:DetailsOnResults | //xt:OtherInformation | //xt:RemarksOnResults | //xt:Remarks | //xt:Conclusions | //xt:ExecutiveSummary">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'OrganismsToBeProtectedOrTreatedMaterials'">Organisms (to be protected) or treated materials</xsl:when>
                    <xsl:when test="name(.) = 'BackgroundInformation'">Background information</xsl:when>
                    <xsl:when test="name(.) = 'Conclusions'">Conclusions</xsl:when>
                    <xsl:when test="name(.) = 'StudyPeriod'">Remark</xsl:when>
                    <xsl:when test="name(.) = 'ManagementStrategiesToAvoidResistance'">Management strategies to avoid resistance</xsl:when>
                    <xsl:when test="name(.) = 'DetailsOnApplication'">Details on application</xsl:when>
                    <xsl:when test="name(.) = 'OtherInformation'"/>
                    <xsl:when test="name(.) = 'EffectsOnTargetOrganisms'">Effects on target organisms</xsl:when>
                    <xsl:when test="name(.) = 'AnyOtherKnownLimitationsAndManagementStrategies'">Any other known limitations and management strategies</xsl:when>
                    <xsl:when test="name(.) = 'Remarks'">Remarks</xsl:when>
                    <xsl:when test="name(.) = 'RemarksOnResults'">Overall remarks</xsl:when>
                    <xsl:when test="name(.) = 'ExecutiveSummary'">Executive summary</xsl:when>
                    <xsl:when test="name(.) = 'PossibleOccurrenceOfResistance'">(Possible) Occurrence of resistance</xsl:when>
                    <xsl:when test="name(.) = 'JustificationForTypeOfInformation'">Justification for type of information</xsl:when>
                    <xsl:when test="name(.) = 'DetailsOnResults'">Details on results</xsl:when>
                    <xsl:when test="name(.) = 'DetailsOnModeOfAction'">Details on mode of action</xsl:when>
                    <xsl:when test="name(.) = 'FieldOfUseEnvisagedUser'">Field of use envisaged / User</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//i6:country/i6:value">
        <xsl:choose>
            <xsl:when test=". = '2683'">Afghanistan </xsl:when>
            <xsl:when test=". = '2684'">Albania </xsl:when>
            <xsl:when test=". = '2685'">Algeria </xsl:when>
            <xsl:when test=". = '2686'">American Samoa </xsl:when>
            <xsl:when test=". = '2688'">Andorra </xsl:when>
            <xsl:when test=". = '2689'">Angola </xsl:when>
            <xsl:when test=". = '2690'">Anguilla </xsl:when>
            <xsl:when test=". = '2692'">Antarctica </xsl:when>
            <xsl:when test=". = '2695'">Antigua and Barbuda </xsl:when>
            <xsl:when test=". = '2696'">Argentina </xsl:when>
            <xsl:when test=". = '2697'">Armenia </xsl:when>
            <xsl:when test=". = '2698'">Aruba </xsl:when>
            <xsl:when test=". = '107'">Australia </xsl:when>
            <xsl:when test=". = '108'">Austria </xsl:when>
            <xsl:when test=". = '2701'">Azerbaijan </xsl:when>
            <xsl:when test=". = '2702'">Bahamas (the) </xsl:when>
            <xsl:when test=". = '2703'">Bahrain </xsl:when>
            <xsl:when test=". = '2704'">Bangladesh </xsl:when>
            <xsl:when test=". = '2705'">Barbados </xsl:when>
            <xsl:when test=". = '2707'">Belarus </xsl:when>
            <xsl:when test=". = '147'">Belgium </xsl:when>
            <xsl:when test=". = '2708'">Belize </xsl:when>
            <xsl:when test=". = '2709'">Benin </xsl:when>
            <xsl:when test=". = '2710'">Bermuda </xsl:when>
            <xsl:when test=". = '2711'">Bhutan </xsl:when>
            <xsl:when test=". = '2720'">Bolivia (Plurinational State of) </xsl:when>
            <xsl:when test=". = '65600'">Bonaire, Sint Eustatius and Saba </xsl:when>
            <xsl:when test=". = '2722'">Bosnia and Herzegovina </xsl:when>
            <xsl:when test=". = '2723'">Botswana </xsl:when>
            <xsl:when test=". = '2724'">Bouvet Island </xsl:when>
            <xsl:when test=". = '2725'">Brazil </xsl:when>
            <xsl:when test=". = '2726'">British Indian Ocean Territory (the) </xsl:when>
            <xsl:when test=". = '2727'">Brunei Darussalam </xsl:when>
            <xsl:when test=". = '184'">Bulgaria </xsl:when>
            <xsl:when test=". = '2729'">Burkina Faso </xsl:when>
            <xsl:when test=". = '2730'">Burundi </xsl:when>
            <xsl:when test=". = '2736'">Cabo Verde </xsl:when>
            <xsl:when test=". = '2734'">Cambodia </xsl:when>
            <xsl:when test=". = '2735'">Cameroon </xsl:when>
            <xsl:when test=". = '206'">Canada </xsl:when>
            <xsl:when test=". = '2746'">Cayman Islands (the) </xsl:when>
            <xsl:when test=". = '2747'">Central African Republic (the) </xsl:when>
            <xsl:when test=". = '2748'">Chad </xsl:when>
            <xsl:when test=". = '2749'">Chile </xsl:when>
            <xsl:when test=". = '2750'">China </xsl:when>
            <xsl:when test=". = '2751'">Christmas Island </xsl:when>
            <xsl:when test=". = '2754'">Cocos (Keeling) Islands (the) </xsl:when>
            <xsl:when test=". = '2755'">Colombia </xsl:when>
            <xsl:when test=". = '2759'">Comoros (the) </xsl:when>
            <xsl:when test=". = '2765'">Congo (the Democratic Republic of the) </xsl:when>
            <xsl:when test=". = '2764'">Congo (the) </xsl:when>
            <xsl:when test=". = '2769'">Cook Islands (the) </xsl:when>
            <xsl:when test=". = '2771'">Costa Rica </xsl:when>
            <xsl:when test=". = '286'">Croatia </xsl:when>
            <xsl:when test=". = '2773'">Cuba </xsl:when>
            <xsl:when test=". = '65601'">Curaçao </xsl:when>
            <xsl:when test=". = '304'">Cyprus </xsl:when>
            <xsl:when test=". = '307'">Czechia </xsl:when>
            <xsl:when test=". = '2774'">Côte d'Ivoire </xsl:when>
            <xsl:when test=". = '333'">Denmark </xsl:when>
            <xsl:when test=". = '2790'">Djibouti </xsl:when>
            <xsl:when test=". = '2791'">Dominica </xsl:when>
            <xsl:when test=". = '2792'">Dominican Republic (the) </xsl:when>
            <xsl:when test=". = '2799'">Ecuador </xsl:when>
            <xsl:when test=". = '2800'">Egypt </xsl:when>
            <xsl:when test=". = '2801'">El Salvador </xsl:when>
            <xsl:when test=". = '2803'">Equatorial Guinea </xsl:when>
            <xsl:when test=". = '2804'">Eritrea </xsl:when>
            <xsl:when test=". = '754'">Estonia </xsl:when>
            <xsl:when test=". = '3358'">Eswatini </xsl:when>
            <xsl:when test=". = '2805'">Ethiopia </xsl:when>
            <xsl:when test=". = '131982'">European Union </xsl:when>
            <xsl:when test=". = '2813'">Falkland Islands (the) [Malvinas] </xsl:when>
            <xsl:when test=". = '2815'">Faroe Islands (the) </xsl:when>
            <xsl:when test=". = '2817'">Fiji </xsl:when>
            <xsl:when test=". = '766'">Finland </xsl:when>
            <xsl:when test=". = '779'">France </xsl:when>
            <xsl:when test=". = '2825'">French Guiana </xsl:when>
            <xsl:when test=". = '2826'">French Polynesia </xsl:when>
            <xsl:when test=". = '2827'">French Southern Territories (the) </xsl:when>
            <xsl:when test=". = '2828'">Gabon </xsl:when>
            <xsl:when test=". = '2829'">Gambia (the) </xsl:when>
            <xsl:when test=". = '2834'">Georgia </xsl:when>
            <xsl:when test=". = '807'">Germany </xsl:when>
            <xsl:when test=". = '2835'">Ghana </xsl:when>
            <xsl:when test=". = '2836'">Gibraltar </xsl:when>
            <xsl:when test=". = '810'">Greece </xsl:when>
            <xsl:when test=". = '2838'">Greenland </xsl:when>
            <xsl:when test=". = '2839'">Grenada </xsl:when>
            <xsl:when test=". = '2840'">Guadeloupe </xsl:when>
            <xsl:when test=". = '2841'">Guam </xsl:when>
            <xsl:when test=". = '2842'">Guatemala </xsl:when>
            <xsl:when test=". = '7818'">Guernsey </xsl:when>
            <xsl:when test=". = '2843'">Guinea </xsl:when>
            <xsl:when test=". = '2844'">Guinea-Bissau </xsl:when>
            <xsl:when test=". = '2845'">Guyana </xsl:when>
            <xsl:when test=". = '2846'">Haiti </xsl:when>
            <xsl:when test=". = '2851'">Heard Island and McDonald Islands </xsl:when>
            <xsl:when test=". = '2854'">Holy See (the) </xsl:when>
            <xsl:when test=". = '2855'">Honduras </xsl:when>
            <xsl:when test=". = '2856'">Hong Kong </xsl:when>
            <xsl:when test=". = '845'">Hungary </xsl:when>
            <xsl:when test=". = '882'">Iceland </xsl:when>
            <xsl:when test=". = '2865'">India </xsl:when>
            <xsl:when test=". = '2866'">Indonesia </xsl:when>
            <xsl:when test=". = '2870'">Iran (Islamic Republic of) </xsl:when>
            <xsl:when test=". = '2871'">Iraq </xsl:when>
            <xsl:when test=". = '911'">Ireland </xsl:when>
            <xsl:when test=". = '7819'">Isle of Man </xsl:when>
            <xsl:when test=". = '2876'">Israel </xsl:when>
            <xsl:when test=". = '916'">Italy </xsl:when>
            <xsl:when test=". = '2877'">Jamaica </xsl:when>
            <xsl:when test=". = '918'">Japan </xsl:when>
            <xsl:when test=". = '7820'">Jersey </xsl:when>
            <xsl:when test=". = '2878'">Jordan </xsl:when>
            <xsl:when test=". = '2879'">Kazakhstan </xsl:when>
            <xsl:when test=". = '2880'">Kenya </xsl:when>
            <xsl:when test=". = '2881'">Kiribati </xsl:when>
            <xsl:when test=". = '2882'">Korea (the Democratic People's Republic of) </xsl:when>
            <xsl:when test=". = '2883'">Korea (the Republic of) </xsl:when>
            <xsl:when test=". = '2884'">Kuwait </xsl:when>
            <xsl:when test=". = '2885'">Kyrgyzstan </xsl:when>
            <xsl:when test=". = '2886'">Lao People's Democratic Republic (the) </xsl:when>
            <xsl:when test=". = '985'">Latvia </xsl:when>
            <xsl:when test=". = '2887'">Lebanon </xsl:when>
            <xsl:when test=". = '2888'">Lesotho </xsl:when>
            <xsl:when test=". = '2889'">Liberia </xsl:when>
            <xsl:when test=". = '2890'">Libya </xsl:when>
            <xsl:when test=". = '2891'">Liechtenstein </xsl:when>
            <xsl:when test=". = '1024'">Lithuania </xsl:when>
            <xsl:when test=". = '1041'">Luxembourg </xsl:when>
            <xsl:when test=". = '2896'">Macao </xsl:when>
            <xsl:when test=". = '2898'">Madagascar </xsl:when>
            <xsl:when test=". = '2899'">Malawi </xsl:when>
            <xsl:when test=". = '2900'">Malaysia </xsl:when>
            <xsl:when test=". = '2901'">Maldives </xsl:when>
            <xsl:when test=". = '2902'">Mali </xsl:when>
            <xsl:when test=". = '1048'">Malta </xsl:when>
            <xsl:when test=". = '2904'">Marshall Islands (the) </xsl:when>
            <xsl:when test=". = '2905'">Martinique </xsl:when>
            <xsl:when test=". = '2908'">Mauritania </xsl:when>
            <xsl:when test=". = '2909'">Mauritius </xsl:when>
            <xsl:when test=". = '2910'">Mayotte </xsl:when>
            <xsl:when test=". = '1067'">Mexico </xsl:when>
            <xsl:when test=". = '3877'">Micronesia (Federated States of) </xsl:when>
            <xsl:when test=". = '2919'">Moldova (the Republic of) </xsl:when>
            <xsl:when test=". = '2921'">Monaco </xsl:when>
            <xsl:when test=". = '2922'">Mongolia </xsl:when>
            <xsl:when test=". = '7821'">Montenegro </xsl:when>
            <xsl:when test=". = '2924'">Montserrat </xsl:when>
            <xsl:when test=". = '2925'">Morocco </xsl:when>
            <xsl:when test=". = '2926'">Mozambique </xsl:when>
            <xsl:when test=". = '2930'">Myanmar </xsl:when>
            <xsl:when test=". = '2932'">Namibia </xsl:when>
            <xsl:when test=". = '2933'">Nauru </xsl:when>
            <xsl:when test=". = '2934'">Nepal </xsl:when>
            <xsl:when test=". = '1158'">Netherlands (the) </xsl:when>
            <xsl:when test=". = '2935'">Netherlands Antilles </xsl:when>
            <xsl:when test=". = '2938'">New Caledonia </xsl:when>
            <xsl:when test=". = '1161'">New Zealand </xsl:when>
            <xsl:when test=". = '2939'">Nicaragua </xsl:when>
            <xsl:when test=". = '2940'">Niger (the) </xsl:when>
            <xsl:when test=". = '2941'">Nigeria </xsl:when>
            <xsl:when test=". = '2942'">Niue </xsl:when>
            <xsl:when test=". = '2945'">Norfolk Island </xsl:when>
            <xsl:when test=". = '2897'">North Macedonia </xsl:when>
            <xsl:when test=". = '2946'">Northern Mariana Islands (the) </xsl:when>
            <xsl:when test=". = '1175'">Norway </xsl:when>
            <xsl:when test=". = '2977'">Oman </xsl:when>
            <xsl:when test=". = '2984'">Pakistan </xsl:when>
            <xsl:when test=". = '2985'">Palau </xsl:when>
            <xsl:when test=". = '2986'">Palestine, State of </xsl:when>
            <xsl:when test=". = '2987'">Panama </xsl:when>
            <xsl:when test=". = '2988'">Papua New Guinea </xsl:when>
            <xsl:when test=". = '2989'">Paraguay </xsl:when>
            <xsl:when test=". = '2994'">Peru </xsl:when>
            <xsl:when test=". = '2995'">Philippines (the) </xsl:when>
            <xsl:when test=". = '3000'">Pitcairn </xsl:when>
            <xsl:when test=". = '1394'">Poland </xsl:when>
            <xsl:when test=". = '1401'">Portugal </xsl:when>
            <xsl:when test=". = '3027'">Puerto Rico </xsl:when>
            <xsl:when test=". = '3028'">Qatar </xsl:when>
            <xsl:when test=". = '1496'">Romania </xsl:when>
            <xsl:when test=". = '3175'">Russian Federation (the) </xsl:when>
            <xsl:when test=". = '3176'">Rwanda </xsl:when>
            <xsl:when test=". = '3177'">Réunion </xsl:when>
            <xsl:when test=". = '7823'">Saint Barthélemy </xsl:when>
            <xsl:when test=". = '3318'">Saint Helena, Ascension and Tristan da Cunha </xsl:when>
            <xsl:when test=". = '3319'">Saint Kitts and Nevis </xsl:when>
            <xsl:when test=". = '3320'">Saint Lucia </xsl:when>
            <xsl:when test=". = '7824'">Saint Martin (French part) </xsl:when>
            <xsl:when test=". = '3321'">Saint Pierre and Miquelon </xsl:when>
            <xsl:when test=". = '3322'">Saint Vincent and the Grenadines </xsl:when>
            <xsl:when test=". = '3323'">Samoa </xsl:when>
            <xsl:when test=". = '3324'">San Marino </xsl:when>
            <xsl:when test=". = '3325'">Sao Tome and Principe </xsl:when>
            <xsl:when test=". = '3326'">Saudi Arabia </xsl:when>
            <xsl:when test=". = '3328'">Senegal </xsl:when>
            <xsl:when test=". = '3332'">Serbia </xsl:when>
            <xsl:when test=". = '3333'">Seychelles </xsl:when>
            <xsl:when test=". = '3336'">Sierra Leone </xsl:when>
            <xsl:when test=". = '3337'">Singapore </xsl:when>
            <xsl:when test=". = '65602'">Sint Maarten (Dutch part) </xsl:when>
            <xsl:when test=". = '3339'">Slovakia </xsl:when>
            <xsl:when test=". = '1562'">Slovenia </xsl:when>
            <xsl:when test=". = '3340'">Solomon Islands </xsl:when>
            <xsl:when test=". = '3343'">Somalia </xsl:when>
            <xsl:when test=". = '3344'">South Africa </xsl:when>
            <xsl:when test=". = '3345'">South Georgia and the South Sandwich Islands </xsl:when>
            <xsl:when test=". = '65603'">South Sudan </xsl:when>
            <xsl:when test=". = '1567'">Spain </xsl:when>
            <xsl:when test=". = '3346'">Sri Lanka </xsl:when>
            <xsl:when test=". = '3352'">Sudan (the) </xsl:when>
            <xsl:when test=". = '3355'">Suriname </xsl:when>
            <xsl:when test=". = '3357'">Svalbard and Jan Mayen </xsl:when>
            <xsl:when test=". = '1591'">Sweden </xsl:when>
            <xsl:when test=". = '1595'">Switzerland </xsl:when>
            <xsl:when test=". = '3359'">Syrian Arab Republic (the) </xsl:when>
            <xsl:when test=". = '3362'">Taiwan </xsl:when>
            <xsl:when test=". = '3363'">Tajikistan </xsl:when>
            <xsl:when test=". = '3364'">Tanzania, the United Republic of </xsl:when>
            <xsl:when test=". = '3366'">Thailand </xsl:when>
            <xsl:when test=". = '3370'">Timor-Leste </xsl:when>
            <xsl:when test=". = '3371'">Togo </xsl:when>
            <xsl:when test=". = '3372'">Tokelau </xsl:when>
            <xsl:when test=". = '3373'">Tonga </xsl:when>
            <xsl:when test=". = '3393'">Trinidad and Tobago </xsl:when>
            <xsl:when test=". = '3394'">Tunisia </xsl:when>
            <xsl:when test=". = '3395'">Turkmenistan </xsl:when>
            <xsl:when test=". = '3396'">Turks and Caicos Islands (the) </xsl:when>
            <xsl:when test=". = '3397'">Tuvalu </xsl:when>
            <xsl:when test=". = '1641'">Türkiye </xsl:when>
            <xsl:when test=". = '3402'">Uganda </xsl:when>
            <xsl:when test=". = '3403'">Ukraine </xsl:when>
            <xsl:when test=". = '3406'">United Arab Emirates (the) </xsl:when>
            <xsl:when test=". = '1651'">United Kingdom of Great Britain and Northern Ireland (the) </xsl:when>
            <xsl:when test=". = '63145'">United Kingdom: Northern Ireland </xsl:when>
            <xsl:when test=". = '1652'">United States (the) </xsl:when>
            <xsl:when test=". = '3407'">United States Minor Outlying Islands (the) </xsl:when>
            <xsl:when test=". = '3410'">Uruguay </xsl:when>
            <xsl:when test=". = '3412'">Uzbekistan </xsl:when>
            <xsl:when test=". = '3414'">Vanuatu </xsl:when>
            <xsl:when test=". = '3416'">Venezuela (Bolivarian Republic of) </xsl:when>
            <xsl:when test=". = '3420'">Viet Nam </xsl:when>
            <xsl:when test=". = '3421'">Virgin Islands (British) </xsl:when>
            <xsl:when test=". = '3422'">Virgin Islands (U.S.) </xsl:when>
            <xsl:when test=". = '3425'">Wallis And Futuna </xsl:when>
            <xsl:when test=". = '3428'">Western Sahara </xsl:when>
            <xsl:when test=". = '3433'">Yemen </xsl:when>
            <xsl:when test=". = '3434'">Zambia </xsl:when>
            <xsl:when test=". = '3435'">Zimbabwe </xsl:when>
            <xsl:when test=". = '1173'">no data </xsl:when>
            <xsl:when test=". = '2207'">not specified </xsl:when>
            <xsl:when test=". = '3446'">Åland Islands </xsl:when>
            <xsl:when test=". = '1342'">other: </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="//xt:DataProtection/i6:confidentiality">
        <xsl:choose>
            <xsl:when test=". = '2732'">CBI </xsl:when>
            <xsl:when test=". = '2859'">IP </xsl:when>
            <xsl:when test=". = '3441'">no PA </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
